﻿define("ActivityLogger.model$ParameterRec", ["exports", "OutSystems", "ActivityLogger.model"], function (exports, OutSystems, ActivityLoggerModel) {
var OS = OutSystems.Internal;
var ParameterRec = (function (_super) {
__extends(ParameterRec, _super);
function ParameterRec(defaults) {
_super.apply(this, arguments);
}
ParameterRec.attributesToDeclare = function () {
return [
this.attr("Name", "nameAttr", "Name", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Value", "valueAttr", "Value", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
ParameterRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
ParameterRec.init();
return ParameterRec;
})(OS.DataTypes.GenericRecord);
ActivityLoggerModel.ParameterRec = ParameterRec;

});
define("ActivityLogger.model$OutputRec", ["exports", "OutSystems", "ActivityLogger.model"], function (exports, OutSystems, ActivityLoggerModel) {
var OS = OutSystems.Internal;
var OutputRec = (function (_super) {
__extends(OutputRec, _super);
function OutputRec(defaults) {
_super.apply(this, arguments);
}
OutputRec.attributesToDeclare = function () {
return [
this.attr("Success", "successAttr", "Success", false, OS.Types.Boolean, function () {
return false;
}), 
this.attr("ErrorMsg", "errorMsgAttr", "ErrorMsg", false, OS.Types.Text, function () {
return "";
}), 
this.attr("TechnicalError", "technicalErrorAttr", "TechnicalError", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
OutputRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
OutputRec.init();
return OutputRec;
})(OS.DataTypes.GenericRecord);
ActivityLoggerModel.OutputRec = OutputRec;

});
define("ActivityLogger.model", ["exports", "OutSystems"], function (exports, OutSystems) {
var OS = OutSystems.Internal;
var ActivityLoggerModel = exports;
});
