﻿define("BrightnessPlugin.controller$CheckBrightnessPlugin", ["exports", "OutSystems", "BrightnessPlugin.model", "BrightnessPlugin.controller", "CommonPlugin.controller", "CommonPlugin.model", "BrightnessPlugin.controller$CheckBrightnessPlugin.PluginIsLoadedJS", "CommonPlugin.controller$IsCordovaDefined", "BrightnessPlugin.referencesHealth", "BrightnessPlugin.referencesHealth$CommonPlugin", "CommonPlugin.model$ErrorRec"], function (exports, OutSystems, BrightnessPluginModel, BrightnessPluginController, CommonPluginController, CommonPluginModel, BrightnessPlugin_controller_CheckBrightnessPlugin_PluginIsLoadedJS) {
var OS = OutSystems.Internal;
BrightnessPluginController.default.checkBrightnessPlugin$Action = function (callContext) {
callContext = controller.callContext(callContext);
var isCordovaDefinedVar = new OS.DataTypes.VariableHolder();
var pluginIsLoadedJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("BrightnessPlugin.CheckBrightnessPlugin$outVars"))());
// Execute Action: IsCordovaDefined
isCordovaDefinedVar.value = CommonPluginController.default.isCordovaDefined$Action(callContext);

if((isCordovaDefinedVar.value.isLoadedOut)) {
pluginIsLoadedJSResult.value = controller.safeExecuteJSNode(BrightnessPlugin_controller_CheckBrightnessPlugin_PluginIsLoadedJS, "PluginIsLoaded", "CheckBrightnessPlugin", {
IsAvailable: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("BrightnessPlugin.CheckBrightnessPlugin$pluginIsLoadedJSResult"))();
jsNodeResult.isAvailableOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsAvailable, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
if((pluginIsLoadedJSResult.value.isAvailableOut)) {
// Set Result
// IsAvailable = True
outVars.value.isAvailableOut = true;
} else {
// Set Output
// IsAvailable = False
outVars.value.isAvailableOut = false;
// Error.ErrorCode = 2
outVars.value.errorOut.errorCodeAttr = "2";
// Error.ErrorMessage = "Plugin is not loaded."
outVars.value.errorOut.errorMessageAttr = "Plugin is not loaded.";
}

} else {
// Set Output
// IsAvailable = False
outVars.value.isAvailableOut = false;
// Error.ErrorCode = 1
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "cordova is not defined"
outVars.value.errorOut.errorMessageAttr = "cordova is not defined";
}

return outVars.value;
};
var controller = BrightnessPluginController.default;
BrightnessPluginController.default.constructor.registerVariableGroupType("BrightnessPlugin.CheckBrightnessPlugin$pluginIsLoadedJSResult", [{
name: "IsAvailable",
attrName: "isAvailableOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
BrightnessPluginController.default.constructor.registerVariableGroupType("BrightnessPlugin.CheckBrightnessPlugin$outVars", [{
name: "IsAvailable",
attrName: "isAvailableOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
BrightnessPluginController.default.clientActionProxies.checkBrightnessPlugin$Action = function () {
return controller.executeActionInsideJSNode(BrightnessPluginController.default.checkBrightnessPlugin$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsAvailable: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isAvailableOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("BrightnessPlugin.controller$CheckBrightnessPlugin.PluginIsLoadedJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.IsAvailable = !!cordova.plugins.brightness;
};
});

define("BrightnessPlugin.controller$GetBrightness", ["exports", "OutSystems", "BrightnessPlugin.model", "BrightnessPlugin.controller", "CommonPlugin.model", "BrightnessPlugin.controller$GetBrightness.GetBrightnessJSActionJS", "CommonPlugin.model$ErrorRec", "BrightnessPlugin.referencesHealth", "BrightnessPlugin.referencesHealth$CommonPlugin"], function (exports, OutSystems, BrightnessPluginModel, BrightnessPluginController, CommonPluginModel, BrightnessPlugin_controller_GetBrightness_GetBrightnessJSActionJS) {
var OS = OutSystems.Internal;
BrightnessPluginController.default.getBrightness$Action = function (callContext) {
callContext = controller.callContext(callContext);
var getBrightnessJSActionJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("BrightnessPlugin.GetBrightness$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
return controller.safeExecuteAsyncJSNode(BrightnessPlugin_controller_GetBrightness_GetBrightnessJSActionJS, "GetBrightnessJSAction", "GetBrightness", {
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("BrightnessPlugin.GetBrightness$getBrightnessJSActionJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
jsNodeResult.errorCodeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorCode, OS.Types.Text);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
getBrightnessJSActionJSResult.value = results;
}).then(function () {
if((getBrightnessJSActionJSResult.value.successOut)) {
// Success = GetBrightnessJSAction.Success
outVars.value.successOut = getBrightnessJSActionJSResult.value.successOut;
} else {
// Error.ErrorCode = GetBrightnessJSAction.ErrorCode
outVars.value.errorOut.errorCodeAttr = getBrightnessJSActionJSResult.value.errorCodeOut;
// Error.ErrorMessage = GetBrightnessJSAction.ErrorMessage
outVars.value.errorOut.errorMessageAttr = getBrightnessJSActionJSResult.value.errorMessageOut;
// Success = GetBrightnessJSAction.Success
outVars.value.successOut = getBrightnessJSActionJSResult.value.successOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = BrightnessPluginController.default;
BrightnessPluginController.default.constructor.registerVariableGroupType("BrightnessPlugin.GetBrightness$getBrightnessJSActionJSResult", [{
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorCode",
attrName: "errorCodeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
BrightnessPluginController.default.constructor.registerVariableGroupType("BrightnessPlugin.GetBrightness$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}, {
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
BrightnessPluginController.default.clientActionProxies.getBrightness$Action = function () {
return controller.executeActionInsideJSNode(BrightnessPluginController.default.getBrightness$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut,
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true)
};
});
};
});
define("BrightnessPlugin.controller$GetBrightness.GetBrightnessJSActionJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
var brightnessPlugin = cordova.plugins.brightness;

function Success() {
    $parameters.Success = true;
    $parameters.ErrorCode = 0;
    $resolve();
}

function Fail(message) {
    $parameters.Success = false;
    $parameters.ErrorCode = 1;
    $parameters.ErrorMessage = message;
    $resolve();
}

brightnessPlugin.getBrightness(Success, Fail);


});
};
});

define("BrightnessPlugin.controller$KeepScreenOn", ["exports", "OutSystems", "BrightnessPlugin.model", "BrightnessPlugin.controller", "CommonPlugin.model", "BrightnessPlugin.controller$KeepScreenOn.KeepScreenOnJSActionJS", "CommonPlugin.model$ErrorRec", "BrightnessPlugin.referencesHealth", "BrightnessPlugin.referencesHealth$CommonPlugin"], function (exports, OutSystems, BrightnessPluginModel, BrightnessPluginController, CommonPluginModel, BrightnessPlugin_controller_KeepScreenOn_KeepScreenOnJSActionJS) {
var OS = OutSystems.Internal;
BrightnessPluginController.default.keepScreenOn$Action = function (keepScreenOnIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("BrightnessPlugin.KeepScreenOn$vars"))());
vars.value.keepScreenOnInLocal = keepScreenOnIn;
var keepScreenOnJSActionJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("BrightnessPlugin.KeepScreenOn$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
return controller.safeExecuteAsyncJSNode(BrightnessPlugin_controller_KeepScreenOn_KeepScreenOnJSActionJS, "KeepScreenOnJSAction", "KeepScreenOn", {
KeepScreenOn: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.keepScreenOnInLocal, OS.Types.Boolean, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("BrightnessPlugin.KeepScreenOn$keepScreenOnJSActionJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
jsNodeResult.errorCodeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorCode, OS.Types.Text);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
keepScreenOnJSActionJSResult.value = results;
}).then(function () {
if((keepScreenOnJSActionJSResult.value.successOut)) {
// Success = KeepScreenOnJSAction.Success
outVars.value.successOut = keepScreenOnJSActionJSResult.value.successOut;
} else {
// Error.ErrorCode = KeepScreenOnJSAction.ErrorCode
outVars.value.errorOut.errorCodeAttr = keepScreenOnJSActionJSResult.value.errorCodeOut;
// Error.ErrorMessage = KeepScreenOnJSAction.ErrorMessage
outVars.value.errorOut.errorMessageAttr = keepScreenOnJSActionJSResult.value.errorMessageOut;
// Success = KeepScreenOnJSAction.Success
outVars.value.successOut = keepScreenOnJSActionJSResult.value.successOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = BrightnessPluginController.default;
BrightnessPluginController.default.constructor.registerVariableGroupType("BrightnessPlugin.KeepScreenOn$vars", [{
name: "KeepScreenOn",
attrName: "keepScreenOnInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
BrightnessPluginController.default.constructor.registerVariableGroupType("BrightnessPlugin.KeepScreenOn$keepScreenOnJSActionJSResult", [{
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorCode",
attrName: "errorCodeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
BrightnessPluginController.default.constructor.registerVariableGroupType("BrightnessPlugin.KeepScreenOn$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}, {
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
BrightnessPluginController.default.clientActionProxies.keepScreenOn$Action = function (keepScreenOnIn) {
keepScreenOnIn = (keepScreenOnIn === undefined) ? false : keepScreenOnIn;
return controller.executeActionInsideJSNode(BrightnessPluginController.default.keepScreenOn$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(keepScreenOnIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut,
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true)
};
});
};
});
define("BrightnessPlugin.controller$KeepScreenOn.KeepScreenOnJSActionJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
var brightnessPlugin = cordova.plugins.brightness;

function Success() {
    $parameters.Success = true;
    $parameters.ErrorCode = 0;
    $resolve();
}

function Fail(message) {
    $parameters.Success = false;
    $parameters.ErrorCode = 1;
    $parameters.ErrorMessage = message;
    $resolve();
}

brightnessPlugin.setKeepScreenOn($parameters.KeepScreenOn, Success, Fail);
});
};
});

define("BrightnessPlugin.controller$SetBrightness", ["exports", "OutSystems", "BrightnessPlugin.model", "BrightnessPlugin.controller", "CommonPlugin.model", "BrightnessPlugin.controller$SetBrightness.SetBrightnessJSActionJS", "CommonPlugin.model$ErrorRec", "BrightnessPlugin.referencesHealth", "BrightnessPlugin.referencesHealth$CommonPlugin"], function (exports, OutSystems, BrightnessPluginModel, BrightnessPluginController, CommonPluginModel, BrightnessPlugin_controller_SetBrightness_SetBrightnessJSActionJS) {
var OS = OutSystems.Internal;
BrightnessPluginController.default.setBrightness$Action = function (brightnessValueIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("BrightnessPlugin.SetBrightness$vars"))());
vars.value.brightnessValueInLocal = brightnessValueIn;
var setBrightnessJSActionJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("BrightnessPlugin.SetBrightness$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
return controller.safeExecuteAsyncJSNode(BrightnessPlugin_controller_SetBrightness_SetBrightnessJSActionJS, "SetBrightnessJSAction", "SetBrightness", {
BrightnessValue: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.brightnessValueInLocal, OS.Types.Text, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("BrightnessPlugin.SetBrightness$setBrightnessJSActionJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
jsNodeResult.errorCodeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorCode, OS.Types.Text);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
setBrightnessJSActionJSResult.value = results;
}).then(function () {
if((setBrightnessJSActionJSResult.value.successOut)) {
// Success = SetBrightnessJSAction.Success
outVars.value.successOut = setBrightnessJSActionJSResult.value.successOut;
} else {
// Error.ErrorCode = SetBrightnessJSAction.ErrorCode
outVars.value.errorOut.errorCodeAttr = setBrightnessJSActionJSResult.value.errorCodeOut;
// Error.ErrorMessage = SetBrightnessJSAction.ErrorMessage
outVars.value.errorOut.errorMessageAttr = setBrightnessJSActionJSResult.value.errorMessageOut;
// Success = SetBrightnessJSAction.Success
outVars.value.successOut = setBrightnessJSActionJSResult.value.successOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = BrightnessPluginController.default;
BrightnessPluginController.default.constructor.registerVariableGroupType("BrightnessPlugin.SetBrightness$vars", [{
name: "BrightnessValue",
attrName: "brightnessValueInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
BrightnessPluginController.default.constructor.registerVariableGroupType("BrightnessPlugin.SetBrightness$setBrightnessJSActionJSResult", [{
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorCode",
attrName: "errorCodeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
BrightnessPluginController.default.constructor.registerVariableGroupType("BrightnessPlugin.SetBrightness$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}, {
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
BrightnessPluginController.default.clientActionProxies.setBrightness$Action = function (brightnessValueIn) {
brightnessValueIn = (brightnessValueIn === undefined) ? "" : brightnessValueIn;
return controller.executeActionInsideJSNode(BrightnessPluginController.default.setBrightness$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(brightnessValueIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut,
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true)
};
});
};
});
define("BrightnessPlugin.controller$SetBrightness.SetBrightnessJSActionJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
var brightnessPlugin = cordova.plugins.brightness;

function Success() {
    $parameters.Success = true;
    $parameters.ErrorCode = 0;
    $resolve();
}

function Fail(message) {
    $parameters.Success = false;
    $parameters.ErrorCode = 1;
    $parameters.ErrorMessage = message;
    $resolve();
}

brightnessPlugin.setBrightness($parameters.BrightnessValue, Success, Fail);


});
};
});

define("BrightnessPlugin.controller", ["exports", "OutSystems", "BrightnessPlugin.model"], function (exports, OutSystems, BrightnessPluginModel) {
var OS = OutSystems.Internal;
var BrightnessPluginController = exports;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
}
Controller.prototype.clientActionProxies = {};
Controller.prototype.roles = {};
Controller.prototype.defaultTimeout = 10;
Controller.prototype.getDefaultTimeout = function () {
return BrightnessPluginController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseModuleController);
BrightnessPluginController.default = new Controller();
});
