﻿define("CE_LOGGING.model$ERROR_CODESRec", ["exports", "OutSystems", "CE_LOGGING.model"], function (exports, OutSystems, CE_LOGGINGModel) {
var OS = OutSystems.Internal;
var ERROR_CODESRec = (function (_super) {
__extends(ERROR_CODESRec, _super);
function ERROR_CODESRec(defaults) {
_super.apply(this, arguments);
}
ERROR_CODESRec.attributesToDeclare = function () {
return [
this.attr("Code", "codeAttr", "Code", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("Type", "typeAttr", "Type", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Message", "messageAttr", "Message", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Source", "sourceAttr", "Source", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Order", "orderAttr", "Order", true, OS.Types.Integer, function () {
return 0;
})
].concat(_super.attributesToDeclare.call(this));
};
ERROR_CODESRec.generateFromLocalStorage = function () {
return false;
};
ERROR_CODESRec.init();
return ERROR_CODESRec;
})(OS.DataTypes.GenericRecord);
CE_LOGGINGModel.ERROR_CODESRec = ERROR_CODESRec;

});
define("CE_LOGGING.model$eCodesRec", ["exports", "OutSystems", "CE_LOGGING.model"], function (exports, OutSystems, CE_LOGGINGModel) {
var OS = OutSystems.Internal;
var eCodesRec = (function (_super) {
__extends(eCodesRec, _super);
function eCodesRec(defaults) {
_super.apply(this, arguments);
}
eCodesRec.attributesToDeclare = function () {
return [
this.attr("eCode", "eCodeAttr", "eCode", false, OS.Types.Text, function () {
return "";
}), 
this.attr("eDescription", "eDescriptionAttr", "eDescription", false, OS.Types.Text, function () {
return "";
}), 
this.attr("eSystem", "eSystemAttr", "eSystem", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
eCodesRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
eCodesRec.init();
return eCodesRec;
})(OS.DataTypes.GenericRecord);
CE_LOGGINGModel.eCodesRec = eCodesRec;

});
define("CE_LOGGING.model$STR_SourcesRec", ["exports", "OutSystems", "CE_LOGGING.model"], function (exports, OutSystems, CE_LOGGINGModel) {
var OS = OutSystems.Internal;
var STR_SourcesRec = (function (_super) {
__extends(STR_SourcesRec, _super);
function STR_SourcesRec(defaults) {
_super.apply(this, arguments);
}
STR_SourcesRec.attributesToDeclare = function () {
return [
this.attr("Value", "valueAttr", "Value", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
STR_SourcesRec.fromStructure = function (str) {
return new STR_SourcesRec(new STR_SourcesRec.RecordClass({
valueAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
STR_SourcesRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
STR_SourcesRec.init();
return STR_SourcesRec;
})(OS.DataTypes.GenericRecord);
CE_LOGGINGModel.STR_SourcesRec = STR_SourcesRec;

});
define("CE_LOGGING.model$STR_LongSourcesRec", ["exports", "OutSystems", "CE_LOGGING.model"], function (exports, OutSystems, CE_LOGGINGModel) {
var OS = OutSystems.Internal;
var STR_LongSourcesRec = (function (_super) {
__extends(STR_LongSourcesRec, _super);
function STR_LongSourcesRec(defaults) {
_super.apply(this, arguments);
}
STR_LongSourcesRec.attributesToDeclare = function () {
return [
this.attr("Value", "valueAttr", "Value", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
STR_LongSourcesRec.fromStructure = function (str) {
return new STR_LongSourcesRec(new STR_LongSourcesRec.RecordClass({
valueAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
STR_LongSourcesRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
STR_LongSourcesRec.init();
return STR_LongSourcesRec;
})(OS.DataTypes.GenericRecord);
CE_LOGGINGModel.STR_LongSourcesRec = STR_LongSourcesRec;

});
define("CE_LOGGING.model$STR_LongSourcesRecord", ["exports", "OutSystems", "CE_LOGGING.model", "CE_LOGGING.model$STR_LongSourcesRec"], function (exports, OutSystems, CE_LOGGINGModel) {
var OS = OutSystems.Internal;
var STR_LongSourcesRecord = (function (_super) {
__extends(STR_LongSourcesRecord, _super);
function STR_LongSourcesRecord(defaults) {
_super.apply(this, arguments);
}
STR_LongSourcesRecord.attributesToDeclare = function () {
return [
this.attr("STR_LongSources", "sTR_LongSourcesAttr", "STR_LongSources", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CE_LOGGINGModel.STR_LongSourcesRec());
}, CE_LOGGINGModel.STR_LongSourcesRec)
].concat(_super.attributesToDeclare.call(this));
};
STR_LongSourcesRecord.fromStructure = function (str) {
return new STR_LongSourcesRecord(new STR_LongSourcesRecord.RecordClass({
sTR_LongSourcesAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
STR_LongSourcesRecord.IsAnonymousRecord = true;
STR_LongSourcesRecord.UniqueId = "9fc23139-d6e5-a689-cb2a-3b7f8b6d626d";
STR_LongSourcesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
STR_LongSourcesRecord.init();
return STR_LongSourcesRecord;
})(OS.DataTypes.GenericRecord);
CE_LOGGINGModel.STR_LongSourcesRecord = STR_LongSourcesRecord;

});
define("CE_LOGGING.model$STR_LongSourcesRecordList", ["exports", "OutSystems", "CE_LOGGING.model", "CE_LOGGING.model$STR_LongSourcesRecord"], function (exports, OutSystems, CE_LOGGINGModel) {
var OS = OutSystems.Internal;
var STR_LongSourcesRecordList = (function (_super) {
__extends(STR_LongSourcesRecordList, _super);
function STR_LongSourcesRecordList(defaults) {
_super.apply(this, arguments);
}
STR_LongSourcesRecordList.RecordType = CE_LOGGINGModel.STR_LongSourcesRecord;
return STR_LongSourcesRecordList;
})(OS.DataTypes.GenericRecordList);
CE_LOGGINGModel.STR_LongSourcesRecordList = STR_LongSourcesRecordList;

});
define("CE_LOGGING.model$WsErrorStructureListRec", ["exports", "OutSystems", "CE_LOGGING.model", "CE_LOGGING.model$STR_LongSourcesRecordList"], function (exports, OutSystems, CE_LOGGINGModel) {
var OS = OutSystems.Internal;
var WsErrorStructureListRec = (function (_super) {
__extends(WsErrorStructureListRec, _super);
function WsErrorStructureListRec(defaults) {
_super.apply(this, arguments);
}
WsErrorStructureListRec.attributesToDeclare = function () {
return [
this.attr("ErrorType", "errorTypeAttr", "ErrorType", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("ErrorCode", "errorCodeAttr", "ErrorCode", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("ErrorExceptionMessage", "errorExceptionMessageAttr", "ErrorExceptionMessage", false, OS.Types.Text, function () {
return "";
}), 
this.attr("ErrorMessageList", "errorMessageListAttr", "ErrorMessageList", false, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new CE_LOGGINGModel.STR_LongSourcesRecordList());
}, CE_LOGGINGModel.STR_LongSourcesRecordList)
].concat(_super.attributesToDeclare.call(this));
};
WsErrorStructureListRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
WsErrorStructureListRec.init();
return WsErrorStructureListRec;
})(OS.DataTypes.GenericRecord);
CE_LOGGINGModel.WsErrorStructureListRec = WsErrorStructureListRec;

});
define("CE_LOGGING.model$Tibco_Status_v1Rec", ["exports", "OutSystems", "CE_LOGGING.model"], function (exports, OutSystems, CE_LOGGINGModel) {
var OS = OutSystems.Internal;
var Tibco_Status_v1Rec = (function (_super) {
__extends(Tibco_Status_v1Rec, _super);
function Tibco_Status_v1Rec(defaults) {
_super.apply(this, arguments);
}
Tibco_Status_v1Rec.attributesToDeclare = function () {
return [
this.attr("eCodes_eCode", "eCodes_eCodeAttr", "eCodes_eCode", false, OS.Types.Text, function () {
return "";
}), 
this.attr("eCodes_eDesctiption", "eCodes_eDesctiptionAttr", "eCodes_eDesctiption", false, OS.Types.Text, function () {
return "";
}), 
this.attr("eNative_eCode", "eNative_eCodeAttr", "eNative_eCode", false, OS.Types.Text, function () {
return "";
}), 
this.attr("eNative_eDesctiption", "eNative_eDesctiptionAttr", "eNative_eDesctiption", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
Tibco_Status_v1Rec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
Tibco_Status_v1Rec.init();
return Tibco_Status_v1Rec;
})(OS.DataTypes.GenericRecord);
CE_LOGGINGModel.Tibco_Status_v1Rec = Tibco_Status_v1Rec;

});
define("CE_LOGGING.model$ResultOutputRec", ["exports", "OutSystems", "CE_LOGGING.model"], function (exports, OutSystems, CE_LOGGINGModel) {
var OS = OutSystems.Internal;
var ResultOutputRec = (function (_super) {
__extends(ResultOutputRec, _super);
function ResultOutputRec(defaults) {
_super.apply(this, arguments);
}
ResultOutputRec.attributesToDeclare = function () {
return [
this.attr("HasError", "hasErrorAttr", "HasError", false, OS.Types.Boolean, function () {
return false;
}), 
this.attr("IsFunctional", "isFunctionalAttr", "IsFunctional", false, OS.Types.Boolean, function () {
return false;
}), 
this.attr("ResultCode", "resultCodeAttr", "ResultCode", false, OS.Types.Text, function () {
return "";
}), 
this.attr("ResultDescription", "resultDescriptionAttr", "ResultDescription", false, OS.Types.Text, function () {
return "";
}), 
this.attr("ResultType", "resultTypeAttr", "ResultType", false, OS.Types.Text, function () {
return "";
}), 
this.attr("ResultSystem", "resultSystemAttr", "ResultSystem", false, OS.Types.Text, function () {
return "";
}), 
this.attr("NativeResultCode", "nativeResultCodeAttr", "NativeResultCode", false, OS.Types.Text, function () {
return "";
}), 
this.attr("NativeResultDescription", "nativeResultDescriptionAttr", "NativeResultDescription", false, OS.Types.Text, function () {
return "";
}), 
this.attr("NativeResultType", "nativeResultTypeAttr", "NativeResultType", false, OS.Types.Text, function () {
return "";
}), 
this.attr("NativeResultSystem", "nativeResultSystemAttr", "NativeResultSystem", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
ResultOutputRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
ResultOutputRec.init();
return ResultOutputRec;
})(OS.DataTypes.GenericRecord);
CE_LOGGINGModel.ResultOutputRec = ResultOutputRec;

});
define("CE_LOGGING.model$WsHeaderStructureRec", ["exports", "OutSystems", "CE_LOGGING.model"], function (exports, OutSystems, CE_LOGGINGModel) {
var OS = OutSystems.Internal;
var WsHeaderStructureRec = (function (_super) {
__extends(WsHeaderStructureRec, _super);
function WsHeaderStructureRec(defaults) {
_super.apply(this, arguments);
}
WsHeaderStructureRec.attributesToDeclare = function () {
return [
this.attr("MessageId", "messageIdAttr", "MessageId", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Source", "sourceAttr", "Source", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Timestamp", "timestampAttr", "Timestamp", false, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
})
].concat(_super.attributesToDeclare.call(this));
};
WsHeaderStructureRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
WsHeaderStructureRec.init();
return WsHeaderStructureRec;
})(OS.DataTypes.GenericRecord);
CE_LOGGINGModel.WsHeaderStructureRec = WsHeaderStructureRec;

});
define("CE_LOGGING.model$WsErrorStructureRec", ["exports", "OutSystems", "CE_LOGGING.model"], function (exports, OutSystems, CE_LOGGINGModel) {
var OS = OutSystems.Internal;
var WsErrorStructureRec = (function (_super) {
__extends(WsErrorStructureRec, _super);
function WsErrorStructureRec(defaults) {
_super.apply(this, arguments);
}
WsErrorStructureRec.attributesToDeclare = function () {
return [
this.attr("ErrorType", "errorTypeAttr", "ErrorType", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("ErrorCode", "errorCodeAttr", "ErrorCode", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("ErrorMessage", "errorMessageAttr", "ErrorMessage", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
WsErrorStructureRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
WsErrorStructureRec.init();
return WsErrorStructureRec;
})(OS.DataTypes.GenericRecord);
CE_LOGGINGModel.WsErrorStructureRec = WsErrorStructureRec;

});
define("CE_LOGGING.model$OutputErrorRec", ["exports", "OutSystems", "CE_LOGGING.model"], function (exports, OutSystems, CE_LOGGINGModel) {
var OS = OutSystems.Internal;
var OutputErrorRec = (function (_super) {
__extends(OutputErrorRec, _super);
function OutputErrorRec(defaults) {
_super.apply(this, arguments);
}
OutputErrorRec.attributesToDeclare = function () {
return [
this.attr("HasError", "hasErrorAttr", "HasError", false, OS.Types.Boolean, function () {
return false;
}), 
this.attr("IsFunctional", "isFunctionalAttr", "IsFunctional", false, OS.Types.Boolean, function () {
return false;
}), 
this.attr("ErrorMsg", "errorMsgAttr", "ErrorMsg", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
OutputErrorRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
OutputErrorRec.init();
return OutputErrorRec;
})(OS.DataTypes.GenericRecord);
CE_LOGGINGModel.OutputErrorRec = OutputErrorRec;

});
define("CE_LOGGING.model$LogResponseExtendedDataRec", ["exports", "OutSystems", "CE_LOGGING.model"], function (exports, OutSystems, CE_LOGGINGModel) {
var OS = OutSystems.Internal;
var LogResponseExtendedDataRec = (function (_super) {
__extends(LogResponseExtendedDataRec, _super);
function LogResponseExtendedDataRec(defaults) {
_super.apply(this, arguments);
}
LogResponseExtendedDataRec.attributesToDeclare = function () {
return [
this.attr("Name", "nameAttr", "Name", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Value", "valueAttr", "Value", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
LogResponseExtendedDataRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
LogResponseExtendedDataRec.init();
return LogResponseExtendedDataRec;
})(OS.DataTypes.GenericRecord);
CE_LOGGINGModel.LogResponseExtendedDataRec = LogResponseExtendedDataRec;

});
define("CE_LOGGING.model$eCodesRecord", ["exports", "OutSystems", "CE_LOGGING.model", "CE_LOGGING.model$eCodesRec"], function (exports, OutSystems, CE_LOGGINGModel) {
var OS = OutSystems.Internal;
var eCodesRecord = (function (_super) {
__extends(eCodesRecord, _super);
function eCodesRecord(defaults) {
_super.apply(this, arguments);
}
eCodesRecord.attributesToDeclare = function () {
return [
this.attr("eCodes", "eCodesAttr", "eCodes", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CE_LOGGINGModel.eCodesRec());
}, CE_LOGGINGModel.eCodesRec)
].concat(_super.attributesToDeclare.call(this));
};
eCodesRecord.fromStructure = function (str) {
return new eCodesRecord(new eCodesRecord.RecordClass({
eCodesAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
eCodesRecord.IsAnonymousRecord = true;
eCodesRecord.UniqueId = "0213d173-4edc-4ece-879b-60c0fe5d4b18";
eCodesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
eCodesRecord.init();
return eCodesRecord;
})(OS.DataTypes.GenericRecord);
CE_LOGGINGModel.eCodesRecord = eCodesRecord;

});
define("CE_LOGGING.model$eCodesRecordList", ["exports", "OutSystems", "CE_LOGGING.model", "CE_LOGGING.model$eCodesRecord"], function (exports, OutSystems, CE_LOGGINGModel) {
var OS = OutSystems.Internal;
var eCodesRecordList = (function (_super) {
__extends(eCodesRecordList, _super);
function eCodesRecordList(defaults) {
_super.apply(this, arguments);
}
eCodesRecordList.RecordType = CE_LOGGINGModel.eCodesRecord;
return eCodesRecordList;
})(OS.DataTypes.GenericRecordList);
CE_LOGGINGModel.eCodesRecordList = eCodesRecordList;

});
define("CE_LOGGING.model$Tibco_Status_v2Rec", ["exports", "OutSystems", "CE_LOGGING.model", "CE_LOGGING.model$eCodesRecord", "CE_LOGGING.model$eCodesRecordList"], function (exports, OutSystems, CE_LOGGINGModel) {
var OS = OutSystems.Internal;
var Tibco_Status_v2Rec = (function (_super) {
__extends(Tibco_Status_v2Rec, _super);
function Tibco_Status_v2Rec(defaults) {
_super.apply(this, arguments);
}
Tibco_Status_v2Rec.attributesToDeclare = function () {
return [
this.attr("eCodes", "eCodesAttr", "eCodes", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CE_LOGGINGModel.eCodesRecord());
}, CE_LOGGINGModel.eCodesRecord), 
this.attr("eNative", "eNativeAttr", "eNative", false, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new CE_LOGGINGModel.eCodesRecordList());
}, CE_LOGGINGModel.eCodesRecordList)
].concat(_super.attributesToDeclare.call(this));
};
Tibco_Status_v2Rec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
Tibco_Status_v2Rec.init();
return Tibco_Status_v2Rec;
})(OS.DataTypes.GenericRecord);
CE_LOGGINGModel.Tibco_Status_v2Rec = Tibco_Status_v2Rec;

});
define("CE_LOGGING.model$STR_LogNameValueRec", ["exports", "OutSystems", "CE_LOGGING.model"], function (exports, OutSystems, CE_LOGGINGModel) {
var OS = OutSystems.Internal;
var STR_LogNameValueRec = (function (_super) {
__extends(STR_LogNameValueRec, _super);
function STR_LogNameValueRec(defaults) {
_super.apply(this, arguments);
}
STR_LogNameValueRec.attributesToDeclare = function () {
return [
this.attr("Name", "nameAttr", "Name", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Value", "valueAttr", "Value", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
STR_LogNameValueRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
STR_LogNameValueRec.init();
return STR_LogNameValueRec;
})(OS.DataTypes.GenericRecord);
CE_LOGGINGModel.STR_LogNameValueRec = STR_LogNameValueRec;

});
define("CE_LOGGING.model", ["exports", "OutSystems"], function (exports, OutSystems) {
var OS = OutSystems.Internal;
var CE_LOGGINGModel = exports;
});
