﻿define("CON_GDR.model$AccessDataRec", ["exports", "OutSystems", "CON_GDR.model"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var AccessDataRec = (function (_super) {
__extends(AccessDataRec, _super);
function AccessDataRec(defaults) {
_super.apply(this, arguments);
}
AccessDataRec.attributesToDeclare = function () {
return [
this.attr("userOS", "userOSAttr", "userOS", false, OS.Types.Text, function () {
return "";
}), 
this.attr("remoteHost", "remoteHostAttr", "remoteHost", false, OS.Types.Text, function () {
return "";
}), 
this.attr("remoteIP", "remoteIPAttr", "remoteIP", false, OS.Types.Text, function () {
return "";
}), 
this.attr("otherInfo", "otherInfoAttr", "otherInfo", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
AccessDataRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
AccessDataRec.init();
return AccessDataRec;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.AccessDataRec = AccessDataRec;

});
define("CON_GDR.model$LOVRec", ["exports", "OutSystems", "CON_GDR.model"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var LOVRec = (function (_super) {
__extends(LOVRec, _super);
function LOVRec(defaults) {
_super.apply(this, arguments);
}
LOVRec.attributesToDeclare = function () {
return [
this.attr("ID", "iDAttr", "ID", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Name", "nameAttr", "Name", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Type", "typeAttr", "Type", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
LOVRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
LOVRec.init();
return LOVRec;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.LOVRec = LOVRec;

});
define("CON_GDR.model$LOVRecord", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$LOVRec"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var LOVRecord = (function (_super) {
__extends(LOVRecord, _super);
function LOVRecord(defaults) {
_super.apply(this, arguments);
}
LOVRecord.attributesToDeclare = function () {
return [
this.attr("LOV", "lOVAttr", "LOV", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.LOVRec());
}, CON_GDRModel.LOVRec)
].concat(_super.attributesToDeclare.call(this));
};
LOVRecord.fromStructure = function (str) {
return new LOVRecord(new LOVRecord.RecordClass({
lOVAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
LOVRecord.IsAnonymousRecord = true;
LOVRecord.UniqueId = "e142c04e-8361-11f2-a85f-47c8d2dda976";
LOVRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
LOVRecord.init();
return LOVRecord;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.LOVRecord = LOVRecord;

});
define("CON_GDR.model$LOVRecordList", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$LOVRecord"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var LOVRecordList = (function (_super) {
__extends(LOVRecordList, _super);
function LOVRecordList(defaults) {
_super.apply(this, arguments);
}
LOVRecordList.RecordType = CON_GDRModel.LOVRecord;
return LOVRecordList;
})(OS.DataTypes.GenericRecordList);
CON_GDRModel.LOVRecordList = LOVRecordList;

});
define("CON_GDR.model$LOV_inRec", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$LOVRecordList"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var LOV_inRec = (function (_super) {
__extends(LOV_inRec, _super);
function LOV_inRec(defaults) {
_super.apply(this, arguments);
}
LOV_inRec.attributesToDeclare = function () {
return [
this.attr("LOVs", "lOVsAttr", "LOVs", false, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.LOVRecordList());
}, CON_GDRModel.LOVRecordList), 
this.attr("MappingID", "mappingIDAttr", "MappingID", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Type", "typeAttr", "Type", false, OS.Types.Text, function () {
return "";
}), 
this.attr("TypeID", "typeIDAttr", "TypeID", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
LOV_inRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
LOV_inRec.init();
return LOV_inRec;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.LOV_inRec = LOV_inRec;

});
define("CON_GDR.model$LOV2_outRec", ["exports", "OutSystems", "CON_GDR.model"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var LOV2_outRec = (function (_super) {
__extends(LOV2_outRec, _super);
function LOV2_outRec(defaults) {
_super.apply(this, arguments);
}
LOV2_outRec.attributesToDeclare = function () {
return [
this.attr("ID", "iDAttr", "ID", false, OS.Types.Text, function () {
return "";
}), 
this.attr("MappingID", "mappingIDAttr", "MappingID", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Name", "nameAttr", "Name", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Status", "statusAttr", "Status", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Type", "typeAttr", "Type", false, OS.Types.Text, function () {
return "";
}), 
this.attr("TypeID", "typeIDAttr", "TypeID", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Value", "valueAttr", "Value", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
LOV2_outRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
LOV2_outRec.init();
return LOV2_outRec;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.LOV2_outRec = LOV2_outRec;

});
define("CON_GDR.model$LOV2_outRecord", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$LOV2_outRec"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var LOV2_outRecord = (function (_super) {
__extends(LOV2_outRecord, _super);
function LOV2_outRecord(defaults) {
_super.apply(this, arguments);
}
LOV2_outRecord.attributesToDeclare = function () {
return [
this.attr("LOV2_out", "lOV2_outAttr", "LOV2_out", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.LOV2_outRec());
}, CON_GDRModel.LOV2_outRec)
].concat(_super.attributesToDeclare.call(this));
};
LOV2_outRecord.fromStructure = function (str) {
return new LOV2_outRecord(new LOV2_outRecord.RecordClass({
lOV2_outAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
LOV2_outRecord.IsAnonymousRecord = true;
LOV2_outRecord.UniqueId = "4ddc638c-e26d-9ec5-228c-5ca8769abbf8";
LOV2_outRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
LOV2_outRecord.init();
return LOV2_outRecord;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.LOV2_outRecord = LOV2_outRecord;

});
define("CON_GDR.model$LOV2_outRecordList", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$LOV2_outRecord"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var LOV2_outRecordList = (function (_super) {
__extends(LOV2_outRecordList, _super);
function LOV2_outRecordList(defaults) {
_super.apply(this, arguments);
}
LOV2_outRecordList.RecordType = CON_GDRModel.LOV2_outRecord;
return LOV2_outRecordList;
})(OS.DataTypes.GenericRecordList);
CON_GDRModel.LOV2_outRecordList = LOV2_outRecordList;

});
define("CON_GDR.model$Parameter_outRec", ["exports", "OutSystems", "CON_GDR.model"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var Parameter_outRec = (function (_super) {
__extends(Parameter_outRec, _super);
function Parameter_outRec(defaults) {
_super.apply(this, arguments);
}
Parameter_outRec.attributesToDeclare = function () {
return [
this.attr("Name", "nameAttr", "Name", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Type", "typeAttr", "Type", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Value", "valueAttr", "Value", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
Parameter_outRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
Parameter_outRec.init();
return Parameter_outRec;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.Parameter_outRec = Parameter_outRec;

});
define("CON_GDR.model$Parameter_outRecord", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$Parameter_outRec"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var Parameter_outRecord = (function (_super) {
__extends(Parameter_outRecord, _super);
function Parameter_outRecord(defaults) {
_super.apply(this, arguments);
}
Parameter_outRecord.attributesToDeclare = function () {
return [
this.attr("Parameter_out", "parameter_outAttr", "Parameter_out", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.Parameter_outRec());
}, CON_GDRModel.Parameter_outRec)
].concat(_super.attributesToDeclare.call(this));
};
Parameter_outRecord.fromStructure = function (str) {
return new Parameter_outRecord(new Parameter_outRecord.RecordClass({
parameter_outAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Parameter_outRecord.IsAnonymousRecord = true;
Parameter_outRecord.UniqueId = "15716fa2-2a53-fcd6-6bc1-a95662835f28";
Parameter_outRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
Parameter_outRecord.init();
return Parameter_outRecord;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.Parameter_outRecord = Parameter_outRecord;

});
define("CON_GDR.model$Parameter_outRecordList", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$Parameter_outRecord"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var Parameter_outRecordList = (function (_super) {
__extends(Parameter_outRecordList, _super);
function Parameter_outRecordList(defaults) {
_super.apply(this, arguments);
}
Parameter_outRecordList.RecordType = CON_GDRModel.Parameter_outRecord;
return Parameter_outRecordList;
})(OS.DataTypes.GenericRecordList);
CON_GDRModel.Parameter_outRecordList = Parameter_outRecordList;

});
define("CON_GDR.model$LOV_outRec", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$LOV2_outRecordList", "CON_GDR.model$Parameter_outRecordList"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var LOV_outRec = (function (_super) {
__extends(LOV_outRec, _super);
function LOV_outRec(defaults) {
_super.apply(this, arguments);
}
LOV_outRec.attributesToDeclare = function () {
return [
this.attr("LOVs", "lOVsAttr", "LOVs", false, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.LOV2_outRecordList());
}, CON_GDRModel.LOV2_outRecordList), 
this.attr("Parameters", "parametersAttr", "Parameters", false, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.Parameter_outRecordList());
}, CON_GDRModel.Parameter_outRecordList), 
this.attr("IsMapping", "isMappingAttr", "IsMapping", false, OS.Types.Text, function () {
return "";
}), 
this.attr("MappingID", "mappingIDAttr", "MappingID", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Status", "statusAttr", "Status", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Type", "typeAttr", "Type", false, OS.Types.Text, function () {
return "";
}), 
this.attr("TypeID", "typeIDAttr", "TypeID", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
LOV_outRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
LOV_outRec.init();
return LOV_outRec;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.LOV_outRec = LOV_outRec;

});
define("CON_GDR.model$LOV_outRecord", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$LOV_outRec"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var LOV_outRecord = (function (_super) {
__extends(LOV_outRecord, _super);
function LOV_outRecord(defaults) {
_super.apply(this, arguments);
}
LOV_outRecord.attributesToDeclare = function () {
return [
this.attr("LOV_out", "lOV_outAttr", "LOV_out", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.LOV_outRec());
}, CON_GDRModel.LOV_outRec)
].concat(_super.attributesToDeclare.call(this));
};
LOV_outRecord.fromStructure = function (str) {
return new LOV_outRecord(new LOV_outRecord.RecordClass({
lOV_outAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
LOV_outRecord.IsAnonymousRecord = true;
LOV_outRecord.UniqueId = "672a882b-decc-3c41-1c0b-6f0307fea22e";
LOV_outRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
LOV_outRecord.init();
return LOV_outRecord;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.LOV_outRecord = LOV_outRecord;

});
define("CON_GDR.model$LOV_outRecordList", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$LOV_outRecord"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var LOV_outRecordList = (function (_super) {
__extends(LOV_outRecordList, _super);
function LOV_outRecordList(defaults) {
_super.apply(this, arguments);
}
LOV_outRecordList.RecordType = CON_GDRModel.LOV_outRecord;
return LOV_outRecordList;
})(OS.DataTypes.GenericRecordList);
CON_GDRModel.LOV_outRecordList = LOV_outRecordList;

});
define("CON_GDR.model$LOVs_outRec", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$LOV_outRecordList"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var LOVs_outRec = (function (_super) {
__extends(LOVs_outRec, _super);
function LOVs_outRec(defaults) {
_super.apply(this, arguments);
}
LOVs_outRec.attributesToDeclare = function () {
return [
this.attr("LOV", "lOVAttr", "LOV", false, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.LOV_outRecordList());
}, CON_GDRModel.LOV_outRecordList), 
this.attr("Count", "countAttr", "Count", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
LOVs_outRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
LOVs_outRec.init();
return LOVs_outRec;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.LOVs_outRec = LOVs_outRec;

});
define("CON_GDR.model$LOVs_outRecord", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$LOVs_outRec"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var LOVs_outRecord = (function (_super) {
__extends(LOVs_outRecord, _super);
function LOVs_outRecord(defaults) {
_super.apply(this, arguments);
}
LOVs_outRecord.attributesToDeclare = function () {
return [
this.attr("LOVs_out", "lOVs_outAttr", "LOVs_out", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.LOVs_outRec());
}, CON_GDRModel.LOVs_outRec)
].concat(_super.attributesToDeclare.call(this));
};
LOVs_outRecord.fromStructure = function (str) {
return new LOVs_outRecord(new LOVs_outRecord.RecordClass({
lOVs_outAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
LOVs_outRecord.IsAnonymousRecord = true;
LOVs_outRecord.UniqueId = "77b0945c-285e-ac5c-a538-539000fbb573";
LOVs_outRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
LOVs_outRecord.init();
return LOVs_outRecord;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.LOVs_outRecord = LOVs_outRecord;

});
define("CON_GDR.model$DataOutputRec", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$LOVs_outRecord"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var DataOutputRec = (function (_super) {
__extends(DataOutputRec, _super);
function DataOutputRec(defaults) {
_super.apply(this, arguments);
}
DataOutputRec.attributesToDeclare = function () {
return [
this.attr("LOVs", "lOVsAttr", "LOVs", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.LOVs_outRecord());
}, CON_GDRModel.LOVs_outRecord)
].concat(_super.attributesToDeclare.call(this));
};
DataOutputRec.fromStructure = function (str) {
return new DataOutputRec(new DataOutputRec.RecordClass({
lOVsAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
DataOutputRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
DataOutputRec.init();
return DataOutputRec;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.DataOutputRec = DataOutputRec;

});
define("CON_GDR.model$eCodesRec", ["exports", "OutSystems", "CON_GDR.model"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var eCodesRec = (function (_super) {
__extends(eCodesRec, _super);
function eCodesRec(defaults) {
_super.apply(this, arguments);
}
eCodesRec.attributesToDeclare = function () {
return [
this.attr("eCode", "eCodeAttr", "eCode", false, OS.Types.Text, function () {
return "";
}), 
this.attr("eDescription", "eDescriptionAttr", "eDescription", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
eCodesRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
eCodesRec.init();
return eCodesRec;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.eCodesRec = eCodesRec;

});
define("CON_GDR.model$eCodesRecord", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$eCodesRec"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var eCodesRecord = (function (_super) {
__extends(eCodesRecord, _super);
function eCodesRecord(defaults) {
_super.apply(this, arguments);
}
eCodesRecord.attributesToDeclare = function () {
return [
this.attr("eCodes", "eCodesAttr", "eCodes", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.eCodesRec());
}, CON_GDRModel.eCodesRec)
].concat(_super.attributesToDeclare.call(this));
};
eCodesRecord.fromStructure = function (str) {
return new eCodesRecord(new eCodesRecord.RecordClass({
eCodesAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
eCodesRecord.IsAnonymousRecord = true;
eCodesRecord.UniqueId = "a84e3baa-b15a-a729-3f48-5e19d6427728";
eCodesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
eCodesRecord.init();
return eCodesRecord;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.eCodesRecord = eCodesRecord;

});
define("CON_GDR.model$eNativeRec", ["exports", "OutSystems", "CON_GDR.model"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var eNativeRec = (function (_super) {
__extends(eNativeRec, _super);
function eNativeRec(defaults) {
_super.apply(this, arguments);
}
eNativeRec.attributesToDeclare = function () {
return [
this.attr("eCode", "eCodeAttr", "eCode", false, OS.Types.Text, function () {
return "";
}), 
this.attr("eDescription", "eDescriptionAttr", "eDescription", false, OS.Types.Text, function () {
return "";
}), 
this.attr("eSystem", "eSystemAttr", "eSystem", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
eNativeRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
eNativeRec.init();
return eNativeRec;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.eNativeRec = eNativeRec;

});
define("CON_GDR.model$eNativeRecord", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$eNativeRec"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var eNativeRecord = (function (_super) {
__extends(eNativeRecord, _super);
function eNativeRecord(defaults) {
_super.apply(this, arguments);
}
eNativeRecord.attributesToDeclare = function () {
return [
this.attr("eNative", "eNativeAttr", "eNative", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.eNativeRec());
}, CON_GDRModel.eNativeRec)
].concat(_super.attributesToDeclare.call(this));
};
eNativeRecord.fromStructure = function (str) {
return new eNativeRecord(new eNativeRecord.RecordClass({
eNativeAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
eNativeRecord.IsAnonymousRecord = true;
eNativeRecord.UniqueId = "552ceede-690e-5573-d4c6-dd9f92b9f431";
eNativeRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
eNativeRecord.init();
return eNativeRecord;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.eNativeRecord = eNativeRecord;

});
define("CON_GDR.model$eNativeRecordList", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$eNativeRecord"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var eNativeRecordList = (function (_super) {
__extends(eNativeRecordList, _super);
function eNativeRecordList(defaults) {
_super.apply(this, arguments);
}
eNativeRecordList.RecordType = CON_GDRModel.eNativeRecord;
return eNativeRecordList;
})(OS.DataTypes.GenericRecordList);
CON_GDRModel.eNativeRecordList = eNativeRecordList;

});
define("CON_GDR.model$StatusRec", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$eCodesRecord", "CON_GDR.model$eNativeRecordList"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var StatusRec = (function (_super) {
__extends(StatusRec, _super);
function StatusRec(defaults) {
_super.apply(this, arguments);
}
StatusRec.attributesToDeclare = function () {
return [
this.attr("eCodes", "eCodesAttr", "eCodes", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.eCodesRecord());
}, CON_GDRModel.eCodesRecord), 
this.attr("eNative", "eNativeAttr", "eNative", false, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.eNativeRecordList());
}, CON_GDRModel.eNativeRecordList)
].concat(_super.attributesToDeclare.call(this));
};
StatusRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
StatusRec.init();
return StatusRec;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.StatusRec = StatusRec;

});
define("CON_GDR.model$LOV_inRecord", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$LOV_inRec"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var LOV_inRecord = (function (_super) {
__extends(LOV_inRecord, _super);
function LOV_inRecord(defaults) {
_super.apply(this, arguments);
}
LOV_inRecord.attributesToDeclare = function () {
return [
this.attr("LOV_in", "lOV_inAttr", "LOV_in", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.LOV_inRec());
}, CON_GDRModel.LOV_inRec)
].concat(_super.attributesToDeclare.call(this));
};
LOV_inRecord.fromStructure = function (str) {
return new LOV_inRecord(new LOV_inRecord.RecordClass({
lOV_inAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
LOV_inRecord.IsAnonymousRecord = true;
LOV_inRecord.UniqueId = "e59111e4-900b-d3d9-cfd7-37bab4d010d1";
LOV_inRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
LOV_inRecord.init();
return LOV_inRecord;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.LOV_inRecord = LOV_inRecord;

});
define("CON_GDR.model$DataInputRec", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$LOV_inRecord"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var DataInputRec = (function (_super) {
__extends(DataInputRec, _super);
function DataInputRec(defaults) {
_super.apply(this, arguments);
}
DataInputRec.attributesToDeclare = function () {
return [
this.attr("LOV", "lOVAttr", "LOV", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.LOV_inRecord());
}, CON_GDRModel.LOV_inRecord)
].concat(_super.attributesToDeclare.call(this));
};
DataInputRec.fromStructure = function (str) {
return new DataInputRec(new DataInputRec.RecordClass({
lOVAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
DataInputRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
DataInputRec.init();
return DataInputRec;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.DataInputRec = DataInputRec;

});
define("CON_GDR.model$ParameterRec", ["exports", "OutSystems", "CON_GDR.model"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var ParameterRec = (function (_super) {
__extends(ParameterRec, _super);
function ParameterRec(defaults) {
_super.apply(this, arguments);
}
ParameterRec.attributesToDeclare = function () {
return [
this.attr("name", "nameAttr", "name", false, OS.Types.Text, function () {
return "";
}), 
this.attr("value", "valueAttr", "value", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
ParameterRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
ParameterRec.init();
return ParameterRec;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.ParameterRec = ParameterRec;

});
define("CON_GDR.model$ParameterRecord", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$ParameterRec"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var ParameterRecord = (function (_super) {
__extends(ParameterRecord, _super);
function ParameterRecord(defaults) {
_super.apply(this, arguments);
}
ParameterRecord.attributesToDeclare = function () {
return [
this.attr("Parameter", "parameterAttr", "Parameter", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.ParameterRec());
}, CON_GDRModel.ParameterRec)
].concat(_super.attributesToDeclare.call(this));
};
ParameterRecord.fromStructure = function (str) {
return new ParameterRecord(new ParameterRecord.RecordClass({
parameterAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
ParameterRecord.IsAnonymousRecord = true;
ParameterRecord.UniqueId = "988dee5f-29d9-a433-26e0-21c7c8cc03fe";
ParameterRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
ParameterRecord.init();
return ParameterRecord;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.ParameterRecord = ParameterRecord;

});
define("CON_GDR.model$ParameterRecordList", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$ParameterRecord"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var ParameterRecordList = (function (_super) {
__extends(ParameterRecordList, _super);
function ParameterRecordList(defaults) {
_super.apply(this, arguments);
}
ParameterRecordList.RecordType = CON_GDRModel.ParameterRecord;
return ParameterRecordList;
})(OS.DataTypes.GenericRecordList);
CON_GDRModel.ParameterRecordList = ParameterRecordList;

});
define("CON_GDR.model$AccessDataRecord", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$AccessDataRec"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var AccessDataRecord = (function (_super) {
__extends(AccessDataRecord, _super);
function AccessDataRecord(defaults) {
_super.apply(this, arguments);
}
AccessDataRecord.attributesToDeclare = function () {
return [
this.attr("AccessData", "accessDataAttr", "AccessData", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.AccessDataRec());
}, CON_GDRModel.AccessDataRec)
].concat(_super.attributesToDeclare.call(this));
};
AccessDataRecord.fromStructure = function (str) {
return new AccessDataRecord(new AccessDataRecord.RecordClass({
accessDataAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
AccessDataRecord.IsAnonymousRecord = true;
AccessDataRecord.UniqueId = "7f5c818e-bc41-4b15-9e4f-203c1ef6c9f9";
AccessDataRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
AccessDataRecord.init();
return AccessDataRecord;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.AccessDataRecord = AccessDataRecord;

});
define("CON_GDR.model$HistoryStepRec", ["exports", "OutSystems", "CON_GDR.model"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var HistoryStepRec = (function (_super) {
__extends(HistoryStepRec, _super);
function HistoryStepRec(defaults) {
_super.apply(this, arguments);
}
HistoryStepRec.attributesToDeclare = function () {
return [
this.attr("domainName", "domainNameAttr", "domainName", false, OS.Types.Text, function () {
return "";
}), 
this.attr("domainType", "domainTypeAttr", "domainType", false, OS.Types.Text, function () {
return "";
}), 
this.attr("domainInstance", "domainInstanceAttr", "domainInstance", false, OS.Types.Text, function () {
return "";
}), 
this.attr("serviceName", "serviceNameAttr", "serviceName", false, OS.Types.Text, function () {
return "";
}), 
this.attr("serviceType", "serviceTypeAttr", "serviceType", false, OS.Types.Text, function () {
return "";
}), 
this.attr("starterName", "starterNameAttr", "starterName", false, OS.Types.Text, function () {
return "";
}), 
this.attr("timestamp", "timestampAttr", "timestamp", false, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("step", "stepAttr", "step", false, OS.Types.Integer, function () {
return 0;
})
].concat(_super.attributesToDeclare.call(this));
};
HistoryStepRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
HistoryStepRec.init();
return HistoryStepRec;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.HistoryStepRec = HistoryStepRec;

});
define("CON_GDR.model$HistoryStepRecord", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$HistoryStepRec"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var HistoryStepRecord = (function (_super) {
__extends(HistoryStepRecord, _super);
function HistoryStepRecord(defaults) {
_super.apply(this, arguments);
}
HistoryStepRecord.attributesToDeclare = function () {
return [
this.attr("HistoryStep", "historyStepAttr", "HistoryStep", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.HistoryStepRec());
}, CON_GDRModel.HistoryStepRec)
].concat(_super.attributesToDeclare.call(this));
};
HistoryStepRecord.fromStructure = function (str) {
return new HistoryStepRecord(new HistoryStepRecord.RecordClass({
historyStepAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
HistoryStepRecord.IsAnonymousRecord = true;
HistoryStepRecord.UniqueId = "340a9c15-d881-d07a-9f8c-1b472decdd49";
HistoryStepRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
HistoryStepRecord.init();
return HistoryStepRecord;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.HistoryStepRecord = HistoryStepRecord;

});
define("CON_GDR.model$HistoryStepRecordList", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$HistoryStepRecord"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var HistoryStepRecordList = (function (_super) {
__extends(HistoryStepRecordList, _super);
function HistoryStepRecordList(defaults) {
_super.apply(this, arguments);
}
HistoryStepRecordList.RecordType = CON_GDRModel.HistoryStepRecord;
return HistoryStepRecordList;
})(OS.DataTypes.GenericRecordList);
CON_GDRModel.HistoryStepRecordList = HistoryStepRecordList;

});
define("CON_GDR.model$StatusRecord", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$StatusRec"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var StatusRecord = (function (_super) {
__extends(StatusRecord, _super);
function StatusRecord(defaults) {
_super.apply(this, arguments);
}
StatusRecord.attributesToDeclare = function () {
return [
this.attr("Status", "statusAttr", "Status", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.StatusRec());
}, CON_GDRModel.StatusRec)
].concat(_super.attributesToDeclare.call(this));
};
StatusRecord.fromStructure = function (str) {
return new StatusRecord(new StatusRecord.RecordClass({
statusAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
StatusRecord.IsAnonymousRecord = true;
StatusRecord.UniqueId = "4d87387d-ce4c-bf9e-2410-063355b653a7";
StatusRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
StatusRecord.init();
return StatusRecord;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.StatusRecord = StatusRecord;

});
define("CON_GDR.model$HeaderRec", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$ParameterRecordList", "CON_GDR.model$AccessDataRecord", "CON_GDR.model$HistoryStepRecordList", "CON_GDR.model$StatusRecord"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var HeaderRec = (function (_super) {
__extends(HeaderRec, _super);
function HeaderRec(defaults) {
_super.apply(this, arguments);
}
HeaderRec.attributesToDeclare = function () {
return [
this.attr("timeout", "timeoutAttr", "timeout", false, OS.Types.Text, function () {
return "";
}), 
this.attr("retries", "retriesAttr", "retries", false, OS.Types.Text, function () {
return "";
}), 
this.attr("retryInterval", "retryIntervalAttr", "retryInterval", false, OS.Types.Text, function () {
return "";
}), 
this.attr("creationTime", "creationTimeAttr", "creationTime", false, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("iTrackingID", "iTrackingIDAttr", "iTrackingID", false, OS.Types.Text, function () {
return "";
}), 
this.attr("eTrackingID", "eTrackingIDAttr", "eTrackingID", false, OS.Types.Text, function () {
return "";
}), 
this.attr("application", "applicationAttr", "application", false, OS.Types.Text, function () {
return "";
}), 
this.attr("user", "userAttr", "user", false, OS.Types.Text, function () {
return "";
}), 
this.attr("process", "processAttr", "process", false, OS.Types.Text, function () {
return "";
}), 
this.attr("async", "asyncAttr", "async", false, OS.Types.Text, function () {
return "";
}), 
this.attr("expiryDate", "expiryDateAttr", "expiryDate", false, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("dueDate", "dueDateAttr", "dueDate", false, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("asyncReply", "asyncReplyAttr", "asyncReply", false, OS.Types.Text, function () {
return "";
}), 
this.attr("asyncReplyDestination", "asyncReplyDestinationAttr", "asyncReplyDestination", false, OS.Types.Text, function () {
return "";
}), 
this.attr("responseURL", "responseURLAttr", "responseURL", false, OS.Types.Text, function () {
return "";
}), 
this.attr("showDetails", "showDetailsAttr", "showDetails", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Parameters", "parametersAttr", "Parameters", false, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.ParameterRecordList());
}, CON_GDRModel.ParameterRecordList), 
this.attr("AccessData", "accessDataAttr", "AccessData", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.AccessDataRecord());
}, CON_GDRModel.AccessDataRecord), 
this.attr("History", "historyAttr", "History", false, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.HistoryStepRecordList());
}, CON_GDRModel.HistoryStepRecordList), 
this.attr("Status", "statusAttr", "Status", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.StatusRecord());
}, CON_GDRModel.StatusRecord)
].concat(_super.attributesToDeclare.call(this));
};
HeaderRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
HeaderRec.init();
return HeaderRec;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.HeaderRec = HeaderRec;

});
define("CON_GDR.model$HeaderRecord", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$HeaderRec"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var HeaderRecord = (function (_super) {
__extends(HeaderRecord, _super);
function HeaderRecord(defaults) {
_super.apply(this, arguments);
}
HeaderRecord.attributesToDeclare = function () {
return [
this.attr("Header", "headerAttr", "Header", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.HeaderRec());
}, CON_GDRModel.HeaderRec)
].concat(_super.attributesToDeclare.call(this));
};
HeaderRecord.fromStructure = function (str) {
return new HeaderRecord(new HeaderRecord.RecordClass({
headerAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
HeaderRecord.IsAnonymousRecord = true;
HeaderRecord.UniqueId = "69ced275-c450-b6ad-6eb3-ab0212fb976b";
HeaderRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
HeaderRecord.init();
return HeaderRecord;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.HeaderRecord = HeaderRecord;

});
define("CON_GDR.model$DataOutputRecord", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$DataOutputRec"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var DataOutputRecord = (function (_super) {
__extends(DataOutputRecord, _super);
function DataOutputRecord(defaults) {
_super.apply(this, arguments);
}
DataOutputRecord.attributesToDeclare = function () {
return [
this.attr("DataOutput", "dataOutputAttr", "DataOutput", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.DataOutputRec());
}, CON_GDRModel.DataOutputRec)
].concat(_super.attributesToDeclare.call(this));
};
DataOutputRecord.fromStructure = function (str) {
return new DataOutputRecord(new DataOutputRecord.RecordClass({
dataOutputAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
DataOutputRecord.IsAnonymousRecord = true;
DataOutputRecord.UniqueId = "db59abdb-af62-ffb8-4e8c-e5ba5bd15c21";
DataOutputRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
DataOutputRecord.init();
return DataOutputRecord;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.DataOutputRecord = DataOutputRecord;

});
define("CON_GDR.model$outputMessageRec", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$HeaderRecord", "CON_GDR.model$DataOutputRecord"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var outputMessageRec = (function (_super) {
__extends(outputMessageRec, _super);
function outputMessageRec(defaults) {
_super.apply(this, arguments);
}
outputMessageRec.attributesToDeclare = function () {
return [
this.attr("Header", "headerAttr", "Header", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.HeaderRecord());
}, CON_GDRModel.HeaderRecord), 
this.attr("DataOutput", "dataOutputAttr", "DataOutput", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.DataOutputRecord());
}, CON_GDRModel.DataOutputRecord)
].concat(_super.attributesToDeclare.call(this));
};
outputMessageRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
outputMessageRec.init();
return outputMessageRec;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.outputMessageRec = outputMessageRec;

});
define("CON_GDR.model$DataInputRecord", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$DataInputRec"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var DataInputRecord = (function (_super) {
__extends(DataInputRecord, _super);
function DataInputRecord(defaults) {
_super.apply(this, arguments);
}
DataInputRecord.attributesToDeclare = function () {
return [
this.attr("DataInput", "dataInputAttr", "DataInput", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.DataInputRec());
}, CON_GDRModel.DataInputRec)
].concat(_super.attributesToDeclare.call(this));
};
DataInputRecord.fromStructure = function (str) {
return new DataInputRecord(new DataInputRecord.RecordClass({
dataInputAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
DataInputRecord.IsAnonymousRecord = true;
DataInputRecord.UniqueId = "fd72b139-81a1-3670-c497-16194914844d";
DataInputRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
DataInputRecord.init();
return DataInputRecord;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.DataInputRecord = DataInputRecord;

});
define("CON_GDR.model$inputMessageRec", ["exports", "OutSystems", "CON_GDR.model", "CON_GDR.model$HeaderRecord", "CON_GDR.model$DataInputRecord"], function (exports, OutSystems, CON_GDRModel) {
var OS = OutSystems.Internal;
var inputMessageRec = (function (_super) {
__extends(inputMessageRec, _super);
function inputMessageRec(defaults) {
_super.apply(this, arguments);
}
inputMessageRec.attributesToDeclare = function () {
return [
this.attr("Header", "headerAttr", "Header", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.HeaderRecord());
}, CON_GDRModel.HeaderRecord), 
this.attr("DataInput", "dataInputAttr", "DataInput", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CON_GDRModel.DataInputRecord());
}, CON_GDRModel.DataInputRecord)
].concat(_super.attributesToDeclare.call(this));
};
inputMessageRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
inputMessageRec.init();
return inputMessageRec;
})(OS.DataTypes.GenericRecord);
CON_GDRModel.inputMessageRec = inputMessageRec;

});
define("CON_GDR.model", ["exports", "OutSystems"], function (exports, OutSystems) {
var OS = OutSystems.Internal;
var CON_GDRModel = exports;
});
