﻿define("ChartsMobile.Charts.GenericChart.mvc$model", ["OutSystems", "ChartsMobile.model", "ChartsMobile.model$AdvancedDataPointFormatList", "ChartsMobile.model$HighChartRec", "ChartsMobile.model$AdvancedDataSeriesFormatList", "ChartsMobile.model$DataPointRec", "ChartsMobile.model$XAxisFormatRec", "ChartsMobile.model$YAxisFormatRec", "ChartsMobile.model$ChartFormatRec", "ChartsMobile.model$AdvancedFormatRec"], function (OutSystems, ChartsMobileModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("ContainerId", "containerIdVar", "ContainerId", true, OS.Types.Text, function () {
return "";
}), 
this.attr("HighChart", "highChartIn", "HighChart", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.HighChartRec());
}, ChartsMobileModel.HighChartRec), 
this.attr("_highChartInDataFetchStatus", "_highChartInDataFetchStatus", "_highChartInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IsClickable", "isClickableIn", "IsClickable", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_isClickableInDataFetchStatus", "_isClickableInDataFetchStatus", "_isClickableInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("LegendPositionId", "legendPositionIdIn", "LegendPositionId", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("_legendPositionIdInDataFetchStatus", "_legendPositionIdInDataFetchStatus", "_legendPositionIdInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("XAxisFormat", "xAxisFormatIn", "XAxisFormat", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.XAxisFormatRec());
}, ChartsMobileModel.XAxisFormatRec), 
this.attr("_xAxisFormatInDataFetchStatus", "_xAxisFormatInDataFetchStatus", "_xAxisFormatInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("YAxisFormat", "yAxisFormatIn", "YAxisFormat", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.YAxisFormatRec());
}, ChartsMobileModel.YAxisFormatRec), 
this.attr("_yAxisFormatInDataFetchStatus", "_yAxisFormatInDataFetchStatus", "_yAxisFormatInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ChartFormat", "chartFormatIn", "ChartFormat", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.ChartFormatRec());
}, ChartsMobileModel.ChartFormatRec), 
this.attr("_chartFormatInDataFetchStatus", "_chartFormatInDataFetchStatus", "_chartFormatInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("AdvancedFormat", "advancedFormatIn", "AdvancedFormat", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.AdvancedFormatRec());
}, ChartsMobileModel.AdvancedFormatRec), 
this.attr("_advancedFormatInDataFetchStatus", "_advancedFormatInDataFetchStatus", "_advancedFormatInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return false;
}
});

Model.prototype.setInputs = function (inputs) {
if("HighChart" in inputs) {
this.variables.highChartIn = inputs.HighChart;
if("_highChartInDataFetchStatus" in inputs) {
this.variables._highChartInDataFetchStatus = inputs._highChartInDataFetchStatus;
}

}

if("IsClickable" in inputs) {
this.variables.isClickableIn = inputs.IsClickable;
if("_isClickableInDataFetchStatus" in inputs) {
this.variables._isClickableInDataFetchStatus = inputs._isClickableInDataFetchStatus;
}

}

if("LegendPositionId" in inputs) {
this.variables.legendPositionIdIn = inputs.LegendPositionId;
if("_legendPositionIdInDataFetchStatus" in inputs) {
this.variables._legendPositionIdInDataFetchStatus = inputs._legendPositionIdInDataFetchStatus;
}

}

if("XAxisFormat" in inputs) {
this.variables.xAxisFormatIn = inputs.XAxisFormat;
if("_xAxisFormatInDataFetchStatus" in inputs) {
this.variables._xAxisFormatInDataFetchStatus = inputs._xAxisFormatInDataFetchStatus;
}

}

if("YAxisFormat" in inputs) {
this.variables.yAxisFormatIn = inputs.YAxisFormat;
if("_yAxisFormatInDataFetchStatus" in inputs) {
this.variables._yAxisFormatInDataFetchStatus = inputs._yAxisFormatInDataFetchStatus;
}

}

if("ChartFormat" in inputs) {
this.variables.chartFormatIn = inputs.ChartFormat;
if("_chartFormatInDataFetchStatus" in inputs) {
this.variables._chartFormatInDataFetchStatus = inputs._chartFormatInDataFetchStatus;
}

}

if("AdvancedFormat" in inputs) {
this.variables.advancedFormatIn = inputs.AdvancedFormat;
if("_advancedFormatInDataFetchStatus" in inputs) {
this.variables._advancedFormatInDataFetchStatus = inputs._advancedFormatInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("ChartsMobile.Charts.GenericChart.mvc$view", ["OutSystems", "ChartsMobile.model", "ChartsMobile.controller", "react", "OutSystemsReactView", "ChartsMobile.Charts.GenericChart.mvc$model", "ChartsMobile.Charts.GenericChart.mvc$controller", "OutSystemsReactWidgets", "ChartsMobile.model$AdvancedDataPointFormatList", "ChartsMobile.model$HighChartRec", "ChartsMobile.model$AdvancedDataSeriesFormatList", "ChartsMobile.model$DataPointRec", "ChartsMobile.model$XAxisFormatRec", "ChartsMobile.model$YAxisFormatRec", "ChartsMobile.model$ChartFormatRec", "ChartsMobile.model$AdvancedFormatRec"], function (OutSystems, ChartsMobileModel, ChartsMobileController, React, OSView, ChartsMobile_Charts_GenericChart_mvc_model, ChartsMobile_Charts_GenericChart_mvc_controller, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Charts.GenericChart";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css", "css/ChartsMobile.Charts.GenericChart.css"];
        };
        View.getJsDependencies = function() {
            return ["scripts/ChartsMobile.Highcharts.js", "scripts/ChartsMobile.MobileCharts.js", "scripts/ChartsMobile.Highcharts3d.js"];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return ChartsMobile_Charts_GenericChart_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return ChartsMobile_Charts_GenericChart_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
style: model.getCachedValue(idService.getId("xGrnDZU8tEyJIH0RJW_Flg.style"), function () {
return (((model.variables.highChartIn.chartAttr.heightAttr > 0)) ? ((("min-height:" + (model.variables.highChartIn.chartAttr.heightAttr).toString()) + "px")) : (""));
}, function () {
return model.variables.highChartIn.chartAttr.heightAttr;
})
},
gridProperties: {
marginTop: "Auto"
},
style: "chart-container-wrapper needsclick",
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
name: "chartcontainer"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
gridProperties: {
classes: "OSAutoMarginTop"
},
style: "background-primary-color invisible",
visible: true,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider
})));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("ChartsMobile.Charts.GenericChart.mvc$controller", ["OutSystems", "ChartsMobile.model", "ChartsMobile.controller", "ChartsMobile.languageResources", "ChartsMobile.Charts.GenericChart.mvc$controller.OnParametersChanged.InitializeChartObjJS", "ChartsMobile.Charts.GenericChart.mvc$controller.OnParametersChanged.CustomForChartTypeJS", "ChartsMobile.Charts.GenericChart.mvc$controller.OnParametersChanged.MergeHighchartsJSONJS", "ChartsMobile.Charts.GenericChart.mvc$controller.OnParametersChanged.RenderHighChartsJS", "ChartsMobile.Charts.GenericChart.mvc$controller.OnParametersChanged.UpdateChartSeriesJS", "ChartsMobile.Charts.GenericChart.mvc$controller.OnDestroy.DestroyChartJS", "ChartsMobile.Charts.GenericChart.mvc$controller.DataClicked.GetValuesJS", "ChartsMobile.model$AdvancedDataPointFormatList", "ChartsMobile.model$HighChartRec", "ChartsMobile.model$AdvancedDataSeriesFormatList", "ChartsMobile.model$DataPointRec", "ChartsMobile.model$XAxisFormatRec", "ChartsMobile.model$YAxisFormatRec", "ChartsMobile.model$ChartFormatRec", "ChartsMobile.model$AdvancedFormatRec"], function (OutSystems, ChartsMobileModel, ChartsMobileController, ChartsMobileLanguageResources, ChartsMobile_Charts_GenericChart_mvc_controller_OnParametersChanged_InitializeChartObjJS, ChartsMobile_Charts_GenericChart_mvc_controller_OnParametersChanged_CustomForChartTypeJS, ChartsMobile_Charts_GenericChart_mvc_controller_OnParametersChanged_MergeHighchartsJSONJS, ChartsMobile_Charts_GenericChart_mvc_controller_OnParametersChanged_RenderHighChartsJS, ChartsMobile_Charts_GenericChart_mvc_controller_OnParametersChanged_UpdateChartSeriesJS, ChartsMobile_Charts_GenericChart_mvc_controller_OnDestroy_DestroyChartJS, ChartsMobile_Charts_GenericChart_mvc_controller_DataClicked_GetValuesJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {
dataClicked$Action: function (eventIn, thisIn) {
eventIn = (eventIn === undefined) ? null : eventIn;
thisIn = (thisIn === undefined) ? null : thisIn;
return controller.executeActionInsideJSNode(controller._dataClicked$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(eventIn, OS.Types.Object), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(thisIn, OS.Types.Object)), controller.callContext(), function (actionResults) {
return {};
});
}
};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._onParametersChanged$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnParametersChanged");
callContext = controller.callContext(callContext);
var initializeChartObjJSResult = new OS.DataTypes.VariableHolder();
var customForChartTypeJSResult = new OS.DataTypes.VariableHolder();
var mergeHighchartsJSONJSResult = new OS.DataTypes.VariableHolder();
var renderHighChartsJSResult = new OS.DataTypes.VariableHolder();
var jSONDataPointFormatsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.JSONSerializeOutputType());
var serializeHighChartVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.JSONSerializeOutputType());
var jSONDataSeriesFormatsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.JSONSerializeOutputType());
// Has Data to Render?
if((((((model.variables.highChartIn.chartAttr.typeAttr) !== ("")) && (model.variables.highChartIn.seriesAttr.length > 0)) && (model.variables.highChartIn.seriesAttr.getItem(0).dataAttr.length > 0)))) {
// Set Render To
// HighChart.chart.renderTo = chartcontainer.Id
model.variables.highChartIn.chartAttr.renderToAttr = idService.getId("chartcontainer");
// HighChart.containerId = ContainerId
model.variables.highChartIn.containerIdAttr = model.variables.containerIdVar;
// LegendPosition
if(((model.variables.legendPositionIdIn === ChartsMobileModel.staticEntities.legendPosition.bottom))) {
// Fill Legend
// HighChart.legend.align = "center"
model.variables.highChartIn.legendAttr.alignAttr = "center";
// HighChart.legend.enabled = True
model.variables.highChartIn.legendAttr.enabledAttr = true;
} else {
if((model.variables.legendPositionIdIn === ChartsMobileModel.staticEntities.legendPosition.top)) {
// Fill Legend
// HighChart.legend.verticalAlign = "top"
model.variables.highChartIn.legendAttr.verticalAlignAttr = "top";
// HighChart.legend.enabled = True
model.variables.highChartIn.legendAttr.enabledAttr = true;
} else {
if((model.variables.legendPositionIdIn === ChartsMobileModel.staticEntities.legendPosition.right)) {
// Fill Legend
// HighChart.legend.verticalAlign = "middle"
model.variables.highChartIn.legendAttr.verticalAlignAttr = "middle";
// HighChart.legend.align = "right"
model.variables.highChartIn.legendAttr.alignAttr = "right";
// HighChart.legend.layout = "vertical"
model.variables.highChartIn.legendAttr.layoutAttr = "vertical";
// HighChart.legend.enabled = True
model.variables.highChartIn.legendAttr.enabledAttr = true;
} else {
if((model.variables.legendPositionIdIn === ChartsMobileModel.staticEntities.legendPosition.left)) {
// Fill Legend
// HighChart.legend.verticalAlign = "middle"
model.variables.highChartIn.legendAttr.verticalAlignAttr = "middle";
// HighChart.legend.align = "left"
model.variables.highChartIn.legendAttr.alignAttr = "left";
// HighChart.legend.layout = "vertical"
model.variables.highChartIn.legendAttr.layoutAttr = "vertical";
// HighChart.legend.enabled = True
model.variables.highChartIn.legendAttr.enabledAttr = true;
} else {
if((model.variables.legendPositionIdIn === ChartsMobileModel.staticEntities.legendPosition.inside)) {
// Fill Legend
// HighChart.legend.verticalAlign = "top"
model.variables.highChartIn.legendAttr.verticalAlignAttr = "top";
// HighChart.legend.align = "right"
model.variables.highChartIn.legendAttr.alignAttr = "right";
// HighChart.legend.layout = "vertical"
model.variables.highChartIn.legendAttr.layoutAttr = "vertical";
// HighChart.legend.floating = True
model.variables.highChartIn.legendAttr.floatingAttr = true;
// HighChart.legend.enabled = True
model.variables.highChartIn.legendAttr.enabledAttr = true;
} else {
if((model.variables.legendPositionIdIn === ChartsMobileModel.staticEntities.legendPosition.hidden)) {
// Fill Legend
// HighChart.legend.enabled = False
model.variables.highChartIn.legendAttr.enabledAttr = false;
}

}

}

}

}

}

// Set Chart Format
// HighChart.chart.animation = ChartFormat.UseAnimation
model.variables.highChartIn.chartAttr.animationAttr = model.variables.chartFormatIn.useAnimationAttr;
// HighChart.yAxis.title.text = If
model.variables.highChartIn.yAxisAttr.titleAttr.textAttr = ((((model.variables.yAxisFormatIn.titleAttr) !== (""))) ? (model.variables.yAxisFormatIn.titleAttr) : (""));
// HighChart.xAxis.labels.rotation = XAxisFormat.LabelsRotation * -1
model.variables.highChartIn.xAxisAttr.labelsAttr.rotationAttr = OS.BuiltinFunctions.integerToDecimal((model.variables.xAxisFormatIn.labelsRotationAttr * -1));
// HighChart.xAxis.title.text = If
model.variables.highChartIn.xAxisAttr.titleAttr.textAttr = ((((model.variables.xAxisFormatIn.titleAttr) !== (""))) ? (model.variables.xAxisFormatIn.titleAttr) : (""));
// HighChart.plotOptions.series.dataLabels.enabled = If
model.variables.highChartIn.plotOptionsAttr.seriesAttr.dataLabelsAttr.enabledAttr = (((model.variables.highChartIn.plotOptionsAttr.seriesAttr.stackingAttr === "")) ? (model.variables.chartFormatIn.showDataPointValuesAttr) : (false));
// Has XAxis Max?
if((((model.variables.xAxisFormatIn.maxValueAttr) !== ("")))) {
// Set XAxis Max
// HighChart.xAxis.max = TextToDecimal
model.variables.highChartIn.xAxisAttr.maxAttr = OS.BuiltinFunctions.textToDecimal(model.variables.xAxisFormatIn.maxValueAttr);
}

// Has XAxis Min?
if((((model.variables.xAxisFormatIn.minValueAttr) !== ("")))) {
// Set XAxis Min
// HighChart.xAxis.min = TextToDecimal
model.variables.highChartIn.xAxisAttr.minAttr = OS.BuiltinFunctions.textToDecimal(model.variables.xAxisFormatIn.minValueAttr);
}

// JSON Serialize: SerializeHighChart
serializeHighChartVar.value.jSONOut = OS.JSONUtils.serializeToJSON(model.variables.highChartIn, false, false);
initializeChartObjJSResult.value = controller.safeExecuteJSNode(ChartsMobile_Charts_GenericChart_mvc_controller_OnParametersChanged_InitializeChartObjJS, "InitializeChartObj", "OnParametersChanged", {
IsClickable: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.isClickableIn, OS.Types.Boolean, true),
YPrefix: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.yAxisFormatIn.valuesPrefixAttr, OS.Types.Text, true),
ChartInfo: OS.DataTypes.JSConversions.basicTypeToJS(serializeHighChartVar.value.jSONOut, OS.Types.Text, true),
YSufix: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.yAxisFormatIn.valuesSuffixAttr, OS.Types.Text, true),
HighChartObj: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true),
IsJustToUpdate: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("ChartsMobile.Charts.GenericChart.OnParametersChanged$initializeChartObjJSResult"))();
jsNodeResult.highChartObjOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.HighChartObj, OS.Types.Object);
jsNodeResult.isJustToUpdateOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsJustToUpdate, OS.Types.Boolean);
return jsNodeResult;
}, {
DataClicked: controller.clientActionProxies.dataClicked$Action
}, {});
customForChartTypeJSResult.value = controller.safeExecuteJSNode(ChartsMobile_Charts_GenericChart_mvc_controller_OnParametersChanged_CustomForChartTypeJS, "CustomForChartType", "OnParametersChanged", {
InHighChartObj: OS.DataTypes.JSConversions.basicTypeToJS(initializeChartObjJSResult.value.highChartObjOut, OS.Types.Object, true),
OutHighChartObj: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("ChartsMobile.Charts.GenericChart.OnParametersChanged$customForChartTypeJSResult"))();
jsNodeResult.outHighChartObjOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.OutHighChartObj, OS.Types.Object);
return jsNodeResult;
}, {}, {});
// Just to Update?
if((initializeChartObjJSResult.value.isJustToUpdateOut)) {
controller.safeExecuteJSNode(ChartsMobile_Charts_GenericChart_mvc_controller_OnParametersChanged_UpdateChartSeriesJS, "UpdateChartSeries", "OnParametersChanged", {
HighChartsObj: OS.DataTypes.JSConversions.basicTypeToJS(customForChartTypeJSResult.value.outHighChartObjOut, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
} else {
// JSON Serialize: JSONDataPointFormats
jSONDataPointFormatsVar.value.jSONOut = OS.JSONUtils.serializeToJSON(model.variables.advancedFormatIn.dataPointFormatsAttr, false, false);
// JSON Serialize: JSONDataSeriesFormats
jSONDataSeriesFormatsVar.value.jSONOut = OS.JSONUtils.serializeToJSON(model.variables.advancedFormatIn.dataSeriesFormatsAttr, false, false);
mergeHighchartsJSONJSResult.value = controller.safeExecuteJSNode(ChartsMobile_Charts_GenericChart_mvc_controller_OnParametersChanged_MergeHighchartsJSONJS, "MergeHighchartsJSON", "OnParametersChanged", {
DataPointFormat: OS.DataTypes.JSConversions.basicTypeToJS(OS.BuiltinFunctions.trim(jSONDataPointFormatsVar.value.jSONOut), OS.Types.Text, true),
HighChartsObj: OS.DataTypes.JSConversions.basicTypeToJS(customForChartTypeJSResult.value.outHighChartObjOut, OS.Types.Object, true),
yAxisJSON: OS.DataTypes.JSConversions.basicTypeToJS(OS.BuiltinFunctions.trim(model.variables.advancedFormatIn.yAxisJSONAttr), OS.Types.Text, true),
xAxisJSON: OS.DataTypes.JSConversions.basicTypeToJS(OS.BuiltinFunctions.trim(model.variables.advancedFormatIn.xAxisJSONAttr), OS.Types.Text, true),
DataSeriesFormat: OS.DataTypes.JSConversions.basicTypeToJS(OS.BuiltinFunctions.trim(jSONDataSeriesFormatsVar.value.jSONOut), OS.Types.Text, true),
ExtensionJSON: OS.DataTypes.JSConversions.basicTypeToJS(OS.BuiltinFunctions.trim(model.variables.advancedFormatIn.highchartsJSONAttr), OS.Types.Text, true),
HighChartsMerge: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("ChartsMobile.Charts.GenericChart.OnParametersChanged$mergeHighchartsJSONJSResult"))();
jsNodeResult.highChartsMergeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.HighChartsMerge, OS.Types.Object);
return jsNodeResult;
}, {}, {});
renderHighChartsJSResult.value = controller.safeExecuteJSNode(ChartsMobile_Charts_GenericChart_mvc_controller_OnParametersChanged_RenderHighChartsJS, "RenderHighCharts", "OnParametersChanged", {
HighChartObj: OS.DataTypes.JSConversions.basicTypeToJS(mergeHighchartsJSONJSResult.value.highChartsMergeOut, OS.Types.Object, true),
ContainerId: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("ChartsMobile.Charts.GenericChart.OnParametersChanged$renderHighChartsJSResult"))();
jsNodeResult.containerIdOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ContainerId, OS.Types.Text);
return jsNodeResult;
}, {}, {});
// ContainerId = RenderHighCharts.ContainerId
model.variables.containerIdVar = renderHighChartsJSResult.value.containerIdOut;
}

}

};
Controller.registerVariableGroupType("ChartsMobile.Charts.GenericChart.OnParametersChanged$initializeChartObjJSResult", [{
name: "HighChartObj",
attrName: "highChartObjOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "IsJustToUpdate",
attrName: "isJustToUpdateOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Controller.registerVariableGroupType("ChartsMobile.Charts.GenericChart.OnParametersChanged$customForChartTypeJSResult", [{
name: "OutHighChartObj",
attrName: "outHighChartObjOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
Controller.registerVariableGroupType("ChartsMobile.Charts.GenericChart.OnParametersChanged$mergeHighchartsJSONJSResult", [{
name: "HighChartsMerge",
attrName: "highChartsMergeOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
Controller.registerVariableGroupType("ChartsMobile.Charts.GenericChart.OnParametersChanged$renderHighChartsJSResult", [{
name: "ContainerId",
attrName: "containerIdOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.prototype._onDestroy$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnDestroy");
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(ChartsMobile_Charts_GenericChart_mvc_controller_OnDestroy_DestroyChartJS, "DestroyChart", "OnDestroy", {
ContainerId: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.containerIdVar, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
};
Controller.prototype._dataClicked$Action = function (eventIn, thisIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("DataClicked");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.Charts.GenericChart.DataClicked$vars"))());
vars.value.eventInLocal = eventIn;
vars.value.thisInLocal = thisIn;
var getValuesJSResult = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
getValuesJSResult.value = controller.safeExecuteJSNode(ChartsMobile_Charts_GenericChart_mvc_controller_DataClicked_GetValuesJS, "GetValues", "DataClicked", {
this: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.thisInLocal, OS.Types.Object, true),
label: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
y: OS.DataTypes.JSConversions.basicTypeToJS(OS.DataTypes.Decimal.defaultValue, OS.Types.Decimal, true),
serie: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("ChartsMobile.Charts.GenericChart.DataClicked$getValuesJSResult"))();
jsNodeResult.labelOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.label, OS.Types.Text);
jsNodeResult.yOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.y, OS.Types.Decimal);
jsNodeResult.serieOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.serie, OS.Types.Text);
return jsNodeResult;
}, {}, {});
// Fill Data Item
// DataPoint.Label = GetValues.label
vars.value.dataPointVar.labelAttr = getValuesJSResult.value.labelOut;
// DataPoint.Value = GetValues.y
vars.value.dataPointVar.valueAttr = getValuesJSResult.value.yOut;
// DataPoint.DataSeriesName = GetValues.serie
vars.value.dataPointVar.dataSeriesNameAttr = getValuesJSResult.value.serieOut;
// Trigger Event: OnClick
return controller.onClick$Action(vars.value.dataPointVar, callContext);
});
};
Controller.registerVariableGroupType("ChartsMobile.Charts.GenericChart.DataClicked$vars", [{
name: "event",
attrName: "eventInLocal",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "this",
attrName: "thisInLocal",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "DataPoint",
attrName: "dataPointVar",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new ChartsMobileModel.DataPointRec();
},
complexType: ChartsMobileModel.DataPointRec
}]);
Controller.registerVariableGroupType("ChartsMobile.Charts.GenericChart.DataClicked$getValuesJSResult", [{
name: "label",
attrName: "labelOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "y",
attrName: "yOut",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}, {
name: "serie",
attrName: "serieOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);

Controller.prototype.onParametersChanged$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onParametersChanged$Action, callContext);

};
Controller.prototype.onDestroy$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onDestroy$Action, callContext);

};
Controller.prototype.dataClicked$Action = function (eventIn, thisIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._dataClicked$Action, callContext, eventIn, thisIn);

};
Controller.prototype.onClick$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onDestroy$Action(callContext);

};
Controller.prototype.onParametersChangedEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onParametersChanged$Action(callContext);

};
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return ChartsMobileController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, ChartsMobileLanguageResources);
});
define("ChartsMobile.Charts.GenericChart.mvc$controller.OnParametersChanged.InitializeChartObjJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var initResult = ChartsMobile.init($parameters.ChartInfo,$actions.DataClicked,$parameters.IsClickable,$parameters.YPrefix,$parameters.YSufix);

$parameters.HighChartObj = initResult.chartdata;
$parameters.IsJustToUpdate = initResult.isToUpdate;
};
});
define("ChartsMobile.Charts.GenericChart.mvc$controller.OnParametersChanged.CustomForChartTypeJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.OutHighChartObj = ChartsMobile.configForChartType($parameters.InHighChartObj);
};
});
define("ChartsMobile.Charts.GenericChart.mvc$controller.OnParametersChanged.MergeHighchartsJSONJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.HighChartsMerge = ChartsMobile.mergeOptions($parameters.HighChartsObj,$parameters.xAxisJSON,$parameters.yAxisJSON,$parameters.DataPointFormat,$parameters.DataSeriesFormat,$parameters.ExtensionJSON);
};
});
define("ChartsMobile.Charts.GenericChart.mvc$controller.OnParametersChanged.RenderHighChartsJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.ContainerId = ChartsMobile.renderChart($parameters.HighChartObj);
};
});
define("ChartsMobile.Charts.GenericChart.mvc$controller.OnParametersChanged.UpdateChartSeriesJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var chartdata = $parameters.HighChartsObj;



//Check if chart is rendered



if (Highcharts.charts.length > 0) {



     for (var i = 0; i< Highcharts.charts.length; i++) {

         

        if (Highcharts.charts[i]) {

            

            // If the chart is already rendered update only data in series

            if (Highcharts.charts[i].container.id === chartdata.containerId) {

                

                 isToUpdate = true;

                 

                 for (var j = 0; j < Highcharts.charts[i].series.length; j++) {

                    Highcharts.charts[i].series[j].setData(chartdata.series[j].data, true);

                 }

                 

                Highcharts.charts[i].xAxis[0].setCategories(chartdata.xAxis.categories, true);

                Highcharts.charts[i].yAxis[0].setCategories(chartdata.yAxis.categories, true);

            }

        }

     }

     

}




};
});
define("ChartsMobile.Charts.GenericChart.mvc$controller.OnDestroy.DestroyChartJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var chartToDestroy;

if (Highcharts && Highcharts.charts) {
    for (var i=0; i < Highcharts.charts.length; i++) {
        if (Highcharts.charts[i] && Highcharts.charts[i].container.id === $parameters.ContainerId)  {
            chartToDestroy = Highcharts.charts[i];
            break;
        }  
    }
}

if (chartToDestroy) {
    chartToDestroy.destroy();
}
};
});
define("ChartsMobile.Charts.GenericChart.mvc$controller.DataClicked.GetValuesJS", [], function () {
return function ($parameters, $actions, $roles, $public) {

$parameters.label = ($parameters.this.category !== '' && $parameters.this.category !== undefined) ? $parameters.this.category : $parameters.this.name;

if ($parameters.this.series.chart.xAxis[0].isDatetimeAxis) {
    var date = new Date($parameters.this.category);
    $parameters.label = date.getFullYear() + '-' + ((date.getMonth()+1) < 10 ? '0' : '') + (date.getMonth()+1) + '-' + (date.getUTCDate() < 10 ? '0' : '') +date.getUTCDate();
}

$parameters.y = $parameters.this.y;
$parameters.serie = $parameters.this.series.name;
};
});

