﻿define("ChartsMobile.Charts.LineChart.mvc$model", ["OutSystems", "ChartsMobile.model", "ChartsMobile.controller", "ChartsMobile.Charts.GenericChart.mvc$model", "ChartsMobile.model$HighChartRec", "ChartsMobile.model$XAxisFormatRec", "ChartsMobile.model$YAxisFormatRec", "ChartsMobile.model$ChartFormatRec", "ChartsMobile.model$AdvancedFormatRec", "ChartsMobile.model$DataPointRec", "ChartsMobile.controller$DateParseToJS", "ChartsMobile.model$SeriesItemRec", "ChartsMobile.model$SeriesItemList", "ChartsMobile.model$DataItemRec", "ChartsMobile.model$DataItemList", "ChartsMobile.model$DataPointList"], function (OutSystems, ChartsMobileModel, ChartsMobileController, ChartsMobile_Charts_GenericChart_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("HighChart", "highChartVar", "HighChart", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.HighChartRec());
}, ChartsMobileModel.HighChartRec), 
this.attr("SourceDataPointList", "sourceDataPointListIn", "SourceDataPointList", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.DataPointList());
}, ChartsMobileModel.DataPointList), 
this.attr("_sourceDataPointListInDataFetchStatus", "_sourceDataPointListInDataFetchStatus", "_sourceDataPointListInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Height", "heightIn", "Height", true, OS.Types.Integer, function () {
return 300;
}), 
this.attr("_heightInDataFetchStatus", "_heightInDataFetchStatus", "_heightInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("LegendPositionId", "legendPositionIdIn", "LegendPositionId", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("_legendPositionIdInDataFetchStatus", "_legendPositionIdInDataFetchStatus", "_legendPositionIdInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("XAxisFormat", "xAxisFormatIn", "XAxisFormat", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.XAxisFormatRec());
}, ChartsMobileModel.XAxisFormatRec), 
this.attr("_xAxisFormatInDataFetchStatus", "_xAxisFormatInDataFetchStatus", "_xAxisFormatInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("YAxisFormat", "yAxisFormatIn", "YAxisFormat", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.YAxisFormatRec());
}, ChartsMobileModel.YAxisFormatRec), 
this.attr("_yAxisFormatInDataFetchStatus", "_yAxisFormatInDataFetchStatus", "_yAxisFormatInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ChartFormat", "chartFormatIn", "ChartFormat", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.ChartFormatRec());
}, ChartsMobileModel.ChartFormatRec), 
this.attr("_chartFormatInDataFetchStatus", "_chartFormatInDataFetchStatus", "_chartFormatInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Clickable", "clickableIn", "Clickable", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_clickableInDataFetchStatus", "_clickableInDataFetchStatus", "_clickableInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("AdvancedFormat", "advancedFormatIn", "AdvancedFormat", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.AdvancedFormatRec());
}, ChartsMobileModel.AdvancedFormatRec), 
this.attr("_advancedFormatInDataFetchStatus", "_advancedFormatInDataFetchStatus", "_advancedFormatInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = ChartsMobile_Charts_GenericChart_mvcModel.hasValidationWidgets;
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("SourceDataPointList" in inputs) {
this.variables.sourceDataPointListIn = inputs.SourceDataPointList;
if("_sourceDataPointListInDataFetchStatus" in inputs) {
this.variables._sourceDataPointListInDataFetchStatus = inputs._sourceDataPointListInDataFetchStatus;
}

}

if("Height" in inputs) {
this.variables.heightIn = inputs.Height;
if("_heightInDataFetchStatus" in inputs) {
this.variables._heightInDataFetchStatus = inputs._heightInDataFetchStatus;
}

}

if("LegendPositionId" in inputs) {
this.variables.legendPositionIdIn = inputs.LegendPositionId;
if("_legendPositionIdInDataFetchStatus" in inputs) {
this.variables._legendPositionIdInDataFetchStatus = inputs._legendPositionIdInDataFetchStatus;
}

}

if("XAxisFormat" in inputs) {
this.variables.xAxisFormatIn = inputs.XAxisFormat;
if("_xAxisFormatInDataFetchStatus" in inputs) {
this.variables._xAxisFormatInDataFetchStatus = inputs._xAxisFormatInDataFetchStatus;
}

}

if("YAxisFormat" in inputs) {
this.variables.yAxisFormatIn = inputs.YAxisFormat;
if("_yAxisFormatInDataFetchStatus" in inputs) {
this.variables._yAxisFormatInDataFetchStatus = inputs._yAxisFormatInDataFetchStatus;
}

}

if("ChartFormat" in inputs) {
this.variables.chartFormatIn = inputs.ChartFormat;
if("_chartFormatInDataFetchStatus" in inputs) {
this.variables._chartFormatInDataFetchStatus = inputs._chartFormatInDataFetchStatus;
}

}

if("Clickable" in inputs) {
this.variables.clickableIn = inputs.Clickable;
if("_clickableInDataFetchStatus" in inputs) {
this.variables._clickableInDataFetchStatus = inputs._clickableInDataFetchStatus;
}

}

if("AdvancedFormat" in inputs) {
this.variables.advancedFormatIn = inputs.AdvancedFormat;
if("_advancedFormatInDataFetchStatus" in inputs) {
this.variables._advancedFormatInDataFetchStatus = inputs._advancedFormatInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("ChartsMobile.Charts.LineChart.mvc$view", ["OutSystems", "ChartsMobile.model", "ChartsMobile.controller", "react", "OutSystemsReactView", "ChartsMobile.Charts.LineChart.mvc$model", "ChartsMobile.Charts.LineChart.mvc$controller", "ChartsMobile.Charts.GenericChart.mvc$view", "OutSystemsReactWidgets", "ChartsMobile.model$HighChartRec", "ChartsMobile.model$XAxisFormatRec", "ChartsMobile.model$YAxisFormatRec", "ChartsMobile.model$ChartFormatRec", "ChartsMobile.model$AdvancedFormatRec", "ChartsMobile.model$DataPointRec", "ChartsMobile.controller$DateParseToJS", "ChartsMobile.model$SeriesItemRec", "ChartsMobile.model$SeriesItemList", "ChartsMobile.model$DataItemRec", "ChartsMobile.model$DataItemList", "ChartsMobile.model$DataPointList"], function (OutSystems, ChartsMobileModel, ChartsMobileController, React, OSView, ChartsMobile_Charts_LineChart_mvc_model, ChartsMobile_Charts_LineChart_mvc_controller, ChartsMobile_Charts_GenericChart_mvc_view, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Charts.LineChart";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [ChartsMobile_Charts_GenericChart_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return ChartsMobile_Charts_LineChart_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return ChartsMobile_Charts_LineChart_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if(false, false, this, function () {
return [];
}, function () {
return [React.createElement(ChartsMobile_Charts_GenericChart_mvc_view, {
inputs: {
AdvancedFormat: model.variables.advancedFormatIn,
_advancedFormatInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._advancedFormatInDataFetchStatus),
YAxisFormat: model.variables.yAxisFormatIn,
_yAxisFormatInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._yAxisFormatInDataFetchStatus),
IsClickable: model.variables.clickableIn,
_isClickableInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._clickableInDataFetchStatus),
HighChart: model.variables.highChartVar,
XAxisFormat: model.variables.xAxisFormatIn,
_xAxisFormatInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._xAxisFormatInDataFetchStatus),
LegendPositionId: model.variables.legendPositionIdIn,
_legendPositionIdInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._legendPositionIdInDataFetchStatus),
ChartFormat: model.variables.chartFormatIn,
_chartFormatInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._chartFormatInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
onClick$Action: function (dataPointIn) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.genericChartOnClick$Action(dataPointIn, controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("ChartsMobile.Charts.LineChart.mvc$controller", ["OutSystems", "ChartsMobile.model", "ChartsMobile.controller", "ChartsMobile.languageResources", "ChartsMobile.Charts.LineChart.mvc$controller.SetData.CheckXaxyisTypeJS", "ChartsMobile.model$HighChartRec", "ChartsMobile.model$XAxisFormatRec", "ChartsMobile.model$YAxisFormatRec", "ChartsMobile.model$ChartFormatRec", "ChartsMobile.model$AdvancedFormatRec", "ChartsMobile.model$DataPointRec", "ChartsMobile.controller$DateParseToJS", "ChartsMobile.model$SeriesItemRec", "ChartsMobile.model$SeriesItemList", "ChartsMobile.model$DataItemRec", "ChartsMobile.model$DataItemList", "ChartsMobile.model$DataPointList"], function (OutSystems, ChartsMobileModel, ChartsMobileController, ChartsMobileLanguageResources, ChartsMobile_Charts_LineChart_mvc_controller_SetData_CheckXaxyisTypeJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._genericChartOnClick$Action = function (dataPointIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GenericChartOnClick");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.Charts.LineChart.GenericChartOnClick$vars"))());
vars.value.dataPointInLocal = dataPointIn.clone();
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: OnClick
return controller.onClick$Action(vars.value.dataPointInLocal, callContext);
});
};
Controller.registerVariableGroupType("ChartsMobile.Charts.LineChart.GenericChartOnClick$vars", [{
name: "DataPoint",
attrName: "dataPointInLocal",
mandatory: true,
dataType: OS.Types.Record,
defaultValue: function () {
return new ChartsMobileModel.DataPointRec();
},
complexType: ChartsMobileModel.DataPointRec
}]);
Controller.prototype._onParametersChanged$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnParametersChanged");
callContext = controller.callContext(callContext);
// Execute Action: SetData
controller._setData$Action(callContext);
};
Controller.prototype._setData$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("SetData");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.Charts.LineChart.SetData$vars"))());
var checkXaxyisTypeJSResult = new OS.DataTypes.VariableHolder();
// First Level
// HighChart.chart.type = "line"
model.variables.highChartVar.chartAttr.typeAttr = "line";
// HighChart.title.text = ""
model.variables.highChartVar.titleAttr.textAttr = "";
// HighChart.chart.height = Height
model.variables.highChartVar.chartAttr.heightAttr = model.variables.heightIn;
// Line
// HighChart.plotOptions.line.allowPointSelect = False
model.variables.highChartVar.plotOptionsAttr.lineAttr.allowPointSelectAttr = false;
// HighChart.plotOptions.line.cursor = "pointer"
model.variables.highChartVar.plotOptionsAttr.lineAttr.cursorAttr = "pointer";
// HighChart.plotOptions.line.marker.enabled = False
model.variables.highChartVar.plotOptionsAttr.lineAttr.markerAttr.enabledAttr = false;
// HighChart.yAxis.title.text = ""
model.variables.highChartVar.yAxisAttr.titleAttr.textAttr = "";
// HighChart.plotOptions.line.animation = ChartFormat.UseAnimation
model.variables.highChartVar.plotOptionsAttr.lineAttr.animationAttr = model.variables.chartFormatIn.useAnimationAttr;
// Execute Action: ClearSeries
OS.SystemActions.listClear(model.variables.highChartVar.seriesAttr, callContext);
// Execute Action: ClearCategories
OS.SystemActions.listClear(model.variables.highChartVar.xAxisAttr.categoriesAttr, callContext);
// Has Data?
if(((model.variables.sourceDataPointListIn.length > 0))) {
checkXaxyisTypeJSResult.value = controller.safeExecuteJSNode(ChartsMobile_Charts_LineChart_mvc_controller_SetData_CheckXaxyisTypeJS, "CheckXaxyisType", "SetData", {
sampleValue: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.sourceDataPointListIn.getItem(0).labelAttr, OS.Types.Text, true),
overrideType: OS.DataTypes.JSConversions.basicTypeToJS((model.variables.xAxisFormatIn.valuesTypeAttr === ChartsMobileModel.staticEntities.xAxisValuesType.text), OS.Types.Boolean, true),
IsDateTime: OS.DataTypes.JSConversions.basicTypeToJS(OS.BuiltinFunctions.textToDateTimeValidate(model.variables.sourceDataPointListIn.getItem(0).labelAttr), OS.Types.Boolean, true),
IsDate: OS.DataTypes.JSConversions.basicTypeToJS(OS.BuiltinFunctions.textToDateValidate(model.variables.sourceDataPointListIn.getItem(0).labelAttr), OS.Types.Boolean, true),
type: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("ChartsMobile.Charts.LineChart.SetData$checkXaxyisTypeJSResult"))();
jsNodeResult.typeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.type, OS.Types.Text);
return jsNodeResult;
}, {}, {});
// Define xAxis Type
// HighChart.xAxis.type = CheckXaxyisType.type
model.variables.highChartVar.xAxisAttr.typeAttr = checkXaxyisTypeJSResult.value.typeOut;
// Foreach SourceDataPointList
callContext.iterationContext.registerIterationStart(model.variables.sourceDataPointListIn);
try {var sourceDataPointListIterator = callContext.iterationContext.getIterator(model.variables.sourceDataPointListIn);
var sourceDataPointListIndex = 0;
while (((sourceDataPointListIndex < model.variables.sourceDataPointListIn.length))) {
sourceDataPointListIterator.currentRowNumber = sourceDataPointListIndex;
// Append = True
vars.value.appendVar = true;
// Foreach Categories
callContext.iterationContext.registerIterationStart(vars.value.categoriesVar);
try {var categoriesIterator = callContext.iterationContext.getIterator(vars.value.categoriesVar);
var categoriesIndex = 0;
while (((categoriesIndex < vars.value.categoriesVar.length))) {
categoriesIterator.currentRowNumber = categoriesIndex;
if(((vars.value.categoriesVar.getItem(categoriesIndex.valueOf()) === model.variables.sourceDataPointListIn.getItem(sourceDataPointListIndex.valueOf()).labelAttr))) {
// Append = False
vars.value.appendVar = false;
}

categoriesIndex++;
}

} finally {
callContext.iterationContext.registerIterationEnd(vars.value.categoriesVar);
}

if((vars.value.appendVar)) {
// Execute Action: AppendCategories
OS.SystemActions.listAppend(vars.value.categoriesVar, model.variables.sourceDataPointListIn.getItem(sourceDataPointListIndex.valueOf()).labelAttr, callContext);
}

// Clean Serie
// Serie.name = ""
vars.value.serieVar.nameAttr = "";
// SerieExists = False
vars.value.serieExistsVar = false;
// Execute Action: ListClearData
OS.SystemActions.listClear(vars.value.serieVar.dataAttr, callContext);
// Foreach HighChart.series
callContext.iterationContext.registerIterationStart(model.variables.highChartVar.seriesAttr);
try {var seriesIterator = callContext.iterationContext.getIterator(model.variables.highChartVar.seriesAttr);
var seriesIndex = 0;
while (((seriesIndex < model.variables.highChartVar.seriesAttr.length))) {
seriesIterator.currentRowNumber = seriesIndex;
// Serie Exists?
if(((model.variables.highChartVar.seriesAttr.getItem(seriesIndex.valueOf()).nameAttr === model.variables.sourceDataPointListIn.getItem(sourceDataPointListIndex.valueOf()).dataSeriesNameAttr))) {
// SerieExists = True
vars.value.serieExistsVar = true;
// SerieIndex = HighChart.series.CurrentRowNumber
vars.value.serieIndexVar = model.variables.highChartVar.seriesAttr.getCurrentRowNumber(callContext.iterationContext);
}

seriesIndex++;
}

} finally {
callContext.iterationContext.registerIterationEnd(model.variables.highChartVar.seriesAttr);
}

// Fill Data
// Data.name = If
vars.value.dataVar.nameAttr = (((model.variables.highChartVar.xAxisAttr.typeAttr === "datetime")) ? (ChartsMobileController.default.dateParseToJS$Action(model.variables.sourceDataPointListIn.getItem(sourceDataPointListIndex.valueOf()).labelAttr, callContext.withoutIterationContext()).outputOut) : (model.variables.sourceDataPointListIn.getItem(sourceDataPointListIndex.valueOf()).labelAttr));
// Data.y = SourceDataPointList.Current.Value
vars.value.dataVar.yAttr = model.variables.sourceDataPointListIn.getItem(sourceDataPointListIndex.valueOf()).valueAttr;
// Data.custom = SourceDataPointList.Current.Tooltip
vars.value.dataVar.customAttr = model.variables.sourceDataPointListIn.getItem(sourceDataPointListIndex.valueOf()).tooltipAttr;
// Data.color = SourceDataPointList.Current.Color
vars.value.dataVar.colorAttr = model.variables.sourceDataPointListIn.getItem(sourceDataPointListIndex.valueOf()).colorAttr;
// New Serie?
if((!(vars.value.serieExistsVar))) {
// Serie.name = SourceDataPointList.Current.DataSeriesName
vars.value.serieVar.nameAttr = model.variables.sourceDataPointListIn.getItem(sourceDataPointListIndex.valueOf()).dataSeriesNameAttr;
// Execute Action: ListAppendData
OS.SystemActions.listAppend(vars.value.serieVar.dataAttr, vars.value.dataVar, callContext);
// Execute Action: ListAppendSerie
OS.SystemActions.listAppend(model.variables.highChartVar.seriesAttr, vars.value.serieVar, callContext);
} else {
// Execute Action: ListAppendDataToSerie
OS.SystemActions.listAppend(model.variables.highChartVar.seriesAttr.getItem(vars.value.serieIndexVar).dataAttr, vars.value.dataVar, callContext);
}

sourceDataPointListIndex++;
}

} finally {
callContext.iterationContext.registerIterationEnd(model.variables.sourceDataPointListIn);
}

// Has Step
if((model.variables.yAxisFormatIn.gridLineStepAttr.gt(OS.BuiltinFunctions.integerToDecimal(-2147483647)))) {
// Set Step
// HighChart.yAxis.tickInterval = YAxisFormat.GridLineStep
model.variables.highChartVar.yAxisAttr.tickIntervalAttr = model.variables.yAxisFormatIn.gridLineStepAttr;
}

// Has Max
if((model.variables.yAxisFormatIn.maxValueAttr.gt(OS.BuiltinFunctions.integerToDecimal(-2147483647)))) {
// Set Max
// HighChart.yAxis.max = YAxisFormat.MaxValue
model.variables.highChartVar.yAxisAttr.maxAttr = model.variables.yAxisFormatIn.maxValueAttr;
}

// Has Min
if((model.variables.yAxisFormatIn.minValueAttr.gt(OS.BuiltinFunctions.integerToDecimal(-2147483647)))) {
// Set Min
// HighChart.yAxis.min = YAxisFormat.MinValue
model.variables.highChartVar.yAxisAttr.minAttr = model.variables.yAxisFormatIn.minValueAttr;
}

// Is Linear?
if(((model.variables.highChartVar.xAxisAttr.typeAttr === "linear"))) {
// Execute Action: ListAppendCategories
OS.SystemActions.listAppendAll(model.variables.highChartVar.xAxisAttr.categoriesAttr, vars.value.categoriesVar, callContext);
}

}

};
Controller.registerVariableGroupType("ChartsMobile.Charts.LineChart.SetData$vars", [{
name: "Data",
attrName: "dataVar",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new ChartsMobileModel.DataItemRec();
},
complexType: ChartsMobileModel.DataItemRec
}, {
name: "Serie",
attrName: "serieVar",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new ChartsMobileModel.SeriesItemRec();
},
complexType: ChartsMobileModel.SeriesItemRec
}, {
name: "SerieExists",
attrName: "serieExistsVar",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "SerieIndex",
attrName: "serieIndexVar",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}, {
name: "Categories",
attrName: "categoriesVar",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new OS.DataTypes.TextList();
},
complexType: OS.DataTypes.TextList
}, {
name: "Append",
attrName: "appendVar",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Controller.registerVariableGroupType("ChartsMobile.Charts.LineChart.SetData$checkXaxyisTypeJSResult", [{
name: "type",
attrName: "typeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.prototype._onFirstRender$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnFirstRender");
callContext = controller.callContext(callContext);
// Execute Action: SetData
controller._setData$Action(callContext);
};

Controller.prototype.genericChartOnClick$Action = function (dataPointIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._genericChartOnClick$Action, callContext, dataPointIn);

};
Controller.prototype.onParametersChanged$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onParametersChanged$Action, callContext);

};
Controller.prototype.setData$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._setData$Action, callContext);

};
Controller.prototype.onFirstRender$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onFirstRender$Action, callContext);

};
Controller.prototype.onClick$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onFirstRender$Action(callContext);

};
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onParametersChanged$Action(callContext);

};
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return ChartsMobileController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, ChartsMobileLanguageResources);
});
define("ChartsMobile.Charts.LineChart.mvc$controller.SetData.CheckXaxyisTypeJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var type = 'linear';

if(!$parameters.overrideType) {
    
    //Keep != just verifying value, not object type
    if ($parameters.IsDate || $parameters.IsDateTime) {
        type = 'datetime';
    }
    
    if (!isNaN($parameters.sampleValue)) {
        type = 'decimal';
    }
    
    $parameters.type = type;
    
}
};
});

