﻿define("FileTransferPlugin.FileTransfer.DownloadFile.mvc$model", ["OutSystems", "FileTransferPlugin.model", "CommonPlugin.controller", "CommonPlugin.model", "FileTransferPlugin.controller", "CommonPlugin.controller$ConsoleLog", "FileTransferPlugin.referencesHealth", "FileTransferPlugin.referencesHealth$CommonPlugin", "FileTransferPlugin.model$FileTransferErrorRec", "CommonPlugin.model$ErrorRec", "FileTransferPlugin.controller$CheckFileTransferPlugin", "FileTransferPlugin.model$ProgressRec", "FileTransferPlugin.model$FileDownloadResultRec"], function (OutSystems, FileTransferPluginModel, CommonPluginController, CommonPluginModel, FileTransferPluginController) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return false;
}
});

Model.prototype.setInputs = function (inputs) {
};
return Model;
})(OS.Model.VariablelessViewModel);
return new OS.Model.ModelFactory(Model);
});
define("FileTransferPlugin.FileTransfer.DownloadFile.mvc$view", ["OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.controller", "CommonPlugin.controller", "CommonPlugin.model", "react", "OutSystemsReactView", "FileTransferPlugin.FileTransfer.DownloadFile.mvc$model", "FileTransferPlugin.FileTransfer.DownloadFile.mvc$controller", "CommonPlugin.controller$ConsoleLog", "FileTransferPlugin.referencesHealth", "FileTransferPlugin.referencesHealth$CommonPlugin", "FileTransferPlugin.model$FileTransferErrorRec", "CommonPlugin.model$ErrorRec", "FileTransferPlugin.controller$CheckFileTransferPlugin", "FileTransferPlugin.model$ProgressRec", "FileTransferPlugin.model$FileDownloadResultRec"], function (OutSystems, FileTransferPluginModel, FileTransferPluginController, CommonPluginController, CommonPluginModel, React, OSView, FileTransferPlugin_FileTransfer_DownloadFile_mvc_model, FileTransferPlugin_FileTransfer_DownloadFile_mvc_controller) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "FileTransfer.DownloadFile";
        View.getCssDependencies = function() {
            return [];
        };
        View.getJsDependencies = function() {
            return ["scripts/CommonPlugin.PluginManager.js"];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return FileTransferPlugin_FileTransfer_DownloadFile_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return FileTransferPlugin_FileTransfer_DownloadFile_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if(false, false, this, function () {
return [];
}, function () {
return [];
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("FileTransferPlugin.FileTransfer.DownloadFile.mvc$controller", ["OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.controller", "CommonPlugin.controller", "CommonPlugin.model", "FileTransferPlugin.languageResources", "FileTransferPlugin.FileTransfer.DownloadFile.mvc$controller.OnReady.RegisterCallBacksJS", "FileTransferPlugin.FileTransfer.DownloadFile.mvc$controller.OnDestroy.UnregisterCallbacksJS", "CommonPlugin.controller$ConsoleLog", "FileTransferPlugin.referencesHealth", "FileTransferPlugin.referencesHealth$CommonPlugin", "FileTransferPlugin.model$FileTransferErrorRec", "CommonPlugin.model$ErrorRec", "FileTransferPlugin.controller$CheckFileTransferPlugin", "FileTransferPlugin.model$ProgressRec", "FileTransferPlugin.model$FileDownloadResultRec"], function (OutSystems, FileTransferPluginModel, FileTransferPluginController, CommonPluginController, CommonPluginModel, FileTransferPluginLanguageResources, FileTransferPlugin_FileTransfer_DownloadFile_mvc_controller_OnReady_RegisterCallBacksJS, FileTransferPlugin_FileTransfer_DownloadFile_mvc_controller_OnDestroy_UnregisterCallbacksJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {
downloadComplete$Action: function (resultIn) {
resultIn = (resultIn === undefined) ? "" : resultIn;
return controller.executeActionInsideJSNode(controller._downloadComplete$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(resultIn, OS.Types.Text)), controller.callContext(), function (actionResults) {
return {};
});
},
downloadError$Action: function (errorIn) {
errorIn = (errorIn === undefined) ? "" : errorIn;
return controller.executeActionInsideJSNode(controller._downloadError$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(errorIn, OS.Types.Text)), controller.callContext(), function (actionResults) {
return {};
});
},
downloadProgress$Action: function (progressIn) {
progressIn = (progressIn === undefined) ? "" : progressIn;
return controller.executeActionInsideJSNode(controller._downloadProgress$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(progressIn, OS.Types.Text)), controller.callContext(), function (actionResults) {
return {};
});
}
};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._downloadError$Action = function (errorIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("DownloadError");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FileTransferPlugin.FileTransfer.DownloadFile.DownloadError$vars"))());
vars.value.errorInLocal = errorIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var jSONDeserializeFileTransferErrorVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getJSONDeserializeOutputType(FileTransferPluginModel.FileTransferErrorRec))());
return OS.Flow.executeAsyncFlow(function () {
// JSON Deserialize: JSONDeserializeFileTransferError
jSONDeserializeFileTransferErrorVar.value.dataOut = OS.JSONUtils.deserializeFromJSON(vars.value.errorInLocal, FileTransferPluginModel.FileTransferErrorRec, false);
// Trigger Event: OnDownloadError
return controller.onDownloadError$Action(jSONDeserializeFileTransferErrorVar.value.dataOut, callContext);
}).catch(function (ex) {
OS.Logger.trace("DownloadFile.DownloadError", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: ConsoleLog
CommonPluginController.default.consoleLog$Action("FileTransfer", (("Exception: \'" + allExceptionsVar.value.exceptionMessageAttr) + "\'"), callContext);
return OS.Flow.returnAsync();

});
}

throw ex;
});
};
Controller.registerVariableGroupType("FileTransferPlugin.FileTransfer.DownloadFile.DownloadError$vars", [{
name: "Error",
attrName: "errorInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.prototype._onReady$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnReady");
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFileTransferPluginVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFileTransferPlugin
checkFileTransferPluginVar.value = FileTransferPluginController.default.checkFileTransferPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFileTransferPluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FileTransferPlugin_FileTransfer_DownloadFile_mvc_controller_OnReady_RegisterCallBacksJS, "RegisterCallBacks", "OnReady", null, function ($parameters) {
}, {
DownloadComplete: controller.clientActionProxies.downloadComplete$Action,
DownloadError: controller.clientActionProxies.downloadError$Action,
DownloadProgress: controller.clientActionProxies.downloadProgress$Action
}, {});
} else {
// Execute Action: ConsoleLog
CommonPluginController.default.consoleLog$Action("FileTransfer", "Upload plugin is not defined", callContext);
}

});
}).catch(function (ex) {
OS.Logger.trace("DownloadFile.OnReady", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: ConsoleLog2
CommonPluginController.default.consoleLog$Action("FileTransfer", (("Exception: \'" + allExceptionsVar.value.exceptionMessageAttr) + "\'"), callContext);
return OS.Flow.returnAsync();

});
}

throw ex;
});
};
Controller.prototype._onDestroy$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnDestroy");
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFileTransferPluginVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFileTransferPlugin
checkFileTransferPluginVar.value = FileTransferPluginController.default.checkFileTransferPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFileTransferPluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FileTransferPlugin_FileTransfer_DownloadFile_mvc_controller_OnDestroy_UnregisterCallbacksJS, "UnregisterCallbacks", "OnDestroy", null, function ($parameters) {
}, {}, {});
} else {
// Execute Action: ConsoleLog
CommonPluginController.default.consoleLog$Action("FileTransfer", "Upload plugin is not defined", callContext);
}

});
}).catch(function (ex) {
OS.Logger.trace("DownloadFile.OnDestroy", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: ConsoleLog2
CommonPluginController.default.consoleLog$Action("FileTransfer", (("Exception: \'" + allExceptionsVar.value.exceptionMessageAttr) + "\'"), callContext);
return OS.Flow.returnAsync();

});
}

throw ex;
});
};
Controller.prototype._downloadProgress$Action = function (progressIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("DownloadProgress");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FileTransferPlugin.FileTransfer.DownloadFile.DownloadProgress$vars"))());
vars.value.progressInLocal = progressIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var jSONDeserializeProgressVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getJSONDeserializeOutputType(FileTransferPluginModel.ProgressRec))());
return OS.Flow.executeAsyncFlow(function () {
// JSON Deserialize: JSONDeserializeProgress
jSONDeserializeProgressVar.value.dataOut = OS.JSONUtils.deserializeFromJSON(vars.value.progressInLocal, FileTransferPluginModel.ProgressRec, false);
// Trigger Event: OnDownloadProgress
return controller.onDownloadProgress$Action(jSONDeserializeProgressVar.value.dataOut, callContext);
}).catch(function (ex) {
OS.Logger.trace("DownloadFile.DownloadProgress", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: ConsoleLog
CommonPluginController.default.consoleLog$Action("FileTransfer", (("Exception: \'" + allExceptionsVar.value.exceptionMessageAttr) + "\'"), callContext);
return OS.Flow.returnAsync();

});
}

throw ex;
});
};
Controller.registerVariableGroupType("FileTransferPlugin.FileTransfer.DownloadFile.DownloadProgress$vars", [{
name: "Progress",
attrName: "progressInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.prototype._downloadComplete$Action = function (resultIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("DownloadComplete");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FileTransferPlugin.FileTransfer.DownloadFile.DownloadComplete$vars"))());
vars.value.resultInLocal = resultIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var jSONDeserializeFileDownloadResultVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getJSONDeserializeOutputType(FileTransferPluginModel.FileDownloadResultRec))());
return OS.Flow.executeAsyncFlow(function () {
// JSON Deserialize: JSONDeserializeFileDownloadResult
jSONDeserializeFileDownloadResultVar.value.dataOut = OS.JSONUtils.deserializeFromJSON(vars.value.resultInLocal, FileTransferPluginModel.FileDownloadResultRec, false);
// Trigger Event: OnDownloadComplete
return controller.onDownloadComplete$Action(jSONDeserializeFileDownloadResultVar.value.dataOut, callContext);
}).catch(function (ex) {
OS.Logger.trace("DownloadFile.DownloadComplete", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: ConsoleLog
CommonPluginController.default.consoleLog$Action("FileTransfer", (("Exception: \'" + allExceptionsVar.value.exceptionMessageAttr) + "\'"), callContext);
return OS.Flow.returnAsync();

});
}

throw ex;
});
};
Controller.registerVariableGroupType("FileTransferPlugin.FileTransfer.DownloadFile.DownloadComplete$vars", [{
name: "Result",
attrName: "resultInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);

Controller.prototype.downloadError$Action = function (errorIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._downloadError$Action, callContext, errorIn);

};
Controller.prototype.onReady$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onReady$Action, callContext);

};
Controller.prototype.onDestroy$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onDestroy$Action, callContext);

};
Controller.prototype.downloadProgress$Action = function (progressIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._downloadProgress$Action, callContext, progressIn);

};
Controller.prototype.downloadComplete$Action = function (resultIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._downloadComplete$Action, callContext, resultIn);

};
Controller.prototype.onDownloadError$Action = function () {
return Promise.resolve();
};
Controller.prototype.onDownloadComplete$Action = function () {
return Promise.resolve();
};
Controller.prototype.onDownloadProgress$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onReady$Action(callContext);

};
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onDestroy$Action(callContext);

};
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return FileTransferPluginController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, FileTransferPluginLanguageResources);
});
define("FileTransferPlugin.FileTransfer.DownloadFile.mvc$controller.OnReady.RegisterCallBacksJS", [], function () {
return function ($actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
require(["PluginManager"], function(module){
    
    var onReady = function(scope) {
        scope.downloadCallback = {};
        scope.downloadCallback.hasPermission = false;
        scope.downloadCallback.downloadComplete = scope.newCallback(function(entry) {
            $actions.DownloadComplete(JSON.stringify(entry));
        });

        scope.downloadCallback.downloadError = scope.newCallback(function(error) {
            $actions.DownloadError(JSON.stringify(error));    
        });
            
        scope.downloadCallback.downloadProgress = scope.newCallback(function(progress) {
            $actions.DownloadProgress(JSON.stringify(progress));
        });
    };
    
    var onDestroy = function(scope) {
    };
    
    module.createScope("FileTransfer_download",  onReady, onDestroy);
    
    $resolve();
});



});
};
});
define("FileTransferPlugin.FileTransfer.DownloadFile.mvc$controller.OnDestroy.UnregisterCallbacksJS", [], function () {
return function ($actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
require(["PluginManager"], function(module){
    var scope = module.scope("FileTransfer_download");
    if(scope !== undefined) {
        module.destroyScope("FileTransfer_download");    
    }
    $resolve();
});
});
};
});

