﻿define("FirebaseMobile.controller$ActivateFetchedConfigurations", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$ActivateFetchedConfigurations.ActivateFetchedConfigurationsJS", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_ActivateFetchedConfigurations_ActivateFetchedConfigurationsJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.activateFetchedConfigurations$Action = function (callContext) {
callContext = controller.callContext(callContext);
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var activateFetchedConfigurationsJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.RemoteConfig.ActivateFetchedConfigurations$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_ActivateFetchedConfigurations_ActivateFetchedConfigurationsJS, "ActivateFetchedConfigurations", "ActivateFetchedConfigurations", {
IsActivated: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.RemoteConfig.ActivateFetchedConfigurations$activateFetchedConfigurationsJSResult"))();
jsNodeResult.isActivatedOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsActivated, OS.Types.Boolean);
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
activateFetchedConfigurationsJSResult.value = results;
}).then(function () {
if((activateFetchedConfigurationsJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
// IsActivated = ActivateFetchedConfigurations.IsActivated
outVars.value.isActivatedOut = activateFetchedConfigurationsJSResult.value.isActivatedOut;
} else {
// Error = ActivateFetchedConfigurations.ErrorMessage
outVars.value.errorOut = activateFetchedConfigurationsJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.RemoteConfig.ActivateFetchedConfigurations$activateFetchedConfigurationsJSResult", [{
name: "IsActivated",
attrName: "isActivatedOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.RemoteConfig.ActivateFetchedConfigurations$outVars", [{
name: "IsActivated",
attrName: "isActivatedOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.activateFetchedConfigurations$Action = function () {
return controller.executeActionInsideJSNode(FirebaseMobileController.default.activateFetchedConfigurations$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsActivated: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isActivatedOut, OS.Types.Boolean, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$ActivateFetchedConfigurations.ActivateFetchedConfigurationsJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.activateFetched(success, error);

function success(isActivated) {
    $parameters.IsActivated = isActivated === 'true' ? true : false;
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$AddTraceAttribute", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$AddTraceAttribute.AddTraceAttributeJS", "FirebaseMobile.controller$CheckIfAndroid", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_AddTraceAttribute_AddTraceAttributeJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.addTraceAttribute$Action = function (traceNameIn, attributeIn, valueIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Performance.AddTraceAttribute$vars"))());
vars.value.traceNameInLocal = traceNameIn;
vars.value.attributeInLocal = attributeIn;
vars.value.valueInLocal = valueIn;
var checkIfAndroidVar = new OS.DataTypes.VariableHolder();
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var addTraceAttributeJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Performance.AddTraceAttribute$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckIfAndroid
checkIfAndroidVar.value = FirebaseMobileController.default.checkIfAndroid$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkIfAndroidVar.value.isAndroidOut)) {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_AddTraceAttribute_AddTraceAttributeJS, "AddTraceAttribute", "AddTraceAttribute", {
Attribute: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.attributeInLocal, OS.Types.Text, true),
TraceName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.traceNameInLocal, OS.Types.Text, true),
Value: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.valueInLocal, OS.Types.Text, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.Performance.AddTraceAttribute$addTraceAttributeJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
addTraceAttributeJSResult.value = results;
}).then(function () {
if((addTraceAttributeJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
} else {
// Error = AddTraceAttribute.ErrorMessage
outVars.value.errorOut = addTraceAttributeJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Performance.AddTraceAttribute$vars", [{
name: "TraceName",
attrName: "traceNameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Attribute",
attrName: "attributeInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Value",
attrName: "valueInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Performance.AddTraceAttribute$addTraceAttributeJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Performance.AddTraceAttribute$outVars", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.addTraceAttribute$Action = function (traceNameIn, attributeIn, valueIn) {
traceNameIn = (traceNameIn === undefined) ? "" : traceNameIn;
attributeIn = (attributeIn === undefined) ? "" : attributeIn;
valueIn = (valueIn === undefined) ? "" : valueIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.addTraceAttribute$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(traceNameIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(attributeIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(valueIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$AddTraceAttribute.AddTraceAttributeJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.addTraceAttribute($parameters.TraceName, $parameters.Attribute, $parameters.Value, success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$CheckFirebasePlugin", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "CommonPlugin.controller", "FirebaseMobile.controller$CheckFirebasePlugin.IsFirebaseAnalyticsDefinedJS", "CommonPlugin.controller$IsCordovaDefined", "FirebaseMobile.referencesHealth", "FirebaseMobile.referencesHealth$CommonPlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, CommonPluginController, FirebaseMobile_controller_CheckFirebasePlugin_IsFirebaseAnalyticsDefinedJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.checkFirebasePlugin$Action = function (callContext) {
callContext = controller.callContext(callContext);
var isCordovaDefinedVar = new OS.DataTypes.VariableHolder();
var isFirebaseAnalyticsDefinedJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Common.CheckFirebasePlugin$outVars"))());
// Execute Action: IsCordovaDefined
isCordovaDefinedVar.value = CommonPluginController.default.isCordovaDefined$Action(callContext);

if((isCordovaDefinedVar.value.isLoadedOut)) {
isFirebaseAnalyticsDefinedJSResult.value = controller.safeExecuteJSNode(FirebaseMobile_controller_CheckFirebasePlugin_IsFirebaseAnalyticsDefinedJS, "IsFirebaseAnalyticsDefined", "CheckFirebasePlugin", {
IsAvailable: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.Common.CheckFirebasePlugin$isFirebaseAnalyticsDefinedJSResult"))();
jsNodeResult.isAvailableOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsAvailable, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
if((isFirebaseAnalyticsDefinedJSResult.value.isAvailableOut)) {
// IsAvailable = True
outVars.value.isAvailableOut = true;
} else {
// Error = "Firebase Analytics Plugin is unavailable"
outVars.value.errorOut = "Firebase Analytics Plugin is unavailable";
}

} else {
// Error = "Cordova is not available"
outVars.value.errorOut = "Cordova is not available";
}

return outVars.value;
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Common.CheckFirebasePlugin$isFirebaseAnalyticsDefinedJSResult", [{
name: "IsAvailable",
attrName: "isAvailableOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Common.CheckFirebasePlugin$outVars", [{
name: "IsAvailable",
attrName: "isAvailableOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.checkFirebasePlugin$Action = function () {
return controller.executeActionInsideJSNode(FirebaseMobileController.default.checkFirebasePlugin$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsAvailable: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isAvailableOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$CheckFirebasePlugin.IsFirebaseAnalyticsDefinedJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.IsAvailable = !!window.fp;
};
});

define("FirebaseMobile.controller$CheckIfAndroid", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$GetDevicePlatform"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.checkIfAndroid$Action = function (callContext) {
callContext = controller.callContext(callContext);
var getDevicePlatformVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Private.CheckIfAndroid$outVars"))());
// Execute Action: GetDevicePlatform
getDevicePlatformVar.value = FirebaseMobileController.default.getDevicePlatform$Action(callContext);

// IsAndroid = GetDevicePlatform.DevicePlatformId = Android
outVars.value.isAndroidOut = (getDevicePlatformVar.value.devicePlatformIdOut === FirebaseMobileModel.staticEntities.devicePlatform2.android);
return outVars.value;
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Private.CheckIfAndroid$outVars", [{
name: "IsAndroid",
attrName: "isAndroidOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
FirebaseMobileController.default.clientActionProxies.checkIfAndroid$Action = function () {
return controller.executeActionInsideJSNode(FirebaseMobileController.default.checkIfAndroid$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsAndroid: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isAndroidOut, OS.Types.Boolean, true)
};
});
};
});

define("FirebaseMobile.controller$CheckIfiOS", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$GetDevicePlatform"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.checkIfiOS$Action = function (callContext) {
callContext = controller.callContext(callContext);
var getDevicePlatformVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Private.CheckIfiOS$outVars"))());
// Execute Action: GetDevicePlatform
getDevicePlatformVar.value = FirebaseMobileController.default.getDevicePlatform$Action(callContext);

// isIOS = GetDevicePlatform.DevicePlatformId = iOS
outVars.value.isIOSOut = (getDevicePlatformVar.value.devicePlatformIdOut === FirebaseMobileModel.staticEntities.devicePlatform2.iOS);
return outVars.value;
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Private.CheckIfiOS$outVars", [{
name: "isIOS",
attrName: "isIOSOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
FirebaseMobileController.default.clientActionProxies.checkIfiOS$Action = function () {
return controller.executeActionInsideJSNode(FirebaseMobileController.default.checkIfiOS$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
isIOS: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isIOSOut, OS.Types.Boolean, true)
};
});
};
});

define("FirebaseMobile.controller$ClearAllNotifications", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$ClearAllNotifications.ClearAllNotificationsJS", "FirebaseMobile.controller$CheckFirebasePlugin", "FirebaseMobile.model$General_ResponseRec"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_ClearAllNotifications_ClearAllNotificationsJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.clearAllNotifications$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var clearAllNotificationsJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.ClearAllNotifications$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_ClearAllNotifications_ClearAllNotificationsJS, "ClearAllNotifications", "ClearAllNotifications", {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.ClearAllNotifications$clearAllNotificationsJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
return jsNodeResult;
}, {}, {}).then(function (results) {
clearAllNotificationsJSResult.value = results;
}).then(function () {
// outputs
// Response.Success = ClearAllNotifications.IsSuccess
outVars.value.responseOut.successAttr = clearAllNotificationsJSResult.value.isSuccessOut;
});
} else {
// outputs
// Response.Success = CheckFirebasePlugin.IsAvailable
outVars.value.responseOut.successAttr = checkFirebasePluginVar.value.isAvailableOut;
// Response.ErrorMessage = CheckFirebasePlugin.Error
outVars.value.responseOut.errorMessageAttr = checkFirebasePluginVar.value.errorOut;
}

});
}).catch(function (ex) {
OS.Logger.trace("CloudMessaging.ClearAllNotifications", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// outputs
// Response.Success = False
outVars.value.responseOut.successAttr = false;
// Response.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.responseOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.ClearAllNotifications$clearAllNotificationsJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.ClearAllNotifications$outVars", [{
name: "Response",
attrName: "responseOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new FirebaseMobileModel.General_ResponseRec();
},
complexType: FirebaseMobileModel.General_ResponseRec
}]);
FirebaseMobileController.default.clientActionProxies.clearAllNotifications$Action = function () {
return controller.executeActionInsideJSNode(FirebaseMobileController.default.clearAllNotifications$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Response: actionResults.responseOut
};
});
};
});
define("FirebaseMobile.controller$ClearAllNotifications.ClearAllNotificationsJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.clearAllNotifications(success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error() {
    $parameters.IsSuccess = false;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$ConvertKeyValuePairListToString", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.model$KeyValuePairList"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.convertKeyValuePairListToString$Action = function (keyValuePairListIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Private.ConvertKeyValuePairListToString$vars"))());
vars.value.keyValuePairListInLocal = keyValuePairListIn.clone();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Private.ConvertKeyValuePairListToString$outVars"))());
if((!(vars.value.keyValuePairListInLocal.isEmpty))) {
// KeyValuePairString = "{"
outVars.value.keyValuePairStringOut = "{";
// Foreach KeyValuePairList
callContext.iterationContext.registerIterationStart(vars.value.keyValuePairListInLocal);
try {var keyValuePairListIterator = callContext.iterationContext.getIterator(vars.value.keyValuePairListInLocal);
var keyValuePairListIndexMax = vars.value.keyValuePairListInLocal.length;
var keyValuePairListIndex = 0;
while ((((keyValuePairListIndex < vars.value.keyValuePairListInLocal.length)) && (keyValuePairListIndexMax > 0))) {
keyValuePairListIterator.currentRowNumber = keyValuePairListIndex;
// KeyValuePairString = KeyValuePairString + """" + KeyValuePairList.Current.Key + """:""" + KeyValuePairList.Current.Value + """" + If
outVars.value.keyValuePairStringOut = ((((((outVars.value.keyValuePairStringOut + "\"") + vars.value.keyValuePairListInLocal.getItem(keyValuePairListIndex.valueOf()).keyAttr) + "\":\"") + vars.value.keyValuePairListInLocal.getItem(keyValuePairListIndex.valueOf()).valueAttr) + "\"") + (((vars.value.keyValuePairListInLocal.getCurrentRowNumber(callContext.iterationContext) === (vars.value.keyValuePairListInLocal.length - 1))) ? ("}") : (",")));
keyValuePairListIndexMax--;
keyValuePairListIndex++;
}

} finally {
callContext.iterationContext.registerIterationEnd(vars.value.keyValuePairListInLocal);
}

}

return outVars.value;
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Private.ConvertKeyValuePairListToString$vars", [{
name: "KeyValuePairList",
attrName: "keyValuePairListInLocal",
mandatory: true,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new FirebaseMobileModel.KeyValuePairList();
},
complexType: FirebaseMobileModel.KeyValuePairList
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Private.ConvertKeyValuePairListToString$outVars", [{
name: "KeyValuePairString",
attrName: "keyValuePairStringOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.convertKeyValuePairListToString$Action = function (keyValuePairListIn) {
keyValuePairListIn = (keyValuePairListIn === undefined) ? new FirebaseMobileModel.KeyValuePairList() : keyValuePairListIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.convertKeyValuePairListToString$Action.bind(controller, keyValuePairListIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
KeyValuePairString: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.keyValuePairStringOut, OS.Types.Text, true)
};
});
};
});

define("FirebaseMobile.controller$FetchRemoteConfigurations", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$FetchRemoteConfigurations.FetchRemoteConfigurationsJS", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_FetchRemoteConfigurations_FetchRemoteConfigurationsJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.fetchRemoteConfigurations$Action = function (cacheExpirationSecondsIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.RemoteConfig.FetchRemoteConfigurations$vars"))());
vars.value.cacheExpirationSecondsInLocal = cacheExpirationSecondsIn;
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var fetchRemoteConfigurationsJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.RemoteConfig.FetchRemoteConfigurations$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_FetchRemoteConfigurations_FetchRemoteConfigurationsJS, "FetchRemoteConfigurations", "FetchRemoteConfigurations", {
CacheExpirationSeconds: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.cacheExpirationSecondsInLocal, OS.Types.Integer, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.RemoteConfig.FetchRemoteConfigurations$fetchRemoteConfigurationsJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
fetchRemoteConfigurationsJSResult.value = results;
}).then(function () {
if((fetchRemoteConfigurationsJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
} else {
// Error = FetchRemoteConfigurations.ErrorMessage
outVars.value.errorOut = fetchRemoteConfigurationsJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.RemoteConfig.FetchRemoteConfigurations$vars", [{
name: "CacheExpirationSeconds",
attrName: "cacheExpirationSecondsInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.RemoteConfig.FetchRemoteConfigurations$fetchRemoteConfigurationsJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.RemoteConfig.FetchRemoteConfigurations$outVars", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.fetchRemoteConfigurations$Action = function (cacheExpirationSecondsIn) {
cacheExpirationSecondsIn = (cacheExpirationSecondsIn === undefined) ? 0 : cacheExpirationSecondsIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.fetchRemoteConfigurations$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(cacheExpirationSecondsIn, OS.Types.Integer)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$FetchRemoteConfigurations.FetchRemoteConfigurationsJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
if ($parameters.CacheExpirationSeconds === null) {
    window.fp.fetch(success, error);
} else {
    window.fp.fetch($parameters.CacheExpirationSeconds, success, error);
}

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$ForceCrash", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$ForceCrash.ForceCrashJS", "FirebaseMobile.controller$GeneralLog", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_ForceCrash_ForceCrashJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.forceCrash$Action = function (callContext) {
callContext = controller.callContext(callContext);
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var forceCrashJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Crashlytics.ForceCrash$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_ForceCrash_ForceCrashJS, "ForceCrash", "ForceCrash", {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.Crashlytics.ForceCrash$forceCrashJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
forceCrashJSResult.value = results;
}).then(function () {
// Execute Action: GeneralLog
return FirebaseMobileController.default.generalLog$Action((((((("ForceCrash: " + "\r\n") + "IsSucess: ") + (forceCrashJSResult.value.isSuccessOut ? "True" : "False")) + "\r\n") + "ErrorMessage: ") + forceCrashJSResult.value.errorMessageOut), callContext);
}).then(function () {
if((forceCrashJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
} else {
// Error = ForceCrash.ErrorMessage
outVars.value.errorOut = forceCrashJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Crashlytics.ForceCrash$forceCrashJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Crashlytics.ForceCrash$outVars", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.forceCrash$Action = function () {
return controller.executeActionInsideJSNode(FirebaseMobileController.default.forceCrash$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$ForceCrash.ForceCrashJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.forceCrashlytics(success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$GeneralLog", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "MobilePatterns.controller", "FirebaseMobile.controller$ServerAction.GetSiteProperty_EnableLogs", "MobilePatterns.controller$GetNetworkStatus", "FirebaseMobile.referencesHealth", "FirebaseMobile.referencesHealth$MobilePatterns"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, MobilePatternsController) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.generalLog$Action = function (messageIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Private.GeneralLog$vars"))());
vars.value.messageInLocal = messageIn;
var communicationExceptionVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var getSiteProperty_EnableLogsVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.executeSequence(function () {
if((MobilePatternsController.default.getNetworkStatus$Action(callContext.withoutIterationContext()).isOnlineOut)) {
// Execute Action: GetSiteProperty_EnableLogs
return controller.getSiteProperty_EnableLogs$ServerAction(callContext).then(function (value) {
getSiteProperty_EnableLogsVar.value = value;
}).then(function () {
// logs enabled?
if((getSiteProperty_EnableLogsVar.value.valueOut)) {
// Execute Action: LogMessage
OS.SystemActions.logMessage(vars.value.messageInLocal, "FirebaseMobile", callContext);
}

});
}

});
}).catch(function (ex) {
OS.Logger.trace("Private.GeneralLog", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: CommunicationException
if(OS.Exceptions.isInstanceOf(ex, OS.Exceptions.Exceptions.CommunicationException)) {
communicationExceptionVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.returnAsync();

});
}

throw ex;
}).then(function () {
return ;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Private.GeneralLog$vars", [{
name: "Message",
attrName: "messageInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.generalLog$Action = function (messageIn) {
messageIn = (messageIn === undefined) ? "" : messageIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.generalLog$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(messageIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});

define("FirebaseMobile.controller$GetBadgeNumber", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$GetBadgeNumber.GetBadgeNumberJS", "FirebaseMobile.controller$CheckFirebasePlugin", "FirebaseMobile.model$GetBadge_ResponseRec"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_GetBadgeNumber_GetBadgeNumberJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.getBadgeNumber$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var getBadgeNumberJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.GetBadgeNumber$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_GetBadgeNumber_GetBadgeNumberJS, "GetBadgeNumber", "GetBadgeNumber", {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
BadgeNumber: OS.DataTypes.JSConversions.basicTypeToJS(0, OS.Types.Integer, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.GetBadgeNumber$getBadgeNumberJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.badgeNumberOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.BadgeNumber, OS.Types.Integer);
return jsNodeResult;
}, {}, {}).then(function (results) {
getBadgeNumberJSResult.value = results;
}).then(function () {
// outputs
// Response.Bagde = GetBadgeNumber.BadgeNumber
outVars.value.responseOut.bagdeAttr = getBadgeNumberJSResult.value.badgeNumberOut;
// Response.General_Response.Success = GetBadgeNumber.IsSuccess
outVars.value.responseOut.general_ResponseAttr.successAttr = getBadgeNumberJSResult.value.isSuccessOut;
});
} else {
// outputs
// Response.General_Response.Success = CheckFirebasePlugin.IsAvailable
outVars.value.responseOut.general_ResponseAttr.successAttr = checkFirebasePluginVar.value.isAvailableOut;
// Response.General_Response.ErrorMessage = CheckFirebasePlugin.Error
outVars.value.responseOut.general_ResponseAttr.errorMessageAttr = checkFirebasePluginVar.value.errorOut;
}

});
}).catch(function (ex) {
OS.Logger.trace("CloudMessaging.GetBadgeNumber", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// outputs
// Response.General_Response.Success = False
outVars.value.responseOut.general_ResponseAttr.successAttr = false;
// Response.General_Response.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.responseOut.general_ResponseAttr.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.GetBadgeNumber$getBadgeNumberJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "BadgeNumber",
attrName: "badgeNumberOut",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.GetBadgeNumber$outVars", [{
name: "Response",
attrName: "responseOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new FirebaseMobileModel.GetBadge_ResponseRec();
},
complexType: FirebaseMobileModel.GetBadge_ResponseRec
}]);
FirebaseMobileController.default.clientActionProxies.getBadgeNumber$Action = function () {
return controller.executeActionInsideJSNode(FirebaseMobileController.default.getBadgeNumber$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Response: actionResults.responseOut
};
});
};
});
define("FirebaseMobile.controller$GetBadgeNumber.GetBadgeNumberJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.getBadgeNumber(success, error);

function success(badgeNumber) {
    $parameters.IsSuccess = true;
    $parameters.BadgeNumber = badgeNumber;
    $resolve();
}

function error() {
    $parameters.IsSuccess = false;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$GetDevicePlatform", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "CommonPlugin.controller", "FirebaseMobile.controller$GetDevicePlatform.MappingPlatformValueJS", "CommonPlugin.controller$GetPlatform", "FirebaseMobile.referencesHealth", "FirebaseMobile.referencesHealth$CommonPlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, CommonPluginController, FirebaseMobile_controller_GetDevicePlatform_MappingPlatformValueJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.getDevicePlatform$Action = function (callContext) {
callContext = controller.callContext(callContext);
var getPlatformVar = new OS.DataTypes.VariableHolder();
var mappingPlatformValueJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Private.GetDevicePlatform$outVars"))());
// Execute Action: GetPlatform
getPlatformVar.value = CommonPluginController.default.getPlatform$Action(callContext);

mappingPlatformValueJSResult.value = controller.safeExecuteJSNode(FirebaseMobile_controller_GetDevicePlatform_MappingPlatformValueJS, "MappingPlatformValue", "GetDevicePlatform", {
Platform: OS.DataTypes.JSConversions.basicTypeToJS(getPlatformVar.value.platformOut, OS.Types.Text, true),
PlatformOutput: OS.DataTypes.JSConversions.basicTypeToJS(0, OS.Types.Integer, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.Private.GetDevicePlatform$mappingPlatformValueJSResult"))();
jsNodeResult.platformOutputOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.PlatformOutput, OS.Types.Integer);
return jsNodeResult;
}, {}, {});
if(((mappingPlatformValueJSResult.value.platformOutputOut === 0))) {
// DevicePlatformId = Android
outVars.value.devicePlatformIdOut = FirebaseMobileModel.staticEntities.devicePlatform2.android;
} else {
if((mappingPlatformValueJSResult.value.platformOutputOut === 1)) {
// DevicePlatformId = iOS
outVars.value.devicePlatformIdOut = FirebaseMobileModel.staticEntities.devicePlatform2.iOS;
}

}

return outVars.value;
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Private.GetDevicePlatform$mappingPlatformValueJSResult", [{
name: "PlatformOutput",
attrName: "platformOutputOut",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Private.GetDevicePlatform$outVars", [{
name: "DevicePlatformId",
attrName: "devicePlatformIdOut",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
FirebaseMobileController.default.clientActionProxies.getDevicePlatform$Action = function () {
return controller.executeActionInsideJSNode(FirebaseMobileController.default.getDevicePlatform$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
DevicePlatformId: actionResults.devicePlatformIdOut
};
});
};
});
define("FirebaseMobile.controller$GetDevicePlatform.MappingPlatformValueJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var plat = $parameters.Platform;
if (plat == "android" || plat == "Android") {
    $parameters.PlatformOutput = 0;
} else if (plat == "ios" || plat == "iOS") {
    $parameters.PlatformOutput = 1;
} else if (plat == "windows" || plat == "Windows") {
    $parameters.PlatformOutput = 2;
} else {
    $parameters.PlatformOutput = 3;
}
};
});

define("FirebaseMobile.controller$GetId", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$GetId.GetIdJS", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_GetId_GetIdJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.getId$Action = function (callContext) {
callContext = controller.callContext(callContext);
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var getIdJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.GetId$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_GetId_GetIdJS, "GetId", "GetId", {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
Id: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.GetId$getIdJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.idOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Id, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
getIdJSResult.value = results;
}).then(function () {
// outputs
// IsSuccess = GetId.IsSuccess
outVars.value.isSuccessOut = getIdJSResult.value.isSuccessOut;
// Id = GetId.Id
outVars.value.idOut = getIdJSResult.value.idOut;
});
} else {
// outputs
// IsSuccess = CheckFirebasePlugin.IsAvailable
outVars.value.isSuccessOut = checkFirebasePluginVar.value.isAvailableOut;
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.GetId$getIdJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Id",
attrName: "idOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.GetId$outVars", [{
name: "Id",
attrName: "idOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.getId$Action = function () {
return controller.executeActionInsideJSNode(FirebaseMobileController.default.getId$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Id: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.idOut, OS.Types.Text, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$GetId.GetIdJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.getId(success, error);

function success(id) {
    $parameters.Id = id;
    $parameters.IsSuccess = true;
    $resolve();
}

function error() {
    $parameters.IsSuccess = false;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$GetInfo", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$GetInfo.GetInfoJS", "FirebaseMobile.controller$CheckIfAndroid", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_GetInfo_GetInfoJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.getInfo$Action = function (callContext) {
callContext = controller.callContext(callContext);
var checkIfAndroidVar = new OS.DataTypes.VariableHolder();
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var getInfoJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.RemoteConfig.GetInfo$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckIfAndroid
checkIfAndroidVar.value = FirebaseMobileController.default.checkIfAndroid$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkIfAndroidVar.value.isAndroidOut)) {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_GetInfo_GetInfoJS, "GetInfo", "GetInfo", {
IsDeveloperModeEnabled: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
LastFetchStatus: OS.DataTypes.JSConversions.basicTypeToJS(0, OS.Types.Integer, true),
FetchTimeMillis: OS.DataTypes.JSConversions.basicTypeToJS(OS.DataTypes.LongInteger.defaultValue, OS.Types.LongInteger, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.RemoteConfig.GetInfo$getInfoJSResult"))();
jsNodeResult.isDeveloperModeEnabledOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsDeveloperModeEnabled, OS.Types.Boolean);
jsNodeResult.lastFetchStatusOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.LastFetchStatus, OS.Types.Integer);
jsNodeResult.fetchTimeMillisOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.FetchTimeMillis, OS.Types.LongInteger);
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
getInfoJSResult.value = results;
}).then(function () {
if((getInfoJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
// IsDeveloperModeEnabled = GetInfo.IsDeveloperModeEnabled
outVars.value.isDeveloperModeEnabledOut = getInfoJSResult.value.isDeveloperModeEnabledOut;
// LastFetchStatus = GetInfo.LastFetchStatus
outVars.value.lastFetchStatusOut = getInfoJSResult.value.lastFetchStatusOut;
// FetchTimeMillis = GetInfo.FetchTimeMillis
outVars.value.fetchTimeMillisOut = getInfoJSResult.value.fetchTimeMillisOut;
} else {
// Error = GetInfo.ErrorMessage
outVars.value.errorOut = getInfoJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.RemoteConfig.GetInfo$getInfoJSResult", [{
name: "IsDeveloperModeEnabled",
attrName: "isDeveloperModeEnabledOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "LastFetchStatus",
attrName: "lastFetchStatusOut",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}, {
name: "FetchTimeMillis",
attrName: "fetchTimeMillisOut",
mandatory: true,
dataType: OS.Types.LongInteger,
defaultValue: function () {
return OS.DataTypes.LongInteger.defaultValue;
}
}, {
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.RemoteConfig.GetInfo$outVars", [{
name: "LastFetchStatus",
attrName: "lastFetchStatusOut",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}, {
name: "FetchTimeMillis",
attrName: "fetchTimeMillisOut",
mandatory: false,
dataType: OS.Types.LongInteger,
defaultValue: function () {
return OS.DataTypes.LongInteger.defaultValue;
}
}, {
name: "IsDeveloperModeEnabled",
attrName: "isDeveloperModeEnabledOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.getInfo$Action = function () {
return controller.executeActionInsideJSNode(FirebaseMobileController.default.getInfo$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
LastFetchStatus: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.lastFetchStatusOut, OS.Types.Integer, true),
FetchTimeMillis: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.fetchTimeMillisOut, OS.Types.LongInteger, true),
IsDeveloperModeEnabled: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isDeveloperModeEnabledOut, OS.Types.Boolean, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$GetInfo.GetInfoJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.getInfo(success, error);

function success(info) {
    $parameters.IsDeveloperModeEnabled = info.configSettings.developerModeEnabled;
    $parameters.LastFetchStatus = info.lastFetchStatus;
    $parameters.FetchTimeMillis = info.fetchTimeMillis;
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$GetValue", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$GetValue.GetValueJS", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_GetValue_GetValueJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.getValue$Action = function (keyIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.RemoteConfig.GetValue$vars"))());
vars.value.keyInLocal = keyIn;
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var getValueJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.RemoteConfig.GetValue$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_GetValue_GetValueJS, "GetValue", "GetValue", {
Key: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.keyInLocal, OS.Types.Text, true),
Value: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.RemoteConfig.GetValue$getValueJSResult"))();
jsNodeResult.valueOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Value, OS.Types.Text);
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
getValueJSResult.value = results;
}).then(function () {
if((getValueJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
// Value = GetValue.Value
outVars.value.valueOut = getValueJSResult.value.valueOut;
} else {
// Error = GetValue.ErrorMessage
outVars.value.errorOut = getValueJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.RemoteConfig.GetValue$vars", [{
name: "Key",
attrName: "keyInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.RemoteConfig.GetValue$getValueJSResult", [{
name: "Value",
attrName: "valueOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.RemoteConfig.GetValue$outVars", [{
name: "Value",
attrName: "valueOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.getValue$Action = function (keyIn) {
keyIn = (keyIn === undefined) ? "" : keyIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.getValue$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(keyIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Value: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.valueOut, OS.Types.Text, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$GetValue.GetValueJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.getValue($parameters.Key, success, error);

function success(info) {
    $parameters.Value = info;
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$GrantsPermission", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$GrantsPermission.GrantPermissionJS", "FirebaseMobile.controller$GeneralLog", "FirebaseMobile.controller$CheckFirebasePlugin", "FirebaseMobile.controller$HasPermission", "FirebaseMobile.controller$CheckIfiOS"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_GrantsPermission_GrantPermissionJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.grantsPermission$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var hasPermissionVar = new OS.DataTypes.VariableHolder();
var checkIfiOSVar = new OS.DataTypes.VariableHolder();
var grantPermissionJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.GrantsPermission$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
// Execute Action: CheckIfiOS
checkIfiOSVar.value = FirebaseMobileController.default.checkIfiOS$Action(callContext);

// is iOS?
return OS.Flow.executeSequence(function () {
if((checkIfiOSVar.value.isIOSOut)) {
// Execute Action: HasPermission
return FirebaseMobileController.default.hasPermission$Action(callContext).then(function (value) {
hasPermissionVar.value = value;
}).then(function () {
// has permission?
return OS.Flow.executeSequence(function () {
if((hasPermissionVar.value.hasPermissionOut)) {
// isSuccess = True
outVars.value.isSuccessOut = true;
} else {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_GrantsPermission_GrantPermissionJS, "GrantPermission", "GrantsPermission", {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.GrantsPermission$grantPermissionJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
return jsNodeResult;
}, {}, {}).then(function (results) {
grantPermissionJSResult.value = results;
}).then(function () {
// Execute Action: GeneralLog
return FirebaseMobileController.default.generalLog$Action(((("GrantPermission" + "\r\n") + "isSuccess: ") + (grantPermissionJSResult.value.isSuccessOut ? "True" : "False")), callContext);
}).then(function () {
// isSuccess = GrantPermission.IsSuccess
outVars.value.isSuccessOut = grantPermissionJSResult.value.isSuccessOut;
});
}

});
});
} else {
// isSuccess = True
outVars.value.isSuccessOut = true;
}

});
} else {
// isSuccess = CheckFirebasePlugin.IsAvailable
outVars.value.isSuccessOut = checkFirebasePluginVar.value.isAvailableOut;
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).catch(function (ex) {
OS.Logger.trace("CloudMessaging.GrantsPermission", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// outputs
// isSuccess = False
outVars.value.isSuccessOut = false;
// Error = AllExceptions.ExceptionMessage
outVars.value.errorOut = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.GrantsPermission$grantPermissionJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.GrantsPermission$outVars", [{
name: "isSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.grantsPermission$Action = function () {
return controller.executeActionInsideJSNode(FirebaseMobileController.default.grantsPermission$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
isSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$GrantsPermission.GrantPermissionJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.grantPermission(success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error() {
    $parameters.IsSuccess = false;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$HasPermission", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$HasPermission.ChecksPermissionJS", "FirebaseMobile.controller$CheckFirebasePlugin", "FirebaseMobile.controller$GeneralLog", "FirebaseMobile.controller$CheckIfiOS"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_HasPermission_ChecksPermissionJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.hasPermission$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var checkIfiOSVar = new OS.DataTypes.VariableHolder();
var checksPermissionJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.HasPermission$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
// Execute Action: CheckIfiOS
checkIfiOSVar.value = FirebaseMobileController.default.checkIfiOS$Action(callContext);

// is iOS?
return OS.Flow.executeSequence(function () {
if((checkIfiOSVar.value.isIOSOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_HasPermission_ChecksPermissionJS, "ChecksPermission", "HasPermission", {
hasPermission: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.HasPermission$checksPermissionJSResult"))();
jsNodeResult.hasPermissionOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.hasPermission, OS.Types.Boolean);
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
checksPermissionJSResult.value = results;
}).then(function () {
// Execute Action: GeneralLog
return FirebaseMobileController.default.generalLog$Action((((((("CheckPermission " + "\r\n") + "Success: ") + (checksPermissionJSResult.value.isSuccessOut ? "True" : "False")) + " hasPermission: ") + (checksPermissionJSResult.value.hasPermissionOut ? "True" : "False")) + (((checksPermissionJSResult.value.errorMessageOut === "")) ? ("") : ((" ErrorMessage: " + checksPermissionJSResult.value.errorMessageOut)))), callContext);
}).then(function () {
// Outputs
// hasPermission = ChecksPermission.hasPermission
outVars.value.hasPermissionOut = checksPermissionJSResult.value.hasPermissionOut;
// isSuccess = ChecksPermission.IsSuccess
outVars.value.isSuccessOut = checksPermissionJSResult.value.isSuccessOut;
// Error = ChecksPermission.ErrorMessage
outVars.value.errorOut = checksPermissionJSResult.value.errorMessageOut;
});
} else {
// hasPermission = True
outVars.value.hasPermissionOut = true;
// isSuccess = True
outVars.value.isSuccessOut = true;
}

});
} else {
// isSuccess = CheckFirebasePlugin.IsAvailable
outVars.value.isSuccessOut = checkFirebasePluginVar.value.isAvailableOut;
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).catch(function (ex) {
OS.Logger.trace("CloudMessaging.HasPermission", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// outputs
// isSuccess = False
outVars.value.isSuccessOut = false;
// Error = AllExceptions.ExceptionMessage
outVars.value.errorOut = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.HasPermission$checksPermissionJSResult", [{
name: "hasPermission",
attrName: "hasPermissionOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.HasPermission$outVars", [{
name: "hasPermission",
attrName: "hasPermissionOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "isSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.hasPermission$Action = function () {
return controller.executeActionInsideJSNode(FirebaseMobileController.default.hasPermission$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
hasPermission: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.hasPermissionOut, OS.Types.Boolean, true),
isSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$HasPermission.ChecksPermissionJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.hasPermission(success, error);

function success(data) {
    $parameters.IsSuccess = true;
    $parameters.hasPermission = data.isEnabled;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$IncrementCounter", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$IncrementCounter.IncrementCounterJS", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_IncrementCounter_IncrementCounterJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.incrementCounter$Action = function (traceNameIn, counterNameIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Performance.IncrementCounter$vars"))());
vars.value.traceNameInLocal = traceNameIn;
vars.value.counterNameInLocal = counterNameIn;
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var incrementCounterJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Performance.IncrementCounter$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_IncrementCounter_IncrementCounterJS, "IncrementCounter", "IncrementCounter", {
TraceName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.traceNameInLocal, OS.Types.Text, true),
CounterName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.counterNameInLocal, OS.Types.Text, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.Performance.IncrementCounter$incrementCounterJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
incrementCounterJSResult.value = results;
}).then(function () {
if((incrementCounterJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
} else {
// Error = IncrementCounter.ErrorMessage
outVars.value.errorOut = incrementCounterJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Performance.IncrementCounter$vars", [{
name: "TraceName",
attrName: "traceNameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "CounterName",
attrName: "counterNameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Performance.IncrementCounter$incrementCounterJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Performance.IncrementCounter$outVars", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.incrementCounter$Action = function (traceNameIn, counterNameIn) {
traceNameIn = (traceNameIn === undefined) ? "" : traceNameIn;
counterNameIn = (counterNameIn === undefined) ? "" : counterNameIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.incrementCounter$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(traceNameIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(counterNameIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$IncrementCounter.IncrementCounterJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.incrementCounter($parameters.TraceName, $parameters.CounterName, success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$InitCloudMessaging", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.model$RegisterDevice_ResponseRec", "FirebaseMobile.controller$RegisterDevice", "FirebaseMobile.controller$CheckFirebasePlugin", "FirebaseMobile.controller$GrantsPermission", "FirebaseMobile.model$InitCloudMessaging_ResponseRec", "FirebaseMobile.model$General_ResponseRec"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.initCloudMessaging$Action = function (nosUserIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.InitCloudMessaging$vars"))());
vars.value.nosUserIdInLocal = nosUserIdIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var registerDeviceVar = new OS.DataTypes.VariableHolder();
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var grantsPermissionVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.InitCloudMessaging$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
// Execute Action: GrantsPermission
return FirebaseMobileController.default.grantsPermission$Action(callContext).then(function (value) {
grantsPermissionVar.value = value;
}).then(function () {
// outputs
// Response.PermissionGranted = GrantsPermission.isSuccess
outVars.value.responseOut.permissionGrantedAttr = grantsPermissionVar.value.isSuccessOut;
// Response.General_Response.Success = GrantsPermission.isSuccess
outVars.value.responseOut.general_ResponseAttr.successAttr = grantsPermissionVar.value.isSuccessOut;
// Response.General_Response.ErrorMessage = GrantsPermission.Error
outVars.value.responseOut.general_ResponseAttr.errorMessageAttr = grantsPermissionVar.value.errorOut;
}).then(function () {
// is success?
return OS.Flow.executeSequence(function () {
if((grantsPermissionVar.value.isSuccessOut)) {
// Execute Action: RegisterDevice
return FirebaseMobileController.default.registerDevice$Action(vars.value.nosUserIdInLocal, callContext).then(function (value) {
registerDeviceVar.value = value;
}).then(function () {
// outputs
// Response = RegisterDevice.Response
outVars.value.responseOut = OS.DataTypes.JSConversions.typeConvertRecord(registerDeviceVar.value.responseOut, new FirebaseMobileModel.InitCloudMessaging_ResponseRec(), function (source, target) {
target.permissionGrantedAttr = outVars.value.responseOut.permissionGrantedAttr;
target.hasPermissionAttr = source.hasPermissionAttr;
target.registrationIdAttr = source.registrationIdAttr;
target.deviceHardwareIdAttr = source.deviceHardwareIdAttr;
target.applicationIdAttr = source.applicationIdAttr;
target.general_ResponseAttr = source.general_ResponseAttr;
return target;
});
});
}

});
});
} else {
// outputs
// Response.General_Response.Success = CheckFirebasePlugin.IsAvailable
outVars.value.responseOut.general_ResponseAttr.successAttr = checkFirebasePluginVar.value.isAvailableOut;
// Response.General_Response.ErrorMessage = CheckFirebasePlugin.Error
outVars.value.responseOut.general_ResponseAttr.errorMessageAttr = checkFirebasePluginVar.value.errorOut;
}

});
}).catch(function (ex) {
OS.Logger.trace("CloudMessaging.InitCloudMessaging", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// outputs
// Response.General_Response.Success = False
outVars.value.responseOut.general_ResponseAttr.successAttr = false;
// Response.General_Response.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.responseOut.general_ResponseAttr.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.InitCloudMessaging$vars", [{
name: "NosUserId",
attrName: "nosUserIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.InitCloudMessaging$outVars", [{
name: "Response",
attrName: "responseOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new FirebaseMobileModel.InitCloudMessaging_ResponseRec();
},
complexType: FirebaseMobileModel.InitCloudMessaging_ResponseRec
}]);
FirebaseMobileController.default.clientActionProxies.initCloudMessaging$Action = function (nosUserIdIn) {
nosUserIdIn = (nosUserIdIn === undefined) ? "" : nosUserIdIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.initCloudMessaging$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(nosUserIdIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Response: actionResults.responseOut
};
});
};
});

define("FirebaseMobile.controller$LogError", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$LogError.LogErrorJS", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_LogError_LogErrorJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.logError$Action = function (errorMessageIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Crashlytics.LogError$vars"))());
vars.value.errorMessageInLocal = errorMessageIn;
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var logErrorJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Crashlytics.LogError$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_LogError_LogErrorJS, "LogError", "LogError", {
Error: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.errorMessageInLocal, OS.Types.Text, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.Crashlytics.LogError$logErrorJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
logErrorJSResult.value = results;
}).then(function () {
if((logErrorJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
} else {
// Error = LogError.ErrorMessage
outVars.value.errorOut = logErrorJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Crashlytics.LogError$vars", [{
name: "ErrorMessage",
attrName: "errorMessageInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Crashlytics.LogError$logErrorJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Crashlytics.LogError$outVars", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.logError$Action = function (errorMessageIn) {
errorMessageIn = (errorMessageIn === undefined) ? "" : errorMessageIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.logError$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(errorMessageIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$LogError.LogErrorJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.logError($parameters.Error, success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$LogEvent", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$LogEvent.ParametersBuilderJS", "FirebaseMobile.controller$LogEvent.LogEventJS", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_LogEvent_ParametersBuilderJS, FirebaseMobile_controller_LogEvent_LogEventJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.logEvent$Action = function (eventNameIn, parameter1_KeyIn, parameter1_ValueIn, parameter2_KeyIn, parameter2_ValueIn, parameter3_KeyIn, parameter3_ValueIn, parameter4_KeyIn, parameter4_ValueIn, parameter5_KeyIn, parameter5_ValueIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Analytics.LogEvent$vars"))());
vars.value.eventNameInLocal = eventNameIn;
vars.value.parameter1_KeyInLocal = parameter1_KeyIn;
vars.value.parameter1_ValueInLocal = parameter1_ValueIn;
vars.value.parameter2_KeyInLocal = parameter2_KeyIn;
vars.value.parameter2_ValueInLocal = parameter2_ValueIn;
vars.value.parameter3_KeyInLocal = parameter3_KeyIn;
vars.value.parameter3_ValueInLocal = parameter3_ValueIn;
vars.value.parameter4_KeyInLocal = parameter4_KeyIn;
vars.value.parameter4_ValueInLocal = parameter4_ValueIn;
vars.value.parameter5_KeyInLocal = parameter5_KeyIn;
vars.value.parameter5_ValueInLocal = parameter5_ValueIn;
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var parametersBuilderJSResult = new OS.DataTypes.VariableHolder();
var logEventJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Analytics.LogEvent$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_LogEvent_ParametersBuilderJS, "ParametersBuilder", "LogEvent", {
Parameter1_Value: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.parameter1_ValueInLocal, OS.Types.Text, true),
Parameter5_Key: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.parameter5_KeyInLocal, OS.Types.Text, true),
Parameter4_Value: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.parameter4_ValueInLocal, OS.Types.Text, true),
Parameter2_Key: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.parameter2_KeyInLocal, OS.Types.Text, true),
Parameter1_Key: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.parameter1_KeyInLocal, OS.Types.Text, true),
Parameter2_Value: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.parameter2_ValueInLocal, OS.Types.Text, true),
Parameter5_Value: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.parameter5_ValueInLocal, OS.Types.Text, true),
Parameter3_Value: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.parameter3_ValueInLocal, OS.Types.Text, true),
Parameter4_Key: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.parameter4_KeyInLocal, OS.Types.Text, true),
Parameter3_Key: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.parameter3_KeyInLocal, OS.Types.Text, true),
Parameters: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.Analytics.LogEvent$parametersBuilderJSResult"))();
jsNodeResult.parametersOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Parameters, OS.Types.Object);
return jsNodeResult;
}, {}, {}).then(function (results) {
parametersBuilderJSResult.value = results;
}).then(function () {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_LogEvent_LogEventJS, "LogEvent", "LogEvent", {
Parameters: OS.DataTypes.JSConversions.basicTypeToJS(parametersBuilderJSResult.value.parametersOut, OS.Types.Object, true),
EventName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventNameInLocal, OS.Types.Text, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.Analytics.LogEvent$logEventJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
logEventJSResult.value = results;
});
}).then(function () {
if((logEventJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
} else {
// Error = LogEvent.ErrorMessage
outVars.value.errorOut = logEventJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Analytics.LogEvent$vars", [{
name: "EventName",
attrName: "eventNameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Parameter1_Key",
attrName: "parameter1_KeyInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Parameter1_Value",
attrName: "parameter1_ValueInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Parameter2_Key",
attrName: "parameter2_KeyInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Parameter2_Value",
attrName: "parameter2_ValueInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Parameter3_Key",
attrName: "parameter3_KeyInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Parameter3_Value",
attrName: "parameter3_ValueInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Parameter4_Key",
attrName: "parameter4_KeyInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Parameter4_Value",
attrName: "parameter4_ValueInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Parameter5_Key",
attrName: "parameter5_KeyInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Parameter5_Value",
attrName: "parameter5_ValueInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Analytics.LogEvent$parametersBuilderJSResult", [{
name: "Parameters",
attrName: "parametersOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Analytics.LogEvent$logEventJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Analytics.LogEvent$outVars", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.logEvent$Action = function (eventNameIn, parameter1_KeyIn, parameter1_ValueIn, parameter2_KeyIn, parameter2_ValueIn, parameter3_KeyIn, parameter3_ValueIn, parameter4_KeyIn, parameter4_ValueIn, parameter5_KeyIn, parameter5_ValueIn) {
eventNameIn = (eventNameIn === undefined) ? "" : eventNameIn;
parameter1_KeyIn = (parameter1_KeyIn === undefined) ? "" : parameter1_KeyIn;
parameter1_ValueIn = (parameter1_ValueIn === undefined) ? "" : parameter1_ValueIn;
parameter2_KeyIn = (parameter2_KeyIn === undefined) ? "" : parameter2_KeyIn;
parameter2_ValueIn = (parameter2_ValueIn === undefined) ? "" : parameter2_ValueIn;
parameter3_KeyIn = (parameter3_KeyIn === undefined) ? "" : parameter3_KeyIn;
parameter3_ValueIn = (parameter3_ValueIn === undefined) ? "" : parameter3_ValueIn;
parameter4_KeyIn = (parameter4_KeyIn === undefined) ? "" : parameter4_KeyIn;
parameter4_ValueIn = (parameter4_ValueIn === undefined) ? "" : parameter4_ValueIn;
parameter5_KeyIn = (parameter5_KeyIn === undefined) ? "" : parameter5_KeyIn;
parameter5_ValueIn = (parameter5_ValueIn === undefined) ? "" : parameter5_ValueIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.logEvent$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(eventNameIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(parameter1_KeyIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(parameter1_ValueIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(parameter2_KeyIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(parameter2_ValueIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(parameter3_KeyIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(parameter3_ValueIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(parameter4_KeyIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(parameter4_ValueIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(parameter5_KeyIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(parameter5_ValueIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$LogEvent.ParametersBuilderJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
var parameters = {};
addKeyValue($parameters.Parameter1_Key, $parameters.Parameter1_Value);
addKeyValue($parameters.Parameter2_Key, $parameters.Parameter2_Value);
addKeyValue($parameters.Parameter3_Key, $parameters.Parameter3_Value);
addKeyValue($parameters.Parameter4_Key, $parameters.Parameter4_Value);
addKeyValue($parameters.Parameter5_Key, $parameters.Parameter5_Value);

function addKeyValue (key, val) {
    if (key !== "" && val !== "") {
        parameters[key] = val;
    }
}

$parameters.Parameters = parameters;
$resolve();
});
};
});
define("FirebaseMobile.controller$LogEvent.LogEventJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.logEvent($parameters.EventName, $parameters.Parameters, success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$RegisterDevice", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "CommonPlugin.controller", "MobilePatterns.controller", "FirebaseMobile.controller$RegisterDevice.GetTokenJS", "FirebaseMobile.controller$CheckFirebasePlugin", "CommonPlugin.controller$GetDeviceID", "FirebaseMobile.referencesHealth", "FirebaseMobile.referencesHealth$CommonPlugin", "FirebaseMobile.controller$GetDevicePlatform", "FirebaseMobile.controller$GeneralLog", "FirebaseMobile.model$General_ResponseRec", "FirebaseMobile.controller$ServerAction.RegisterDevice", "FirebaseMobile.controller$HasPermission", "MobilePatterns.controller$GetNetworkStatus", "FirebaseMobile.referencesHealth$MobilePatterns", "FirebaseMobile.model$RegisterDevice_ResponseRec"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, CommonPluginController, MobilePatternsController, FirebaseMobile_controller_RegisterDevice_GetTokenJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.registerDevice$Action = function (nosUserIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.RegisterDevice$vars"))());
vars.value.nosUserIdInLocal = nosUserIdIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var registerDeviceVar = new OS.DataTypes.VariableHolder();
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var getDeviceIDVar = new OS.DataTypes.VariableHolder();
var getDevicePlatformVar = new OS.DataTypes.VariableHolder();
var iOSPermissionsVar = new OS.DataTypes.VariableHolder();
var getTokenJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.RegisterDevice$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

// plugin is available and device is online
return OS.Flow.executeSequence(function () {
if(((checkFirebasePluginVar.value.isAvailableOut && MobilePatternsController.default.getNetworkStatus$Action(callContext.withoutIterationContext()).isOnlineOut))) {
// Execute Action: GetDevicePlatform
getDevicePlatformVar.value = FirebaseMobileController.default.getDevicePlatform$Action(callContext);

// is iOS?
return OS.Flow.executeSequence(function () {
if(((getDevicePlatformVar.value.devicePlatformIdOut === FirebaseMobileModel.staticEntities.devicePlatform2.iOS))) {
// Execute Action: iOSPermissions
return FirebaseMobileController.default.hasPermission$Action(callContext).then(function (value) {
iOSPermissionsVar.value = value;
}).then(function () {
// hasPermission
// Response.HasPermission = iOSPermissions.hasPermission
outVars.value.responseOut.hasPermissionAttr = iOSPermissionsVar.value.hasPermissionOut;
}).then(function () {
// has permission?
if((!(iOSPermissionsVar.value.hasPermissionOut))) {
return OS.Flow.returnAsync(outVars.value);

}

});
}

}).then(function () {
// Execute Action: GetDeviceID
getDeviceIDVar.value = CommonPluginController.default.getDeviceID$Action(callContext);

return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_RegisterDevice_GetTokenJS, "GetToken", "RegisterDevice", {
Token: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.RegisterDevice$getTokenJSResult"))();
jsNodeResult.tokenOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Token, OS.Types.Text);
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
getTokenJSResult.value = results;
}).then(function () {
// Execute Action: GeneralLog
return FirebaseMobileController.default.generalLog$Action((("RegisterDevice " + "\r\n") + (((getTokenJSResult.value.errorMessageOut === "")) ? (((((((("UserId: " + (OS.BuiltinFunctions.getUserId()).toString()) + " DeviceId: ") + getDeviceIDVar.value.deviceHwIdOut) + " Platform: ") + (getDevicePlatformVar.value.devicePlatformIdOut).toString()) + " Token: ") + getTokenJSResult.value.tokenOut)) : (("ErrorMessage: " + getTokenJSResult.value.errorMessageOut)))), callContext);
}).then(function () {
// outputs
// Response.RegistrationId = GetToken.Token
outVars.value.responseOut.registrationIdAttr = getTokenJSResult.value.tokenOut;
// Response.DeviceHardwareId = GetDeviceID.DeviceHwId
outVars.value.responseOut.deviceHardwareIdAttr = getDeviceIDVar.value.deviceHwIdOut;
// Response.ApplicationId = GetEntryEspaceName
outVars.value.responseOut.applicationIdAttr = OS.BuiltinFunctions.getEntryEspaceName();
});
}).then(function () {
// get token is success?
return OS.Flow.executeSequence(function () {
if((getTokenJSResult.value.isSuccessOut)) {
// Execute Action: RegisterDevice
return controller.registerDevice$ServerAction(outVars.value.responseOut.applicationIdAttr, outVars.value.responseOut.registrationIdAttr, getDevicePlatformVar.value.devicePlatformIdOut, outVars.value.responseOut.deviceHardwareIdAttr, vars.value.nosUserIdInLocal, callContext).then(function (value) {
registerDeviceVar.value = value;
}).then(function () {
// output
// Response.General_Response = RegisterDevice.Response
outVars.value.responseOut.general_ResponseAttr = registerDeviceVar.value.responseOut;
});
} else {
// output
// Response.General_Response.Success = GetToken.IsSuccess
outVars.value.responseOut.general_ResponseAttr.successAttr = getTokenJSResult.value.isSuccessOut;
// Response.General_Response.ErrorMessage = GetToken.ErrorMessage
outVars.value.responseOut.general_ResponseAttr.errorMessageAttr = getTokenJSResult.value.errorMessageOut;
}

});
});
} else {
// output
// Response.General_Response.Success = CheckFirebasePlugin.IsAvailable
outVars.value.responseOut.general_ResponseAttr.successAttr = checkFirebasePluginVar.value.isAvailableOut;
// Response.General_Response.ErrorMessage = If
outVars.value.responseOut.general_ResponseAttr.errorMessageAttr = ((MobilePatternsController.default.getNetworkStatus$Action(callContext.withoutIterationContext()).isOnlineOut) ? (checkFirebasePluginVar.value.errorOut) : ("Device is offline"));
}

});
}).catch(function (ex) {
OS.Logger.trace("CloudMessaging.RegisterDevice", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// outputs
// Response.General_Response.Success = False
outVars.value.responseOut.general_ResponseAttr.successAttr = false;
// Response.General_Response.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.responseOut.general_ResponseAttr.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.RegisterDevice$vars", [{
name: "NosUserId",
attrName: "nosUserIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.RegisterDevice$getTokenJSResult", [{
name: "Token",
attrName: "tokenOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.RegisterDevice$outVars", [{
name: "Response",
attrName: "responseOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new FirebaseMobileModel.RegisterDevice_ResponseRec();
},
complexType: FirebaseMobileModel.RegisterDevice_ResponseRec
}]);
FirebaseMobileController.default.clientActionProxies.registerDevice$Action = function (nosUserIdIn) {
nosUserIdIn = (nosUserIdIn === undefined) ? "" : nosUserIdIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.registerDevice$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(nosUserIdIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Response: actionResults.responseOut
};
});
};
});
define("FirebaseMobile.controller$RegisterDevice.GetTokenJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
setTimeout(window.fp.getToken(success, error), 1000);

function success(token) {
    if (token === null) {
        setTimeout(window.fp.getToken(success, error), 1000);
    } else {
        $parameters.IsSuccess = true;
        $parameters.Token = token;
        $resolve();
    }
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$SetAnalyticsCollectionEnabled", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$SetAnalyticsCollectionEnabled.SetAnalyticsCollectionEnabledJS", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_SetAnalyticsCollectionEnabled_SetAnalyticsCollectionEnabledJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.setAnalyticsCollectionEnabled$Action = function (setEnabledIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Analytics.SetAnalyticsCollectionEnabled$vars"))());
vars.value.setEnabledInLocal = setEnabledIn;
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var setAnalyticsCollectionEnabledJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Analytics.SetAnalyticsCollectionEnabled$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_SetAnalyticsCollectionEnabled_SetAnalyticsCollectionEnabledJS, "SetAnalyticsCollectionEnabled", "SetAnalyticsCollectionEnabled", {
SetEnabled: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.setEnabledInLocal, OS.Types.Boolean, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.Analytics.SetAnalyticsCollectionEnabled$setAnalyticsCollectionEnabledJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
setAnalyticsCollectionEnabledJSResult.value = results;
}).then(function () {
if((setAnalyticsCollectionEnabledJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
} else {
// Error = SetAnalyticsCollectionEnabled.ErrorMessage
outVars.value.errorOut = setAnalyticsCollectionEnabledJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Analytics.SetAnalyticsCollectionEnabled$vars", [{
name: "SetEnabled",
attrName: "setEnabledInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Analytics.SetAnalyticsCollectionEnabled$setAnalyticsCollectionEnabledJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Analytics.SetAnalyticsCollectionEnabled$outVars", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.setAnalyticsCollectionEnabled$Action = function (setEnabledIn) {
setEnabledIn = (setEnabledIn === undefined) ? false : setEnabledIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.setAnalyticsCollectionEnabled$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(setEnabledIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$SetAnalyticsCollectionEnabled.SetAnalyticsCollectionEnabledJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.setAnalyticsCollectionEnabled($parameters.SetEnabled, success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$SetBadgeNumber", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$SetBadgeNumber.SetBadgeNumberJS", "FirebaseMobile.controller$CheckFirebasePlugin", "FirebaseMobile.model$General_ResponseRec"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_SetBadgeNumber_SetBadgeNumberJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.setBadgeNumber$Action = function (badgeNumberIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.SetBadgeNumber$vars"))());
vars.value.badgeNumberInLocal = badgeNumberIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var setBadgeNumberJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.SetBadgeNumber$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_SetBadgeNumber_SetBadgeNumberJS, "SetBadgeNumber", "SetBadgeNumber", {
BadgeNumber: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.badgeNumberInLocal, OS.Types.Integer, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.SetBadgeNumber$setBadgeNumberJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Error, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
setBadgeNumberJSResult.value = results;
}).then(function () {
// SetBadgeNumber.IsSuccess = SetBadgeNumber.IsSuccess
setBadgeNumberJSResult.value.isSuccessOut = setBadgeNumberJSResult.value.isSuccessOut;
// Response.ErrorMessage = SetBadgeNumber.Error
outVars.value.responseOut.errorMessageAttr = setBadgeNumberJSResult.value.errorOut;
});
} else {
// Response.Success = CheckFirebasePlugin.IsAvailable
outVars.value.responseOut.successAttr = checkFirebasePluginVar.value.isAvailableOut;
// Response.ErrorMessage = CheckFirebasePlugin.Error
outVars.value.responseOut.errorMessageAttr = checkFirebasePluginVar.value.errorOut;
}

});
}).catch(function (ex) {
OS.Logger.trace("CloudMessaging.SetBadgeNumber", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// outputs
// Response.Success = False
outVars.value.responseOut.successAttr = false;
// Response.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.responseOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.SetBadgeNumber$vars", [{
name: "BadgeNumber",
attrName: "badgeNumberInLocal",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.SetBadgeNumber$setBadgeNumberJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.SetBadgeNumber$outVars", [{
name: "Response",
attrName: "responseOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new FirebaseMobileModel.General_ResponseRec();
},
complexType: FirebaseMobileModel.General_ResponseRec
}]);
FirebaseMobileController.default.clientActionProxies.setBadgeNumber$Action = function (badgeNumberIn) {
badgeNumberIn = (badgeNumberIn === undefined) ? 0 : badgeNumberIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.setBadgeNumber$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(badgeNumberIn, OS.Types.Integer)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Response: actionResults.responseOut
};
});
};
});
define("FirebaseMobile.controller$SetBadgeNumber.SetBadgeNumberJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.setBadgeNumber($parameters.BadgeNumber, success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(error) {
    $parameters.IsSuccess = false;
    $parameters.Error = error;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$SetCrashlyticsUserId", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$SetCrashlyticsUserId.SetCrashlyticsUserIdJS", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_SetCrashlyticsUserId_SetCrashlyticsUserIdJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.setCrashlyticsUserId$Action = function (userIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Crashlytics.SetCrashlyticsUserId$vars"))());
vars.value.userIdInLocal = userIdIn;
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var setCrashlyticsUserIdJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Crashlytics.SetCrashlyticsUserId$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_SetCrashlyticsUserId_SetCrashlyticsUserIdJS, "SetCrashlyticsUserId", "SetCrashlyticsUserId", {
UserId: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.userIdInLocal, OS.Types.Text, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.Crashlytics.SetCrashlyticsUserId$setCrashlyticsUserIdJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
setCrashlyticsUserIdJSResult.value = results;
}).then(function () {
if((setCrashlyticsUserIdJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
} else {
// Error = SetCrashlyticsUserId.ErrorMessage
outVars.value.errorOut = setCrashlyticsUserIdJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Crashlytics.SetCrashlyticsUserId$vars", [{
name: "UserId",
attrName: "userIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Crashlytics.SetCrashlyticsUserId$setCrashlyticsUserIdJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Crashlytics.SetCrashlyticsUserId$outVars", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.setCrashlyticsUserId$Action = function (userIdIn) {
userIdIn = (userIdIn === undefined) ? "" : userIdIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.setCrashlyticsUserId$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(userIdIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$SetCrashlyticsUserId.SetCrashlyticsUserIdJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.setCrashlyticsUserId($parameters.UserId, success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$SetDefaults", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$SetDefaults.SetDefaultsJS", "FirebaseMobile.model$KeyValuePairList", "FirebaseMobile.controller$ConvertKeyValuePairListToString", "FirebaseMobile.controller$CheckFirebasePlugin", "FirebaseMobile.controller$CheckIfAndroid"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_SetDefaults_SetDefaultsJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.setDefaults$Action = function (remoteConfigListIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.RemoteConfig.SetDefaults$vars"))());
vars.value.remoteConfigListInLocal = remoteConfigListIn.clone();
var convertKeyValuePairListToStringVar = new OS.DataTypes.VariableHolder();
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var checkIfAndroidVar = new OS.DataTypes.VariableHolder();
var setDefaultsJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.RemoteConfig.SetDefaults$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckIfAndroid
checkIfAndroidVar.value = FirebaseMobileController.default.checkIfAndroid$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkIfAndroidVar.value.isAndroidOut)) {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return OS.Flow.executeSequence(function () {
if((vars.value.remoteConfigListInLocal.isEmpty)) {
// Error = "Remote config list is empty"
outVars.value.errorOut = "Remote config list is empty";
} else {
// Execute Action: ConvertKeyValuePairListToString
convertKeyValuePairListToStringVar.value = FirebaseMobileController.default.convertKeyValuePairListToString$Action(vars.value.remoteConfigListInLocal, callContext);

return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_SetDefaults_SetDefaultsJS, "SetDefaults", "SetDefaults", {
RemoteConfigString: OS.DataTypes.JSConversions.basicTypeToJS(convertKeyValuePairListToStringVar.value.keyValuePairStringOut, OS.Types.Text, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.RemoteConfig.SetDefaults$setDefaultsJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
setDefaultsJSResult.value = results;
}).then(function () {
if((setDefaultsJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
} else {
// Error = SetDefaults.ErrorMessage
outVars.value.errorOut = setDefaultsJSResult.value.errorMessageOut;
}

});
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.RemoteConfig.SetDefaults$vars", [{
name: "RemoteConfigList",
attrName: "remoteConfigListInLocal",
mandatory: true,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new FirebaseMobileModel.KeyValuePairList();
},
complexType: FirebaseMobileModel.KeyValuePairList
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.RemoteConfig.SetDefaults$setDefaultsJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.RemoteConfig.SetDefaults$outVars", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.setDefaults$Action = function (remoteConfigListIn) {
remoteConfigListIn = (remoteConfigListIn === undefined) ? new FirebaseMobileModel.KeyValuePairList() : remoteConfigListIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.setDefaults$Action.bind(controller, remoteConfigListIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$SetDefaults.SetDefaultsJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
var defaults = JSON.parse($parameters.RemoteConfigString);
window.fp.setDefaults(defaults, success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$SetPerformanceCollectionEnabled", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$SetPerformanceCollectionEnabled.SetPerformanceCollectionEnabledJS", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_SetPerformanceCollectionEnabled_SetPerformanceCollectionEnabledJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.setPerformanceCollectionEnabled$Action = function (setEnabledIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Performance.SetPerformanceCollectionEnabled$vars"))());
vars.value.setEnabledInLocal = setEnabledIn;
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var setPerformanceCollectionEnabledJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Performance.SetPerformanceCollectionEnabled$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_SetPerformanceCollectionEnabled_SetPerformanceCollectionEnabledJS, "SetPerformanceCollectionEnabled", "SetPerformanceCollectionEnabled", {
SetEnabled: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.setEnabledInLocal, OS.Types.Boolean, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.Performance.SetPerformanceCollectionEnabled$setPerformanceCollectionEnabledJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
setPerformanceCollectionEnabledJSResult.value = results;
}).then(function () {
if((setPerformanceCollectionEnabledJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
} else {
// Error = SetPerformanceCollectionEnabled.ErrorMessage
outVars.value.errorOut = setPerformanceCollectionEnabledJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Performance.SetPerformanceCollectionEnabled$vars", [{
name: "SetEnabled",
attrName: "setEnabledInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Performance.SetPerformanceCollectionEnabled$setPerformanceCollectionEnabledJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Performance.SetPerformanceCollectionEnabled$outVars", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.setPerformanceCollectionEnabled$Action = function (setEnabledIn) {
setEnabledIn = (setEnabledIn === undefined) ? false : setEnabledIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.setPerformanceCollectionEnabled$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(setEnabledIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$SetPerformanceCollectionEnabled.SetPerformanceCollectionEnabledJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.setPerformanceCollectionEnabled($parameters.SetEnabled, success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$SetScreenName", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$SetScreenName.SetScreenNameJS", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_SetScreenName_SetScreenNameJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.setScreenName$Action = function (screenNameIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Analytics.SetScreenName$vars"))());
vars.value.screenNameInLocal = screenNameIn;
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var setScreenNameJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Analytics.SetScreenName$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_SetScreenName_SetScreenNameJS, "SetScreenName", "SetScreenName", {
ScreenName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.screenNameInLocal, OS.Types.Text, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.Analytics.SetScreenName$setScreenNameJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
setScreenNameJSResult.value = results;
}).then(function () {
if((setScreenNameJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
} else {
// Error = SetScreenName.ErrorMessage
outVars.value.errorOut = setScreenNameJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Analytics.SetScreenName$vars", [{
name: "ScreenName",
attrName: "screenNameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Analytics.SetScreenName$setScreenNameJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Analytics.SetScreenName$outVars", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.setScreenName$Action = function (screenNameIn) {
screenNameIn = (screenNameIn === undefined) ? "" : screenNameIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.setScreenName$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(screenNameIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$SetScreenName.SetScreenNameJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.setScreenName($parameters.ScreenName, success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$SetUserId", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$SetUserId.SetUserIdJS", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_SetUserId_SetUserIdJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.setUserId$Action = function (userIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Analytics.SetUserId$vars"))());
vars.value.userIdInLocal = userIdIn;
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var setUserIdJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Analytics.SetUserId$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_SetUserId_SetUserIdJS, "SetUserId", "SetUserId", {
UserId: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.userIdInLocal, OS.Types.Text, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.Analytics.SetUserId$setUserIdJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
setUserIdJSResult.value = results;
}).then(function () {
if((setUserIdJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
} else {
// Error = SetUserId.ErrorMessage
outVars.value.errorOut = setUserIdJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Analytics.SetUserId$vars", [{
name: "UserId",
attrName: "userIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Analytics.SetUserId$setUserIdJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Analytics.SetUserId$outVars", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.setUserId$Action = function (userIdIn) {
userIdIn = (userIdIn === undefined) ? "" : userIdIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.setUserId$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(userIdIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$SetUserId.SetUserIdJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.setUserId($parameters.UserId, success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$SetUserProperty", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$SetUserProperty.SetUserPropertyJS", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_SetUserProperty_SetUserPropertyJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.setUserProperty$Action = function (propertyNameIn, propertyValueIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Analytics.SetUserProperty$vars"))());
vars.value.propertyNameInLocal = propertyNameIn;
vars.value.propertyValueInLocal = propertyValueIn;
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var setUserPropertyJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Analytics.SetUserProperty$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_SetUserProperty_SetUserPropertyJS, "SetUserProperty", "SetUserProperty", {
PropertyName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.propertyNameInLocal, OS.Types.Text, true),
PropertyValue: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.propertyValueInLocal, OS.Types.Text, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.Analytics.SetUserProperty$setUserPropertyJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
setUserPropertyJSResult.value = results;
}).then(function () {
if((setUserPropertyJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
} else {
// Error = SetUserProperty.ErrorMessage
outVars.value.errorOut = setUserPropertyJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Analytics.SetUserProperty$vars", [{
name: "PropertyName",
attrName: "propertyNameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "PropertyValue",
attrName: "propertyValueInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Analytics.SetUserProperty$setUserPropertyJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Analytics.SetUserProperty$outVars", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.setUserProperty$Action = function (propertyNameIn, propertyValueIn) {
propertyNameIn = (propertyNameIn === undefined) ? "" : propertyNameIn;
propertyValueIn = (propertyValueIn === undefined) ? "" : propertyValueIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.setUserProperty$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(propertyNameIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(propertyValueIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$SetUserProperty.SetUserPropertyJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.setUserProperty($parameters.PropertyName, $parameters.PropertyValue, success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$StartTrace", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$StartTrace.StartTraceJS", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_StartTrace_StartTraceJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.startTrace$Action = function (traceNameIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Performance.StartTrace$vars"))());
vars.value.traceNameInLocal = traceNameIn;
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var startTraceJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Performance.StartTrace$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_StartTrace_StartTraceJS, "StartTrace", "StartTrace", {
TraceName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.traceNameInLocal, OS.Types.Text, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.Performance.StartTrace$startTraceJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
startTraceJSResult.value = results;
}).then(function () {
if((startTraceJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
} else {
// Error = StartTrace.ErrorMessage
outVars.value.errorOut = startTraceJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Performance.StartTrace$vars", [{
name: "TraceName",
attrName: "traceNameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Performance.StartTrace$startTraceJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Performance.StartTrace$outVars", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.startTrace$Action = function (traceNameIn) {
traceNameIn = (traceNameIn === undefined) ? "" : traceNameIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.startTrace$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(traceNameIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$StartTrace.StartTraceJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.startTrace($parameters.TraceName, success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$StopTrace", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$StopTrace.StopTraceJS", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_StopTrace_StopTraceJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.stopTrace$Action = function (traceNameIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Performance.StopTrace$vars"))());
vars.value.traceNameInLocal = traceNameIn;
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var stopTraceJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.Performance.StopTrace$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_StopTrace_StopTraceJS, "StopTrace", "StopTrace", {
TraceName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.traceNameInLocal, OS.Types.Text, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.Performance.StopTrace$stopTraceJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
stopTraceJSResult.value = results;
}).then(function () {
if((stopTraceJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
} else {
// Error = StopTrace.ErrorMessage
outVars.value.errorOut = stopTraceJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Performance.StopTrace$vars", [{
name: "TraceName",
attrName: "traceNameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Performance.StopTrace$stopTraceJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.Performance.StopTrace$outVars", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.stopTrace$Action = function (traceNameIn) {
traceNameIn = (traceNameIn === undefined) ? "" : traceNameIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.stopTrace$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(traceNameIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$StopTrace.StopTraceJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.stopTrace($parameters.TraceName, success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$SubscribeTopic", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$SubscribeTopic.SubscribeJS", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_SubscribeTopic_SubscribeJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.subscribeTopic$Action = function (topicIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.SubscribeTopic$vars"))());
vars.value.topicInLocal = topicIn;
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var subscribeJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.SubscribeTopic$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_SubscribeTopic_SubscribeJS, "Subscribe", "SubscribeTopic", {
Topic: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.topicInLocal, OS.Types.Text, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.SubscribeTopic$subscribeJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
subscribeJSResult.value = results;
}).then(function () {
if((subscribeJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
} else {
// Error = Subscribe.ErrorMessage
outVars.value.errorOut = subscribeJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.SubscribeTopic$vars", [{
name: "Topic",
attrName: "topicInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.SubscribeTopic$subscribeJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.SubscribeTopic$outVars", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.subscribeTopic$Action = function (topicIn) {
topicIn = (topicIn === undefined) ? "" : topicIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.subscribeTopic$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(topicIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$SubscribeTopic.SubscribeJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.subscribe($parameters.Topic, success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$UnregisterDevice", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "CommonPlugin.controller", "FirebaseMobile.controller$UnregisterDevice.UnregisterDeviceJS", "FirebaseMobile.controller$GeneralLog", "FirebaseMobile.controller$CheckIfiOS", "FirebaseMobile.controller$ServerAction.UnregisterDevice", "CommonPlugin.controller$GetDeviceID", "FirebaseMobile.referencesHealth", "FirebaseMobile.referencesHealth$CommonPlugin", "FirebaseMobile.controller$CheckFirebasePlugin", "FirebaseMobile.model$General_ResponseRec"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, CommonPluginController, FirebaseMobile_controller_UnregisterDevice_UnregisterDeviceJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.unregisterDevice$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkIfiOSVar = new OS.DataTypes.VariableHolder();
var getDeviceIDVar = new OS.DataTypes.VariableHolder();
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var unregisterDeviceJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.UnregisterDevice$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
// Execute Action: CheckIfiOS
checkIfiOSVar.value = FirebaseMobileController.default.checkIfiOS$Action(callContext);

// is iOS
return OS.Flow.executeSequence(function () {
if((!(checkIfiOSVar.value.isIOSOut))) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_UnregisterDevice_UnregisterDeviceJS, "UnregisterDevice", "UnregisterDevice", {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.UnregisterDevice$unregisterDeviceJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
unregisterDeviceJSResult.value = results;
}).then(function () {
// Execute Action: GeneralLog
return FirebaseMobileController.default.generalLog$Action((((("UnregisterDevice " + "\r\n") + "IsSuccess: ") + (unregisterDeviceJSResult.value.isSuccessOut ? "True" : "False")) + (((unregisterDeviceJSResult.value.errorMessageOut === "")) ? ("") : ((" ErrorMessage: " + unregisterDeviceJSResult.value.errorMessageOut)))), callContext);
}).then(function () {
// output
// Response.Success = UnregisterDevice.IsSuccess
outVars.value.responseOut.successAttr = unregisterDeviceJSResult.value.isSuccessOut;
// Response.ErrorMessage = UnregisterDevice.ErrorMessage
outVars.value.responseOut.errorMessageAttr = unregisterDeviceJSResult.value.errorMessageOut;
});
}

}).then(function () {
// Execute Action: GetDeviceID
getDeviceIDVar.value = CommonPluginController.default.getDeviceID$Action(callContext);

// Execute Action: UnregisterDevice2
return controller.unregisterDevice$ServerAction(OS.BuiltinFunctions.getEntryEspaceName(), getDeviceIDVar.value.deviceHwIdOut, callContext);
});
} else {
// output
// Response.Success = CheckFirebasePlugin.IsAvailable
outVars.value.responseOut.successAttr = checkFirebasePluginVar.value.isAvailableOut;
// Response.ErrorMessage = CheckFirebasePlugin.Error
outVars.value.responseOut.errorMessageAttr = checkFirebasePluginVar.value.errorOut;
}

});
}).catch(function (ex) {
OS.Logger.trace("CloudMessaging.UnregisterDevice", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// outputs
// Response.Success = False
outVars.value.responseOut.successAttr = false;
// Response.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.responseOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.UnregisterDevice$unregisterDeviceJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.UnregisterDevice$outVars", [{
name: "Response",
attrName: "responseOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new FirebaseMobileModel.General_ResponseRec();
},
complexType: FirebaseMobileModel.General_ResponseRec
}]);
FirebaseMobileController.default.clientActionProxies.unregisterDevice$Action = function () {
return controller.executeActionInsideJSNode(FirebaseMobileController.default.unregisterDevice$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Response: actionResults.responseOut
};
});
};
});
define("FirebaseMobile.controller$UnregisterDevice.UnregisterDeviceJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.unregister(success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$UnsubscribeTopic", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.controller$UnsubscribeTopic.UnsubscribeJS", "FirebaseMobile.controller$CheckFirebasePlugin"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController, FirebaseMobile_controller_UnsubscribeTopic_UnsubscribeJS) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.unsubscribeTopic$Action = function (topicIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.UnsubscribeTopic$vars"))());
vars.value.topicInLocal = topicIn;
var checkFirebasePluginVar = new OS.DataTypes.VariableHolder();
var unsubscribeJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.UnsubscribeTopic$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFirebasePlugin
checkFirebasePluginVar.value = FirebaseMobileController.default.checkFirebasePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFirebasePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FirebaseMobile_controller_UnsubscribeTopic_UnsubscribeJS, "Unsubscribe", "UnsubscribeTopic", {
Topic: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.topicInLocal, OS.Types.Text, true),
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FirebaseMobile.CloudMessaging.UnsubscribeTopic$unsubscribeJSResult"))();
jsNodeResult.isSuccessOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsSuccess, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
unsubscribeJSResult.value = results;
}).then(function () {
if((unsubscribeJSResult.value.isSuccessOut)) {
// IsSuccess = True
outVars.value.isSuccessOut = true;
} else {
// Error = Unsubscribe.ErrorMessage
outVars.value.errorOut = unsubscribeJSResult.value.errorMessageOut;
}

});
} else {
// Error = CheckFirebasePlugin.Error
outVars.value.errorOut = checkFirebasePluginVar.value.errorOut;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FirebaseMobileController.default;
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.UnsubscribeTopic$vars", [{
name: "Topic",
attrName: "topicInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.UnsubscribeTopic$unsubscribeJSResult", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile.CloudMessaging.UnsubscribeTopic$outVars", [{
name: "IsSuccess",
attrName: "isSuccessOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FirebaseMobileController.default.clientActionProxies.unsubscribeTopic$Action = function (topicIn) {
topicIn = (topicIn === undefined) ? "" : topicIn;
return controller.executeActionInsideJSNode(FirebaseMobileController.default.unsubscribeTopic$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(topicIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsSuccess: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isSuccessOut, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Text, true)
};
});
};
});
define("FirebaseMobile.controller$UnsubscribeTopic.UnsubscribeJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.fp.unsubscribe($parameters.Topic, success, error);

function success() {
    $parameters.IsSuccess = true;
    $resolve();
}

function error(err) {
    $parameters.IsSuccess = false;
    $parameters.ErrorMessage = err;
    $resolve();
}
});
};
});

define("FirebaseMobile.controller$ServerAction.GetSiteProperty_EnableLogs", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.getSiteProperty_EnableLogs$ServerAction = function (callContext) {
var controller = this.controller;
return controller.callServerAction("GetSiteProperty_EnableLogs", "screenservices/FirebaseMobile/ActionGetSiteProperty_EnableLogs", "_7_6MTOpxy783yO_mGsTTQ", {}, controller.callContext(callContext)).then(function (outputs) {
var executeServerActionResult = new (controller.constructor.getVariableGroupType("FirebaseMobile$ActionGetSiteProperty_EnableLogs"))();
executeServerActionResult.valueOut = OS.DataTypes.JSConversions.jsToBasicType(outputs.Value, OS.Types.Boolean);
return executeServerActionResult;
});
};
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile$ActionGetSiteProperty_EnableLogs", [{
name: "Value",
attrName: "valueOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
});
define("FirebaseMobile.controller$ServerAction.RegisterDevice", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller", "FirebaseMobile.model$General_ResponseRec"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.registerDevice$ServerAction = function (applicationIdIn, registrationIdIn, devicePlatformIn, deviceHardwareIdIn, nosUserIdIn, callContext) {
var controller = this.controller;
var inputs = {
ApplicationId: OS.DataTypes.JSConversions.basicTypeToJS(applicationIdIn, OS.Types.Text),
RegistrationId: OS.DataTypes.JSConversions.basicTypeToJS(registrationIdIn, OS.Types.Text),
DevicePlatform: OS.DataTypes.JSConversions.basicTypeToJS(devicePlatformIn, OS.Types.Integer),
DeviceHardwareId: OS.DataTypes.JSConversions.basicTypeToJS(deviceHardwareIdIn, OS.Types.Text),
NosUserId: OS.DataTypes.JSConversions.basicTypeToJS(nosUserIdIn, OS.Types.Text)
};
return controller.callServerAction("RegisterDevice", "screenservices/FirebaseMobile/ActionRegisterDevice", "DQ_UpR_1jdQlxKRXCUzdNg", inputs, controller.callContext(callContext)).then(function (outputs) {
var executeServerActionResult = new (controller.constructor.getVariableGroupType("FirebaseMobile$ActionRegisterDevice"))();
executeServerActionResult.responseOut = FirebaseMobileModel.General_ResponseRec.fromJS(outputs.Response);
return executeServerActionResult;
});
};
FirebaseMobileController.default.constructor.registerVariableGroupType("FirebaseMobile$ActionRegisterDevice", [{
name: "Response",
attrName: "responseOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new FirebaseMobileModel.General_ResponseRec();
},
complexType: FirebaseMobileModel.General_ResponseRec
}]);
});
define("FirebaseMobile.controller$ServerAction.UnregisterDevice", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.controller"], function (exports, OutSystems, FirebaseMobileModel, FirebaseMobileController) {
var OS = OutSystems.Internal;
FirebaseMobileController.default.unregisterDevice$ServerAction = function (applicationIdIn, deviceHardwareIdIn, callContext) {
var controller = this.controller;
var inputs = {
ApplicationId: OS.DataTypes.JSConversions.basicTypeToJS(applicationIdIn, OS.Types.Text),
DeviceHardwareId: OS.DataTypes.JSConversions.basicTypeToJS(deviceHardwareIdIn, OS.Types.Text)
};
return controller.callServerAction("UnregisterDevice", "screenservices/FirebaseMobile/ActionUnregisterDevice", "sgq5cRPgmnTi_kgb3ba5KQ", inputs, controller.callContext(callContext)).then(function (outputs) {
});
};
});
define("FirebaseMobile.controller", ["exports", "OutSystems", "FirebaseMobile.model"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var FirebaseMobileController = exports;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
}
Controller.prototype.clientActionProxies = {};
Controller.prototype.roles = {};
Controller.prototype.defaultTimeout = 10;
Controller.prototype.getDefaultTimeout = function () {
return FirebaseMobileController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseModuleController);
FirebaseMobileController.default = new Controller();
});
