﻿define("KeyboardPlugin.MainFlow.Event.mvc$model", ["OutSystems", "KeyboardPlugin.model"], function (OutSystems, KeyboardPluginModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("ShowHandler", "showHandlerVar", "ShowHandler", true, OS.Types.Object, function () {
return null;
}), 
this.attr("HideHandler", "hideHandlerVar", "HideHandler", true, OS.Types.Object, function () {
return null;
}), 
this.attr("WillShowHandler", "willShowHandlerVar", "WillShowHandler", true, OS.Types.Object, function () {
return null;
}), 
this.attr("WillHideHandler", "willHideHandlerVar", "WillHideHandler", true, OS.Types.Object, function () {
return null;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return false;
}
});

Model.prototype.setInputs = function (inputs) {
};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("KeyboardPlugin.MainFlow.Event.mvc$view", ["OutSystems", "KeyboardPlugin.model", "KeyboardPlugin.controller", "react", "OutSystemsReactView", "KeyboardPlugin.MainFlow.Event.mvc$model", "KeyboardPlugin.MainFlow.Event.mvc$controller"], function (OutSystems, KeyboardPluginModel, KeyboardPluginController, React, OSView, KeyboardPlugin_MainFlow_Event_mvc_model, KeyboardPlugin_MainFlow_Event_mvc_controller) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "MainFlow.Event";
        View.getCssDependencies = function() {
            return [];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return KeyboardPlugin_MainFlow_Event_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return KeyboardPlugin_MainFlow_Event_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if(false, false, this, function () {
return [];
}, function () {
return [];
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("KeyboardPlugin.MainFlow.Event.mvc$controller", ["OutSystems", "KeyboardPlugin.model", "KeyboardPlugin.controller", "KeyboardPlugin.languageResources", "KeyboardPlugin.MainFlow.Event.mvc$controller.OnDestroy.RemoveHandlersJS", "KeyboardPlugin.MainFlow.Event.mvc$controller.OnInitialize.ListenersJS"], function (OutSystems, KeyboardPluginModel, KeyboardPluginController, KeyboardPluginLanguageResources, KeyboardPlugin_MainFlow_Event_mvc_controller_OnDestroy_RemoveHandlersJS, KeyboardPlugin_MainFlow_Event_mvc_controller_OnInitialize_ListenersJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {
keyboardDidShow$Action: function (keyboardHeightIn) {
keyboardHeightIn = (keyboardHeightIn === undefined) ? 0 : keyboardHeightIn;
return controller.executeActionInsideJSNode(controller._keyboardDidShow$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(keyboardHeightIn, OS.Types.Integer)), controller.callContext(), function (actionResults) {
return {};
});
},
keyboardDidHide$Action: function () {
return controller.executeActionInsideJSNode(controller._keyboardDidHide$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
},
keyboardWillShow$Action: function (keyboardHeightIn) {
keyboardHeightIn = (keyboardHeightIn === undefined) ? 0 : keyboardHeightIn;
return controller.executeActionInsideJSNode(controller._keyboardWillShow$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(keyboardHeightIn, OS.Types.Integer)), controller.callContext(), function (actionResults) {
return {};
});
},
keyboardWillHide$Action: function () {
return controller.executeActionInsideJSNode(controller._keyboardWillHide$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
}
};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._keyboardWillHide$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("KeyboardWillHide");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: KeyboardWillHideEvent
return controller.keyboardWillHideEvent$Action(callContext);
});
};
Controller.prototype._keyboardWillShow$Action = function (keyboardHeightIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("KeyboardWillShow");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("KeyboardPlugin.MainFlow.Event.KeyboardWillShow$vars"))());
vars.value.keyboardHeightInLocal = keyboardHeightIn;
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: KeyboardWillShowEvent
return controller.keyboardWillShowEvent$Action(vars.value.keyboardHeightInLocal, callContext);
});
};
Controller.registerVariableGroupType("KeyboardPlugin.MainFlow.Event.KeyboardWillShow$vars", [{
name: "keyboardHeight",
attrName: "keyboardHeightInLocal",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
Controller.prototype._keyboardDidHide$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("KeyboardDidHide");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: KeyboardDidHideEvent
return controller.keyboardDidHideEvent$Action(callContext);
});
};
Controller.prototype._onDestroy$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnDestroy");
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
try {controller.safeExecuteJSNode(KeyboardPlugin_MainFlow_Event_mvc_controller_OnDestroy_RemoveHandlersJS, "RemoveHandlers", "OnDestroy", {
HideHandler: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.hideHandlerVar, OS.Types.Object, true),
WillShowHandler: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.willShowHandlerVar, OS.Types.Object, true),
WillHideHandler: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.willHideHandlerVar, OS.Types.Object, true),
ShowHandler: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.showHandlerVar, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
} catch (ex) {
(function () {
OS.Logger.trace("Event.OnDestroy", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return ;

}

throw ex;
})();
}

};
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
var listenersJSResult = new OS.DataTypes.VariableHolder();
listenersJSResult.value = controller.safeExecuteJSNode(KeyboardPlugin_MainFlow_Event_mvc_controller_OnInitialize_ListenersJS, "Listeners", "OnInitialize", {
DidShowHandler: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true),
DidHideHandler: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true),
WillShowHandler: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true),
WillHideHandler: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("KeyboardPlugin.MainFlow.Event.OnInitialize$listenersJSResult"))();
jsNodeResult.didShowHandlerOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.DidShowHandler, OS.Types.Object);
jsNodeResult.didHideHandlerOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.DidHideHandler, OS.Types.Object);
jsNodeResult.willShowHandlerOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.WillShowHandler, OS.Types.Object);
jsNodeResult.willHideHandlerOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.WillHideHandler, OS.Types.Object);
return jsNodeResult;
}, {
KeyboardDidShow: controller.clientActionProxies.keyboardDidShow$Action,
KeyboardDidHide: controller.clientActionProxies.keyboardDidHide$Action,
KeyboardWillShow: controller.clientActionProxies.keyboardWillShow$Action,
KeyboardWillHide: controller.clientActionProxies.keyboardWillHide$Action
}, {});
// Save Handlers Reference
// ShowHandler = Listeners.DidShowHandler
model.variables.showHandlerVar = listenersJSResult.value.didShowHandlerOut;
// HideHandler = Listeners.DidHideHandler
model.variables.hideHandlerVar = listenersJSResult.value.didHideHandlerOut;
// WillShowHandler = Listeners.WillShowHandler
model.variables.willShowHandlerVar = listenersJSResult.value.willShowHandlerOut;
// WillHideHandler = Listeners.WillHideHandler
model.variables.willHideHandlerVar = listenersJSResult.value.willHideHandlerOut;
};
Controller.registerVariableGroupType("KeyboardPlugin.MainFlow.Event.OnInitialize$listenersJSResult", [{
name: "DidShowHandler",
attrName: "didShowHandlerOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "DidHideHandler",
attrName: "didHideHandlerOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "WillShowHandler",
attrName: "willShowHandlerOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "WillHideHandler",
attrName: "willHideHandlerOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
Controller.prototype._keyboardDidShow$Action = function (keyboardHeightIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("KeyboardDidShow");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("KeyboardPlugin.MainFlow.Event.KeyboardDidShow$vars"))());
vars.value.keyboardHeightInLocal = keyboardHeightIn;
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: KeyboardDidShowEvent
return controller.keyboardDidShowEvent$Action(vars.value.keyboardHeightInLocal, callContext);
});
};
Controller.registerVariableGroupType("KeyboardPlugin.MainFlow.Event.KeyboardDidShow$vars", [{
name: "keyboardHeight",
attrName: "keyboardHeightInLocal",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);

Controller.prototype.keyboardWillHide$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._keyboardWillHide$Action, callContext);

};
Controller.prototype.keyboardWillShow$Action = function (keyboardHeightIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._keyboardWillShow$Action, callContext, keyboardHeightIn);

};
Controller.prototype.keyboardDidHide$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._keyboardDidHide$Action, callContext);

};
Controller.prototype.onDestroy$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onDestroy$Action, callContext);

};
Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};
Controller.prototype.keyboardDidShow$Action = function (keyboardHeightIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._keyboardDidShow$Action, callContext, keyboardHeightIn);

};
Controller.prototype.keyboardDidShowEvent$Action = function () {
return Promise.resolve();
};
Controller.prototype.keyboardDidHideEvent$Action = function () {
return Promise.resolve();
};
Controller.prototype.keyboardWillShowEvent$Action = function () {
return Promise.resolve();
};
Controller.prototype.keyboardWillHideEvent$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onDestroy$Action(callContext);

};
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return KeyboardPluginController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, KeyboardPluginLanguageResources);
});
define("KeyboardPlugin.MainFlow.Event.mvc$controller.OnDestroy.RemoveHandlersJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
window.removeEventListener('keyboardDidHide', $parameters.HideHandler);
window.removeEventListener('keyboardDidShow', $parameters.ShowHandler);
window.removeEventListener('keyboardWillShow', $parameters.WillShowHandler);
window.removeEventListener('keyboardWillHide', $parameters.WillHideHandler);
};
});
define("KeyboardPlugin.MainFlow.Event.mvc$controller.OnInitialize.ListenersJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.DidShowHandler = function keyboardShowHandler(e){
    $actions.KeyboardDidShow(e.keyboardHeight);
};

$parameters.DidHideHandler = function keyboardHideHandler(e){
    $actions.KeyboardDidHide();  
};

$parameters.WillShowHandler = function keyboardWillShowHandler(e){
    $actions.KeyboardWillShow(e.keyboardHeight)
};

$parameters.WillHideHandler = function keyboardWillHideHandler(e){
    $actions.KeyboardWillHide()
};

window.addEventListener('keyboardDidShow', $parameters.DidShowHandler);
window.addEventListener('keyboardDidHide', $parameters.DidHideHandler);
window.addEventListener('keyboardWillShow', $parameters.WillShowHandler);
window.addEventListener('keyboardWillHide', $parameters.WillHideHandler);
};
});

