﻿define("MobilePatterns.Private.NetworkStatusChanged.mvc$model", ["OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$GetNetworkStatus"], function (OutSystems, MobilePatternsModel, MobilePatternsController) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("IsOnline", "isOnlineVar", "IsOnline", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("OfflineActionReference", "offlineActionReferenceVar", "OfflineActionReference", true, OS.Types.Object, function () {
return null;
}), 
this.attr("OnlineActionReference", "onlineActionReferenceVar", "OnlineActionReference", true, OS.Types.Object, function () {
return null;
}), 
this.attr("DeviceReadyActionReference", "deviceReadyActionReferenceVar", "DeviceReadyActionReference", true, OS.Types.Object, function () {
return null;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return false;
}
});

Model.prototype.setInputs = function (inputs) {
};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("MobilePatterns.Private.NetworkStatusChanged.mvc$view", ["OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "react", "OutSystemsReactView", "MobilePatterns.Private.NetworkStatusChanged.mvc$model", "MobilePatterns.Private.NetworkStatusChanged.mvc$controller", "OutSystemsReactWidgets", "MobilePatterns.controller$GetNetworkStatus"], function (OutSystems, MobilePatternsModel, MobilePatternsController, React, OSView, MobilePatterns_Private_NetworkStatusChanged_mvc_model, MobilePatterns_Private_NetworkStatusChanged_mvc_controller, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Private.NetworkStatusChanged";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return MobilePatterns_Private_NetworkStatusChanged_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return MobilePatterns_Private_NetworkStatusChanged_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if(false, false, this, function () {
return [];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider
})];
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("MobilePatterns.Private.NetworkStatusChanged.mvc$controller", ["OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.languageResources", "MobilePatterns.Private.NetworkStatusChanged.mvc$controller.OnReady.InitJS", "MobilePatterns.Private.NetworkStatusChanged.mvc$controller.Init.RegisterPluginInfoJS", "MobilePatterns.Private.NetworkStatusChanged.mvc$controller.Init.SaveDeviceReadyCallbackJS", "MobilePatterns.Private.NetworkStatusChanged.mvc$controller.DeviceReady.SetEventListenersJS", "MobilePatterns.Private.NetworkStatusChanged.mvc$controller.DeviceReady.SetActionReferencesJS", "MobilePatterns.Private.NetworkStatusChanged.mvc$controller.OnDestroy.RemoveEventHandlersJS", "MobilePatterns.controller$GetNetworkStatus"], function (OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatternsLanguageResources, MobilePatterns_Private_NetworkStatusChanged_mvc_controller_OnReady_InitJS, MobilePatterns_Private_NetworkStatusChanged_mvc_controller_Init_RegisterPluginInfoJS, MobilePatterns_Private_NetworkStatusChanged_mvc_controller_Init_SaveDeviceReadyCallbackJS, MobilePatterns_Private_NetworkStatusChanged_mvc_controller_DeviceReady_SetEventListenersJS, MobilePatterns_Private_NetworkStatusChanged_mvc_controller_DeviceReady_SetActionReferencesJS, MobilePatterns_Private_NetworkStatusChanged_mvc_controller_OnDestroy_RemoveEventHandlersJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {
init$Action: function () {
return controller.executeActionInsideJSNode(controller._init$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
},
deviceReady$Action: function () {
return controller.executeActionInsideJSNode(controller._deviceReady$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
},
offline$Action: function () {
return controller.executeActionInsideJSNode(controller._offline$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
},
online$Action: function () {
return controller.executeActionInsideJSNode(controller._online$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
}
};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._offline$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Offline");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.executeSequence(function () {
if((model.variables.isOnlineVar)) {
// IsOnline = False
model.variables.isOnlineVar = false;
// Trigger Event: NetworkStatusChangedToOffline
return controller.networkStatusChanged$Action(model.variables.isOnlineVar, callContext);
}

});
});
};
Controller.prototype._onReady$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnReady");
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(MobilePatterns_Private_NetworkStatusChanged_mvc_controller_OnReady_InitJS, "Init", "OnReady", null, function ($parameters) {
}, {
Init: controller.clientActionProxies.init$Action
}, {});
};
Controller.prototype._init$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Init");
callContext = controller.callContext(callContext);
var getNetworkStatusVar = new OS.DataTypes.VariableHolder();
var saveDeviceReadyCallbackJSResult = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: GetNetworkStatus
getNetworkStatusVar.value = MobilePatternsController.default.getNetworkStatus$Action(callContext);

return OS.Flow.executeSequence(function () {
if((getNetworkStatusVar.value.isOnlineOut)) {
// Execute Action: Online
return controller._online$Action(callContext);
} else {
// Execute Action: Offline
return controller._offline$Action(callContext);
}

}).then(function () {
saveDeviceReadyCallbackJSResult.value = controller.safeExecuteJSNode(MobilePatterns_Private_NetworkStatusChanged_mvc_controller_Init_SaveDeviceReadyCallbackJS, "SaveDeviceReadyCallback", "Init", {
DeviceReadyActionReference: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobilePatterns.Private.NetworkStatusChanged.Init$saveDeviceReadyCallbackJSResult"))();
jsNodeResult.deviceReadyActionReferenceOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.DeviceReadyActionReference, OS.Types.Object);
return jsNodeResult;
}, {
DeviceReady: controller.clientActionProxies.deviceReady$Action
}, {});
// SaveReference
// DeviceReadyActionReference = SaveDeviceReadyCallback.DeviceReadyActionReference
model.variables.deviceReadyActionReferenceVar = saveDeviceReadyCallbackJSResult.value.deviceReadyActionReferenceOut;
controller.safeExecuteJSNode(MobilePatterns_Private_NetworkStatusChanged_mvc_controller_Init_RegisterPluginInfoJS, "RegisterPluginInfo", "Init", {
DeviceReadyActionReference: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.deviceReadyActionReferenceVar, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
});
});
};
Controller.registerVariableGroupType("MobilePatterns.Private.NetworkStatusChanged.Init$saveDeviceReadyCallbackJSResult", [{
name: "DeviceReadyActionReference",
attrName: "deviceReadyActionReferenceOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
Controller.prototype._online$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Online");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.executeSequence(function () {
if((!(model.variables.isOnlineVar))) {
// IsOnline = True
model.variables.isOnlineVar = true;
// Trigger Event: NetworkStatusChangedToOnline
return controller.networkStatusChanged$Action(model.variables.isOnlineVar, callContext);
}

});
});
};
Controller.prototype._deviceReady$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("DeviceReady");
callContext = controller.callContext(callContext);
var setActionReferencesJSResult = new OS.DataTypes.VariableHolder();
setActionReferencesJSResult.value = controller.safeExecuteJSNode(MobilePatterns_Private_NetworkStatusChanged_mvc_controller_DeviceReady_SetActionReferencesJS, "SetActionReferences", "DeviceReady", {
OfflineActionReference: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true),
OnlineActionReference: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobilePatterns.Private.NetworkStatusChanged.DeviceReady$setActionReferencesJSResult"))();
jsNodeResult.offlineActionReferenceOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.OfflineActionReference, OS.Types.Object);
jsNodeResult.onlineActionReferenceOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.OnlineActionReference, OS.Types.Object);
return jsNodeResult;
}, {
Offline: controller.clientActionProxies.offline$Action,
Online: controller.clientActionProxies.online$Action
}, {});
// SaveReferences
// OfflineActionReference = SetActionReferences.OfflineActionReference
model.variables.offlineActionReferenceVar = setActionReferencesJSResult.value.offlineActionReferenceOut;
// OnlineActionReference = SetActionReferences.OnlineActionReference
model.variables.onlineActionReferenceVar = setActionReferencesJSResult.value.onlineActionReferenceOut;
controller.safeExecuteJSNode(MobilePatterns_Private_NetworkStatusChanged_mvc_controller_DeviceReady_SetEventListenersJS, "SetEventListeners", "DeviceReady", {
OnlineActionReference: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.onlineActionReferenceVar, OS.Types.Object, true),
OfflineActionReference: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.offlineActionReferenceVar, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
};
Controller.registerVariableGroupType("MobilePatterns.Private.NetworkStatusChanged.DeviceReady$setActionReferencesJSResult", [{
name: "OfflineActionReference",
attrName: "offlineActionReferenceOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "OnlineActionReference",
attrName: "onlineActionReferenceOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
Controller.prototype._onDestroy$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnDestroy");
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(MobilePatterns_Private_NetworkStatusChanged_mvc_controller_OnDestroy_RemoveEventHandlersJS, "RemoveEventHandlers", "OnDestroy", {
offlineHandlerObj: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.offlineActionReferenceVar, OS.Types.Object, true),
onlineHandlerObj: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.onlineActionReferenceVar, OS.Types.Object, true),
deviceReadyActionReference: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.deviceReadyActionReferenceVar, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
};

Controller.prototype.offline$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._offline$Action, callContext);

};
Controller.prototype.onReady$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onReady$Action, callContext);

};
Controller.prototype.init$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._init$Action, callContext);

};
Controller.prototype.online$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._online$Action, callContext);

};
Controller.prototype.deviceReady$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._deviceReady$Action, callContext);

};
Controller.prototype.onDestroy$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onDestroy$Action, callContext);

};
Controller.prototype.networkStatusChanged$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onReady$Action(callContext);

};
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onDestroy$Action(callContext);

};
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return MobilePatternsController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, MobilePatternsLanguageResources);
});
define("MobilePatterns.Private.NetworkStatusChanged.mvc$controller.OnReady.InitJS", [], function () {
return function ($actions, $roles, $public) {
$actions.Init();
};
});
define("MobilePatterns.Private.NetworkStatusChanged.mvc$controller.Init.RegisterPluginInfoJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
document.addEventListener("deviceready", $parameters.DeviceReadyActionReference, false);
};
});
define("MobilePatterns.Private.NetworkStatusChanged.mvc$controller.Init.SaveDeviceReadyCallbackJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.DeviceReadyActionReference = function(){$actions.DeviceReady();};

};
});
define("MobilePatterns.Private.NetworkStatusChanged.mvc$controller.DeviceReady.SetEventListenersJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
document.addEventListener("offline", $parameters.OfflineActionReference, false);
document.addEventListener("online", $parameters.OnlineActionReference, false);
};
});
define("MobilePatterns.Private.NetworkStatusChanged.mvc$controller.DeviceReady.SetActionReferencesJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.OfflineActionReference = $actions.Offline;
$parameters.OnlineActionReference = $actions.Online;
};
});
define("MobilePatterns.Private.NetworkStatusChanged.mvc$controller.OnDestroy.RemoveEventHandlersJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
document.removeEventListener("offline", $parameters.offlineHandlerObj );
document.removeEventListener("online", $parameters.onlineHandlerObj );
document.removeEventListener("deviceready", $parameters.deviceReadyActionReference);
};
});

