﻿define("MobileQRCode.MobileQRCode.qrCode.mvc$model", ["OutSystems", "MobileQRCode.model"], function (OutSystems, MobileQRCodeModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("Text", "textIn", "Text", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_textInDataFetchStatus", "_textInDataFetchStatus", "_textInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Width", "widthIn", "Width", true, OS.Types.Integer, function () {
return 256;
}), 
this.attr("_widthInDataFetchStatus", "_widthInDataFetchStatus", "_widthInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Height", "heightIn", "Height", true, OS.Types.Integer, function () {
return 256;
}), 
this.attr("_heightInDataFetchStatus", "_heightInDataFetchStatus", "_heightInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ColorDark", "colorDarkIn", "ColorDark", true, OS.Types.Text, function () {
return "#000000";
}), 
this.attr("_colorDarkInDataFetchStatus", "_colorDarkInDataFetchStatus", "_colorDarkInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ColorLight", "colorLightIn", "ColorLight", true, OS.Types.Text, function () {
return "#FFFFFF";
}), 
this.attr("_colorLightInDataFetchStatus", "_colorLightInDataFetchStatus", "_colorLightInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("CorrectionLevel", "correctionLevelIn", "CorrectionLevel", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("_correctionLevelInDataFetchStatus", "_correctionLevelInDataFetchStatus", "_correctionLevelInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("UseSVG", "useSVGIn", "UseSVG", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_useSVGInDataFetchStatus", "_useSVGInDataFetchStatus", "_useSVGInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return false;
}
});

Model.prototype.setInputs = function (inputs) {
if("Text" in inputs) {
this.variables.textIn = inputs.Text;
if("_textInDataFetchStatus" in inputs) {
this.variables._textInDataFetchStatus = inputs._textInDataFetchStatus;
}

}

if("Width" in inputs) {
this.variables.widthIn = inputs.Width;
if("_widthInDataFetchStatus" in inputs) {
this.variables._widthInDataFetchStatus = inputs._widthInDataFetchStatus;
}

}

if("Height" in inputs) {
this.variables.heightIn = inputs.Height;
if("_heightInDataFetchStatus" in inputs) {
this.variables._heightInDataFetchStatus = inputs._heightInDataFetchStatus;
}

}

if("ColorDark" in inputs) {
this.variables.colorDarkIn = inputs.ColorDark;
if("_colorDarkInDataFetchStatus" in inputs) {
this.variables._colorDarkInDataFetchStatus = inputs._colorDarkInDataFetchStatus;
}

}

if("ColorLight" in inputs) {
this.variables.colorLightIn = inputs.ColorLight;
if("_colorLightInDataFetchStatus" in inputs) {
this.variables._colorLightInDataFetchStatus = inputs._colorLightInDataFetchStatus;
}

}

if("CorrectionLevel" in inputs) {
this.variables.correctionLevelIn = inputs.CorrectionLevel;
if("_correctionLevelInDataFetchStatus" in inputs) {
this.variables._correctionLevelInDataFetchStatus = inputs._correctionLevelInDataFetchStatus;
}

}

if("UseSVG" in inputs) {
this.variables.useSVGIn = inputs.UseSVG;
if("_useSVGInDataFetchStatus" in inputs) {
this.variables._useSVGInDataFetchStatus = inputs._useSVGInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("MobileQRCode.MobileQRCode.qrCode.mvc$view", ["OutSystems", "MobileQRCode.model", "MobileQRCode.controller", "react", "OutSystemsReactView", "MobileQRCode.MobileQRCode.qrCode.mvc$model", "MobileQRCode.MobileQRCode.qrCode.mvc$controller", "OutSystemsReactWidgets"], function (OutSystems, MobileQRCodeModel, MobileQRCodeController, React, OSView, MobileQRCode_MobileQRCode_qrCode_mvc_model, MobileQRCode_MobileQRCode_qrCode_mvc_controller, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "MobileQRCode.qrCode";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return ["scripts/MobileQRCode.qrCode.js"];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return MobileQRCode_MobileQRCode_qrCode_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return MobileQRCode_MobileQRCode_qrCode_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if(false, false, this, function () {
return [];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
name: "qrCode"
},
_widgetRecordProvider: widgetsRecordProvider
})];
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("MobileQRCode.MobileQRCode.qrCode.mvc$controller", ["OutSystems", "MobileQRCode.model", "MobileQRCode.controller", "MobileQRCode.languageResources", "MobileQRCode.MobileQRCode.qrCode.mvc$controller.qrCode.GenerateQRJS"], function (OutSystems, MobileQRCodeModel, MobileQRCodeController, MobileQRCodeLanguageResources, MobileQRCode_MobileQRCode_qrCode_mvc_controller_qrCode_GenerateQRJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._qrCode$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("qrCode");
callContext = controller.callContext(callContext);
// Empty?
if((!((model.variables.textIn === "")))) {
controller.safeExecuteJSNode(MobileQRCode_MobileQRCode_qrCode_mvc_controller_qrCode_GenerateQRJS, "GenerateQR", "qrCode", {
DivID: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("qrCode"), OS.Types.Text, true),
UseSVG: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.useSVGIn, OS.Types.Boolean, true),
CorrectionLevel: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.correctionLevelIn, OS.Types.Integer, true),
ColorLight: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.colorLightIn, OS.Types.Text, true),
Height: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.heightIn, OS.Types.Integer, true),
Text: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.textIn, OS.Types.Text, true),
ColorDark: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.colorDarkIn, OS.Types.Text, true),
Width: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.widthIn, OS.Types.Integer, true)
}, function ($parameters) {
}, {}, {});
}

};

Controller.prototype.qrCode$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._qrCode$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.qrCode$Action(callContext);

};
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.qrCode$Action(callContext);

};
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return MobileQRCodeController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, MobileQRCodeLanguageResources);
});
define("MobileQRCode.MobileQRCode.qrCode.mvc$controller.qrCode.GenerateQRJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
parent = document.getElementById($parameters.DivID);
parent.innerHTML = "";

var qrcode = new QRCode(parent, {
      width : $parameters.Width,
      height : $parameters.Height,
      colorDark : $parameters.ColorDark,
	  colorLight : $parameters.ColorLight,
	  correctLevel : $parameters.CorrectionLevel,
      useSVG: $parameters.UseSVG
  });
  

  qrcode.makeCode($parameters.Text);
};
});

