﻿define("MobileQRCode.controller$EncodeQRCode", ["exports", "OutSystems", "MobileQRCode.model", "MobileQRCode.controller", "MobileQRCode.controller$EncodeQRCode.GenerateQRJS"], function (exports, OutSystems, MobileQRCodeModel, MobileQRCodeController, MobileQRCode_controller_EncodeQRCode_GenerateQRJS) {
var OS = OutSystems.Internal;
MobileQRCodeController.default.encodeQRCode$Action = function (textIn, widthIn, heightIn, colorDarkIn, colorLightIn, correctionLevelIn, useSVGIn, classNameIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobileQRCode.EncodeQRCode$vars"))());
vars.value.textInLocal = textIn;
vars.value.widthInLocal = widthIn;
vars.value.heightInLocal = heightIn;
vars.value.colorDarkInLocal = colorDarkIn;
vars.value.colorLightInLocal = colorLightIn;
vars.value.correctionLevelInLocal = correctionLevelIn;
vars.value.useSVGInLocal = useSVGIn;
vars.value.classNameInLocal = classNameIn;
var generateQRJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobileQRCode.EncodeQRCode$outVars"))());
generateQRJSResult.value = controller.safeExecuteJSNode(MobileQRCode_controller_EncodeQRCode_GenerateQRJS, "GenerateQR", "EncodeQRCode", {
Width: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.widthInLocal, OS.Types.Integer, true),
ClassName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.classNameInLocal, OS.Types.Text, true),
ColorDark: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.colorDarkInLocal, OS.Types.Text, true),
UseSVG: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.useSVGInLocal, OS.Types.Boolean, true),
Height: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.heightInLocal, OS.Types.Integer, true),
ColorLight: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.colorLightInLocal, OS.Types.Text, true),
CorrectionLevel: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.correctionLevelInLocal, OS.Types.Integer, true),
Text: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.textInLocal, OS.Types.Text, true),
Binary: OS.DataTypes.JSConversions.basicTypeToJS(OS.DataTypes.BinaryData.defaultValue, OS.Types.BinaryData, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileQRCode.EncodeQRCode$generateQRJSResult"))();
jsNodeResult.binaryOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Binary, OS.Types.BinaryData);
return jsNodeResult;
}, {}, {});
// BinaryData = GenerateQR.Binary
outVars.value.binaryDataOut = generateQRJSResult.value.binaryOut;
return outVars.value;
};
var controller = MobileQRCodeController.default;
MobileQRCodeController.default.constructor.registerVariableGroupType("MobileQRCode.EncodeQRCode$vars", [{
name: "Text",
attrName: "textInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Width",
attrName: "widthInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return 256;
}
}, {
name: "Height",
attrName: "heightInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return 256;
}
}, {
name: "ColorDark",
attrName: "colorDarkInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "#000000";
}
}, {
name: "ColorLight",
attrName: "colorLightInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "#FFFFFF";
}
}, {
name: "CorrectionLevel",
attrName: "correctionLevelInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}, {
name: "UseSVG",
attrName: "useSVGInLocal",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ClassName",
attrName: "classNameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobileQRCodeController.default.constructor.registerVariableGroupType("MobileQRCode.EncodeQRCode$generateQRJSResult", [{
name: "Binary",
attrName: "binaryOut",
mandatory: true,
dataType: OS.Types.BinaryData,
defaultValue: function () {
return OS.DataTypes.BinaryData.defaultValue;
}
}]);
MobileQRCodeController.default.constructor.registerVariableGroupType("MobileQRCode.EncodeQRCode$outVars", [{
name: "BinaryData",
attrName: "binaryDataOut",
mandatory: false,
dataType: OS.Types.BinaryData,
defaultValue: function () {
return OS.DataTypes.BinaryData.defaultValue;
}
}]);
MobileQRCodeController.default.clientActionProxies.encodeQRCode$Action = function (textIn, widthIn, heightIn, colorDarkIn, colorLightIn, correctionLevelIn, useSVGIn, classNameIn) {
textIn = (textIn === undefined) ? "" : textIn;
widthIn = (widthIn === undefined) ? 256 : widthIn;
heightIn = (heightIn === undefined) ? 256 : heightIn;
colorDarkIn = (colorDarkIn === undefined) ? "#000000" : colorDarkIn;
colorLightIn = (colorLightIn === undefined) ? "#FFFFFF" : colorLightIn;
correctionLevelIn = (correctionLevelIn === undefined) ? 0 : correctionLevelIn;
useSVGIn = (useSVGIn === undefined) ? false : useSVGIn;
classNameIn = (classNameIn === undefined) ? "" : classNameIn;
return controller.executeActionInsideJSNode(MobileQRCodeController.default.encodeQRCode$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(textIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(widthIn, OS.Types.Integer), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(heightIn, OS.Types.Integer), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(colorDarkIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(colorLightIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(correctionLevelIn, OS.Types.Integer), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(useSVGIn, OS.Types.Boolean), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(classNameIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
BinaryData: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.binaryDataOut, OS.Types.BinaryData, true)
};
});
};
});
define("MobileQRCode.controller$EncodeQRCode.GenerateQRJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
parent = document.getElementByClassName($parameters.ClassName)[0];
parent.innerHTML = "";


var qrcode = new QRCode(parent, {
      width : $parameters.Width,
      height : $parameters.Height,
      colorDark : $parameters.ColorDark,
	  colorLight : $parameters.ColorLight,
	  correctLevel : $parameters.CorrectionLevel,
      useSVG: $parameters.UseSVG
});

qrcode.makeCode($parameters.Text);
$parameters.Binary = qrcode;
};
});

define("MobileQRCode.controller", ["exports", "OutSystems", "MobileQRCode.model"], function (exports, OutSystems, MobileQRCodeModel) {
var OS = OutSystems.Internal;
var MobileQRCodeController = exports;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
}
Controller.prototype.clientActionProxies = {};
Controller.prototype.roles = {};
Controller.prototype.defaultTimeout = 10;
Controller.prototype.getDefaultTimeout = function () {
return MobileQRCodeController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseModuleController);
MobileQRCodeController.default = new Controller();
});
