﻿define("MobileThemes_MyNos.Header.HeaderLvl1V2.mvc$model", ["OutSystems", "MobileThemes_MyNos.model"], function (OutSystems, MobileThemes_MyNosModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("HeaderClass", "headerClassIn", "HeaderClass", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_headerClassInDataFetchStatus", "_headerClassInDataFetchStatus", "_headerClassInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("HeaderTitle", "headerTitleIn", "HeaderTitle", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_headerTitleInDataFetchStatus", "_headerTitleInDataFetchStatus", "_headerTitleInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IsLightVersion", "isLightVersionIn", "IsLightVersion", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("_isLightVersionInDataFetchStatus", "_isLightVersionInDataFetchStatus", "_isLightVersionInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return false;
}
});

Model.prototype.setInputs = function (inputs) {
if("HeaderClass" in inputs) {
this.variables.headerClassIn = inputs.HeaderClass;
if("_headerClassInDataFetchStatus" in inputs) {
this.variables._headerClassInDataFetchStatus = inputs._headerClassInDataFetchStatus;
}

}

if("HeaderTitle" in inputs) {
this.variables.headerTitleIn = inputs.HeaderTitle;
if("_headerTitleInDataFetchStatus" in inputs) {
this.variables._headerTitleInDataFetchStatus = inputs._headerTitleInDataFetchStatus;
}

}

if("IsLightVersion" in inputs) {
this.variables.isLightVersionIn = inputs.IsLightVersion;
if("_isLightVersionInDataFetchStatus" in inputs) {
this.variables._isLightVersionInDataFetchStatus = inputs._isLightVersionInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("MobileThemes_MyNos.Header.HeaderLvl1V2.mvc$view", ["OutSystems", "MobileThemes_MyNos.model", "MobileThemes_MyNos.controller", "react", "OutSystemsReactView", "MobileThemes_MyNos.Header.HeaderLvl1V2.mvc$model", "MobileThemes_MyNos.Header.HeaderLvl1V2.mvc$controller", "OutSystemsReactWidgets"], function (OutSystems, MobileThemes_MyNosModel, MobileThemes_MyNosController, React, OSView, MobileThemes_MyNos_Header_HeaderLvl1V2_mvc_model, MobileThemes_MyNos_Header_HeaderLvl1V2_mvc_controller, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Header.HeaderLvl1V2";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return MobileThemes_MyNos_Header_HeaderLvl1V2_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return MobileThemes_MyNos_Header_HeaderLvl1V2_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: ("header a-header a-header-lvl1 " + model.variables.headerClassIn),
visible: true,
_idProps: {
service: idService,
name: "header"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._headerClassInDataFetchStatus)
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "header-top ",
visible: true,
_idProps: {
service: idService,
uuid: "1"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "header-left",
visible: true,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "a-headerLogo",
visible: true,
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider
}, $if(model.variables.isLightVersionIn, false, this, function () {
return [React.createElement(OSWidgets.Image, {
image: OS.Navigation.VersionedURL.getVersionedUrl("img/MobileThemes_MyNos.Wheel29White.svg"),
style: "a-headerWheel -v2",
type: /*Static*/ 0,
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider
})];
}, function () {
return [React.createElement(OSWidgets.Image, {
image: OS.Navigation.VersionedURL.getVersionedUrl("img/MobileThemes_MyNos.Wheel29Black.svg"),
style: "a-headerWheel -v2",
type: /*Static*/ 0,
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider
})];
}), React.createElement(OSWidgets.AdvancedHtml, {
tag: "h1",
_idProps: {
service: idService,
uuid: "6"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "h1",
value: model.variables.headerTitleIn,
_idProps: {
service: idService,
uuid: "7"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._headerTitleInDataFetchStatus)
})))), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "header-right",
visible: true,
_idProps: {
service: idService,
uuid: "8"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.headerRightContent,
_idProps: {
service: idService,
name: "HeaderRightContent"
},
_widgetRecordProvider: widgetsRecordProvider
}))), React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.headerContent,
style: "header-content ph",
_idProps: {
service: idService,
name: "HeaderContent"
},
_widgetRecordProvider: widgetsRecordProvider
})));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("MobileThemes_MyNos.Header.HeaderLvl1V2.mvc$controller", ["OutSystems", "MobileThemes_MyNos.model", "MobileThemes_MyNos.controller", "MobileThemes_MyNos.languageResources"], function (OutSystems, MobileThemes_MyNosModel, MobileThemes_MyNosController, MobileThemes_MyNosLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions


// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return MobileThemes_MyNosController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, MobileThemes_MyNosLanguageResources);
});

