﻿var parseJSON = function (json){
        
        if (json.length > 0 && json[0] != '{' && json[0] != '[') {
            json = '{' + json + '}';
        }
        
        json = json.replace(/''/g,'""');
        
        var rx = /(?:"([^\\"]|\\.)*")|(?:'([^\\']|\\.)*')|(-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?)|(\w+)\s*:/g;

        var cleanJSON = json.replace(rx, function (match, dqString, sqString, numbers, unquoted) {
            if (numbers) { return numbers;}
            if (sqString) { return "\"" + match.substring(1, match.length - 1) + "\""; }
            if (unquoted) { return "\"" + unquoted + "\":"; }
            return match;
        });

        return (cleanJSON);
    };