﻿define("MobileUIWidgets.WidgetsContent.RadioButtonItem.mvc$model", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$model"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("ItemValue", "itemValueIn", "ItemValue", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_itemValueInDataFetchStatus", "_itemValueInDataFetchStatus", "_itemValueInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ActiveItemValue", "activeItemValueIn", "ActiveItemValue", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_activeItemValueInDataFetchStatus", "_activeItemValueInDataFetchStatus", "_activeItemValueInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Label", "labelIn", "Label", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_labelInDataFetchStatus", "_labelInDataFetchStatus", "_labelInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvcModel.hasValidationWidgets;
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("ItemValue" in inputs) {
this.variables.itemValueIn = inputs.ItemValue;
if("_itemValueInDataFetchStatus" in inputs) {
this.variables._itemValueInDataFetchStatus = inputs._itemValueInDataFetchStatus;
}

}

if("ActiveItemValue" in inputs) {
this.variables.activeItemValueIn = inputs.ActiveItemValue;
if("_activeItemValueInDataFetchStatus" in inputs) {
this.variables._activeItemValueInDataFetchStatus = inputs._activeItemValueInDataFetchStatus;
}

}

if("Label" in inputs) {
this.variables.labelIn = inputs.Label;
if("_labelInDataFetchStatus" in inputs) {
this.variables._labelInDataFetchStatus = inputs._labelInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("MobileUIWidgets.WidgetsContent.RadioButtonItem.mvc$view", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "react", "OutSystemsReactView", "MobileUIWidgets.WidgetsContent.RadioButtonItem.mvc$model", "MobileUIWidgets.WidgetsContent.RadioButtonItem.mvc$controller", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$view", "OutSystemsReactWidgets"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, React, OSView, MobileUIWidgets_WidgetsContent_RadioButtonItem_mvc_model, MobileUIWidgets_WidgetsContent_RadioButtonItem_mvc_controller, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "WidgetsContent.RadioButtonItem";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsContent_RadioButtonItem_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsContent_RadioButtonItem_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if((model.variables.itemValueIn === model.variables.activeItemValueIn), false, this, function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
IconName: MobileUIWidgetsModel.staticEntities.iCON_CLASS.iconRadioButtonOn,
StyleClass: "a-radioButtonIcon",
IconSize: MobileUIWidgetsModel.staticEntities.iCON_SIZE.small
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}, function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
IconName: MobileUIWidgetsModel.staticEntities.iCON_CLASS.iconRadioButtonOff,
StyleClass: "a-radioButtonIcon",
IconSize: MobileUIWidgetsModel.staticEntities.iCON_SIZE.small
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}), React.createElement(OSWidgets.Expression, {
style: "ml-8",
value: model.variables.labelIn,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._labelInDataFetchStatus)
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("MobileUIWidgets.WidgetsContent.RadioButtonItem.mvc$controller", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "MobileUIWidgets.languageResources"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, MobileUIWidgetsLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions


// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return MobileUIWidgetsController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, MobileUIWidgetsLanguageResources);
});

