﻿define("MobileUIWidgets.WidgetsContent.SectionExpandable_new.mvc$model", ["OutSystems", "MobileUIWidgets.model"], function (OutSystems, MobileUIWidgetsModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("IsExpanded", "isExpandedIn", "IsExpanded", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_isExpandedInDataFetchStatus", "_isExpandedInDataFetchStatus", "_isExpandedInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("UsePadding", "usePaddingIn", "UsePadding", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("_usePaddingInDataFetchStatus", "_usePaddingInDataFetchStatus", "_usePaddingInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("HasIcon", "hasIconIn", "HasIcon", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_hasIconInDataFetchStatus", "_hasIconInDataFetchStatus", "_hasIconInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ArrowStyleClass", "arrowStyleClassIn", "ArrowStyleClass", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_arrowStyleClassInDataFetchStatus", "_arrowStyleClassInDataFetchStatus", "_arrowStyleClassInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IconArrowClosed", "iconArrowClosedIn", "IconArrowClosed", true, OS.Types.Text, function () {
return "icon-arrow-down";
}), 
this.attr("_iconArrowClosedInDataFetchStatus", "_iconArrowClosedInDataFetchStatus", "_iconArrowClosedInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IconArrowOpened", "iconArrowOpenedIn", "IconArrowOpened", true, OS.Types.Text, function () {
return "icon-arrow-up";
}), 
this.attr("_iconArrowOpenedInDataFetchStatus", "_iconArrowOpenedInDataFetchStatus", "_iconArrowOpenedInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("StyleClass", "styleClassIn", "StyleClass", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_styleClassInDataFetchStatus", "_styleClassInDataFetchStatus", "_styleClassInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IsTitleTruncated", "isTitleTruncatedIn", "IsTitleTruncated", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("_isTitleTruncatedInDataFetchStatus", "_isTitleTruncatedInDataFetchStatus", "_isTitleTruncatedInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return false;
}
});

Model.prototype.setInputs = function (inputs) {
if("IsExpanded" in inputs) {
this.variables.isExpandedIn = inputs.IsExpanded;
if("_isExpandedInDataFetchStatus" in inputs) {
this.variables._isExpandedInDataFetchStatus = inputs._isExpandedInDataFetchStatus;
}

}

if("UsePadding" in inputs) {
this.variables.usePaddingIn = inputs.UsePadding;
if("_usePaddingInDataFetchStatus" in inputs) {
this.variables._usePaddingInDataFetchStatus = inputs._usePaddingInDataFetchStatus;
}

}

if("HasIcon" in inputs) {
this.variables.hasIconIn = inputs.HasIcon;
if("_hasIconInDataFetchStatus" in inputs) {
this.variables._hasIconInDataFetchStatus = inputs._hasIconInDataFetchStatus;
}

}

if("ArrowStyleClass" in inputs) {
this.variables.arrowStyleClassIn = inputs.ArrowStyleClass;
if("_arrowStyleClassInDataFetchStatus" in inputs) {
this.variables._arrowStyleClassInDataFetchStatus = inputs._arrowStyleClassInDataFetchStatus;
}

}

if("IconArrowClosed" in inputs) {
this.variables.iconArrowClosedIn = inputs.IconArrowClosed;
if("_iconArrowClosedInDataFetchStatus" in inputs) {
this.variables._iconArrowClosedInDataFetchStatus = inputs._iconArrowClosedInDataFetchStatus;
}

}

if("IconArrowOpened" in inputs) {
this.variables.iconArrowOpenedIn = inputs.IconArrowOpened;
if("_iconArrowOpenedInDataFetchStatus" in inputs) {
this.variables._iconArrowOpenedInDataFetchStatus = inputs._iconArrowOpenedInDataFetchStatus;
}

}

if("StyleClass" in inputs) {
this.variables.styleClassIn = inputs.StyleClass;
if("_styleClassInDataFetchStatus" in inputs) {
this.variables._styleClassInDataFetchStatus = inputs._styleClassInDataFetchStatus;
}

}

if("IsTitleTruncated" in inputs) {
this.variables.isTitleTruncatedIn = inputs.IsTitleTruncated;
if("_isTitleTruncatedInDataFetchStatus" in inputs) {
this.variables._isTitleTruncatedInDataFetchStatus = inputs._isTitleTruncatedInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("MobileUIWidgets.WidgetsContent.SectionExpandable_new.mvc$view", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "react", "OutSystemsReactView", "MobileUIWidgets.WidgetsContent.SectionExpandable_new.mvc$model", "MobileUIWidgets.WidgetsContent.SectionExpandable_new.mvc$controller", "OutSystemsReactWidgets"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, React, OSView, MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvc_model, MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvc_controller, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "WidgetsContent.SectionExpandable_new";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: model.getCachedValue(idService.getId("CZZTlDVStke0fqGnknkB6A.Style"), function () {
return ((("section-expandable m-sectionExpandable " + ((model.variables.isExpandedIn) ? (" open") : (""))) + " ") + model.variables.styleClassIn);
}, function () {
return model.variables.isExpandedIn;
}, function () {
return model.variables.styleClassIn;
}),
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._isExpandedInDataFetchStatus, model.variables._styleClassInDataFetchStatus)
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.onExpandOrCollapse$Action(controller.callContext(eventHandlerContext));
});
;
}
},
style: "section-expandable-title ",
visible: true,
_idProps: {
service: idService,
uuid: "1"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.title,
style: model.getCachedValue(idService.getId("Title.Style"), function () {
return ("dividers full-width m-sectionExpandableTitle " + ((model.variables.isTitleTruncatedIn) ? ("text-ellipsis") : ("")));
}, function () {
return model.variables.isTitleTruncatedIn;
}),
_idProps: {
service: idService,
name: "Title"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._isTitleTruncatedInDataFetchStatus)
}), $if(model.variables.hasIconIn, false, this, function () {
return [$if(model.variables.isExpandedIn, false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: (((("m-sectionExpandableArrow " + " ") + model.variables.iconArrowOpenedIn) + " ") + model.variables.arrowStyleClassIn),
visible: true,
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._iconArrowOpenedInDataFetchStatus, model.variables._arrowStyleClassInDataFetchStatus)
})];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: (((("m-sectionExpandableArrow " + " ") + model.variables.iconArrowClosedIn) + " ") + model.variables.arrowStyleClassIn),
visible: true,
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._iconArrowClosedInDataFetchStatus, model.variables._arrowStyleClassInDataFetchStatus)
})];
})];
}, function () {
return [];
})), $if(false, false, this, function () {
return [];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: true,
style: model.getCachedValue(idService.getId("2lwO8QODuUmku9+x7u9W2w.Style"), function () {
return ("section-expandable-content" + ((model.variables.usePaddingIn) ? ("") : (" no-padding")));
}, function () {
return model.variables.usePaddingIn;
}),
visible: model.variables.isExpandedIn,
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._usePaddingInDataFetchStatus),
visible_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._isExpandedInDataFetchStatus)
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.content,
_idProps: {
service: idService,
name: "Content"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("MobileUIWidgets.WidgetsContent.SectionExpandable_new.mvc$controller", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "MobileUIWidgets.languageResources"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, MobileUIWidgetsLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._onExpandOrCollapse$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnExpandOrCollapse");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// IsExpanded = notIsExpanded
model.variables.isExpandedIn = !(model.variables.isExpandedIn);
// Trigger Event: OnToggle
return controller.onToggle$Action(model.variables.isExpandedIn, callContext);
});
};

Controller.prototype.onExpandOrCollapse$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onExpandOrCollapse$Action, callContext);

};
Controller.prototype.onToggle$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return MobileUIWidgetsController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, MobileUIWidgetsLanguageResources);
});

