﻿define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$model", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$model", "MobilePatterns.Utilities.TouchEvents.mvc$model"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvcModel, MobilePatterns_Utilities_TouchEvents_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("AutplayObj", "autplayObjVar", "AutplayObj", true, OS.Types.Object, function () {
return null;
}), 
this.attr("CarouselObj", "carouselObjVar", "CarouselObj", true, OS.Types.Object, function () {
return null;
}), 
this.attr("Velocity", "velocityVar", "Velocity", true, OS.Types.Decimal, function () {
return (new OS.DataTypes.Decimal("0.3"));
}), 
this.attr("IsAnimating", "isAnimatingVar", "IsAnimating", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("ContainsClass", "containsClassVar", "ContainsClass", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("DragDirection", "dragDirectionVar", "DragDirection", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Navigation", "navigationIn", "Navigation", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_navigationInDataFetchStatus", "_navigationInDataFetchStatus", "_navigationInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Dots", "dotsIn", "Dots", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("_dotsInDataFetchStatus", "_dotsInDataFetchStatus", "_dotsInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Margin", "marginIn", "Margin", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("_marginInDataFetchStatus", "_marginInDataFetchStatus", "_marginInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Padding", "paddingIn", "Padding", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("_paddingInDataFetchStatus", "_paddingInDataFetchStatus", "_paddingInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Autoplay", "autoplayIn", "Autoplay", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_autoplayInDataFetchStatus", "_autoplayInDataFetchStatus", "_autoplayInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Scale", "scaleIn", "Scale", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_scaleInDataFetchStatus", "_scaleInDataFetchStatus", "_scaleInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Loop", "loopIn", "Loop", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_loopInDataFetchStatus", "_loopInDataFetchStatus", "_loopInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Center", "centerIn", "Center", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_centerInDataFetchStatus", "_centerInDataFetchStatus", "_centerInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("InitialPosition", "initialPositionIn", "InitialPosition", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("_initialPositionInDataFetchStatus", "_initialPositionInDataFetchStatus", "_initialPositionInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Items", "itemsIn", "Items", true, OS.Types.Integer, function () {
return 1;
}), 
this.attr("_itemsInDataFetchStatus", "_itemsInDataFetchStatus", "_itemsInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("StyleClasses", "styleClassesIn", "StyleClasses", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_styleClassesInDataFetchStatus", "_styleClassesInDataFetchStatus", "_styleClassesInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = (MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvcModel.hasValidationWidgets || MobilePatterns_Utilities_TouchEvents_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("Navigation" in inputs) {
this.variables.navigationIn = inputs.Navigation;
if("_navigationInDataFetchStatus" in inputs) {
this.variables._navigationInDataFetchStatus = inputs._navigationInDataFetchStatus;
}

}

if("Dots" in inputs) {
this.variables.dotsIn = inputs.Dots;
if("_dotsInDataFetchStatus" in inputs) {
this.variables._dotsInDataFetchStatus = inputs._dotsInDataFetchStatus;
}

}

if("Margin" in inputs) {
this.variables.marginIn = inputs.Margin;
if("_marginInDataFetchStatus" in inputs) {
this.variables._marginInDataFetchStatus = inputs._marginInDataFetchStatus;
}

}

if("Padding" in inputs) {
this.variables.paddingIn = inputs.Padding;
if("_paddingInDataFetchStatus" in inputs) {
this.variables._paddingInDataFetchStatus = inputs._paddingInDataFetchStatus;
}

}

if("Autoplay" in inputs) {
this.variables.autoplayIn = inputs.Autoplay;
if("_autoplayInDataFetchStatus" in inputs) {
this.variables._autoplayInDataFetchStatus = inputs._autoplayInDataFetchStatus;
}

}

if("Scale" in inputs) {
this.variables.scaleIn = inputs.Scale;
if("_scaleInDataFetchStatus" in inputs) {
this.variables._scaleInDataFetchStatus = inputs._scaleInDataFetchStatus;
}

}

if("Loop" in inputs) {
this.variables.loopIn = inputs.Loop;
if("_loopInDataFetchStatus" in inputs) {
this.variables._loopInDataFetchStatus = inputs._loopInDataFetchStatus;
}

}

if("Center" in inputs) {
this.variables.centerIn = inputs.Center;
if("_centerInDataFetchStatus" in inputs) {
this.variables._centerInDataFetchStatus = inputs._centerInDataFetchStatus;
}

}

if("InitialPosition" in inputs) {
this.variables.initialPositionIn = inputs.InitialPosition;
if("_initialPositionInDataFetchStatus" in inputs) {
this.variables._initialPositionInDataFetchStatus = inputs._initialPositionInDataFetchStatus;
}

}

if("Items" in inputs) {
this.variables.itemsIn = inputs.Items;
if("_itemsInDataFetchStatus" in inputs) {
this.variables._itemsInDataFetchStatus = inputs._itemsInDataFetchStatus;
}

}

if("StyleClasses" in inputs) {
this.variables.styleClassesIn = inputs.StyleClasses;
if("_styleClassesInDataFetchStatus" in inputs) {
this.variables._styleClassesInDataFetchStatus = inputs._styleClassesInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$view", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "react", "OutSystemsReactView", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$model", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller", "OutSystemsReactWidgets", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$view", "MobilePatterns.Utilities.TouchEvents.mvc$view"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, React, OSView, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_model, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller, OSWidgets, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, MobilePatterns_Utilities_TouchEvents_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "WidgetsInteraction.Carousel_new";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return ["scripts/MobileUIWidgets.Carousel.js"];
        };
        View.getBlocks = function() {
            return [MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, MobilePatterns_Utilities_TouchEvents_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: ("m-carousel " + model.variables.styleClassesIn),
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._styleClassesInDataFetchStatus)
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
style: (("padding: 0 " + (model.variables.paddingIn).toString()) + "px")
},
style: "carousel init",
visible: true,
_idProps: {
service: idService,
name: "carousel"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "carousel-container",
visible: true,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.carouselItems,
style: "carousel-container-content",
_idProps: {
service: idService,
name: "CarouselItems"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedEvents: {
onClick: function () {
var eventHandlerContext = callContext.clone();
controller.previous$Action(controller.callContext(eventHandlerContext));

;
}
},
gridProperties: {
classes: "OSInline"
},
style: model.getCachedValue(idService.getId("qjFn+w+GiUWQMj1l6is_Tw.Style"), function () {
return ("carousel-navigation carousel-navigation-left " + ((model.variables.navigationIn) ? ("") : (" hidden")));
}, function () {
return model.variables.navigationIn;
}),
visible: true,
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._navigationInDataFetchStatus)
}, React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
IconName: MobileUIWidgetsModel.staticEntities.iCON_CLASS.iconArrowLeft,
IconSize: model.getCachedValue(idService.getId("CBcn_hJAEUOTgPSjArgfuQ.IconSize"), function () {
return OS.BuiltinFunctions.nullTextIdentifier();
})
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "5",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedEvents: {
onClick: function () {
var eventHandlerContext = callContext.clone();
controller.next$Action(controller.callContext(eventHandlerContext));

;
}
},
gridProperties: {
classes: "OSInline"
},
style: model.getCachedValue(idService.getId("h+UtqwOCUU6BKh4zT_xUDQ.Style"), function () {
return ("carousel-navigation carousel-navigation-right" + ((model.variables.navigationIn) ? ("") : (" hidden")));
}, function () {
return model.variables.navigationIn;
}),
visible: true,
_idProps: {
service: idService,
uuid: "6"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._navigationInDataFetchStatus)
}, React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
IconName: MobileUIWidgetsModel.staticEntities.iCON_CLASS.iconArrowRight,
IconSize: model.getCachedValue(idService.getId("Vf5+2hJd6E26PLLWNDoqgQ.IconSize"), function () {
return OS.BuiltinFunctions.nullTextIdentifier();
})
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "7",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: model.getCachedValue(idService.getId("nyKz5E1OuUm3Adayrmv43w.Style"), function () {
return ("carousel-dots-container " + ((model.variables.dotsIn) ? ("") : ("disabled")));
}, function () {
return model.variables.dotsIn;
}),
visible: true,
_idProps: {
service: idService,
uuid: "8"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._dotsInDataFetchStatus)
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "hide-on-service-studio",
visible: true,
_idProps: {
service: idService,
uuid: "9"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobilePatterns_Utilities_TouchEvents_mvc_view, {
inputs: {
WidgetId: idService.getId("carousel")
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
end$Action: function (xIn, yIn, offsetXIn, offsetYIn, timeTakenIn) {
var eventHandlerContext = callContext.clone();
controller.gestureEnd$Action(offsetXIn, timeTakenIn, 0, controller.callContext(eventHandlerContext));

;
},
start$Action: function (xIn, yIn) {
var eventHandlerContext = callContext.clone();
controller.gestureStart$Action(controller.callContext(eventHandlerContext));

;
},
move$Action: function (xIn, yIn, offsetXIn, offsetYIn, evtIn) {
var eventHandlerContext = callContext.clone();
controller.gestureMove$Action(offsetXIn, evtIn, offsetYIn, controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "10",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "MobileUIWidgets.languageResources", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.OnOrientationChange.OnOrientationChangeJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.OnReady.CallingInitJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.OnDestroy.RemoveListnerOnOrientationJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.Next.NextJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.SetInterval.AutoplayLoopJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.Previous.PreviousJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.Init.InitCarouselJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GestureStart.AddNoTransitionClassesJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GestureStart.CheckIfContainsClassJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GestureStart.RemoveNoTransitionJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.ClearInterval.ClearIntervalJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.Update.UpdateJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GoTo.GoToLastJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GoTo.GoToTargetJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GoTo.GetMaxElementsJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GestureEnd.BackToMiddleJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GestureEnd.PrepareElementsJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GestureEnd.ChangeIsAnimatingStatusJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GestureMove.AddNoTransitionClassesJS", "MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GestureMove.TransformUiJS"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, MobileUIWidgetsLanguageResources, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_OnOrientationChange_OnOrientationChangeJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_OnReady_CallingInitJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_OnDestroy_RemoveListnerOnOrientationJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_Next_NextJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_SetInterval_AutoplayLoopJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_Previous_PreviousJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_Init_InitCarouselJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GestureStart_AddNoTransitionClassesJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GestureStart_CheckIfContainsClassJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GestureStart_RemoveNoTransitionJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_ClearInterval_ClearIntervalJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_Update_UpdateJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GoTo_GoToLastJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GoTo_GoToTargetJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GoTo_GetMaxElementsJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GestureEnd_BackToMiddleJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GestureEnd_PrepareElementsJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GestureEnd_ChangeIsAnimatingStatusJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GestureMove_AddNoTransitionClassesJS, MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GestureMove_TransformUiJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {
onOrientationChange$Action: function () {
return controller.executeActionInsideJSNode(controller._onOrientationChange$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
},
init$Action: function () {
return controller.executeActionInsideJSNode(controller._init$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
},
goTo$Action: function (targetIn) {
targetIn = (targetIn === undefined) ? 0 : targetIn;
return controller.executeActionInsideJSNode(controller._goTo$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(targetIn, OS.Types.Integer)), controller.callContext(), function (actionResults) {
return {};
});
},
next$Action: function () {
return controller.executeActionInsideJSNode(controller._next$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
},
previous$Action: function () {
return controller.executeActionInsideJSNode(controller._previous$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
},
update$Action: function () {
return controller.executeActionInsideJSNode(controller._update$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
},
changeIsAnimatingStatus$Action: function () {
return controller.executeActionInsideJSNode(controller._changeIsAnimatingStatus$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
}
};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._onOrientationChange$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnOrientationChange");
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_OnOrientationChange_OnOrientationChangeJS, "OnOrientationChange", "OnOrientationChange", {
CarouselObj: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.carouselObjVar, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
};
Controller.prototype._onReady$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnReady");
callContext = controller.callContext(callContext);
var callingInitJSResult = new OS.DataTypes.VariableHolder();
callingInitJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_OnReady_CallingInitJS, "CallingInit", "OnReady", {
Margin: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.marginIn, OS.Types.Integer, true),
Dots: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.dotsIn, OS.Types.Boolean, true),
Scale: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.scaleIn, OS.Types.Boolean, true),
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("carousel"), OS.Types.Text, true),
Center: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.centerIn, OS.Types.Boolean, true),
Loop: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.loopIn, OS.Types.Boolean, true),
InitialPosition: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.initialPositionIn, OS.Types.Integer, true),
Items: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.itemsIn, OS.Types.Integer, true),
CarouselObj: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.Carousel_new.OnReady$callingInitJSResult"))();
jsNodeResult.carouselObjOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.CarouselObj, OS.Types.Object);
return jsNodeResult;
}, {
OnOrientationChange: controller.clientActionProxies.onOrientationChange$Action,
Init: controller.clientActionProxies.init$Action,
GoTo: controller.clientActionProxies.goTo$Action
}, {});
// CarouselObj = CallingInit.CarouselObj
model.variables.carouselObjVar = callingInitJSResult.value.carouselObjOut;
};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.Carousel_new.OnReady$callingInitJSResult", [{
name: "CarouselObj",
attrName: "carouselObjOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
Controller.prototype._onDestroy$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnDestroy");
callContext = controller.callContext(callContext);
// JS Node to remove EventListner orientationchange
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_OnDestroy_RemoveListnerOnOrientationJS, "RemoveListnerOnOrientation", "OnDestroy", null, function ($parameters) {
}, {
OnOrientationChange: controller.clientActionProxies.onOrientationChange$Action
}, {});
// Autoplay?
if((((model.variables.autoplayIn) !== (MobileUIWidgetsModel.staticEntities.autoplay.disabled)))) {
// Execute Action: ClearInterval
controller._clearInterval$Action(callContext);
}

};
Controller.prototype._next$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Next");
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_Next_NextJS, "Next", "Next", {
CarouselObj: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.carouselObjVar, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
};
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
// IsAnimating = False
model.variables.isAnimatingVar = false;
};
Controller.prototype._setInterval$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("SetInterval");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.Carousel_new.SetInterval$vars"))());
var autoplayLoopJSResult = new OS.DataTypes.VariableHolder();
if(((model.variables.autoplayIn === MobileUIWidgetsModel.staticEntities.autoplay.slow))) {
// AutoplayValue = 8000
vars.value.autoplayValueVar = 8000;
} else {
if((model.variables.autoplayIn === MobileUIWidgetsModel.staticEntities.autoplay.normal)) {
// AutoplayValue = 5000
vars.value.autoplayValueVar = 5000;
} else {
if((model.variables.autoplayIn === MobileUIWidgetsModel.staticEntities.autoplay.fast)) {
// AutoplayValue = 2000
vars.value.autoplayValueVar = 2000;
} else {
return ;

}

}

}

autoplayLoopJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_SetInterval_AutoplayLoopJS, "AutoplayLoop", "SetInterval", {
Autoplay: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.autoplayValueVar, OS.Types.Integer, true),
AutoplayObj: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.Carousel_new.SetInterval$autoplayLoopJSResult"))();
jsNodeResult.autoplayObjOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.AutoplayObj, OS.Types.Object);
return jsNodeResult;
}, {
Next: controller.clientActionProxies.next$Action
}, {});
// AutplayObj = AutoplayLoop.AutoplayObj
model.variables.autplayObjVar = autoplayLoopJSResult.value.autoplayObjOut;
};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.Carousel_new.SetInterval$vars", [{
name: "AutoplayValue",
attrName: "autoplayValueVar",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.Carousel_new.SetInterval$autoplayLoopJSResult", [{
name: "AutoplayObj",
attrName: "autoplayObjOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
Controller.prototype._previous$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Previous");
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_Previous_PreviousJS, "Previous", "Previous", {
CarouselObj: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.carouselObjVar, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
};
Controller.prototype._init$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Init");
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_Init_InitCarouselJS, "InitCarousel", "Init", {
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("carousel"), OS.Types.Text, true)
}, function ($parameters) {
}, {
Next: controller.clientActionProxies.next$Action,
Previous: controller.clientActionProxies.previous$Action,
GoTo: controller.clientActionProxies.goTo$Action,
Update: controller.clientActionProxies.update$Action
}, {});
// Autoplay?
if((((model.variables.autoplayIn) !== (MobileUIWidgetsModel.staticEntities.autoplay.disabled)))) {
// Execute Action: SetInterval
controller._setInterval$Action(callContext);
}

};
Controller.prototype._gestureStart$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GestureStart");
callContext = controller.callContext(callContext);
var checkIfContainsClassJSResult = new OS.DataTypes.VariableHolder();
if((!(model.variables.isAnimatingVar))) {
// Execute Action: ClearInterval
controller._clearInterval$Action(callContext);
checkIfContainsClassJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GestureStart_CheckIfContainsClassJS, "CheckIfContainsClass", "GestureStart", {
CarouselId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("carousel"), OS.Types.Text, true),
ContainsClass: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.Carousel_new.GestureStart$checkIfContainsClassJSResult"))();
jsNodeResult.containsClassOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ContainsClass, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
// ContainsClass = CheckIfContainsClass.ContainsClass
model.variables.containsClassVar = checkIfContainsClassJSResult.value.containsClassOut;
if((model.variables.containsClassVar)) {
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GestureStart_RemoveNoTransitionJS, "RemoveNoTransition", "GestureStart", {
Id: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("carousel"), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
} else {
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GestureStart_AddNoTransitionClassesJS, "AddNoTransitionClasses", "GestureStart", {
CarouselObj: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.carouselObjVar, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
}

}

};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.Carousel_new.GestureStart$checkIfContainsClassJSResult", [{
name: "ContainsClass",
attrName: "containsClassOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Controller.prototype._clearInterval$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("ClearInterval");
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_ClearInterval_ClearIntervalJS, "ClearInterval", "ClearInterval", {
AutoplayObj: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.autplayObjVar, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
};
Controller.prototype._changeIsAnimatingStatus$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("ChangeIsAnimatingStatus");
callContext = controller.callContext(callContext);
// IsAnimating = False
model.variables.isAnimatingVar = false;
};
Controller.prototype._update$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Update");
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_Update_UpdateJS, "Update", "Update", {
CarouselObj: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.carouselObjVar, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
};
Controller.prototype._goTo$Action = function (targetIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GoTo");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.Carousel_new.GoTo$vars"))());
vars.value.targetInLocal = targetIn;
var getMaxElementsJSResult = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
getMaxElementsJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GoTo_GetMaxElementsJS, "GetMaxElements", "GoTo", {
CarouselObj: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.carouselObjVar, OS.Types.Object, true),
MaxElements: OS.DataTypes.JSConversions.basicTypeToJS(0, OS.Types.Integer, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.Carousel_new.GoTo$getMaxElementsJSResult"))();
jsNodeResult.maxElementsOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.MaxElements, OS.Types.Integer);
return jsNodeResult;
}, {}, {});
// Autoplay?
if((((model.variables.autoplayIn) !== (MobileUIWidgetsModel.staticEntities.autoplay.disabled)))) {
// Execute Action: ClearInterval
controller._clearInterval$Action(callContext);
// Execute Action: SetInterval
controller._setInterval$Action(callContext);
}

// elementExists?
if(((vars.value.targetInLocal >= getMaxElementsJSResult.value.maxElementsOut))) {
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GoTo_GoToLastJS, "GoToLast", "GoTo", {
CarouselObj: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.carouselObjVar, OS.Types.Object, true),
Target: OS.DataTypes.JSConversions.basicTypeToJS((getMaxElementsJSResult.value.maxElementsOut - 1), OS.Types.Integer, true)
}, function ($parameters) {
}, {}, {});
} else {
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GoTo_GoToTargetJS, "GoToTarget", "GoTo", {
CarouselObj: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.carouselObjVar, OS.Types.Object, true),
Target: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.targetInLocal, OS.Types.Integer, true)
}, function ($parameters) {
}, {}, {});
}

// Trigger Event: OnItemChange
return controller.onItemChange$Action(vars.value.targetInLocal, callContext);
});
};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.Carousel_new.GoTo$vars", [{
name: "Target",
attrName: "targetInLocal",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.Carousel_new.GoTo$getMaxElementsJSResult", [{
name: "MaxElements",
attrName: "maxElementsOut",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
Controller.prototype._gestureEnd$Action = function (offsetXIn, timeTakenIn, elementhWidthIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GestureEnd");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.Carousel_new.GestureEnd$vars"))());
vars.value.offsetXInLocal = offsetXIn;
vars.value.timeTakenInLocal = timeTakenIn;
vars.value.elementhWidthInLocal = elementhWidthIn;
var prepareElementsJSResult = new OS.DataTypes.VariableHolder();
if((!(model.variables.isAnimatingVar))) {
if((model.variables.containsClassVar)) {
// ContainsClass = True
model.variables.containsClassVar = true;
} else {
do {
// RemoveNoTransitionClasses and GetElementWidth
prepareElementsJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GestureEnd_PrepareElementsJS, "PrepareElements", "GestureEnd", {
CarouselObj: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.carouselObjVar, OS.Types.Object, true),
ElementWidth: OS.DataTypes.JSConversions.basicTypeToJS(0, OS.Types.Integer, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.Carousel_new.GestureEnd$prepareElementsJSResult"))();
jsNodeResult.elementWidthOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ElementWidth, OS.Types.Integer);
return jsNodeResult;
}, {}, {});
// ElementhWidth = PrepareElements.ElementWidth
vars.value.elementhWidthInLocal = prepareElementsJSResult.value.elementWidthOut;
if((vars.value.offsetXInLocal.gt(OS.BuiltinFunctions.integerToDecimal(0)))) {
// DidItPassHalf?
if(((vars.value.offsetXInLocal.gt(OS.BuiltinFunctions.integerToDecimal(vars.value.elementhWidthInLocal).div(OS.BuiltinFunctions.integerToDecimal(3))) || OS.BuiltinFunctions.abs(vars.value.offsetXInLocal).div(vars.value.timeTakenInLocal).gt(model.variables.velocityVar)))) {
// Execute Action: Previous
controller._previous$Action(callContext);
break;
}

} else {
if(vars.value.offsetXInLocal.lt(OS.BuiltinFunctions.integerToDecimal(0))) {
// DidItPassHalf?
if(((vars.value.offsetXInLocal.lt(OS.BuiltinFunctions.integerToDecimal(vars.value.elementhWidthInLocal).div(OS.BuiltinFunctions.integerToDecimal(3)).times(OS.BuiltinFunctions.integerToDecimal(-1))) || OS.BuiltinFunctions.abs(vars.value.offsetXInLocal).div(vars.value.timeTakenInLocal).gt(model.variables.velocityVar)))) {
// Execute Action: Next
controller._next$Action(callContext);
break;
}

}

}

controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GestureEnd_BackToMiddleJS, "BackToMiddle", "GestureEnd", {
CarouselObj: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.carouselObjVar, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
// Execute Action: ClearInterval
controller._clearInterval$Action(callContext);
// Execute Action: SetInterval
controller._setInterval$Action(callContext);
} while(false)
;
// IsAnimating = True
model.variables.isAnimatingVar = true;
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GestureEnd_ChangeIsAnimatingStatusJS, "ChangeIsAnimatingStatus", "GestureEnd", null, function ($parameters) {
}, {
ChangeIsAnimatingStatus: controller.clientActionProxies.changeIsAnimatingStatus$Action
}, {});
}

}

};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.Carousel_new.GestureEnd$vars", [{
name: "OffsetX",
attrName: "offsetXInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}, {
name: "TimeTaken",
attrName: "timeTakenInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}, {
name: "ElementhWidth",
attrName: "elementhWidthInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.Carousel_new.GestureEnd$prepareElementsJSResult", [{
name: "ElementWidth",
attrName: "elementWidthOut",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
Controller.prototype._gestureMove$Action = function (offsetXIn, evtIn, offsetYIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GestureMove");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.Carousel_new.GestureMove$vars"))());
vars.value.offsetXInLocal = offsetXIn;
vars.value.evtInLocal = evtIn;
vars.value.offsetYInLocal = offsetYIn;
if((!(model.variables.isAnimatingVar))) {
if((model.variables.containsClassVar)) {
// ContainsClass = True
model.variables.containsClassVar = true;
} else {
// No direction set?
do {
// No direction set?
if(((model.variables.dragDirectionVar === ""))) {
// Set drag direction
// DragDirection = If
model.variables.dragDirectionVar = ((OS.BuiltinFunctions.abs(vars.value.offsetXInLocal).gte(OS.BuiltinFunctions.abs(vars.value.offsetYInLocal))) ? ("horizontal") : ("vertical"));
// Is vertical?
if(((model.variables.dragDirectionVar === "vertical"))) {
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GestureMove_AddNoTransitionClassesJS, "AddNoTransitionClasses", "GestureMove", {
CarouselObj: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.carouselObjVar, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
break;
}

}

controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Carousel_new_mvc_controller_GestureMove_TransformUiJS, "TransformUi", "GestureMove", {
CarouselObj: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.carouselObjVar, OS.Types.Object, true),
Evt: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.evtInLocal, OS.Types.Object, true),
OffsetX: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.offsetXInLocal, OS.Types.Decimal, true)
}, function ($parameters) {
}, {}, {});
} while(false)
;
// DragDirection = ""
model.variables.dragDirectionVar = "";
}

}

};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.Carousel_new.GestureMove$vars", [{
name: "OffsetX",
attrName: "offsetXInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}, {
name: "Evt",
attrName: "evtInLocal",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "OffsetY",
attrName: "offsetYInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}]);

Controller.prototype.onOrientationChange$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onOrientationChange$Action, callContext);

};
Controller.prototype.onReady$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onReady$Action, callContext);

};
Controller.prototype.onDestroy$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onDestroy$Action, callContext);

};
Controller.prototype.next$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._next$Action, callContext);

};
Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};
Controller.prototype.setInterval$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._setInterval$Action, callContext);

};
Controller.prototype.previous$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._previous$Action, callContext);

};
Controller.prototype.init$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._init$Action, callContext);

};
Controller.prototype.gestureStart$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._gestureStart$Action, callContext);

};
Controller.prototype.clearInterval$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._clearInterval$Action, callContext);

};
Controller.prototype.changeIsAnimatingStatus$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._changeIsAnimatingStatus$Action, callContext);

};
Controller.prototype.update$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._update$Action, callContext);

};
Controller.prototype.goTo$Action = function (targetIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._goTo$Action, callContext, targetIn);

};
Controller.prototype.gestureEnd$Action = function (offsetXIn, timeTakenIn, elementhWidthIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._gestureEnd$Action, callContext, offsetXIn, timeTakenIn, elementhWidthIn);

};
Controller.prototype.gestureMove$Action = function (offsetXIn, evtIn, offsetYIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._gestureMove$Action, callContext, offsetXIn, evtIn, offsetYIn);

};
Controller.prototype.onItemChange$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onReady$Action(callContext);

};
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onDestroy$Action(callContext);

};
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return MobileUIWidgetsController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, MobileUIWidgetsLanguageResources);
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.OnOrientationChange.OnOrientationChangeJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.CarouselObj.onOrientationChange();
};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.OnReady.CallingInitJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
window.addEventListener('orientationchange', $actions.OnOrientationChange);
$parameters.CarouselObj = new newCarousel();

var opts = {
    
    //OS parameters
    widgetId: $parameters.WidgetId,
    margin: $parameters.Margin,
    initialPosition: $parameters.InitialPosition,
    items: $parameters.Items,
    center: $parameters.Center,
    scale: $parameters.Scale,
    loop: $parameters.Loop,
    dots: $parameters.Dots,
    
    //OS actions
    initAction: $actions.Init(),
    goToAction: $actions.GoTo
};

$parameters.CarouselObj.init(opts);
};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.OnDestroy.RemoveListnerOnOrientationJS", [], function () {
return function ($actions, $roles, $public) {
window.removeEventListener('orientationchange', $actions.OnOrientationChange);
};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.Next.NextJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.CarouselObj.next();
};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.SetInterval.AutoplayLoopJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.AutoplayObj = setInterval(function(){
    $actions.Next();
},$parameters.Autoplay);
};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.Previous.PreviousJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.CarouselObj.previous();
};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.Init.InitCarouselJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var element = document.getElementById($parameters.WidgetId);
element = element.querySelector('.carousel-container-content');

// Add actions
element.next = function() { $actions.Next(); };
element.previous = function() { $actions.Previous(); };
element.goto = function(i) { $actions.GoTo(i); };
element.updateCarousel = function() { $actions.Update(); };


};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GestureStart.AddNoTransitionClassesJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.CarouselObj.addNoTransitionClasses();
};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GestureStart.CheckIfContainsClassJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var carouselSwipe = document.getElementById($parameters.CarouselId);

if(carouselSwipe.classList.contains('no-swipe')){
    $parameters.ContainsClass = true;
} else {
    $parameters.ContainsClass = false;
}
};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GestureStart.RemoveNoTransitionJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var el = document.getElementById($parameters.Id);
var carouselContent = el.querySelector(".carousel-container-content");

carouselContent.classList.remove("no-transition");
};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.ClearInterval.ClearIntervalJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
clearInterval($parameters.AutoplayObj);
};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.Update.UpdateJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.CarouselObj.updateCarousel();
};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GoTo.GoToLastJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.CarouselObj.goTo($parameters.Target);
};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GoTo.GoToTargetJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.CarouselObj.goTo($parameters.Target);
};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GoTo.GetMaxElementsJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.MaxElements = $parameters.CarouselObj.getMaxElements();
};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GestureEnd.BackToMiddleJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.CarouselObj.backToMiddle();
};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GestureEnd.PrepareElementsJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.CarouselObj.removeNoTransitionClasses();
$parameters.ElementWidth = $parameters.CarouselObj.getNodeWidth();
};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GestureEnd.ChangeIsAnimatingStatusJS", [], function () {
return function ($actions, $roles, $public) {
var TimeoutClear = setTimeout(function(){
    $actions.ChangeIsAnimatingStatus();
    clearTimeout(TimeoutClear);
},300);
};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GestureMove.AddNoTransitionClassesJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.CarouselObj.addNoTransitionClasses();
};
});
define("MobileUIWidgets.WidgetsInteraction.Carousel_new.mvc$controller.GestureMove.TransformUiJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.CarouselObj.gestureMove($parameters.OffsetX);
$parameters.Evt.preventDefault();
};
});

