﻿define("Mobile_LoginNOS.MainFlow.InAppBrowserEvents.mvc$model", ["OutSystems", "Mobile_LoginNOS.model", "CommonPlugin.model", "InAppBrowserPlugin.controller", "InAppBrowserPlugin.model", "Mobile_LoginNOS.controller", "CommonPlugin.model$ErrorRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$CommonPlugin", "InAppBrowserPlugin.controller$CheckInAppBrowserPlugin", "Mobile_LoginNOS.referencesHealth$InAppBrowserPlugin", "InAppBrowserPlugin.model$OptionsRec", "Mobile_LoginNOS.controller$ParseOptions", "Mobile_LoginNOS.controller$inAppBrowserRef_Init"], function (OutSystems, Mobile_LoginNOSModel, CommonPluginModel, InAppBrowserPluginController, InAppBrowserPluginModel, Mobile_LoginNOSController) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("Url", "urlIn", "Url", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_urlInDataFetchStatus", "_urlInDataFetchStatus", "_urlInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Target", "targetIn", "Target", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_targetInDataFetchStatus", "_targetInDataFetchStatus", "_targetInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Options", "optionsIn", "Options", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new InAppBrowserPluginModel.OptionsRec());
}, InAppBrowserPluginModel.OptionsRec), 
this.attr("_optionsInDataFetchStatus", "_optionsInDataFetchStatus", "_optionsInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("CloseURL", "closeURLIn", "CloseURL", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_closeURLInDataFetchStatus", "_closeURLInDataFetchStatus", "_closeURLInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("DoConsoleLog", "doConsoleLogIn", "DoConsoleLog", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_doConsoleLogInDataFetchStatus", "_doConsoleLogInDataFetchStatus", "_doConsoleLogInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return false;
}
});

Model.prototype.setInputs = function (inputs) {
if("Url" in inputs) {
this.variables.urlIn = inputs.Url;
if("_urlInDataFetchStatus" in inputs) {
this.variables._urlInDataFetchStatus = inputs._urlInDataFetchStatus;
}

}

if("Target" in inputs) {
this.variables.targetIn = inputs.Target;
if("_targetInDataFetchStatus" in inputs) {
this.variables._targetInDataFetchStatus = inputs._targetInDataFetchStatus;
}

}

if("Options" in inputs) {
this.variables.optionsIn = inputs.Options;
if("_optionsInDataFetchStatus" in inputs) {
this.variables._optionsInDataFetchStatus = inputs._optionsInDataFetchStatus;
}

}

if("CloseURL" in inputs) {
this.variables.closeURLIn = inputs.CloseURL;
if("_closeURLInDataFetchStatus" in inputs) {
this.variables._closeURLInDataFetchStatus = inputs._closeURLInDataFetchStatus;
}

}

if("DoConsoleLog" in inputs) {
this.variables.doConsoleLogIn = inputs.DoConsoleLog;
if("_doConsoleLogInDataFetchStatus" in inputs) {
this.variables._doConsoleLogInDataFetchStatus = inputs._doConsoleLogInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("Mobile_LoginNOS.MainFlow.InAppBrowserEvents.mvc$view", ["OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.controller", "CommonPlugin.model", "InAppBrowserPlugin.controller", "InAppBrowserPlugin.model", "react", "OutSystemsReactView", "Mobile_LoginNOS.MainFlow.InAppBrowserEvents.mvc$model", "Mobile_LoginNOS.MainFlow.InAppBrowserEvents.mvc$controller", "CommonPlugin.model$ErrorRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$CommonPlugin", "InAppBrowserPlugin.controller$CheckInAppBrowserPlugin", "Mobile_LoginNOS.referencesHealth$InAppBrowserPlugin", "InAppBrowserPlugin.model$OptionsRec", "Mobile_LoginNOS.controller$ParseOptions", "Mobile_LoginNOS.controller$inAppBrowserRef_Init"], function (OutSystems, Mobile_LoginNOSModel, Mobile_LoginNOSController, CommonPluginModel, InAppBrowserPluginController, InAppBrowserPluginModel, React, OSView, Mobile_LoginNOS_MainFlow_InAppBrowserEvents_mvc_model, Mobile_LoginNOS_MainFlow_InAppBrowserEvents_mvc_controller) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "MainFlow.InAppBrowserEvents";
        View.getCssDependencies = function() {
            return [];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return Mobile_LoginNOS_MainFlow_InAppBrowserEvents_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return Mobile_LoginNOS_MainFlow_InAppBrowserEvents_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties());
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("Mobile_LoginNOS.MainFlow.InAppBrowserEvents.mvc$controller", ["OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.controller", "CommonPlugin.model", "InAppBrowserPlugin.controller", "InAppBrowserPlugin.model", "Mobile_LoginNOS.languageResources", "Mobile_LoginNOS.MainFlow.InAppBrowserEvents.mvc$controller.InAppBrowserMain.OpenInAppBrowserJS", "CommonPlugin.model$ErrorRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$CommonPlugin", "InAppBrowserPlugin.controller$CheckInAppBrowserPlugin", "Mobile_LoginNOS.referencesHealth$InAppBrowserPlugin", "InAppBrowserPlugin.model$OptionsRec", "Mobile_LoginNOS.controller$ParseOptions", "Mobile_LoginNOS.controller$inAppBrowserRef_Init"], function (OutSystems, Mobile_LoginNOSModel, Mobile_LoginNOSController, CommonPluginModel, InAppBrowserPluginController, InAppBrowserPluginModel, Mobile_LoginNOSLanguageResources, Mobile_LoginNOS_MainFlow_InAppBrowserEvents_mvc_controller_InAppBrowserMain_OpenInAppBrowserJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {
triggerLoadStart$Action: function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn) {
evt_typeIn = (evt_typeIn === undefined) ? "" : evt_typeIn;
evt_urlIn = (evt_urlIn === undefined) ? "" : evt_urlIn;
evt_codeIn = (evt_codeIn === undefined) ? "" : evt_codeIn;
evt_messageIn = (evt_messageIn === undefined) ? "" : evt_messageIn;
return controller.executeActionInsideJSNode(controller._triggerLoadStart$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(evt_typeIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(evt_urlIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(evt_codeIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(evt_messageIn, OS.Types.Text)), controller.callContext(), function (actionResults) {
return {};
});
},
triggerLoadStop$Action: function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn) {
evt_typeIn = (evt_typeIn === undefined) ? "" : evt_typeIn;
evt_urlIn = (evt_urlIn === undefined) ? "" : evt_urlIn;
evt_codeIn = (evt_codeIn === undefined) ? "" : evt_codeIn;
evt_messageIn = (evt_messageIn === undefined) ? "" : evt_messageIn;
return controller.executeActionInsideJSNode(controller._triggerLoadStop$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(evt_typeIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(evt_urlIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(evt_codeIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(evt_messageIn, OS.Types.Text)), controller.callContext(), function (actionResults) {
return {};
});
},
triggerLoadError$Action: function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn) {
evt_typeIn = (evt_typeIn === undefined) ? "" : evt_typeIn;
evt_urlIn = (evt_urlIn === undefined) ? "" : evt_urlIn;
evt_codeIn = (evt_codeIn === undefined) ? "" : evt_codeIn;
evt_messageIn = (evt_messageIn === undefined) ? "" : evt_messageIn;
return controller.executeActionInsideJSNode(controller._triggerLoadError$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(evt_typeIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(evt_urlIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(evt_codeIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(evt_messageIn, OS.Types.Text)), controller.callContext(), function (actionResults) {
return {};
});
},
triggerExit$Action: function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn) {
evt_typeIn = (evt_typeIn === undefined) ? "" : evt_typeIn;
evt_urlIn = (evt_urlIn === undefined) ? "" : evt_urlIn;
evt_codeIn = (evt_codeIn === undefined) ? "" : evt_codeIn;
evt_messageIn = (evt_messageIn === undefined) ? "" : evt_messageIn;
return controller.executeActionInsideJSNode(controller._triggerExit$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(evt_typeIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(evt_urlIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(evt_codeIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(evt_messageIn, OS.Types.Text)), controller.callContext(), function (actionResults) {
return {};
});
}
};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._triggerLoadError$Action = function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("TriggerLoadError");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.MainFlow.InAppBrowserEvents.TriggerLoadError$vars"))());
vars.value.evt_typeInLocal = evt_typeIn;
vars.value.evt_urlInLocal = evt_urlIn;
vars.value.evt_codeInLocal = evt_codeIn;
vars.value.evt_messageInLocal = evt_messageIn;
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: OnLoadError
return controller.onLoadError$Action(vars.value.evt_typeInLocal, vars.value.evt_urlInLocal, vars.value.evt_codeInLocal, vars.value.evt_messageInLocal, callContext);
});
};
Controller.registerVariableGroupType("Mobile_LoginNOS.MainFlow.InAppBrowserEvents.TriggerLoadError$vars", [{
name: "evt_type",
attrName: "evt_typeInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_url",
attrName: "evt_urlInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_code",
attrName: "evt_codeInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_message",
attrName: "evt_messageInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.prototype._triggerExit$Action = function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("TriggerExit");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.MainFlow.InAppBrowserEvents.TriggerExit$vars"))());
vars.value.evt_typeInLocal = evt_typeIn;
vars.value.evt_urlInLocal = evt_urlIn;
vars.value.evt_codeInLocal = evt_codeIn;
vars.value.evt_messageInLocal = evt_messageIn;
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: OnExit
return controller.onExit$Action(vars.value.evt_typeInLocal, vars.value.evt_urlInLocal, vars.value.evt_codeInLocal, vars.value.evt_messageInLocal, callContext);
});
};
Controller.registerVariableGroupType("Mobile_LoginNOS.MainFlow.InAppBrowserEvents.TriggerExit$vars", [{
name: "evt_type",
attrName: "evt_typeInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_url",
attrName: "evt_urlInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_code",
attrName: "evt_codeInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_message",
attrName: "evt_messageInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.prototype._inAppBrowserMain$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("InAppBrowserMain");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.MainFlow.InAppBrowserEvents.InAppBrowserMain$vars"))());
var checkInAppBrowserPluginVar = new OS.DataTypes.VariableHolder();
var parseOptionsVar = new OS.DataTypes.VariableHolder();
var openInAppBrowserJSResult = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckInAppBrowserPlugin
checkInAppBrowserPluginVar.value = InAppBrowserPluginController.default.checkInAppBrowserPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkInAppBrowserPluginVar.value.isAvailableOut)) {
// HasScheme?
return OS.Flow.executeSequence(function () {
if((!(((OS.BuiltinFunctions.index(model.variables.urlIn, "http://", 0, false, true) === -1) && (OS.BuiltinFunctions.index(model.variables.urlIn, "https://", 0, false, true) === -1))))) {
// Execute Action: ParseOptions
parseOptionsVar.value = Mobile_LoginNOSController.default.parseOptions$Action(model.variables.optionsIn, callContext);

openInAppBrowserJSResult.value = controller.safeExecuteJSNode(Mobile_LoginNOS_MainFlow_InAppBrowserEvents_mvc_controller_InAppBrowserMain_OpenInAppBrowserJS, "OpenInAppBrowser", "InAppBrowserMain", {
Url: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.urlIn, OS.Types.Text, true),
DoConsoleLog: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.doConsoleLogIn, OS.Types.Boolean, true),
Target: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.targetIn, OS.Types.Text, true),
CloseURL: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.closeURLIn, OS.Types.Text, true),
OptionsString: OS.DataTypes.JSConversions.basicTypeToJS(parseOptionsVar.value.optionsStringOut, OS.Types.Text, true),
inAppBrowserRef: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.MainFlow.InAppBrowserEvents.InAppBrowserMain$openInAppBrowserJSResult"))();
jsNodeResult.inAppBrowserRefOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.inAppBrowserRef, OS.Types.Object);
return jsNodeResult;
}, {
TriggerLoadStart: controller.clientActionProxies.triggerLoadStart$Action,
TriggerLoadStop: controller.clientActionProxies.triggerLoadStop$Action,
TriggerLoadError: controller.clientActionProxies.triggerLoadError$Action,
TriggerExit: controller.clientActionProxies.triggerExit$Action
}, {});
// Error.ErrorCode = 0
vars.value.errorVar.errorCodeAttr = "0";
// Error.ErrorMessage = ""
vars.value.errorVar.errorMessageAttr = "";
} else {
// Error.ErrorCode = 3
vars.value.errorVar.errorCodeAttr = "3";
// Error.ErrorMessage = "The provided URL must start with http:// or https://"
vars.value.errorVar.errorMessageAttr = "The provided URL must start with http:// or https://";
// Trigger Event: PlugInError2
return controller.plugInError$Action(new CommonPluginModel.ErrorRec(), callContext);
}

});
} else {
// Trigger Event: PlugInError
return controller.plugInError$Action(new CommonPluginModel.ErrorRec(), callContext);
}

});
});
};
Controller.registerVariableGroupType("Mobile_LoginNOS.MainFlow.InAppBrowserEvents.InAppBrowserMain$vars", [{
name: "Error",
attrName: "errorVar",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
Controller.registerVariableGroupType("Mobile_LoginNOS.MainFlow.InAppBrowserEvents.InAppBrowserMain$openInAppBrowserJSResult", [{
name: "inAppBrowserRef",
attrName: "inAppBrowserRefOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
Controller.prototype._triggerLoadStop$Action = function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("TriggerLoadStop");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.MainFlow.InAppBrowserEvents.TriggerLoadStop$vars"))());
vars.value.evt_typeInLocal = evt_typeIn;
vars.value.evt_urlInLocal = evt_urlIn;
vars.value.evt_codeInLocal = evt_codeIn;
vars.value.evt_messageInLocal = evt_messageIn;
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: OnLoadStop
return controller.onLoadStop$Action(vars.value.evt_typeInLocal, vars.value.evt_urlInLocal, vars.value.evt_codeInLocal, vars.value.evt_messageInLocal, callContext);
});
};
Controller.registerVariableGroupType("Mobile_LoginNOS.MainFlow.InAppBrowserEvents.TriggerLoadStop$vars", [{
name: "evt_type",
attrName: "evt_typeInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_url",
attrName: "evt_urlInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_code",
attrName: "evt_codeInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_message",
attrName: "evt_messageInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
// Execute Action: inAppBrowserRef_Init
Mobile_LoginNOSController.default.inAppBrowserRef_Init$Action(callContext);
};
Controller.prototype._triggerLoadStart$Action = function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("TriggerLoadStart");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.MainFlow.InAppBrowserEvents.TriggerLoadStart$vars"))());
vars.value.evt_typeInLocal = evt_typeIn;
vars.value.evt_urlInLocal = evt_urlIn;
vars.value.evt_codeInLocal = evt_codeIn;
vars.value.evt_messageInLocal = evt_messageIn;
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: OnLoadStart
return controller.onLoadStart$Action(vars.value.evt_typeInLocal, vars.value.evt_urlInLocal, vars.value.evt_codeInLocal, vars.value.evt_messageInLocal, callContext);
});
};
Controller.registerVariableGroupType("Mobile_LoginNOS.MainFlow.InAppBrowserEvents.TriggerLoadStart$vars", [{
name: "evt_type",
attrName: "evt_typeInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_url",
attrName: "evt_urlInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_code",
attrName: "evt_codeInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_message",
attrName: "evt_messageInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);

Controller.prototype.triggerLoadError$Action = function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._triggerLoadError$Action, callContext, evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn);

};
Controller.prototype.triggerExit$Action = function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._triggerExit$Action, callContext, evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn);

};
Controller.prototype.inAppBrowserMain$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._inAppBrowserMain$Action, callContext);

};
Controller.prototype.triggerLoadStop$Action = function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._triggerLoadStop$Action, callContext, evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn);

};
Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};
Controller.prototype.triggerLoadStart$Action = function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._triggerLoadStart$Action, callContext, evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn);

};
Controller.prototype.plugInError$Action = function () {
return Promise.resolve();
};
Controller.prototype.onExit$Action = function () {
return Promise.resolve();
};
Controller.prototype.onLoadError$Action = function () {
return Promise.resolve();
};
Controller.prototype.onLoadStart$Action = function () {
return Promise.resolve();
};
Controller.prototype.onLoadStop$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.inAppBrowserMain$Action(callContext);

};
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return Mobile_LoginNOSController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, Mobile_LoginNOSLanguageResources);
});
define("Mobile_LoginNOS.MainFlow.InAppBrowserEvents.mvc$controller.InAppBrowserMain.OpenInAppBrowserJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
// cordova.InAppBrowser.open($parameters.Url, $parameters.Target, $parameters.OptionsString);
//ref.addEventListener('loadstart', function(event) { alert(event.url); });

inAppBrowserRef = cordova.InAppBrowser.open($parameters.Url, $parameters.Target, $parameters.OptionsString);

inAppBrowserRef.addEventListener('loadstart', loadStartCallBack);

inAppBrowserRef.addEventListener('loadstop', loadStopCallBack);

inAppBrowserRef.addEventListener('loaderror', loadErrorCallBack);

inAppBrowserRef.addEventListener('exit', exitScriptCallBack);

//$parameters.inAppBrowserRef = inAppBrowserRef;

function loadStartCallBack(event) {
    
    if($parameters.DoConsoleLog)
        logEvent(event);
    
    if( event.url.indexOf($parameters.CloseURL) > -1) {
       inAppBrowserRef.close();
   } else {
       $actions.TriggerLoadStart(event.type,event.url,event.code || "",event.message || "");
   }

}

function loadStopCallBack(event) {
    
    if($parameters.DoConsoleLog)
        logEvent(event);
    
    $actions.TriggerLoadStop(event.type,event.url,event.code || "",event.message || "");
}

function loadErrorCallBack(event) {

    if($parameters.DoConsoleLog)    
        logEvent(event);
    
    $actions.TriggerLoadError(event.type,event.url,event.code || "",event.message || "");

}

function exitScriptCallBack(event) {

    if($parameters.DoConsoleLog)
        logEvent(event);
    event.url=$parameters.CloseURL;
    $actions.TriggerExit(event.type,event.url,event.code || "",event.message || "");
}


function logEvent(event){
    console.log('-----------------------');
    console.log('Type:'+event.type);
    console.log(' Url:'+event.url);
    console.log('Code:'+event.code);
    console.log(' Msg:'+event.message);
}


};
});

