﻿define("Mobile_LoginNOS.MainFlow.oAuth_Registration.mvc$model", ["OutSystems", "Mobile_LoginNOS.model", "InAppBrowserPlugin.model", "Mobile_LoginNOS.controller", "CommonPlugin.model", "Mobile_LoginNOS.MainFlow.InAppBrowserEvents.mvc$model", "InAppBrowserPlugin.model$OptionsRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$InAppBrowserPlugin", "Mobile_LoginNOS.controller$inAppBrowserRef_Close", "CommonPlugin.model$ErrorRec", "Mobile_LoginNOS.referencesHealth$CommonPlugin"], function (OutSystems, Mobile_LoginNOSModel, InAppBrowserPluginModel, Mobile_LoginNOSController, CommonPluginModel, Mobile_LoginNOS_MainFlow_InAppBrowserEvents_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("IsNavigating", "isNavigatingVar", "IsNavigating", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("Options", "optionsVar", "Options", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new InAppBrowserPluginModel.OptionsRec());
}, InAppBrowserPluginModel.OptionsRec), 
this.attr("Registration_EndPoint", "registration_EndPointIn", "Registration_EndPoint", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_registration_EndPointInDataFetchStatus", "_registration_EndPointInDataFetchStatus", "_registration_EndPointInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("URL_Cancel_Registration_String", "uRL_Cancel_Registration_StringIn", "URL_Cancel_Registration_String", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_uRL_Cancel_Registration_StringInDataFetchStatus", "_uRL_Cancel_Registration_StringInDataFetchStatus", "_uRL_Cancel_Registration_StringInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("URL_Finish_Registration", "uRL_Finish_RegistrationIn", "URL_Finish_Registration", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_uRL_Finish_RegistrationInDataFetchStatus", "_uRL_Finish_RegistrationInDataFetchStatus", "_uRL_Finish_RegistrationInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = Mobile_LoginNOS_MainFlow_InAppBrowserEvents_mvcModel.hasValidationWidgets;
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("Registration_EndPoint" in inputs) {
this.variables.registration_EndPointIn = inputs.Registration_EndPoint;
if("_registration_EndPointInDataFetchStatus" in inputs) {
this.variables._registration_EndPointInDataFetchStatus = inputs._registration_EndPointInDataFetchStatus;
}

}

if("URL_Cancel_Registration_String" in inputs) {
this.variables.uRL_Cancel_Registration_StringIn = inputs.URL_Cancel_Registration_String;
if("_uRL_Cancel_Registration_StringInDataFetchStatus" in inputs) {
this.variables._uRL_Cancel_Registration_StringInDataFetchStatus = inputs._uRL_Cancel_Registration_StringInDataFetchStatus;
}

}

if("URL_Finish_Registration" in inputs) {
this.variables.uRL_Finish_RegistrationIn = inputs.URL_Finish_Registration;
if("_uRL_Finish_RegistrationInDataFetchStatus" in inputs) {
this.variables._uRL_Finish_RegistrationInDataFetchStatus = inputs._uRL_Finish_RegistrationInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("Mobile_LoginNOS.MainFlow.oAuth_Registration.mvc$view", ["OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.controller", "InAppBrowserPlugin.model", "CommonPlugin.model", "react", "OutSystemsReactView", "Mobile_LoginNOS.MainFlow.oAuth_Registration.mvc$model", "Mobile_LoginNOS.MainFlow.oAuth_Registration.mvc$controller", "OutSystemsReactWidgets", "Mobile_LoginNOS.MainFlow.InAppBrowserEvents.mvc$view", "InAppBrowserPlugin.model$OptionsRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$InAppBrowserPlugin", "Mobile_LoginNOS.controller$inAppBrowserRef_Close", "CommonPlugin.model$ErrorRec", "Mobile_LoginNOS.referencesHealth$CommonPlugin"], function (OutSystems, Mobile_LoginNOSModel, Mobile_LoginNOSController, InAppBrowserPluginModel, CommonPluginModel, React, OSView, Mobile_LoginNOS_MainFlow_oAuth_Registration_mvc_model, Mobile_LoginNOS_MainFlow_oAuth_Registration_mvc_controller, OSWidgets, Mobile_LoginNOS_MainFlow_InAppBrowserEvents_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "MainFlow.oAuth_Registration";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [Mobile_LoginNOS_MainFlow_InAppBrowserEvents_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return Mobile_LoginNOS_MainFlow_oAuth_Registration_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return Mobile_LoginNOS_MainFlow_oAuth_Registration_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Link, {
enabled: true,
onClick: function () {
var eventHandlerContext = callContext.clone();
controller.registrationOnClick$Action(controller.callContext(eventHandlerContext));

;
},
visible: true,
_idProps: {
service: idService,
uuid: "1"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.registerImage,
_idProps: {
service: idService,
name: "RegisterImage"
},
_widgetRecordProvider: widgetsRecordProvider
}))), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider
}, $if(model.variables.isNavigatingVar, false, this, function () {
return [React.createElement(Mobile_LoginNOS_MainFlow_InAppBrowserEvents_mvc_view, {
inputs: {
Target: Mobile_LoginNOSModel.staticEntities.target.iN_APP_BROWSER,
CloseURL: "_CLOSE_THIS_THING",
Options: model.variables.optionsVar,
Url: model.variables.registration_EndPointIn,
_urlInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._registration_EndPointInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
onLoadStop$Action: function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn) {
var eventHandlerContext = callContext.clone();
controller.inAppBrowserOnEvent$Action(evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn, controller.callContext(eventHandlerContext));

;
},
onExit$Action: function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn) {
var eventHandlerContext = callContext.clone();
controller.inAppBrowserOnExit$Action(evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn, controller.callContext(eventHandlerContext));

;
},
onLoadError$Action: function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn) {
var eventHandlerContext = callContext.clone();
controller.inAppBrowserOnEvent$Action(evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn, controller.callContext(eventHandlerContext));

;
},
plugInError$Action: function (errorIn) {
var eventHandlerContext = callContext.clone();
controller.inAppBrowserPlugInError$Action(errorIn, controller.callContext(eventHandlerContext));

;
},
onLoadStart$Action: function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.inAppBrowserOnLoadStart$Action(evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn, controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "4",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}, function () {
return [];
})));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("Mobile_LoginNOS.MainFlow.oAuth_Registration.mvc$controller", ["OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.controller", "InAppBrowserPlugin.model", "CommonPlugin.model", "Mobile_LoginNOS.languageResources", "Mobile_LoginNOS.MainFlow.oAuth_Registration.mvc$controller.InAppBrowserPlugInError.JavaScript1JS", "Mobile_LoginNOS.MainFlow.oAuth_Registration.mvc$controller.InAppBrowserOnEvent.EventLogJS", "InAppBrowserPlugin.model$OptionsRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$InAppBrowserPlugin", "Mobile_LoginNOS.controller$inAppBrowserRef_Close", "CommonPlugin.model$ErrorRec", "Mobile_LoginNOS.referencesHealth$CommonPlugin"], function (OutSystems, Mobile_LoginNOSModel, Mobile_LoginNOSController, InAppBrowserPluginModel, CommonPluginModel, Mobile_LoginNOSLanguageResources, Mobile_LoginNOS_MainFlow_oAuth_Registration_mvc_controller_InAppBrowserPlugInError_JavaScript1JS, Mobile_LoginNOS_MainFlow_oAuth_Registration_mvc_controller_InAppBrowserOnEvent_EventLogJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._inAppBrowserOnLoadStart$Action = function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("InAppBrowserOnLoadStart");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.MainFlow.oAuth_Registration.InAppBrowserOnLoadStart$vars"))());
vars.value.evt_typeInLocal = evt_typeIn;
vars.value.evt_urlInLocal = evt_urlIn;
vars.value.evt_codeInLocal = evt_codeIn;
vars.value.evt_messageInLocal = evt_messageIn;
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.executeSequence(function () {
if(((OS.BuiltinFunctions.index(vars.value.evt_urlInLocal, model.variables.uRL_Cancel_Registration_StringIn, 0, false, false) >= 0))) {
// Trigger Event: UserCanceledRegistration
return controller.userCanceledRegistration$Action(vars.value.evt_urlInLocal, callContext);
} else {
return OS.Flow.executeSequence(function () {
if((OS.BuiltinFunctions.index(vars.value.evt_urlInLocal, model.variables.uRL_Finish_RegistrationIn, 0, false, false) >= 0)) {
// Trigger Event: UserFinishRegistration
return controller.userFinishRegistration$Action(vars.value.evt_urlInLocal, callContext);
} else {
// Trigger Event: InAppBrowserEvent
return controller.inAppBrowserEvent$Action(vars.value.evt_typeInLocal, vars.value.evt_urlInLocal, vars.value.evt_codeInLocal, vars.value.evt_messageInLocal, callContext).then(function () {
return OS.Flow.returnAsync();

});
}

});
}

}).then(function () {
// Execute Action: inAppBrowserRef_Close
model.flush();
return Mobile_LoginNOSController.default.inAppBrowserRef_Close$Action(callContext).then(function () {
// Execute Action: StopOnClick
controller._stopOnClick$Action(callContext);
});
});
});
};
Controller.registerVariableGroupType("Mobile_LoginNOS.MainFlow.oAuth_Registration.InAppBrowserOnLoadStart$vars", [{
name: "evt_type",
attrName: "evt_typeInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_url",
attrName: "evt_urlInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_code",
attrName: "evt_codeInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_message",
attrName: "evt_messageInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.prototype._registrationOnClick$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("RegistrationOnClick");
callContext = controller.callContext(callContext);
// IsNavigating = True
model.variables.isNavigatingVar = true;
};
Controller.prototype._inAppBrowserPlugInError$Action = function (errorIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("InAppBrowserPlugInError");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.MainFlow.oAuth_Registration.InAppBrowserPlugInError$vars"))());
vars.value.errorInLocal = errorIn.clone();
controller.safeExecuteJSNode(Mobile_LoginNOS_MainFlow_oAuth_Registration_mvc_controller_InAppBrowserPlugInError_JavaScript1JS, "JavaScript1", "InAppBrowserPlugInError", {
Message: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.errorInLocal.errorMessageAttr, OS.Types.Text, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.errorInLocal.errorCodeAttr, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
};
Controller.registerVariableGroupType("Mobile_LoginNOS.MainFlow.oAuth_Registration.InAppBrowserPlugInError$vars", [{
name: "Error",
attrName: "errorInLocal",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
// Options.Location = False
model.variables.optionsVar.locationAttr = false;
};
Controller.prototype._inAppBrowserOnExit$Action = function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("InAppBrowserOnExit");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.MainFlow.oAuth_Registration.InAppBrowserOnExit$vars"))());
vars.value.evt_typeInLocal = evt_typeIn;
vars.value.evt_urlInLocal = evt_urlIn;
vars.value.evt_codeInLocal = evt_codeIn;
vars.value.evt_messageInLocal = evt_messageIn;
// IsNavigating = False
model.variables.isNavigatingVar = false;
};
Controller.registerVariableGroupType("Mobile_LoginNOS.MainFlow.oAuth_Registration.InAppBrowserOnExit$vars", [{
name: "evt_type",
attrName: "evt_typeInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_url",
attrName: "evt_urlInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_code",
attrName: "evt_codeInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_message",
attrName: "evt_messageInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.prototype._stopOnClick$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("StopOnClick");
callContext = controller.callContext(callContext);
// IsNavigating = False
model.variables.isNavigatingVar = false;
};
Controller.prototype._inAppBrowserOnEvent$Action = function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("InAppBrowserOnEvent");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.MainFlow.oAuth_Registration.InAppBrowserOnEvent$vars"))());
vars.value.evt_typeInLocal = evt_typeIn;
vars.value.evt_urlInLocal = evt_urlIn;
vars.value.evt_codeInLocal = evt_codeIn;
vars.value.evt_messageInLocal = evt_messageIn;
controller.safeExecuteJSNode(Mobile_LoginNOS_MainFlow_oAuth_Registration_mvc_controller_InAppBrowserOnEvent_EventLogJS, "EventLog", "InAppBrowserOnEvent", {
evt_url: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.evt_urlInLocal, OS.Types.Text, true),
evt_message: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.evt_messageInLocal, OS.Types.Text, true),
evt_type: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.evt_typeInLocal, OS.Types.Text, true),
evt_code: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.evt_codeInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
};
Controller.registerVariableGroupType("Mobile_LoginNOS.MainFlow.oAuth_Registration.InAppBrowserOnEvent$vars", [{
name: "evt_type",
attrName: "evt_typeInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_url",
attrName: "evt_urlInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_code",
attrName: "evt_codeInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "evt_message",
attrName: "evt_messageInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);

Controller.prototype.inAppBrowserOnLoadStart$Action = function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._inAppBrowserOnLoadStart$Action, callContext, evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn);

};
Controller.prototype.registrationOnClick$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._registrationOnClick$Action, callContext);

};
Controller.prototype.inAppBrowserPlugInError$Action = function (errorIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._inAppBrowserPlugInError$Action, callContext, errorIn);

};
Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};
Controller.prototype.inAppBrowserOnExit$Action = function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._inAppBrowserOnExit$Action, callContext, evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn);

};
Controller.prototype.stopOnClick$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._stopOnClick$Action, callContext);

};
Controller.prototype.inAppBrowserOnEvent$Action = function (evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._inAppBrowserOnEvent$Action, callContext, evt_typeIn, evt_urlIn, evt_codeIn, evt_messageIn);

};
Controller.prototype.userFinishRegistration$Action = function () {
return Promise.resolve();
};
Controller.prototype.userCanceledRegistration$Action = function () {
return Promise.resolve();
};
Controller.prototype.inAppBrowserEvent$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return Mobile_LoginNOSController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, Mobile_LoginNOSLanguageResources);
});
define("Mobile_LoginNOS.MainFlow.oAuth_Registration.mvc$controller.InAppBrowserPlugInError.JavaScript1JS", [], function () {
return function ($parameters, $actions, $roles, $public) {
console.log('--------- ERROR -----------');
console.log('Error:'+$parameters.ErrorCode+" :"+$parameters.Message);
};
});
define("Mobile_LoginNOS.MainFlow.oAuth_Registration.mvc$controller.InAppBrowserOnEvent.EventLogJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
console.log("--------------------------------------");
console.log("Type:"+$parameters.evt_type);
console.log(" URL:"+$parameters.evt_url);
console.log("Code:"+$parameters.evt_code);
console.log(" Msg:"+$parameters.evt_message);
};
});

