﻿define("Mobile_LoginNOS.controller$Audit", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.controller"], function (exports, OutSystems, Mobile_LoginNOSModel, Mobile_LoginNOSController) {
var OS = OutSystems.Internal;
Mobile_LoginNOSController.default.audit$Action = function (applicationNameIn, messageIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.Audit.Audit$vars"))());
vars.value.applicationNameInLocal = applicationNameIn;
vars.value.messageInLocal = messageIn;
// Execute Action: LogMessage
OS.SystemActions.logMessage(vars.value.messageInLocal, (("[LoginNOS] - [" + vars.value.applicationNameInLocal) + "]"), callContext);
return ;
};
var controller = Mobile_LoginNOSController.default;
Mobile_LoginNOSController.default.constructor.registerVariableGroupType("Mobile_LoginNOS.Audit.Audit$vars", [{
name: "ApplicationName",
attrName: "applicationNameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Message",
attrName: "messageInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Mobile_LoginNOSController.default.clientActionProxies.audit$Action = function (applicationNameIn, messageIn) {
applicationNameIn = (applicationNameIn === undefined) ? "" : applicationNameIn;
messageIn = (messageIn === undefined) ? "" : messageIn;
return controller.executeActionInsideJSNode(Mobile_LoginNOSController.default.audit$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(applicationNameIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(messageIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});

define("Mobile_LoginNOS.controller$BuildApplicationIdentifier", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.controller", "CommonPlugin.controller", "CommonPlugin.controller$GetOperatingSystem", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$CommonPlugin", "Mobile_LoginNOS.controller$Audit"], function (exports, OutSystems, Mobile_LoginNOSModel, Mobile_LoginNOSController, CommonPluginController) {
var OS = OutSystems.Internal;
Mobile_LoginNOSController.default.buildApplicationIdentifier$Action = function (applicationNameIn, applicationIdentifierIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.OperatingSystem.BuildApplicationIdentifier$vars"))());
vars.value.applicationNameInLocal = applicationNameIn;
vars.value.applicationIdentifierInLocal = applicationIdentifierIn;
var getOperatingSystemVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.OperatingSystem.BuildApplicationIdentifier$outVars"))());
// Execute Action: GetOperatingSystem
getOperatingSystemVar.value = CommonPluginController.default.getOperatingSystem$Action(callContext);

// Prepare App Identifier
// ApplicationIdentifier = Replace
vars.value.applicationIdentifierInLocal = OS.BuiltinFunctions.replace(vars.value.applicationIdentifierInLocal, ":", "");
// ApplicationIdentifier = Replace
vars.value.applicationIdentifierInLocal = OS.BuiltinFunctions.replace(vars.value.applicationIdentifierInLocal, "/", "");
// Android or iOS?
if((((getOperatingSystemVar.value.operatingSystemsIdOut === Mobile_LoginNOSModel.staticEntities.mobile_OperatingSystem.android) || (getOperatingSystemVar.value.operatingSystemsIdOut === Mobile_LoginNOSModel.staticEntities.mobile_OperatingSystem.iOS)))) {
// AppIdentifierRebuilded = ApplicationIdentifier + "://"
outVars.value.appIdentifierRebuildedOut = (vars.value.applicationIdentifierInLocal + "://");
} else {
// Set Error
// Error = True
outVars.value.errorOut = true;
// Error_Message = "O dispostivo que está a tentar efetuar Login não é uma plataforma iOS ou Android!"
outVars.value.error_MessageOut = "O dispostivo que está a tentar efetuar Login não é uma plataforma iOS ou Android!";
// Execute Action: Audit
Mobile_LoginNOSController.default.audit$Action(vars.value.applicationNameInLocal, outVars.value.error_MessageOut, callContext);
}

return outVars.value;
};
var controller = Mobile_LoginNOSController.default;
Mobile_LoginNOSController.default.constructor.registerVariableGroupType("Mobile_LoginNOS.OperatingSystem.BuildApplicationIdentifier$vars", [{
name: "ApplicationName",
attrName: "applicationNameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ApplicationIdentifier",
attrName: "applicationIdentifierInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Mobile_LoginNOSController.default.constructor.registerVariableGroupType("Mobile_LoginNOS.OperatingSystem.BuildApplicationIdentifier$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error_Message",
attrName: "error_MessageOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "AppIdentifierRebuilded",
attrName: "appIdentifierRebuildedOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Mobile_LoginNOSController.default.clientActionProxies.buildApplicationIdentifier$Action = function (applicationNameIn, applicationIdentifierIn) {
applicationNameIn = (applicationNameIn === undefined) ? "" : applicationNameIn;
applicationIdentifierIn = (applicationIdentifierIn === undefined) ? "" : applicationIdentifierIn;
return controller.executeActionInsideJSNode(Mobile_LoginNOSController.default.buildApplicationIdentifier$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(applicationNameIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(applicationIdentifierIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorOut, OS.Types.Boolean, true),
Error_Message: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.error_MessageOut, OS.Types.Text, true),
AppIdentifierRebuilded: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.appIdentifierRebuildedOut, OS.Types.Text, true)
};
});
};
});

define("Mobile_LoginNOS.controller$inAppBrowserRef_Close", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.controller", "Mobile_LoginNOS.controller$inAppBrowserRef_Close.Close_InAppBrowserRefJS"], function (exports, OutSystems, Mobile_LoginNOSModel, Mobile_LoginNOSController, Mobile_LoginNOS_controller_inAppBrowserRef_Close_Close_InAppBrowserRefJS) {
var OS = OutSystems.Internal;
Mobile_LoginNOSController.default.inAppBrowserRef_Close$Action = function (callContext) {
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
return controller.safeExecuteAsyncJSNode(Mobile_LoginNOS_controller_inAppBrowserRef_Close_Close_InAppBrowserRefJS, "Close_InAppBrowserRef", "inAppBrowserRef_Close", null, function ($parameters) {
}, {}, {});
}).then(function () {
return ;
});
};
var controller = Mobile_LoginNOSController.default;
Mobile_LoginNOSController.default.clientActionProxies.inAppBrowserRef_Close$Action = function () {
return controller.executeActionInsideJSNode(Mobile_LoginNOSController.default.inAppBrowserRef_Close$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("Mobile_LoginNOS.controller$inAppBrowserRef_Close.Close_InAppBrowserRefJS", [], function () {
return function ($actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
inAppBrowserRef.close();
$resolve();
});
};
});

define("Mobile_LoginNOS.controller$inAppBrowserRef_Init", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.controller", "Mobile_LoginNOS.controller$inAppBrowserRef_Init.Init_InAppBrowserRefJS"], function (exports, OutSystems, Mobile_LoginNOSModel, Mobile_LoginNOSController, Mobile_LoginNOS_controller_inAppBrowserRef_Init_Init_InAppBrowserRefJS) {
var OS = OutSystems.Internal;
Mobile_LoginNOSController.default.inAppBrowserRef_Init$Action = function (callContext) {
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(Mobile_LoginNOS_controller_inAppBrowserRef_Init_Init_InAppBrowserRefJS, "Init_InAppBrowserRef", "inAppBrowserRef_Init", null, function ($parameters) {
}, {}, {});
return ;
};
var controller = Mobile_LoginNOSController.default;
Mobile_LoginNOSController.default.clientActionProxies.inAppBrowserRef_Init$Action = function () {
return controller.executeActionInsideJSNode(Mobile_LoginNOSController.default.inAppBrowserRef_Init$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("Mobile_LoginNOS.controller$inAppBrowserRef_Init.Init_InAppBrowserRefJS", [], function () {
return function ($actions, $roles, $public) {
var inAppBrowserRef;
};
});

define("Mobile_LoginNOS.controller$OutdatedSoftware", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.controller"], function (exports, OutSystems, Mobile_LoginNOSModel, Mobile_LoginNOSController) {
var OS = OutSystems.Internal;
Mobile_LoginNOSController.default.outdatedSoftware$Action = function (callContext) {
callContext = controller.callContext(callContext);
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.ErrorMessage.OutdatedSoftware$outVars"))());
// Message = "Já está disponível uma nova versão da App Cinemas NOS. Por favor, faça a atualização na sua Store."
outVars.value.messageOut = "Já está disponível uma nova versão da App Cinemas NOS. Por favor, faça a atualização na sua Store.";
return outVars.value;
};
var controller = Mobile_LoginNOSController.default;
Mobile_LoginNOSController.default.constructor.registerVariableGroupType("Mobile_LoginNOS.ErrorMessage.OutdatedSoftware$outVars", [{
name: "Message",
attrName: "messageOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Mobile_LoginNOSController.default.clientActionProxies.outdatedSoftware$Action = function () {
return controller.executeActionInsideJSNode(Mobile_LoginNOSController.default.outdatedSoftware$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Message: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.messageOut, OS.Types.Text, true)
};
});
};
});

define("Mobile_LoginNOS.controller$ParseOptions", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.controller", "InAppBrowserPlugin.model", "Mobile_LoginNOS.controller$ParseOptions.ConvertOptionsToStringJS", "InAppBrowserPlugin.model$OptionsRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$InAppBrowserPlugin"], function (exports, OutSystems, Mobile_LoginNOSModel, Mobile_LoginNOSController, InAppBrowserPluginModel, Mobile_LoginNOS_controller_ParseOptions_ConvertOptionsToStringJS) {
var OS = OutSystems.Internal;
Mobile_LoginNOSController.default.parseOptions$Action = function (optionsIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.inAppBrowserEvents.ParseOptions$vars"))());
vars.value.optionsInLocal = optionsIn.clone();
var convertOptionsToStringJSResult = new OS.DataTypes.VariableHolder();
var serializeOptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.JSONSerializeOutputType());
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.inAppBrowserEvents.ParseOptions$outVars"))());
// JSON Serialize: SerializeOptions
serializeOptionsVar.value.jSONOut = OS.JSONUtils.serializeToJSON(vars.value.optionsInLocal, false, false);
convertOptionsToStringJSResult.value = controller.safeExecuteJSNode(Mobile_LoginNOS_controller_ParseOptions_ConvertOptionsToStringJS, "ConvertOptionsToString", "ParseOptions", {
OptionsJsonStr: OS.DataTypes.JSConversions.basicTypeToJS(serializeOptionsVar.value.jSONOut, OS.Types.Text, true),
Result: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.inAppBrowserEvents.ParseOptions$convertOptionsToStringJSResult"))();
jsNodeResult.resultOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Result, OS.Types.Text);
return jsNodeResult;
}, {}, {});
// OptionsString = ConvertOptionsToString.Result
outVars.value.optionsStringOut = convertOptionsToStringJSResult.value.resultOut;
return outVars.value;
};
var controller = Mobile_LoginNOSController.default;
Mobile_LoginNOSController.default.constructor.registerVariableGroupType("Mobile_LoginNOS.inAppBrowserEvents.ParseOptions$vars", [{
name: "Options",
attrName: "optionsInLocal",
mandatory: true,
dataType: OS.Types.Record,
defaultValue: function () {
return new InAppBrowserPluginModel.OptionsRec();
},
complexType: InAppBrowserPluginModel.OptionsRec
}]);
Mobile_LoginNOSController.default.constructor.registerVariableGroupType("Mobile_LoginNOS.inAppBrowserEvents.ParseOptions$convertOptionsToStringJSResult", [{
name: "Result",
attrName: "resultOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Mobile_LoginNOSController.default.constructor.registerVariableGroupType("Mobile_LoginNOS.inAppBrowserEvents.ParseOptions$outVars", [{
name: "OptionsString",
attrName: "optionsStringOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Mobile_LoginNOSController.default.clientActionProxies.parseOptions$Action = function (optionsIn) {
optionsIn = (optionsIn === undefined) ? new InAppBrowserPluginModel.OptionsRec() : optionsIn;
return controller.executeActionInsideJSNode(Mobile_LoginNOSController.default.parseOptions$Action.bind(controller, optionsIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
OptionsString: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.optionsStringOut, OS.Types.Text, true)
};
});
};
});
define("Mobile_LoginNOS.controller$ParseOptions.ConvertOptionsToStringJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
// Recursively iterate through the entire Options object to convert booleans into "yes"/"no"
// and create a comma separated string representation of the Options object

function yesNoToBoolean(value) {
    return value === true ? "yes" : "no";
}

function convertOptionsToString(obj, path, result) {

    if (obj.constructor === Object && Object.getOwnPropertyNames(obj).length > 0) {
        for (var prop in obj) {
            result = convertOptionsToString(obj[prop], prop, result);
        }
    } else {
        if (obj !== undefined) {
            if (obj.constructor === Boolean) {
                obj = yesNoToBoolean(obj);
            }
            return result + path + "=" + obj + ",";
        } else {
            return "";
        }
    }
    return result;
}
var optionsObj = JSON.parse($parameters.OptionsJsonStr);
var result = convertOptionsToString(optionsObj, "", "");
$parameters.Result =  result.substr(0, result.lastIndexOf(","));

};
});

define("Mobile_LoginNOS.controller$SFAuthenticationValidation", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.controller", "SFAuthenticationPlugin.controller", "SFAuthenticationPlugin.controller$SFAuthenticationIsAvailable", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$SFAuthenticationPlugin", "Mobile_LoginNOS.controller$OutdatedSoftware"], function (exports, OutSystems, Mobile_LoginNOSModel, Mobile_LoginNOSController, SFAuthenticationPluginController) {
var OS = OutSystems.Internal;
Mobile_LoginNOSController.default.sFAuthenticationValidation$Action = function (callContext) {
callContext = controller.callContext(callContext);
var sFAuthenticationIsAvailableVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.PluginValidation.SFAuthenticationValidation$outVars"))());
// Execute Action: SFAuthenticationIsAvailable
sFAuthenticationIsAvailableVar.value = SFAuthenticationPluginController.default.sFAuthenticationIsAvailable$Action(callContext);

// SFAuthentication is Available?
if((!(sFAuthenticationIsAvailableVar.value.isAvailableOut))) {
// ErrorMessage = OutdatedSoftware()
outVars.value.errorMessageOut = Mobile_LoginNOSController.default.outdatedSoftware$Action(callContext.withoutIterationContext()).messageOut;
}

return outVars.value;
};
var controller = Mobile_LoginNOSController.default;
Mobile_LoginNOSController.default.constructor.registerVariableGroupType("Mobile_LoginNOS.PluginValidation.SFAuthenticationValidation$outVars", [{
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Mobile_LoginNOSController.default.clientActionProxies.sFAuthenticationValidation$Action = function () {
return controller.executeActionInsideJSNode(Mobile_LoginNOSController.default.sFAuthenticationValidation$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorMessageOut, OS.Types.Text, true)
};
});
};
});

define("Mobile_LoginNOS.controller$ViewControllerValidation", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.controller", "ViewControllerPlugin.controller", "ViewControllerPlugin.controller$ViewCotnrollerIsAvailable", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$ViewControllerPlugin", "Mobile_LoginNOS.controller$OutdatedSoftware"], function (exports, OutSystems, Mobile_LoginNOSModel, Mobile_LoginNOSController, ViewControllerPluginController) {
var OS = OutSystems.Internal;
Mobile_LoginNOSController.default.viewControllerValidation$Action = function (callContext) {
callContext = controller.callContext(callContext);
var viewCotnrollerIsAvailableVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("Mobile_LoginNOS.PluginValidation.ViewControllerValidation$outVars"))());
// Execute Action: ViewCotnrollerIsAvailable
viewCotnrollerIsAvailableVar.value = ViewControllerPluginController.default.viewCotnrollerIsAvailable$Action(callContext);

// Available = ViewCotnrollerIsAvailable.IsAvailable
outVars.value.availableOut = viewCotnrollerIsAvailableVar.value.isAvailableOut;
// ViewController is Available?
if((!(viewCotnrollerIsAvailableVar.value.isAvailableOut))) {
// ErrorMessage = OutdatedSoftware()
outVars.value.errorMessageOut = Mobile_LoginNOSController.default.outdatedSoftware$Action(callContext.withoutIterationContext()).messageOut;
}

return outVars.value;
};
var controller = Mobile_LoginNOSController.default;
Mobile_LoginNOSController.default.constructor.registerVariableGroupType("Mobile_LoginNOS.PluginValidation.ViewControllerValidation$outVars", [{
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Available",
attrName: "availableOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Mobile_LoginNOSController.default.clientActionProxies.viewControllerValidation$Action = function () {
return controller.executeActionInsideJSNode(Mobile_LoginNOSController.default.viewControllerValidation$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorMessageOut, OS.Types.Text, true),
Available: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.availableOut, OS.Types.Boolean, true)
};
});
};
});

define("Mobile_LoginNOS.controller", ["exports", "OutSystems", "Mobile_LoginNOS.model"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Mobile_LoginNOSController = exports;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
}
Controller.prototype.clientActionProxies = {};
Controller.prototype.roles = {};
Controller.prototype.defaultTimeout = 10;
Controller.prototype.getDefaultTimeout = function () {
return Mobile_LoginNOSController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseModuleController);
Mobile_LoginNOSController.default = new Controller();
});
