﻿define("SFAuthenticationPlugin.Main_SFAuthentication.SF_Authentication.mvc$model", ["OutSystems", "SFAuthenticationPlugin.model"], function (OutSystems, SFAuthenticationPluginModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("ApplicationIdentifier", "applicationIdentifierIn", "ApplicationIdentifier", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_applicationIdentifierInDataFetchStatus", "_applicationIdentifierInDataFetchStatus", "_applicationIdentifierInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("URL", "uRLIn", "URL", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_uRLInDataFetchStatus", "_uRLInDataFetchStatus", "_uRLInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IsVisible", "isVisibleIn", "IsVisible", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_isVisibleInDataFetchStatus", "_isVisibleInDataFetchStatus", "_isVisibleInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return false;
}
});

Model.prototype.setInputs = function (inputs) {
if("ApplicationIdentifier" in inputs) {
this.variables.applicationIdentifierIn = inputs.ApplicationIdentifier;
if("_applicationIdentifierInDataFetchStatus" in inputs) {
this.variables._applicationIdentifierInDataFetchStatus = inputs._applicationIdentifierInDataFetchStatus;
}

}

if("URL" in inputs) {
this.variables.uRLIn = inputs.URL;
if("_uRLInDataFetchStatus" in inputs) {
this.variables._uRLInDataFetchStatus = inputs._uRLInDataFetchStatus;
}

}

if("IsVisible" in inputs) {
this.variables.isVisibleIn = inputs.IsVisible;
if("_isVisibleInDataFetchStatus" in inputs) {
this.variables._isVisibleInDataFetchStatus = inputs._isVisibleInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("SFAuthenticationPlugin.Main_SFAuthentication.SF_Authentication.mvc$view", ["OutSystems", "SFAuthenticationPlugin.model", "SFAuthenticationPlugin.controller", "react", "OutSystemsReactView", "SFAuthenticationPlugin.Main_SFAuthentication.SF_Authentication.mvc$model", "SFAuthenticationPlugin.Main_SFAuthentication.SF_Authentication.mvc$controller"], function (OutSystems, SFAuthenticationPluginModel, SFAuthenticationPluginController, React, OSView, SFAuthenticationPlugin_Main_SFAuthentication_SF_Authentication_mvc_model, SFAuthenticationPlugin_Main_SFAuthentication_SF_Authentication_mvc_controller) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Main_SFAuthentication.SF_Authentication";
        View.getCssDependencies = function() {
            return [];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return SFAuthenticationPlugin_Main_SFAuthentication_SF_Authentication_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return SFAuthenticationPlugin_Main_SFAuthentication_SF_Authentication_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties());
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("SFAuthenticationPlugin.Main_SFAuthentication.SF_Authentication.mvc$controller", ["OutSystems", "SFAuthenticationPlugin.model", "SFAuthenticationPlugin.controller", "SFAuthenticationPlugin.languageResources", "SFAuthenticationPlugin.Main_SFAuthentication.SF_Authentication.mvc$controller.Open_URL.OpenUrlJS"], function (OutSystems, SFAuthenticationPluginModel, SFAuthenticationPluginController, SFAuthenticationPluginLanguageResources, SFAuthenticationPlugin_Main_SFAuthentication_SF_Authentication_mvc_controller_Open_URL_OpenUrlJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {
onLoaded$Action: function (outputDataIn) {
outputDataIn = (outputDataIn === undefined) ? "" : outputDataIn;
return controller.executeActionInsideJSNode(controller._onLoaded$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(outputDataIn, OS.Types.Text)), controller.callContext(), function (actionResults) {
return {};
});
},
onError$Action: function (messageIn) {
messageIn = (messageIn === undefined) ? "" : messageIn;
return controller.executeActionInsideJSNode(controller._onError$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(messageIn, OS.Types.Text)), controller.callContext(), function (actionResults) {
return {};
});
}
};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._onParametersChanged$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnParametersChanged");
callContext = controller.callContext(callContext);
if((model.variables.isVisibleIn)) {
// Execute Action: Open_URL
controller._open_URL$Action(callContext);
}

};
Controller.prototype._open_URL$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Open_URL");
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(SFAuthenticationPlugin_Main_SFAuthentication_SF_Authentication_mvc_controller_Open_URL_OpenUrlJS, "OpenUrl", "Open_URL", {
URL: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.uRLIn, OS.Types.Text, true),
ApplicationIdentifier: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.applicationIdentifierIn, OS.Types.Text, true)
}, function ($parameters) {
}, {
OnLoaded: controller.clientActionProxies.onLoaded$Action,
OnError: controller.clientActionProxies.onError$Action
}, {});
};
Controller.prototype._onError$Action = function (messageIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnError");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("SFAuthenticationPlugin.Main_SFAuthentication.SF_Authentication.OnError$vars"))());
vars.value.messageInLocal = messageIn;
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: Error
return controller.error$Action(vars.value.messageInLocal, callContext);
});
};
Controller.registerVariableGroupType("SFAuthenticationPlugin.Main_SFAuthentication.SF_Authentication.OnError$vars", [{
name: "Message",
attrName: "messageInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.prototype._onLoaded$Action = function (outputDataIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnLoaded");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("SFAuthenticationPlugin.Main_SFAuthentication.SF_Authentication.OnLoaded$vars"))());
vars.value.outputDataInLocal = outputDataIn;
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: Load
return controller.load$Action(vars.value.outputDataInLocal, callContext);
});
};
Controller.registerVariableGroupType("SFAuthenticationPlugin.Main_SFAuthentication.SF_Authentication.OnLoaded$vars", [{
name: "OutputData",
attrName: "outputDataInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);

Controller.prototype.onParametersChanged$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onParametersChanged$Action, callContext);

};
Controller.prototype.open_URL$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._open_URL$Action, callContext);

};
Controller.prototype.onError$Action = function (messageIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onError$Action, callContext, messageIn);

};
Controller.prototype.onLoaded$Action = function (outputDataIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onLoaded$Action, callContext, outputDataIn);

};
Controller.prototype.error$Action = function () {
return Promise.resolve();
};
Controller.prototype.load$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onParametersChanged$Action(callContext);

};
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return SFAuthenticationPluginController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, SFAuthenticationPluginLanguageResources);
});
define("SFAuthenticationPlugin.Main_SFAuthentication.SF_Authentication.mvc$controller.Open_URL.OpenUrlJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
/*if (parseInt(device.version) >= 11 && device.platform == "iOS"){
    SFAuthSession.start("customScheme://","https://your-oauth-url",function(data){alert(data)},function(error){alert(error)})
}*/


SFAuthSession.start(
    $parameters.ApplicationIdentifier,
    $parameters.URL,
    
    function(data){
        $actions.OnLoaded(data);
        
        
    },
    
    function(error){
        
        $actions.$actions.OnError(data);
        
        
    });
};
});

