﻿define("SocialSharingPlugin.controller$CheckSocialSharingPlugin", ["exports", "OutSystems", "SocialSharingPlugin.model", "SocialSharingPlugin.controller", "CommonPlugin.controller", "CommonPlugin.model", "CommonPlugin.controller$IsCordovaDefined", "SocialSharingPlugin.referencesHealth", "SocialSharingPlugin.referencesHealth$CommonPlugin", "CommonPlugin.model$ErrorRec", "SocialSharingPlugin.controller$PluginIsLoaded"], function (exports, OutSystems, SocialSharingPluginModel, SocialSharingPluginController, CommonPluginController, CommonPluginModel) {
var OS = OutSystems.Internal;
SocialSharingPluginController.default.checkSocialSharingPlugin$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var isCordovaDefinedVar = new OS.DataTypes.VariableHolder();
var socialSharingPluginIsLoadedVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("SocialSharingPlugin.CheckSocialSharingPlugin$outVars"))());
try {// Execute Action: IsCordovaDefined
isCordovaDefinedVar.value = CommonPluginController.default.isCordovaDefined$Action(callContext);

if((isCordovaDefinedVar.value.isLoadedOut)) {
// Execute Action: SocialSharingPluginIsLoaded
socialSharingPluginIsLoadedVar.value = SocialSharingPluginController.default.pluginIsLoaded$Action(callContext);

if((socialSharingPluginIsLoadedVar.value.pluginIsLoadedOut)) {
// Set Result
// IsAvailable = IsCordovaDefined.IsLoaded
outVars.value.isAvailableOut = isCordovaDefinedVar.value.isLoadedOut;
} else {
// IsAvailable = False
outVars.value.isAvailableOut = false;
// Error.ErrorCode = SocialSharingPluginIsLoaded.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = socialSharingPluginIsLoadedVar.value.errorOut.errorCodeAttr;
// Error.ErrorMessage = SocialSharingPluginIsLoaded.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = socialSharingPluginIsLoadedVar.value.errorOut.errorMessageAttr;
}

} else {
// IsAvailable = False
outVars.value.isAvailableOut = false;
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "cordova is not defined"
outVars.value.errorOut.errorMessageAttr = "cordova is not defined";
}

} catch (ex) {
(function () {
OS.Logger.trace("CheckSocialSharingPlugin.CheckSocialSharingPlugin", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// IsAvailable = False
outVars.value.isAvailableOut = false;
// Error.ErrorCode = "-1"
outVars.value.errorOut.errorCodeAttr = "-1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = SocialSharingPluginController.default;
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.CheckSocialSharingPlugin$outVars", [{
name: "IsAvailable",
attrName: "isAvailableOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
SocialSharingPluginController.default.clientActionProxies.checkSocialSharingPlugin$Action = function () {
return controller.executeActionInsideJSNode(SocialSharingPluginController.default.checkSocialSharingPlugin$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsAvailable: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isAvailableOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});

define("SocialSharingPlugin.controller$PluginIsLoaded", ["exports", "OutSystems", "SocialSharingPlugin.model", "SocialSharingPlugin.controller", "CommonPlugin.model", "SocialSharingPlugin.controller$PluginIsLoaded.CheckPluginJS", "CommonPlugin.model$ErrorRec", "SocialSharingPlugin.referencesHealth", "SocialSharingPlugin.referencesHealth$CommonPlugin"], function (exports, OutSystems, SocialSharingPluginModel, SocialSharingPluginController, CommonPluginModel, SocialSharingPlugin_controller_PluginIsLoaded_CheckPluginJS) {
var OS = OutSystems.Internal;
SocialSharingPluginController.default.pluginIsLoaded$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkPluginJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("SocialSharingPlugin.private.PluginIsLoaded$outVars"))());
try {checkPluginJSResult.value = controller.safeExecuteJSNode(SocialSharingPlugin_controller_PluginIsLoaded_CheckPluginJS, "CheckPlugin", "PluginIsLoaded", {
PluginExists: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("SocialSharingPlugin.private.PluginIsLoaded$checkPluginJSResult"))();
jsNodeResult.pluginExistsOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.PluginExists, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
if((checkPluginJSResult.value.pluginExistsOut)) {
// PluginIsLoaded = True
outVars.value.pluginIsLoadedOut = true;
} else {
// PluginIsLoaded = False
outVars.value.pluginIsLoadedOut = false;
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "SocialSharing Plugin is not defined"
outVars.value.errorOut.errorMessageAttr = "SocialSharing Plugin is not defined";
}

} catch (ex) {
(function () {
OS.Logger.trace("private.PluginIsLoaded", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Error.ErrorCode = "-1"
outVars.value.errorOut.errorCodeAttr = "-1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// PluginIsLoaded = False
outVars.value.pluginIsLoadedOut = false;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = SocialSharingPluginController.default;
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.private.PluginIsLoaded$checkPluginJSResult", [{
name: "PluginExists",
attrName: "pluginExistsOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.private.PluginIsLoaded$outVars", [{
name: "PluginIsLoaded",
attrName: "pluginIsLoadedOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
SocialSharingPluginController.default.clientActionProxies.pluginIsLoaded$Action = function () {
return controller.executeActionInsideJSNode(SocialSharingPluginController.default.pluginIsLoaded$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
PluginIsLoaded: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.pluginIsLoadedOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("SocialSharingPlugin.controller$PluginIsLoaded.CheckPluginJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.PluginExists = !!window.plugins && !!window.plugins.socialsharing;
};
});

define("SocialSharingPlugin.controller$ShareFile", ["exports", "OutSystems", "SocialSharingPlugin.model", "SocialSharingPlugin.controller", "CommonPlugin.model", "SocialSharingPlugin.controller$ShareFile.ShareFileJS", "CommonPlugin.model$ErrorRec", "SocialSharingPlugin.referencesHealth", "SocialSharingPlugin.referencesHealth$CommonPlugin", "SocialSharingPlugin.controller$CheckSocialSharingPlugin"], function (exports, OutSystems, SocialSharingPluginModel, SocialSharingPluginController, CommonPluginModel, SocialSharingPlugin_controller_ShareFile_ShareFileJS) {
var OS = OutSystems.Internal;
SocialSharingPluginController.default.shareFile$Action = function (messageIn, subjectIn, uRLIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("SocialSharingPlugin.ShareFile$vars"))());
vars.value.messageInLocal = messageIn;
vars.value.subjectInLocal = subjectIn;
vars.value.uRLInLocal = uRLIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkSocialSharingPluginVar = new OS.DataTypes.VariableHolder();
var shareFileJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("SocialSharingPlugin.ShareFile$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckSocialSharingPlugin
checkSocialSharingPluginVar.value = SocialSharingPluginController.default.checkSocialSharingPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkSocialSharingPluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(SocialSharingPlugin_controller_ShareFile_ShareFileJS, "ShareFile", "ShareFile", {
URL: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.uRLInLocal, OS.Types.Text, true),
Subject: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.subjectInLocal, OS.Types.Text, true),
Message: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.messageInLocal, OS.Types.Text, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("SocialSharingPlugin.ShareFile$shareFileJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
return jsNodeResult;
}, {}, {}).then(function (results) {
shareFileJSResult.value = results;
}).then(function () {
// Success = CheckSocialSharingPlugin.IsAvailable
outVars.value.successOut = checkSocialSharingPluginVar.value.isAvailableOut;
});
} else {
// Success = CheckSocialSharingPlugin.IsAvailable
outVars.value.successOut = checkSocialSharingPluginVar.value.isAvailableOut;
// Error.ErrorCode = CheckSocialSharingPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkSocialSharingPluginVar.value.errorOut.errorCodeAttr;
// Error.ErrorMessage = CheckSocialSharingPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkSocialSharingPluginVar.value.errorOut.errorMessageAttr;
}

});
}).catch(function (ex) {
OS.Logger.trace("ShareFile.ShareFile", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Success = False
outVars.value.successOut = false;
// Error.ErrorCode = "-1"
outVars.value.errorOut.errorCodeAttr = "-1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = SocialSharingPluginController.default;
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.ShareFile$vars", [{
name: "Message",
attrName: "messageInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Subject",
attrName: "subjectInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "URL",
attrName: "uRLInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.ShareFile$shareFileJSResult", [{
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.ShareFile$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
SocialSharingPluginController.default.clientActionProxies.shareFile$Action = function (messageIn, subjectIn, uRLIn) {
messageIn = (messageIn === undefined) ? "" : messageIn;
subjectIn = (subjectIn === undefined) ? "" : subjectIn;
uRLIn = (uRLIn === undefined) ? "" : uRLIn;
return controller.executeActionInsideJSNode(SocialSharingPluginController.default.shareFile$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(messageIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(subjectIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(uRLIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("SocialSharingPlugin.controller$ShareFile.ShareFileJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.plugins.socialsharing.share($parameters.Message, $parameters.Subject, $parameters.URL, 
    function(){
        $parameters.Success = true;
        $resolve();
    }, 
    function(){
        $parameters.Success = false;
        $resolve();
    });
});
};
});

define("SocialSharingPlugin.controller$ShareViaEmail", ["exports", "OutSystems", "SocialSharingPlugin.model", "SocialSharingPlugin.controller", "CommonPlugin.model", "SocialSharingPlugin.controller$ShareViaEmail.ShareViaEmailJSJS", "CommonPlugin.model$ErrorRec", "SocialSharingPlugin.referencesHealth", "SocialSharingPlugin.referencesHealth$CommonPlugin", "SocialSharingPlugin.controller$CheckSocialSharingPlugin"], function (exports, OutSystems, SocialSharingPluginModel, SocialSharingPluginController, CommonPluginModel, SocialSharingPlugin_controller_ShareViaEmail_ShareViaEmailJSJS) {
var OS = OutSystems.Internal;
SocialSharingPluginController.default.shareViaEmail$Action = function (messageIn, subjectIn, toIn, ccIn, bccIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("SocialSharingPlugin.ShareViaEmail$vars"))());
vars.value.messageInLocal = messageIn;
vars.value.subjectInLocal = subjectIn;
vars.value.toInLocal = toIn.clone();
vars.value.ccInLocal = ccIn.clone();
vars.value.bccInLocal = bccIn.clone();
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkSocialSharingPluginVar = new OS.DataTypes.VariableHolder();
var shareViaEmailJSJSResult = new OS.DataTypes.VariableHolder();
var serializeCcEmailsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.JSONSerializeOutputType());
var serializeToEmailsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.JSONSerializeOutputType());
var serializeBccEmailsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.JSONSerializeOutputType());
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("SocialSharingPlugin.ShareViaEmail$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckSocialSharingPlugin
checkSocialSharingPluginVar.value = SocialSharingPluginController.default.checkSocialSharingPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkSocialSharingPluginVar.value.isAvailableOut)) {
// JSON Serialize: SerializeToEmails
serializeToEmailsVar.value.jSONOut = OS.JSONUtils.serializeToJSON(vars.value.toInLocal, false, false, OS.Types.Text);
// JSON Serialize: SerializeCcEmails
serializeCcEmailsVar.value.jSONOut = OS.JSONUtils.serializeToJSON(vars.value.ccInLocal, false, false, OS.Types.Text);
// JSON Serialize: SerializeBccEmails
serializeBccEmailsVar.value.jSONOut = OS.JSONUtils.serializeToJSON(vars.value.bccInLocal, false, false, OS.Types.Text);
return controller.safeExecuteAsyncJSNode(SocialSharingPlugin_controller_ShareViaEmail_ShareViaEmailJSJS, "ShareViaEmailJS", "ShareViaEmail", {
Subject: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.subjectInLocal, OS.Types.Text, true),
To: OS.DataTypes.JSConversions.basicTypeToJS(serializeToEmailsVar.value.jSONOut, OS.Types.Text, true),
Cc: OS.DataTypes.JSConversions.basicTypeToJS(serializeCcEmailsVar.value.jSONOut, OS.Types.Text, true),
MessageBody: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.messageInLocal, OS.Types.Text, true),
Bcc: OS.DataTypes.JSConversions.basicTypeToJS(serializeBccEmailsVar.value.jSONOut, OS.Types.Text, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("SocialSharingPlugin.ShareViaEmail$shareViaEmailJSJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
shareViaEmailJSJSResult.value = results;
}).then(function () {
if((shareViaEmailJSJSResult.value.successOut)) {
// Success = True
outVars.value.successOut = true;
} else {
// Success = False
outVars.value.successOut = false;
// Error.ErrorCode = 3
outVars.value.errorOut.errorCodeAttr = "3";
// Error.ErrorMessage = "Unable to open Email composer."
outVars.value.errorOut.errorMessageAttr = "Unable to open Email composer.";
}

});
} else {
// Success = CheckSocialSharingPlugin.IsAvailable
outVars.value.successOut = checkSocialSharingPluginVar.value.isAvailableOut;
// Error.ErrorCode = CheckSocialSharingPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkSocialSharingPluginVar.value.errorOut.errorCodeAttr;
// Error.ErrorMessage = CheckSocialSharingPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkSocialSharingPluginVar.value.errorOut.errorMessageAttr;
}

});
}).catch(function (ex) {
OS.Logger.trace("ShareViaEmail.ShareViaEmail", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Success = False
outVars.value.successOut = false;
// Error.ErrorCode = "-1"
outVars.value.errorOut.errorCodeAttr = "-1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = SocialSharingPluginController.default;
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.ShareViaEmail$vars", [{
name: "Message",
attrName: "messageInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Subject",
attrName: "subjectInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "To",
attrName: "toInLocal",
mandatory: true,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new OS.DataTypes.TextList();
},
complexType: OS.DataTypes.TextList
}, {
name: "Cc",
attrName: "ccInLocal",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new OS.DataTypes.TextList();
},
complexType: OS.DataTypes.TextList
}, {
name: "Bcc",
attrName: "bccInLocal",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new OS.DataTypes.TextList();
},
complexType: OS.DataTypes.TextList
}]);
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.ShareViaEmail$shareViaEmailJSJSResult", [{
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.ShareViaEmail$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
SocialSharingPluginController.default.clientActionProxies.shareViaEmail$Action = function (messageIn, subjectIn, toIn, ccIn, bccIn) {
messageIn = (messageIn === undefined) ? "" : messageIn;
subjectIn = (subjectIn === undefined) ? "" : subjectIn;
toIn = (toIn === undefined) ? new OS.DataTypes.TextList() : toIn;
ccIn = (ccIn === undefined) ? new OS.DataTypes.TextList() : ccIn;
bccIn = (bccIn === undefined) ? new OS.DataTypes.TextList() : bccIn;
return controller.executeActionInsideJSNode(SocialSharingPluginController.default.shareViaEmail$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(messageIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(subjectIn, OS.Types.Text), toIn, ccIn, bccIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("SocialSharingPlugin.controller$ShareViaEmail.ShareViaEmailJSJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
var success = function(){
    $parameters.Success = true;
    $resolve();
};

var fail = function(e) {
    $parameters.Success = false;
    $parameters.ErrorMessage = e;
    $resolve();
};

var to = JSON.parse($parameters.To);
var cc = JSON.parse($parameters.Cc);
var bcc = JSON.parse($parameters.Bcc);

window.plugins.socialsharing.shareViaEmail($parameters.MessageBody, $parameters.Subject, 
    to, cc, bcc, null, success, fail);
});
};
});

define("SocialSharingPlugin.controller$ShareViaFacebook", ["exports", "OutSystems", "SocialSharingPlugin.model", "SocialSharingPlugin.controller", "CommonPlugin.model", "SocialSharingPlugin.controller$ShareViaFacebook.ShareViaFacebookJSJS", "CommonPlugin.model$ErrorRec", "SocialSharingPlugin.referencesHealth", "SocialSharingPlugin.referencesHealth$CommonPlugin", "SocialSharingPlugin.controller$CheckSocialSharingPlugin"], function (exports, OutSystems, SocialSharingPluginModel, SocialSharingPluginController, CommonPluginModel, SocialSharingPlugin_controller_ShareViaFacebook_ShareViaFacebookJSJS) {
var OS = OutSystems.Internal;
SocialSharingPluginController.default.shareViaFacebook$Action = function (messageIn, urlIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("SocialSharingPlugin.ShareViaFacebook$vars"))());
vars.value.messageInLocal = messageIn;
vars.value.urlInLocal = urlIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkSocialSharingPluginVar = new OS.DataTypes.VariableHolder();
var shareViaFacebookJSJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("SocialSharingPlugin.ShareViaFacebook$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckSocialSharingPlugin
checkSocialSharingPluginVar.value = SocialSharingPluginController.default.checkSocialSharingPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkSocialSharingPluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(SocialSharingPlugin_controller_ShareViaFacebook_ShareViaFacebookJSJS, "ShareViaFacebookJS", "ShareViaFacebook", {
Url: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.urlInLocal, OS.Types.Text, true),
MessageBody: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.messageInLocal, OS.Types.Text, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("SocialSharingPlugin.ShareViaFacebook$shareViaFacebookJSJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
shareViaFacebookJSJSResult.value = results;
}).then(function () {
if((shareViaFacebookJSJSResult.value.successOut)) {
// Success = True
outVars.value.successOut = true;
} else {
// Success = False
outVars.value.successOut = false;
// Error.ErrorCode = 3
outVars.value.errorOut.errorCodeAttr = "3";
// Error.ErrorMessage = "Unable to open SMS composer."
outVars.value.errorOut.errorMessageAttr = "Unable to open SMS composer.";
}

});
} else {
// Success = CheckSocialSharingPlugin.IsAvailable
outVars.value.successOut = checkSocialSharingPluginVar.value.isAvailableOut;
// Error.ErrorCode = CheckSocialSharingPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkSocialSharingPluginVar.value.errorOut.errorCodeAttr;
// Error.ErrorMessage = CheckSocialSharingPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkSocialSharingPluginVar.value.errorOut.errorMessageAttr;
}

});
}).catch(function (ex) {
OS.Logger.trace("ShareViaFacebook.ShareViaFacebook", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Success = False
outVars.value.successOut = false;
// Error.ErrorCode = "-1"
outVars.value.errorOut.errorCodeAttr = "-1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = SocialSharingPluginController.default;
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.ShareViaFacebook$vars", [{
name: "Message",
attrName: "messageInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Url",
attrName: "urlInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.ShareViaFacebook$shareViaFacebookJSJSResult", [{
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.ShareViaFacebook$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
SocialSharingPluginController.default.clientActionProxies.shareViaFacebook$Action = function (messageIn, urlIn) {
messageIn = (messageIn === undefined) ? "" : messageIn;
urlIn = (urlIn === undefined) ? "" : urlIn;
return controller.executeActionInsideJSNode(SocialSharingPluginController.default.shareViaFacebook$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(messageIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(urlIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("SocialSharingPlugin.controller$ShareViaFacebook.ShareViaFacebookJSJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
var success = function(){
    $parameters.Success = true;
    $resolve();
};

var fail = function(e) {
    $parameters.Success = false;
    $parameters.ErrorMessage = e;
    $resolve();
};

window.plugins.socialsharing.shareViaFacebook($parameters.MessageBody, 
    /* img */ null, $parameters.Url, success, fail);
});
};
});

define("SocialSharingPlugin.controller$ShareViaSMS", ["exports", "OutSystems", "SocialSharingPlugin.model", "SocialSharingPlugin.controller", "CommonPlugin.model", "SocialSharingPlugin.controller$ShareViaSMS.ShareViaSmsJSJS", "CommonPlugin.model$ErrorRec", "SocialSharingPlugin.referencesHealth", "SocialSharingPlugin.referencesHealth$CommonPlugin", "SocialSharingPlugin.controller$CheckSocialSharingPlugin"], function (exports, OutSystems, SocialSharingPluginModel, SocialSharingPluginController, CommonPluginModel, SocialSharingPlugin_controller_ShareViaSMS_ShareViaSmsJSJS) {
var OS = OutSystems.Internal;
SocialSharingPluginController.default.shareViaSMS$Action = function (messageIn, phoneNumbersIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("SocialSharingPlugin.ShareViaSMS$vars"))());
vars.value.messageInLocal = messageIn;
vars.value.phoneNumbersInLocal = phoneNumbersIn.clone();
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkSocialSharingPluginVar = new OS.DataTypes.VariableHolder();
var shareViaSmsJSJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("SocialSharingPlugin.ShareViaSMS$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckSocialSharingPlugin
checkSocialSharingPluginVar.value = SocialSharingPluginController.default.checkSocialSharingPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkSocialSharingPluginVar.value.isAvailableOut)) {
// Foreach PhoneNumbers
callContext.iterationContext.registerIterationStart(vars.value.phoneNumbersInLocal);
try {var phoneNumbersIterator = callContext.iterationContext.getIterator(vars.value.phoneNumbersInLocal);
var phoneNumbersIndex = 0;
while (((phoneNumbersIndex < vars.value.phoneNumbersInLocal.length))) {
phoneNumbersIterator.currentRowNumber = phoneNumbersIndex;
// PhoneNumbersText = PhoneNumbersText + If + PhoneNumbers.Current
vars.value.phoneNumbersTextVar = ((vars.value.phoneNumbersTextVar + (((OS.BuiltinFunctions.length(vars.value.phoneNumbersTextVar) > 0)) ? (",") : (""))) + vars.value.phoneNumbersInLocal.getItem(phoneNumbersIndex.valueOf()));
phoneNumbersIndex++;
}

} finally {
callContext.iterationContext.registerIterationEnd(vars.value.phoneNumbersInLocal);
}

return controller.safeExecuteAsyncJSNode(SocialSharingPlugin_controller_ShareViaSMS_ShareViaSmsJSJS, "ShareViaSmsJS", "ShareViaSMS", {
To: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.phoneNumbersTextVar, OS.Types.Text, true),
MessageBody: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.messageInLocal, OS.Types.Text, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("SocialSharingPlugin.ShareViaSMS$shareViaSmsJSJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
shareViaSmsJSJSResult.value = results;
}).then(function () {
if((shareViaSmsJSJSResult.value.successOut)) {
// Success = True
outVars.value.successOut = true;
} else {
// Success = False
outVars.value.successOut = false;
// Error.ErrorCode = 3
outVars.value.errorOut.errorCodeAttr = "3";
// Error.ErrorMessage = "Unable to open SMS composer."
outVars.value.errorOut.errorMessageAttr = "Unable to open SMS composer.";
}

});
} else {
// Success = CheckSocialSharingPlugin.IsAvailable
outVars.value.successOut = checkSocialSharingPluginVar.value.isAvailableOut;
// Error.ErrorCode = CheckSocialSharingPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkSocialSharingPluginVar.value.errorOut.errorCodeAttr;
// Error.ErrorMessage = CheckSocialSharingPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkSocialSharingPluginVar.value.errorOut.errorMessageAttr;
}

});
}).catch(function (ex) {
OS.Logger.trace("ShareViaSMS.ShareViaSMS", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Success = False
outVars.value.successOut = false;
// Error.ErrorCode = "-1"
outVars.value.errorOut.errorCodeAttr = "-1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = SocialSharingPluginController.default;
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.ShareViaSMS$vars", [{
name: "Message",
attrName: "messageInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "PhoneNumbers",
attrName: "phoneNumbersInLocal",
mandatory: true,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new OS.DataTypes.PhoneNumberList();
},
complexType: OS.DataTypes.PhoneNumberList
}, {
name: "PhoneNumbersText",
attrName: "phoneNumbersTextVar",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.ShareViaSMS$shareViaSmsJSJSResult", [{
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.ShareViaSMS$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
SocialSharingPluginController.default.clientActionProxies.shareViaSMS$Action = function (messageIn, phoneNumbersIn) {
messageIn = (messageIn === undefined) ? "" : messageIn;
phoneNumbersIn = (phoneNumbersIn === undefined) ? new OS.DataTypes.PhoneNumberList() : phoneNumbersIn;
return controller.executeActionInsideJSNode(SocialSharingPluginController.default.shareViaSMS$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(messageIn, OS.Types.Text), phoneNumbersIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("SocialSharingPlugin.controller$ShareViaSMS.ShareViaSmsJSJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
var success = function(){
    $parameters.Success = true;
    $resolve();
};

var fail = function(e) {
    $parameters.Success = false;
    $parameters.ErrorMessage = e;
    $resolve();
};

var opts = {
    'message': $parameters.MessageBody
}

window.plugins.socialsharing.shareViaSMS(opts, $parameters.To, success, fail);
});
};
});

define("SocialSharingPlugin.controller$ShareViaTwitter", ["exports", "OutSystems", "SocialSharingPlugin.model", "SocialSharingPlugin.controller", "CommonPlugin.model", "SocialSharingPlugin.controller$ShareViaTwitter.ShareViaTwitterJSJS", "CommonPlugin.model$ErrorRec", "SocialSharingPlugin.referencesHealth", "SocialSharingPlugin.referencesHealth$CommonPlugin", "SocialSharingPlugin.controller$CheckSocialSharingPlugin"], function (exports, OutSystems, SocialSharingPluginModel, SocialSharingPluginController, CommonPluginModel, SocialSharingPlugin_controller_ShareViaTwitter_ShareViaTwitterJSJS) {
var OS = OutSystems.Internal;
SocialSharingPluginController.default.shareViaTwitter$Action = function (messageIn, urlIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("SocialSharingPlugin.ShareViaTwitter$vars"))());
vars.value.messageInLocal = messageIn;
vars.value.urlInLocal = urlIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkSocialSharingPluginVar = new OS.DataTypes.VariableHolder();
var shareViaTwitterJSJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("SocialSharingPlugin.ShareViaTwitter$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckSocialSharingPlugin
checkSocialSharingPluginVar.value = SocialSharingPluginController.default.checkSocialSharingPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkSocialSharingPluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(SocialSharingPlugin_controller_ShareViaTwitter_ShareViaTwitterJSJS, "ShareViaTwitterJS", "ShareViaTwitter", {
Url: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.urlInLocal, OS.Types.Text, true),
MessageBody: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.messageInLocal, OS.Types.Text, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("SocialSharingPlugin.ShareViaTwitter$shareViaTwitterJSJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
shareViaTwitterJSJSResult.value = results;
}).then(function () {
if((shareViaTwitterJSJSResult.value.successOut)) {
// Success = True
outVars.value.successOut = true;
} else {
// Success = False
outVars.value.successOut = false;
// Error.ErrorCode = 3
outVars.value.errorOut.errorCodeAttr = "3";
// Error.ErrorMessage = "Unable to open SMS composer."
outVars.value.errorOut.errorMessageAttr = "Unable to open SMS composer.";
}

});
} else {
// Success = CheckSocialSharingPlugin.IsAvailable
outVars.value.successOut = checkSocialSharingPluginVar.value.isAvailableOut;
// Error.ErrorCode = CheckSocialSharingPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkSocialSharingPluginVar.value.errorOut.errorCodeAttr;
// Error.ErrorMessage = CheckSocialSharingPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkSocialSharingPluginVar.value.errorOut.errorMessageAttr;
}

});
}).catch(function (ex) {
OS.Logger.trace("ShareViaTwitter.ShareViaTwitter", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Success = False
outVars.value.successOut = false;
// Error.ErrorCode = "-1"
outVars.value.errorOut.errorCodeAttr = "-1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = SocialSharingPluginController.default;
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.ShareViaTwitter$vars", [{
name: "Message",
attrName: "messageInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Url",
attrName: "urlInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.ShareViaTwitter$shareViaTwitterJSJSResult", [{
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.ShareViaTwitter$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
SocialSharingPluginController.default.clientActionProxies.shareViaTwitter$Action = function (messageIn, urlIn) {
messageIn = (messageIn === undefined) ? "" : messageIn;
urlIn = (urlIn === undefined) ? "" : urlIn;
return controller.executeActionInsideJSNode(SocialSharingPluginController.default.shareViaTwitter$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(messageIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(urlIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("SocialSharingPlugin.controller$ShareViaTwitter.ShareViaTwitterJSJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
var success = function(){
    $parameters.Success = true;
    $resolve();
};

var fail = function(e) {
    $parameters.Success = false;
    $parameters.ErrorMessage = e;
    $resolve();
};

window.plugins.socialsharing.shareViaTwitter($parameters.MessageBody, 
    /* img */ null, $parameters.Url, success, fail);
});
};
});

define("SocialSharingPlugin.controller$ShareViaWhatsApp", ["exports", "OutSystems", "SocialSharingPlugin.model", "SocialSharingPlugin.controller", "CommonPlugin.model", "SocialSharingPlugin.controller$ShareViaWhatsApp.ShareViaWhatsAppJSJS", "CommonPlugin.model$ErrorRec", "SocialSharingPlugin.referencesHealth", "SocialSharingPlugin.referencesHealth$CommonPlugin", "SocialSharingPlugin.controller$CheckSocialSharingPlugin"], function (exports, OutSystems, SocialSharingPluginModel, SocialSharingPluginController, CommonPluginModel, SocialSharingPlugin_controller_ShareViaWhatsApp_ShareViaWhatsAppJSJS) {
var OS = OutSystems.Internal;
SocialSharingPluginController.default.shareViaWhatsApp$Action = function (messageIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("SocialSharingPlugin.ShareViaWhatsApp$vars"))());
vars.value.messageInLocal = messageIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkSocialSharingPluginVar = new OS.DataTypes.VariableHolder();
var shareViaWhatsAppJSJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("SocialSharingPlugin.ShareViaWhatsApp$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckSocialSharingPlugin
checkSocialSharingPluginVar.value = SocialSharingPluginController.default.checkSocialSharingPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkSocialSharingPluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(SocialSharingPlugin_controller_ShareViaWhatsApp_ShareViaWhatsAppJSJS, "ShareViaWhatsAppJS", "ShareViaWhatsApp", {
MessageBody: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.messageInLocal, OS.Types.Text, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("SocialSharingPlugin.ShareViaWhatsApp$shareViaWhatsAppJSJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
shareViaWhatsAppJSJSResult.value = results;
}).then(function () {
if((shareViaWhatsAppJSJSResult.value.successOut)) {
// Success = True
outVars.value.successOut = true;
} else {
// Success = False
outVars.value.successOut = false;
// Error.ErrorCode = 3
outVars.value.errorOut.errorCodeAttr = "3";
// Error.ErrorMessage = "Unable to open SMS composer."
outVars.value.errorOut.errorMessageAttr = "Unable to open SMS composer.";
}

});
} else {
// Success = CheckSocialSharingPlugin.IsAvailable
outVars.value.successOut = checkSocialSharingPluginVar.value.isAvailableOut;
// Error.ErrorCode = CheckSocialSharingPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkSocialSharingPluginVar.value.errorOut.errorCodeAttr;
// Error.ErrorMessage = CheckSocialSharingPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkSocialSharingPluginVar.value.errorOut.errorMessageAttr;
}

});
}).catch(function (ex) {
OS.Logger.trace("ShareViaWhatsApp.ShareViaWhatsApp", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Success = False
outVars.value.successOut = false;
// Error.ErrorCode = "-1"
outVars.value.errorOut.errorCodeAttr = "-1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = SocialSharingPluginController.default;
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.ShareViaWhatsApp$vars", [{
name: "Message",
attrName: "messageInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.ShareViaWhatsApp$shareViaWhatsAppJSJSResult", [{
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.ShareViaWhatsApp$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
SocialSharingPluginController.default.clientActionProxies.shareViaWhatsApp$Action = function (messageIn) {
messageIn = (messageIn === undefined) ? "" : messageIn;
return controller.executeActionInsideJSNode(SocialSharingPluginController.default.shareViaWhatsApp$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(messageIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("SocialSharingPlugin.controller$ShareViaWhatsApp.ShareViaWhatsAppJSJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
var success = function(){
    $parameters.Success = true;
    $resolve();
};

var fail = function(e) {
    $parameters.Success = false;
    $parameters.ErrorMessage = e;
    $resolve();
};

window.plugins.socialsharing.shareViaWhatsApp($parameters.MessageBody, 
    /* img */ null, /* url */ null, success, fail);
});
};
});

define("SocialSharingPlugin.controller$SocialSharing", ["exports", "OutSystems", "SocialSharingPlugin.model", "SocialSharingPlugin.controller", "CommonPlugin.model", "SocialSharingPlugin.controller$SocialSharing.ShareMessageAndLinkJS", "SocialSharingPlugin.controller$SocialSharing.ShareMessageAndLinkFacebookJS", "SocialSharingPlugin.controller$SocialSharing.ShareMessageAndLinkTwitterJS", "CommonPlugin.model$ErrorRec", "SocialSharingPlugin.referencesHealth", "SocialSharingPlugin.referencesHealth$CommonPlugin", "SocialSharingPlugin.controller$CheckSocialSharingPlugin"], function (exports, OutSystems, SocialSharingPluginModel, SocialSharingPluginController, CommonPluginModel, SocialSharingPlugin_controller_SocialSharing_ShareMessageAndLinkJS, SocialSharingPlugin_controller_SocialSharing_ShareMessageAndLinkFacebookJS, SocialSharingPlugin_controller_SocialSharing_ShareMessageAndLinkTwitterJS) {
var OS = OutSystems.Internal;
SocialSharingPluginController.default.socialSharing$Action = function (messageIn, uRLIn, socialTypeIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("SocialSharingPlugin.SocialSharing$vars"))());
vars.value.messageInLocal = messageIn;
vars.value.uRLInLocal = uRLIn;
vars.value.socialTypeInLocal = socialTypeIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkSocialSharingPluginVar = new OS.DataTypes.VariableHolder();
var shareMessageAndLinkJSResult = new OS.DataTypes.VariableHolder();
var shareMessageAndLinkFacebookJSResult = new OS.DataTypes.VariableHolder();
var shareMessageAndLinkTwitterJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("SocialSharingPlugin.SocialSharing$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckSocialSharingPlugin
checkSocialSharingPluginVar.value = SocialSharingPluginController.default.checkSocialSharingPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkSocialSharingPluginVar.value.isAvailableOut)) {
return OS.Flow.executeSequence(function () {
if(((vars.value.socialTypeInLocal === SocialSharingPluginModel.staticEntities.socialType.facebook))) {
return controller.safeExecuteAsyncJSNode(SocialSharingPlugin_controller_SocialSharing_ShareMessageAndLinkFacebookJS, "ShareMessageAndLinkFacebook", "SocialSharing", {
Message: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.messageInLocal, OS.Types.Text, true),
URL: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.uRLInLocal, OS.Types.Text, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("SocialSharingPlugin.SocialSharing$shareMessageAndLinkFacebookJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
return jsNodeResult;
}, {}, {}).then(function (results) {
shareMessageAndLinkFacebookJSResult.value = results;
}).then(function () {
// Success = CheckSocialSharingPlugin.IsAvailable
outVars.value.successOut = checkSocialSharingPluginVar.value.isAvailableOut;
});
} else {
return OS.Flow.executeSequence(function () {
if((vars.value.socialTypeInLocal === SocialSharingPluginModel.staticEntities.socialType.twitter)) {
return controller.safeExecuteAsyncJSNode(SocialSharingPlugin_controller_SocialSharing_ShareMessageAndLinkTwitterJS, "ShareMessageAndLinkTwitter", "SocialSharing", {
URL: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.uRLInLocal, OS.Types.Text, true),
Message: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.messageInLocal, OS.Types.Text, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("SocialSharingPlugin.SocialSharing$shareMessageAndLinkTwitterJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
return jsNodeResult;
}, {}, {}).then(function (results) {
shareMessageAndLinkTwitterJSResult.value = results;
}).then(function () {
// Success = CheckSocialSharingPlugin.IsAvailable
outVars.value.successOut = checkSocialSharingPluginVar.value.isAvailableOut;
});
} else {
return controller.safeExecuteAsyncJSNode(SocialSharingPlugin_controller_SocialSharing_ShareMessageAndLinkJS, "ShareMessageAndLink", "SocialSharing", {
URL: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.uRLInLocal, OS.Types.Text, true),
Message: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.messageInLocal, OS.Types.Text, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("SocialSharingPlugin.SocialSharing$shareMessageAndLinkJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
return jsNodeResult;
}, {}, {}).then(function (results) {
shareMessageAndLinkJSResult.value = results;
}).then(function () {
// Success = CheckSocialSharingPlugin.IsAvailable
outVars.value.successOut = checkSocialSharingPluginVar.value.isAvailableOut;
});
}

});
}

});
} else {
// Success = CheckSocialSharingPlugin.IsAvailable
outVars.value.successOut = checkSocialSharingPluginVar.value.isAvailableOut;
// Error.ErrorCode = CheckSocialSharingPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkSocialSharingPluginVar.value.errorOut.errorCodeAttr;
// Error.ErrorMessage = CheckSocialSharingPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkSocialSharingPluginVar.value.errorOut.errorMessageAttr;
}

});
}).catch(function (ex) {
OS.Logger.trace("SocialSharing.SocialSharing", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Success = False
outVars.value.successOut = false;
// Error.ErrorCode = "-1"
outVars.value.errorOut.errorCodeAttr = "-1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = SocialSharingPluginController.default;
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.SocialSharing$vars", [{
name: "Message",
attrName: "messageInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "URL",
attrName: "uRLInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "SocialType",
attrName: "socialTypeInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.SocialSharing$shareMessageAndLinkJSResult", [{
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.SocialSharing$shareMessageAndLinkFacebookJSResult", [{
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.SocialSharing$shareMessageAndLinkTwitterJSResult", [{
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
SocialSharingPluginController.default.constructor.registerVariableGroupType("SocialSharingPlugin.SocialSharing$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
SocialSharingPluginController.default.clientActionProxies.socialSharing$Action = function (messageIn, uRLIn, socialTypeIn) {
messageIn = (messageIn === undefined) ? "" : messageIn;
uRLIn = (uRLIn === undefined) ? "" : uRLIn;
socialTypeIn = (socialTypeIn === undefined) ? "" : socialTypeIn;
return controller.executeActionInsideJSNode(SocialSharingPluginController.default.socialSharing$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(messageIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(uRLIn, OS.Types.Text), socialTypeIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("SocialSharingPlugin.controller$SocialSharing.ShareMessageAndLinkJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.plugins.socialsharing.share($parameters.Message, null, null, $parameters.URL, 
    function(){
        $parameters.Success = true;
        $resolve();
    }, 
    function(){
        $parameters.Success = false;
        $resolve();
    });
});
};
});
define("SocialSharingPlugin.controller$SocialSharing.ShareMessageAndLinkFacebookJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.plugins.socialsharing.shareViaFacebook($parameters.Message, null, $parameters.URL, 
    function() {
        $parameters.Success = true;
        $resolve();
    }, function(errormsg){
        $parameters.Success = false;
        $resolve();
    });
});
};
});
define("SocialSharingPlugin.controller$SocialSharing.ShareMessageAndLinkTwitterJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.plugins.socialsharing.shareViaTwitter($parameters.Message, null, $parameters.URL,
    function(){
        $parameters.Success = true;
        $resolve();
    }, 
    function(){
        $parameters.Success = false;
        $resolve();
    });
});
};
});

define("SocialSharingPlugin.controller", ["exports", "OutSystems", "SocialSharingPlugin.model"], function (exports, OutSystems, SocialSharingPluginModel) {
var OS = OutSystems.Internal;
var SocialSharingPluginController = exports;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
}
Controller.prototype.clientActionProxies = {};
Controller.prototype.roles = {};
Controller.prototype.defaultTimeout = 10;
Controller.prototype.getDefaultTimeout = function () {
return SocialSharingPluginController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseModuleController);
SocialSharingPluginController.default = new Controller();
});
