﻿define("SocialSharingPlugin.model$ErrorList", ["exports", "OutSystems", "CommonPlugin.model", "SocialSharingPlugin.model", "CommonPlugin.model$ErrorRec", "SocialSharingPlugin.referencesHealth", "SocialSharingPlugin.referencesHealth$CommonPlugin"], function (exports, OutSystems, CommonPluginModel, SocialSharingPluginModel) {
var OS = OutSystems.Internal;
var ErrorList = (function (_super) {
__extends(ErrorList, _super);
function ErrorList(defaults) {
_super.apply(this, arguments);
}
ErrorList.RecordType = CommonPluginModel.ErrorRec;
return ErrorList;
})(OS.DataTypes.GenericRecordList);
SocialSharingPluginModel.ErrorList = ErrorList;

});
define("SocialSharingPlugin.model$SocialTypeRec", ["exports", "OutSystems", "SocialSharingPlugin.model"], function (exports, OutSystems, SocialSharingPluginModel) {
var OS = OutSystems.Internal;
var SocialTypeRec = (function (_super) {
__extends(SocialTypeRec, _super);
function SocialTypeRec(defaults) {
_super.apply(this, arguments);
}
SocialTypeRec.attributesToDeclare = function () {
return [
this.attr("Value", "valueAttr", "Value", true, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
SocialTypeRec.fromStructure = function (str) {
return new SocialTypeRec(new SocialTypeRec.RecordClass({
valueAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
SocialTypeRec.generateFromLocalStorage = function () {
return false;
};
SocialTypeRec.init();
return SocialTypeRec;
})(OS.DataTypes.GenericRecord);
SocialSharingPluginModel.SocialTypeRec = SocialTypeRec;

});
define("SocialSharingPlugin.model$SocialTypeList", ["exports", "OutSystems", "SocialSharingPlugin.model", "SocialSharingPlugin.model$SocialTypeRec"], function (exports, OutSystems, SocialSharingPluginModel) {
var OS = OutSystems.Internal;
var SocialTypeList = (function (_super) {
__extends(SocialTypeList, _super);
function SocialTypeList(defaults) {
_super.apply(this, arguments);
}
SocialTypeList.RecordType = SocialSharingPluginModel.SocialTypeRec;
return SocialTypeList;
})(OS.DataTypes.GenericRecordList);
SocialSharingPluginModel.SocialTypeList = SocialTypeList;

});
define("SocialSharingPlugin.model$SocialTypeRecord", ["exports", "OutSystems", "SocialSharingPlugin.model", "SocialSharingPlugin.model$SocialTypeRec"], function (exports, OutSystems, SocialSharingPluginModel) {
var OS = OutSystems.Internal;
var SocialTypeRecord = (function (_super) {
__extends(SocialTypeRecord, _super);
function SocialTypeRecord(defaults) {
_super.apply(this, arguments);
}
SocialTypeRecord.attributesToDeclare = function () {
return [
this.attr("SocialType", "socialTypeAttr", "SocialType", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new SocialSharingPluginModel.SocialTypeRec());
}, SocialSharingPluginModel.SocialTypeRec)
].concat(_super.attributesToDeclare.call(this));
};
SocialTypeRecord.fromStructure = function (str) {
return new SocialTypeRecord(new SocialTypeRecord.RecordClass({
socialTypeAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
SocialTypeRecord.IsAnonymousRecord = true;
SocialTypeRecord.UniqueId = "af8f9e3e-3e83-1623-f01d-185c5189b64f";
SocialTypeRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
SocialTypeRecord.init();
return SocialTypeRecord;
})(OS.DataTypes.GenericRecord);
SocialSharingPluginModel.SocialTypeRecord = SocialTypeRecord;

});
define("SocialSharingPlugin.model$SocialTypeRecordList", ["exports", "OutSystems", "SocialSharingPlugin.model", "SocialSharingPlugin.model$SocialTypeRecord"], function (exports, OutSystems, SocialSharingPluginModel) {
var OS = OutSystems.Internal;
var SocialTypeRecordList = (function (_super) {
__extends(SocialTypeRecordList, _super);
function SocialTypeRecordList(defaults) {
_super.apply(this, arguments);
}
SocialTypeRecordList.RecordType = SocialSharingPluginModel.SocialTypeRecord;
return SocialTypeRecordList;
})(OS.DataTypes.GenericRecordList);
SocialSharingPluginModel.SocialTypeRecordList = SocialTypeRecordList;

});
define("SocialSharingPlugin.model$ErrorRecord", ["exports", "OutSystems", "CommonPlugin.model", "SocialSharingPlugin.model", "CommonPlugin.model$ErrorRec", "SocialSharingPlugin.referencesHealth", "SocialSharingPlugin.referencesHealth$CommonPlugin"], function (exports, OutSystems, CommonPluginModel, SocialSharingPluginModel) {
var OS = OutSystems.Internal;
var ErrorRecord = (function (_super) {
__extends(ErrorRecord, _super);
function ErrorRecord(defaults) {
_super.apply(this, arguments);
}
ErrorRecord.attributesToDeclare = function () {
return [
this.attr("Error", "errorAttr", "Error", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CommonPluginModel.ErrorRec());
}, CommonPluginModel.ErrorRec)
].concat(_super.attributesToDeclare.call(this));
};
ErrorRecord.fromStructure = function (str) {
return new ErrorRecord(new ErrorRecord.RecordClass({
errorAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
ErrorRecord.IsAnonymousRecord = true;
ErrorRecord.UniqueId = "cbbd7d57-66e1-86ff-28ab-3b75adf75b93";
ErrorRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
ErrorRecord.init();
return ErrorRecord;
})(OS.DataTypes.GenericRecord);
SocialSharingPluginModel.ErrorRecord = ErrorRecord;

});
define("SocialSharingPlugin.model$ErrorRecordList", ["exports", "OutSystems", "SocialSharingPlugin.model", "SocialSharingPlugin.model$ErrorRecord"], function (exports, OutSystems, SocialSharingPluginModel) {
var OS = OutSystems.Internal;
var ErrorRecordList = (function (_super) {
__extends(ErrorRecordList, _super);
function ErrorRecordList(defaults) {
_super.apply(this, arguments);
}
ErrorRecordList.RecordType = SocialSharingPluginModel.ErrorRecord;
return ErrorRecordList;
})(OS.DataTypes.GenericRecordList);
SocialSharingPluginModel.ErrorRecordList = ErrorRecordList;

});
define("SocialSharingPlugin.model", ["exports", "OutSystems"], function (exports, OutSystems) {
var OS = OutSystems.Internal;
var SocialSharingPluginModel = exports;
Object.defineProperty(SocialSharingPluginModel, "module", {
get: function () {
return OS.ApplicationInfo.getModules()["4882e7e1-0f75-414d-aded-37a6a27afbf0"];
}
});

SocialSharingPluginModel.staticEntities = {};
SocialSharingPluginModel.staticEntities.socialType = {};
var getSocialTypeRecord = function (record) {
return SocialSharingPluginModel.module.staticEntities["c92de3f3-8bfa-4d27-bd3b-48789b455e53"][record];
};
Object.defineProperty(SocialSharingPluginModel.staticEntities.socialType, "twitter", {
get: function () {
return getSocialTypeRecord("148e6093-9de5-42b3-8cbd-769d5d3e1ecd");
}
});

Object.defineProperty(SocialSharingPluginModel.staticEntities.socialType, "all", {
get: function () {
return getSocialTypeRecord("7da121c0-800a-4105-b458-14ddd8259b09");
}
});

Object.defineProperty(SocialSharingPluginModel.staticEntities.socialType, "facebook", {
get: function () {
return getSocialTypeRecord("b4233c9c-e593-404d-94ed-edea885dd7b3");
}
});

});
