﻿define("myNOS_MOB.Blocks.BoxSelector.mvc$model", ["OutSystems", "myNOS_MOB.model", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$model"], function (OutSystems, myNOS_MOBModel, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("IsActive", "isActiveIn", "IsActive", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_isActiveInDataFetchStatus", "_isActiveInDataFetchStatus", "_isActiveInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("LabelTop", "labelTopIn", "LabelTop", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_labelTopInDataFetchStatus", "_labelTopInDataFetchStatus", "_labelTopInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("LabelBot", "labelBotIn", "LabelBot", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_labelBotInDataFetchStatus", "_labelBotInDataFetchStatus", "_labelBotInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("CurrentRow", "currentRowIn", "CurrentRow", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("_currentRowInDataFetchStatus", "_currentRowInDataFetchStatus", "_currentRowInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvcModel.hasValidationWidgets;
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("IsActive" in inputs) {
this.variables.isActiveIn = inputs.IsActive;
if("_isActiveInDataFetchStatus" in inputs) {
this.variables._isActiveInDataFetchStatus = inputs._isActiveInDataFetchStatus;
}

}

if("LabelTop" in inputs) {
this.variables.labelTopIn = inputs.LabelTop;
if("_labelTopInDataFetchStatus" in inputs) {
this.variables._labelTopInDataFetchStatus = inputs._labelTopInDataFetchStatus;
}

}

if("LabelBot" in inputs) {
this.variables.labelBotIn = inputs.LabelBot;
if("_labelBotInDataFetchStatus" in inputs) {
this.variables._labelBotInDataFetchStatus = inputs._labelBotInDataFetchStatus;
}

}

if("CurrentRow" in inputs) {
this.variables.currentRowIn = inputs.CurrentRow;
if("_currentRowInDataFetchStatus" in inputs) {
this.variables._currentRowInDataFetchStatus = inputs._currentRowInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Blocks.BoxSelector.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "react", "OutSystemsReactView", "myNOS_MOB.Blocks.BoxSelector.mvc$model", "myNOS_MOB.Blocks.BoxSelector.mvc$controller", "OutSystemsReactWidgets", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$view"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, React, OSView, myNOS_MOB_Blocks_BoxSelector_mvc_model, myNOS_MOB_Blocks_BoxSelector_mvc_controller, OSWidgets, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Blocks.BoxSelector";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Blocks_BoxSelector_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Blocks_BoxSelector_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.onClick$Action(controller.callContext(eventHandlerContext));
});
;
}
},
style: model.getCachedValue(idService.getId("9UsPvSc2GEOx3NOG+3elUw.Style"), function () {
return ("header-context " + ((model.variables.isActiveIn) ? ("-active") : (" ")));
}, function () {
return model.variables.isActiveIn;
}),
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._isActiveInDataFetchStatus)
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "header-contextContainer",
visible: true,
_idProps: {
service: idService,
uuid: "1"
},
_widgetRecordProvider: widgetsRecordProvider
}, $if(((model.variables.labelTopIn) !== ("")), false, this, function () {
return [React.createElement(OSWidgets.Expression, {
style: "header-cardLabel ",
value: model.variables.labelTopIn,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._labelTopInDataFetchStatus)
})];
}, function () {
return [];
}), $if(((model.variables.labelBotIn) !== ("")), false, this, function () {
return [React.createElement(OSWidgets.Expression, {
style: "header-cardHighlight",
value: model.variables.labelBotIn,
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._labelBotInDataFetchStatus)
})];
}, function () {
return [];
})), React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
StyleClass: "header-contextIcon",
IconName: myNOS_MOBModel.staticEntities.iCON_CLASS.iconMiscsetaDropUpCheia,
IconSize: myNOS_MOBModel.staticEntities.iCON_SIZE.small
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "4",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "separator",
visible: true,
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider
})));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.Blocks.BoxSelector.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MOB.languageResources"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._onClick$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnClick");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: OnCardClick
return controller.onCardClick$Action(model.variables.currentRowIn, callContext).then(function () {
// IsActive = notIsActive
model.variables.isActiveIn = !(model.variables.isActiveIn);
});
});
};

Controller.prototype.onClick$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onClick$Action, callContext);

};
Controller.prototype.onCardClick$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

