﻿define("myNOS_MOB.Blocks.CarouselCard.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MBP.controller", "MobileUIWidgets.controller", "myNOS_MOB.controller", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$model", "MobileUIWidgets.WidgetsContent.PopUp_v2.mvc$model", "MobileUIWidgets.WidgetsContent.ButtonRipple.mvc$model", "myNOS_MBP.controller$FormatCurrency_MBP", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MBP.controller$Balance_ClearCache", "myNOS_MBP.controller$UnSubscribeAddOns", "myNOS_MBP.controller$AddonsRefills_ClearCache", "myNOS_MOB.controller$Analytics_SendClickEvent", "MobileUIWidgets.controller$Info", "myNOS_MBP.controller$SubscribeRefills", "myNOS_MOB.model$Local_ADDONS_REFILLSList"], function (OutSystems, myNOS_MOBModel, myNOS_MBPController, MobileUIWidgetsController, myNOS_MOBController, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvcModel, MobileUIWidgets_WidgetsContent_PopUp_v2_mvcModel, MobileUIWidgets_WidgetsContent_ButtonRipple_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("SubscribePopUpIsOpen", "subscribePopUpIsOpenVar", "SubscribePopUpIsOpen", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("UnsubscribePopUpIsOpen", "unsubscribePopUpIsOpenVar", "UnsubscribePopUpIsOpen", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("CurrListElement", "currListElementVar", "CurrListElement", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("Icon", "iconIn", "Icon", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_iconInDataFetchStatus", "_iconInDataFetchStatus", "_iconInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Local_ADDONS_REFILLSRecord", "local_ADDONS_REFILLSRecordIn", "Local_ADDONS_REFILLSRecord", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.Local_ADDONS_REFILLSList());
}, myNOS_MOBModel.Local_ADDONS_REFILLSList), 
this.attr("_local_ADDONS_REFILLSRecordInDataFetchStatus", "_local_ADDONS_REFILLSRecordInDataFetchStatus", "_local_ADDONS_REFILLSRecordInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("AssociationId", "associationIdIn", "AssociationId", true, OS.Types.LongInteger, function () {
return OS.DataTypes.LongInteger.defaultValue;
}), 
this.attr("_associationIdInDataFetchStatus", "_associationIdInDataFetchStatus", "_associationIdInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("StatusBarHexCode", "statusBarHexCodeIn", "StatusBarHexCode", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_statusBarHexCodeInDataFetchStatus", "_statusBarHexCodeInDataFetchStatus", "_statusBarHexCodeInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = ((MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvcModel.hasValidationWidgets || MobileUIWidgets_WidgetsContent_PopUp_v2_mvcModel.hasValidationWidgets) || MobileUIWidgets_WidgetsContent_ButtonRipple_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("Icon" in inputs) {
this.variables.iconIn = inputs.Icon;
if("_iconInDataFetchStatus" in inputs) {
this.variables._iconInDataFetchStatus = inputs._iconInDataFetchStatus;
}

}

if("Local_ADDONS_REFILLSRecord" in inputs) {
this.variables.local_ADDONS_REFILLSRecordIn = inputs.Local_ADDONS_REFILLSRecord;
if("_local_ADDONS_REFILLSRecordInDataFetchStatus" in inputs) {
this.variables._local_ADDONS_REFILLSRecordInDataFetchStatus = inputs._local_ADDONS_REFILLSRecordInDataFetchStatus;
}

}

if("AssociationId" in inputs) {
this.variables.associationIdIn = inputs.AssociationId;
if("_associationIdInDataFetchStatus" in inputs) {
this.variables._associationIdInDataFetchStatus = inputs._associationIdInDataFetchStatus;
}

}

if("StatusBarHexCode" in inputs) {
this.variables.statusBarHexCodeIn = inputs.StatusBarHexCode;
if("_statusBarHexCodeInDataFetchStatus" in inputs) {
this.variables._statusBarHexCodeInDataFetchStatus = inputs._statusBarHexCodeInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Blocks.CarouselCard.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "MobileUIWidgets.controller", "react", "OutSystemsReactView", "myNOS_MOB.Blocks.CarouselCard.mvc$model", "myNOS_MOB.Blocks.CarouselCard.mvc$controller", "OutSystemsReactWidgets", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$view", "MobileUIWidgets.WidgetsContent.PopUp_v2.mvc$view", "MobileUIWidgets.WidgetsContent.ButtonRipple.mvc$view", "myNOS_MBP.controller$FormatCurrency_MBP", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MBP.controller$Balance_ClearCache", "myNOS_MBP.controller$UnSubscribeAddOns", "myNOS_MBP.controller$AddonsRefills_ClearCache", "myNOS_MOB.controller$Analytics_SendClickEvent", "MobileUIWidgets.controller$Info", "myNOS_MBP.controller$SubscribeRefills", "myNOS_MOB.model$Local_ADDONS_REFILLSList"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, MobileUIWidgetsController, React, OSView, myNOS_MOB_Blocks_CarouselCard_mvc_model, myNOS_MOB_Blocks_CarouselCard_mvc_controller, OSWidgets, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, MobileUIWidgets_WidgetsContent_PopUp_v2_mvc_view, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Blocks.CarouselCard";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, MobileUIWidgets_WidgetsContent_PopUp_v2_mvc_view, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Blocks_CarouselCard_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Blocks_CarouselCard_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.List, {
animateItems: true,
gridProperties: {
classes: "OSFillParent"
},
mode: /*Default*/ 0,
source: model.variables.local_ADDONS_REFILLSRecordIn,
style: "list list-group a-carouselCardList -noBgd pl-16 pb-8",
tag: "div",
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider,
source_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._local_ADDONS_REFILLSRecordInDataFetchStatus),
placeholders: {
content: new IteratorPlaceholderContent(function (idService, callContext) {
return [React.createElement(OSWidgets.Link, {
enabled: model.getCachedValue(idService.getId("QP87wgoekEKFVOMBKB0CmA.Enabled"), function () {
return (((!(model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isSubscribedAttr) && model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isPendingAttr)) ? (false) : (true));
}, function () {
return model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isSubscribedAttr;
}, function () {
return model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isPendingAttr;
}),
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.openPopUp$Action(controller.callContext(eventHandlerContext));
});
;
},
style: model.getCachedValue(idService.getId("QP87wgoekEKFVOMBKB0CmA.Style"), function () {
return (((!(model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isSubscribedAttr) && model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isPendingAttr)) ? (" -notDisabled ") : (""));
}, function () {
return model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isSubscribedAttr;
}, function () {
return model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isPendingAttr;
}),
visible: true,
_idProps: {
service: idService,
uuid: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
enabled_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._local_ADDONS_REFILLSRecordInDataFetchStatus),
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._local_ADDONS_REFILLSRecordInDataFetchStatus),
_dependencies: [asPrimitiveValue(model.variables.iconIn), asPrimitiveValue(model.variables._iconInDataFetchStatus), asPrimitiveValue(model.variables._local_ADDONS_REFILLSRecordInDataFetchStatus), asPrimitiveValue(model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isAddOnAttr), asPrimitiveValue(model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).costAttr), asPrimitiveValue(model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).expiryDateAttr), asPrimitiveValue(model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).commercialDescriptionAttr), asPrimitiveValue(model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).canUnsubscribeAttr), asPrimitiveValue(model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).canSubscribeAttr), asPrimitiveValue(model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isPendingAttr), asPrimitiveValue(model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isSubscribedAttr)]
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: model.getCachedValue(idService.getId("jylBPAHvJkihxqLJHjmxxQ.Style"), function () {
return ("a-carouselCard " + ((((model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isSubscribedAttr) !== (model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isPendingAttr))) ? (" -active ") : (((((model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).canSubscribeAttr || model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).canUnsubscribeAttr) || model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isPendingAttr)) ? ("") : (" -inactive ")))));
}, function () {
return model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isSubscribedAttr;
}, function () {
return model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isPendingAttr;
}, function () {
return model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).canSubscribeAttr;
}, function () {
return model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).canUnsubscribeAttr;
}),
visible: true,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._local_ADDONS_REFILLSRecordInDataFetchStatus)
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "a-carouselCard-header",
visible: true,
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
IconSize: myNOS_MOBModel.staticEntities.iCON_SIZE.large,
StyleClass: "a-carouselCard-icon",
IconName: model.variables.iconIn,
_iconNameInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._iconInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "4",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}), React.createElement(OSWidgets.Expression, {
gridProperties: {
classes: "ThemeGrid_MarginGutter"
},
style: "a-carouselCard-text",
value: model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).commercialDescriptionAttr,
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._local_ADDONS_REFILLSRecordInDataFetchStatus)
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
gridProperties: {
classes: "OSInline"
},
style: "a-carouselCard-separator",
visible: true,
_idProps: {
service: idService,
uuid: "6"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "a-carouselCard-footer",
visible: true,
_idProps: {
service: idService,
uuid: "7"
},
_widgetRecordProvider: widgetsRecordProvider
}, $if(model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isPendingAttr, false, this, function () {
return [$if(!(model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isSubscribedAttr), false, this, function () {
return [React.createElement(OSWidgets.Expression, {
style: "a-carouselCard-label",
value: "Em desativação",
_idProps: {
service: idService,
uuid: "8"
},
_widgetRecordProvider: widgetsRecordProvider
})];
}, function () {
return [React.createElement(OSWidgets.Expression, {
style: "a-carouselCard-price -inActivation",
value: "Em ativação",
_idProps: {
service: idService,
uuid: "9"
},
_widgetRecordProvider: widgetsRecordProvider
})];
})];
}, function () {
return [React.createElement(OSWidgets.Expression, {
style: "a-carouselCard-label",
value: model.getCachedValue(idService.getId("UoWRoAW_RE+2if6qnow9sw.Value"), function () {
return ((model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isSubscribedAttr) ? (((((OS.BuiltinFunctions.trim(model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).expiryDateAttr)) !== (""))) ? ("Ativo até") : (""))) : ("Preço"));
}, function () {
return model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isSubscribedAttr;
}, function () {
return model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).expiryDateAttr;
}),
_idProps: {
service: idService,
uuid: "10"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._local_ADDONS_REFILLSRecordInDataFetchStatus)
}), React.createElement(OSWidgets.Expression, {
style: "a-carouselCard-price",
value: model.getCachedValue(idService.getId("F5tNqv8Cs0qGNv7xKZKN7Q.Value"), function () {
return ((model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isSubscribedAttr) ? (model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).expiryDateAttr) : ((myNOS_MBPController.default.formatCurrency_MBP$Action(OS.BuiltinFunctions.textToDecimal(model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).costAttr), callContext.withoutIterationContext()).resultOut + ((model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isAddOnAttr) ? ("/mês") : ("")))));
}, function () {
return model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isSubscribedAttr;
}, function () {
return model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).expiryDateAttr;
}, function () {
return model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).costAttr;
}, function () {
return model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isAddOnAttr;
}),
_idProps: {
service: idService,
uuid: "11"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._local_ADDONS_REFILLSRecordInDataFetchStatus)
})];
})), $if(model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isPendingAttr, false, this, function () {
return [];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "12"
},
_widgetRecordProvider: widgetsRecordProvider
})];
})))];
}, callContext, idService, "1")
},
_dependencies: [asPrimitiveValue(model.variables.iconIn), asPrimitiveValue(model.variables._iconInDataFetchStatus), asPrimitiveValue(model.variables._local_ADDONS_REFILLSRecordInDataFetchStatus)]
}), React.createElement(MobileUIWidgets_WidgetsContent_PopUp_v2_mvc_view, {
inputs: {
InitialStatusBarColor: model.variables.statusBarHexCodeIn,
_initialStatusBarColorInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._statusBarHexCodeInDataFetchStatus),
ShowPopUp: model.variables.subscribePopUpIsOpenVar,
HasStatusBarPlugin: true,
HeaderText: "Adicionar aditivo",
HasHeader: true
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
closePopUp$Action: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.closePopUp$Action(false, controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
name: "IsUnsubscribedPopUp",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
popUpContent: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "14"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead",
value: model.getCachedValue(idService.getId("mUPcUMa4qU2EUSwlMqLmxw.Value"), function () {
return ((((("Tem a certeza que deseja subscrever o aditivo " + model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).commercialDescriptionAttr) + " para o número ") + model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).msisdnAttr) + "?\r\n\r\n") + ((model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).isAddOnAttr) ? ("Este aditivo é de renovação mensal automática.") : ("Este aditivo é de compra única.")));
}, function () {
return model.variables.currListElementVar;
}, function () {
return model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).commercialDescriptionAttr;
}, function () {
return model.variables.currListElementVar;
}, function () {
return model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).msisdnAttr;
}, function () {
return model.variables.currListElementVar;
}, function () {
return model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).isAddOnAttr;
}),
_idProps: {
service: idService,
uuid: "15"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._local_ADDONS_REFILLSRecordInDataFetchStatus)
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-24",
visible: true,
_idProps: {
service: idService,
uuid: "16"
},
_widgetRecordProvider: widgetsRecordProvider
}, $if(((((model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).subscriptionStartAttr) !== (""))) ? (true) : (false)), false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "17"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -inline",
value: "Disponível a partir de:",
_idProps: {
service: idService,
uuid: "18"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Expression, {
style: "text -bold -big",
value: model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).subscriptionStartAttr,
_idProps: {
service: idService,
uuid: "19"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._local_ADDONS_REFILLSRecordInDataFetchStatus)
}))];
}, function () {
return [];
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-24",
visible: true,
_idProps: {
service: idService,
uuid: "20"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "21",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.subscribeAction$Action(controller.callContext(eventHandlerContext));
});
;
},
style: "btn a-btn btn-primary -primary w-100",
visible: true,
_idProps: {
service: idService,
name: "btnSubscribe"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
value: model.getCachedValue(idService.getId("P7mKWYbBwkWDz8pCaXsgbg.Value"), function () {
return ("Ativar por " + myNOS_MBPController.default.formatCurrency_MBP$Action(OS.BuiltinFunctions.textToDecimal(model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).costAttr), callContext.withoutIterationContext()).resultOut);
}, function () {
return model.variables.currListElementVar;
}, function () {
return model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).costAttr;
}),
_idProps: {
service: idService,
uuid: "23"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._local_ADDONS_REFILLSRecordInDataFetchStatus)
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "24"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: [asPrimitiveValue(model.variables._local_ADDONS_REFILLSRecordInDataFetchStatus), asPrimitiveValue(model.variables.local_ADDONS_REFILLSRecordIn), asPrimitiveValue(model.variables.currListElementVar)]
}), React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "25",
alias: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.closePopUp$Action(false, controller.callContext(eventHandlerContext));
});
;
},
style: "btn a-btn mt-8 w-100",
visible: true,
_idProps: {
service: idService,
name: "btnCancel"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Cancelar", React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "27"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: []
})))];
})
},
_dependencies: [asPrimitiveValue(model.variables._local_ADDONS_REFILLSRecordInDataFetchStatus), asPrimitiveValue(model.variables.local_ADDONS_REFILLSRecordIn), asPrimitiveValue(model.variables.currListElementVar)]
}), React.createElement(MobileUIWidgets_WidgetsContent_PopUp_v2_mvc_view, {
inputs: {
InitialStatusBarColor: model.variables.statusBarHexCodeIn,
_initialStatusBarColorInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._statusBarHexCodeInDataFetchStatus),
ShowPopUp: model.variables.unsubscribePopUpIsOpenVar,
HasStatusBarPlugin: true,
HeaderText: "Desativar aditivo",
HasHeader: true
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
closePopUp$Action: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.closePopUp$Action(false, controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
name: "IsSubscribedPopUp",
alias: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
popUpContent: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "29"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead",
value: "Tem a certeza que deseja desativar a renovação automática deste aditivo?",
_idProps: {
service: idService,
uuid: "30"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-24",
visible: true,
_idProps: {
service: idService,
uuid: "31"
},
_widgetRecordProvider: widgetsRecordProvider
}, $if(((((model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).subscriptionStartAttr) !== (""))) ? (true) : (false)), false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "32"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -inline",
value: "Ativou no dia: ",
_idProps: {
service: idService,
uuid: "33"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Expression, {
style: "text -bold -big",
value: model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).subscriptionStartAttr,
_idProps: {
service: idService,
uuid: "34"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._local_ADDONS_REFILLSRecordInDataFetchStatus)
}))];
}, function () {
return [];
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: true,
visible: ((model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).expiryDateAttr) !== ("")),
_idProps: {
service: idService,
uuid: "35"
},
_widgetRecordProvider: widgetsRecordProvider,
visible_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._local_ADDONS_REFILLSRecordInDataFetchStatus)
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -inline",
value: "Disponível até dia: ",
_idProps: {
service: idService,
uuid: "36"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Expression, {
style: "text -bold -big",
value: model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).expiryDateAttr,
_idProps: {
service: idService,
uuid: "37"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._local_ADDONS_REFILLSRecordInDataFetchStatus)
}))), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-24",
visible: true,
_idProps: {
service: idService,
uuid: "38"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "39",
alias: "6"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.unSubscribeAction$Action(controller.callContext(eventHandlerContext));
});
;
},
style: "btn a-btn btn-primary -primary w-100",
visible: true,
_idProps: {
service: idService,
name: "btnUnsubscribe"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Desativar", React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "41"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: []
}), React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "42",
alias: "7"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.closePopUp$Action(false, controller.callContext(eventHandlerContext));
});
;
},
style: "btn a-btn mt-8 w-100",
visible: true,
_idProps: {
service: idService,
name: "btnCancel2"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Cancelar", React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "44"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: []
})))];
})
},
_dependencies: [asPrimitiveValue(model.variables.currListElementVar), asPrimitiveValue(model.variables._local_ADDONS_REFILLSRecordInDataFetchStatus), asPrimitiveValue(model.variables.local_ADDONS_REFILLSRecordIn)]
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.Blocks.CarouselCard.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "MobileUIWidgets.controller", "myNOS_MOB.languageResources", "myNOS_MBP.controller$FormatCurrency_MBP", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MBP.controller$Balance_ClearCache", "myNOS_MBP.controller$UnSubscribeAddOns", "myNOS_MBP.controller$AddonsRefills_ClearCache", "myNOS_MOB.controller$Analytics_SendClickEvent", "MobileUIWidgets.controller$Info", "myNOS_MBP.controller$SubscribeRefills", "myNOS_MOB.model$Local_ADDONS_REFILLSList"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, MobileUIWidgetsController, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._unSubscribeAction$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("UnSubscribeAction");
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var balance_ClearCache2Var = new OS.DataTypes.VariableHolder();
var unSubscribeAddOnsVar = new OS.DataTypes.VariableHolder();
var addonsRefills_ClearCache2Var = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: IsLoading_Start
return controller.isLoading$Action(true, callContext).then(function () {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action((((((model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).isAddOnAttr) ? ("Aditivos") : ("Refills")) + "_") + model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).commercialDescriptionAttr) + "_desativar_confirmar"), "Desativar", 0, "", callContext);
}).then(function () {
// Execute Action: ClosePopUp
return controller._closePopUp$Action(true, callContext);
}).then(function () {
// Execute Action: UnSubscribeAddOns
model.flush();
return myNOS_MBPController.default.unSubscribeAddOns$Action(model.variables.associationIdIn, model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).msisdnAttr, model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).id_Addons_RefillsAttr, "unsubscribe", model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).packageGroupAttr, callContext).then(function (value) {
unSubscribeAddOnsVar.value = value;
});
}).then(function () {
return OS.Flow.executeSequence(function () {
if((unSubscribeAddOnsVar.value.successOut)) {
// Execute Action: Info24
MobileUIWidgetsController.default.info$Action((((model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).expiryDateAttr === "")) ? (unSubscribeAddOnsVar.value.responseOut) : (("O aditivo encontra-se ativo até dia " + model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).expiryDateAttr))), callContext);
// Execute Action: Balance_ClearCache2
model.flush();
return myNOS_MBPController.default.balance_ClearCache$Action(callContext).then(function (value) {
balance_ClearCache2Var.value = value;
}).then(function () {
// Execute Action: AddonsRefills_ClearCache2
model.flush();
return myNOS_MBPController.default.addonsRefills_ClearCache$Action(callContext).then(function (value) {
addonsRefills_ClearCache2Var.value = value;
});
}).then(function () {
// Trigger Event: RefreshEvent
return controller.refreshEvent$Action(true, callContext);
});
} else {
// Execute Action: Error23
MobileUIWidgetsController.default.error$Action(unSubscribeAddOnsVar.value.responseOut, callContext);
}

});
}).then(function () {
// Trigger Event: IsLoading_End
return controller.isLoading$Action(false, callContext);
});
}).catch(function (ex) {
OS.Logger.trace("CarouselCard.UnSubscribeAction", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: IsLoading_Exception
return controller.isLoading$Action(false, callContext).then(function () {
// Execute Action: ClosePopUp2
return controller._closePopUp$Action(true, callContext);
}).then(function () {
// Execute Action: Error4
MobileUIWidgetsController.default.error$Action("Erro ao desativar o aditivo.", callContext);
return OS.Flow.returnAsync();

});
});
}

throw ex;
});
};
Controller.prototype._subscribeAction$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("SubscribeAction");
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var subscribeAddOnsVar = new OS.DataTypes.VariableHolder();
var addonsRefills_ClearCache2Var = new OS.DataTypes.VariableHolder();
var balance_ClearCacheVar = new OS.DataTypes.VariableHolder();
var balance_ClearCache2Var = new OS.DataTypes.VariableHolder();
var subscribeRefillsVar = new OS.DataTypes.VariableHolder();
var addonsRefills_ClearCacheVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.doWhileAsync(function () {
return false;
}, function () {
// Trigger Event: IsLoading_Start
return controller.isLoading$Action(true, callContext).then(function () {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action((((((model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).isAddOnAttr) ? ("Aditivos") : ("Refills")) + "_") + model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).commercialDescriptionAttr) + "_Adicionar_confirmar"), "Adicionar", 0, model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).costAttr, callContext);
}).then(function () {
// Execute Action: ClosePopUp
return controller._closePopUp$Action(true, callContext);
}).then(function () {
// IsAddOn?
return OS.Flow.executeSequence(function () {
if((model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).isAddOnAttr)) {
// Execute Action: SubscribeAddOns
model.flush();
return myNOS_MBPController.default.unSubscribeAddOns$Action(model.variables.associationIdIn, model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).msisdnAttr, model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).id_Addons_RefillsAttr, "subscribe", model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).packageGroupAttr, callContext).then(function (value) {
subscribeAddOnsVar.value = value;
}).then(function () {
return OS.Flow.executeSequence(function () {
if((subscribeAddOnsVar.value.successOut)) {
// Execute Action: Balance_ClearCache2
model.flush();
return myNOS_MBPController.default.balance_ClearCache$Action(callContext).then(function (value) {
balance_ClearCache2Var.value = value;
}).then(function () {
// Execute Action: AddonsRefills_ClearCache2
model.flush();
return myNOS_MBPController.default.addonsRefills_ClearCache$Action(callContext).then(function (value) {
addonsRefills_ClearCache2Var.value = value;
});
}).then(function () {
// Execute Action: Info25
MobileUIWidgetsController.default.info$Action(((((model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).isAddOnAttr === true) || (subscribeAddOnsVar.value.responseOut === ""))) ? ("A subscrição do aditivo encontra-se em processamento.") : (subscribeAddOnsVar.value.responseOut)), callContext);
});
} else {
// Execute Action: Error23
MobileUIWidgetsController.default.error$Action(((((subscribeAddOnsVar.value.responseOut) !== (""))) ? (subscribeAddOnsVar.value.responseOut) : ("Erro ao subscrever o aditivo.")), callContext);
return OS.Flow.breakAsync();
}

});
});
} else {
// Execute Action: SubscribeRefills
model.flush();
return myNOS_MBPController.default.subscribeRefills$Action(model.variables.associationIdIn, model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).msisdnAttr, model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).id_Addons_RefillsAttr, "subscribe", model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).packageGroupAttr, callContext).then(function (value) {
subscribeRefillsVar.value = value;
}).then(function () {
return OS.Flow.executeSequence(function () {
if((subscribeRefillsVar.value.successOut)) {
// Execute Action: Balance_ClearCache
model.flush();
return myNOS_MBPController.default.balance_ClearCache$Action(callContext).then(function (value) {
balance_ClearCacheVar.value = value;
}).then(function () {
// Execute Action: AddonsRefills_ClearCache
model.flush();
return myNOS_MBPController.default.addonsRefills_ClearCache$Action(callContext).then(function (value) {
addonsRefills_ClearCacheVar.value = value;
});
}).then(function () {
// Execute Action: Info24
MobileUIWidgetsController.default.info$Action("A subscrição do aditivo encontra-se em processamento.", callContext);
});
} else {
// Execute Action: Error22
MobileUIWidgetsController.default.error$Action(((((subscribeRefillsVar.value.responseOut) !== (""))) ? (subscribeRefillsVar.value.responseOut) : ("Erro ao subscrever o aditivo.")), callContext);
return OS.Flow.breakAsync();
}

});
});
}

});
}).then(function () {
// Trigger Event: RefreshEvent
return controller.refreshEvent$Action(true, callContext);
});
}).then(function () {
// Trigger Event: IsLoading_End
return controller.isLoading$Action(false, callContext);
});
}).catch(function (ex) {
OS.Logger.trace("CarouselCard.SubscribeAction", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: IsLoading_Exception
return controller.isLoading$Action(false, callContext).then(function () {
// Execute Action: ClosePopUp2
return controller._closePopUp$Action(true, callContext);
}).then(function () {
// Execute Action: Error4
MobileUIWidgetsController.default.error$Action("Erro ao subscrever o aditivo.", callContext);
return OS.Flow.returnAsync();

});
});
}

throw ex;
});
};
Controller.prototype._openPopUp$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OpenPopUp");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// IsPending
return OS.Flow.executeSequence(function () {
if((!((model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).isPendingAttr || (!(model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).canSubscribeAttr) && !(model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).canUnsubscribeAttr)))))) {
// CurrListElement = Local_ADDONS_REFILLSRecord.CurrentRowNumber
model.variables.currListElementVar = model.variables.local_ADDONS_REFILLSRecordIn.getCurrentRowNumber(callContext.iterationContext);
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action(((((((model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).isAddOnAttr) ? ("Aditivos") : ("Refills")) + "_") + model.variables.local_ADDONS_REFILLSRecordIn.getCurrent(callContext.iterationContext).categoryLabelAttr) + "_") + ((model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).isSubscribedAttr) ? ("apagar") : ("adicionar"))), model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).commercialDescriptionAttr, 0, "", callContext).then(function () {
// IsSubscribed
if((model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).isSubscribedAttr)) {
// UnsubscribePopUpIsOpen = notUnsubscribePopUpIsOpen
model.variables.unsubscribePopUpIsOpenVar = !(model.variables.unsubscribePopUpIsOpenVar);
} else {
// SubscribePopUpIsOpen = notSubscribePopUpIsOpen
model.variables.subscribePopUpIsOpenVar = !(model.variables.subscribePopUpIsOpenVar);
}

});
}

});
});
};
Controller.prototype._closePopUp$Action = function (isAutomaticIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("ClosePopUp");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.Blocks.CarouselCard.ClosePopUp$vars"))());
vars.value.isAutomaticInLocal = isAutomaticIn;
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.executeSequence(function () {
if((!(vars.value.isAutomaticInLocal))) {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action((((((model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).isAddOnAttr) ? ("Aditivos") : ("Refills")) + "_") + model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).commercialDescriptionAttr) + "_Adicionar_confirmar"), "Cancelar", 0, "", callContext);
}

}).then(function () {
// IsSubscribed
if((model.variables.local_ADDONS_REFILLSRecordIn.getItem(model.variables.currListElementVar).isSubscribedAttr)) {
// UnsubscribePopUpIsOpen = False
model.variables.unsubscribePopUpIsOpenVar = false;
} else {
// SubscribePopUpIsOpen = False
model.variables.subscribePopUpIsOpenVar = false;
}

});
});
};
Controller.registerVariableGroupType("myNOS_MOB.Blocks.CarouselCard.ClosePopUp$vars", [{
name: "IsAutomatic",
attrName: "isAutomaticInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);

Controller.prototype.unSubscribeAction$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._unSubscribeAction$Action, callContext);

};
Controller.prototype.subscribeAction$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._subscribeAction$Action, callContext);

};
Controller.prototype.openPopUp$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._openPopUp$Action, callContext);

};
Controller.prototype.closePopUp$Action = function (isAutomaticIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._closePopUp$Action, callContext, isAutomaticIn);

};
Controller.prototype.isLoading$Action = function () {
return Promise.resolve();
};
Controller.prototype.refreshEvent$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

