﻿define("myNOS_MOB.Blocks.MessageInsucessChargement.mvc$model", ["OutSystems", "myNOS_MOB.model"], function (OutSystems, myNOS_MOBModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("InsucessTextVariable", "insucessTextVariableVar", "InsucessTextVariable", true, OS.Types.Text, function () {
return "";
}), 
this.attr("PaygateShortMessage", "paygateShortMessageIn", "PaygateShortMessage", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_paygateShortMessageInDataFetchStatus", "_paygateShortMessageInDataFetchStatus", "_paygateShortMessageInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return false;
}
});

Model.prototype.setInputs = function (inputs) {
if("PaygateShortMessage" in inputs) {
this.variables.paygateShortMessageIn = inputs.PaygateShortMessage;
if("_paygateShortMessageInDataFetchStatus" in inputs) {
this.variables._paygateShortMessageInDataFetchStatus = inputs._paygateShortMessageInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Blocks.MessageInsucessChargement.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "react", "OutSystemsReactView", "myNOS_MOB.Blocks.MessageInsucessChargement.mvc$model", "myNOS_MOB.Blocks.MessageInsucessChargement.mvc$controller", "OutSystemsReactWidgets"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, React, OSView, myNOS_MOB_Blocks_MessageInsucessChargement_mvc_model, myNOS_MOB_Blocks_MessageInsucessChargement_mvc_controller, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Blocks.MessageInsucessChargement";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Blocks_MessageInsucessChargement_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Blocks_MessageInsucessChargement_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Center*/ 2,
animate: false,
visible: true,
_idProps: {
service: idService,
name: "InsucessChargmentContainer"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Center*/ 2,
animate: false,
extendedProperties: {
"data-style-key": "Hj7DOigNkEmBaYuTIpVCgA"
},
gridProperties: {
classes: "OSInline"
},
style: "InsucessIconContainer",
visible: true,
_idProps: {
service: idService,
name: "InsucessIconContainer"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Container, {
align: /*Center*/ 2,
animate: false,
extendedProperties: {
"data-style-key": "b2JdceNVa0SyPRidO9SZsQ"
},
style: "textinsucesschargementcontainer",
visible: true,
_idProps: {
service: idService,
name: "TextInsucessChargementContainer"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
value: model.variables.insucessTextVariableVar,
_idProps: {
service: idService,
name: "InsucessText"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Container, {
align: /*Center*/ 2,
animate: false,
style: "textwarninginsucesschargementcontainer",
visible: true,
_idProps: {
service: idService,
name: "TextWarningInsucessChargementContainer"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Tente novamente, se o problema persistir, contacte conosco.")));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.Blocks.MessageInsucessChargement.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MOB.languageResources"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._showInsucessTextOnInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("ShowInsucessTextOnInitialize");
callContext = controller.callContext(callContext);
if(((model.variables.paygateShortMessageIn === ""))) {
// InsucessTextVariable = "Não foi possível efetuar o carregamento."
model.variables.insucessTextVariableVar = "Não foi possível efetuar o carregamento.";
} else {
// InsucessTextVariable = PaygateShortMessage
model.variables.insucessTextVariableVar = model.variables.paygateShortMessageIn;
}

};

Controller.prototype.showInsucessTextOnInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._showInsucessTextOnInitialize$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.showInsucessTextOnInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

