﻿define("myNOS_MOB.Blocks.MethodPaymentItem.mvc$model", ["OutSystems", "myNOS_MOB.model"], function (OutSystems, myNOS_MOBModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("IsFirst", "isFirstIn", "IsFirst", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_isFirstInDataFetchStatus", "_isFirstInDataFetchStatus", "_isFirstInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Code", "codeIn", "Code", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_codeInDataFetchStatus", "_codeInDataFetchStatus", "_codeInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IsSelected", "isSelectedIn", "IsSelected", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_isSelectedInDataFetchStatus", "_isSelectedInDataFetchStatus", "_isSelectedInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return false;
}
});

Model.prototype.setInputs = function (inputs) {
if("IsFirst" in inputs) {
this.variables.isFirstIn = inputs.IsFirst;
if("_isFirstInDataFetchStatus" in inputs) {
this.variables._isFirstInDataFetchStatus = inputs._isFirstInDataFetchStatus;
}

}

if("Code" in inputs) {
this.variables.codeIn = inputs.Code;
if("_codeInDataFetchStatus" in inputs) {
this.variables._codeInDataFetchStatus = inputs._codeInDataFetchStatus;
}

}

if("IsSelected" in inputs) {
this.variables.isSelectedIn = inputs.IsSelected;
if("_isSelectedInDataFetchStatus" in inputs) {
this.variables._isSelectedInDataFetchStatus = inputs._isSelectedInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Blocks.MethodPaymentItem.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "react", "OutSystemsReactView", "myNOS_MOB.Blocks.MethodPaymentItem.mvc$model", "myNOS_MOB.Blocks.MethodPaymentItem.mvc$controller", "OutSystemsReactWidgets"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, React, OSView, myNOS_MOB_Blocks_MethodPaymentItem_mvc_model, myNOS_MOB_Blocks_MethodPaymentItem_mvc_controller, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Blocks.MethodPaymentItem";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Blocks_MethodPaymentItem_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Blocks_MethodPaymentItem_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Center*/ 2,
animate: false,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.onClick$Action(controller.callContext(eventHandlerContext));
});
;
}
},
extendedProperties: {
style: model.getCachedValue(idService.getId("YvylbhHvbUG5g6h+Ul3TuQ.style"), function () {
return ((model.variables.isFirstIn) ? ("margin-top: 16px;") : ("margin-top: 8px;"));
}, function () {
return model.variables.isFirstIn;
}),
className: model.getCachedValue(idService.getId("YvylbhHvbUG5g6h+Ul3TuQ.class"), function () {
return ((model.variables.isSelectedIn) ? ("MethodPaymentItemWrapperSelected") : ("MethodPaymentItemWrapper"));
}, function () {
return model.variables.isSelectedIn;
})
},
style: "MethodPaymentItemWrapperSelected",
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.placeholder1,
extendedProperties: {
className: model.getCachedValue(idService.getId("Placeholder1.class"), function () {
return ((model.variables.isSelectedIn) ? ("MethodPaymentItemTextSelected") : ("MethodPaymentItemText"));
}, function () {
return model.variables.isSelectedIn;
})
},
gridProperties: {
classes: "OSInline"
},
style: "MethodPaymentItemTextSelected",
_idProps: {
service: idService,
name: "Placeholder1"
},
_widgetRecordProvider: widgetsRecordProvider
})));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.Blocks.MethodPaymentItem.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MOB.languageResources"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._onClick$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnClick");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: OnClickEvent
return controller.onClickEvent$Action(model.variables.codeIn, callContext);
});
};

Controller.prototype.onClick$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onClick$Action, callContext);

};
Controller.prototype.onClickEvent$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

