﻿define("myNOS_MOB.Blocks.TourContent.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MBP.controller", "myNOS_MBP.model", "myNOS_MOB.controller", "MobilePatterns.Interaction.Animate.mvc$model", "MobilePatterns.Utilities.SwipeEvents.mvc$model", "myNOS_MBP.controller$setActivityLog_Visit", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.model$Local_ASSOCIATIONRecordList", "myNOS_MOB.model$Local_USERINFOLocal_FAVORITE_HOMEPAGERecordList", "myNOS_MBP.model$Local_ASSOCIATIONRec", "myNOS_MBP.model$Local_FAVORITE_HOMEPAGERec", "myNOS_MBP.model$Local_USER_INFORec", "myNOS_MBP.entities", "myNOS_MOB.controller$Validate_UserSession", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MOB.model$STR_TOUR_CONTENT_HTMLList"], function (OutSystems, myNOS_MOBModel, myNOS_MBPController, myNOS_MBPModel, myNOS_MOBController, MobilePatterns_Interaction_Animate_mvcModel, MobilePatterns_Utilities_SwipeEvents_mvcModel) {
var OS = OutSystems.Internal;

var GetHtmlContentDataActRec = (function (_super) {
__extends(GetHtmlContentDataActRec, _super);
function GetHtmlContentDataActRec(defaults) {
_super.apply(this, arguments);
}
GetHtmlContentDataActRec.attributesToDeclare = function () {
return [
this.attr("HTML", "hTMLOut", "HTML", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_TOUR_CONTENT_HTMLList());
}, myNOS_MOBModel.STR_TOUR_CONTENT_HTMLList)
].concat(_super.attributesToDeclare.call(this));
};
GetHtmlContentDataActRec.fromStructure = function (str) {
return new GetHtmlContentDataActRec(new GetHtmlContentDataActRec.RecordClass({
hTMLOut: OS.DataTypes.ImmutableBase.getData(str)
}));
};
GetHtmlContentDataActRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetHtmlContentDataActRec.init();
return GetHtmlContentDataActRec;
})(OS.Model.DataSourceRecord);

var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("StepIndex", "stepIndexVar", "StepIndex", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("Aux", "auxVar", "Aux", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("AnimationInUse", "animationInUseVar", "AnimationInUse", true, OS.Types.Text, function () {
return myNOS_MOBModel.staticEntities.animationType.rightToLeft;
}), 
this.attr("AnimationNotInUse", "animationNotInUseVar", "AnimationNotInUse", true, OS.Types.Text, function () {
return "";
}), 
this.attr("AnimationSpeedInUse", "animationSpeedInUseVar", "AnimationSpeedInUse", true, OS.Types.Text, function () {
return "";
}), 
this.attr("IsNavigatingAway", "isNavigatingAwayVar", "IsNavigatingAway", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("TourContentTypeId", "tourContentTypeIdIn", "TourContentTypeId", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_tourContentTypeIdInDataFetchStatus", "_tourContentTypeIdInDataFetchStatus", "_tourContentTypeIdInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("GetHtmlContent", "getHtmlContentDataAct", "getHtmlContentDataAct", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetHtmlContentDataActRec());
}, GetHtmlContentDataActRec)
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = (MobilePatterns_Interaction_Animate_mvcModel.hasValidationWidgets || MobilePatterns_Utilities_SwipeEvents_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("TourContentTypeId" in inputs) {
this.variables.tourContentTypeIdIn = inputs.TourContentTypeId;
if("_tourContentTypeIdInDataFetchStatus" in inputs) {
this.variables._tourContentTypeIdInDataFetchStatus = inputs._tourContentTypeIdInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Blocks.TourContent.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "myNOS_MBP.model", "react", "OutSystemsReactView", "myNOS_MOB.Blocks.TourContent.mvc$model", "myNOS_MOB.Blocks.TourContent.mvc$controller", "OutSystemsReactWidgets", "MobilePatterns.Interaction.Animate.mvc$view", "MobilePatterns.Utilities.SwipeEvents.mvc$view", "myNOS_MBP.controller$setActivityLog_Visit", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.model$Local_ASSOCIATIONRecordList", "myNOS_MOB.model$Local_USERINFOLocal_FAVORITE_HOMEPAGERecordList", "myNOS_MBP.model$Local_ASSOCIATIONRec", "myNOS_MBP.model$Local_FAVORITE_HOMEPAGERec", "myNOS_MBP.model$Local_USER_INFORec", "myNOS_MBP.entities", "myNOS_MOB.controller$Validate_UserSession", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MOB.model$STR_TOUR_CONTENT_HTMLList"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, myNOS_MBPModel, React, OSView, myNOS_MOB_Blocks_TourContent_mvc_model, myNOS_MOB_Blocks_TourContent_mvc_controller, OSWidgets, MobilePatterns_Interaction_Animate_mvc_view, MobilePatterns_Utilities_SwipeEvents_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Blocks.TourContent";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [MobilePatterns_Interaction_Animate_mvc_view, MobilePatterns_Utilities_SwipeEvents_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Blocks_TourContent_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Blocks_TourContent_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "onBoarding",
visible: true,
_idProps: {
service: idService,
name: "onBoarding"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: true,
style: "o-onBoardingSkip",
visible: (model.variables.stepIndexVar < (model.variables.getHtmlContentDataAct.hTMLOut.length - 1)),
_idProps: {
service: idService,
uuid: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
visible_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getHtmlContentDataAct.dataFetchStatusAttr)
}, React.createElement(OSWidgets.Link, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.jump$Action(controller.callContext(eventHandlerContext));
});
;
},
style: "a-link mt-40",
visible: true,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Saltar")), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "o-onBoardingContent",
visible: true,
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
style: model.getCachedValue(idService.getId("i30eOvNAv0SabqQTY22+LA.style"), function () {
return ((!(model.variables.auxVar)) ? ("height:0px;") : (""));
}, function () {
return model.variables.auxVar;
})
},
visible: true,
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobilePatterns_Interaction_Animate_mvc_view, {
inputs: {
Speed: model.variables.animationSpeedInUseVar,
AnimationType: model.getCachedValue(idService.getId("QUHEbK3_ZEWJdwCrItp4Jg.AnimationType"), function () {
return ((model.variables.auxVar) ? (model.variables.animationInUseVar) : (model.variables.animationNotInUseVar));
}, function () {
return model.variables.auxVar;
}, function () {
return model.variables.animationInUseVar;
}, function () {
return model.variables.animationNotInUseVar;
})
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "5",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
content: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
name: "Container_HtmlContentOne"
},
_widgetRecordProvider: widgetsRecordProvider
})];
})
},
_dependencies: []
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
style: model.getCachedValue(idService.getId("JCRoTZNKT0uJSz3GxqjXrw.style"), function () {
return ((model.variables.auxVar) ? ("height:0px;") : (""));
}, function () {
return model.variables.auxVar;
})
},
visible: true,
_idProps: {
service: idService,
uuid: "7"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobilePatterns_Interaction_Animate_mvc_view, {
inputs: {
Speed: model.variables.animationSpeedInUseVar,
AnimationType: model.getCachedValue(idService.getId("zJxZyzsiq0SLoXRB+9Otkw.AnimationType"), function () {
return ((!(model.variables.auxVar)) ? (model.variables.animationInUseVar) : (model.variables.animationNotInUseVar));
}, function () {
return model.variables.auxVar;
}, function () {
return model.variables.animationInUseVar;
}, function () {
return model.variables.animationNotInUseVar;
})
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "8",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
content: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
name: "Container_HtmlContentTwo"
},
_widgetRecordProvider: widgetsRecordProvider
})];
})
},
_dependencies: []
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "m-carousel -onlyDots",
visible: true,
_idProps: {
service: idService,
uuid: "10"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "OSBlockWidget",
visible: true,
_idProps: {
service: idService,
uuid: "11"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "carousel",
visible: true,
_idProps: {
service: idService,
uuid: "12"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "carousel-dots-container",
visible: true,
_idProps: {
service: idService,
uuid: "13"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.List, {
animateItems: true,
mode: /*Default*/ 0,
source: model.variables.getHtmlContentDataAct.hTMLOut,
style: "ma-auto",
tag: "div",
_idProps: {
service: idService,
name: "ListDots2"
},
_widgetRecordProvider: widgetsRecordProvider,
source_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getHtmlContentDataAct.dataFetchStatusAttr),
placeholders: {
content: new IteratorPlaceholderContent(function (idService, callContext) {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
className: model.getCachedValue(idService.getId("hLy0dnjDkEGCXTu+3IiBeA.class"), function () {
return ("carousel-dot" + (((model.variables.getHtmlContentDataAct.hTMLOut.getCurrentRowNumber(callContext.iterationContext) === model.variables.stepIndexVar)) ? (" active") : ("")));
}, function () {
return model.variables.getHtmlContentDataAct.hTMLOut.getCurrentRowNumber(callContext.iterationContext);
}, function () {
return model.variables.stepIndexVar;
})
},
style: "carousel-dot",
visible: true,
_idProps: {
service: idService,
uuid: "15"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}, callContext, idService, "1")
},
_dependencies: [asPrimitiveValue(model.variables.getHtmlContentDataAct.dataFetchStatusAttr), asPrimitiveValue(model.variables.stepIndexVar)]
}))), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: true,
style: "ph-24  pb-16",
visible: ((model.variables.getHtmlContentDataAct.hTMLOut.length > 0) && (model.variables.stepIndexVar >= (model.variables.getHtmlContentDataAct.hTMLOut.length - 1))),
_idProps: {
service: idService,
name: "Button"
},
_widgetRecordProvider: widgetsRecordProvider,
visible_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getHtmlContentDataAct.dataFetchStatusAttr)
}, React.createElement(OSWidgets.Button, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.onClickGoTo$Action(controller.callContext(eventHandlerContext));
});
;
},
style: "btn a-btn btn-primary -primary w-90",
visible: true,
_idProps: {
service: idService,
uuid: "17"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
value: "Avançar",
_idProps: {
service: idService,
uuid: "18"
},
_widgetRecordProvider: widgetsRecordProvider
}))))))), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "m-carousel -onlyDots",
visible: false,
_idProps: {
service: idService,
name: "HTMLCarrousel"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "OSBlockWidget",
visible: true,
_idProps: {
service: idService,
uuid: "20"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "carousel",
visible: true,
_idProps: {
service: idService,
uuid: "21"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "m-carousel -onlyDots",
visible: true,
_idProps: {
service: idService,
uuid: "22"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "OSBlockWidget",
visible: true,
_idProps: {
service: idService,
uuid: "23"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "carousel",
visible: true,
_idProps: {
service: idService,
uuid: "24"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "carousel-dots-container",
visible: true,
_idProps: {
service: idService,
uuid: "25"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.List, {
animateItems: true,
mode: /*Default*/ 0,
source: model.variables.getHtmlContentDataAct.hTMLOut,
style: "\"list list-group\"",
tag: "div",
_idProps: {
service: idService,
name: "ListDots"
},
_widgetRecordProvider: widgetsRecordProvider,
source_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getHtmlContentDataAct.dataFetchStatusAttr),
placeholders: {
content: new IteratorPlaceholderContent(function (idService, callContext) {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
className: model.getCachedValue(idService.getId("W25SbrK5I0S66VCHulvmQg.class"), function () {
return ("carousel-dot" + (((model.variables.getHtmlContentDataAct.hTMLOut.getCurrentRowNumber(callContext.iterationContext) === model.variables.stepIndexVar)) ? (" active") : ("")));
}, function () {
return model.variables.getHtmlContentDataAct.hTMLOut.getCurrentRowNumber(callContext.iterationContext);
}, function () {
return model.variables.stepIndexVar;
})
},
style: "carousel-dot",
visible: true,
_idProps: {
service: idService,
uuid: "27"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}, callContext, idService, "2")
},
_dependencies: [asPrimitiveValue(model.variables.getHtmlContentDataAct.dataFetchStatusAttr), asPrimitiveValue(model.variables.stepIndexVar)]
})))))))), React.createElement(MobilePatterns_Utilities_SwipeEvents_mvc_view, {
inputs: {
WidgetId: idService.getId("onBoarding")
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
swipeLeft$Action: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.nextPage$Action(true, controller.callContext(eventHandlerContext));
});
;
},
swipeRight$Action: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.nextPage$Action(false, controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "28",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.Blocks.TourContent.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "myNOS_MBP.model", "myNOS_MOB.languageResources", "myNOS_MOB.Blocks.TourContent.mvc$controller.GetHtmlContentOnAfterFetch.JavaScript2JS", "myNOS_MOB.Blocks.TourContent.mvc$controller.GetHtmlContentOnAfterFetch.JavaScript1JS", "myNOS_MBP.controller$setActivityLog_Visit", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.model$Local_ASSOCIATIONRecordList", "myNOS_MOB.model$Local_USERINFOLocal_FAVORITE_HOMEPAGERecordList", "myNOS_MBP.model$Local_ASSOCIATIONRec", "myNOS_MBP.model$Local_FAVORITE_HOMEPAGERec", "myNOS_MBP.model$Local_USER_INFORec", "myNOS_MBP.entities", "myNOS_MOB.controller$Validate_UserSession", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MOB.model$STR_TOUR_CONTENT_HTMLList"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, myNOS_MBPModel, myNOS_MOBLanguageResources, myNOS_MOB_Blocks_TourContent_mvc_controller_GetHtmlContentOnAfterFetch_JavaScript2JS, myNOS_MOB_Blocks_TourContent_mvc_controller_GetHtmlContentOnAfterFetch_JavaScript1JS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions
Controller.prototype.getHtmlContent$DataActRefresh = function () {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();
return controller.callDataAction("DataActionGetHtmlContent", "screenservices/myNOS_MOB/Blocks/TourContent/DataActionGetHtmlContent", "_Tzv66YAtjai5wnHa+07LA", function (b) {
model.variables.getHtmlContentDataAct.dataFetchStatusAttr = b;
}, function (json) {
model.variables.getHtmlContentDataAct.fromJS(json);
}, undefined).then(function () {
return controller._getHtmlContentOnAfterFetch$Action(true, true, controller.callContext(callContext));
});
};

Controller.prototype.dataFetchActionNames = ["getHtmlContent$DataActRefresh"];
// Client Actions
Controller.prototype._onClickGoTo$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnClickGoTo");
callContext = controller.callContext(callContext);
var getLocalASSOCIATIONSVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_ASSOCIATIONRecordList))());
var getFavoritesVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_USERINFOLocal_FAVORITE_HOMEPAGERecordList))());
return OS.Flow.executeAsyncFlow(function () {
// IsNavigatingAway = True
model.variables.isNavigatingAwayVar = true;
// Aggregate: GetLocalASSOCIATIONS
var getLocalASSOCIATIONSAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_ASSOCIATIONRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1, NULL o2, NULL o3, NULL o4, NULL o5, NULL o6, NULL o7, NULL o8, NULL o9, NULL o10, NULL o11, NULL o12, NULL o13, NULL o14, NULL o15, NULL o16, NULL o17, NULL o18, NULL o19, NULL o20, NULL o21, NULL o22, NULL o23";
} else {
selectSql += "ENLocal_ASSOCIATION.\"Id\" o0, ENLocal_ASSOCIATION.\"DisplayValue\" o1, ENLocal_ASSOCIATION.\"FriendlyName\" o2, ENLocal_ASSOCIATION.\"RoleName\" o3, ENLocal_ASSOCIATION.\"Key\" o4, ENLocal_ASSOCIATION.\"Value\" o5, ENLocal_ASSOCIATION.\"Master\" o6, ENLocal_ASSOCIATION.\"ContractDN\" o7, ENLocal_ASSOCIATION.\"AccountOwner\" o8, ENLocal_ASSOCIATION.\"AccountOwnerNIF\" o9, ENLocal_ASSOCIATION.\"AccountOwnerEmail\" o10, ENLocal_ASSOCIATION.\"AccountOwnerPhoneNr\" o11, ENLocal_ASSOCIATION.\"CustCode_ClientNumber\" o12, ENLocal_ASSOCIATION.\"AccountOwnerAddress\" o13, ENLocal_ASSOCIATION.\"IsNOSCardEligible\" o14, ENLocal_ASSOCIATION.\"ContactType\" o15, ENLocal_ASSOCIATION.\"PersonId\" o16, ENLocal_ASSOCIATION.\"CounterTelevision\" o17, ENLocal_ASSOCIATION.\"CounterInternetLandline\" o18, ENLocal_ASSOCIATION.\"CounterInternetMobile\" o19, ENLocal_ASSOCIATION.\"CounterVoiceLandline\" o20, ENLocal_ASSOCIATION.\"CounterVoiceMobile\" o21, ENLocal_ASSOCIATION.\"SuccessfullyUpdated\" o22, ENLocal_ASSOCIATION.\"IsPending\" o23";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_ASSOCIATION\" ENLocal_ASSOCIATION";
orderBySql += " ORDER BY ENLocal_ASSOCIATION.\"DisplayValue\" ASC ";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_ASSOCIATIONRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_ASSOCIATIONAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalASSOCIATIONSVar.value;
});
};
return getLocalASSOCIATIONSAggr().then(function () {
// No Local Info
return OS.Flow.executeSequence(function () {
if((!(getLocalASSOCIATIONSVar.value.listOut.isEmpty))) {
// Aggregate: GetFavorites
var getFavoritesAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_USERINFOLocal_FAVORITE_HOMEPAGERecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1, NULL o2, NULL o3, NULL o4, NULL o5, NULL o6, NULL o7, NULL o8, NULL o9, NULL o10, NULL o11, NULL o12, NULL o13, NULL o14, NULL o15, NULL o16";
} else {
selectSql += "ENLocal_FAVORITE_HOMEPAGE.\"Id\" o0, ENLocal_FAVORITE_HOMEPAGE.\"UserID\" o1, ENLocal_FAVORITE_HOMEPAGE.\"BillingAccountNumber\" o2, ENLocal_FAVORITE_HOMEPAGE.\"LocalMobileServiceId\" o3, ENLocal_FAVORITE_HOMEPAGE.\"LocalBroadbandServiceId\" o4, ENLocal_FAVORITE_HOMEPAGE.\"MustChooseBillingAccount\" o5, ENLocal_FAVORITE_HOMEPAGE.\"MustChooseMobileServiceId\" o6, ENLocal_FAVORITE_HOMEPAGE.\"MustChooseBroadbandService\" o7, ENLocal_USERINFO.\"Id\" o8, ENLocal_USERINFO.\"Contact_phone\" o9, ENLocal_USERINFO.\"Name\" o10, ENLocal_USERINFO.\"Birth_date\" o11, ENLocal_USERINFO.\"Gender\" o12, ENLocal_USERINFO.\"Username\" o13, ENLocal_USERINFO.\"Picture\" o14, ENLocal_USERINFO.\"UserId\" o15, ENLocal_USERINFO.\"DevicePixelRatio\" o16";
}
fromAndWhereSql += " FROM (\"MAIN\".\"OSUSR_85w_Local_FAVORITE_CARDS\" ENLocal_FAVORITE_HOMEPAGE Inner JOIN \"MAIN\".\"OSUSR_85w_Local_USER_INFO\" ENLocal_USERINFO ON (ENLocal_FAVORITE_HOMEPAGE.\"UserID\" = ENLocal_USERINFO.\"UserId\")) ";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_USERINFOLocal_FAVORITE_HOMEPAGERecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_FAVORITE_HOMEPAGEAttr",
"local_USER_INFOAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getFavoritesVar.value;
});
};
return getFavoritesAggr().then(function () {
// No favourites?
return OS.Flow.executeSequence(function () {
if((!(getFavoritesVar.value.listOut.isEmpty))) {
// Execute Action: setActivityLog_Visit3
model.flush();
return myNOS_MBPController.default.setActivityLog_Visit$Action(true, false, true, false, callContext).then(function () {
// Destination: /myNOS_MOB/HomePage
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/HomePage", {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Fade), callContext, true));
});
}

});
});
}

});
}).then(function () {
// Destination: /myNOS_MOB/LoadingSplash
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/LoadingSplash", {
FirstLogin: true
}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Fade), callContext, true));
});
});
};
Controller.prototype._jump$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Jump");
callContext = controller.callContext(callContext);
var validate_UserSessionVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("OnBoarding", "Saltar", 0, "", callContext).then(function () {
return OS.Flow.executeSequence(function () {
if((!(model.variables.isNavigatingAwayVar))) {
// IsNavigatingAway = True
model.variables.isNavigatingAwayVar = true;
// Execute Action: Validate_UserSession
model.flush();
return myNOS_MOBController.default.validate_UserSession$Action(callContext).then(function (value) {
validate_UserSessionVar.value = value;
}).then(function () {
// Valid Session?
if((validate_UserSessionVar.value.isValidOut)) {
// Destination: /myNOS_MOB/LoadingSplash
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/LoadingSplash", {
FirstLogin: true
}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true));
} else {
// Destination: /myNOS_MOB/PreLogin
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/PreLogin", {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true));
}

});
}

});
});
});
};
Controller.prototype._nextPage$Action = function (isForwardIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("NextPage");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.Blocks.TourContent.NextPage$vars"))());
vars.value.isForwardInLocal = isForwardIn;
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.executeSequence(function () {
if((!(model.variables.isNavigatingAwayVar))) {
// Going back and already at zero?
return OS.Flow.executeSequence(function () {
if((!((!(vars.value.isForwardInLocal) && (model.variables.stepIndexVar === 0))))) {
// Last?
return OS.Flow.executeSequence(function () {
if(((model.variables.stepIndexVar === (model.variables.getHtmlContentDataAct.hTMLOut.length - 1)))) {
// IsForward
return OS.Flow.executeSequence(function () {
if((vars.value.isForwardInLocal)) {
// AnimationInUse = RightToLeft
model.variables.animationInUseVar = myNOS_MOBModel.staticEntities.animationType.rightToLeft;
} else {
// AnimationInUse = LeftToRight
model.variables.animationInUseVar = myNOS_MOBModel.staticEntities.animationType.leftToRight;
// StepIndex = StepIndex - 1
model.variables.stepIndexVar = (model.variables.stepIndexVar - 1);
// Execute Action: GetHtmlContentOnAfterFetch3
return controller._getHtmlContentOnAfterFetch$Action(vars.value.isForwardInLocal, false, callContext).then(function () {
// Execute Action: Analytics_SendClickEvent2
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("OnBoarding", "Voltar", 0, "", callContext);
});
}

});
} else {
return OS.Flow.executeSequence(function () {
if((!(model.variables.isNavigatingAwayVar))) {
// StepIndex = If
model.variables.stepIndexVar = ((vars.value.isForwardInLocal) ? ((model.variables.stepIndexVar + 1)) : ((model.variables.stepIndexVar - 1)));
// Execute Action: GetHtmlContentOnAfterFetch2
return controller._getHtmlContentOnAfterFetch$Action(vars.value.isForwardInLocal, false, callContext).then(function () {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("OnBoarding", "Avançar", 0, "", callContext);
});
}

});
}

});
}

});
}

});
});
};
Controller.registerVariableGroupType("myNOS_MOB.Blocks.TourContent.NextPage$vars", [{
name: "IsForward",
attrName: "isForwardInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Controller.prototype._getHtmlContentOnAfterFetch$Action = function (advancingIn, firstTimeIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GetHtmlContentOnAfterFetch");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.Blocks.TourContent.GetHtmlContentOnAfterFetch$vars"))());
vars.value.advancingInLocal = advancingIn;
vars.value.firstTimeInLocal = firstTimeIn;
return OS.Flow.executeAsyncFlow(function () {
// No TourContent To Show
return OS.Flow.executeSequence(function () {
if((model.variables.getHtmlContentDataAct.hTMLOut.isEmpty)) {
// Execute Action: OnClickGoTo
return controller._onClickGoTo$Action(callContext);
} else {
if((vars.value.firstTimeInLocal)) {
controller.safeExecuteJSNode(myNOS_MOB_Blocks_TourContent_mvc_controller_GetHtmlContentOnAfterFetch_JavaScript1JS, "JavaScript1", "GetHtmlContentOnAfterFetch", {
HtmlContent: OS.DataTypes.JSConversions.basicTypeToJS(((!(model.variables.getHtmlContentDataAct.hTMLOut.isEmpty)) ? (model.variables.getHtmlContentDataAct.hTMLOut.getItem(model.variables.stepIndexVar).hTMLAttr) : ("")), OS.Types.Text, true),
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("Container_HtmlContentOne"), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
} else {
// Aux = notAux
model.variables.auxVar = !(model.variables.auxVar);
// AnimationInUse = If
model.variables.animationInUseVar = ((vars.value.advancingInLocal) ? (myNOS_MOBModel.staticEntities.animationType.rightToLeft) : (myNOS_MOBModel.staticEntities.animationType.leftToRight));
// AnimationSpeedInUse = Fast
model.variables.animationSpeedInUseVar = myNOS_MOBModel.staticEntities.speed.fast;
controller.safeExecuteJSNode(myNOS_MOB_Blocks_TourContent_mvc_controller_GetHtmlContentOnAfterFetch_JavaScript2JS, "JavaScript2", "GetHtmlContentOnAfterFetch", {
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(((model.variables.auxVar) ? (idService.getId("Container_HtmlContentOne")) : (idService.getId("Container_HtmlContentTwo"))), OS.Types.Text, true),
HtmlContent: OS.DataTypes.JSConversions.basicTypeToJS(((((model.variables.stepIndexVar + 1) <= model.variables.getHtmlContentDataAct.hTMLOut.length)) ? (model.variables.getHtmlContentDataAct.hTMLOut.getItem(model.variables.stepIndexVar).hTMLAttr) : ("")), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
}

}

});
});
};
Controller.registerVariableGroupType("myNOS_MOB.Blocks.TourContent.GetHtmlContentOnAfterFetch$vars", [{
name: "Advancing",
attrName: "advancingInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "FirstTime",
attrName: "firstTimeInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Controller.prototype._onParametersChanged$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnParametersChanged");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Refresh Query: GetHtmlContent
var result = controller.getHtmlContent$DataActRefresh();
model.flush();
return result;
});
};

Controller.prototype.onClickGoTo$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onClickGoTo$Action, callContext);

};
Controller.prototype.jump$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._jump$Action, callContext);

};
Controller.prototype.nextPage$Action = function (isForwardIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._nextPage$Action, callContext, isForwardIn);

};
Controller.prototype.getHtmlContentOnAfterFetch$Action = function (advancingIn, firstTimeIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._getHtmlContentOnAfterFetch$Action, callContext, advancingIn, firstTimeIn);

};
Controller.prototype.onParametersChanged$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onParametersChanged$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onParametersChanged$Action(callContext);

};
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});
define("myNOS_MOB.Blocks.TourContent.mvc$controller.GetHtmlContentOnAfterFetch.JavaScript2JS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var el = document.getElementById($parameters.WidgetId);
el.innerHTML = $parameters.HtmlContent;
};
});
define("myNOS_MOB.Blocks.TourContent.mvc$controller.GetHtmlContentOnAfterFetch.JavaScript1JS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var el = document.getElementById($parameters.WidgetId);
el.innerHTML = $parameters.HtmlContent;
};
});

