﻿define("myNOS_MOB.Blocks.VodMonthsList.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MOB.Blocks.VoDConsuptionsLists.mvc$model", "myNOS_MOB.model$STR_VoDLINEList", "myNOS_MOB.controller$Date_GetMonthName", "myNOS_MOB.model$STR_VoDDateList"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MOB_Blocks_VoDConsuptionsLists_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("VoDLineList", "voDLineListIn", "VoDLineList", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_VoDLINEList());
}, myNOS_MOBModel.STR_VoDLINEList), 
this.attr("_voDLineListInDataFetchStatus", "_voDLineListInDataFetchStatus", "_voDLineListInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("VoDDateList", "voDDateListIn", "VoDDateList", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_VoDDateList());
}, myNOS_MOBModel.STR_VoDDateList), 
this.attr("_voDDateListInDataFetchStatus", "_voDDateListInDataFetchStatus", "_voDDateListInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = myNOS_MOB_Blocks_VoDConsuptionsLists_mvcModel.hasValidationWidgets;
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("VoDLineList" in inputs) {
this.variables.voDLineListIn = inputs.VoDLineList;
if("_voDLineListInDataFetchStatus" in inputs) {
this.variables._voDLineListInDataFetchStatus = inputs._voDLineListInDataFetchStatus;
}

}

if("VoDDateList" in inputs) {
this.variables.voDDateListIn = inputs.VoDDateList;
if("_voDDateListInDataFetchStatus" in inputs) {
this.variables._voDDateListInDataFetchStatus = inputs._voDDateListInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Blocks.VodMonthsList.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "react", "OutSystemsReactView", "myNOS_MOB.Blocks.VodMonthsList.mvc$model", "myNOS_MOB.Blocks.VodMonthsList.mvc$controller", "OutSystemsReactWidgets", "myNOS_MOB.Blocks.VoDConsuptionsLists.mvc$view", "myNOS_MOB.model$STR_VoDLINEList", "myNOS_MOB.controller$Date_GetMonthName", "myNOS_MOB.model$STR_VoDDateList"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, React, OSView, myNOS_MOB_Blocks_VodMonthsList_mvc_model, myNOS_MOB_Blocks_VodMonthsList_mvc_controller, OSWidgets, myNOS_MOB_Blocks_VoDConsuptionsLists_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Blocks.VodMonthsList";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_Blocks_VoDConsuptionsLists_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Blocks_VodMonthsList_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Blocks_VodMonthsList_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "m-timeLine oHidden b-darkWhite",
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.List, {
animateItems: true,
gridProperties: {
classes: "OSFillParent"
},
mode: /*Default*/ 0,
source: model.variables.voDDateListIn,
style: "list list-group",
tag: "div",
_idProps: {
service: idService,
uuid: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
source_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._voDDateListInDataFetchStatus),
placeholders: {
content: new IteratorPlaceholderContent(function (idService, callContext) {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "list-itemFix",
visible: true,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: [asPrimitiveValue(model.variables.voDLineListIn), asPrimitiveValue(model.variables._voDLineListInDataFetchStatus), asPrimitiveValue(model.variables._voDDateListInDataFetchStatus), asPrimitiveValue(model.variables.voDDateListIn.getCurrent(callContext.iterationContext).yearAttr), asPrimitiveValue(model.variables.voDDateListIn.getCurrent(callContext.iterationContext).monthAttr)]
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "m-timeLine__line",
visible: true,
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "m-timeLine__label",
value: model.getCachedValue(idService.getId("pcJD+1qznUO6Ns92ScHuDw.Value"), function () {
return ((myNOS_MOBController.default.date_GetMonthName$Action(OS.BuiltinFunctions.newDate(2018, model.variables.voDDateListIn.getCurrent(callContext.iterationContext).monthAttr, 1), callContext.withoutIterationContext()).monthNameOut + " ") + (model.variables.voDDateListIn.getCurrent(callContext.iterationContext).yearAttr).toString());
}, function () {
return model.variables.voDDateListIn.getCurrent(callContext.iterationContext).monthAttr;
}, function () {
return model.variables.voDDateListIn.getCurrent(callContext.iterationContext).yearAttr;
}),
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._voDDateListInDataFetchStatus)
}), React.createElement(myNOS_MOB_Blocks_VoDConsuptionsLists_mvc_view, {
inputs: {
Year: model.variables.voDDateListIn.getCurrent(callContext.iterationContext).yearAttr,
_yearInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._voDDateListInDataFetchStatus),
VoDLineList_Input: model.variables.voDLineListIn,
_voDLineList_InputInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._voDLineListInDataFetchStatus),
Month: model.variables.voDDateListIn.getCurrent(callContext.iterationContext).monthAttr,
_monthInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._voDDateListInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "6",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})))];
}, callContext, idService, "1")
},
_dependencies: [asPrimitiveValue(model.variables.voDLineListIn), asPrimitiveValue(model.variables._voDLineListInDataFetchStatus), asPrimitiveValue(model.variables._voDDateListInDataFetchStatus)]
})));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.Blocks.VodMonthsList.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MOB.languageResources", "myNOS_MOB.model$STR_VoDLINEList", "myNOS_MOB.controller$Date_GetMonthName", "myNOS_MOB.model$STR_VoDDateList"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions


// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

