﻿define("myNOS_MOB.Card.NOSCardShare.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "MobileUIWidgets.controller", "MobilePatterns.controller", "myNOS_MBP.model", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MOB.controller$OpenExternalURL", "myNOS_MBP.controller$GetLastURL", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MBP.controller$GetLayoutLevelsAppConfigs", "myNOS_MBP.controller$ShareNOSCard", "MobileUIWidgets.controller$Success", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.model$Local_CLIENT_CARDRecordList", "myNOS_MOB.model$Local_LAYOUT_LEVELSRecordList", "myNOS_MBP.model$Local_CLIENT_CARDRec", "myNOS_MBP.model$Local_LAYOUT_LEVELSRec", "myNOS_MBP.entities", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "myNOS_MOB.model$Local_SELECTIONRecordList", "myNOS_MBP.model$Local_SELECTIONRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, MobileUIWidgetsController, MobilePatternsController, myNOS_MBPModel) {
var OS = OutSystems.Internal;
var GetLocalSELECTIONSAggrRec = (function (_super) {
__extends(GetLocalSELECTIONSAggrRec, _super);
function GetLocalSELECTIONSAggrRec(defaults) {
_super.apply(this, arguments);
}
GetLocalSELECTIONSAggrRec.RecordListType = myNOS_MOBModel.Local_SELECTIONRecordList;
GetLocalSELECTIONSAggrRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetLocalSELECTIONSAggrRec.init();
return GetLocalSELECTIONSAggrRec;
})(OS.Model.AggregateRecord);


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("IsOpen", "isOpenVar", "IsOpen", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("Username", "usernameVar", "Username", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Email", "emailVar", "Email", true, OS.Types.Email, function () {
return "";
}), 
this.attr("RedirectHelpURL", "redirectHelpURLVar", "RedirectHelpURL", true, OS.Types.Text, function () {
return "";
}), 
this.attr("DisplayText", "displayTextVar", "DisplayText", true, OS.Types.Text, function () {
return "";
}), 
this.attr("isLoading", "isLoadingVar", "isLoading", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("InitialStatusBarCode", "initialStatusBarCodeVar", "InitialStatusBarCode", true, OS.Types.Text, function () {
return myNOS_MOBModel.staticEntities.hEX_COLORS.blueDark;
}), 
this.attr("CardId", "cardIdIn", "CardId", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("_cardIdInDataFetchStatus", "_cardIdInDataFetchStatus", "_cardIdInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("EnablePreviousScreenLink", "enablePreviousScreenLinkIn", "EnablePreviousScreenLink", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_enablePreviousScreenLinkInDataFetchStatus", "_enablePreviousScreenLinkInDataFetchStatus", "_enablePreviousScreenLinkInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("GetLocalSELECTIONS", "getLocalSELECTIONSAggr", "getLocalSELECTIONSAggr", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetLocalSELECTIONSAggrRec());
}, GetLocalSELECTIONSAggrRec)
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {
Input_TextVar: OS.Model.ValidationWidgetRecord,
Input_TextVar2: OS.Model.ValidationWidgetRecord
};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return true;
}
});

Model.prototype.setInputs = function (inputs) {
if("CardId" in inputs) {
this.variables.cardIdIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.CardId, OS.Types.Integer);
}

if("EnablePreviousScreenLink" in inputs) {
this.variables.enablePreviousScreenLinkIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.EnablePreviousScreenLink, OS.Types.Boolean);
}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Card.NOSCardShare.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "MobileUIWidgets.controller", "MobilePatterns.controller", "myNOS_MBP.model", "react", "OutSystemsReactView", "myNOS_MOB.Card.NOSCardShare.mvc$model", "myNOS_MOB.Card.NOSCardShare.mvc$controller", "myNOS_MOB.Common.Waiting.mvc$view", "OutSystemsReactWidgets", "myNOS_MOB.CommonLayout.Layout_Lvl_3.mvc$view", "myNOS_MOB.CommonLayout.Header_L_Lvl_3.mvc$view", "myNOS_MOB.CommonLayout.Header_Title.mvc$view", "myNOS_MOB.Blocks.IntroText.mvc$view", "MobileUIWidgets.WidgetsContent.Card_new.mvc$view", "MobileUIWidgets.WidgetsContent.SectionExpandable_new.mvc$view", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$view", "MobileUIWidgets.WidgetsContent.ButtonRipple.mvc$view", "myNOS_MOB.Common.BottomLvl3.mvc$view", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MOB.controller$OpenExternalURL", "myNOS_MBP.controller$GetLastURL", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MBP.controller$GetLayoutLevelsAppConfigs", "myNOS_MBP.controller$ShareNOSCard", "MobileUIWidgets.controller$Success", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.model$Local_CLIENT_CARDRecordList", "myNOS_MOB.model$Local_LAYOUT_LEVELSRecordList", "myNOS_MBP.model$Local_CLIENT_CARDRec", "myNOS_MBP.model$Local_LAYOUT_LEVELSRec", "myNOS_MBP.entities", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "myNOS_MOB.model$Local_SELECTIONRecordList", "myNOS_MBP.model$Local_SELECTIONRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, MobileUIWidgetsController, MobilePatternsController, myNOS_MBPModel, React, OSView, myNOS_MOB_Card_NOSCardShare_mvc_model, myNOS_MOB_Card_NOSCardShare_mvc_controller, myNOS_MOB_Common_Waiting_mvc_view, OSWidgets, myNOS_MOB_CommonLayout_Layout_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_Title_mvc_view, myNOS_MOB_Blocks_IntroText_mvc_view, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvc_view, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, myNOS_MOB_Common_BottomLvl3_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Card.NOSCardShare";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css", "css/MobilePatterns.BaseTheme.css", "css/MobileThemes_MyNos.NOS_BaseTheme.css", "css/MobileThemes_MyNos.NOS_LightTheme.css", "css/myNOS_MOB.myNOS_MOB.css", "css/MobilePatterns.BaseTheme.extra.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_Common_Waiting_mvc_view, myNOS_MOB_CommonLayout_Layout_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_Title_mvc_view, myNOS_MOB_Blocks_IntroText_mvc_view, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvc_view, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, myNOS_MOB_Common_BottomLvl3_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Card_NOSCardShare_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Card_NOSCardShare_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "Partilhar Cartao NOS";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(myNOS_MOB_Common_Waiting_mvc_view, {
inputs: {
IsLoading: model.variables.isLoadingVar,
InitialStatusBarCode: model.variables.initialStatusBarCodeVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}), React.createElement(myNOS_MOB_CommonLayout_Layout_Lvl_3_mvc_view, {
inputs: {
IsNotErrorPage: true,
PageNameUrl: "ChargePhone",
KeepFeedbackMsg: true,
MasterColorId: myNOS_MOBModel.staticEntities.mASTER_COLOR.blueDark,
PageSection: "Cartao NOS",
PageTitle: "Partilhar Cartao NOS",
StatusBarHexCode: model.variables.initialStatusBarCodeVar,
PageType: "Operacao"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
isConnectedEvent$Action: function (isConnectedIn) {
var eventHandlerContext = callContext.clone();
controller.layout_Lvl_3IsConnectedEvent$Action(controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
headerLeft: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvc_view, {
inputs: {
UseConfirmationMessage: model.getCachedValue(idService.getId("XUdpJGlByECdEGM8jVJc+A.UseConfirmationMessage"), function () {
return (((((model.variables.usernameVar) !== ("")) || ((model.variables.emailVar) !== ("")))) ? (true) : (false));
}, function () {
return model.variables.usernameVar;
}, function () {
return model.variables.emailVar;
}),
EnablePreviousScreenLink: model.variables.enablePreviousScreenLinkIn
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "2",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}),
headerTitle: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_CommonLayout_Header_Title_mvc_view, {
inputs: {
Title: "Partilhar Cartão NOS"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "3",
alias: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}),
headerRight: PlaceholderContent.Empty,
headerContent: PlaceholderContent.Empty,
content: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_Blocks_IntroText_mvc_view, {
inputs: {
Text: "Indique o nome e o e-mail do familiar que irá utilizar o cartão."
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "4",
alias: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "ph-16 mb-24",
visible: true,
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasRightSide: false,
StyleClass: "-paddingEqual",
HasLeftSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "6",
alias: "6"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "7"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.AdvancedHtml, {
tag: "h3",
_idProps: {
service: idService,
uuid: "8"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "h3 c-darkGray",
value: "Nome do familiar",
_idProps: {
service: idService,
uuid: "9"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Input, {
_validationProps: {
validationService: validationService
},
enabled: true,
extendedProperties: {
"data-input": ""
},
gridProperties: {
classes: "OSFillParent"
},
inputType: /*Text*/ 0,
mandatory: false,
maxLength: 50,
style: "form-control a-input mt-8",
variable: model.createVariable(OS.Types.Text, model.variables.usernameVar, function (value) {
model.variables.usernameVar = value;
}),
_idProps: {
service: idService,
name: "Input_TextVar"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-24",
visible: true,
_idProps: {
service: idService,
uuid: "11"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.AdvancedHtml, {
tag: "h3",
_idProps: {
service: idService,
uuid: "12"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "h3 c-darkGray",
value: "E-mail",
_idProps: {
service: idService,
uuid: "13"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Input, {
_validationProps: {
validationService: validationService
},
enabled: true,
extendedProperties: {
"data-input": ""
},
gridProperties: {
classes: "OSFillParent"
},
inputType: /*Email*/ 7,
mandatory: true,
maxLength: 50,
style: "form-control a-input mt-8",
variable: model.createVariable(OS.Types.Email, model.variables.emailVar, function (value) {
model.variables.emailVar = value;
}),
_idProps: {
service: idService,
name: "Input_TextVar2"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.emailVar), asPrimitiveValue(model.variables.usernameVar)]
}), React.createElement(MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvc_view, {
inputs: {
HasIcon: false,
StyleClass: "-noBottom",
IsExpanded: model.variables.isOpenVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
onToggle$Action: function (isExpandedIn) {
var eventHandlerContext = callContext.clone();
controller.sectionExpandable_newOnToggle$Action(controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "15",
alias: "7"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
title: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "text-center pv-12",
visible: true,
_idProps: {
service: idService,
uuid: "16"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Text, {
style: "a-textRead c-black -inline",
text: ["Condições de utilização"],
_idProps: {
service: idService,
uuid: "17"
},
_widgetRecordProvider: widgetsRecordProvider
}), $if(model.variables.isOpenVar, false, this, function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
IconName: myNOS_MOBModel.staticEntities.iCON_CLASS.iconArrowUp,
IconSize: myNOS_MOBModel.staticEntities.iCON_SIZE.small,
StyleClass: "ml-12 c-black va-middle"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "18",
alias: "8"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}, function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
StyleClass: "ml-12 c-black va-middle",
IconName: myNOS_MOBModel.staticEntities.iCON_CLASS.iconArrowDown,
IconSize: myNOS_MOBModel.staticEntities.iCON_SIZE.small
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "19",
alias: "9"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}))];
}),
content: new PlaceholderContent(function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
StyleClass: "-paddingEqual",
HasRightSide: false,
HasLeftSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "20",
alias: "10"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "21"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead",
value: "O Cartão NOS pode ser utilizado pelos filhos, cônjuge, companheiro(a) e enteados dos titulares, desde que seja apresentado o documento de identificação necessário juntamente com o Cartão NOS.",
_idProps: {
service: idService,
uuid: "22"
},
_widgetRecordProvider: widgetsRecordProvider
}), $if(((model.variables.redirectHelpURLVar) !== ("")), false, this, function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "23",
alias: "11"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: !(model.variables.isLoadingVar),
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.redirectHelp$Action(controller.callContext(eventHandlerContext));
});
;
},
style: "btn a-btn btn-primary -primary -external -transparent mt-16 -fullWidth",
visible: true,
_idProps: {
service: idService,
uuid: "24"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Ajuda Cartão NOS", React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
IconSize: myNOS_MOBModel.staticEntities.iCON_SIZE.xSmall,
StyleClass: "ml-8",
IconName: myNOS_MOBModel.staticEntities.iCON_CLASS.iconExternalLink
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "25",
alias: "12"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "26"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: [asPrimitiveValue(model.variables.isLoadingVar)]
})];
}, function () {
return [];
}))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.isLoadingVar), asPrimitiveValue(model.variables.redirectHelpURLVar)]
})];
})
},
_dependencies: [asPrimitiveValue(model.variables.isLoadingVar), asPrimitiveValue(model.variables.redirectHelpURLVar), asPrimitiveValue(model.variables.isOpenVar)]
}))];
}),
bottom: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_Common_BottomLvl3_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "27",
alias: "13"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
content: new PlaceholderContent(function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "28",
alias: "14"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: !(model.variables.isLoadingVar),
onClick: function () {
_this.validateWidget("");
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.shareCard$Action(controller.callContext(eventHandlerContext));
});

;
},
style: "btn a-btn btn-primary -primary w-100",
visible: true,
_idProps: {
service: idService,
uuid: "29"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Partilhar", React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "30"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: [asPrimitiveValue(model.variables.isLoadingVar)]
})];
})
},
_dependencies: [asPrimitiveValue(model.variables.isLoadingVar)]
})];
})
},
_dependencies: [asPrimitiveValue(model.variables.isLoadingVar), asPrimitiveValue(model.variables.redirectHelpURLVar), asPrimitiveValue(model.variables.isOpenVar), asPrimitiveValue(model.variables.enablePreviousScreenLinkIn), asPrimitiveValue(model.variables.emailVar), asPrimitiveValue(model.variables.usernameVar)]
}));
        };
        return View;
    })(OSView.BaseView.BaseWebScreen);
	
    return View;
});
define("myNOS_MOB.Card.NOSCardShare.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "MobileUIWidgets.controller", "MobilePatterns.controller", "myNOS_MBP.model", "myNOS_MOB.languageResources", "myNOS_MOB.Card.controller", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MOB.controller$OpenExternalURL", "myNOS_MBP.controller$GetLastURL", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MBP.controller$GetLayoutLevelsAppConfigs", "myNOS_MBP.controller$ShareNOSCard", "MobileUIWidgets.controller$Success", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.model$Local_CLIENT_CARDRecordList", "myNOS_MOB.model$Local_LAYOUT_LEVELSRecordList", "myNOS_MBP.model$Local_CLIENT_CARDRec", "myNOS_MBP.model$Local_LAYOUT_LEVELSRec", "myNOS_MBP.entities", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "myNOS_MOB.model$Local_SELECTIONRecordList", "myNOS_MBP.model$Local_SELECTIONRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, MobileUIWidgetsController, MobilePatternsController, myNOS_MBPModel, myNOS_MOBLanguageResources, myNOS_MOB_CardController) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions
Controller.prototype.getLocalSELECTIONS$AggrRefresh = function (maxRecords) {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();

var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_SELECTIONRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 50;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "ENLocal_SELECTION.\"Id\" o0, ENLocal_SELECTION.\"LocalAssociationId\" o1, ENLocal_SELECTION.\"LocalServiceId\" o2, ENLocal_SELECTION.\"LocalBillingAccountNumber\" o3, ENLocal_SELECTION.\"IsRecharge\" o4, ENLocal_SELECTION.\"IsBalance\" o5, ENLocal_SELECTION.\"IsVoD\" o6, ENLocal_SELECTION.\"IsInvoice\" o7, ENLocal_SELECTION.\"IsTelevision\" o8, ENLocal_SELECTION.\"IsPinPuk\" o9, ENLocal_SELECTION.\"IsPackagesOrRefill\" o10, ENLocal_SELECTION.\"IsAccountDetails\" o11, ENLocal_SELECTION.\"isPrivacy\" o12, ENLocal_SELECTION.\"PrivacyNIF\" o13";
} else {
selectSql += "ENLocal_SELECTION.\"Id\" o0, ENLocal_SELECTION.\"LocalAssociationId\" o1, ENLocal_SELECTION.\"LocalServiceId\" o2, ENLocal_SELECTION.\"LocalBillingAccountNumber\" o3, ENLocal_SELECTION.\"IsRecharge\" o4, ENLocal_SELECTION.\"IsBalance\" o5, ENLocal_SELECTION.\"IsVoD\" o6, ENLocal_SELECTION.\"IsInvoice\" o7, ENLocal_SELECTION.\"IsTelevision\" o8, ENLocal_SELECTION.\"IsPinPuk\" o9, ENLocal_SELECTION.\"IsPackagesOrRefill\" o10, ENLocal_SELECTION.\"IsAccountDetails\" o11, ENLocal_SELECTION.\"isPrivacy\" o12, ENLocal_SELECTION.\"PrivacyNIF\" o13";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_SELECTIONS\" ENLocal_SELECTION";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_SELECTIONRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_SELECTIONAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeScreenClientAggregate(executeQuery, function () {
return model.variables.getLocalSELECTIONSAggr;
}, function () {
});
};

Controller.prototype.dataFetchActionNames = ["getLocalSELECTIONS$AggrRefresh"];
// Client Actions
Controller.prototype._redirectHelp$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("RedirectHelp");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("Partilhar_cartao", "Ajuda_cartao_nos", 0, "", callContext).then(function () {
// Execute Action: OpenExternalURL
myNOS_MOBController.default.openExternalURL$Action(model.variables.redirectHelpURLVar, callContext);
});
});
};
Controller.prototype._layout_Lvl_3IsConnectedEvent$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Layout_Lvl_3IsConnectedEvent");
callContext = controller.callContext(callContext);
};
Controller.prototype._shareCard$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("ShareCard");
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var getLastURLVar = new OS.DataTypes.VariableHolder();
var getLayoutLevelsAppConfigsVar = new OS.DataTypes.VariableHolder();
var shareNOSCardVar = new OS.DataTypes.VariableHolder();
var getLocalCLIENTCARDSByCardNumberVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_CLIENT_CARDRecordList))());
var getLocalLAYOUTLEVELSByLevelVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_LAYOUT_LEVELSRecordList))());
return OS.Flow.executeAsyncFlow(function () {
// Aggregate: GetLocalCLIENTCARDSByCardNumber
var getLocalCLIENTCARDSByCardNumberAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_CLIENT_CARDRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 0;
}

var qpinId = model.variables.cardIdIn;

var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1, NULL o2, NULL o3, NULL o4, NULL o5, NULL o6, NULL o7, NULL o8, NULL o9, NULL o10";
} else {
selectSql += "ENLocal_CLIENT_CARD.\"Id\" o0, ENLocal_CLIENT_CARD.\"ClientName\" o1, ENLocal_CLIENT_CARD.\"CardNumber\" o2, ENLocal_CLIENT_CARD.\"UserID\" o3, ENLocal_CLIENT_CARD.\"ClientNumber\" o4, ENLocal_CLIENT_CARD.\"UpdateDateTime\" o5, ENLocal_CLIENT_CARD.\"IsDelegated\" o6, ENLocal_CLIENT_CARD.\"CanBeDelegated\" o7, ENLocal_CLIENT_CARD.\"RegisterDateTime\" o8, ENLocal_CLIENT_CARD.\"QRCardID\" o9, ENLocal_CLIENT_CARD.\"AccountId\" o10";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_CLIENT_CARD\" ENLocal_CLIENT_CARD";
fromAndWhereSql += " WHERE (ENLocal_CLIENT_CARD.\"Id\" = (:qpinId))";
orderBySql += " ORDER BY ENLocal_CLIENT_CARD.\"ClientName\" ASC ";
argsList.add("qpinId", /*INTEGER*/ 3, qpinId);
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_CLIENT_CARDRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_CLIENT_CARDAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalCLIENTCARDSByCardNumberVar.value;
});
};
return getLocalCLIENTCARDSByCardNumberAggr().then(function () {
return OS.Flow.executeSequence(function () {
if((MobilePatternsController.default.getNetworkStatus$Action(callContext.withoutIterationContext()).isOnlineOut)) {
return OS.Flow.executeSequence(function () {
if((OS.BuiltinFunctions.emailAddressValidate(model.variables.emailVar))) {
// Input_TextVar2.Valid = True
model.widgets.get(idService.getId("Input_TextVar2")).validAttr = true;
// isLoading = True
model.variables.isLoadingVar = true;
// Execute Action: ShareNOSCard
model.flush();
return myNOS_MBPController.default.shareNOSCard$Action(model.variables.getLocalSELECTIONSAggr.listOut.getCurrent(callContext.iterationContext).local_SELECTIONAttr.localAssociationIdAttr, getLocalCLIENTCARDSByCardNumberVar.value.listOut.getCurrent(callContext.iterationContext).local_CLIENT_CARDAttr.accountIdAttr, model.variables.usernameVar, model.variables.emailVar, callContext).then(function (value) {
shareNOSCardVar.value = value;
}).then(function () {
// isLoading = False
model.variables.isLoadingVar = false;
}).then(function () {
return OS.Flow.executeSequence(function () {
if((shareNOSCardVar.value.successOut)) {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("Partilhar_cartao", "Confirmar_partilha", 0, "", callContext).then(function () {
// Execute Action: Success24
MobileUIWidgetsController.default.success$Action(shareNOSCardVar.value.messageOut, callContext);
// Execute Action: GetLayoutLevelsAppConfigs
model.flush();
return myNOS_MBPController.default.getLayoutLevelsAppConfigs$Action(callContext).then(function (value) {
getLayoutLevelsAppConfigsVar.value = value;
});
}).then(function () {
// Aggregate: GetLocalLAYOUTLEVELSByLevel
var getLocalLAYOUTLEVELSByLevelAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_LAYOUT_LEVELSRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}

var qpstLevel = getLayoutLevelsAppConfigsVar.value.lvl3Out;

var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1, NULL o2";
} else {
selectSql += "ENLocal_LAYOUT_LEVELS.\"Id\" o0, ENLocal_LAYOUT_LEVELS.\"Label\" o1, ENLocal_LAYOUT_LEVELS.\"Level\" o2";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_LAYOUT_LEVELS\" ENLocal_LAYOUT_LEVELS";
fromAndWhereSql += " WHERE (ENLocal_LAYOUT_LEVELS.\"Level\" = :qpstLevel)";
argsList.add("qpstLevel", /*TEXT*/ 0, qpstLevel);
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_LAYOUT_LEVELSRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_LAYOUT_LEVELSAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalLAYOUTLEVELSByLevelVar.value;
});
};
return getLocalLAYOUTLEVELSByLevelAggr();
}).then(function () {
// Execute Action: GetLastURL
model.flush();
return myNOS_MBPController.default.getLastURL$Action(getLocalLAYOUTLEVELSByLevelVar.value.listOut.getCurrent(callContext.iterationContext).local_LAYOUT_LEVELSAttr.idAttr, callContext).then(function (value) {
getLastURLVar.value = value;
});
}).then(function () {
// Destination: /myNOS_MOB/
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL(getLastURLVar.value.uRLOut, {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.SlideFromLeft), callContext, true));
});
} else {
// Execute Action: Error2
MobileUIWidgetsController.default.error$Action(shareNOSCardVar.value.messageOut, callContext);
}

});
});
} else {
// Input_TextVar2.Valid = False
model.widgets.get(idService.getId("Input_TextVar2")).validAttr = false;
// Input_TextVar2.ValidationMessage = "Formato de e-mail inválido"
model.widgets.get(idService.getId("Input_TextVar2")).validationMessageAttr = "Formato de e-mail inválido";
}

});
} else {
// Destination: /myNOS_MOB/NoConnection
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/NoConnection", {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true));
}

});
});
}).catch(function (ex) {
OS.Logger.trace("NOSCardShare.ShareCard", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// isLoading = False
model.variables.isLoadingVar = false;
return OS.Flow.returnAsync();

});
}

throw ex;
});
};
Controller.prototype._sectionExpandable_newOnToggle$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("SectionExpandable_newOnToggle");
callContext = controller.callContext(callContext);
// IsOpen = notIsOpen
model.variables.isOpenVar = !(model.variables.isOpenVar);
};
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
var getTermsOfUseConfigVar = new OS.DataTypes.VariableHolder();
var getNOSCard_HelpURLVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: GetNOSCard_HelpURL
model.flush();
return myNOS_MBPController.default.getConfigValueAsText_MBP$Action("NOSCard_HelpURL", callContext).then(function (value) {
getNOSCard_HelpURLVar.value = value;
}).then(function () {
// Execute Action: GetTermsOfUseConfig
model.flush();
return myNOS_MBPController.default.getConfigValueAsText_MBP$Action("NOSCard_TermsOfUse", callContext).then(function (value) {
getTermsOfUseConfigVar.value = value;
});
}).then(function () {
// RedirectHelpURL = GetNOSCard_HelpURL.Value
model.variables.redirectHelpURLVar = getNOSCard_HelpURLVar.value.valueOut;
// DisplayText = GetTermsOfUseConfig.Value
model.variables.displayTextVar = getTermsOfUseConfigVar.value.valueOut;
});
});
};

Controller.prototype.redirectHelp$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._redirectHelp$Action, callContext);

};
Controller.prototype.layout_Lvl_3IsConnectedEvent$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._layout_Lvl_3IsConnectedEvent$Action, callContext);

};
Controller.prototype.shareCard$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._shareCard$Action, callContext);

};
Controller.prototype.sectionExpandable_newOnToggle$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._sectionExpandable_newOnToggle$Action, callContext);

};
Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return myNOS_MOB_CardController.default.handleError(ex, this.callContext());
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

