﻿define("myNOS_MOB.Client.FAQ.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "MobileUIWidgets.controller", "MobilePatterns.controller", "myNOS_MBP.model", "myNOS_MOB.Common.Waiting.mvc$model", "myNOS_MOB.CommonLayout.Layout_Lvl_3.mvc$model", "myNOS_MOB.CommonLayout.Header_L_Lvl_3.mvc$model", "myNOS_MOB.CommonLayout.Header_Title.mvc$model", "MobileUIWidgets.WidgetsContent.Card_new.mvc$model", "MobileUIWidgets.WidgetsContent.SectionExpandable_new.mvc$model", "myNOS_MOB.controller$Firebase_StartTrace", "myNOS_MBP.controller$GetAppFAQs", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.controller$Analytics_TrackException", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.model$Local_APP_FAQSRecordList", "myNOS_MBP.model$Local_APP_FAQSRec", "myNOS_MBP.entities", "myNOS_MOB.controller$GoogleAnalyticsWeb_TrackTime", "myNOS_MOB.controller$Firebase_StopTrace"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, MobileUIWidgetsController, MobilePatternsController, myNOS_MBPModel, myNOS_MOB_Common_Waiting_mvcModel, myNOS_MOB_CommonLayout_Layout_Lvl_3_mvcModel, myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvcModel, myNOS_MOB_CommonLayout_Header_Title_mvcModel, MobileUIWidgets_WidgetsContent_Card_new_mvcModel, MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvcModel) {
var OS = OutSystems.Internal;
var GetLocalAPPFAQSAggrRec = (function (_super) {
__extends(GetLocalAPPFAQSAggrRec, _super);
function GetLocalAPPFAQSAggrRec(defaults) {
_super.apply(this, arguments);
}
GetLocalAPPFAQSAggrRec.RecordListType = myNOS_MOBModel.Local_APP_FAQSRecordList;
GetLocalAPPFAQSAggrRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetLocalAPPFAQSAggrRec.init();
return GetLocalAPPFAQSAggrRec;
})(OS.Model.AggregateRecord);


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("IsLoading", "isLoadingVar", "IsLoading", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("PageTitle", "pageTitleVar", "PageTitle", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Trace_StartAt", "trace_StartAtVar", "Trace_StartAt", true, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("InitialStatusBarCode", "initialStatusBarCodeVar", "InitialStatusBarCode", true, OS.Types.Text, function () {
return myNOS_MOBModel.staticEntities.hEX_COLORS.blueLight;
}), 
this.attr("EnablePreviousScreenLink", "enablePreviousScreenLinkIn", "EnablePreviousScreenLink", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_enablePreviousScreenLinkInDataFetchStatus", "_enablePreviousScreenLinkInDataFetchStatus", "_enablePreviousScreenLinkInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("GetLocalAPPFAQS", "getLocalAPPFAQSAggr", "getLocalAPPFAQSAggr", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetLocalAPPFAQSAggrRec());
}, GetLocalAPPFAQSAggrRec)
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = (((((myNOS_MOB_Common_Waiting_mvcModel.hasValidationWidgets || myNOS_MOB_CommonLayout_Layout_Lvl_3_mvcModel.hasValidationWidgets) || myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvcModel.hasValidationWidgets) || myNOS_MOB_CommonLayout_Header_Title_mvcModel.hasValidationWidgets) || MobileUIWidgets_WidgetsContent_Card_new_mvcModel.hasValidationWidgets) || MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("EnablePreviousScreenLink" in inputs) {
this.variables.enablePreviousScreenLinkIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.EnablePreviousScreenLink, OS.Types.Boolean);
}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Client.FAQ.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "MobileUIWidgets.controller", "MobilePatterns.controller", "myNOS_MBP.model", "react", "OutSystemsReactView", "myNOS_MOB.Client.FAQ.mvc$model", "myNOS_MOB.Client.FAQ.mvc$controller", "myNOS_MOB.Common.Waiting.mvc$view", "OutSystemsReactWidgets", "myNOS_MOB.CommonLayout.Layout_Lvl_3.mvc$view", "myNOS_MOB.CommonLayout.Header_L_Lvl_3.mvc$view", "myNOS_MOB.CommonLayout.Header_Title.mvc$view", "MobileUIWidgets.WidgetsContent.Card_new.mvc$view", "MobileUIWidgets.WidgetsContent.SectionExpandable_new.mvc$view", "myNOS_MOB.controller$Firebase_StartTrace", "myNOS_MBP.controller$GetAppFAQs", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.controller$Analytics_TrackException", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.model$Local_APP_FAQSRecordList", "myNOS_MBP.model$Local_APP_FAQSRec", "myNOS_MBP.entities", "myNOS_MOB.controller$GoogleAnalyticsWeb_TrackTime", "myNOS_MOB.controller$Firebase_StopTrace"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, MobileUIWidgetsController, MobilePatternsController, myNOS_MBPModel, React, OSView, myNOS_MOB_Client_FAQ_mvc_model, myNOS_MOB_Client_FAQ_mvc_controller, myNOS_MOB_Common_Waiting_mvc_view, OSWidgets, myNOS_MOB_CommonLayout_Layout_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_Title_mvc_view, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Client.FAQ";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css", "css/MobilePatterns.BaseTheme.css", "css/MobileThemes_MyNos.NOS_BaseTheme.css", "css/MobileThemes_MyNos.NOS_LightTheme.css", "css/myNOS_MOB.myNOS_MOB.css", "css/MobilePatterns.BaseTheme.extra.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_Common_Waiting_mvc_view, myNOS_MOB_CommonLayout_Layout_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_Title_mvc_view, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Client_FAQ_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Client_FAQ_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(myNOS_MOB_Common_Waiting_mvc_view, {
inputs: {
IsLoading: model.variables.isLoadingVar,
InitialStatusBarCode: model.variables.initialStatusBarCodeVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}), React.createElement(myNOS_MOB_CommonLayout_Layout_Lvl_3_mvc_view, {
inputs: {
MasterColorId: myNOS_MOBModel.staticEntities.mASTER_COLOR.blueLight,
PageSection: "GuiaApp",
IsNotErrorPage: true,
PageNameUrl: "FAQ",
PageType: "Consulta",
PageTitle: "GuiaApp",
StatusBarHexCode: model.variables.initialStatusBarCodeVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
isConnectedEvent$Action: function (isConnectedIn) {
var eventHandlerContext = callContext.clone();
controller.layout_Lvl_3IsConnectedEvent$Action(controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
headerLeft: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvc_view, {
inputs: {
UseConfirmationMessage: false,
EnablePreviousScreenLink: model.variables.enablePreviousScreenLinkIn
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "2",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}),
headerTitle: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_CommonLayout_Header_Title_mvc_view, {
inputs: {
Title: "Ajuda da app"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "3",
alias: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}),
headerRight: PlaceholderContent.Empty,
headerContent: PlaceholderContent.Empty,
content: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "ph-16 mt-16 mb-24",
visible: true,
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mb-32",
visible: true,
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.AdvancedHtml, {
extendedProperties: {
className: "mb-16"
},
tag: "h3",
_idProps: {
service: idService,
uuid: "6"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "h3 c-black -bold",
value: model.variables.pageTitleVar,
_idProps: {
service: idService,
uuid: "7"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.List, {
animateItems: true,
gridProperties: {
classes: "OSFillParent"
},
mode: /*Default*/ 0,
source: model.variables.getLocalAPPFAQSAggr.listOut,
style: "list list-group",
tag: "div",
_idProps: {
service: idService,
uuid: "8"
},
_widgetRecordProvider: widgetsRecordProvider,
source_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getLocalAPPFAQSAggr.dataFetchStatusAttr),
placeholders: {
content: new IteratorPlaceholderContent(function (idService, callContext) {
return [React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
StyleClass: "-paddingEqual mb-2",
HasLeftSide: false,
HasRightSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "9",
alias: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvc_view, {
inputs: {
ArrowStyleClass: " a-icon -xSmall -noTop",
IsTitleTruncated: false,
StyleClass: "-noBorder -titleSpacer",
HasIcon: true
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "10",
alias: "6"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
title: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "c-mediumWhite",
visible: true,
_idProps: {
service: idService,
uuid: "11"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.AdvancedHtml, {
tag: "h3",
_idProps: {
service: idService,
uuid: "12"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "h3 c-darkGray -bold",
value: model.variables.getLocalAPPFAQSAggr.listOut.getCurrent(callContext.iterationContext).local_APP_FAQSAttr.questionAttr,
_idProps: {
service: idService,
uuid: "13"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getLocalAPPFAQSAggr.dataFetchStatusAttr)
})))];
}),
content: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "pt-16",
visible: true,
_idProps: {
service: idService,
uuid: "14"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "separator -light mb-16",
visible: true,
_idProps: {
service: idService,
uuid: "15"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Expression, {
style: "a-textRead c-gray",
value: model.variables.getLocalAPPFAQSAggr.listOut.getCurrent(callContext.iterationContext).local_APP_FAQSAttr.answerAttr,
_idProps: {
service: idService,
uuid: "16"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getLocalAPPFAQSAggr.dataFetchStatusAttr)
}))];
})
},
_dependencies: [asPrimitiveValue(model.variables.getLocalAPPFAQSAggr.dataFetchStatusAttr), asPrimitiveValue(model.variables.getLocalAPPFAQSAggr.listOut.getCurrent(callContext.iterationContext).local_APP_FAQSAttr.answerAttr), asPrimitiveValue(model.variables.getLocalAPPFAQSAggr.listOut.getCurrent(callContext.iterationContext).local_APP_FAQSAttr.questionAttr)]
})];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.getLocalAPPFAQSAggr.dataFetchStatusAttr), asPrimitiveValue(model.variables.getLocalAPPFAQSAggr.listOut.getCurrent(callContext.iterationContext).local_APP_FAQSAttr.answerAttr), asPrimitiveValue(model.variables.getLocalAPPFAQSAggr.listOut.getCurrent(callContext.iterationContext).local_APP_FAQSAttr.questionAttr)]
})];
}, callContext, idService, "1")
},
_dependencies: [asPrimitiveValue(model.variables.getLocalAPPFAQSAggr.dataFetchStatusAttr)]
})))];
}),
bottom: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.getLocalAPPFAQSAggr.dataFetchStatusAttr), asPrimitiveValue(model.variables.getLocalAPPFAQSAggr.listOut), asPrimitiveValue(model.variables.pageTitleVar), asPrimitiveValue(model.variables.enablePreviousScreenLinkIn)]
}));
        };
        return View;
    })(OSView.BaseView.BaseWebScreen);
	
    return View;
});
define("myNOS_MOB.Client.FAQ.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "MobileUIWidgets.controller", "MobilePatterns.controller", "myNOS_MBP.model", "myNOS_MOB.languageResources", "myNOS_MOB.Client.controller", "myNOS_MOB.controller$Firebase_StartTrace", "myNOS_MBP.controller$GetAppFAQs", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.controller$Analytics_TrackException", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.model$Local_APP_FAQSRecordList", "myNOS_MBP.model$Local_APP_FAQSRec", "myNOS_MBP.entities", "myNOS_MOB.controller$GoogleAnalyticsWeb_TrackTime", "myNOS_MOB.controller$Firebase_StopTrace"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, MobileUIWidgetsController, MobilePatternsController, myNOS_MBPModel, myNOS_MOBLanguageResources, myNOS_MOB_ClientController) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions
Controller.prototype.getLocalAPPFAQS$AggrRefresh = function (maxRecords) {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();

var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_APP_FAQSRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 50;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "ENLocal_APP_FAQS.\"Id\" o0, ENLocal_APP_FAQS.\"Question\" o1, ENLocal_APP_FAQS.\"Answer\" o2, ENLocal_APP_FAQS.\"Order\" o3";
} else {
selectSql += "ENLocal_APP_FAQS.\"Id\" o0, ENLocal_APP_FAQS.\"Question\" o1, ENLocal_APP_FAQS.\"Answer\" o2, ENLocal_APP_FAQS.\"Order\" o3";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_APP_FAQS\" ENLocal_APP_FAQS";
orderBySql += " ORDER BY ENLocal_APP_FAQS.\"Order\" ASC ";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_APP_FAQSRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_APP_FAQSAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeScreenClientAggregate(executeQuery, function () {
return model.variables.getLocalAPPFAQSAggr;
}, function () {
return controller._getLocalAPPFAQSOnAfterFetch$Action(controller.callContext(callContext));
});
};

Controller.prototype.dataFetchActionNames = ["getLocalAPPFAQS$AggrRefresh"];
// Client Actions
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: PerformanceStartTrace
return controller._analytics_PerformanceStartTrace$Action(callContext);
});
};
Controller.prototype._analytics_PerformanceStartTrace$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Analytics_PerformanceStartTrace");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Trace_StartAt = CurrDateTime
model.variables.trace_StartAtVar = OS.BuiltinFunctions.currDateTime();
// Execute Action: Firebase_StartTrace
model.flush();
return myNOS_MOBController.default.firebase_StartTrace$Action("distribuir_internet", false, callContext);
});
};
Controller.prototype._getLocalAPPFAQSOnAfterFetch$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GetLocalAPPFAQSOnAfterFetch");
callContext = controller.callContext(callContext);
var communicationExceptionVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var getAppFAQsVar = new OS.DataTypes.VariableHolder();
var getFAQTitleVar = new OS.DataTypes.VariableHolder();
var getLocalAPPFAQS2Var = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_APP_FAQSRecordList))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: GetFAQTitle
model.flush();
return myNOS_MBPController.default.getConfigValueAsText_MBP$Action("FAQ_TITLE", callContext).then(function (value) {
getFAQTitleVar.value = value;
}).then(function () {
// PageTitle = GetFAQTitle.Value
model.variables.pageTitleVar = getFAQTitleVar.value.valueOut;
}).then(function () {
return OS.Flow.executeSequence(function () {
if((model.variables.getLocalAPPFAQSAggr.listOut.isEmpty)) {
// Execute Action: GetAppFAQs
model.flush();
return myNOS_MBPController.default.getAppFAQs$Action(callContext).then(function (value) {
getAppFAQsVar.value = value;
}).then(function () {
// Aggregate: GetLocalAPPFAQS2
var getLocalAPPFAQS2Aggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_APP_FAQSRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 0;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1, NULL o2, NULL o3";
} else {
selectSql += "ENLocal_APP_FAQS.\"Id\" o0, ENLocal_APP_FAQS.\"Question\" o1, ENLocal_APP_FAQS.\"Answer\" o2, ENLocal_APP_FAQS.\"Order\" o3";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_APP_FAQS\" ENLocal_APP_FAQS";
orderBySql += " ORDER BY ENLocal_APP_FAQS.\"Order\" ASC ";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_APP_FAQSRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_APP_FAQSAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalAPPFAQS2Var.value;
});
};
return getLocalAPPFAQS2Aggr();
}).then(function () {
// GetLocalAPPFAQS.List = GetLocalAPPFAQS2.List
model.variables.getLocalAPPFAQSAggr.listOut = getLocalAPPFAQS2Var.value.listOut;
}).then(function () {
if((getLocalAPPFAQS2Var.value.listOut.isEmpty)) {
// Execute Action: Error23
MobileUIWidgetsController.default.error$Action("Não foi possível obter as questões, por favor tente novamente.", callContext);
// IsLoading = False
model.variables.isLoadingVar = false;
return OS.Flow.returnAsync();

}

});
}

});
}).then(function () {
// IsLoading = False
model.variables.isLoadingVar = false;
});
}).catch(function (ex) {
OS.Logger.trace("FAQ.GetLocalAPPFAQSOnAfterFetch", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: CommunicationException
if(OS.Exceptions.isInstanceOf(ex, OS.Exceptions.Exceptions.CommunicationException)) {
OS.Logger.error(null, ex);
communicationExceptionVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: GoogleAnalyticsWeb_TrackException2
myNOS_MOBController.default.analytics_TrackException$Action(communicationExceptionVar.value.exceptionMessageAttr, true, callContext);
// Execute Action: Analytics_PerformanceStopTrace2
return controller._analytics_PerformanceStopTrace$Action(callContext).then(function () {
if((MobilePatternsController.default.getNetworkStatus$Action(callContext.withoutIterationContext()).isOnlineOut)) {
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Error22
MobileUIWidgetsController.default.error$Action("Ocorreu um erro. Por favor tente novamente.", callContext);
return OS.Flow.returnAsync();

} else {
// Destination: /myNOS_MOB/NoConnection
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/NoConnection", {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true));
}

});
});
}

// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: GoogleAnalyticsWeb_TrackException
myNOS_MOBController.default.analytics_TrackException$Action(allExceptionsVar.value.exceptionMessageAttr, true, callContext);
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Error4
MobileUIWidgetsController.default.error$Action("Ocorreu um erro. Por favor tente novamente.", callContext);
// Execute Action: Analytics_PerformanceStopTrace
return controller._analytics_PerformanceStopTrace$Action(callContext).then(function () {
return OS.Flow.returnAsync();

});
});
}

throw ex;
});
};
Controller.prototype._layout_Lvl_3IsConnectedEvent$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Layout_Lvl_3IsConnectedEvent");
callContext = controller.callContext(callContext);
};
Controller.prototype._analytics_PerformanceStopTrace$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Analytics_PerformanceStopTrace");
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Firebase_StopTrace
model.flush();
return myNOS_MOBController.default.firebase_StopTrace$Action("distribuir_internet", callContext).then(function () {
// Execute Action: GoogleAnalyticsWeb_TrackTime
myNOS_MOBController.default.googleAnalyticsWeb_TrackTime$Action("distribuir_internet", "page_load_time", "menu_distribuir_internet", model.variables.trace_StartAtVar, callContext);
});
}).catch(function (ex) {
OS.Logger.trace("FAQ.Analytics_PerformanceStopTrace", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.returnAsync();

});
}

throw ex;
});
};

Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};
Controller.prototype.analytics_PerformanceStartTrace$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._analytics_PerformanceStartTrace$Action, callContext);

};
Controller.prototype.getLocalAPPFAQSOnAfterFetch$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._getLocalAPPFAQSOnAfterFetch$Action, callContext);

};
Controller.prototype.layout_Lvl_3IsConnectedEvent$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._layout_Lvl_3IsConnectedEvent$Action, callContext);

};
Controller.prototype.analytics_PerformanceStopTrace$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._analytics_PerformanceStopTrace$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return myNOS_MOB_ClientController.default.handleError(ex, this.callContext());
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

