﻿define("myNOS_MOB.Common.OfflineDataSyncEvents.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "MobilePatterns.controller", "MobilePatterns.Private.OfflineDataSyncCore.mvc$model", "myNOS_MOB.controller$OfflineDataSyncConfiguration", "MobilePatterns.controller$ConfigureOfflineDataSync", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.controller$Analytics_TrackException", "MobilePatterns.controller$EndOfflineDataSync", "myNOS_MOB.controller$OfflineDataSync"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, MobilePatternsController, MobilePatterns_Private_OfflineDataSyncCore_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("IsDestroyed", "isDestroyedVar", "IsDestroyed", true, OS.Types.Boolean, function () {
return false;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromStructure = function (str) {
return new VariablesRecord(new VariablesRecord.RecordClass({
isDestroyedVar: OS.DataTypes.ImmutableBase.getData(str)
}));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = MobilePatterns_Private_OfflineDataSyncCore_mvcModel.hasValidationWidgets;
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Common.OfflineDataSyncEvents.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "MobilePatterns.controller", "react", "OutSystemsReactView", "myNOS_MOB.Common.OfflineDataSyncEvents.mvc$model", "myNOS_MOB.Common.OfflineDataSyncEvents.mvc$controller", "MobilePatterns.Private.OfflineDataSyncCore.mvc$view", "OutSystemsReactWidgets", "myNOS_MOB.controller$OfflineDataSyncConfiguration", "MobilePatterns.controller$ConfigureOfflineDataSync", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.controller$Analytics_TrackException", "MobilePatterns.controller$EndOfflineDataSync", "myNOS_MOB.controller$OfflineDataSync"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, MobilePatternsController, React, OSView, myNOS_MOB_Common_OfflineDataSyncEvents_mvc_model, myNOS_MOB_Common_OfflineDataSyncEvents_mvc_controller, MobilePatterns_Private_OfflineDataSyncCore_mvc_view, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Common.OfflineDataSyncEvents";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return ["scripts/MobilePatterns.OfflineDataSync.js"];
        };
        View.getBlocks = function() {
            return [MobilePatterns_Private_OfflineDataSyncCore_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Common_OfflineDataSyncEvents_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Common_OfflineDataSyncEvents_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if(false, false, this, function () {
return [];
}, function () {
return [React.createElement(MobilePatterns_Private_OfflineDataSyncCore_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
onConfigure$Action: function () {
var eventHandlerContext = callContext.clone();
controller.onConfigure$Action(controller.callContext(eventHandlerContext));

;
},
onSyncComplete$Action: function (syncUnitIn) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.triggerOnSyncComplete$Action(syncUnitIn, controller.callContext(eventHandlerContext));
});
;
},
onSyncError$Action: function (syncUnitIn, errorMessageIn) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.triggerOnSyncError$Action(syncUnitIn, errorMessageIn, controller.callContext(eventHandlerContext));
});
;
},
onSync$Action: function (syncUnitIn) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.onSync$Action(syncUnitIn, controller.callContext(eventHandlerContext));
});
;
},
onSyncStart$Action: function (syncUnitIn) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.triggerOnSyncStart$Action(syncUnitIn, controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.Common.OfflineDataSyncEvents.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "MobilePatterns.controller", "myNOS_MOB.languageResources", "myNOS_MOB.controller$OfflineDataSyncConfiguration", "MobilePatterns.controller$ConfigureOfflineDataSync", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.controller$Analytics_TrackException", "MobilePatterns.controller$EndOfflineDataSync", "myNOS_MOB.controller$OfflineDataSync"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, MobilePatternsController, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._triggerOnSyncError$Action = function (syncUnitIn, errorMessageIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("TriggerOnSyncError");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.Common.OfflineDataSyncEvents.TriggerOnSyncError$vars"))());
vars.value.syncUnitInLocal = syncUnitIn;
vars.value.errorMessageInLocal = errorMessageIn;
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.executeSequence(function () {
if((model.variables.isDestroyedVar)) {
// Execute Action: LogMessage
OS.SystemActions.logMessage("OfflineDataSyncEvents.TriggerOnSyncError -> IsDestroyed ", "OnDestroy", callContext);
} else {
// Trigger Event: OnSyncError
return controller.onSyncError$Action(vars.value.syncUnitInLocal, vars.value.errorMessageInLocal, callContext);
}

});
});
};
Controller.registerVariableGroupType("myNOS_MOB.Common.OfflineDataSyncEvents.TriggerOnSyncError$vars", [{
name: "SyncUnit",
attrName: "syncUnitInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorMessage",
attrName: "errorMessageInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.prototype._onConfigure$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnConfigure");
callContext = controller.callContext(callContext);
var offlineDataSyncConfigurationVar = new OS.DataTypes.VariableHolder();
if((model.variables.isDestroyedVar)) {
// Execute Action: LogMessage
OS.SystemActions.logMessage("OfflineDataSyncEvents.OnConfigure -> IsDestroyed ", "OnDestroy", callContext);
} else {
// Execute Action: OfflineDataSyncConfiguration
offlineDataSyncConfigurationVar.value = myNOS_MOBController.default.offlineDataSyncConfiguration$Action(callContext);

// Execute Action: ConfigureOfflineDataSync
MobilePatternsController.default.configureOfflineDataSync$Action(offlineDataSyncConfigurationVar.value.syncOnOnlineOut, offlineDataSyncConfigurationVar.value.syncOnResumeOut, offlineDataSyncConfigurationVar.value.retryOnErrorOut, offlineDataSyncConfigurationVar.value.retryIntervalInSecondsOut, callContext);
}

};
Controller.prototype._onSync$Action = function (syncUnitIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnSync");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.Common.OfflineDataSyncEvents.OnSync$vars"))());
vars.value.syncUnitInLocal = syncUnitIn;
var communicationExceptionVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var securityExceptionVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.executeSequence(function () {
if((model.variables.isDestroyedVar)) {
// Execute Action: LogMessage
OS.SystemActions.logMessage("OfflineDataSyncEvents.OnSync -> IsDestroyed ", "OnDestroy", callContext);
} else {
// Execute Action: DoOfflineDataSync
model.flush();
return myNOS_MOBController.default.offlineDataSync$Action(vars.value.syncUnitInLocal, callContext).then(function () {
// Execute Action: EndWithSuccess
MobilePatternsController.default.endOfflineDataSync$Action(false, "", false, callContext);
});
}

});
}).catch(function (ex) {
OS.Logger.trace("OfflineDataSyncEvents.OnSync", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: CommunicationException
if(OS.Exceptions.isInstanceOf(ex, OS.Exceptions.Exceptions.CommunicationException)) {
OS.Logger.error(null, ex);
communicationExceptionVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_TrackException2
myNOS_MOBController.default.analytics_TrackException$Action(communicationExceptionVar.value.exceptionMessageAttr, true, callContext);
// Destination: /myNOS_MOB/NoConnection
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/NoConnection", {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true));
});
}

// Handle Error: SecurityException
if(OS.Exceptions.isInstanceOf(ex, OS.Exceptions.Exceptions.SecurityException)) {
OS.Logger.error(null, ex);
securityExceptionVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: EndWithSecurityError
MobilePatternsController.default.endOfflineDataSync$Action(true, securityExceptionVar.value.exceptionMessageAttr, false, callContext);
return OS.Flow.returnAsync();

});
}

// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_TrackException
myNOS_MOBController.default.analytics_TrackException$Action(allExceptionsVar.value.exceptionMessageAttr, true, callContext);
// Execute Action: EndWithError
MobilePatternsController.default.endOfflineDataSync$Action(true, allExceptionsVar.value.exceptionMessageAttr, true, callContext);
return OS.Flow.returnAsync();

});
}

throw ex;
});
};
Controller.registerVariableGroupType("myNOS_MOB.Common.OfflineDataSyncEvents.OnSync$vars", [{
name: "SyncUnit",
attrName: "syncUnitInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.prototype._onDestroy$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnDestroy");
callContext = controller.callContext(callContext);
// IsDestroyed = True
model.variables.isDestroyedVar = true;
};
Controller.prototype._triggerOnSyncStart$Action = function (syncUnitIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("TriggerOnSyncStart");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.Common.OfflineDataSyncEvents.TriggerOnSyncStart$vars"))());
vars.value.syncUnitInLocal = syncUnitIn;
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.executeSequence(function () {
if((model.variables.isDestroyedVar)) {
// Execute Action: LogMessage
OS.SystemActions.logMessage("OfflineDataSyncEvents.TriggerOnSyncStart -> IsDestroyed ", "OnDestroy", callContext);
} else {
// Trigger Event: OnSyncStart
return controller.onSyncStart$Action(vars.value.syncUnitInLocal, callContext);
}

});
});
};
Controller.registerVariableGroupType("myNOS_MOB.Common.OfflineDataSyncEvents.TriggerOnSyncStart$vars", [{
name: "SyncUnit",
attrName: "syncUnitInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.prototype._triggerOnSyncComplete$Action = function (syncUnitIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("TriggerOnSyncComplete");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.Common.OfflineDataSyncEvents.TriggerOnSyncComplete$vars"))());
vars.value.syncUnitInLocal = syncUnitIn;
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.executeSequence(function () {
if((model.variables.isDestroyedVar)) {
// Execute Action: LogMessage
OS.SystemActions.logMessage("OfflineDataSyncEvents.TriggerOnSyncComplete -> IsDestroyed ", "OnDestroy", callContext);
} else {
// Trigger Event: OnSyncComplete
return controller.onSyncComplete$Action(vars.value.syncUnitInLocal, callContext);
}

});
});
};
Controller.registerVariableGroupType("myNOS_MOB.Common.OfflineDataSyncEvents.TriggerOnSyncComplete$vars", [{
name: "SyncUnit",
attrName: "syncUnitInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);

Controller.prototype.triggerOnSyncError$Action = function (syncUnitIn, errorMessageIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._triggerOnSyncError$Action, callContext, syncUnitIn, errorMessageIn);

};
Controller.prototype.onConfigure$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onConfigure$Action, callContext);

};
Controller.prototype.onSync$Action = function (syncUnitIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onSync$Action, callContext, syncUnitIn);

};
Controller.prototype.onDestroy$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onDestroy$Action, callContext);

};
Controller.prototype.triggerOnSyncStart$Action = function (syncUnitIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._triggerOnSyncStart$Action, callContext, syncUnitIn);

};
Controller.prototype.triggerOnSyncComplete$Action = function (syncUnitIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._triggerOnSyncComplete$Action, callContext, syncUnitIn);

};
Controller.prototype.onSyncComplete$Action = function () {
return Promise.resolve();
};
Controller.prototype.onSyncStart$Action = function () {
return Promise.resolve();
};
Controller.prototype.onSyncError$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onDestroy$Action(callContext);

};
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

