﻿define("myNOS_MOB.Common.Waiting.mvc$model", ["OutSystems", "myNOS_MOB.model", "MobileUIWidgets.controller", "MobileUIWidgets.controller$StatusBar_ChangeColor", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobileUIWidgets"], function (OutSystems, myNOS_MOBModel, MobileUIWidgetsController) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("IsLoading", "isLoadingIn", "IsLoading", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("_isLoadingInDataFetchStatus", "_isLoadingInDataFetchStatus", "_isLoadingInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("InitialStatusBarCode", "initialStatusBarCodeIn", "InitialStatusBarCode", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_initialStatusBarCodeInDataFetchStatus", "_initialStatusBarCodeInDataFetchStatus", "_initialStatusBarCodeInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return false;
}
});

Model.prototype.setInputs = function (inputs) {
if("IsLoading" in inputs) {
this.variables.isLoadingIn = inputs.IsLoading;
if("_isLoadingInDataFetchStatus" in inputs) {
this.variables._isLoadingInDataFetchStatus = inputs._isLoadingInDataFetchStatus;
}

}

if("InitialStatusBarCode" in inputs) {
this.variables.initialStatusBarCodeIn = inputs.InitialStatusBarCode;
if("_initialStatusBarCodeInDataFetchStatus" in inputs) {
this.variables._initialStatusBarCodeInDataFetchStatus = inputs._initialStatusBarCodeInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Common.Waiting.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "MobileUIWidgets.controller", "react", "OutSystemsReactView", "myNOS_MOB.Common.Waiting.mvc$model", "myNOS_MOB.Common.Waiting.mvc$controller", "OutSystemsReactWidgets", "MobileUIWidgets.controller$StatusBar_ChangeColor", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobileUIWidgets"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, MobileUIWidgetsController, React, OSView, myNOS_MOB_Common_Waiting_mvc_model, myNOS_MOB_Common_Waiting_mvc_controller, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Common.Waiting";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Common_Waiting_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Common_Waiting_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Center*/ 2,
animate: true,
style: "o-lazyLoad",
visible: model.variables.isLoadingIn,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider,
visible_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._isLoadingInDataFetchStatus)
}, React.createElement(OSWidgets.Image, {
image: OS.Navigation.VersionedURL.getVersionedUrl("img/myNOS_MOB.loop_loader.gif"),
style: "o-lazyLoadLoader",
type: /*Static*/ 0,
_idProps: {
service: idService,
uuid: "1"
},
_widgetRecordProvider: widgetsRecordProvider
})));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.Common.Waiting.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "MobileUIWidgets.controller", "myNOS_MOB.languageResources", "MobileUIWidgets.controller$StatusBar_ChangeColor", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobileUIWidgets"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, MobileUIWidgetsController, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._changeStatusBar$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("ChangeStatusBar");
callContext = controller.callContext(callContext);
// Execute Action: StatusBar_ChangeColor
MobileUIWidgetsController.default.statusBar_ChangeColor$Action(((model.variables.isLoadingIn) ? (myNOS_MOBModel.staticEntities.hEX_COLORS.black) : (model.variables.initialStatusBarCodeIn)), callContext);
};

Controller.prototype.changeStatusBar$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._changeStatusBar$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.changeStatusBar$Action(callContext);

};
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

