﻿define("myNOS_MOB.ConsumptionsBlocks.CreditConsumptionsOrchestrationCard.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.ConsumptionsBlocks.ConsumptionsGraphCard.mvc$model", "myNOS_MOB.ConsumptionsBlocks.ConsumptionsUnlimitedGraphCard.mvc$model"], function (OutSystems, myNOS_MOBModel, myNOS_MOB_ConsumptionsBlocks_ConsumptionsGraphCard_mvcModel, myNOS_MOB_ConsumptionsBlocks_ConsumptionsUnlimitedGraphCard_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("IsLimited", "isLimitedIn", "IsLimited", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_isLimitedInDataFetchStatus", "_isLimitedInDataFetchStatus", "_isLimitedInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("AvailableValue", "availableValueIn", "AvailableValue", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("_availableValueInDataFetchStatus", "_availableValueInDataFetchStatus", "_availableValueInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("SpentValue", "spentValueIn", "SpentValue", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("_spentValueInDataFetchStatus", "_spentValueInDataFetchStatus", "_spentValueInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("TotalValue", "totalValueIn", "TotalValue", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("_totalValueInDataFetchStatus", "_totalValueInDataFetchStatus", "_totalValueInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Unit", "unitIn", "Unit", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_unitInDataFetchStatus", "_unitInDataFetchStatus", "_unitInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ShowUnit", "showUnitIn", "ShowUnit", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_showUnitInDataFetchStatus", "_showUnitInDataFetchStatus", "_showUnitInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("CardTitle", "cardTitleIn", "CardTitle", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_cardTitleInDataFetchStatus", "_cardTitleInDataFetchStatus", "_cardTitleInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("RowNumber", "rowNumberIn", "RowNumber", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("_rowNumberInDataFetchStatus", "_rowNumberInDataFetchStatus", "_rowNumberInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = (myNOS_MOB_ConsumptionsBlocks_ConsumptionsGraphCard_mvcModel.hasValidationWidgets || myNOS_MOB_ConsumptionsBlocks_ConsumptionsUnlimitedGraphCard_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("IsLimited" in inputs) {
this.variables.isLimitedIn = inputs.IsLimited;
if("_isLimitedInDataFetchStatus" in inputs) {
this.variables._isLimitedInDataFetchStatus = inputs._isLimitedInDataFetchStatus;
}

}

if("AvailableValue" in inputs) {
this.variables.availableValueIn = inputs.AvailableValue;
if("_availableValueInDataFetchStatus" in inputs) {
this.variables._availableValueInDataFetchStatus = inputs._availableValueInDataFetchStatus;
}

}

if("SpentValue" in inputs) {
this.variables.spentValueIn = inputs.SpentValue;
if("_spentValueInDataFetchStatus" in inputs) {
this.variables._spentValueInDataFetchStatus = inputs._spentValueInDataFetchStatus;
}

}

if("TotalValue" in inputs) {
this.variables.totalValueIn = inputs.TotalValue;
if("_totalValueInDataFetchStatus" in inputs) {
this.variables._totalValueInDataFetchStatus = inputs._totalValueInDataFetchStatus;
}

}

if("Unit" in inputs) {
this.variables.unitIn = inputs.Unit;
if("_unitInDataFetchStatus" in inputs) {
this.variables._unitInDataFetchStatus = inputs._unitInDataFetchStatus;
}

}

if("ShowUnit" in inputs) {
this.variables.showUnitIn = inputs.ShowUnit;
if("_showUnitInDataFetchStatus" in inputs) {
this.variables._showUnitInDataFetchStatus = inputs._showUnitInDataFetchStatus;
}

}

if("CardTitle" in inputs) {
this.variables.cardTitleIn = inputs.CardTitle;
if("_cardTitleInDataFetchStatus" in inputs) {
this.variables._cardTitleInDataFetchStatus = inputs._cardTitleInDataFetchStatus;
}

}

if("RowNumber" in inputs) {
this.variables.rowNumberIn = inputs.RowNumber;
if("_rowNumberInDataFetchStatus" in inputs) {
this.variables._rowNumberInDataFetchStatus = inputs._rowNumberInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.ConsumptionsBlocks.CreditConsumptionsOrchestrationCard.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "react", "OutSystemsReactView", "myNOS_MOB.ConsumptionsBlocks.CreditConsumptionsOrchestrationCard.mvc$model", "myNOS_MOB.ConsumptionsBlocks.CreditConsumptionsOrchestrationCard.mvc$controller", "OutSystemsReactWidgets", "myNOS_MOB.ConsumptionsBlocks.ConsumptionsGraphCard.mvc$view", "myNOS_MOB.ConsumptionsBlocks.ConsumptionsUnlimitedGraphCard.mvc$view"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, React, OSView, myNOS_MOB_ConsumptionsBlocks_CreditConsumptionsOrchestrationCard_mvc_model, myNOS_MOB_ConsumptionsBlocks_CreditConsumptionsOrchestrationCard_mvc_controller, OSWidgets, myNOS_MOB_ConsumptionsBlocks_ConsumptionsGraphCard_mvc_view, myNOS_MOB_ConsumptionsBlocks_ConsumptionsUnlimitedGraphCard_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "ConsumptionsBlocks.CreditConsumptionsOrchestrationCard";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_ConsumptionsBlocks_ConsumptionsGraphCard_mvc_view, myNOS_MOB_ConsumptionsBlocks_ConsumptionsUnlimitedGraphCard_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_ConsumptionsBlocks_CreditConsumptionsOrchestrationCard_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_ConsumptionsBlocks_CreditConsumptionsOrchestrationCard_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if(model.variables.isLimitedIn, false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: model.getCachedValue(idService.getId("QdI9kkVvA0qSyRRHfYhu3A.Style"), function () {
return (((model.variables.rowNumberIn === 0)) ? ("") : ("mt-24"));
}, function () {
return model.variables.rowNumberIn;
}),
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rowNumberInDataFetchStatus)
}, React.createElement(myNOS_MOB_ConsumptionsBlocks_ConsumptionsGraphCard_mvc_view, {
inputs: {
AvailableValue: model.variables.availableValueIn,
_availableValueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._availableValueInDataFetchStatus),
ShowUnit: model.variables.showUnitIn,
_showUnitInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._showUnitInDataFetchStatus),
AvailableValueUnitFmt: model.variables.unitIn,
_availableValueUnitFmtInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._unitInDataFetchStatus),
ShowIcon: false,
AvailableValueFmt: model.variables.availableValueIn,
_availableValueFmtInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._availableValueInDataFetchStatus),
TotalValue: model.variables.totalValueIn,
_totalValueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._totalValueInDataFetchStatus),
TotalValueUnitFmt: model.variables.unitIn,
_totalValueUnitFmtInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._unitInDataFetchStatus),
SpentValueUnitFmt: model.variables.unitIn,
_spentValueUnitFmtInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._unitInDataFetchStatus),
SpentValueFmt: model.variables.spentValueIn,
_spentValueFmtInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._spentValueInDataFetchStatus),
TotalValueFmt: model.variables.totalValueIn,
_totalValueFmtInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._totalValueInDataFetchStatus),
CardTitle: model.variables.cardTitleIn,
_cardTitleInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._cardTitleInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: model.getCachedValue(idService.getId("Eq+myaeh0kCzqTR7SX7t_w.Style"), function () {
return (((model.variables.rowNumberIn === 0)) ? ("") : ("mt-24"));
}, function () {
return model.variables.rowNumberIn;
}),
visible: true,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rowNumberInDataFetchStatus)
}, React.createElement(myNOS_MOB_ConsumptionsBlocks_ConsumptionsUnlimitedGraphCard_mvc_view, {
inputs: {
Unit: model.variables.unitIn,
_unitInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._unitInDataFetchStatus),
Title: model.variables.cardTitleIn,
_titleInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._cardTitleInDataFetchStatus),
ShowUnit: model.variables.showUnitIn,
_showUnitInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._showUnitInDataFetchStatus),
AvailableValue: model.variables.availableValueIn,
_availableValueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._availableValueInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "3",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))];
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.ConsumptionsBlocks.CreditConsumptionsOrchestrationCard.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MOB.languageResources"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions


// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

