﻿define("myNOS_MOB.ConsumptionsBlocks.KanguruRoamingPlafondCard.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MBP.controller", "MobileUIWidgets.WidgetsContent.Card_new.mvc$model", "myNOS_MBP.controller$GetDecimalPlacesByUnit", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.controller$FormatDecimal_MBP", "myNOS_MOB.model$TextDecimalRecordList"], function (OutSystems, myNOS_MOBModel, myNOS_MBPController, MobileUIWidgets_WidgetsContent_Card_new_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("RoamingList", "roamingListIn", "RoamingList", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.TextDecimalRecordList());
}, myNOS_MOBModel.TextDecimalRecordList), 
this.attr("_roamingListInDataFetchStatus", "_roamingListInDataFetchStatus", "_roamingListInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Unit", "unitIn", "Unit", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_unitInDataFetchStatus", "_unitInDataFetchStatus", "_unitInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ShowUnit", "showUnitIn", "ShowUnit", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_showUnitInDataFetchStatus", "_showUnitInDataFetchStatus", "_showUnitInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = MobileUIWidgets_WidgetsContent_Card_new_mvcModel.hasValidationWidgets;
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("RoamingList" in inputs) {
this.variables.roamingListIn = inputs.RoamingList;
if("_roamingListInDataFetchStatus" in inputs) {
this.variables._roamingListInDataFetchStatus = inputs._roamingListInDataFetchStatus;
}

}

if("Unit" in inputs) {
this.variables.unitIn = inputs.Unit;
if("_unitInDataFetchStatus" in inputs) {
this.variables._unitInDataFetchStatus = inputs._unitInDataFetchStatus;
}

}

if("ShowUnit" in inputs) {
this.variables.showUnitIn = inputs.ShowUnit;
if("_showUnitInDataFetchStatus" in inputs) {
this.variables._showUnitInDataFetchStatus = inputs._showUnitInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.ConsumptionsBlocks.KanguruRoamingPlafondCard.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "react", "OutSystemsReactView", "myNOS_MOB.ConsumptionsBlocks.KanguruRoamingPlafondCard.mvc$model", "myNOS_MOB.ConsumptionsBlocks.KanguruRoamingPlafondCard.mvc$controller", "OutSystemsReactWidgets", "MobileUIWidgets.WidgetsContent.Card_new.mvc$view", "myNOS_MBP.controller$GetDecimalPlacesByUnit", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.controller$FormatDecimal_MBP", "myNOS_MOB.model$TextDecimalRecordList"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, React, OSView, myNOS_MOB_ConsumptionsBlocks_KanguruRoamingPlafondCard_mvc_model, myNOS_MOB_ConsumptionsBlocks_KanguruRoamingPlafondCard_mvc_controller, OSWidgets, MobileUIWidgets_WidgetsContent_Card_new_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "ConsumptionsBlocks.KanguruRoamingPlafondCard";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [MobileUIWidgets_WidgetsContent_Card_new_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_ConsumptionsBlocks_KanguruRoamingPlafondCard_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_ConsumptionsBlocks_KanguruRoamingPlafondCard_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.List, {
animateItems: true,
gridProperties: {
classes: "OSFillParent"
},
mode: /*Default*/ 0,
source: model.variables.roamingListIn,
style: "list list-group",
tag: "div",
_idProps: {
service: idService,
uuid: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
source_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._roamingListInDataFetchStatus),
placeholders: {
content: new IteratorPlaceholderContent(function (idService, callContext) {
return [React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasLeftSide: false,
HasRightSide: false,
StyleClass: "-paddingEqual mb-2"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "2",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "gridRow",
visible: true,
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6",
visible: true,
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -bold c-black",
value: ("Tráfego Roaming " + model.variables.roamingListIn.getCurrent(callContext.iterationContext).zoneNameAttr),
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._roamingListInDataFetchStatus)
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6 text-right",
visible: true,
_idProps: {
service: idService,
uuid: "6"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead c-greenDark",
value: model.getCachedValue(idService.getId("Ten7nrF7kEi2kX9IimEOUQ.Value"), function () {
return (("Disponíveis " + myNOS_MBPController.default.formatDecimal_MBP$Action(model.variables.roamingListIn.getCurrent(callContext.iterationContext).amountAvailableAttr, myNOS_MBPController.default.getDecimalPlacesByUnit$Action(model.variables.unitIn, callContext.withoutIterationContext()).decimalDigitsOut, callContext.withoutIterationContext()).resultOut) + ((model.variables.showUnitIn) ? ((" " + model.variables.unitIn)) : ("")));
}, function () {
return model.variables.roamingListIn.getCurrent(callContext.iterationContext).amountAvailableAttr;
}, function () {
return model.variables.unitIn;
}, function () {
return model.variables.showUnitIn;
}),
_idProps: {
service: idService,
uuid: "7"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._roamingListInDataFetchStatus, model.variables._unitInDataFetchStatus, model.variables._showUnitInDataFetchStatus)
})))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.showUnitIn), asPrimitiveValue(model.variables.unitIn), asPrimitiveValue(model.variables._showUnitInDataFetchStatus), asPrimitiveValue(model.variables._unitInDataFetchStatus), asPrimitiveValue(model.variables._roamingListInDataFetchStatus), asPrimitiveValue(model.variables.roamingListIn.getCurrent(callContext.iterationContext).amountAvailableAttr), asPrimitiveValue(model.variables.roamingListIn.getCurrent(callContext.iterationContext).zoneNameAttr)]
})];
}, callContext, idService, "1")
},
_dependencies: [asPrimitiveValue(model.variables.showUnitIn), asPrimitiveValue(model.variables.unitIn), asPrimitiveValue(model.variables._showUnitInDataFetchStatus), asPrimitiveValue(model.variables._unitInDataFetchStatus), asPrimitiveValue(model.variables._roamingListInDataFetchStatus)]
})));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.ConsumptionsBlocks.KanguruRoamingPlafondCard.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "myNOS_MOB.languageResources", "myNOS_MBP.controller$GetDecimalPlacesByUnit", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.controller$FormatDecimal_MBP", "myNOS_MOB.model$TextDecimalRecordList"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions


// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

