﻿define("myNOS_MOB.CustomerInformation.PinPuk.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "MobileUIWidgets.controller", "myNOS_MBP.controller", "MobilePatterns.controller", "myNOS_MBP.model", "CopyToClipboard_Plugin.controller", "myNOS_MOB.Common.Waiting.mvc$model", "myNOS_MOB.CommonLayout.Layout_Lvl_2.mvc$model", "myNOS_MOB.CommonLayout.Header_L_Lvl_2.mvc$model", "myNOS_MOB.CommonLayout.Header_Title.mvc$model", "myNOS_MOB.Blocks.HeaderContentCard.mvc$model", "myNOS_MOB.Blocks.IntroText.mvc$model", "MobileUIWidgets.WidgetsContent.Card_new.mvc$model", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$model", "myNOS_MOB.Common.BottomBar.mvc$model", "myNOS_MOB.controller$GoogleAnalyticsWeb_TrackTime", "myNOS_MOB.controller$Firebase_StopTrace", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.controller$GetPINPUKInfo", "myNOS_MOB.controller$Analytics_TrackException", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.model$Local_SERVICERecordList", "myNOS_MBP.model$Local_SERVICERec", "myNOS_MBP.entities", "myNOS_MOB.controller$Firebase_StartTrace", "CopyToClipboard_Plugin.controller$CopyToClipboard", "myNOS_MOB.referencesHealth$CopyToClipboard_Plugin", "myNOS_MOB.controller$Analytics_SendClickEvent", "MobileUIWidgets.controller$Info", "myNOS_MOB.model$Local_SELECTIONLocal_ASSOCIATIONRecordList", "myNOS_MBP.model$Local_SELECTIONRec", "myNOS_MBP.model$Local_ASSOCIATIONRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, MobileUIWidgetsController, myNOS_MBPController, MobilePatternsController, myNOS_MBPModel, CopyToClipboard_PluginController, myNOS_MOB_Common_Waiting_mvcModel, myNOS_MOB_CommonLayout_Layout_Lvl_2_mvcModel, myNOS_MOB_CommonLayout_Header_L_Lvl_2_mvcModel, myNOS_MOB_CommonLayout_Header_Title_mvcModel, myNOS_MOB_Blocks_HeaderContentCard_mvcModel, myNOS_MOB_Blocks_IntroText_mvcModel, MobileUIWidgets_WidgetsContent_Card_new_mvcModel, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvcModel, myNOS_MOB_Common_BottomBar_mvcModel) {
var OS = OutSystems.Internal;
var GetLocalSELECTIONAggrRec = (function (_super) {
__extends(GetLocalSELECTIONAggrRec, _super);
function GetLocalSELECTIONAggrRec(defaults) {
_super.apply(this, arguments);
}
GetLocalSELECTIONAggrRec.RecordListType = myNOS_MOBModel.Local_SELECTIONLocal_ASSOCIATIONRecordList;
GetLocalSELECTIONAggrRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetLocalSELECTIONAggrRec.init();
return GetLocalSELECTIONAggrRec;
})(OS.Model.AggregateRecord);


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("Title", "titleVar", "Title", true, OS.Types.Text, function () {
return "";
}), 
this.attr("SubTitle", "subTitleVar", "SubTitle", true, OS.Types.Text, function () {
return "";
}), 
this.attr("SIMNumber", "sIMNumberVar", "SIMNumber", true, OS.Types.Text, function () {
return "";
}), 
this.attr("PIN", "pINVar", "PIN", true, OS.Types.Text, function () {
return "";
}), 
this.attr("PUK", "pUKVar", "PUK", true, OS.Types.Text, function () {
return "";
}), 
this.attr("ServiceId", "serviceIdVar", "ServiceId", true, OS.Types.Text, function () {
return "";
}), 
this.attr("IsLoading", "isLoadingVar", "IsLoading", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("HeaderType", "headerTypeVar", "HeaderType", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Trace_StartAt", "trace_StartAtVar", "Trace_StartAt", true, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("InitialStatusBarCode", "initialStatusBarCodeVar", "InitialStatusBarCode", true, OS.Types.Text, function () {
return myNOS_MOBModel.staticEntities.hEX_COLORS.blueDark;
}), 
this.attr("NavigatedIsFromHistory", "navigatedIsFromHistoryVar", "NavigatedIsFromHistory", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("NeedRefresh", "needRefreshVar", "NeedRefresh", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("GetLocalSELECTION", "getLocalSELECTIONAggr", "getLocalSELECTIONAggr", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetLocalSELECTIONAggrRec());
}, GetLocalSELECTIONAggrRec)
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = ((((((((myNOS_MOB_Common_Waiting_mvcModel.hasValidationWidgets || myNOS_MOB_CommonLayout_Layout_Lvl_2_mvcModel.hasValidationWidgets) || myNOS_MOB_CommonLayout_Header_L_Lvl_2_mvcModel.hasValidationWidgets) || myNOS_MOB_CommonLayout_Header_Title_mvcModel.hasValidationWidgets) || myNOS_MOB_Blocks_HeaderContentCard_mvcModel.hasValidationWidgets) || myNOS_MOB_Blocks_IntroText_mvcModel.hasValidationWidgets) || MobileUIWidgets_WidgetsContent_Card_new_mvcModel.hasValidationWidgets) || MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvcModel.hasValidationWidgets) || myNOS_MOB_Common_BottomBar_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.CustomerInformation.PinPuk.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "MobileUIWidgets.controller", "myNOS_MBP.controller", "MobilePatterns.controller", "myNOS_MBP.model", "CopyToClipboard_Plugin.controller", "react", "OutSystemsReactView", "myNOS_MOB.CustomerInformation.PinPuk.mvc$model", "myNOS_MOB.CustomerInformation.PinPuk.mvc$controller", "myNOS_MOB.Common.Waiting.mvc$view", "OutSystemsReactWidgets", "myNOS_MOB.CommonLayout.Layout_Lvl_2.mvc$view", "myNOS_MOB.CommonLayout.Header_L_Lvl_2.mvc$view", "myNOS_MOB.CommonLayout.Header_Title.mvc$view", "myNOS_MOB.Blocks.HeaderContentCard.mvc$view", "myNOS_MOB.Blocks.IntroText.mvc$view", "MobileUIWidgets.WidgetsContent.Card_new.mvc$view", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$view", "myNOS_MOB.Common.BottomBar.mvc$view", "myNOS_MOB.controller$GoogleAnalyticsWeb_TrackTime", "myNOS_MOB.controller$Firebase_StopTrace", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.controller$GetPINPUKInfo", "myNOS_MOB.controller$Analytics_TrackException", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.model$Local_SERVICERecordList", "myNOS_MBP.model$Local_SERVICERec", "myNOS_MBP.entities", "myNOS_MOB.controller$Firebase_StartTrace", "CopyToClipboard_Plugin.controller$CopyToClipboard", "myNOS_MOB.referencesHealth$CopyToClipboard_Plugin", "myNOS_MOB.controller$Analytics_SendClickEvent", "MobileUIWidgets.controller$Info", "myNOS_MOB.model$Local_SELECTIONLocal_ASSOCIATIONRecordList", "myNOS_MBP.model$Local_SELECTIONRec", "myNOS_MBP.model$Local_ASSOCIATIONRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, MobileUIWidgetsController, myNOS_MBPController, MobilePatternsController, myNOS_MBPModel, CopyToClipboard_PluginController, React, OSView, myNOS_MOB_CustomerInformation_PinPuk_mvc_model, myNOS_MOB_CustomerInformation_PinPuk_mvc_controller, myNOS_MOB_Common_Waiting_mvc_view, OSWidgets, myNOS_MOB_CommonLayout_Layout_Lvl_2_mvc_view, myNOS_MOB_CommonLayout_Header_L_Lvl_2_mvc_view, myNOS_MOB_CommonLayout_Header_Title_mvc_view, myNOS_MOB_Blocks_HeaderContentCard_mvc_view, myNOS_MOB_Blocks_IntroText_mvc_view, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, myNOS_MOB_Common_BottomBar_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "CustomerInformation.PinPuk";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css", "css/MobilePatterns.BaseTheme.css", "css/MobileThemes_MyNos.NOS_BaseTheme.css", "css/MobileThemes_MyNos.NOS_LightTheme.css", "css/myNOS_MOB.myNOS_MOB.css", "css/MobilePatterns.BaseTheme.extra.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_Common_Waiting_mvc_view, myNOS_MOB_CommonLayout_Layout_Lvl_2_mvc_view, myNOS_MOB_CommonLayout_Header_L_Lvl_2_mvc_view, myNOS_MOB_CommonLayout_Header_Title_mvc_view, myNOS_MOB_Blocks_HeaderContentCard_mvc_view, myNOS_MOB_Blocks_IntroText_mvc_view, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, myNOS_MOB_Common_BottomBar_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_CustomerInformation_PinPuk_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_CustomerInformation_PinPuk_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "Pin Puk Sim";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(myNOS_MOB_Common_Waiting_mvc_view, {
inputs: {
IsLoading: model.variables.isLoadingVar,
InitialStatusBarCode: model.variables.initialStatusBarCodeVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}), React.createElement(myNOS_MOB_CommonLayout_Layout_Lvl_2_mvc_view, {
inputs: {
MasterColorId: myNOS_MOBModel.staticEntities.mASTER_COLOR.blueDark,
PageType: "Consulta",
PageSection: "Pin Puk Sim",
StatusBarHexCode: model.variables.initialStatusBarCodeVar,
NavigatedIsFromHistory: model.variables.navigatedIsFromHistoryVar,
PageTitle: "Pin Puk Sim",
PageNameUrl: "PinPuk"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
headerLeft: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_CommonLayout_Header_L_Lvl_2_mvc_view, {
inputs: {
AnalyticsCategory: "Pin_puk_sim",
AnalyticsLabel: "Voltar",
EnablePreviousScreenLink: true
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "2",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}),
headerTitle: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_CommonLayout_Header_Title_mvc_view, {
inputs: {
Title: "PIN, PUK e SIM"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "3",
alias: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}),
headerRight: PlaceholderContent.Empty,
headerContent: PlaceholderContent.Empty,
content: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "header-cardContainerBase",
visible: true,
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(myNOS_MOB_Blocks_HeaderContentCard_mvc_view, {
inputs: {
HeaderType: model.variables.headerTypeVar,
AnalyticsCategory: "Pin Puk Sim",
InitialStatusBarColor: model.variables.initialStatusBarCodeVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
notifyId$Action: function (id1In, id2In) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.headerContentCardNotifyId$Action(controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "5",
alias: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})), React.createElement(myNOS_MOB_Blocks_IntroText_mvc_view, {
inputs: {
Text: "Consulte os códigos de segurança do seu telemóvel."
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "6",
alias: "6"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "ph-16 mb-8",
visible: true,
_idProps: {
service: idService,
uuid: "7"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasRipple: false,
RightStyleClass: "-vBottom text-right",
StyleClass: "-paddingEqual",
HasLeftSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "8",
alias: "7"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Text, {
style: "text -light -big c-gray",
text: ["PIN original"],
_idProps: {
service: idService,
uuid: "9"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Expression, {
gridProperties: {
classes: "ThemeGrid_MarginGutter"
},
style: "text d-block c-darkGray -large",
value: model.variables.pINVar,
_idProps: {
service: idService,
uuid: "10"
},
_widgetRecordProvider: widgetsRecordProvider
})];
}),
rightPLaceholder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Link, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.onClickCopyToClipboard$Action("pin", model.variables.pINVar, "PIN copiado. Poderá colar noutra aplicação.", controller.callContext(eventHandlerContext));
});
;
},
visible: true,
_idProps: {
service: idService,
uuid: "11"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
IconName: myNOS_MOBModel.staticEntities.iCON_CLASS.iconCopiar,
IconSize: model.getCachedValue(idService.getId("pdfnzMq+Dkqy_rwzIyMi1w.IconSize"), function () {
return OS.BuiltinFunctions.nullTextIdentifier();
}),
HasRipple: true,
StyleClass: "c-black"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "12",
alias: "8"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))];
})
},
_dependencies: [asPrimitiveValue(model.variables.pINVar)]
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-2",
visible: true,
_idProps: {
service: idService,
uuid: "13"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
StyleClass: "-paddingEqual",
HasLeftSide: false,
HasRipple: false,
RightStyleClass: "-vBottom text-right"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "14",
alias: "9"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Text, {
style: "text -light -big c-gray",
text: ["PUK"],
_idProps: {
service: idService,
uuid: "15"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Expression, {
gridProperties: {
classes: "ThemeGrid_MarginGutter"
},
style: "text d-block c-darkGray -large",
value: model.variables.pUKVar,
_idProps: {
service: idService,
uuid: "16"
},
_widgetRecordProvider: widgetsRecordProvider
})];
}),
rightPLaceholder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Link, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.onClickCopyToClipboard$Action("Puk", model.variables.pUKVar, "PUK copiado. Poderá colar noutra aplicação.", controller.callContext(eventHandlerContext));
});
;
},
visible: true,
_idProps: {
service: idService,
uuid: "17"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
IconName: myNOS_MOBModel.staticEntities.iCON_CLASS.iconCopiar,
StyleClass: "c-black",
IconSize: model.getCachedValue(idService.getId("WZTfPFNdC0uavfzsK5O1MQ.IconSize"), function () {
return OS.BuiltinFunctions.nullTextIdentifier();
}),
HasRipple: true
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "18",
alias: "10"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))];
})
},
_dependencies: [asPrimitiveValue(model.variables.pUKVar)]
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-2",
visible: true,
_idProps: {
service: idService,
uuid: "19"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasLeftSide: false,
StyleClass: "-paddingEqual",
HasRipple: false,
RightStyleClass: "-vBottom text-right"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "20",
alias: "11"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Text, {
style: "text -light -big c-gray",
text: ["Cartão SIM"],
_idProps: {
service: idService,
uuid: "21"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Expression, {
gridProperties: {
classes: "ThemeGrid_MarginGutter"
},
style: "text d-block c-darkGray -large",
value: model.getCachedValue(idService.getId("zW_Vlp_nBkyWU62DG27wOg.Value"), function () {
return ((((((((OS.BuiltinFunctions.substr(model.variables.sIMNumberVar, 0, 4) + " ") + OS.BuiltinFunctions.substr(model.variables.sIMNumberVar, 4, 4)) + " ") + OS.BuiltinFunctions.substr(model.variables.sIMNumberVar, 8, 4)) + " ") + OS.BuiltinFunctions.substr(model.variables.sIMNumberVar, 12, 4)) + " ") + OS.BuiltinFunctions.substr(model.variables.sIMNumberVar, 16, 4));
}, function () {
return model.variables.sIMNumberVar;
}),
_idProps: {
service: idService,
uuid: "22"
},
_widgetRecordProvider: widgetsRecordProvider
})];
}),
rightPLaceholder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Link, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.onClickCopyToClipboard$Action("Sim", ((((((((OS.BuiltinFunctions.substr(model.variables.sIMNumberVar, 0, 4) + " ") + OS.BuiltinFunctions.substr(model.variables.sIMNumberVar, 4, 4)) + " ") + OS.BuiltinFunctions.substr(model.variables.sIMNumberVar, 8, 4)) + " ") + OS.BuiltinFunctions.substr(model.variables.sIMNumberVar, 12, 4)) + " ") + OS.BuiltinFunctions.substr(model.variables.sIMNumberVar, 16, 4)), "Número do cartão SIM copiado. Poderá colar noutra aplicação.", controller.callContext(eventHandlerContext));
});
;
},
visible: true,
_idProps: {
service: idService,
uuid: "23"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
HasRipple: true,
IconSize: model.getCachedValue(idService.getId("YKZ6+jY9NESriLBT7o+7IQ.IconSize"), function () {
return OS.BuiltinFunctions.nullTextIdentifier();
}),
StyleClass: "c-black",
IconName: myNOS_MOBModel.staticEntities.iCON_CLASS.iconCopiar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "24",
alias: "12"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))];
})
},
_dependencies: [asPrimitiveValue(model.variables.sIMNumberVar)]
})))];
}),
bottom: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_Common_BottomBar_mvc_view, {
inputs: {
ActiveItem: 2,
StatusBarHexCode: model.variables.initialStatusBarCodeVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "25",
alias: "13"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
})
},
_dependencies: [asPrimitiveValue(model.variables.sIMNumberVar), asPrimitiveValue(model.variables.pUKVar), asPrimitiveValue(model.variables.pINVar), asPrimitiveValue(model.variables.initialStatusBarCodeVar), asPrimitiveValue(model.variables.headerTypeVar)]
}));
        };
        return View;
    })(OSView.BaseView.BaseWebScreen);
	
    return View;
});
define("myNOS_MOB.CustomerInformation.PinPuk.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "MobileUIWidgets.controller", "myNOS_MBP.controller", "MobilePatterns.controller", "myNOS_MBP.model", "CopyToClipboard_Plugin.controller", "myNOS_MOB.languageResources", "myNOS_MOB.CustomerInformation.controller", "myNOS_MOB.CustomerInformation.PinPuk.mvc$controller.OnInitialize.JavaScript_CheckIsFromHistoryJS", "myNOS_MOB.controller$GoogleAnalyticsWeb_TrackTime", "myNOS_MOB.controller$Firebase_StopTrace", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.controller$GetPINPUKInfo", "myNOS_MOB.controller$Analytics_TrackException", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.model$Local_SERVICERecordList", "myNOS_MBP.model$Local_SERVICERec", "myNOS_MBP.entities", "myNOS_MOB.controller$Firebase_StartTrace", "CopyToClipboard_Plugin.controller$CopyToClipboard", "myNOS_MOB.referencesHealth$CopyToClipboard_Plugin", "myNOS_MOB.controller$Analytics_SendClickEvent", "MobileUIWidgets.controller$Info", "myNOS_MOB.model$Local_SELECTIONLocal_ASSOCIATIONRecordList", "myNOS_MBP.model$Local_SELECTIONRec", "myNOS_MBP.model$Local_ASSOCIATIONRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, MobileUIWidgetsController, myNOS_MBPController, MobilePatternsController, myNOS_MBPModel, CopyToClipboard_PluginController, myNOS_MOBLanguageResources, myNOS_MOB_CustomerInformationController, myNOS_MOB_CustomerInformation_PinPuk_mvc_controller_OnInitialize_JavaScript_CheckIsFromHistoryJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions
Controller.prototype.getLocalSELECTION$AggrRefresh = function (maxRecords) {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();

var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_SELECTIONLocal_ASSOCIATIONRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "ENLocal_ASSOCIATION.\"Id\" o0, ENLocal_ASSOCIATION.\"DisplayValue\" o1, ENLocal_ASSOCIATION.\"FriendlyName\" o2, ENLocal_ASSOCIATION.\"RoleName\" o3, ENLocal_ASSOCIATION.\"Key\" o4, ENLocal_ASSOCIATION.\"Value\" o5, ENLocal_ASSOCIATION.\"Master\" o6, ENLocal_ASSOCIATION.\"ContractDN\" o7, ENLocal_ASSOCIATION.\"AccountOwner\" o8, ENLocal_ASSOCIATION.\"AccountOwnerNIF\" o9, ENLocal_ASSOCIATION.\"AccountOwnerEmail\" o10, ENLocal_ASSOCIATION.\"AccountOwnerPhoneNr\" o11, ENLocal_ASSOCIATION.\"CustCode_ClientNumber\" o12, ENLocal_ASSOCIATION.\"AccountOwnerAddress\" o13, ENLocal_ASSOCIATION.\"IsNOSCardEligible\" o14, ENLocal_ASSOCIATION.\"ContactType\" o15, ENLocal_ASSOCIATION.\"PersonId\" o16, ENLocal_ASSOCIATION.\"CounterTelevision\" o17, ENLocal_ASSOCIATION.\"CounterInternetLandline\" o18, ENLocal_ASSOCIATION.\"CounterInternetMobile\" o19, ENLocal_ASSOCIATION.\"CounterVoiceLandline\" o20, ENLocal_ASSOCIATION.\"CounterVoiceMobile\" o21, ENLocal_ASSOCIATION.\"SuccessfullyUpdated\" o22, ENLocal_ASSOCIATION.\"IsPending\" o23, ENLocal_SELECTION.\"Id\" o24, ENLocal_SELECTION.\"LocalAssociationId\" o25, ENLocal_SELECTION.\"LocalServiceId\" o26, ENLocal_SELECTION.\"LocalBillingAccountNumber\" o27, ENLocal_SELECTION.\"IsRecharge\" o28, ENLocal_SELECTION.\"IsBalance\" o29, ENLocal_SELECTION.\"IsVoD\" o30, ENLocal_SELECTION.\"IsInvoice\" o31, ENLocal_SELECTION.\"IsTelevision\" o32, ENLocal_SELECTION.\"IsPinPuk\" o33, ENLocal_SELECTION.\"IsPackagesOrRefill\" o34, ENLocal_SELECTION.\"IsAccountDetails\" o35, ENLocal_SELECTION.\"isPrivacy\" o36, ENLocal_SELECTION.\"PrivacyNIF\" o37";
} else {
selectSql += "ENLocal_ASSOCIATION.\"Id\" o0, ENLocal_ASSOCIATION.\"DisplayValue\" o1, ENLocal_ASSOCIATION.\"FriendlyName\" o2, ENLocal_ASSOCIATION.\"RoleName\" o3, ENLocal_ASSOCIATION.\"Key\" o4, ENLocal_ASSOCIATION.\"Value\" o5, ENLocal_ASSOCIATION.\"Master\" o6, ENLocal_ASSOCIATION.\"ContractDN\" o7, ENLocal_ASSOCIATION.\"AccountOwner\" o8, ENLocal_ASSOCIATION.\"AccountOwnerNIF\" o9, ENLocal_ASSOCIATION.\"AccountOwnerEmail\" o10, ENLocal_ASSOCIATION.\"AccountOwnerPhoneNr\" o11, ENLocal_ASSOCIATION.\"CustCode_ClientNumber\" o12, ENLocal_ASSOCIATION.\"AccountOwnerAddress\" o13, ENLocal_ASSOCIATION.\"IsNOSCardEligible\" o14, ENLocal_ASSOCIATION.\"ContactType\" o15, ENLocal_ASSOCIATION.\"PersonId\" o16, ENLocal_ASSOCIATION.\"CounterTelevision\" o17, ENLocal_ASSOCIATION.\"CounterInternetLandline\" o18, ENLocal_ASSOCIATION.\"CounterInternetMobile\" o19, ENLocal_ASSOCIATION.\"CounterVoiceLandline\" o20, ENLocal_ASSOCIATION.\"CounterVoiceMobile\" o21, ENLocal_ASSOCIATION.\"SuccessfullyUpdated\" o22, ENLocal_ASSOCIATION.\"IsPending\" o23, ENLocal_SELECTION.\"Id\" o24, ENLocal_SELECTION.\"LocalAssociationId\" o25, ENLocal_SELECTION.\"LocalServiceId\" o26, ENLocal_SELECTION.\"LocalBillingAccountNumber\" o27, ENLocal_SELECTION.\"IsRecharge\" o28, ENLocal_SELECTION.\"IsBalance\" o29, ENLocal_SELECTION.\"IsVoD\" o30, ENLocal_SELECTION.\"IsInvoice\" o31, ENLocal_SELECTION.\"IsTelevision\" o32, ENLocal_SELECTION.\"IsPinPuk\" o33, ENLocal_SELECTION.\"IsPackagesOrRefill\" o34, ENLocal_SELECTION.\"IsAccountDetails\" o35, ENLocal_SELECTION.\"isPrivacy\" o36, ENLocal_SELECTION.\"PrivacyNIF\" o37";
}
fromAndWhereSql += " FROM (\"MAIN\".\"OSUSR_85w_Local_SELECTIONS\" ENLocal_SELECTION Inner JOIN \"MAIN\".\"OSUSR_85w_Local_ASSOCIATION\" ENLocal_ASSOCIATION ON (ENLocal_SELECTION.\"LocalAssociationId\" = ENLocal_ASSOCIATION.\"Id\")) ";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_SELECTIONLocal_ASSOCIATIONRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_ASSOCIATIONAttr",
"local_SELECTIONAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeScreenClientAggregate(executeQuery, function () {
return model.variables.getLocalSELECTIONAggr;
}, function () {
return controller._getLocalSELECTIONSOnAfterFetch$Action(controller.callContext(callContext));
});
};

Controller.prototype.dataFetchActionNames = ["getLocalSELECTION$AggrRefresh"];
// Client Actions
Controller.prototype._analytics_PerformanceStopTrace$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Analytics_PerformanceStopTrace");
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Firebase_StopTrace
model.flush();
return myNOS_MOBController.default.firebase_StopTrace$Action("Pin Puk Sim", callContext).then(function () {
// Execute Action: GoogleAnalyticsWeb_TrackTime6
myNOS_MOBController.default.googleAnalyticsWeb_TrackTime$Action("Pin Puk Sim", "page_load_time", "Pin Puk Sim", model.variables.trace_StartAtVar, callContext);
});
}).catch(function (ex) {
OS.Logger.trace("PinPuk.Analytics_PerformanceStopTrace", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.returnAsync();

});
}

throw ex;
});
};
Controller.prototype._getLocalSELECTIONSOnAfterFetch$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GetLocalSELECTIONSOnAfterFetch");
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var communicationExceptionVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var getConfigValue_VoiceMobileVar = new OS.DataTypes.VariableHolder();
var getConfigValue_InternetMobileZonVar = new OS.DataTypes.VariableHolder();
var getPINPUKInfoVar = new OS.DataTypes.VariableHolder();
var getConfigValue_InternetMobileVar = new OS.DataTypes.VariableHolder();
var getLocalSERVIceByIdVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_SERVICERecordList))());
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.executeSequence(function () {
if((!((model.variables.navigatedIsFromHistoryVar && !(model.variables.needRefreshVar))))) {
// IsLoading = True
model.variables.isLoadingVar = true;
// Aggregate: GetLocalSERVIceById
var getLocalSERVIceByIdAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_SERVICERecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 0;
}

var qpstServiceId = model.variables.getLocalSELECTIONAggr.listOut.getCurrent(callContext.iterationContext).local_SELECTIONAttr.localServiceIdAttr;

var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1, NULL o2, NULL o3, NULL o4, NULL o5, NULL o6, NULL o7, NULL o8";
} else {
selectSql += "ENLocal_SERVICE.\"Id\" o0, ENLocal_SERVICE.\"ServiceId\" o1, ENLocal_SERVICE.\"AssociationId\" o2, ENLocal_SERVICE.\"Name\" o3, ENLocal_SERVICE.\"ServiceAccount\" o4, ENLocal_SERVICE.\"UiLabel\" o5, ENLocal_SERVICE.\"Plan\" o6, ENLocal_SERVICE.\"GttTag\" o7, ENLocal_SERVICE.\"EquipmentDetail\" o8";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_SERVICE\" ENLocal_SERVICE";
fromAndWhereSql += " WHERE (ENLocal_SERVICE.\"ServiceId\" = :qpstServiceId)";
argsList.add("qpstServiceId", /*TEXT*/ 0, qpstServiceId);
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_SERVICERecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_SERVICEAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalSERVIceByIdVar.value;
});
};
return getLocalSERVIceByIdAggr().then(function () {
// Execute Action: GetConfigValue_InternetMobileZon
model.flush();
return myNOS_MBPController.default.getConfigValueAsText_MBP$Action("Selfcare_GetAssociationDetails_GttTag_NetMobileZon", callContext).then(function (value) {
getConfigValue_InternetMobileZonVar.value = value;
});
}).then(function () {
// Execute Action: GetConfigValue_InternetMobile
model.flush();
return myNOS_MBPController.default.getConfigValueAsText_MBP$Action("Selfcare_GetAssociationDetails_GttTag_NetMobile", callContext).then(function (value) {
getConfigValue_InternetMobileVar.value = value;
});
}).then(function () {
// Execute Action: GetConfigValue_VoiceMobile
model.flush();
return myNOS_MBPController.default.getConfigValueAsText_MBP$Action("Selfcare_GetAssociationDetails_GttTag_VoiceMobile", callContext).then(function (value) {
getConfigValue_VoiceMobileVar.value = value;
});
}).then(function () {
// ServiceId = If
model.variables.serviceIdVar = ((((((getLocalSERVIceByIdVar.value.listOut.getCurrent(callContext.iterationContext).local_SERVICEAttr.gttTagAttr === getConfigValue_InternetMobileZonVar.value.valueOut) || (getLocalSERVIceByIdVar.value.listOut.getCurrent(callContext.iterationContext).local_SERVICEAttr.gttTagAttr === getConfigValue_InternetMobileVar.value.valueOut)) || (getLocalSERVIceByIdVar.value.listOut.getCurrent(callContext.iterationContext).local_SERVICEAttr.gttTagAttr === getConfigValue_VoiceMobileVar.value.valueOut)) && (OS.BuiltinFunctions.length(getLocalSERVIceByIdVar.value.listOut.getCurrent(callContext.iterationContext).local_SERVICEAttr.serviceIdAttr) === 9))) ? (getLocalSERVIceByIdVar.value.listOut.getCurrent(callContext.iterationContext).local_SERVICEAttr.serviceIdAttr) : (""));
}).then(function () {
// ServiceId empty?
return OS.Flow.executeSequence(function () {
if(((model.variables.serviceIdVar === ""))) {
// Execute Action: Error3
MobileUIWidgetsController.default.error$Action("Não foi possível obter os dados pretendidos.", callContext);
} else {
// Execute Action: GetPINPUKInfo
model.flush();
return myNOS_MBPController.default.getPINPUKInfo$Action(model.variables.getLocalSELECTIONAggr.listOut.getCurrent(callContext.iterationContext).local_SELECTIONAttr.localAssociationIdAttr, model.variables.serviceIdVar, callContext).then(function (value) {
getPINPUKInfoVar.value = value;
}).then(function () {
if((getPINPUKInfoVar.value.successOut)) {
// Title = GetLocalSELECTION.List.Current.Local_ASSOCIATION.FriendlyName
model.variables.titleVar = model.variables.getLocalSELECTIONAggr.listOut.getCurrent(callContext.iterationContext).local_ASSOCIATIONAttr.friendlyNameAttr;
// SubTitle = GetLocalSERVIceById.List.Current.Local_SERVICE.UiLabel
model.variables.subTitleVar = getLocalSERVIceByIdVar.value.listOut.getCurrent(callContext.iterationContext).local_SERVICEAttr.uiLabelAttr;
// SIMNumber = GetPINPUKInfo.SIMNumber
model.variables.sIMNumberVar = getPINPUKInfoVar.value.sIMNumberOut;
// PIN = GetPINPUKInfo.PIN
model.variables.pINVar = getPINPUKInfoVar.value.pINOut;
// PUK = GetPINPUKInfo.PUK
model.variables.pUKVar = getPINPUKInfoVar.value.pUKOut;
} else {
// Execute Action: Error22
MobileUIWidgetsController.default.error$Action(getPINPUKInfoVar.value.messageOut, callContext);
}

});
}

});
}).then(function () {
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Analytics_PerformanceStopTrace4
return controller._analytics_PerformanceStopTrace$Action(callContext);
});
}

});
}).catch(function (ex) {
OS.Logger.trace("PinPuk.GetLocalSELECTIONSOnAfterFetch", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: CommunicationException
if(OS.Exceptions.isInstanceOf(ex, OS.Exceptions.Exceptions.CommunicationException)) {
OS.Logger.error(null, ex);
communicationExceptionVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_TrackException2
myNOS_MOBController.default.analytics_TrackException$Action(communicationExceptionVar.value.exceptionMessageAttr, true, callContext);
// Execute Action: Analytics_PerformanceStopTrace2
return controller._analytics_PerformanceStopTrace$Action(callContext).then(function () {
if((MobilePatternsController.default.getNetworkStatus$Action(callContext.withoutIterationContext()).isOnlineOut)) {
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Error24
MobileUIWidgetsController.default.error$Action("Ocorreu um erro. Por favor tente novamente.", callContext);
return OS.Flow.returnAsync();

} else {
// Destination: /myNOS_MOB/NoConnection
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/NoConnection", {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true));
}

});
});
}

// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_TrackException
myNOS_MOBController.default.analytics_TrackException$Action(allExceptionsVar.value.exceptionMessageAttr, true, callContext);
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Error23
MobileUIWidgetsController.default.error$Action("Ocorreu um erro. Por favor tente novamente.", callContext);
// Execute Action: Analytics_PerformanceStopTrace
return controller._analytics_PerformanceStopTrace$Action(callContext).then(function () {
return OS.Flow.returnAsync();

});
});
}

throw ex;
});
};
Controller.prototype._analytics_PerformanceStartTrace$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Analytics_PerformanceStartTrace");
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
return OS.Flow.executeAsyncFlow(function () {
// Trace_StartAt = CurrDateTime
model.variables.trace_StartAtVar = OS.BuiltinFunctions.currDateTime();
// Execute Action: Firebase_StartTrace
model.flush();
return myNOS_MOBController.default.firebase_StartTrace$Action("Pin Puk Sim", false, callContext);
}).catch(function (ex) {
OS.Logger.trace("PinPuk.Analytics_PerformanceStartTrace", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.returnAsync();

});
}

throw ex;
});
};
Controller.prototype._headerContentCardNotifyId$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("HeaderContentCardNotifyId");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// NeedRefresh = True
model.variables.needRefreshVar = true;
// Refresh Query: GetLocalSELECTION
var result = controller.getLocalSELECTION$AggrRefresh(50);
model.flush();
return result;
});
};
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
var getConfig_HeaderContentType_Asso_BAVar = new OS.DataTypes.VariableHolder();
var javaScript_CheckIsFromHistoryJSResult = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
javaScript_CheckIsFromHistoryJSResult.value = controller.safeExecuteJSNode(myNOS_MOB_CustomerInformation_PinPuk_mvc_controller_OnInitialize_JavaScript_CheckIsFromHistoryJS, "JavaScript_CheckIsFromHistory", "OnInitialize", {
navigatedIsFromHistory: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("myNOS_MOB.CustomerInformation.PinPuk.OnInitialize$javaScript_CheckIsFromHistoryJSResult"))();
jsNodeResult.navigatedIsFromHistoryOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.navigatedIsFromHistory, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
// NavigatedIsFromHistory
// NavigatedIsFromHistory = JavaScript_CheckIsFromHistory.navigatedIsFromHistory
model.variables.navigatedIsFromHistoryVar = javaScript_CheckIsFromHistoryJSResult.value.navigatedIsFromHistoryOut;
return OS.Flow.executeSequence(function () {
if((!(model.variables.navigatedIsFromHistoryVar))) {
// Execute Action: Analytics_PerformanceStartTrace
return controller._analytics_PerformanceStartTrace$Action(callContext).then(function () {
// Execute Action: GetConfig_HeaderContentType_Asso_BA
model.flush();
return myNOS_MBPController.default.getConfigValueAsText_MBP$Action("HeaderContentType_Asso+Telef", callContext).then(function (value) {
getConfig_HeaderContentType_Asso_BAVar.value = value;
});
}).then(function () {
// HeaderType = GetConfig_HeaderContentType_Asso_BA.Value
model.variables.headerTypeVar = getConfig_HeaderContentType_Asso_BAVar.value.valueOut;
});
}

});
});
};
Controller.registerVariableGroupType("myNOS_MOB.CustomerInformation.PinPuk.OnInitialize$javaScript_CheckIsFromHistoryJSResult", [{
name: "navigatedIsFromHistory",
attrName: "navigatedIsFromHistoryOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Controller.prototype._onClickCopyToClipboard$Action = function (typeIn, variableSentIn, messageToDisplayIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnClickCopyToClipboard");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.CustomerInformation.PinPuk.OnClickCopyToClipboard$vars"))());
vars.value.typeInLocal = typeIn;
vars.value.variableSentInLocal = variableSentIn;
vars.value.messageToDisplayInLocal = messageToDisplayIn;
var copyToClipboardVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("Pin_puk_sim", vars.value.typeInLocal, 0, "", callContext).then(function () {
// Execute Action: CopyToClipboard
model.flush();
return CopyToClipboard_PluginController.default.copyToClipboard$Action(vars.value.variableSentInLocal, callContext).then(function (value) {
copyToClipboardVar.value = value;
});
}).then(function () {
// Execute Action: Info2
MobileUIWidgetsController.default.info$Action(vars.value.messageToDisplayInLocal, callContext);
});
});
};
Controller.registerVariableGroupType("myNOS_MOB.CustomerInformation.PinPuk.OnClickCopyToClipboard$vars", [{
name: "Type",
attrName: "typeInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "VariableSent",
attrName: "variableSentInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "MessageToDisplay",
attrName: "messageToDisplayInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);

Controller.prototype.analytics_PerformanceStopTrace$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._analytics_PerformanceStopTrace$Action, callContext);

};
Controller.prototype.getLocalSELECTIONSOnAfterFetch$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._getLocalSELECTIONSOnAfterFetch$Action, callContext);

};
Controller.prototype.analytics_PerformanceStartTrace$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._analytics_PerformanceStartTrace$Action, callContext);

};
Controller.prototype.headerContentCardNotifyId$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._headerContentCardNotifyId$Action, callContext);

};
Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};
Controller.prototype.onClickCopyToClipboard$Action = function (typeIn, variableSentIn, messageToDisplayIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onClickCopyToClipboard$Action, callContext, typeIn, variableSentIn, messageToDisplayIn);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return myNOS_MOB_CustomerInformationController.default.handleError(ex, this.callContext());
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});
define("myNOS_MOB.CustomerInformation.PinPuk.mvc$controller.OnInitialize.JavaScript_CheckIsFromHistoryJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
if($public.View.wasCurrentViewRestoredFromCache())
    $parameters.navigatedIsFromHistory = true;
    
/*
$public.Navigation.navigatedFromHistory()
$public.View.wasCurrentViewRestoredFromCache();
*/
};
});

