﻿define("myNOS_MOB.DirectDebit.DirectDebitOrchestration.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MBP.controller", "myNOS_MOB.controller", "MobileUIWidgets.controller", "MobilePatterns.controller", "myNOS_MBP.model", "myNOS_MOB.Common.Waiting.mvc$model", "myNOS_MOB.CommonLayout.Layout_Lvl_2.mvc$model", "myNOS_MOB.CommonLayout.Header_L_Lvl_2.mvc$model", "myNOS_MOB.CommonLayout.Header_Title.mvc$model", "myNOS_MOB.Blocks.HeaderContentCard.mvc$model", "MobileUIWidgets.WidgetsContent.EmptyStates_new.mvc$model", "MobileUIWidgets.WidgetsContent.Card_new.mvc$model", "MobileUIWidgets.WidgetsContent.ButtonRipple.mvc$model", "MobileUIWidgets.WidgetsContent.SectionExpandable_new.mvc$model", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$model", "myNOS_MOB.Blocks.DirectDebitMarketingItem.mvc$model", "myNOS_MOB.Common.BottomBar.mvc$model", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.model$STR_DIRECT_DEBIT_MARKETINGList", "myNOS_MOB.controller$Analytics_SendClickEvent", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MBP.controller$CheckPermission_Invoice", "myNOS_MOB.controller$Analytics_TrackException", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.model$Local_SELECTIONRecordList", "myNOS_MOB.model$Local_ASSOCIATIONRecordList", "myNOS_MOB.model$Local_BILLING_ACCOUNTRecordList", "myNOS_MOB.model$Local_ACCESS_TOKEN_INFORecordList", "myNOS_MBP.model$Local_ASSOCIATIONRec", "myNOS_MBP.model$Local_SELECTIONRec", "myNOS_MBP.model$Local_BILLING_ACCOUNTRec", "myNOS_MBP.model$Local_ACCESS_TOKEN_INFORec", "myNOS_MBP.entities"], function (OutSystems, myNOS_MOBModel, myNOS_MBPController, myNOS_MOBController, MobileUIWidgetsController, MobilePatternsController, myNOS_MBPModel, myNOS_MOB_Common_Waiting_mvcModel, myNOS_MOB_CommonLayout_Layout_Lvl_2_mvcModel, myNOS_MOB_CommonLayout_Header_L_Lvl_2_mvcModel, myNOS_MOB_CommonLayout_Header_Title_mvcModel, myNOS_MOB_Blocks_HeaderContentCard_mvcModel, MobileUIWidgets_WidgetsContent_EmptyStates_new_mvcModel, MobileUIWidgets_WidgetsContent_Card_new_mvcModel, MobileUIWidgets_WidgetsContent_ButtonRipple_mvcModel, MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvcModel, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvcModel, myNOS_MOB_Blocks_DirectDebitMarketingItem_mvcModel, myNOS_MOB_Common_BottomBar_mvcModel) {
var OS = OutSystems.Internal;
var GetLocalSELECTIONSAggrRec = (function (_super) {
__extends(GetLocalSELECTIONSAggrRec, _super);
function GetLocalSELECTIONSAggrRec(defaults) {
_super.apply(this, arguments);
}
GetLocalSELECTIONSAggrRec.RecordListType = myNOS_MOBModel.Local_SELECTIONRecordList;
GetLocalSELECTIONSAggrRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetLocalSELECTIONSAggrRec.init();
return GetLocalSELECTIONSAggrRec;
})(OS.Model.AggregateRecord);

var GetDirectDebitMarketingsDataActRec = (function (_super) {
__extends(GetDirectDebitMarketingsDataActRec, _super);
function GetDirectDebitMarketingsDataActRec(defaults) {
_super.apply(this, arguments);
}
GetDirectDebitMarketingsDataActRec.attributesToDeclare = function () {
return [
this.attr("Out_DirectDebitMarketings", "out_DirectDebitMarketingsOut", "Out_DirectDebitMarketings", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_DIRECT_DEBIT_MARKETINGList());
}, myNOS_MOBModel.STR_DIRECT_DEBIT_MARKETINGList)
].concat(_super.attributesToDeclare.call(this));
};
GetDirectDebitMarketingsDataActRec.fromStructure = function (str) {
return new GetDirectDebitMarketingsDataActRec(new GetDirectDebitMarketingsDataActRec.RecordClass({
out_DirectDebitMarketingsOut: OS.DataTypes.ImmutableBase.getData(str)
}));
};
GetDirectDebitMarketingsDataActRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetDirectDebitMarketingsDataActRec.init();
return GetDirectDebitMarketingsDataActRec;
})(OS.Model.DataSourceRecord);

var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("IBAN", "iBANVar", "IBAN", true, OS.Types.Text, function () {
return "PT50001901120020001795396";
}), 
this.attr("DaysToWithdrawal", "daysToWithdrawalVar", "DaysToWithdrawal", true, OS.Types.Integer, function () {
return 13;
}), 
this.attr("DayOfWithdrawal", "dayOfWithdrawalVar", "DayOfWithdrawal", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("IsProcessing", "isProcessingVar", "IsProcessing", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("IsActive", "isActiveVar", "IsActive", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("CustCodeScreen", "custCodeScreenVar", "CustCodeScreen", true, OS.Types.Text, function () {
return "";
}), 
this.attr("IsLoading", "isLoadingVar", "IsLoading", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("WithdrawalDate", "withdrawalDateVar", "WithdrawalDate", true, OS.Types.Date, function () {
return OS.BuiltinFunctions.nullDate();
}), 
this.attr("ShowDays", "showDaysVar", "ShowDays", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("Local_BillingAccount", "local_BillingAccountVar", "Local_BillingAccount", true, OS.Types.Text, function () {
return "";
}), 
this.attr("ShowStates", "showStatesVar", "ShowStates", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("IsOpen", "isOpenVar", "IsOpen", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("BillingAccountNumber", "billingAccountNumberVar", "BillingAccountNumber", true, OS.Types.Text, function () {
return "";
}), 
this.attr("RefreshHeader", "refreshHeaderVar", "RefreshHeader", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("HeaderType", "headerTypeVar", "HeaderType", true, OS.Types.Text, function () {
return "";
}), 
this.attr("HasPermition", "hasPermitionVar", "HasPermition", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("InitialStatusBarCode", "initialStatusBarCodeVar", "InitialStatusBarCode", true, OS.Types.Text, function () {
return myNOS_MOBModel.staticEntities.hEX_COLORS.blueDark;
}), 
this.attr("ShowDayOfWithdrawalCard", "showDayOfWithdrawalCardVar", "ShowDayOfWithdrawalCard", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("NavigatedIsFromHistory", "navigatedIsFromHistoryVar", "NavigatedIsFromHistory", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("DirectDebitMarketings", "directDebitMarketingsVar", "DirectDebitMarketings", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_DIRECT_DEBIT_MARKETINGList());
}, myNOS_MOBModel.STR_DIRECT_DEBIT_MARKETINGList), 
this.attr("NeedRefresh", "needRefreshVar", "NeedRefresh", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("EnablePreviousScreenLink", "enablePreviousScreenLinkIn", "EnablePreviousScreenLink", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_enablePreviousScreenLinkInDataFetchStatus", "_enablePreviousScreenLinkInDataFetchStatus", "_enablePreviousScreenLinkInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("GetLocalSELECTIONS", "getLocalSELECTIONSAggr", "getLocalSELECTIONSAggr", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetLocalSELECTIONSAggrRec());
}, GetLocalSELECTIONSAggrRec), 
this.attr("GetDirectDebitMarketings", "getDirectDebitMarketingsDataAct", "getDirectDebitMarketingsDataAct", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetDirectDebitMarketingsDataActRec());
}, GetDirectDebitMarketingsDataActRec)
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = (((((((((((myNOS_MOB_Common_Waiting_mvcModel.hasValidationWidgets || myNOS_MOB_CommonLayout_Layout_Lvl_2_mvcModel.hasValidationWidgets) || myNOS_MOB_CommonLayout_Header_L_Lvl_2_mvcModel.hasValidationWidgets) || myNOS_MOB_CommonLayout_Header_Title_mvcModel.hasValidationWidgets) || myNOS_MOB_Blocks_HeaderContentCard_mvcModel.hasValidationWidgets) || MobileUIWidgets_WidgetsContent_EmptyStates_new_mvcModel.hasValidationWidgets) || MobileUIWidgets_WidgetsContent_Card_new_mvcModel.hasValidationWidgets) || MobileUIWidgets_WidgetsContent_ButtonRipple_mvcModel.hasValidationWidgets) || MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvcModel.hasValidationWidgets) || MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvcModel.hasValidationWidgets) || myNOS_MOB_Blocks_DirectDebitMarketingItem_mvcModel.hasValidationWidgets) || myNOS_MOB_Common_BottomBar_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("EnablePreviousScreenLink" in inputs) {
this.variables.enablePreviousScreenLinkIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.EnablePreviousScreenLink, OS.Types.Boolean);
}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.DirectDebit.DirectDebitOrchestration.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "MobileUIWidgets.controller", "MobilePatterns.controller", "myNOS_MBP.model", "react", "OutSystemsReactView", "myNOS_MOB.DirectDebit.DirectDebitOrchestration.mvc$model", "myNOS_MOB.DirectDebit.DirectDebitOrchestration.mvc$controller", "myNOS_MOB.Common.Waiting.mvc$view", "OutSystemsReactWidgets", "myNOS_MOB.CommonLayout.Layout_Lvl_2.mvc$view", "myNOS_MOB.CommonLayout.Header_L_Lvl_2.mvc$view", "myNOS_MOB.CommonLayout.Header_Title.mvc$view", "myNOS_MOB.Blocks.HeaderContentCard.mvc$view", "MobileUIWidgets.WidgetsContent.EmptyStates_new.mvc$view", "MobileUIWidgets.WidgetsContent.Card_new.mvc$view", "MobileUIWidgets.WidgetsContent.ButtonRipple.mvc$view", "MobileUIWidgets.WidgetsContent.SectionExpandable_new.mvc$view", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$view", "myNOS_MOB.Blocks.DirectDebitMarketingItem.mvc$view", "myNOS_MOB.Common.BottomBar.mvc$view", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.model$STR_DIRECT_DEBIT_MARKETINGList", "myNOS_MOB.controller$Analytics_SendClickEvent", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MBP.controller$CheckPermission_Invoice", "myNOS_MOB.controller$Analytics_TrackException", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.model$Local_SELECTIONRecordList", "myNOS_MOB.model$Local_ASSOCIATIONRecordList", "myNOS_MOB.model$Local_BILLING_ACCOUNTRecordList", "myNOS_MOB.model$Local_ACCESS_TOKEN_INFORecordList", "myNOS_MBP.model$Local_ASSOCIATIONRec", "myNOS_MBP.model$Local_SELECTIONRec", "myNOS_MBP.model$Local_BILLING_ACCOUNTRec", "myNOS_MBP.model$Local_ACCESS_TOKEN_INFORec", "myNOS_MBP.entities"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, MobileUIWidgetsController, MobilePatternsController, myNOS_MBPModel, React, OSView, myNOS_MOB_DirectDebit_DirectDebitOrchestration_mvc_model, myNOS_MOB_DirectDebit_DirectDebitOrchestration_mvc_controller, myNOS_MOB_Common_Waiting_mvc_view, OSWidgets, myNOS_MOB_CommonLayout_Layout_Lvl_2_mvc_view, myNOS_MOB_CommonLayout_Header_L_Lvl_2_mvc_view, myNOS_MOB_CommonLayout_Header_Title_mvc_view, myNOS_MOB_Blocks_HeaderContentCard_mvc_view, MobileUIWidgets_WidgetsContent_EmptyStates_new_mvc_view, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvc_view, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, myNOS_MOB_Blocks_DirectDebitMarketingItem_mvc_view, myNOS_MOB_Common_BottomBar_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "DirectDebit.DirectDebitOrchestration";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css", "css/MobilePatterns.BaseTheme.css", "css/MobileThemes_MyNos.NOS_BaseTheme.css", "css/MobileThemes_MyNos.NOS_LightTheme.css", "css/myNOS_MOB.myNOS_MOB.css", "css/MobilePatterns.BaseTheme.extra.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_Common_Waiting_mvc_view, myNOS_MOB_CommonLayout_Layout_Lvl_2_mvc_view, myNOS_MOB_CommonLayout_Header_L_Lvl_2_mvc_view, myNOS_MOB_CommonLayout_Header_Title_mvc_view, myNOS_MOB_Blocks_HeaderContentCard_mvc_view, MobileUIWidgets_WidgetsContent_EmptyStates_new_mvc_view, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvc_view, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, myNOS_MOB_Blocks_DirectDebitMarketingItem_mvc_view, myNOS_MOB_Common_BottomBar_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_DirectDebit_DirectDebitOrchestration_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_DirectDebit_DirectDebitOrchestration_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "Debito direto";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if(true, false, this, function () {
return [React.createElement(myNOS_MOB_Common_Waiting_mvc_view, {
inputs: {
InitialStatusBarCode: model.variables.initialStatusBarCodeVar,
IsLoading: model.variables.isLoadingVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}, function () {
return [];
}), React.createElement(myNOS_MOB_CommonLayout_Layout_Lvl_2_mvc_view, {
inputs: {
PageSection: model.getCachedValue(idService.getId("xNwJjlrLjUib6k9GqKuBRw.PageSection"), function () {
return ((model.variables.isProcessingVar) ? ("Em validacao") : (((model.variables.isActiveVar) ? ("Debito Ativado") : ("Debito Direto"))));
}, function () {
return model.variables.isProcessingVar;
}, function () {
return model.variables.isActiveVar;
}),
StatusBarHexCode: model.variables.initialStatusBarCodeVar,
NavigatedIsFromHistory: model.variables.navigatedIsFromHistoryVar,
MasterColorId: myNOS_MOBModel.staticEntities.mASTER_COLOR.blueDark,
PageType: model.getCachedValue(idService.getId("xNwJjlrLjUib6k9GqKuBRw.PageType"), function () {
return ((model.variables.isProcessingVar) ? ("Consulta") : (((model.variables.isActiveVar) ? ("Consulta") : ("Operacao"))));
}, function () {
return model.variables.isProcessingVar;
}, function () {
return model.variables.isActiveVar;
}),
PageTitle: "Debito Direto",
PageNameUrl: "DirectDebitOrchestration"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
headerLeft: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_CommonLayout_Header_L_Lvl_2_mvc_view, {
inputs: {
EnablePreviousScreenLink: model.variables.enablePreviousScreenLinkIn,
AnalyticsLabel: "Voltar",
AnalyticsCategory: "Debito_direto"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "2",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}),
headerTitle: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_CommonLayout_Header_Title_mvc_view, {
inputs: {
Title: "Débito direto"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "3",
alias: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}),
headerRight: PlaceholderContent.Empty,
headerContent: PlaceholderContent.Empty,
content: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "header-cardContainerBase",
visible: true,
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(myNOS_MOB_Blocks_HeaderContentCard_mvc_view, {
inputs: {
InitialStatusBarColor: model.variables.initialStatusBarCodeVar,
AnalyticsCategory: model.getCachedValue(idService.getId("fVTr05C9SUa8mcBspOWk7g.AnalyticsCategory"), function () {
return ((model.variables.isProcessingVar) ? ("Em validacao") : (((model.variables.isActiveVar) ? ("Debito Ativado") : ("Debito Direto"))));
}, function () {
return model.variables.isProcessingVar;
}, function () {
return model.variables.isActiveVar;
}),
Refresh: (model.variables.refreshHeaderVar ? "True" : "False"),
HeaderType: model.variables.headerTypeVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
notifyId$Action: function (id1In, id2In) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.headerContentCardNotifyId$Action(controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "5",
alias: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})), $if(model.variables.hasPermitionVar, false, this, function () {
return [$if(model.variables.showStatesVar, false, this, function () {
return [$if(model.variables.isProcessingVar, false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "6"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_EmptyStates_new_mvc_view, {
inputs: {
Text: "Por favor aguarde até que a primeira fatura seja emitida para que possamos validar o IBAN que inseriu.",
Title: "Estamos a confirmar a ativação com o seu banco",
StyleClass: "mb-24"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "7",
alias: "6"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
spokeImage: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Image, {
image: OS.Navigation.VersionedURL.getVersionedUrl("img/myNOS_MOB.EmptyState_Light_BlueDark_Wait.svg"),
type: /*Static*/ 0,
_idProps: {
service: idService,
uuid: "8"
},
_widgetRecordProvider: widgetsRecordProvider
})];
})
},
_dependencies: []
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "ph-16",
visible: true,
_idProps: {
service: idService,
uuid: "9"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasRightSide: false,
StyleClass: "-paddingEqual mt-24",
HasLeftSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "10",
alias: "7"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Expression, {
style: "d-block text -light -big c-black",
value: "IBAN da conta bancária:",
_idProps: {
service: idService,
uuid: "11"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.AdvancedHtml, {
tag: "h2",
_idProps: {
service: idService,
uuid: "12"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "d-block mt-8 h2 c-black -medium",
value: model.getCachedValue(idService.getId("O1vu0PhtYkePFEfpDH40tQ.Value"), function () {
return (((model.variables.iBANVar === "")) ? ("-") : (model.variables.iBANVar));
}, function () {
return model.variables.iBANVar;
}),
_idProps: {
service: idService,
uuid: "13"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.iBANVar)]
}))];
}, function () {
return [$if(model.variables.isActiveVar, false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "ph-16 mv-24",
visible: true,
_idProps: {
service: idService,
uuid: "14"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasRightSide: false,
HasLeftSide: false,
StyleClass: "-paddingTopMajor mb-2"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "15",
alias: "8"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "text-center mb-24",
visible: true,
_idProps: {
service: idService,
uuid: "16"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Image, {
image: OS.Navigation.VersionedURL.getVersionedUrl("img/myNOS_MOB.debitodireto.svg"),
style: "a-flexCardImg",
type: /*Static*/ 0,
_idProps: {
service: idService,
uuid: "17"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.AdvancedHtml, {
extendedProperties: {
className: "text-center"
},
tag: "h3",
_idProps: {
service: idService,
uuid: "18"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "h3 -bold c-black",
value: "O débito direto está ativo",
_idProps: {
service: idService,
uuid: "19"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Expression, {
style: "a-textRead c-gray mt-16",
value: "IBAN da conta bancária que está a ser usada:",
_idProps: {
service: idService,
uuid: "20"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.AdvancedHtml, {
tag: "h3",
_idProps: {
service: idService,
uuid: "21"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "d-block h3 -medium c-darkGray",
value: model.getCachedValue(idService.getId("wnnQQTO6WkeIZNUx7ZpZEg.Value"), function () {
return (((model.variables.iBANVar === "")) ? ("-") : (model.variables.iBANVar));
}, function () {
return model.variables.iBANVar;
}),
_idProps: {
service: idService,
uuid: "22"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.iBANVar)]
}), $if(model.variables.showDayOfWithdrawalCardVar, false, this, function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasRightSide: false,
StyleClass: "-paddingMedium mt-2",
HasLeftSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "23",
alias: "9"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "text-left",
visible: true,
_idProps: {
service: idService,
uuid: "24"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.AdvancedHtml, {
tag: "h3",
_idProps: {
service: idService,
uuid: "25"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "h3 c-black -bold",
value: (("O débito será efetuado no dia " + (model.variables.dayOfWithdrawalVar).toString()) + " de cada mês"),
_idProps: {
service: idService,
uuid: "26"
},
_widgetRecordProvider: widgetsRecordProvider
}))), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "text-right",
visible: model.variables.showDaysVar,
_idProps: {
service: idService,
uuid: "27"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "mt-8 a-textRead c-gray",
value: (("Faltam " + (model.variables.daysToWithdrawalVar).toString()) + " dias"),
_idProps: {
service: idService,
uuid: "28"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.daysToWithdrawalVar), asPrimitiveValue(model.variables.showDaysVar), asPrimitiveValue(model.variables.dayOfWithdrawalVar)]
})];
}, function () {
return [];
}))];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "ph-16 mv-24",
visible: true,
_idProps: {
service: idService,
uuid: "29"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasLeftSide: false,
HasRightSide: false,
StyleClass: "-paddingBig text-center"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "30",
alias: "10"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mb-24",
visible: true,
_idProps: {
service: idService,
uuid: "31"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Image, {
image: OS.Navigation.VersionedURL.getVersionedUrl("img/myNOS_MOB.debitodireto.svg"),
style: "a-flexCardImg",
type: /*Static*/ 0,
_idProps: {
service: idService,
uuid: "32"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Expression, {
style: "a-textRead mb-24",
value: "Sem atrasos. Sem pensar no assunto. A maneira mais cómoda e simples de fazer os seus pagamentos.",
_idProps: {
service: idService,
uuid: "33"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "34",
alias: "11"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.activateDirectDebit$Action(controller.callContext(eventHandlerContext));
});
;
},
style: "btn btn-primary a-btn -primary -fullWidth",
visible: true,
_idProps: {
service: idService,
uuid: "35"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Ativar débito direto", React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "36"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: []
})];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: []
}), React.createElement(MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvc_view, {
inputs: {
HasIcon: false,
StyleClass: "-noBottom"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
onToggle$Action: function (isExpandedIn) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.sectionExpandable_newOnToggle$Action(controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "37",
alias: "12"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
title: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "text-center pv-12 wrapper",
visible: true,
_idProps: {
service: idService,
uuid: "38"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Text, {
style: " a-textRead c-black -inline",
text: ["Descubra mais vantagens"],
_idProps: {
service: idService,
uuid: "39"
},
_widgetRecordProvider: widgetsRecordProvider
}), $if(model.variables.isOpenVar, false, this, function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
IconName: myNOS_MOBModel.staticEntities.iCON_CLASS.iconArrowUp,
IconSize: myNOS_MOBModel.staticEntities.iCON_SIZE.small,
StyleClass: "ml-12 d-inline-block c-black"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "40",
alias: "13"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}, function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
StyleClass: "ml-12 d-inline-block c-black",
IconSize: myNOS_MOBModel.staticEntities.iCON_SIZE.small,
IconName: myNOS_MOBModel.staticEntities.iCON_CLASS.iconArrowDown
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "41",
alias: "14"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}))];
}),
content: new PlaceholderContent(function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasLeftSide: false,
HasRightSide: false,
StyleClass: "-paddingVerticalMajor"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "42",
alias: "15"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.List, {
animateItems: true,
gridProperties: {
classes: "OSFillParent"
},
mode: /*Default*/ 0,
source: model.variables.directDebitMarketingsVar,
style: "list list-group -noBgd",
tag: "div",
_idProps: {
service: idService,
uuid: "43"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
content: new IteratorPlaceholderContent(function (idService, callContext) {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: model.getCachedValue(idService.getId("H4mREIlStECN7G+9tkwH7Q.Style"), function () {
return ((((((model.variables.directDebitMarketingsVar.getCurrentRowNumber(callContext.iterationContext)) !== (0))) ? ("pt-24") : ("")) + " DirectDebitList-") + (model.variables.directDebitMarketingsVar.getCurrentRowNumber(callContext.iterationContext)).toString());
}, function () {
return model.variables.directDebitMarketingsVar.getCurrentRowNumber(callContext.iterationContext);
}),
visible: true,
_idProps: {
service: idService,
uuid: "44"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: [asPrimitiveValue(model.variables.directDebitMarketingsVar.getCurrent(callContext.iterationContext).subtitleAttr), asPrimitiveValue(model.variables.directDebitMarketingsVar.getCurrent(callContext.iterationContext).titleAttr), asPrimitiveValue(model.variables.directDebitMarketingsVar.getCurrent(callContext.iterationContext).directDebitMktImageIdAttr)]
}, React.createElement(myNOS_MOB_Blocks_DirectDebitMarketingItem_mvc_view, {
inputs: {
DirectDebitMarketingImageId: model.variables.directDebitMarketingsVar.getCurrent(callContext.iterationContext).directDebitMktImageIdAttr
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
renderingFinished$Action: function () {
var eventHandlerContext = callContext.clone();
controller.directDebitMarketingItemRenderingFinished$Action(controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "45",
alias: "16"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
titlePlaceholder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Expression, {
value: model.variables.directDebitMarketingsVar.getCurrent(callContext.iterationContext).titleAttr,
_idProps: {
service: idService,
uuid: "46"
},
_widgetRecordProvider: widgetsRecordProvider
})];
}),
textPlaceholder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Expression, {
value: model.variables.directDebitMarketingsVar.getCurrent(callContext.iterationContext).subtitleAttr,
_idProps: {
service: idService,
uuid: "47"
},
_widgetRecordProvider: widgetsRecordProvider
})];
})
},
_dependencies: [asPrimitiveValue(model.variables.directDebitMarketingsVar.getCurrent(callContext.iterationContext).subtitleAttr), asPrimitiveValue(model.variables.directDebitMarketingsVar.getCurrent(callContext.iterationContext).titleAttr)]
}))];
}, callContext, idService, "1")
},
_dependencies: []
})];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.directDebitMarketingsVar)]
})];
})
},
_dependencies: [asPrimitiveValue(model.variables.directDebitMarketingsVar), asPrimitiveValue(model.variables.isOpenVar)]
}))];
})];
})];
}, function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_EmptyStates_new_mvc_view, {
inputs: {
Title: "Sem resultados",
Text: "Não foram encontrados dados relativos ao débito direto."
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "48",
alias: "17"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
spokeImage: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Image, {
image: OS.Navigation.VersionedURL.getVersionedUrl("img/myNOS_MOB.EmptyState_Light_BlueDark_Results.svg"),
type: /*Static*/ 0,
_idProps: {
service: idService,
uuid: "49"
},
_widgetRecordProvider: widgetsRecordProvider
})];
})
},
_dependencies: []
})];
})];
}, function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_EmptyStates_new_mvc_view, {
inputs: {
Text: "Não lhe foram garantidas permissões para visualizar estes conteúdos do serviço selecionado.",
Title: "Não tem permissões para visualizar"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "50",
alias: "18"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
spokeImage: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Image, {
image: OS.Navigation.VersionedURL.getVersionedUrl("img/myNOS_MOB.EmptyState_Light_BlueDark_Permissions.svg"),
type: /*Static*/ 0,
_idProps: {
service: idService,
uuid: "51"
},
_widgetRecordProvider: widgetsRecordProvider
})];
})
},
_dependencies: []
})];
})];
}),
bottom: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_Common_BottomBar_mvc_view, {
inputs: {
StatusBarHexCode: model.variables.initialStatusBarCodeVar,
ActiveItem: 2
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "52",
alias: "19"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
})
},
_dependencies: [asPrimitiveValue(model.variables.directDebitMarketingsVar), asPrimitiveValue(model.variables.isOpenVar), asPrimitiveValue(model.variables.daysToWithdrawalVar), asPrimitiveValue(model.variables.showDaysVar), asPrimitiveValue(model.variables.dayOfWithdrawalVar), asPrimitiveValue(model.variables.showDayOfWithdrawalCardVar), asPrimitiveValue(model.variables.iBANVar), asPrimitiveValue(model.variables.showStatesVar), asPrimitiveValue(model.variables.hasPermitionVar), asPrimitiveValue(model.variables.headerTypeVar), asPrimitiveValue(model.variables.refreshHeaderVar), asPrimitiveValue(model.variables.isActiveVar), asPrimitiveValue(model.variables.isProcessingVar), asPrimitiveValue(model.variables.initialStatusBarCodeVar), asPrimitiveValue(model.variables.enablePreviousScreenLinkIn)]
}));
        };
        return View;
    })(OSView.BaseView.BaseWebScreen);
	
    return View;
});
define("myNOS_MOB.DirectDebit.DirectDebitOrchestration.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "MobileUIWidgets.controller", "MobilePatterns.controller", "myNOS_MBP.model", "myNOS_MOB.languageResources", "myNOS_MOB.DirectDebit.controller", "myNOS_MOB.DirectDebit.DirectDebitOrchestration.mvc$controller.DirectDebitMarketingItemRenderingFinished.ScrollListTopJS", "myNOS_MOB.DirectDebit.DirectDebitOrchestration.mvc$controller.OnInitialize.JavaScript_CheckIsFromHistoryJS", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.model$STR_DIRECT_DEBIT_MARKETINGList", "myNOS_MOB.controller$Analytics_SendClickEvent", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MBP.controller$CheckPermission_Invoice", "myNOS_MOB.controller$Analytics_TrackException", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.model$Local_SELECTIONRecordList", "myNOS_MOB.model$Local_ASSOCIATIONRecordList", "myNOS_MOB.model$Local_BILLING_ACCOUNTRecordList", "myNOS_MOB.model$Local_ACCESS_TOKEN_INFORecordList", "myNOS_MBP.model$Local_ASSOCIATIONRec", "myNOS_MBP.model$Local_SELECTIONRec", "myNOS_MBP.model$Local_BILLING_ACCOUNTRec", "myNOS_MBP.model$Local_ACCESS_TOKEN_INFORec", "myNOS_MBP.entities"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, MobileUIWidgetsController, MobilePatternsController, myNOS_MBPModel, myNOS_MOBLanguageResources, myNOS_MOB_DirectDebitController, myNOS_MOB_DirectDebit_DirectDebitOrchestration_mvc_controller_DirectDebitMarketingItemRenderingFinished_ScrollListTopJS, myNOS_MOB_DirectDebit_DirectDebitOrchestration_mvc_controller_OnInitialize_JavaScript_CheckIsFromHistoryJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions
Controller.prototype.checkProcessingRequest$ServerAction = function (refreshTokenIn, associationIdIn, custCodeIn, billingAccountIn, callContext) {
var controller = this.controller;
var inputs = {
RefreshToken: OS.DataTypes.JSConversions.basicTypeToJS(refreshTokenIn, OS.Types.Text),
AssociationId: OS.DataTypes.JSConversions.basicTypeToJS(associationIdIn, OS.Types.LongInteger),
CustCode: OS.DataTypes.JSConversions.basicTypeToJS(custCodeIn, OS.Types.Text),
BillingAccount: OS.DataTypes.JSConversions.basicTypeToJS(billingAccountIn, OS.Types.Text)
};
return controller.callServerAction("CheckProcessingRequest", "screenservices/myNOS_MOB/DirectDebit/DirectDebitOrchestration/ActionCheckProcessingRequest", "M_Ko3Yg3wENNtkvWAP5trw", inputs, controller.callContext(callContext)).then(function (outputs) {
var executeServerActionResult = new (controller.constructor.getVariableGroupType("myNOS_MOB.DirectDebit.DirectDebitOrchestration$rssespacemynos_bp_ActionCheckProcessingRequest"))();
executeServerActionResult.foundOut = OS.DataTypes.JSConversions.jsToBasicType(outputs.Found, OS.Types.Boolean);
executeServerActionResult.idOut = OS.DataTypes.JSConversions.jsToBasicType(outputs.Id, OS.Types.LongInteger);
executeServerActionResult.iBANOut = OS.DataTypes.JSConversions.jsToBasicType(outputs.IBAN, OS.Types.Text);
executeServerActionResult.successOut = OS.DataTypes.JSConversions.jsToBasicType(outputs.Success, OS.Types.Boolean);
executeServerActionResult.messageOut = OS.DataTypes.JSConversions.jsToBasicType(outputs.Message, OS.Types.Text);
return executeServerActionResult;
});
};
Controller.registerVariableGroupType("myNOS_MOB.DirectDebit.DirectDebitOrchestration$rssespacemynos_bp_ActionCheckProcessingRequest", [{
name: "Found",
attrName: "foundOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Id",
attrName: "idOut",
mandatory: false,
dataType: OS.Types.LongInteger,
defaultValue: function () {
return OS.DataTypes.LongInteger.defaultValue;
}
}, {
name: "IBAN",
attrName: "iBANOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return true;
}
}, {
name: "Message",
attrName: "messageOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);

// Aggregates and Data Actions
Controller.prototype.getLocalSELECTIONS$AggrRefresh = function (maxRecords) {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();

var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_SELECTIONRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "ENLocal_SELECTION.\"Id\" o0, ENLocal_SELECTION.\"LocalAssociationId\" o1, ENLocal_SELECTION.\"LocalServiceId\" o2, ENLocal_SELECTION.\"LocalBillingAccountNumber\" o3, ENLocal_SELECTION.\"IsRecharge\" o4, ENLocal_SELECTION.\"IsBalance\" o5, ENLocal_SELECTION.\"IsVoD\" o6, ENLocal_SELECTION.\"IsInvoice\" o7, ENLocal_SELECTION.\"IsTelevision\" o8, ENLocal_SELECTION.\"IsPinPuk\" o9, ENLocal_SELECTION.\"IsPackagesOrRefill\" o10, ENLocal_SELECTION.\"IsAccountDetails\" o11, ENLocal_SELECTION.\"isPrivacy\" o12, ENLocal_SELECTION.\"PrivacyNIF\" o13";
} else {
selectSql += "ENLocal_SELECTION.\"Id\" o0, ENLocal_SELECTION.\"LocalAssociationId\" o1, ENLocal_SELECTION.\"LocalServiceId\" o2, ENLocal_SELECTION.\"LocalBillingAccountNumber\" o3, ENLocal_SELECTION.\"IsRecharge\" o4, ENLocal_SELECTION.\"IsBalance\" o5, ENLocal_SELECTION.\"IsVoD\" o6, ENLocal_SELECTION.\"IsInvoice\" o7, ENLocal_SELECTION.\"IsTelevision\" o8, ENLocal_SELECTION.\"IsPinPuk\" o9, ENLocal_SELECTION.\"IsPackagesOrRefill\" o10, ENLocal_SELECTION.\"IsAccountDetails\" o11, ENLocal_SELECTION.\"isPrivacy\" o12, ENLocal_SELECTION.\"PrivacyNIF\" o13";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_SELECTIONS\" ENLocal_SELECTION";
orderBySql += " ORDER BY ENLocal_SELECTION.\"Id\" DESC ";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_SELECTIONRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_SELECTIONAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeScreenClientAggregate(executeQuery, function () {
return model.variables.getLocalSELECTIONSAggr;
}, function () {
return controller._getLocalSelectionsOnAfterFetch$Action(controller.callContext(callContext));
});
};
Controller.prototype.getDirectDebitMarketings$DataActRefresh = function () {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();
return controller.callDataAction("DataActionGetDirectDebitMarketings", "screenservices/myNOS_MOB/DirectDebit/DirectDebitOrchestration/DataActionGetDirectDebitMarketings", "I8p9I3Ho4+BGb7Q2zeUCuA", function (b) {
model.variables.getDirectDebitMarketingsDataAct.dataFetchStatusAttr = b;
}, function (json) {
model.variables.getDirectDebitMarketingsDataAct.fromJS(json);
}, undefined).then(function () {
controller._getDirectDebitMarketingsOnAfterFetch$Action(controller.callContext(callContext));
});
};

Controller.prototype.dataFetchActionNames = ["getLocalSELECTIONS$AggrRefresh", "getDirectDebitMarketings$DataActRefresh"];
// Client Actions
Controller.prototype._headerContentCardNotifyId$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("HeaderContentCardNotifyId");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// NeedRefresh = True
model.variables.needRefreshVar = true;
// Refresh Query: GetLocalSELECTIONS
var result = controller.getLocalSELECTIONS$AggrRefresh(1);
model.flush();
return result;
});
};
Controller.prototype._directDebitMarketingItemRenderingFinished$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("DirectDebitMarketingItemRenderingFinished");
callContext = controller.callContext(callContext);
if((model.variables.isOpenVar)) {
controller.safeExecuteJSNode(myNOS_MOB_DirectDebit_DirectDebitOrchestration_mvc_controller_DirectDebitMarketingItemRenderingFinished_ScrollListTopJS, "ScrollListTop", "DirectDebitMarketingItemRenderingFinished", null, function ($parameters) {
}, {}, {});
}

};
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
var getConfig_HeaderContentType_Asso_BAVar = new OS.DataTypes.VariableHolder();
var javaScript_CheckIsFromHistoryJSResult = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
javaScript_CheckIsFromHistoryJSResult.value = controller.safeExecuteJSNode(myNOS_MOB_DirectDebit_DirectDebitOrchestration_mvc_controller_OnInitialize_JavaScript_CheckIsFromHistoryJS, "JavaScript_CheckIsFromHistory", "OnInitialize", {
navigatedIsFromHistory: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("myNOS_MOB.DirectDebit.DirectDebitOrchestration.OnInitialize$javaScript_CheckIsFromHistoryJSResult"))();
jsNodeResult.navigatedIsFromHistoryOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.navigatedIsFromHistory, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
// NavigatedIsFromHistory
// NavigatedIsFromHistory = JavaScript_CheckIsFromHistory.navigatedIsFromHistory
model.variables.navigatedIsFromHistoryVar = javaScript_CheckIsFromHistoryJSResult.value.navigatedIsFromHistoryOut;
return OS.Flow.executeSequence(function () {
if((!(model.variables.navigatedIsFromHistoryVar))) {
// Execute Action: GetConfig_HeaderContentType_Asso_BA
model.flush();
return myNOS_MBPController.default.getConfigValueAsText_MBP$Action("HeaderContentType_Asso+BA", callContext).then(function (value) {
getConfig_HeaderContentType_Asso_BAVar.value = value;
}).then(function () {
// HeaderType = GetConfig_HeaderContentType_Asso_BA.Value
model.variables.headerTypeVar = getConfig_HeaderContentType_Asso_BAVar.value.valueOut;
});
}

});
});
};
Controller.registerVariableGroupType("myNOS_MOB.DirectDebit.DirectDebitOrchestration.OnInitialize$javaScript_CheckIsFromHistoryJSResult", [{
name: "navigatedIsFromHistory",
attrName: "navigatedIsFromHistoryOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Controller.prototype._getDirectDebitMarketingsOnAfterFetch$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GetDirectDebitMarketingsOnAfterFetch");
callContext = controller.callContext(callContext);
if((!(model.variables.navigatedIsFromHistoryVar))) {
// DirectDebitMarketings = GetDirectDebitMarketings.Out_DirectDebitMarketings
model.variables.directDebitMarketingsVar = model.variables.getDirectDebitMarketingsDataAct.out_DirectDebitMarketingsOut;
}

};
Controller.prototype._activateDirectDebit$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("ActivateDirectDebit");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("Debito_direto", "Ativar_debito_direto", 0, "", callContext).then(function () {
// Destination: /myNOS_MOB/DirectDebitActivation
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/DirectDebitActivation", {
EnablePreviousScreenLink: true
}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.SlideFromBottom), callContext, true));
});
});
};
Controller.prototype._sectionExpandable_newOnToggle$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("SectionExpandable_newOnToggle");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// IsOpen = notIsOpen
model.variables.isOpenVar = !(model.variables.isOpenVar);
return OS.Flow.executeSequence(function () {
if((model.variables.isOpenVar)) {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("Debito_direto", "Vantagens", 0, "", callContext);
}

});
});
};
Controller.prototype._getLocalSelectionsOnAfterFetch$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GetLocalSelectionsOnAfterFetch");
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var communicationExceptionVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkProcessingRequestVar = new OS.DataTypes.VariableHolder();
var checkPermission_InvoiceVar = new OS.DataTypes.VariableHolder();
var getLocalAssociationByIDVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_ASSOCIATIONRecordList))());
var getLocalSELECTIONS_UpdateVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_SELECTIONRecordList))());
var getLocalBillingAccountVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_BILLING_ACCOUNTRecordList))());
var getLocalACCESSTOKENINFOESVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_ACCESS_TOKEN_INFORecordList))());
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.executeSequence(function () {
if((!((model.variables.navigatedIsFromHistoryVar && !(model.variables.needRefreshVar))))) {
// Local_BillingAccount = NullIdentifier
model.variables.local_BillingAccountVar = (OS.BuiltinFunctions.nullIdentifier()).toString();
// CustCodeScreen = ""
model.variables.custCodeScreenVar = "";
// IsLoading = True
model.variables.isLoadingVar = true;
// HasPermition = True
model.variables.hasPermitionVar = true;
// ShowDayOfWithdrawalCard = True
model.variables.showDayOfWithdrawalCardVar = true;
// Execute Action: CheckPermission_Invoice
model.flush();
return myNOS_MBPController.default.checkPermission_Invoice$Action(model.variables.getLocalSELECTIONSAggr.listOut.getCurrent(callContext.iterationContext).local_SELECTIONAttr.localAssociationIdAttr, callContext).then(function (value) {
checkPermission_InvoiceVar.value = value;
}).then(function () {
// not HasPermission?
return OS.Flow.executeSequence(function () {
if((!(checkPermission_InvoiceVar.value.hasPermissionOut))) {
// HasPermition = False
model.variables.hasPermitionVar = false;
// IsLoading = False
model.variables.isLoadingVar = false;
} else {
// LocalSelectionEmpty?
return OS.Flow.executeSequence(function () {
if((model.variables.getLocalSELECTIONSAggr.listOut.isEmpty)) {
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Error24
MobileUIWidgetsController.default.error$Action("Sem local selections", callContext);
} else {
return OS.Flow.executeSequence(function () {
if((model.variables.getLocalSELECTIONSAggr.listOut.getCurrent(callContext.iterationContext).local_SELECTIONAttr.localAssociationIdAttr.equals(OS.BuiltinFunctions.integerToLongInteger(OS.BuiltinFunctions.nullIdentifier())))) {
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Error25
MobileUIWidgetsController.default.error$Action("Sem associação selecionada", callContext);
} else {
// Aggregate: GetLocalAssociationByID
var getLocalAssociationByIDAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_ASSOCIATIONRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}

var qploId = model.variables.getLocalSELECTIONSAggr.listOut.getCurrent(callContext.iterationContext).local_SELECTIONAttr.localAssociationIdAttr;

var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1, NULL o2, NULL o3, NULL o4, NULL o5, NULL o6, NULL o7, NULL o8, NULL o9, NULL o10, NULL o11, NULL o12, NULL o13, NULL o14, NULL o15, NULL o16, NULL o17, NULL o18, NULL o19, NULL o20, NULL o21, NULL o22, NULL o23";
} else {
selectSql += "ENLocal_ASSOCIATION.\"Id\" o0, ENLocal_ASSOCIATION.\"DisplayValue\" o1, ENLocal_ASSOCIATION.\"FriendlyName\" o2, ENLocal_ASSOCIATION.\"RoleName\" o3, ENLocal_ASSOCIATION.\"Key\" o4, ENLocal_ASSOCIATION.\"Value\" o5, ENLocal_ASSOCIATION.\"Master\" o6, ENLocal_ASSOCIATION.\"ContractDN\" o7, ENLocal_ASSOCIATION.\"AccountOwner\" o8, ENLocal_ASSOCIATION.\"AccountOwnerNIF\" o9, ENLocal_ASSOCIATION.\"AccountOwnerEmail\" o10, ENLocal_ASSOCIATION.\"AccountOwnerPhoneNr\" o11, ENLocal_ASSOCIATION.\"CustCode_ClientNumber\" o12, ENLocal_ASSOCIATION.\"AccountOwnerAddress\" o13, ENLocal_ASSOCIATION.\"IsNOSCardEligible\" o14, ENLocal_ASSOCIATION.\"ContactType\" o15, ENLocal_ASSOCIATION.\"PersonId\" o16, ENLocal_ASSOCIATION.\"CounterTelevision\" o17, ENLocal_ASSOCIATION.\"CounterInternetLandline\" o18, ENLocal_ASSOCIATION.\"CounterInternetMobile\" o19, ENLocal_ASSOCIATION.\"CounterVoiceLandline\" o20, ENLocal_ASSOCIATION.\"CounterVoiceMobile\" o21, ENLocal_ASSOCIATION.\"SuccessfullyUpdated\" o22, ENLocal_ASSOCIATION.\"IsPending\" o23";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_ASSOCIATION\" ENLocal_ASSOCIATION";
fromAndWhereSql += " WHERE ";
if (qploId != 0) {
fromAndWhereSql += "((ENLocal_ASSOCIATION.\"Id\" = :qploId) AND (ENLocal_ASSOCIATION.\"Id\" IS NOT NULL))";
argsList.add("qploId", /*LONGINTEGER*/ 4, qploId);
} else {
fromAndWhereSql += "(ENLocal_ASSOCIATION.\"Id\" IS NULL)";
}
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_ASSOCIATIONRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_ASSOCIATIONAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalAssociationByIDVar.value;
});
};
return getLocalAssociationByIDAggr().then(function () {
return OS.Flow.executeSequence(function () {
if((getLocalAssociationByIDVar.value.listOut.isEmpty)) {
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Error26
MobileUIWidgetsController.default.error$Action("Nenhuma Associação encontrada", callContext);
} else {
return OS.Flow.executeSequence(function () {
if(((getLocalAssociationByIDVar.value.listOut.getCurrent(callContext.iterationContext).local_ASSOCIATIONAttr.custCode_ClientNumberAttr === ""))) {
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Error27
MobileUIWidgetsController.default.error$Action("Associação sem CustCode/ClientNumber", callContext);
} else {
// CustCodeScreen = GetLocalAssociationByID.List.Current.Local_ASSOCIATION.CustCode_ClientNumber
model.variables.custCodeScreenVar = getLocalAssociationByIDVar.value.listOut.getCurrent(callContext.iterationContext).local_ASSOCIATIONAttr.custCode_ClientNumberAttr;
// Local_BillingAccount = GetLocalSELECTIONS.List.Current.Local_SELECTION.LocalBillingAccountNumber
model.variables.local_BillingAccountVar = model.variables.getLocalSELECTIONSAggr.listOut.getCurrent(callContext.iterationContext).local_SELECTIONAttr.localBillingAccountNumberAttr;
return OS.Flow.executeSequence(function () {
if(((model.variables.getLocalSELECTIONSAggr.listOut.getCurrent(callContext.iterationContext).local_SELECTIONAttr.localBillingAccountNumberAttr === (OS.BuiltinFunctions.nullIdentifier()).toString()))) {
// Aggregate: GetLocalSELECTIONS_Update
var getLocalSELECTIONS_UpdateAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_SELECTIONRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 0;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1, NULL o2, NULL o3, NULL o4, NULL o5, NULL o6, NULL o7, NULL o8, NULL o9, NULL o10, NULL o11, NULL o12, NULL o13";
} else {
selectSql += "ENLocal_SELECTION.\"Id\" o0, ENLocal_SELECTION.\"LocalAssociationId\" o1, ENLocal_SELECTION.\"LocalServiceId\" o2, ENLocal_SELECTION.\"LocalBillingAccountNumber\" o3, ENLocal_SELECTION.\"IsRecharge\" o4, ENLocal_SELECTION.\"IsBalance\" o5, ENLocal_SELECTION.\"IsVoD\" o6, ENLocal_SELECTION.\"IsInvoice\" o7, ENLocal_SELECTION.\"IsTelevision\" o8, ENLocal_SELECTION.\"IsPinPuk\" o9, ENLocal_SELECTION.\"IsPackagesOrRefill\" o10, ENLocal_SELECTION.\"IsAccountDetails\" o11, ENLocal_SELECTION.\"isPrivacy\" o12, ENLocal_SELECTION.\"PrivacyNIF\" o13";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_SELECTIONS\" ENLocal_SELECTION";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_SELECTIONRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_SELECTIONAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalSELECTIONS_UpdateVar.value;
});
};
return getLocalSELECTIONS_UpdateAggr().then(function () {
// GetLocalSELECTIONS.List = GetLocalSELECTIONS_Update.List
model.variables.getLocalSELECTIONSAggr.listOut = getLocalSELECTIONS_UpdateVar.value.listOut;
});
}

}).then(function () {
// Aggregate: GetLocalBillingAccount
var getLocalBillingAccountAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_BILLING_ACCOUNTRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}

var qpstBillingAccountNumber = model.variables.getLocalSELECTIONSAggr.listOut.getCurrent(callContext.iterationContext).local_SELECTIONAttr.localBillingAccountNumberAttr;

var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1, NULL o2, NULL o3, NULL o4, NULL o5, NULL o6, NULL o7, NULL o8, NULL o9, NULL o10, NULL o11, NULL o12, NULL o13, NULL o14, NULL o15";
} else {
selectSql += "ENLocal_BILLING_ACCOUNT.\"Id\" o0, ENLocal_BILLING_ACCOUNT.\"AssociationId\" o1, ENLocal_BILLING_ACCOUNT.\"BillingAccountNumber\" o2, ENLocal_BILLING_ACCOUNT.\"CustCodeBSCS\" o3, ENLocal_BILLING_ACCOUNT.\"IBAN\" o4, ENLocal_BILLING_ACCOUNT.\"Address\" o5, ENLocal_BILLING_ACCOUNT.\"HasDigitalInvoice\" o6, ENLocal_BILLING_ACCOUNT.\"ActiveDebitDirect\" o7, ENLocal_BILLING_ACCOUNT.\"EligibleDirectDebit\" o8, ENLocal_BILLING_ACCOUNT.\"ProcessingDebitDirect\" o9, ENLocal_BILLING_ACCOUNT.\"DateOfWithdrawalDebitDirect\" o10, ENLocal_BILLING_ACCOUNT.\"EligibleDigitalInvoice\" o11, ENLocal_BILLING_ACCOUNT.\"CustomerId\" o12, ENLocal_BILLING_ACCOUNT.\"InvoiceReference\" o13, ENLocal_BILLING_ACCOUNT.\"GetInvoicesOK\" o14, ENLocal_BILLING_ACCOUNT.\"SuccessfullyImported\" o15";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_BILLING_ACCOUNT1\" ENLocal_BILLING_ACCOUNT";
fromAndWhereSql += " WHERE (ENLocal_BILLING_ACCOUNT.\"BillingAccountNumber\" = :qpstBillingAccountNumber)";
argsList.add("qpstBillingAccountNumber", /*TEXT*/ 0, qpstBillingAccountNumber);
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_BILLING_ACCOUNTRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_BILLING_ACCOUNTAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalBillingAccountVar.value;
});
};
return getLocalBillingAccountAggr();
}).then(function () {
return OS.Flow.executeSequence(function () {
if((getLocalBillingAccountVar.value.listOut.isEmpty)) {
// IsLoading = False
model.variables.isLoadingVar = false;
} else {
// IBAN = GetLocalBillingAccount.List.Current.Local_BILLING_ACCOUNT.IBAN
model.variables.iBANVar = getLocalBillingAccountVar.value.listOut.getCurrent(callContext.iterationContext).local_BILLING_ACCOUNTAttr.iBANAttr;
// IsActive = GetLocalBillingAccount.List.Current.Local_BILLING_ACCOUNT.ActiveDebitDirect
model.variables.isActiveVar = getLocalBillingAccountVar.value.listOut.getCurrent(callContext.iterationContext).local_BILLING_ACCOUNTAttr.activeDebitDirectAttr;
// IsProcessing = GetLocalBillingAccount.List.Current.Local_BILLING_ACCOUNT.ProcessingDebitDirect
model.variables.isProcessingVar = getLocalBillingAccountVar.value.listOut.getCurrent(callContext.iterationContext).local_BILLING_ACCOUNTAttr.processingDebitDirectAttr;
// WithdrawalDate = GetLocalBillingAccount.List.Current.Local_BILLING_ACCOUNT.DateOfWithdrawalDebitDirect
model.variables.withdrawalDateVar = getLocalBillingAccountVar.value.listOut.getCurrent(callContext.iterationContext).local_BILLING_ACCOUNTAttr.dateOfWithdrawalDebitDirectAttr;
// DayOfWithdrawal = Day
model.variables.dayOfWithdrawalVar = OS.BuiltinFunctions.day(model.variables.withdrawalDateVar);
// DaysToWithdrawal = If
model.variables.daysToWithdrawalVar = ((model.variables.withdrawalDateVar.lt(OS.BuiltinFunctions.currDate())) ? (0) : (OS.BuiltinFunctions.diffDays(OS.BuiltinFunctions.currDate(), model.variables.withdrawalDateVar)));
// ShowDays = If
model.variables.showDaysVar = (((model.variables.daysToWithdrawalVar === 0)) ? (false) : (true));
// BillingAccountNumber = GetLocalBillingAccount.List.Current.Local_BILLING_ACCOUNT.BillingAccountNumber
model.variables.billingAccountNumberVar = getLocalBillingAccountVar.value.listOut.getCurrent(callContext.iterationContext).local_BILLING_ACCOUNTAttr.billingAccountNumberAttr;
if((model.variables.withdrawalDateVar.equals(OS.BuiltinFunctions.nullDate()))) {
// ShowDayOfWithdrawalCard = False
model.variables.showDayOfWithdrawalCardVar = false;
}

// Aggregate: GetLocalACCESSTOKENINFOES
var getLocalACCESSTOKENINFOESAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_ACCESS_TOKEN_INFORecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1";
} else {
selectSql += "ENLocal_ACCESS_TOKEN_INFO.\"Id\" o0, ENLocal_ACCESS_TOKEN_INFO.\"Refresh_token\" o1";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_ACCESS_TOKEN_INFO\" ENLocal_ACCESS_TOKEN_INFO";
orderBySql += " ORDER BY ENLocal_ACCESS_TOKEN_INFO.\"Refresh_token\" ASC ";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_ACCESS_TOKEN_INFORecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_ACCESS_TOKEN_INFOAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalACCESSTOKENINFOESVar.value;
});
};
return getLocalACCESSTOKENINFOESAggr().then(function () {
// Execute Action: CheckProcessingRequest
model.flush();
return controller.checkProcessingRequest$ServerAction(getLocalACCESSTOKENINFOESVar.value.listOut.getCurrent(callContext.iterationContext).local_ACCESS_TOKEN_INFOAttr.refresh_tokenAttr, model.variables.getLocalSELECTIONSAggr.listOut.getCurrent(callContext.iterationContext).local_SELECTIONAttr.localAssociationIdAttr, model.variables.custCodeScreenVar, ((((model.variables.billingAccountNumberVar === "0") || (model.variables.billingAccountNumberVar === ""))) ? ("") : (model.variables.billingAccountNumberVar)), callContext).then(function (value) {
checkProcessingRequestVar.value = value;
});
}).then(function () {
if((checkProcessingRequestVar.value.foundOut)) {
// IsProcessing = True
model.variables.isProcessingVar = true;
// IBAN = CheckProcessingRequest.IBAN
model.variables.iBANVar = checkProcessingRequestVar.value.iBANOut;
}

// ShowStates = True
model.variables.showStatesVar = true;
// IsLoading = False
model.variables.isLoadingVar = false;
});
}

});
});
}

});
}

});
});
}

});
}

});
}

});
});
}

});
}).catch(function (ex) {
OS.Logger.trace("DirectDebitOrchestration.GetLocalSelectionsOnAfterFetch", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: CommunicationException
if(OS.Exceptions.isInstanceOf(ex, OS.Exceptions.Exceptions.CommunicationException)) {
OS.Logger.error(null, ex);
communicationExceptionVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_TrackException2
myNOS_MOBController.default.analytics_TrackException$Action(communicationExceptionVar.value.exceptionMessageAttr, true, callContext);
if((MobilePatternsController.default.getNetworkStatus$Action(callContext.withoutIterationContext()).isOnlineOut)) {
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Error23
MobileUIWidgetsController.default.error$Action(communicationExceptionVar.value.exceptionMessageAttr, callContext);
return OS.Flow.returnAsync();

} else {
// Destination: /myNOS_MOB/NoConnection
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/NoConnection", {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true));
}

});
}

// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_TrackException
myNOS_MOBController.default.analytics_TrackException$Action(allExceptionsVar.value.exceptionMessageAttr, true, callContext);
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Error22
MobileUIWidgetsController.default.error$Action(allExceptionsVar.value.exceptionMessageAttr, callContext);
return OS.Flow.returnAsync();

});
}

throw ex;
});
};

Controller.prototype.headerContentCardNotifyId$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._headerContentCardNotifyId$Action, callContext);

};
Controller.prototype.directDebitMarketingItemRenderingFinished$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._directDebitMarketingItemRenderingFinished$Action, callContext);

};
Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};
Controller.prototype.getDirectDebitMarketingsOnAfterFetch$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._getDirectDebitMarketingsOnAfterFetch$Action, callContext);

};
Controller.prototype.activateDirectDebit$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._activateDirectDebit$Action, callContext);

};
Controller.prototype.sectionExpandable_newOnToggle$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._sectionExpandable_newOnToggle$Action, callContext);

};
Controller.prototype.getLocalSelectionsOnAfterFetch$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._getLocalSelectionsOnAfterFetch$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return myNOS_MOB_DirectDebitController.default.handleError(ex, this.callContext());
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});
define("myNOS_MOB.DirectDebit.DirectDebitOrchestration.mvc$controller.DirectDebitMarketingItemRenderingFinished.ScrollListTopJS", [], function () {
return function ($actions, $roles, $public) {
document.getElementsByClassName("DirectDebitList-0")[0].scrollIntoView({
  behavior: 'smooth'
});
};
});
define("myNOS_MOB.DirectDebit.DirectDebitOrchestration.mvc$controller.OnInitialize.JavaScript_CheckIsFromHistoryJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
if($public.View.wasCurrentViewRestoredFromCache())
    $parameters.navigatedIsFromHistory = true;
    
/*
$public.Navigation.navigatedFromHistory()
$public.View.wasCurrentViewRestoredFromCache();
*/
};
});

