﻿define("myNOS_MOB.HomePageBlocks.TwoGraphCard.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MBP.controller", "myNOS_MBP.model", "MobileUIWidgets.WidgetsContent.Card_new.mvc$model", "MobileUIWidgets.WidgetsNumber.ProgressBar_new.mvc$model", "myNOS_MBP.controller$GetDecimalPlacesByUnit", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.controller$FormatDecimal_MBP", "myNOS_MBP.entities", "myNOS_MOB.model$STR_BalanceOrchestrationStructRec", "myNOS_MOB.model$Local_BALANCE_GRAPH_TYPERecordList", "myNOS_MBP.model$Local_BALANCE_GRAPH_TYPERec"], function (OutSystems, myNOS_MOBModel, myNOS_MBPController, myNOS_MBPModel, MobileUIWidgets_WidgetsContent_Card_new_mvcModel, MobileUIWidgets_WidgetsNumber_ProgressBar_new_mvcModel) {
var OS = OutSystems.Internal;
var GetRightGraphTypeAggrRec = (function (_super) {
__extends(GetRightGraphTypeAggrRec, _super);
function GetRightGraphTypeAggrRec(defaults) {
_super.apply(this, arguments);
}
GetRightGraphTypeAggrRec.RecordListType = myNOS_MOBModel.Local_BALANCE_GRAPH_TYPERecordList;
GetRightGraphTypeAggrRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetRightGraphTypeAggrRec.init();
return GetRightGraphTypeAggrRec;
})(OS.Model.AggregateRecord);
var GetLeftGraphTypeAggrRec = (function (_super) {
__extends(GetLeftGraphTypeAggrRec, _super);
function GetLeftGraphTypeAggrRec(defaults) {
_super.apply(this, arguments);
}
GetLeftGraphTypeAggrRec.RecordListType = myNOS_MOBModel.Local_BALANCE_GRAPH_TYPERecordList;
GetLeftGraphTypeAggrRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetLeftGraphTypeAggrRec.init();
return GetLeftGraphTypeAggrRec;
})(OS.Model.AggregateRecord);


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("IsLeftLimitedGraph", "isLeftLimitedGraphVar", "IsLeftLimitedGraph", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("IsRightLimitedGraph", "isRightLimitedGraphVar", "IsRightLimitedGraph", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("ShowLeftGraph", "showLeftGraphIn", "ShowLeftGraph", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_showLeftGraphInDataFetchStatus", "_showLeftGraphInDataFetchStatus", "_showLeftGraphInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ShowRightGraph", "showRightGraphIn", "ShowRightGraph", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_showRightGraphInDataFetchStatus", "_showRightGraphInDataFetchStatus", "_showRightGraphInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("LeftBalanceRecord", "leftBalanceRecordIn", "LeftBalanceRecord", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_BalanceOrchestrationStructRec());
}, myNOS_MOBModel.STR_BalanceOrchestrationStructRec), 
this.attr("_leftBalanceRecordInDataFetchStatus", "_leftBalanceRecordInDataFetchStatus", "_leftBalanceRecordInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("RightBalanceRecord", "rightBalanceRecordIn", "RightBalanceRecord", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_BalanceOrchestrationStructRec());
}, myNOS_MOBModel.STR_BalanceOrchestrationStructRec), 
this.attr("_rightBalanceRecordInDataFetchStatus", "_rightBalanceRecordInDataFetchStatus", "_rightBalanceRecordInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("GetRightGraphType", "getRightGraphTypeAggr", "getRightGraphTypeAggr", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetRightGraphTypeAggrRec());
}, GetRightGraphTypeAggrRec), 
this.attr("GetLeftGraphType", "getLeftGraphTypeAggr", "getLeftGraphTypeAggr", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetLeftGraphTypeAggrRec());
}, GetLeftGraphTypeAggrRec)
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = (MobileUIWidgets_WidgetsContent_Card_new_mvcModel.hasValidationWidgets || MobileUIWidgets_WidgetsNumber_ProgressBar_new_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("ShowLeftGraph" in inputs) {
this.variables.showLeftGraphIn = inputs.ShowLeftGraph;
if("_showLeftGraphInDataFetchStatus" in inputs) {
this.variables._showLeftGraphInDataFetchStatus = inputs._showLeftGraphInDataFetchStatus;
}

}

if("ShowRightGraph" in inputs) {
this.variables.showRightGraphIn = inputs.ShowRightGraph;
if("_showRightGraphInDataFetchStatus" in inputs) {
this.variables._showRightGraphInDataFetchStatus = inputs._showRightGraphInDataFetchStatus;
}

}

if("LeftBalanceRecord" in inputs) {
this.variables.leftBalanceRecordIn = inputs.LeftBalanceRecord;
if("_leftBalanceRecordInDataFetchStatus" in inputs) {
this.variables._leftBalanceRecordInDataFetchStatus = inputs._leftBalanceRecordInDataFetchStatus;
}

}

if("RightBalanceRecord" in inputs) {
this.variables.rightBalanceRecordIn = inputs.RightBalanceRecord;
if("_rightBalanceRecordInDataFetchStatus" in inputs) {
this.variables._rightBalanceRecordInDataFetchStatus = inputs._rightBalanceRecordInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.HomePageBlocks.TwoGraphCard.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "myNOS_MBP.model", "react", "OutSystemsReactView", "myNOS_MOB.HomePageBlocks.TwoGraphCard.mvc$model", "myNOS_MOB.HomePageBlocks.TwoGraphCard.mvc$controller", "OutSystemsReactWidgets", "MobileUIWidgets.WidgetsContent.Card_new.mvc$view", "MobileUIWidgets.WidgetsNumber.ProgressBar_new.mvc$view", "myNOS_MBP.controller$GetDecimalPlacesByUnit", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.controller$FormatDecimal_MBP", "myNOS_MBP.entities", "myNOS_MOB.model$STR_BalanceOrchestrationStructRec", "myNOS_MOB.model$Local_BALANCE_GRAPH_TYPERecordList", "myNOS_MBP.model$Local_BALANCE_GRAPH_TYPERec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, myNOS_MBPModel, React, OSView, myNOS_MOB_HomePageBlocks_TwoGraphCard_mvc_model, myNOS_MOB_HomePageBlocks_TwoGraphCard_mvc_controller, OSWidgets, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsNumber_ProgressBar_new_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "HomePageBlocks.TwoGraphCard";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsNumber_ProgressBar_new_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_HomePageBlocks_TwoGraphCard_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_HomePageBlocks_TwoGraphCard_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if((model.variables.showLeftGraphIn && model.variables.showRightGraphIn), false, this, function () {
return [$if((model.variables.isLeftLimitedGraphVar && !(model.variables.isRightLimitedGraphVar)), false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.minutesInternetAdditionalClick$Action(controller.callContext(eventHandlerContext));
});
;
}
},
style: "mt-2",
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
StyleClass: "-paddingMedium",
HasLeftSide: false,
HasRightSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
name: "Consumption5",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "text-center",
visible: true,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6",
visible: true,
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -bold c-black -ellipsis",
value: model.variables.leftBalanceRecordIn.titleAttr,
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._leftBalanceRecordInDataFetchStatus)
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-12",
visible: true,
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead c-greenDark -ellipsis",
value: model.getCachedValue(idService.getId("_YGVpdC20k6TKhfS0K2ajw.Value"), function () {
return (("Disponíveis " + myNOS_MBPController.default.formatDecimal_MBP$Action(model.variables.leftBalanceRecordIn.availableAmountFmtAttr, myNOS_MBPController.default.getDecimalPlacesByUnit$Action(model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr, callContext.withoutIterationContext()).decimalDigitsOut, callContext.withoutIterationContext()).resultOut) + ((!(model.variables.leftBalanceRecordIn.showBalanceUnitAttr)) ? ("") : ((" " + model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr))));
}, function () {
return model.variables.leftBalanceRecordIn.availableAmountFmtAttr;
}, function () {
return model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr;
}, function () {
return model.variables.leftBalanceRecordIn.showBalanceUnitAttr;
}),
_idProps: {
service: idService,
uuid: "6"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._leftBalanceRecordInDataFetchStatus)
}), React.createElement(MobileUIWidgets_WidgetsNumber_ProgressBar_new_mvc_view, {
inputs: {
StyleClass: "mt-8 -marker",
AnimateInitialProgress: true,
Progress: model.getCachedValue(idService.getId("Oh2gQQ5AO0+z7+sIYXxK1Q.Progress"), function () {
return OS.BuiltinFunctions.decimalToInteger(OS.BuiltinFunctions.trunc(((model.variables.leftBalanceRecordIn.availableAmountAttr.equals(OS.BuiltinFunctions.integerToDecimal(0))) ? (OS.BuiltinFunctions.integerToDecimal(0)) : (model.variables.leftBalanceRecordIn.availableAmountAttr.div(model.variables.leftBalanceRecordIn.totalAmountAttr).times(OS.BuiltinFunctions.integerToDecimal(100))))));
}, function () {
return model.variables.leftBalanceRecordIn.availableAmountAttr;
}, function () {
return model.variables.leftBalanceRecordIn.totalAmountAttr;
}),
_progressInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._leftBalanceRecordInDataFetchStatus),
Height: 5
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "7",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6",
visible: true,
_idProps: {
service: idService,
uuid: "8"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -bold c-black -ellipsis",
value: model.variables.rightBalanceRecordIn.titleAttr,
_idProps: {
service: idService,
uuid: "9"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rightBalanceRecordInDataFetchStatus)
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-8",
visible: true,
_idProps: {
service: idService,
uuid: "10"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead c-greenDark -ellipsis",
value: "Disponíveis",
_idProps: {
service: idService,
uuid: "11"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Expression, {
style: "a-textBigLight",
value: model.getCachedValue(idService.getId("SH+tzJrbBEWri1HFKKh83w.Value"), function () {
return (myNOS_MBPController.default.formatDecimal_MBP$Action(model.variables.rightBalanceRecordIn.availableAmountFmtAttr, myNOS_MBPController.default.getDecimalPlacesByUnit$Action(model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr, callContext.withoutIterationContext()).decimalDigitsOut, callContext.withoutIterationContext()).resultOut + ((!(model.variables.rightBalanceRecordIn.showBalanceUnitAttr)) ? ("") : ((" " + model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr))));
}, function () {
return model.variables.rightBalanceRecordIn.availableAmountFmtAttr;
}, function () {
return model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr;
}, function () {
return model.variables.rightBalanceRecordIn.showBalanceUnitAttr;
}),
_idProps: {
service: idService,
uuid: "12"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rightBalanceRecordInDataFetchStatus)
}))))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.rightBalanceRecordIn.showBalanceUnitAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.availableAmountFmtAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.titleAttr), asPrimitiveValue(model.variables._rightBalanceRecordInDataFetchStatus), asPrimitiveValue(model.variables._leftBalanceRecordInDataFetchStatus), asPrimitiveValue(model.variables.leftBalanceRecordIn.totalAmountAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.availableAmountAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.showBalanceUnitAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.availableAmountFmtAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.titleAttr)]
}))];
}, function () {
return [$if((!(model.variables.isLeftLimitedGraphVar) && !(model.variables.isRightLimitedGraphVar)), false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.minutesInternetAdditionalClick$Action(controller.callContext(eventHandlerContext));
});
;
}
},
style: "mt-2",
visible: true,
_idProps: {
service: idService,
uuid: "13"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasLeftSide: false,
HasRightSide: false,
StyleClass: "-paddingMedium"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
name: "Consumption3",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "text-center",
visible: true,
_idProps: {
service: idService,
uuid: "15"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6",
visible: true,
_idProps: {
service: idService,
uuid: "16"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -bold c-black -ellipsis",
value: model.variables.leftBalanceRecordIn.titleAttr,
_idProps: {
service: idService,
uuid: "17"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._leftBalanceRecordInDataFetchStatus)
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-8",
visible: true,
_idProps: {
service: idService,
uuid: "18"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead c-greenDark -ellipsis",
value: "Disponíveis",
_idProps: {
service: idService,
uuid: "19"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Expression, {
style: "a-textBigLight",
value: model.getCachedValue(idService.getId("KREs4LN_nECmGtjQespYAA.Value"), function () {
return (myNOS_MBPController.default.formatDecimal_MBP$Action(model.variables.leftBalanceRecordIn.availableAmountFmtAttr, myNOS_MBPController.default.getDecimalPlacesByUnit$Action(model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr, callContext.withoutIterationContext()).decimalDigitsOut, callContext.withoutIterationContext()).resultOut + ((!(model.variables.leftBalanceRecordIn.showBalanceUnitAttr)) ? ("") : ((" " + model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr))));
}, function () {
return model.variables.leftBalanceRecordIn.availableAmountFmtAttr;
}, function () {
return model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr;
}, function () {
return model.variables.leftBalanceRecordIn.showBalanceUnitAttr;
}),
_idProps: {
service: idService,
uuid: "20"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._leftBalanceRecordInDataFetchStatus)
}))), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6",
visible: true,
_idProps: {
service: idService,
uuid: "21"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -bold c-black -ellipsis",
value: model.variables.rightBalanceRecordIn.titleAttr,
_idProps: {
service: idService,
uuid: "22"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rightBalanceRecordInDataFetchStatus)
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-8",
visible: true,
_idProps: {
service: idService,
uuid: "23"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead c-greenDark -ellipsis",
value: "Disponíveis",
_idProps: {
service: idService,
uuid: "24"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Expression, {
style: "a-textBigLight",
value: model.getCachedValue(idService.getId("Rjlb1eggIka_aR_qk7UOOQ.Value"), function () {
return (myNOS_MBPController.default.formatDecimal_MBP$Action(model.variables.rightBalanceRecordIn.availableAmountFmtAttr, myNOS_MBPController.default.getDecimalPlacesByUnit$Action(model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr, callContext.withoutIterationContext()).decimalDigitsOut, callContext.withoutIterationContext()).resultOut + ((!(model.variables.rightBalanceRecordIn.showBalanceUnitAttr)) ? ("") : ((" " + model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr))));
}, function () {
return model.variables.rightBalanceRecordIn.availableAmountFmtAttr;
}, function () {
return model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr;
}, function () {
return model.variables.rightBalanceRecordIn.showBalanceUnitAttr;
}),
_idProps: {
service: idService,
uuid: "25"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rightBalanceRecordInDataFetchStatus)
}))))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.rightBalanceRecordIn.showBalanceUnitAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.availableAmountFmtAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.titleAttr), asPrimitiveValue(model.variables._rightBalanceRecordInDataFetchStatus), asPrimitiveValue(model.variables._leftBalanceRecordInDataFetchStatus), asPrimitiveValue(model.variables.leftBalanceRecordIn.showBalanceUnitAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.availableAmountFmtAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.titleAttr)]
}))];
}, function () {
return [$if((model.variables.isLeftLimitedGraphVar && model.variables.isRightLimitedGraphVar), false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.minutesInternetAdditionalClick$Action(controller.callContext(eventHandlerContext));
});
;
}
},
style: "mt-2",
visible: true,
_idProps: {
service: idService,
uuid: "26"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasRightSide: false,
StyleClass: "-paddingMedium",
HasLeftSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
name: "Consumption",
alias: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "text-center",
visible: true,
_idProps: {
service: idService,
uuid: "28"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6",
visible: true,
_idProps: {
service: idService,
uuid: "29"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -bold c-black -ellipsis",
value: model.variables.leftBalanceRecordIn.titleAttr,
_idProps: {
service: idService,
uuid: "30"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._leftBalanceRecordInDataFetchStatus)
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-12",
visible: true,
_idProps: {
service: idService,
uuid: "31"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead c-greenDark -ellipsis",
value: model.getCachedValue(idService.getId("wqQGF1o2qkiEjqmQ72c4bA.Value"), function () {
return (("Disponíveis " + myNOS_MBPController.default.formatDecimal_MBP$Action(model.variables.leftBalanceRecordIn.availableAmountFmtAttr, myNOS_MBPController.default.getDecimalPlacesByUnit$Action(model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr, callContext.withoutIterationContext()).decimalDigitsOut, callContext.withoutIterationContext()).resultOut) + ((!(model.variables.leftBalanceRecordIn.showBalanceUnitAttr)) ? ("") : ((" " + model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr))));
}, function () {
return model.variables.leftBalanceRecordIn.availableAmountFmtAttr;
}, function () {
return model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr;
}, function () {
return model.variables.leftBalanceRecordIn.showBalanceUnitAttr;
}),
_idProps: {
service: idService,
uuid: "32"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._leftBalanceRecordInDataFetchStatus)
}), React.createElement(MobileUIWidgets_WidgetsNumber_ProgressBar_new_mvc_view, {
inputs: {
AnimateInitialProgress: false,
Height: 5,
StyleClass: "mt-8 -marker",
Progress: model.getCachedValue(idService.getId("xLsx56w7KkiPF82hbJvAgg.Progress"), function () {
return OS.BuiltinFunctions.decimalToInteger(OS.BuiltinFunctions.trunc(((model.variables.leftBalanceRecordIn.availableAmountAttr.equals(OS.BuiltinFunctions.integerToDecimal(0))) ? (OS.BuiltinFunctions.integerToDecimal(0)) : (model.variables.leftBalanceRecordIn.availableAmountAttr.div(model.variables.leftBalanceRecordIn.totalAmountAttr).times(OS.BuiltinFunctions.integerToDecimal(100))))));
}, function () {
return model.variables.leftBalanceRecordIn.availableAmountAttr;
}, function () {
return model.variables.leftBalanceRecordIn.totalAmountAttr;
}),
_progressInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._leftBalanceRecordInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "33",
alias: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6",
visible: true,
_idProps: {
service: idService,
uuid: "34"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -bold c-black -ellipsis",
value: model.variables.rightBalanceRecordIn.titleAttr,
_idProps: {
service: idService,
uuid: "35"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rightBalanceRecordInDataFetchStatus)
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-12",
visible: true,
_idProps: {
service: idService,
uuid: "36"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead c-greenDark -ellipsis",
value: model.getCachedValue(idService.getId("L+fOY0AhgUG9pD0AyUwG8Q.Value"), function () {
return (("Disponíveis " + myNOS_MBPController.default.formatDecimal_MBP$Action(model.variables.rightBalanceRecordIn.availableAmountFmtAttr, myNOS_MBPController.default.getDecimalPlacesByUnit$Action(model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr, callContext.withoutIterationContext()).decimalDigitsOut, callContext.withoutIterationContext()).resultOut) + ((!(model.variables.rightBalanceRecordIn.showBalanceUnitAttr)) ? ("") : ((" " + model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr))));
}, function () {
return model.variables.rightBalanceRecordIn.availableAmountFmtAttr;
}, function () {
return model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr;
}, function () {
return model.variables.rightBalanceRecordIn.showBalanceUnitAttr;
}),
_idProps: {
service: idService,
uuid: "37"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rightBalanceRecordInDataFetchStatus)
}), React.createElement(MobileUIWidgets_WidgetsNumber_ProgressBar_new_mvc_view, {
inputs: {
Height: 5,
StyleClass: "mt-8 -marker",
Progress: model.getCachedValue(idService.getId("v0DOQ9eZEUaN5GsoIq7fMg.Progress"), function () {
return OS.BuiltinFunctions.decimalToInteger(OS.BuiltinFunctions.trunc(((model.variables.rightBalanceRecordIn.availableAmountAttr.equals((OS.DataTypes.Decimal.defaultValue))) ? ((OS.DataTypes.Decimal.defaultValue)) : (model.variables.rightBalanceRecordIn.availableAmountAttr.div(model.variables.rightBalanceRecordIn.totalAmountAttr).times(OS.BuiltinFunctions.integerToDecimal(100))))));
}, function () {
return model.variables.rightBalanceRecordIn.availableAmountAttr;
}, function () {
return model.variables.rightBalanceRecordIn.totalAmountAttr;
}),
_progressInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rightBalanceRecordInDataFetchStatus),
AnimateInitialProgress: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "38",
alias: "6"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.rightBalanceRecordIn.totalAmountAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.availableAmountAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.showBalanceUnitAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.availableAmountFmtAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.titleAttr), asPrimitiveValue(model.variables._rightBalanceRecordInDataFetchStatus), asPrimitiveValue(model.variables._leftBalanceRecordInDataFetchStatus), asPrimitiveValue(model.variables.leftBalanceRecordIn.totalAmountAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.availableAmountAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.showBalanceUnitAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.availableAmountFmtAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.titleAttr)]
}))];
}, function () {
return [];
})];
})];
})];
}, function () {
return [$if((!(model.variables.showLeftGraphIn) && model.variables.showRightGraphIn), false, this, function () {
return [$if(!(model.variables.isRightLimitedGraphVar), false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.minutesInternetAdditionalClick$Action(controller.callContext(eventHandlerContext));
});
;
}
},
style: "mt-2",
visible: true,
_idProps: {
service: idService,
uuid: "39"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasRightSide: false,
HasLeftSide: false,
StyleClass: "-paddingMedium"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
name: "Consumption6",
alias: "7"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "text-center",
visible: true,
_idProps: {
service: idService,
uuid: "41"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-12",
visible: true,
_idProps: {
service: idService,
uuid: "42"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -bold c-black -ellipsis",
value: model.variables.rightBalanceRecordIn.titleAttr,
_idProps: {
service: idService,
uuid: "43"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rightBalanceRecordInDataFetchStatus)
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-8",
visible: true,
_idProps: {
service: idService,
uuid: "44"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead c-greenDark -ellipsis",
value: "Disponíveis",
_idProps: {
service: idService,
uuid: "45"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Expression, {
style: "a-textBigLight",
value: model.getCachedValue(idService.getId("Azh8YR083US3Rhm7RxSNkw.Value"), function () {
return (myNOS_MBPController.default.formatDecimal_MBP$Action(model.variables.rightBalanceRecordIn.availableAmountFmtAttr, myNOS_MBPController.default.getDecimalPlacesByUnit$Action(model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr, callContext.withoutIterationContext()).decimalDigitsOut, callContext.withoutIterationContext()).resultOut + ((!(model.variables.rightBalanceRecordIn.showBalanceUnitAttr)) ? ("") : ((" " + model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr))));
}, function () {
return model.variables.rightBalanceRecordIn.availableAmountFmtAttr;
}, function () {
return model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr;
}, function () {
return model.variables.rightBalanceRecordIn.showBalanceUnitAttr;
}),
_idProps: {
service: idService,
uuid: "46"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rightBalanceRecordInDataFetchStatus)
}))))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables._rightBalanceRecordInDataFetchStatus), asPrimitiveValue(model.variables.rightBalanceRecordIn.showBalanceUnitAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.availableAmountFmtAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.titleAttr)]
}))];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.minutesInternetAdditionalClick$Action(controller.callContext(eventHandlerContext));
});
;
}
},
style: "mt-2",
visible: true,
_idProps: {
service: idService,
uuid: "47"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasLeftSide: false,
StyleClass: "-paddingMedium",
HasRightSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
name: "Consumption2",
alias: "8"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "text-center",
visible: true,
_idProps: {
service: idService,
uuid: "49"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-12",
visible: true,
_idProps: {
service: idService,
uuid: "50"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -bold c-black -ellipsis",
value: model.variables.rightBalanceRecordIn.titleAttr,
_idProps: {
service: idService,
uuid: "51"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rightBalanceRecordInDataFetchStatus)
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-12",
visible: true,
_idProps: {
service: idService,
uuid: "52"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead c-greenDark -ellipsis",
value: model.getCachedValue(idService.getId("i_MzFSx290ODWqPuMHC51w.Value"), function () {
return (("Disponíveis " + myNOS_MBPController.default.formatDecimal_MBP$Action(model.variables.rightBalanceRecordIn.availableAmountFmtAttr, myNOS_MBPController.default.getDecimalPlacesByUnit$Action(model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr, callContext.withoutIterationContext()).decimalDigitsOut, callContext.withoutIterationContext()).resultOut) + ((!(model.variables.rightBalanceRecordIn.showBalanceUnitAttr)) ? ("") : ((" " + model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr))));
}, function () {
return model.variables.rightBalanceRecordIn.availableAmountFmtAttr;
}, function () {
return model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr;
}, function () {
return model.variables.rightBalanceRecordIn.showBalanceUnitAttr;
}),
_idProps: {
service: idService,
uuid: "53"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rightBalanceRecordInDataFetchStatus)
}), React.createElement(MobileUIWidgets_WidgetsNumber_ProgressBar_new_mvc_view, {
inputs: {
AnimateInitialProgress: true,
Progress: model.getCachedValue(idService.getId("1p0NKQ3QnUimpMiYoTEVHg.Progress"), function () {
return OS.BuiltinFunctions.decimalToInteger(OS.BuiltinFunctions.trunc(((model.variables.rightBalanceRecordIn.availableAmountAttr.equals(OS.BuiltinFunctions.integerToDecimal(0))) ? (OS.BuiltinFunctions.integerToDecimal(0)) : (model.variables.rightBalanceRecordIn.availableAmountAttr.div(model.variables.rightBalanceRecordIn.totalAmountAttr).times(OS.BuiltinFunctions.integerToDecimal(100))))));
}, function () {
return model.variables.rightBalanceRecordIn.availableAmountAttr;
}, function () {
return model.variables.rightBalanceRecordIn.totalAmountAttr;
}),
_progressInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rightBalanceRecordInDataFetchStatus),
StyleClass: "mt-8 -marker",
Height: 5
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "54",
alias: "9"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables._rightBalanceRecordInDataFetchStatus), asPrimitiveValue(model.variables.rightBalanceRecordIn.totalAmountAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.availableAmountAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.showBalanceUnitAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.availableAmountUnitFmtAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.availableAmountFmtAttr), asPrimitiveValue(model.variables.rightBalanceRecordIn.titleAttr)]
}))];
})];
}, function () {
return [$if((model.variables.showLeftGraphIn && !(model.variables.showRightGraphIn)), false, this, function () {
return [$if(!(model.variables.isLeftLimitedGraphVar), false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.minutesInternetAdditionalClick$Action(controller.callContext(eventHandlerContext));
});
;
}
},
style: "mt-2",
visible: true,
_idProps: {
service: idService,
uuid: "55"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasRightSide: false,
StyleClass: "-paddingMedium",
HasLeftSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
name: "Consumption7",
alias: "10"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "text-center",
visible: true,
_idProps: {
service: idService,
uuid: "57"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-12",
visible: true,
_idProps: {
service: idService,
uuid: "58"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -bold c-black -ellipsis",
value: model.variables.leftBalanceRecordIn.titleAttr,
_idProps: {
service: idService,
uuid: "59"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._leftBalanceRecordInDataFetchStatus)
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-8",
visible: true,
_idProps: {
service: idService,
uuid: "60"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead c-greenDark -ellipsis",
value: "Disponíveis",
_idProps: {
service: idService,
uuid: "61"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Expression, {
style: "a-textBigLight",
value: model.getCachedValue(idService.getId("Smq945pGpkmuXoIRQz5WRg.Value"), function () {
return (myNOS_MBPController.default.formatDecimal_MBP$Action(model.variables.leftBalanceRecordIn.availableAmountFmtAttr, myNOS_MBPController.default.getDecimalPlacesByUnit$Action(model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr, callContext.withoutIterationContext()).decimalDigitsOut, callContext.withoutIterationContext()).resultOut + ((!(model.variables.leftBalanceRecordIn.showBalanceUnitAttr)) ? ("") : ((" " + model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr))));
}, function () {
return model.variables.leftBalanceRecordIn.availableAmountFmtAttr;
}, function () {
return model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr;
}, function () {
return model.variables.leftBalanceRecordIn.showBalanceUnitAttr;
}),
_idProps: {
service: idService,
uuid: "62"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._leftBalanceRecordInDataFetchStatus)
}))))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables._leftBalanceRecordInDataFetchStatus), asPrimitiveValue(model.variables.leftBalanceRecordIn.showBalanceUnitAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.availableAmountFmtAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.titleAttr)]
}))];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.minutesInternetAdditionalClick$Action(controller.callContext(eventHandlerContext));
});
;
}
},
style: "mt-2",
visible: true,
_idProps: {
service: idService,
uuid: "63"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasRightSide: false,
HasLeftSide: false,
StyleClass: "-paddingMedium"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
name: "Consumption4",
alias: "11"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "text-center",
visible: true,
_idProps: {
service: idService,
uuid: "65"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-12",
visible: true,
_idProps: {
service: idService,
uuid: "66"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -bold c-black -ellipsis",
value: model.variables.leftBalanceRecordIn.titleAttr,
_idProps: {
service: idService,
uuid: "67"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._leftBalanceRecordInDataFetchStatus)
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-12",
visible: true,
_idProps: {
service: idService,
uuid: "68"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead c-greenDark -ellipsis",
value: model.getCachedValue(idService.getId("w3KSSR1bnUeEQ_KXdm6hug.Value"), function () {
return (("Disponíveis " + myNOS_MBPController.default.formatDecimal_MBP$Action(model.variables.leftBalanceRecordIn.availableAmountFmtAttr, myNOS_MBPController.default.getDecimalPlacesByUnit$Action(model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr, callContext.withoutIterationContext()).decimalDigitsOut, callContext.withoutIterationContext()).resultOut) + ((!(model.variables.leftBalanceRecordIn.showBalanceUnitAttr)) ? ("") : ((" " + model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr))));
}, function () {
return model.variables.leftBalanceRecordIn.availableAmountFmtAttr;
}, function () {
return model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr;
}, function () {
return model.variables.leftBalanceRecordIn.showBalanceUnitAttr;
}),
_idProps: {
service: idService,
uuid: "69"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._leftBalanceRecordInDataFetchStatus)
}), React.createElement(MobileUIWidgets_WidgetsNumber_ProgressBar_new_mvc_view, {
inputs: {
Progress: model.getCachedValue(idService.getId("0LjJ+IvJSUycVbvAzqPPYg.Progress"), function () {
return OS.BuiltinFunctions.decimalToInteger(OS.BuiltinFunctions.trunc(((model.variables.leftBalanceRecordIn.availableAmountAttr.equals(OS.BuiltinFunctions.integerToDecimal(0))) ? (OS.BuiltinFunctions.integerToDecimal(0)) : (model.variables.leftBalanceRecordIn.availableAmountAttr.div(model.variables.leftBalanceRecordIn.totalAmountAttr).times(OS.BuiltinFunctions.integerToDecimal(100))))));
}, function () {
return model.variables.leftBalanceRecordIn.availableAmountAttr;
}, function () {
return model.variables.leftBalanceRecordIn.totalAmountAttr;
}),
_progressInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._leftBalanceRecordInDataFetchStatus),
Height: 5,
StyleClass: "mt-8 -marker",
AnimateInitialProgress: true
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "70",
alias: "12"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables._leftBalanceRecordInDataFetchStatus), asPrimitiveValue(model.variables.leftBalanceRecordIn.totalAmountAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.availableAmountAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.showBalanceUnitAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.availableAmountUnitFmtAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.availableAmountFmtAttr), asPrimitiveValue(model.variables.leftBalanceRecordIn.titleAttr)]
}))];
})];
}, function () {
return [];
})];
})];
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.HomePageBlocks.TwoGraphCard.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "myNOS_MBP.model", "myNOS_MOB.languageResources", "myNOS_MBP.controller$GetDecimalPlacesByUnit", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.controller$FormatDecimal_MBP", "myNOS_MBP.entities", "myNOS_MOB.model$STR_BalanceOrchestrationStructRec", "myNOS_MOB.model$Local_BALANCE_GRAPH_TYPERecordList", "myNOS_MBP.model$Local_BALANCE_GRAPH_TYPERec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, myNOS_MBPModel, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions
Controller.prototype.getRightGraphType$AggrRefresh = function (maxRecords) {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();

var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_BALANCE_GRAPH_TYPERecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}

var qploId = model.variables.rightBalanceRecordIn.graphTypeIDAttr;

var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "ENLocal_BALANCE_GRAPH_TYPE.\"Id\" o0, ENLocal_BALANCE_GRAPH_TYPE.\"Label\" o1, ENLocal_BALANCE_GRAPH_TYPE.\"IsLimitedGraph\" o2, ENLocal_BALANCE_GRAPH_TYPE.\"DateTime\" o3";
} else {
selectSql += "ENLocal_BALANCE_GRAPH_TYPE.\"Id\" o0, ENLocal_BALANCE_GRAPH_TYPE.\"Label\" o1, ENLocal_BALANCE_GRAPH_TYPE.\"IsLimitedGraph\" o2, ENLocal_BALANCE_GRAPH_TYPE.\"DateTime\" o3";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_BALANCE_GRAPH_TYPE\" ENLocal_BALANCE_GRAPH_TYPE";
fromAndWhereSql += " WHERE ";
if (qploId != 0) {
fromAndWhereSql += "((ENLocal_BALANCE_GRAPH_TYPE.\"Id\" = :qploId) AND (ENLocal_BALANCE_GRAPH_TYPE.\"Id\" IS NOT NULL))";
argsList.add("qploId", /*LONGINTEGER*/ 4, qploId);
} else {
fromAndWhereSql += "(ENLocal_BALANCE_GRAPH_TYPE.\"Id\" IS NULL)";
}
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_BALANCE_GRAPH_TYPERecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_BALANCE_GRAPH_TYPEAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeScreenClientAggregate(executeQuery, function () {
return model.variables.getRightGraphTypeAggr;
}, function () {
controller._getRightGraphTypeOnAfterFetch$Action(controller.callContext(callContext));
});
};
Controller.prototype.getLeftGraphType$AggrRefresh = function (maxRecords) {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();

var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_BALANCE_GRAPH_TYPERecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}

var qploId = model.variables.leftBalanceRecordIn.graphTypeIDAttr;

var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "ENLocal_BALANCE_GRAPH_TYPE.\"Id\" o0, ENLocal_BALANCE_GRAPH_TYPE.\"Label\" o1, ENLocal_BALANCE_GRAPH_TYPE.\"IsLimitedGraph\" o2, ENLocal_BALANCE_GRAPH_TYPE.\"DateTime\" o3";
} else {
selectSql += "ENLocal_BALANCE_GRAPH_TYPE.\"Id\" o0, ENLocal_BALANCE_GRAPH_TYPE.\"Label\" o1, ENLocal_BALANCE_GRAPH_TYPE.\"IsLimitedGraph\" o2, ENLocal_BALANCE_GRAPH_TYPE.\"DateTime\" o3";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_BALANCE_GRAPH_TYPE\" ENLocal_BALANCE_GRAPH_TYPE";
fromAndWhereSql += " WHERE ";
if (qploId != 0) {
fromAndWhereSql += "((ENLocal_BALANCE_GRAPH_TYPE.\"Id\" = :qploId) AND (ENLocal_BALANCE_GRAPH_TYPE.\"Id\" IS NOT NULL))";
argsList.add("qploId", /*LONGINTEGER*/ 4, qploId);
} else {
fromAndWhereSql += "(ENLocal_BALANCE_GRAPH_TYPE.\"Id\" IS NULL)";
}
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_BALANCE_GRAPH_TYPERecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_BALANCE_GRAPH_TYPEAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeScreenClientAggregate(executeQuery, function () {
return model.variables.getLeftGraphTypeAggr;
}, function () {
controller._getLeftGraphTypeOnAfterFetch$Action(controller.callContext(callContext));
});
};

Controller.prototype.dataFetchActionNames = ["getRightGraphType$AggrRefresh", "getLeftGraphType$AggrRefresh"];
// Client Actions
Controller.prototype._minutesInternetAdditionalClick$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("MinutesInternetAdditionalClick");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: MinutesInternetAdditionalClickEvent
return controller.minutesInternetAdditionalClickEvent$Action(callContext);
});
};
Controller.prototype._onParametersChanged$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnParametersChanged");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Refresh Query: GetLeftGraphType
var result = controller.getLeftGraphType$AggrRefresh(1);
model.flush();
return result.then(function () {
// Refresh Query: GetRightGraphType
var result = controller.getRightGraphType$AggrRefresh(1);
model.flush();
return result;
});
});
};
Controller.prototype._getLeftGraphTypeOnAfterFetch$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GetLeftGraphTypeOnAfterFetch");
callContext = controller.callContext(callContext);
// GetLeftGraphType.Empty?
if((model.variables.getLeftGraphTypeAggr.listOut.isEmpty)) {
// IsLeftLimitedGraph = LeftBalanceRecord.IsLimited
model.variables.isLeftLimitedGraphVar = model.variables.leftBalanceRecordIn.isLimitedAttr;
} else {
// IsLeftLimitedGraph = GetLeftGraphType.List.Current.Local_BALANCE_GRAPH_TYPE.IsLimitedGraph
model.variables.isLeftLimitedGraphVar = model.variables.getLeftGraphTypeAggr.listOut.getCurrent(callContext.iterationContext).local_BALANCE_GRAPH_TYPEAttr.isLimitedGraphAttr;
}

};
Controller.prototype._getRightGraphTypeOnAfterFetch$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GetRightGraphTypeOnAfterFetch");
callContext = controller.callContext(callContext);
if((model.variables.getRightGraphTypeAggr.listOut.isEmpty)) {
// IsRightLimitedGraph = RightBalanceRecord.IsLimited
model.variables.isRightLimitedGraphVar = model.variables.rightBalanceRecordIn.isLimitedAttr;
} else {
// IsRightLimitedGraph = GetRightGraphType.List.Current.Local_BALANCE_GRAPH_TYPE.IsLimitedGraph
model.variables.isRightLimitedGraphVar = model.variables.getRightGraphTypeAggr.listOut.getCurrent(callContext.iterationContext).local_BALANCE_GRAPH_TYPEAttr.isLimitedGraphAttr;
}

};

Controller.prototype.minutesInternetAdditionalClick$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._minutesInternetAdditionalClick$Action, callContext);

};
Controller.prototype.onParametersChanged$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onParametersChanged$Action, callContext);

};
Controller.prototype.getLeftGraphTypeOnAfterFetch$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._getLeftGraphTypeOnAfterFetch$Action, callContext);

};
Controller.prototype.getRightGraphTypeOnAfterFetch$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._getRightGraphTypeOnAfterFetch$Action, callContext);

};
Controller.prototype.minutesInternetAdditionalClickEvent$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onParametersChanged$Action(callContext);

};
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

