﻿define("myNOS_MOB.LoginFlow.NOSID_Register.mvc$model", ["OutSystems", "myNOS_MOB.model", "Mobile_LoginNOS.model", "myNOS_MBP.controller", "Mobile_LoginNOS.OAuth_Flow_IOS.NOSID_Register_IOS.mvc$model", "Mobile_LoginNOS.OAuth_Flow_Android.NOSID_Register.mvc$model", "Mobile_LoginNOS.model$WebView_ParametersRec", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$Mobile_LoginNOS", "Mobile_LoginNOS.model$AccessTokenCodeRec", "myNOS_MBP.controller$Get_OperatingSystem", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.controller$PreLoginParameters"], function (OutSystems, myNOS_MOBModel, Mobile_LoginNOSModel, myNOS_MBPController, Mobile_LoginNOS_OAuth_Flow_IOS_NOSID_Register_IOS_mvcModel, Mobile_LoginNOS_OAuth_Flow_Android_NOSID_Register_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("OperatingSystem", "operatingSystemVar", "OperatingSystem", true, OS.Types.Text, function () {
return "";
}), 
this.attr("ApplicationName", "applicationNameVar", "ApplicationName", true, OS.Types.Text, function () {
return "";
}), 
this.attr("ApplicationIdentifier", "applicationIdentifierVar", "ApplicationIdentifier", true, OS.Types.Text, function () {
return "";
}), 
this.attr("ClientId", "clientIdVar", "ClientId", true, OS.Types.Text, function () {
return "";
}), 
this.attr("WebViewParameters", "webViewParametersVar", "WebViewParameters", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.WebView_ParametersRec());
}, Mobile_LoginNOSModel.WebView_ParametersRec), 
this.attr("ScreenName", "screenNameIn", "ScreenName", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_screenNameInDataFetchStatus", "_screenNameInDataFetchStatus", "_screenNameInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = (Mobile_LoginNOS_OAuth_Flow_IOS_NOSID_Register_IOS_mvcModel.hasValidationWidgets || Mobile_LoginNOS_OAuth_Flow_Android_NOSID_Register_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("ScreenName" in inputs) {
this.variables.screenNameIn = inputs.ScreenName;
if("_screenNameInDataFetchStatus" in inputs) {
this.variables._screenNameInDataFetchStatus = inputs._screenNameInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.LoginFlow.NOSID_Register.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "Mobile_LoginNOS.model", "myNOS_MBP.controller", "react", "OutSystemsReactView", "myNOS_MOB.LoginFlow.NOSID_Register.mvc$model", "myNOS_MOB.LoginFlow.NOSID_Register.mvc$controller", "Mobile_LoginNOS.OAuth_Flow_IOS.NOSID_Register_IOS.mvc$view", "OutSystemsReactWidgets", "Mobile_LoginNOS.OAuth_Flow_Android.NOSID_Register.mvc$view", "Mobile_LoginNOS.model$WebView_ParametersRec", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$Mobile_LoginNOS", "Mobile_LoginNOS.model$AccessTokenCodeRec", "myNOS_MBP.controller$Get_OperatingSystem", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.controller$PreLoginParameters"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, Mobile_LoginNOSModel, myNOS_MBPController, React, OSView, myNOS_MOB_LoginFlow_NOSID_Register_mvc_model, myNOS_MOB_LoginFlow_NOSID_Register_mvc_controller, Mobile_LoginNOS_OAuth_Flow_IOS_NOSID_Register_IOS_mvc_view, OSWidgets, Mobile_LoginNOS_OAuth_Flow_Android_NOSID_Register_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "LoginFlow.NOSID_Register";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [Mobile_LoginNOS_OAuth_Flow_IOS_NOSID_Register_IOS_mvc_view, Mobile_LoginNOS_OAuth_Flow_Android_NOSID_Register_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_LoginFlow_NOSID_Register_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_LoginFlow_NOSID_Register_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if((model.variables.operatingSystemVar === myNOS_MOBModel.staticEntities.mobile_OperatingSystem.iOS), false, this, function () {
return [React.createElement(Mobile_LoginNOS_OAuth_Flow_IOS_NOSID_Register_IOS_mvc_view, {
inputs: {
ApplicationName: model.variables.applicationNameVar,
ClientId: model.variables.clientIdVar,
ApplicationIdentifier: model.variables.applicationIdentifierVar,
ViewController_Parameters: model.variables.webViewParametersVar,
CSS_Content: "btn a-btn -fullWidth  btn-secondary -secondary"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
register_Close$Action: function (accessTokenInfoIn, manuallyCloseIn) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.nOSID_Register_Closed$Action(accessTokenInfoIn, manuallyCloseIn, controller.callContext(eventHandlerContext));
});
;
},
register_Start$Action: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.nOSID_Register_LoginStart$Action(controller.callContext(eventHandlerContext));
});
;
},
register_Error$Action: function (error_MessageIn) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.nOSID_Register_Error$Action(error_MessageIn, controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}, function () {
return [React.createElement(Mobile_LoginNOS_OAuth_Flow_Android_NOSID_Register_mvc_view, {
inputs: {
CSS_Content: "btn a-btn -fullWidth  btn-secondary -secondary",
ViewController_Parameters: model.variables.webViewParametersVar,
ApplicationIdentifier: model.variables.applicationIdentifierVar,
ApplicationName: model.variables.applicationNameVar,
ClientId: model.variables.clientIdVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
register_Close$Action: function (accessTokenInfoIn, manuallyCloseIn) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.nOSID_Register_Closed$Action(accessTokenInfoIn, manuallyCloseIn, controller.callContext(eventHandlerContext));
});
;
},
register_Start$Action: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.nOSID_Register_LoginStart$Action(controller.callContext(eventHandlerContext));
});
;
},
register_Error$Action: function (error_MessageIn) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.nOSID_Register_Error$Action(error_MessageIn, controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.LoginFlow.NOSID_Register.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "Mobile_LoginNOS.model", "myNOS_MBP.controller", "myNOS_MOB.languageResources", "Mobile_LoginNOS.model$WebView_ParametersRec", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$Mobile_LoginNOS", "Mobile_LoginNOS.model$AccessTokenCodeRec", "myNOS_MBP.controller$Get_OperatingSystem", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.controller$PreLoginParameters"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, Mobile_LoginNOSModel, myNOS_MBPController, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._nOSID_Register_LoginStart$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("NOSID_Register_LoginStart");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: Register_Start
return controller.register_Start$Action(callContext);
});
};
Controller.prototype._nOSID_Register_Error$Action = function (error_MessageIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("NOSID_Register_Error");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.LoginFlow.NOSID_Register.NOSID_Register_Error$vars"))());
vars.value.error_MessageInLocal = error_MessageIn;
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: Register_Error
return controller.register_Error$Action(vars.value.error_MessageInLocal, callContext);
});
};
Controller.registerVariableGroupType("myNOS_MOB.LoginFlow.NOSID_Register.NOSID_Register_Error$vars", [{
name: "Error_Message",
attrName: "error_MessageInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.prototype._nOSID_Register_Closed$Action = function (accessTokenInfoIn, manuallyCloseIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("NOSID_Register_Closed");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.LoginFlow.NOSID_Register.NOSID_Register_Closed$vars"))());
vars.value.accessTokenInfoInLocal = accessTokenInfoIn.clone();
vars.value.manuallyCloseInLocal = manuallyCloseIn;
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: Register_Close
return controller.register_Close$Action(vars.value.accessTokenInfoInLocal, vars.value.manuallyCloseInLocal, callContext);
});
};
Controller.registerVariableGroupType("myNOS_MOB.LoginFlow.NOSID_Register.NOSID_Register_Closed$vars", [{
name: "AccessTokenInfo",
attrName: "accessTokenInfoInLocal",
mandatory: true,
dataType: OS.Types.Record,
defaultValue: function () {
return new Mobile_LoginNOSModel.AccessTokenCodeRec();
},
complexType: Mobile_LoginNOSModel.AccessTokenCodeRec
}, {
name: "ManuallyClose",
attrName: "manuallyCloseInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
var get_OperatingSystemVar = new OS.DataTypes.VariableHolder();
var preLoginParametersVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Get_OperatingSystem
get_OperatingSystemVar.value = myNOS_MBPController.default.get_OperatingSystem$Action(callContext);

// Execute Action: PreLoginParameters
model.flush();
return myNOS_MBPController.default.preLoginParameters$Action(model.variables.screenNameIn, callContext).then(function (value) {
preLoginParametersVar.value = value;
}).then(function () {
// Set vars
// OperatingSystem = Get_OperatingSystem.OperatingSystem
model.variables.operatingSystemVar = get_OperatingSystemVar.value.operatingSystemOut;
// ApplicationName = PreLoginParameters.ApplicationName
model.variables.applicationNameVar = preLoginParametersVar.value.applicationNameOut;
// ApplicationIdentifier = PreLoginParameters.ApplicationIdentifier
model.variables.applicationIdentifierVar = preLoginParametersVar.value.applicationIdentifierOut;
// ClientId = PreLoginParameters.ClientId
model.variables.clientIdVar = preLoginParametersVar.value.clientIdOut;
// WebViewParameters = PreLoginParameters.WebViewParameters
model.variables.webViewParametersVar = preLoginParametersVar.value.webViewParametersOut;
});
});
};

Controller.prototype.nOSID_Register_LoginStart$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._nOSID_Register_LoginStart$Action, callContext);

};
Controller.prototype.nOSID_Register_Error$Action = function (error_MessageIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._nOSID_Register_Error$Action, callContext, error_MessageIn);

};
Controller.prototype.nOSID_Register_Closed$Action = function (accessTokenInfoIn, manuallyCloseIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._nOSID_Register_Closed$Action, callContext, accessTokenInfoIn, manuallyCloseIn);

};
Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};
Controller.prototype.register_Close$Action = function () {
return Promise.resolve();
};
Controller.prototype.register_Start$Action = function () {
return Promise.resolve();
};
Controller.prototype.register_Error$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

