﻿define("myNOS_MOB.LoginFlow.OnBoarding.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.CommonLayout.Layout_Blank.mvc$model", "myNOS_MOB.Blocks.TourContent.mvc$model"], function (OutSystems, myNOS_MOBModel, myNOS_MOB_CommonLayout_Layout_Blank_mvcModel, myNOS_MOB_Blocks_TourContent_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("StatusBarHexCode", "statusBarHexCodeVar", "StatusBarHexCode", true, OS.Types.Text, function () {
return myNOS_MOBModel.staticEntities.hEX_COLORS.pureWhite;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromStructure = function (str) {
return new VariablesRecord(new VariablesRecord.RecordClass({
statusBarHexCodeVar: OS.DataTypes.ImmutableBase.getData(str)
}));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = (myNOS_MOB_CommonLayout_Layout_Blank_mvcModel.hasValidationWidgets || myNOS_MOB_Blocks_TourContent_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.LoginFlow.OnBoarding.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "react", "OutSystemsReactView", "myNOS_MOB.LoginFlow.OnBoarding.mvc$model", "myNOS_MOB.LoginFlow.OnBoarding.mvc$controller", "myNOS_MOB.CommonLayout.Layout_Blank.mvc$view", "OutSystemsReactWidgets", "myNOS_MOB.Blocks.TourContent.mvc$view"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, React, OSView, myNOS_MOB_LoginFlow_OnBoarding_mvc_model, myNOS_MOB_LoginFlow_OnBoarding_mvc_controller, myNOS_MOB_CommonLayout_Layout_Blank_mvc_view, OSWidgets, myNOS_MOB_Blocks_TourContent_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "LoginFlow.OnBoarding";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css", "css/MobilePatterns.BaseTheme.css", "css/MobileThemes_MyNos.NOS_BaseTheme.css", "css/MobileThemes_MyNos.NOS_LightTheme.css", "css/myNOS_MOB.myNOS_MOB.css", "css/MobilePatterns.BaseTheme.extra.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_CommonLayout_Layout_Blank_mvc_view, myNOS_MOB_Blocks_TourContent_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_LoginFlow_OnBoarding_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_LoginFlow_OnBoarding_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(myNOS_MOB_CommonLayout_Layout_Blank_mvc_view, {
inputs: {
PageType: "Consulta",
IsInvalidPermissions: false,
PageTitle: "OnBoarding",
StatusBarHexCode: model.variables.statusBarHexCodeVar,
PageSection: "OnBoarding",
PageNameUrl: "OnBoarding"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
isConnectedEvent$Action: function (isConnectedIn) {
var eventHandlerContext = callContext.clone();
controller.layout_BlankIsConnectedEvent$Action(controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
content: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_Blocks_TourContent_mvc_view, {
inputs: {
TourContentTypeId: (myNOS_MOBModel.staticEntities.tOUR_CONTENT_TYPE.oNBOARDING).toString()
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
})
},
_dependencies: []
}));
        };
        return View;
    })(OSView.BaseView.BaseWebScreen);
	
    return View;
});
define("myNOS_MOB.LoginFlow.OnBoarding.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MOB.languageResources", "myNOS_MOB.LoginFlow.controller"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MOBLanguageResources, myNOS_MOB_LoginFlowController) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._layout_BlankIsConnectedEvent$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Layout_BlankIsConnectedEvent");
callContext = controller.callContext(callContext);
};

Controller.prototype.layout_BlankIsConnectedEvent$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._layout_BlankIsConnectedEvent$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return myNOS_MOB_LoginFlowController.default.handleError(ex, this.callContext());
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

