﻿define("myNOS_MOB.LoginFlow.RGPD.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "MobileUIWidgets.controller", "myNOS_MBP.model", "myNOS_MBP.controller", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MOB.controller$CheckIfUserHasEverLoggedIn", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MOB.model$Local_ASSOCIATIONRecordList", "myNOS_MOB.model$Local_USERINFOLocal_FAVORITE_HOMEPAGERecordList", "myNOS_MOB.model$Local_ACCESS_TOKEN_INFORecordList", "myNOS_MBP.model$Local_ASSOCIATIONRec", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.model$Local_FAVORITE_HOMEPAGERec", "myNOS_MBP.model$Local_USER_INFORec", "myNOS_MBP.model$Local_ACCESS_TOKEN_INFORec", "myNOS_MBP.entities", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "myNOS_MOB.controller$OpenExternalURL", "myNOS_MOB.controller$Logout"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, MobileUIWidgetsController, myNOS_MBPModel, myNOS_MBPController) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("IsRejected", "isRejectedVar", "IsRejected", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("BooleanVar", "booleanVarVar", "BooleanVar", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("ConditionsText", "conditionsTextVar", "ConditionsText", true, OS.Types.Text, function () {
return "";
}), 
this.attr("ConditionsAlert", "conditionsAlertVar", "ConditionsAlert", true, OS.Types.Text, function () {
return "";
}), 
this.attr("InitialStatusBarCode", "initialStatusBarCodeVar", "InitialStatusBarCode", true, OS.Types.Text, function () {
return myNOS_MOBModel.staticEntities.hEX_COLORS.blueLight;
}), 
this.attr("FirstLogin", "firstLoginIn", "FirstLogin", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_firstLoginInDataFetchStatus", "_firstLoginInDataFetchStatus", "_firstLoginInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {
Checkbox1: OS.Model.ValidationWidgetRecord
};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return true;
}
});

Model.prototype.setInputs = function (inputs) {
if("FirstLogin" in inputs) {
this.variables.firstLoginIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.FirstLogin, OS.Types.Boolean);
}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.LoginFlow.RGPD.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "MobileUIWidgets.controller", "myNOS_MBP.model", "myNOS_MBP.controller", "react", "OutSystemsReactView", "myNOS_MOB.LoginFlow.RGPD.mvc$model", "myNOS_MOB.LoginFlow.RGPD.mvc$controller", "myNOS_MOB.CommonLayout.Layout_Blank.mvc$view", "OutSystemsReactWidgets", "MobileUIWidgets.WidgetsContent.ButtonRipple.mvc$view", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MOB.controller$CheckIfUserHasEverLoggedIn", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MOB.model$Local_ASSOCIATIONRecordList", "myNOS_MOB.model$Local_USERINFOLocal_FAVORITE_HOMEPAGERecordList", "myNOS_MOB.model$Local_ACCESS_TOKEN_INFORecordList", "myNOS_MBP.model$Local_ASSOCIATIONRec", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.model$Local_FAVORITE_HOMEPAGERec", "myNOS_MBP.model$Local_USER_INFORec", "myNOS_MBP.model$Local_ACCESS_TOKEN_INFORec", "myNOS_MBP.entities", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "myNOS_MOB.controller$OpenExternalURL", "myNOS_MOB.controller$Logout"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, MobileUIWidgetsController, myNOS_MBPModel, myNOS_MBPController, React, OSView, myNOS_MOB_LoginFlow_RGPD_mvc_model, myNOS_MOB_LoginFlow_RGPD_mvc_controller, myNOS_MOB_CommonLayout_Layout_Blank_mvc_view, OSWidgets, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "LoginFlow.RGPD";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css", "css/MobilePatterns.BaseTheme.css", "css/MobileThemes_MyNos.NOS_BaseTheme.css", "css/MobileThemes_MyNos.NOS_LightTheme.css", "css/myNOS_MOB.myNOS_MOB.css", "css/MobilePatterns.BaseTheme.extra.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_CommonLayout_Layout_Blank_mvc_view, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_LoginFlow_RGPD_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_LoginFlow_RGPD_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(myNOS_MOB_CommonLayout_Layout_Blank_mvc_view, {
inputs: {
PageTitle: "Rgpd",
PageSection: "Rgpd",
StatusBarHexCode: model.variables.initialStatusBarCodeVar,
IsInvalidPermissions: false,
PageType: "Operacoes",
PageNameUrl: "Rgpd"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
isConnectedEvent$Action: function (isConnectedIn) {
var eventHandlerContext = callContext.clone();
controller.layout_BlankIsConnectedEvent$Action(controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
content: new PlaceholderContent(function () {
return [$if(model.variables.isRejectedVar, false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "o-rgpd",
visible: true,
_idProps: {
service: idService,
uuid: "1"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "o-rgpdContent",
visible: true,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.AdvancedHtml, {
tag: "h1",
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "h1 c-black -bold",
value: "Atualizámos os termos e condições de utilização da Área Cliente NOS",
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mv-24",
visible: true,
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead",
value: model.variables.conditionsTextVar,
_idProps: {
service: idService,
uuid: "6"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "o-rgpdContentCheck",
visible: true,
_idProps: {
service: idService,
uuid: "7"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Checkbox, {
_validationProps: {
validationService: validationService
},
enabled: true,
style: model.getCachedValue(idService.getId("Checkbox1.Style"), function () {
return ("checkbox a-checkBox " + ((model.variables.booleanVarVar) ? (" icon-checkbox-on -checked") : (" icon-checkbox-off")));
}, function () {
return model.variables.booleanVarVar;
}),
variable: model.createVariable(OS.Types.Boolean, model.variables.booleanVarVar, function (value) {
model.variables.booleanVarVar = value;
}),
_idProps: {
service: idService,
name: "Checkbox1"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Label, {
gridProperties: {
classes: "ThemeGrid_MarginGutter"
},
style: "a-textRead -inline",
targetWidget: "Checkbox1",
_idProps: {
service: idService,
uuid: "9"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Li e aceito os "), React.createElement(OSWidgets.Link, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.termoseCondicoesOnClick$Action(controller.callContext(eventHandlerContext));
});
;
},
style: "a-link mr-4",
visible: true,
_idProps: {
service: idService,
uuid: "10"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Termos e Condições"))), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "gridRow o-rgpdBottom",
visible: true,
_idProps: {
service: idService,
uuid: "11"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6",
visible: true,
_idProps: {
service: idService,
uuid: "12"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "13",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.back$Action(false, controller.callContext(eventHandlerContext));
});
;
},
style: "btn a-btn w-100",
visible: true,
_idProps: {
service: idService,
uuid: "14"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Não aceitar", React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "15"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: []
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6",
visible: true,
_idProps: {
service: idService,
uuid: "16"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "17",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: model.variables.booleanVarVar,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.nextOnClick$Action(controller.callContext(eventHandlerContext));
});
;
},
style: "btn a-btn btn-primary -primary w-100",
visible: true,
_idProps: {
service: idService,
uuid: "18"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Continuar", React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "19"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: [asPrimitiveValue(model.variables.booleanVarVar)]
}))))];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "o-rgpd",
visible: true,
_idProps: {
service: idService,
uuid: "20"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "o-rgpdContent",
visible: true,
_idProps: {
service: idService,
uuid: "21"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.AdvancedHtml, {
tag: "h1",
_idProps: {
service: idService,
uuid: "22"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "h1 c-black -bold",
value: "Atenção",
_idProps: {
service: idService,
uuid: "23"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mv-24",
visible: true,
_idProps: {
service: idService,
uuid: "24"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead",
value: model.variables.conditionsAlertVar,
_idProps: {
service: idService,
uuid: "25"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Expression, {
style: "a-textRead c-black -bold mt-16",
value: "Para aceitar os Termos e condições da App por favor volte ao ecrã anterior.",
_idProps: {
service: idService,
uuid: "26"
},
_widgetRecordProvider: widgetsRecordProvider
}))), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "gridRow o-rgpdBottom",
visible: true,
_idProps: {
service: idService,
uuid: "27"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6",
visible: true,
_idProps: {
service: idService,
uuid: "28"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "29",
alias: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.back$Action(true, controller.callContext(eventHandlerContext));
});
;
},
style: "btn a-btn btn-primary -primary w-100",
visible: true,
_idProps: {
service: idService,
uuid: "30"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Voltar", React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "31"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: []
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6",
visible: true,
_idProps: {
service: idService,
uuid: "32"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "33",
alias: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.closeApp$Action(controller.callContext(eventHandlerContext));
});
;
},
style: "btn a-btn w-100",
visible: true,
_idProps: {
service: idService,
uuid: "34"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Sair", React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "35"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: []
}))))];
})];
})
},
_dependencies: [asPrimitiveValue(model.variables.conditionsAlertVar), asPrimitiveValue(model.variables.booleanVarVar), asPrimitiveValue(model.variables.conditionsTextVar), asPrimitiveValue(model.variables.isRejectedVar)]
}));
        };
        return View;
    })(OSView.BaseView.BaseWebScreen);
	
    return View;
});
define("myNOS_MOB.LoginFlow.RGPD.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "MobileUIWidgets.controller", "myNOS_MBP.model", "myNOS_MBP.controller", "myNOS_MOB.languageResources", "myNOS_MOB.LoginFlow.controller", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MOB.controller$CheckIfUserHasEverLoggedIn", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MOB.model$Local_ASSOCIATIONRecordList", "myNOS_MOB.model$Local_USERINFOLocal_FAVORITE_HOMEPAGERecordList", "myNOS_MOB.model$Local_ACCESS_TOKEN_INFORecordList", "myNOS_MBP.model$Local_ASSOCIATIONRec", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.model$Local_FAVORITE_HOMEPAGERec", "myNOS_MBP.model$Local_USER_INFORec", "myNOS_MBP.model$Local_ACCESS_TOKEN_INFORec", "myNOS_MBP.entities", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "myNOS_MOB.controller$OpenExternalURL", "myNOS_MOB.controller$Logout"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, MobileUIWidgetsController, myNOS_MBPModel, myNOS_MBPController, myNOS_MOBLanguageResources, myNOS_MOB_LoginFlowController) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions
Controller.prototype.setTrafficAcceptanceMobile_BP$ServerAction = function (refreshTokenIn, callContext) {
var controller = this.controller;
var inputs = {
RefreshToken: OS.DataTypes.JSConversions.basicTypeToJS(refreshTokenIn, OS.Types.Text)
};
return controller.callServerAction("SetTrafficAcceptanceMobile_BP", "screenservices/myNOS_MOB/LoginFlow/RGPD/ActionSetTrafficAcceptanceMobile_BP", "khNKojwAZ_RcUJavs5xjEg", inputs, controller.callContext(callContext)).then(function (outputs) {
var executeServerActionResult = new (controller.constructor.getVariableGroupType("myNOS_MOB.LoginFlow.RGPD$rssespacemynos_bp_ActionSetTrafficAcceptanceMobile_BP"))();
executeServerActionResult.successOut = OS.DataTypes.JSConversions.jsToBasicType(outputs.Success, OS.Types.Boolean);
executeServerActionResult.messageOut = OS.DataTypes.JSConversions.jsToBasicType(outputs.Message, OS.Types.Text);
return executeServerActionResult;
});
};
Controller.registerVariableGroupType("myNOS_MOB.LoginFlow.RGPD$rssespacemynos_bp_ActionSetTrafficAcceptanceMobile_BP", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return true;
}
}, {
name: "Message",
attrName: "messageOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._back$Action = function (isBackIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Back");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.LoginFlow.RGPD.Back$vars"))());
vars.value.isBackInLocal = isBackIn;
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.executeSequence(function () {
if((vars.value.isBackInLocal)) {
// Execute Action: Analytics_SendClickEvent2
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("Rgpd alerta", "Voltar", 0, "", callContext).then(function () {
// IsRejected = True
model.variables.isRejectedVar = true;
});
} else {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("rgpd", "Nao_aceitar", 0, "", callContext).then(function () {
// IsRejected = False
model.variables.isRejectedVar = false;
});
}

});
});
};
Controller.registerVariableGroupType("myNOS_MOB.LoginFlow.RGPD.Back$vars", [{
name: "IsBack",
attrName: "isBackInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Controller.prototype._nextOnClick$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("NextOnClick");
callContext = controller.callContext(callContext);
var setTrafficAcceptanceMobile_BPVar = new OS.DataTypes.VariableHolder();
var checkIfUserHasEverLoggedIn2Var = new OS.DataTypes.VariableHolder();
var getLocalASSOCIATIONSVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_ASSOCIATIONRecordList))());
var getFavorites2Var = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_USERINFOLocal_FAVORITE_HOMEPAGERecordList))());
var getLocalACCESSTOKENINFOESVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_ACCESS_TOKEN_INFORecordList))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("rgpd", "Aceitou", 0, "", callContext).then(function () {
// Aggregate: GetLocalACCESSTOKENINFOES
var getLocalACCESSTOKENINFOESAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_ACCESS_TOKEN_INFORecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 0;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1";
} else {
selectSql += "ENLocal_ACCESS_TOKEN_INFO.\"Id\" o0, ENLocal_ACCESS_TOKEN_INFO.\"Refresh_token\" o1";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_ACCESS_TOKEN_INFO\" ENLocal_ACCESS_TOKEN_INFO";
orderBySql += " ORDER BY ENLocal_ACCESS_TOKEN_INFO.\"Refresh_token\" ASC ";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_ACCESS_TOKEN_INFORecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_ACCESS_TOKEN_INFOAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalACCESSTOKENINFOESVar.value;
});
};
return getLocalACCESSTOKENINFOESAggr();
}).then(function () {
// Execute Action: SetTrafficAcceptanceMobile_BP
model.flush();
return controller.setTrafficAcceptanceMobile_BP$ServerAction(getLocalACCESSTOKENINFOESVar.value.listOut.getCurrent(callContext.iterationContext).local_ACCESS_TOKEN_INFOAttr.refresh_tokenAttr, callContext).then(function (value) {
setTrafficAcceptanceMobile_BPVar.value = value;
});
}).then(function () {
return OS.Flow.executeSequence(function () {
if((setTrafficAcceptanceMobile_BPVar.value.successOut)) {
// Execute Action: CheckIfUserHasEverLoggedIn2
model.flush();
return myNOS_MOBController.default.checkIfUserHasEverLoggedIn$Action(callContext).then(function (value) {
checkIfUserHasEverLoggedIn2Var.value = value;
}).then(function () {
// User Has Already Logged In The App?
return OS.Flow.executeSequence(function () {
if((checkIfUserHasEverLoggedIn2Var.value.hasLoggedInOut)) {
// Aggregate: GetLocalASSOCIATIONS
var getLocalASSOCIATIONSAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_ASSOCIATIONRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1, NULL o2, NULL o3, NULL o4, NULL o5, NULL o6, NULL o7, NULL o8, NULL o9, NULL o10, NULL o11, NULL o12, NULL o13, NULL o14, NULL o15, NULL o16, NULL o17, NULL o18, NULL o19, NULL o20, NULL o21, NULL o22, NULL o23";
} else {
selectSql += "ENLocal_ASSOCIATION.\"Id\" o0, ENLocal_ASSOCIATION.\"DisplayValue\" o1, ENLocal_ASSOCIATION.\"FriendlyName\" o2, ENLocal_ASSOCIATION.\"RoleName\" o3, ENLocal_ASSOCIATION.\"Key\" o4, ENLocal_ASSOCIATION.\"Value\" o5, ENLocal_ASSOCIATION.\"Master\" o6, ENLocal_ASSOCIATION.\"ContractDN\" o7, ENLocal_ASSOCIATION.\"AccountOwner\" o8, ENLocal_ASSOCIATION.\"AccountOwnerNIF\" o9, ENLocal_ASSOCIATION.\"AccountOwnerEmail\" o10, ENLocal_ASSOCIATION.\"AccountOwnerPhoneNr\" o11, ENLocal_ASSOCIATION.\"CustCode_ClientNumber\" o12, ENLocal_ASSOCIATION.\"AccountOwnerAddress\" o13, ENLocal_ASSOCIATION.\"IsNOSCardEligible\" o14, ENLocal_ASSOCIATION.\"ContactType\" o15, ENLocal_ASSOCIATION.\"PersonId\" o16, ENLocal_ASSOCIATION.\"CounterTelevision\" o17, ENLocal_ASSOCIATION.\"CounterInternetLandline\" o18, ENLocal_ASSOCIATION.\"CounterInternetMobile\" o19, ENLocal_ASSOCIATION.\"CounterVoiceLandline\" o20, ENLocal_ASSOCIATION.\"CounterVoiceMobile\" o21, ENLocal_ASSOCIATION.\"SuccessfullyUpdated\" o22, ENLocal_ASSOCIATION.\"IsPending\" o23";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_ASSOCIATION\" ENLocal_ASSOCIATION";
orderBySql += " ORDER BY ENLocal_ASSOCIATION.\"DisplayValue\" ASC ";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_ASSOCIATIONRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_ASSOCIATIONAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalASSOCIATIONSVar.value;
});
};
return getLocalASSOCIATIONSAggr().then(function () {
// No Local Info
return OS.Flow.executeSequence(function () {
if((!(getLocalASSOCIATIONSVar.value.listOut.isEmpty))) {
// Aggregate: GetFavorites2
var getFavorites2Aggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_USERINFOLocal_FAVORITE_HOMEPAGERecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1, NULL o2, NULL o3, NULL o4, NULL o5, NULL o6, NULL o7, NULL o8, NULL o9, NULL o10, NULL o11, NULL o12, NULL o13, NULL o14, NULL o15, NULL o16";
} else {
selectSql += "ENLocal_FAVORITE_HOMEPAGE.\"Id\" o0, ENLocal_FAVORITE_HOMEPAGE.\"UserID\" o1, ENLocal_FAVORITE_HOMEPAGE.\"BillingAccountNumber\" o2, ENLocal_FAVORITE_HOMEPAGE.\"LocalMobileServiceId\" o3, ENLocal_FAVORITE_HOMEPAGE.\"LocalBroadbandServiceId\" o4, ENLocal_FAVORITE_HOMEPAGE.\"MustChooseBillingAccount\" o5, ENLocal_FAVORITE_HOMEPAGE.\"MustChooseMobileServiceId\" o6, ENLocal_FAVORITE_HOMEPAGE.\"MustChooseBroadbandService\" o7, ENLocal_USERINFO.\"Id\" o8, ENLocal_USERINFO.\"Contact_phone\" o9, ENLocal_USERINFO.\"Name\" o10, ENLocal_USERINFO.\"Birth_date\" o11, ENLocal_USERINFO.\"Gender\" o12, ENLocal_USERINFO.\"Username\" o13, ENLocal_USERINFO.\"Picture\" o14, ENLocal_USERINFO.\"UserId\" o15, ENLocal_USERINFO.\"DevicePixelRatio\" o16";
}
fromAndWhereSql += " FROM (\"MAIN\".\"OSUSR_85w_Local_FAVORITE_CARDS\" ENLocal_FAVORITE_HOMEPAGE Inner JOIN \"MAIN\".\"OSUSR_85w_Local_USER_INFO\" ENLocal_USERINFO ON (ENLocal_FAVORITE_HOMEPAGE.\"UserID\" = ENLocal_USERINFO.\"UserId\")) ";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_USERINFOLocal_FAVORITE_HOMEPAGERecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_FAVORITE_HOMEPAGEAttr",
"local_USER_INFOAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getFavorites2Var.value;
});
};
return getFavorites2Aggr().then(function () {
// No favourites?
if((!(getFavorites2Var.value.listOut.isEmpty))) {
// Destination: /myNOS_MOB/HomePage
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/HomePage", {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Fade), callContext, true));
}

});
}

});
}).then(function () {
// Destination: /myNOS_MOB/LoadingSplash
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/LoadingSplash", {
FirstLogin: model.variables.firstLoginIn
}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Fade), callContext, true));
});
} else {
// Destination: /myNOS_MOB/OnBoarding
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/OnBoarding", {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.SlideFromRight), callContext, true));
}

});
});
} else {
// Execute Action: Error24
MobileUIWidgetsController.default.error$Action("Ocorreu um erro ao aceitar os Termos e Condições", callContext);
}

});
});
});
};
Controller.prototype._termoseCondicoesOnClick$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("TermoseCondicoesOnClick");
callContext = controller.callContext(callContext);
var getConfigValueAsText_MBPVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: GetConfigValueAsText_MBP
model.flush();
return myNOS_MBPController.default.getConfigValueAsText_MBP$Action("EXTERNAL_URL_TermosCondicoes", callContext).then(function (value) {
getConfigValueAsText_MBPVar.value = value;
}).then(function () {
// Execute Action: OpenExternalURL
myNOS_MOBController.default.openExternalURL$Action(getConfigValueAsText_MBPVar.value.valueOut, callContext);
});
});
};
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
var getConfigValueAsText_MBP_ConditionsAlertVar = new OS.DataTypes.VariableHolder();
var getConfigValueAsText_MBP_ConditionsTextVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: GetConfigValueAsText_MBP_ConditionsText
model.flush();
return myNOS_MBPController.default.getConfigValueAsText_MBP$Action("RGPD_MESSAGE_CONDITIONS", callContext).then(function (value) {
getConfigValueAsText_MBP_ConditionsTextVar.value = value;
}).then(function () {
// Execute Action: GetConfigValueAsText_MBP_ConditionsAlert
model.flush();
return myNOS_MBPController.default.getConfigValueAsText_MBP$Action("RGPD_MESSAGE_ALERT", callContext).then(function (value) {
getConfigValueAsText_MBP_ConditionsAlertVar.value = value;
});
}).then(function () {
// ConditionsText = GetConfigValueAsText_MBP_ConditionsText.Value
model.variables.conditionsTextVar = getConfigValueAsText_MBP_ConditionsTextVar.value.valueOut;
// ConditionsAlert = GetConfigValueAsText_MBP_ConditionsAlert.Value
model.variables.conditionsAlertVar = getConfigValueAsText_MBP_ConditionsAlertVar.value.valueOut;
});
});
};
Controller.prototype._layout_BlankIsConnectedEvent$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Layout_BlankIsConnectedEvent");
callContext = controller.callContext(callContext);
};
Controller.prototype._closeApp$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("CloseApp");
callContext = controller.callContext(callContext);
var logoutVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("Rgpd alerta", "Sair_app", 0, "", callContext).then(function () {
// Execute Action: Logout
model.flush();
return myNOS_MOBController.default.logout$Action(callContext).then(function (value) {
logoutVar.value = value;
});
}).then(function () {
// Destination: /myNOS_MOB/
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL(logoutVar.value.uRLOut, {
IsSessionExpired: true
}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true));
});
});
};

Controller.prototype.back$Action = function (isBackIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._back$Action, callContext, isBackIn);

};
Controller.prototype.nextOnClick$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._nextOnClick$Action, callContext);

};
Controller.prototype.termoseCondicoesOnClick$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._termoseCondicoesOnClick$Action, callContext);

};
Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};
Controller.prototype.layout_BlankIsConnectedEvent$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._layout_BlankIsConnectedEvent$Action, callContext);

};
Controller.prototype.closeApp$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._closeApp$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return myNOS_MOB_LoginFlowController.default.handleError(ex, this.callContext());
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

