﻿define("App_Config.model$ExcelConfigRec", ["exports", "OutSystems", "App_Config.model"], function (exports, OutSystems, App_ConfigModel) {
var OS = OutSystems.Internal;
var ExcelConfigRec = (function (_super) {
__extends(ExcelConfigRec, _super);
function ExcelConfigRec(defaults) {
_super.apply(this, arguments);
}
ExcelConfigRec.attributesToDeclare = function () {
return [
this.attr("Application", "applicationAttr", "Application", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Key", "keyAttr", "Key", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Value", "valueAttr", "Value", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Description", "descriptionAttr", "Description", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
ExcelConfigRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
ExcelConfigRec.init();
return ExcelConfigRec;
})(OS.DataTypes.GenericRecord);
App_ConfigModel.ExcelConfigRec = ExcelConfigRec;

});
define("App_Config.model$ConfigLevelRec", ["exports", "OutSystems", "App_Config.model"], function (exports, OutSystems, App_ConfigModel) {
var OS = OutSystems.Internal;
var ConfigLevelRec = (function (_super) {
__extends(ConfigLevelRec, _super);
function ConfigLevelRec(defaults) {
_super.apply(this, arguments);
}
ConfigLevelRec.attributesToDeclare = function () {
return [
this.attr("Level", "levelAttr", "Level", true, OS.Types.Integer, function () {
return 0;
})
].concat(_super.attributesToDeclare.call(this));
};
ConfigLevelRec.fromStructure = function (str) {
return new ConfigLevelRec(new ConfigLevelRec.RecordClass({
levelAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
ConfigLevelRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
ConfigLevelRec.init();
return ConfigLevelRec;
})(OS.DataTypes.GenericRecord);
App_ConfigModel.ConfigLevelRec = ConfigLevelRec;

});
define("App_Config.model$XMode_eSpaceRec", ["exports", "OutSystems", "App_Config.model"], function (exports, OutSystems, App_ConfigModel) {
var OS = OutSystems.Internal;
var XMode_eSpaceRec = (function (_super) {
__extends(XMode_eSpaceRec, _super);
function XMode_eSpaceRec(defaults) {
_super.apply(this, arguments);
}
XMode_eSpaceRec.attributesToDeclare = function () {
return [
this.attr("Id", "idAttr", "Id", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("user", "userAttr", "user", false, OS.Types.Text, function () {
return "";
}), 
this.attr("password", "passwordAttr", "password", false, OS.Types.Text, function () {
return "";
}), 
this.attr("name", "nameAttr", "name", false, OS.Types.Text, function () {
return "";
}), 
this.attr("eSpace_Id", "eSpace_IdAttr", "eSpace_Id", false, OS.Types.Integer, function () {
return 0;
})
].concat(_super.attributesToDeclare.call(this));
};
XMode_eSpaceRec.generateFromLocalStorage = function () {
return false;
};
XMode_eSpaceRec.init();
return XMode_eSpaceRec;
})(OS.DataTypes.GenericRecord);
App_ConfigModel.XMode_eSpaceRec = XMode_eSpaceRec;

});
define("App_Config.model$MenuSubItemRec", ["exports", "OutSystems", "App_Config.model"], function (exports, OutSystems, App_ConfigModel) {
var OS = OutSystems.Internal;
var MenuSubItemRec = (function (_super) {
__extends(MenuSubItemRec, _super);
function MenuSubItemRec(defaults) {
_super.apply(this, arguments);
}
MenuSubItemRec.attributesToDeclare = function () {
return [
this.attr("Id", "idAttr", "Id", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("Order", "orderAttr", "Order", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("Caption", "captionAttr", "Caption", true, OS.Types.Text, function () {
return "";
}), 
this.attr("MenuItemId", "menuItemIdAttr", "MenuItemId", false, OS.Types.Integer, function () {
return 0;
})
].concat(_super.attributesToDeclare.call(this));
};
MenuSubItemRec.generateFromLocalStorage = function () {
return false;
};
MenuSubItemRec.init();
return MenuSubItemRec;
})(OS.DataTypes.GenericRecord);
App_ConfigModel.MenuSubItemRec = MenuSubItemRec;

});
define("App_Config.model$ExcelConfig2Rec", ["exports", "OutSystems", "App_Config.model"], function (exports, OutSystems, App_ConfigModel) {
var OS = OutSystems.Internal;
var ExcelConfig2Rec = (function (_super) {
__extends(ExcelConfig2Rec, _super);
function ExcelConfig2Rec(defaults) {
_super.apply(this, arguments);
}
ExcelConfig2Rec.attributesToDeclare = function () {
return [
this.attr("Application", "applicationAttr", "Application", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Key", "keyAttr", "Key", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Value", "valueAttr", "Value", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Description", "descriptionAttr", "Description", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Level", "levelAttr", "Level", false, OS.Types.Integer, function () {
return 0;
})
].concat(_super.attributesToDeclare.call(this));
};
ExcelConfig2Rec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
ExcelConfig2Rec.init();
return ExcelConfig2Rec;
})(OS.DataTypes.GenericRecord);
App_ConfigModel.ExcelConfig2Rec = ExcelConfig2Rec;

});
define("App_Config.model$eSpace_ServicesRec", ["exports", "OutSystems", "App_Config.model"], function (exports, OutSystems, App_ConfigModel) {
var OS = OutSystems.Internal;
var eSpace_ServicesRec = (function (_super) {
__extends(eSpace_ServicesRec, _super);
function eSpace_ServicesRec(defaults) {
_super.apply(this, arguments);
}
eSpace_ServicesRec.attributesToDeclare = function () {
return [
this.attr("Id", "idAttr", "Id", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("XMode_eSpace_Id", "xMode_eSpace_IdAttr", "XMode_eSpace_Id", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("Service_Number", "service_NumberAttr", "Service_Number", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("Service_Name", "service_NameAttr", "Service_Name", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
eSpace_ServicesRec.generateFromLocalStorage = function () {
return false;
};
eSpace_ServicesRec.init();
return eSpace_ServicesRec;
})(OS.DataTypes.GenericRecord);
App_ConfigModel.eSpace_ServicesRec = eSpace_ServicesRec;

});
define("App_Config.model$MenuItemRec", ["exports", "OutSystems", "App_Config.model"], function (exports, OutSystems, App_ConfigModel) {
var OS = OutSystems.Internal;
var MenuItemRec = (function (_super) {
__extends(MenuItemRec, _super);
function MenuItemRec(defaults) {
_super.apply(this, arguments);
}
MenuItemRec.attributesToDeclare = function () {
return [
this.attr("Id", "idAttr", "Id", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("Order", "orderAttr", "Order", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("Caption", "captionAttr", "Caption", true, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
MenuItemRec.generateFromLocalStorage = function () {
return false;
};
MenuItemRec.init();
return MenuItemRec;
})(OS.DataTypes.GenericRecord);
App_ConfigModel.MenuItemRec = MenuItemRec;

});
define("App_Config.model$ProxyRec", ["exports", "OutSystems", "App_Config.model"], function (exports, OutSystems, App_ConfigModel) {
var OS = OutSystems.Internal;
var ProxyRec = (function (_super) {
__extends(ProxyRec, _super);
function ProxyRec(defaults) {
_super.apply(this, arguments);
}
ProxyRec.attributesToDeclare = function () {
return [
this.attr("Id", "idAttr", "Id", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("WebAddress", "webAddressAttr", "WebAddress", false, OS.Types.Text, function () {
return "";
}), 
this.attr("User", "userAttr", "User", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Password", "passwordAttr", "Password", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Domain", "domainAttr", "Domain", false, OS.Types.Text, function () {
return "";
}), 
this.attr("UseProxy", "useProxyAttr", "UseProxy", false, OS.Types.Boolean, function () {
return false;
})
].concat(_super.attributesToDeclare.call(this));
};
ProxyRec.generateFromLocalStorage = function () {
return false;
};
ProxyRec.init();
return ProxyRec;
})(OS.DataTypes.GenericRecord);
App_ConfigModel.ProxyRec = ProxyRec;

});
define("App_Config.model$ConfigRec", ["exports", "OutSystems", "App_Config.model"], function (exports, OutSystems, App_ConfigModel) {
var OS = OutSystems.Internal;
var ConfigRec = (function (_super) {
__extends(ConfigRec, _super);
function ConfigRec(defaults) {
_super.apply(this, arguments);
}
ConfigRec.attributesToDeclare = function () {
return [
this.attr("Key", "keyAttr", "Key", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Value", "valueAttr", "Value", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
ConfigRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
ConfigRec.init();
return ConfigRec;
})(OS.DataTypes.GenericRecord);
App_ConfigModel.ConfigRec = ConfigRec;

});
define("App_Config.model$GPPRec", ["exports", "OutSystems", "App_Config.model"], function (exports, OutSystems, App_ConfigModel) {
var OS = OutSystems.Internal;
var GPPRec = (function (_super) {
__extends(GPPRec, _super);
function GPPRec(defaults) {
_super.apply(this, arguments);
}
GPPRec.attributesToDeclare = function () {
return [
this.attr("Id", "idAttr", "Id", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("WebAddress", "webAddressAttr", "WebAddress", false, OS.Types.Text, function () {
return "";
}), 
this.attr("GPPHome", "gPPHomeAttr", "GPPHome", false, OS.Types.Text, function () {
return "";
}), 
this.attr("ClientApp", "clientAppAttr", "ClientApp", false, OS.Types.Text, function () {
return "";
}), 
this.attr("ClientAppPassword", "clientAppPasswordAttr", "ClientAppPassword", false, OS.Types.Text, function () {
return "";
}), 
this.attr("RootUser", "rootUserAttr", "RootUser", false, OS.Types.Text, function () {
return "";
}), 
this.attr("RootUserPassword", "rootUserPasswordAttr", "RootUserPassword", false, OS.Types.Text, function () {
return "";
}), 
this.attr("UseProxy", "useProxyAttr", "UseProxy", false, OS.Types.Boolean, function () {
return false;
})
].concat(_super.attributesToDeclare.call(this));
};
GPPRec.generateFromLocalStorage = function () {
return false;
};
GPPRec.init();
return GPPRec;
})(OS.DataTypes.GenericRecord);
App_ConfigModel.GPPRec = GPPRec;

});
define("App_Config.model$ServicesRec", ["exports", "OutSystems", "App_Config.model"], function (exports, OutSystems, App_ConfigModel) {
var OS = OutSystems.Internal;
var ServicesRec = (function (_super) {
__extends(ServicesRec, _super);
function ServicesRec(defaults) {
_super.apply(this, arguments);
}
ServicesRec.attributesToDeclare = function () {
return [
this.attr("Id", "idAttr", "Id", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("Name", "nameAttr", "Name", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Active", "activeAttr", "Active", false, OS.Types.Boolean, function () {
return false;
}), 
this.attr("AlarmAfter", "alarmAfterAttr", "AlarmAfter", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("Type", "typeAttr", "Type", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("Errors", "errorsAttr", "Errors", false, OS.Types.Integer, function () {
return 0;
})
].concat(_super.attributesToDeclare.call(this));
};
ServicesRec.generateFromLocalStorage = function () {
return false;
};
ServicesRec.init();
return ServicesRec;
})(OS.DataTypes.GenericRecord);
App_ConfigModel.ServicesRec = ServicesRec;

});
define("App_Config.model$Config_XModeRec", ["exports", "OutSystems", "App_Config.model"], function (exports, OutSystems, App_ConfigModel) {
var OS = OutSystems.Internal;
var Config_XModeRec = (function (_super) {
__extends(Config_XModeRec, _super);
function Config_XModeRec(defaults) {
_super.apply(this, arguments);
}
Config_XModeRec.attributesToDeclare = function () {
return [
this.attr("Id", "idAttr", "Id", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("url", "urlAttr", "url", false, OS.Types.Text, function () {
return "";
}), 
this.attr("use_certificate", "use_certificateAttr", "use_certificate", false, OS.Types.Boolean, function () {
return false;
}), 
this.attr("certificate_file", "certificate_fileAttr", "certificate_file", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
Config_XModeRec.generateFromLocalStorage = function () {
return false;
};
Config_XModeRec.init();
return Config_XModeRec;
})(OS.DataTypes.GenericRecord);
App_ConfigModel.Config_XModeRec = Config_XModeRec;

});
define("App_Config.model", ["exports", "OutSystems"], function (exports, OutSystems) {
var OS = OutSystems.Internal;
var App_ConfigModel = exports;
});
