﻿define("ChartsMobile.Charts.PieChart.mvc$model", ["OutSystems", "ChartsMobile.model", "ChartsMobile.Charts.GenericChart.mvc$model", "ChartsMobile.model$HighChartRec", "ChartsMobile.model$XAxisFormatRec", "ChartsMobile.model$YAxisFormatRec", "ChartsMobile.model$ChartFormatRec", "ChartsMobile.model$AdvancedFormatRec", "ChartsMobile.model$SeriesItemList", "ChartsMobile.model$DataItemList", "ChartsMobile.model$SeriesItemRec", "ChartsMobile.model$DataItemRec", "ChartsMobile.model$DataPointList", "ChartsMobile.model$DataPointRec"], function (OutSystems, ChartsMobileModel, ChartsMobile_Charts_GenericChart_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("HighChart", "highChartVar", "HighChart", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.HighChartRec());
}, ChartsMobileModel.HighChartRec), 
this.attr("SourceDataPointList", "sourceDataPointListIn", "SourceDataPointList", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.DataPointList());
}, ChartsMobileModel.DataPointList), 
this.attr("_sourceDataPointListInDataFetchStatus", "_sourceDataPointListInDataFetchStatus", "_sourceDataPointListInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Height", "heightIn", "Height", true, OS.Types.Integer, function () {
return 300;
}), 
this.attr("_heightInDataFetchStatus", "_heightInDataFetchStatus", "_heightInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("LegendPositionId", "legendPositionIdIn", "LegendPositionId", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("_legendPositionIdInDataFetchStatus", "_legendPositionIdInDataFetchStatus", "_legendPositionIdInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ChartFormat", "chartFormatIn", "ChartFormat", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.ChartFormatRec());
}, ChartsMobileModel.ChartFormatRec), 
this.attr("_chartFormatInDataFetchStatus", "_chartFormatInDataFetchStatus", "_chartFormatInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Clickable", "clickableIn", "Clickable", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_clickableInDataFetchStatus", "_clickableInDataFetchStatus", "_clickableInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("AdvancedFormat", "advancedFormatIn", "AdvancedFormat", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.AdvancedFormatRec());
}, ChartsMobileModel.AdvancedFormatRec), 
this.attr("_advancedFormatInDataFetchStatus", "_advancedFormatInDataFetchStatus", "_advancedFormatInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = ChartsMobile_Charts_GenericChart_mvcModel.hasValidationWidgets;
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("SourceDataPointList" in inputs) {
this.variables.sourceDataPointListIn = inputs.SourceDataPointList;
if("_sourceDataPointListInDataFetchStatus" in inputs) {
this.variables._sourceDataPointListInDataFetchStatus = inputs._sourceDataPointListInDataFetchStatus;
}

}

if("Height" in inputs) {
this.variables.heightIn = inputs.Height;
if("_heightInDataFetchStatus" in inputs) {
this.variables._heightInDataFetchStatus = inputs._heightInDataFetchStatus;
}

}

if("LegendPositionId" in inputs) {
this.variables.legendPositionIdIn = inputs.LegendPositionId;
if("_legendPositionIdInDataFetchStatus" in inputs) {
this.variables._legendPositionIdInDataFetchStatus = inputs._legendPositionIdInDataFetchStatus;
}

}

if("ChartFormat" in inputs) {
this.variables.chartFormatIn = inputs.ChartFormat;
if("_chartFormatInDataFetchStatus" in inputs) {
this.variables._chartFormatInDataFetchStatus = inputs._chartFormatInDataFetchStatus;
}

}

if("Clickable" in inputs) {
this.variables.clickableIn = inputs.Clickable;
if("_clickableInDataFetchStatus" in inputs) {
this.variables._clickableInDataFetchStatus = inputs._clickableInDataFetchStatus;
}

}

if("AdvancedFormat" in inputs) {
this.variables.advancedFormatIn = inputs.AdvancedFormat;
if("_advancedFormatInDataFetchStatus" in inputs) {
this.variables._advancedFormatInDataFetchStatus = inputs._advancedFormatInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("ChartsMobile.Charts.PieChart.mvc$view", ["OutSystems", "ChartsMobile.model", "ChartsMobile.controller", "react", "OutSystemsReactView", "ChartsMobile.Charts.PieChart.mvc$model", "ChartsMobile.Charts.PieChart.mvc$controller", "ChartsMobile.Charts.GenericChart.mvc$view", "OutSystemsReactWidgets", "ChartsMobile.model$HighChartRec", "ChartsMobile.model$XAxisFormatRec", "ChartsMobile.model$YAxisFormatRec", "ChartsMobile.model$ChartFormatRec", "ChartsMobile.model$AdvancedFormatRec", "ChartsMobile.model$SeriesItemList", "ChartsMobile.model$DataItemList", "ChartsMobile.model$SeriesItemRec", "ChartsMobile.model$DataItemRec", "ChartsMobile.model$DataPointList", "ChartsMobile.model$DataPointRec"], function (OutSystems, ChartsMobileModel, ChartsMobileController, React, OSView, ChartsMobile_Charts_PieChart_mvc_model, ChartsMobile_Charts_PieChart_mvc_controller, ChartsMobile_Charts_GenericChart_mvc_view, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Charts.PieChart";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [ChartsMobile_Charts_GenericChart_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return ChartsMobile_Charts_PieChart_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return ChartsMobile_Charts_PieChart_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if(false, false, this, function () {
return [];
}, function () {
return [React.createElement(ChartsMobile_Charts_GenericChart_mvc_view, {
inputs: {
HighChart: model.variables.highChartVar,
ChartFormat: model.variables.chartFormatIn,
_chartFormatInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._chartFormatInDataFetchStatus),
LegendPositionId: model.variables.legendPositionIdIn,
_legendPositionIdInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._legendPositionIdInDataFetchStatus),
IsClickable: model.variables.clickableIn,
_isClickableInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._clickableInDataFetchStatus),
AdvancedFormat: model.variables.advancedFormatIn,
_advancedFormatInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._advancedFormatInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
onClick$Action: function (dataPointIn) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.genericChartOnClick$Action(dataPointIn, controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("ChartsMobile.Charts.PieChart.mvc$controller", ["OutSystems", "ChartsMobile.model", "ChartsMobile.controller", "ChartsMobile.languageResources", "ChartsMobile.model$HighChartRec", "ChartsMobile.model$XAxisFormatRec", "ChartsMobile.model$YAxisFormatRec", "ChartsMobile.model$ChartFormatRec", "ChartsMobile.model$AdvancedFormatRec", "ChartsMobile.model$SeriesItemList", "ChartsMobile.model$DataItemList", "ChartsMobile.model$SeriesItemRec", "ChartsMobile.model$DataItemRec", "ChartsMobile.model$DataPointList", "ChartsMobile.model$DataPointRec"], function (OutSystems, ChartsMobileModel, ChartsMobileController, ChartsMobileLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._setData$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("SetData");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.Charts.PieChart.SetData$vars"))());
// First Level
// HighChart.chart.type = "pie"
model.variables.highChartVar.chartAttr.typeAttr = "pie";
// HighChart.title.text = ""
model.variables.highChartVar.titleAttr.textAttr = "";
// HighChart.chart.height = Height
model.variables.highChartVar.chartAttr.heightAttr = model.variables.heightIn;
// Pie
// HighChart.plotOptions.pie.allowPointSelect = True
model.variables.highChartVar.plotOptionsAttr.pieAttr.allowPointSelectAttr = true;
// HighChart.plotOptions.pie.cursor = "pointer"
model.variables.highChartVar.plotOptionsAttr.pieAttr.cursorAttr = "pointer";
// HighChart.plotOptions.series.stacking = ""
model.variables.highChartVar.plotOptionsAttr.seriesAttr.stackingAttr = "";
// HighChart.plotOptions.pie.animation = ChartFormat.UseAnimation
model.variables.highChartVar.plotOptionsAttr.pieAttr.animationAttr = model.variables.chartFormatIn.useAnimationAttr;
// HighChart.plotOptions.pie.showInLegend = LegendPositionId <> Hidden
model.variables.highChartVar.plotOptionsAttr.pieAttr.showInLegendAttr = ((model.variables.legendPositionIdIn) !== (ChartsMobileModel.staticEntities.legendPosition.hidden));
// Series
// Serie.name = SourceDataPointList.Current.DataSeriesName
vars.value.serieVar.nameAttr = model.variables.sourceDataPointListIn.getCurrent(callContext.iterationContext).dataSeriesNameAttr;
// Serie.colorByPoint = True
vars.value.serieVar.colorByPointAttr = true;
// Execute Action: ListClearSeries
OS.SystemActions.listClear(model.variables.highChartVar.seriesAttr, callContext);
// Execute Action: ListClearData
OS.SystemActions.listClear(vars.value.serieVar.dataAttr, callContext);
// Foreach SourceDataPointList
callContext.iterationContext.registerIterationStart(model.variables.sourceDataPointListIn);
try {var sourceDataPointListIterator = callContext.iterationContext.getIterator(model.variables.sourceDataPointListIn);
var sourceDataPointListIndex = 0;
while (((sourceDataPointListIndex < model.variables.sourceDataPointListIn.length))) {
sourceDataPointListIterator.currentRowNumber = sourceDataPointListIndex;
// Fill Data
// Data.name = SourceDataPointList.Current.Label
vars.value.dataVar.nameAttr = model.variables.sourceDataPointListIn.getItem(sourceDataPointListIndex.valueOf()).labelAttr;
// Data.y = SourceDataPointList.Current.Value
vars.value.dataVar.yAttr = model.variables.sourceDataPointListIn.getItem(sourceDataPointListIndex.valueOf()).valueAttr;
// Data.custom = SourceDataPointList.Current.Tooltip
vars.value.dataVar.customAttr = model.variables.sourceDataPointListIn.getItem(sourceDataPointListIndex.valueOf()).tooltipAttr;
// Data.color = SourceDataPointList.Current.Color
vars.value.dataVar.colorAttr = model.variables.sourceDataPointListIn.getItem(sourceDataPointListIndex.valueOf()).colorAttr;
// Execute Action: ListAppendData
OS.SystemActions.listAppend(vars.value.serieVar.dataAttr, vars.value.dataVar, callContext);
sourceDataPointListIndex++;
}

} finally {
callContext.iterationContext.registerIterationEnd(model.variables.sourceDataPointListIn);
}

// Execute Action: ListAppendSerie
OS.SystemActions.listAppend(model.variables.highChartVar.seriesAttr, vars.value.serieVar, callContext);
};
Controller.registerVariableGroupType("ChartsMobile.Charts.PieChart.SetData$vars", [{
name: "Data",
attrName: "dataVar",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new ChartsMobileModel.DataItemRec();
},
complexType: ChartsMobileModel.DataItemRec
}, {
name: "Serie",
attrName: "serieVar",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new ChartsMobileModel.SeriesItemRec();
},
complexType: ChartsMobileModel.SeriesItemRec
}]);
Controller.prototype._onParametersChanged$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnParametersChanged");
callContext = controller.callContext(callContext);
// Execute Action: SetData
controller._setData$Action(callContext);
};
Controller.prototype._onFirstRender$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnFirstRender");
callContext = controller.callContext(callContext);
// Execute Action: SetData
controller._setData$Action(callContext);
};
Controller.prototype._genericChartOnClick$Action = function (dataPointIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GenericChartOnClick");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.Charts.PieChart.GenericChartOnClick$vars"))());
vars.value.dataPointInLocal = dataPointIn.clone();
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: OnClick
return controller.onClick$Action(vars.value.dataPointInLocal, callContext);
});
};
Controller.registerVariableGroupType("ChartsMobile.Charts.PieChart.GenericChartOnClick$vars", [{
name: "DataPoint",
attrName: "dataPointInLocal",
mandatory: true,
dataType: OS.Types.Record,
defaultValue: function () {
return new ChartsMobileModel.DataPointRec();
},
complexType: ChartsMobileModel.DataPointRec
}]);

Controller.prototype.setData$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._setData$Action, callContext);

};
Controller.prototype.onParametersChanged$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onParametersChanged$Action, callContext);

};
Controller.prototype.onFirstRender$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onFirstRender$Action, callContext);

};
Controller.prototype.genericChartOnClick$Action = function (dataPointIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._genericChartOnClick$Action, callContext, dataPointIn);

};
Controller.prototype.onClick$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onFirstRender$Action(callContext);

};
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onParametersChanged$Action(callContext);

};
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return ChartsMobileController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, ChartsMobileLanguageResources);
});

