﻿define("CopyToClipboard_Plugin.controller$CopyToClipboard", ["exports", "OutSystems", "CopyToClipboard_Plugin.model", "CopyToClipboard_Plugin.controller", "CopyToClipboard_Plugin.controller$CopyToClipboard.CopyToClipboardJS"], function (exports, OutSystems, CopyToClipboard_PluginModel, CopyToClipboard_PluginController, CopyToClipboard_Plugin_controller_CopyToClipboard_CopyToClipboardJS) {
var OS = OutSystems.Internal;
CopyToClipboard_PluginController.default.copyToClipboard$Action = function (stringIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CopyToClipboard_Plugin.CopyToClipboard$vars"))());
vars.value.stringInLocal = stringIn;
var copyToClipboardJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CopyToClipboard_Plugin.CopyToClipboard$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Copies a string to clipboatd
return controller.safeExecuteAsyncJSNode(CopyToClipboard_Plugin_controller_CopyToClipboard_CopyToClipboardJS, "CopyToClipboard", "CopyToClipboard", {
String: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.stringInLocal, OS.Types.Text, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("CopyToClipboard_Plugin.CopyToClipboard$copyToClipboardJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
copyToClipboardJSResult.value = results;
}).then(function () {
// Set Error and Success
// Success = CopyToClipboard.Success
outVars.value.successOut = copyToClipboardJSResult.value.successOut;
// ErrorMessage = CopyToClipboard.ErrorMessage
outVars.value.errorMessageOut = copyToClipboardJSResult.value.errorMessageOut;
});
}).then(function () {
return outVars.value;
});
};
var controller = CopyToClipboard_PluginController.default;
CopyToClipboard_PluginController.default.constructor.registerVariableGroupType("CopyToClipboard_Plugin.CopyToClipboard$vars", [{
name: "String",
attrName: "stringInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
CopyToClipboard_PluginController.default.constructor.registerVariableGroupType("CopyToClipboard_Plugin.CopyToClipboard$copyToClipboardJSResult", [{
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
CopyToClipboard_PluginController.default.constructor.registerVariableGroupType("CopyToClipboard_Plugin.CopyToClipboard$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
CopyToClipboard_PluginController.default.clientActionProxies.copyToClipboard$Action = function (stringIn) {
stringIn = (stringIn === undefined) ? "" : stringIn;
return controller.executeActionInsideJSNode(CopyToClipboard_PluginController.default.copyToClipboard$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(stringIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.errorMessageOut, OS.Types.Text, true)
};
});
};
});
define("CopyToClipboard_Plugin.controller$CopyToClipboard.CopyToClipboardJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
function onSuccess(){
    $parameters.Success = true;
    $resolve();
}

function onError(error){
    $parameters.Success = false;
    $parameters.ErrorMessage = error;
    $resolve();
}

cordova.plugins.clipboard.copy($parameters.String, onSuccess, onError);
});
};
});

define("CopyToClipboard_Plugin.controller$PasteFromClipboard", ["exports", "OutSystems", "CopyToClipboard_Plugin.model", "CopyToClipboard_Plugin.controller", "CopyToClipboard_Plugin.controller$PasteFromClipboard.PasteFromClipboardJS"], function (exports, OutSystems, CopyToClipboard_PluginModel, CopyToClipboard_PluginController, CopyToClipboard_Plugin_controller_PasteFromClipboard_PasteFromClipboardJS) {
var OS = OutSystems.Internal;
CopyToClipboard_PluginController.default.pasteFromClipboard$Action = function (callContext) {
callContext = controller.callContext(callContext);
var pasteFromClipboardJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CopyToClipboard_Plugin.PasteFromClipboard$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Returns a string previously copied to clipboard
return controller.safeExecuteAsyncJSNode(CopyToClipboard_Plugin_controller_PasteFromClipboard_PasteFromClipboardJS, "PasteFromClipboard", "PasteFromClipboard", {
String: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("CopyToClipboard_Plugin.PasteFromClipboard$pasteFromClipboardJSResult"))();
jsNodeResult.stringOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.String, OS.Types.Text);
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
return jsNodeResult;
}, {}, {}).then(function (results) {
pasteFromClipboardJSResult.value = results;
}).then(function () {
// Set String
// String = PasteFromClipboard.String
outVars.value.stringOut = pasteFromClipboardJSResult.value.stringOut;
});
}).then(function () {
return outVars.value;
});
};
var controller = CopyToClipboard_PluginController.default;
CopyToClipboard_PluginController.default.constructor.registerVariableGroupType("CopyToClipboard_Plugin.PasteFromClipboard$pasteFromClipboardJSResult", [{
name: "String",
attrName: "stringOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
CopyToClipboard_PluginController.default.constructor.registerVariableGroupType("CopyToClipboard_Plugin.PasteFromClipboard$outVars", [{
name: "String",
attrName: "stringOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
CopyToClipboard_PluginController.default.clientActionProxies.pasteFromClipboard$Action = function () {
return controller.executeActionInsideJSNode(CopyToClipboard_PluginController.default.pasteFromClipboard$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
String: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.stringOut, OS.Types.Text, true)
};
});
};
});
define("CopyToClipboard_Plugin.controller$PasteFromClipboard.PasteFromClipboardJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
function onSuccess(text){
    $parameters.String = text;
    $resolve();
}

function onError(error){
    $parameters.Success = false;
    console.log("Error on pasting:"+error);
    $resolve();
}
cordova.plugins.clipboard.paste(onSuccess, onError);
});
};
});

define("CopyToClipboard_Plugin.controller", ["exports", "OutSystems", "CopyToClipboard_Plugin.model"], function (exports, OutSystems, CopyToClipboard_PluginModel) {
var OS = OutSystems.Internal;
var CopyToClipboard_PluginController = exports;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
}
Controller.prototype.clientActionProxies = {};
Controller.prototype.roles = {};
Controller.prototype.defaultTimeout = 10;
Controller.prototype.getDefaultTimeout = function () {
return CopyToClipboard_PluginController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseModuleController);
CopyToClipboard_PluginController.default = new Controller();
});
