﻿define("CopyToClipboard_Plugin.model$UserRecord", ["exports", "OutSystems", "ServiceCenter.model", "CopyToClipboard_Plugin.model", "ServiceCenter.model$UserRec", "CopyToClipboard_Plugin.referencesHealth", "CopyToClipboard_Plugin.referencesHealth$ServiceCenter"], function (exports, OutSystems, ServiceCenterModel, CopyToClipboard_PluginModel) {
var OS = OutSystems.Internal;
var UserRecord = (function (_super) {
__extends(UserRecord, _super);
function UserRecord(defaults) {
_super.apply(this, arguments);
}
UserRecord.attributesToDeclare = function () {
return [
this.attr("User", "userAttr", "User", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ServiceCenterModel.UserRec());
}, ServiceCenterModel.UserRec)
].concat(_super.attributesToDeclare.call(this));
};
UserRecord.fromStructure = function (str) {
return new UserRecord(new UserRecord.RecordClass({
userAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
UserRecord.IsAnonymousRecord = true;
UserRecord.UniqueId = "ced01335-8a82-a813-f1d9-a5108f17ce79";
UserRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
UserRecord.init();
return UserRecord;
})(OS.DataTypes.GenericRecord);
CopyToClipboard_PluginModel.UserRecord = UserRecord;

});
define("CopyToClipboard_Plugin.model$UserRecordList", ["exports", "OutSystems", "CopyToClipboard_Plugin.model", "CopyToClipboard_Plugin.model$UserRecord"], function (exports, OutSystems, CopyToClipboard_PluginModel) {
var OS = OutSystems.Internal;
var UserRecordList = (function (_super) {
__extends(UserRecordList, _super);
function UserRecordList(defaults) {
_super.apply(this, arguments);
}
UserRecordList.RecordType = CopyToClipboard_PluginModel.UserRecord;
return UserRecordList;
})(OS.DataTypes.GenericRecordList);
CopyToClipboard_PluginModel.UserRecordList = UserRecordList;

});
define("CopyToClipboard_Plugin.model$UserList", ["exports", "OutSystems", "ServiceCenter.model", "CopyToClipboard_Plugin.model", "ServiceCenter.model$UserRec", "CopyToClipboard_Plugin.referencesHealth", "CopyToClipboard_Plugin.referencesHealth$ServiceCenter"], function (exports, OutSystems, ServiceCenterModel, CopyToClipboard_PluginModel) {
var OS = OutSystems.Internal;
var UserList = (function (_super) {
__extends(UserList, _super);
function UserList(defaults) {
_super.apply(this, arguments);
}
UserList.RecordType = ServiceCenterModel.UserRec;
return UserList;
})(OS.DataTypes.GenericRecordList);
CopyToClipboard_PluginModel.UserList = UserList;

});
define("CopyToClipboard_Plugin.model", ["exports", "OutSystems"], function (exports, OutSystems) {
var OS = OutSystems.Internal;
var CopyToClipboard_PluginModel = exports;
Object.defineProperty(CopyToClipboard_PluginModel, "module", {
get: function () {
return OS.ApplicationInfo.getModules()["3b67978a-5c60-4af4-96fb-9cb44324ad6a"];
}
});

CopyToClipboard_PluginModel.staticEntities = {};
});
