﻿define("Essentials_MOB.model$Text2Record", ["exports", "OutSystems", "Extension.Text.model", "Essentials_MOB.model", "Extension.Text.model$TextRec", "Essentials_MOB.referencesHealth", "Essentials_MOB.referencesHealth$Text"], function (exports, OutSystems, Extension_TextModel, Essentials_MOBModel) {
var OS = OutSystems.Internal;
var Text2Record = (function (_super) {
__extends(Text2Record, _super);
function Text2Record(defaults) {
_super.apply(this, arguments);
}
Text2Record.attributesToDeclare = function () {
return [
this.attr("Text2", "textAttr", "Text2", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Extension_TextModel.TextRec());
}, Extension_TextModel.TextRec)
].concat(_super.attributesToDeclare.call(this));
};
Text2Record.fromStructure = function (str) {
return new Text2Record(new Text2Record.RecordClass({
textAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Text2Record.IsAnonymousRecord = true;
Text2Record.UniqueId = "0d84b59e-ff89-87c4-71ae-b49dfa9f2c39";
Text2Record.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
Text2Record.init();
return Text2Record;
})(OS.DataTypes.GenericRecord);
Essentials_MOBModel.Text2Record = Text2Record;

});
define("Essentials_MOB.model$OperativeSystemRec", ["exports", "OutSystems", "Essentials_MOB.model"], function (exports, OutSystems, Essentials_MOBModel) {
var OS = OutSystems.Internal;
var OperativeSystemRec = (function (_super) {
__extends(OperativeSystemRec, _super);
function OperativeSystemRec(defaults) {
_super.apply(this, arguments);
}
OperativeSystemRec.attributesToDeclare = function () {
return [
this.attr("Id", "idAttr", "Id", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("Label", "labelAttr", "Label", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Is_Active", "is_ActiveAttr", "Is_Active", true, OS.Types.Boolean, function () {
return false;
})
].concat(_super.attributesToDeclare.call(this));
};
OperativeSystemRec.generateFromLocalStorage = function () {
return false;
};
OperativeSystemRec.init();
return OperativeSystemRec;
})(OS.DataTypes.GenericRecord);
Essentials_MOBModel.OperativeSystemRec = OperativeSystemRec;

});
define("Essentials_MOB.model$OperativeSystemList", ["exports", "OutSystems", "Essentials_MOB.model", "Essentials_MOB.model$OperativeSystemRec"], function (exports, OutSystems, Essentials_MOBModel) {
var OS = OutSystems.Internal;
var OperativeSystemList = (function (_super) {
__extends(OperativeSystemList, _super);
function OperativeSystemList(defaults) {
_super.apply(this, arguments);
}
OperativeSystemList.RecordType = Essentials_MOBModel.OperativeSystemRec;
return OperativeSystemList;
})(OS.DataTypes.GenericRecordList);
Essentials_MOBModel.OperativeSystemList = OperativeSystemList;

});
define("Essentials_MOB.model$Text2List", ["exports", "OutSystems", "Extension.Text.model", "Essentials_MOB.model", "Extension.Text.model$TextRec", "Essentials_MOB.referencesHealth", "Essentials_MOB.referencesHealth$Text"], function (exports, OutSystems, Extension_TextModel, Essentials_MOBModel) {
var OS = OutSystems.Internal;
var Text2List = (function (_super) {
__extends(Text2List, _super);
function Text2List(defaults) {
_super.apply(this, arguments);
}
Text2List.RecordType = Extension_TextModel.TextRec;
return Text2List;
})(OS.DataTypes.GenericRecordList);
Essentials_MOBModel.Text2List = Text2List;

});
define("Essentials_MOB.model$Text2RecordList", ["exports", "OutSystems", "Essentials_MOB.model", "Essentials_MOB.model$Text2Record"], function (exports, OutSystems, Essentials_MOBModel) {
var OS = OutSystems.Internal;
var Text2RecordList = (function (_super) {
__extends(Text2RecordList, _super);
function Text2RecordList(defaults) {
_super.apply(this, arguments);
}
Text2RecordList.RecordType = Essentials_MOBModel.Text2Record;
return Text2RecordList;
})(OS.DataTypes.GenericRecordList);
Essentials_MOBModel.Text2RecordList = Text2RecordList;

});
define("Essentials_MOB.model$OperativeSystemRecord", ["exports", "OutSystems", "Essentials_MOB.model", "Essentials_MOB.model$OperativeSystemRec"], function (exports, OutSystems, Essentials_MOBModel) {
var OS = OutSystems.Internal;
var OperativeSystemRecord = (function (_super) {
__extends(OperativeSystemRecord, _super);
function OperativeSystemRecord(defaults) {
_super.apply(this, arguments);
}
OperativeSystemRecord.attributesToDeclare = function () {
return [
this.attr("OperativeSystem", "operativeSystemAttr", "OperativeSystem", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Essentials_MOBModel.OperativeSystemRec());
}, Essentials_MOBModel.OperativeSystemRec)
].concat(_super.attributesToDeclare.call(this));
};
OperativeSystemRecord.fromStructure = function (str) {
return new OperativeSystemRecord(new OperativeSystemRecord.RecordClass({
operativeSystemAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
OperativeSystemRecord.IsAnonymousRecord = true;
OperativeSystemRecord.UniqueId = "712bd2f4-f72f-b6e3-9e7f-7397033177e2";
OperativeSystemRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
OperativeSystemRecord.init();
return OperativeSystemRecord;
})(OS.DataTypes.GenericRecord);
Essentials_MOBModel.OperativeSystemRecord = OperativeSystemRecord;

});
define("Essentials_MOB.model$DecimalRecord", ["exports", "OutSystems", "Essentials.model", "Essentials_MOB.model", "Essentials.model$DecimalRec", "Essentials_MOB.referencesHealth", "Essentials_MOB.referencesHealth$Essentials"], function (exports, OutSystems, EssentialsModel, Essentials_MOBModel) {
var OS = OutSystems.Internal;
var DecimalRecord = (function (_super) {
__extends(DecimalRecord, _super);
function DecimalRecord(defaults) {
_super.apply(this, arguments);
}
DecimalRecord.attributesToDeclare = function () {
return [
this.attr("Decimal", "decimalAttr", "Decimal", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new EssentialsModel.DecimalRec());
}, EssentialsModel.DecimalRec)
].concat(_super.attributesToDeclare.call(this));
};
DecimalRecord.fromStructure = function (str) {
return new DecimalRecord(new DecimalRecord.RecordClass({
decimalAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
DecimalRecord.IsAnonymousRecord = true;
DecimalRecord.UniqueId = "cf5e33cc-8407-1c94-5825-576ccc118bcf";
DecimalRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
DecimalRecord.init();
return DecimalRecord;
})(OS.DataTypes.GenericRecord);
Essentials_MOBModel.DecimalRecord = DecimalRecord;

});
define("Essentials_MOB.model$OperativeSystemRecordList", ["exports", "OutSystems", "Essentials_MOB.model", "Essentials_MOB.model$OperativeSystemRecord"], function (exports, OutSystems, Essentials_MOBModel) {
var OS = OutSystems.Internal;
var OperativeSystemRecordList = (function (_super) {
__extends(OperativeSystemRecordList, _super);
function OperativeSystemRecordList(defaults) {
_super.apply(this, arguments);
}
OperativeSystemRecordList.RecordType = Essentials_MOBModel.OperativeSystemRecord;
return OperativeSystemRecordList;
})(OS.DataTypes.GenericRecordList);
Essentials_MOBModel.OperativeSystemRecordList = OperativeSystemRecordList;

});
define("Essentials_MOB.model$DecimalList", ["exports", "OutSystems", "Essentials.model", "Essentials_MOB.model", "Essentials.model$DecimalRec", "Essentials_MOB.referencesHealth", "Essentials_MOB.referencesHealth$Essentials"], function (exports, OutSystems, EssentialsModel, Essentials_MOBModel) {
var OS = OutSystems.Internal;
var DecimalList = (function (_super) {
__extends(DecimalList, _super);
function DecimalList(defaults) {
_super.apply(this, arguments);
}
DecimalList.RecordType = EssentialsModel.DecimalRec;
return DecimalList;
})(OS.DataTypes.GenericRecordList);
Essentials_MOBModel.DecimalList = DecimalList;

});
define("Essentials_MOB.model$DecimalRecordList", ["exports", "OutSystems", "Essentials_MOB.model", "Essentials_MOB.model$DecimalRecord"], function (exports, OutSystems, Essentials_MOBModel) {
var OS = OutSystems.Internal;
var DecimalRecordList = (function (_super) {
__extends(DecimalRecordList, _super);
function DecimalRecordList(defaults) {
_super.apply(this, arguments);
}
DecimalRecordList.RecordType = Essentials_MOBModel.DecimalRecord;
return DecimalRecordList;
})(OS.DataTypes.GenericRecordList);
Essentials_MOBModel.DecimalRecordList = DecimalRecordList;

});
define("Essentials_MOB.model", ["exports", "OutSystems"], function (exports, OutSystems) {
var OS = OutSystems.Internal;
var Essentials_MOBModel = exports;
Object.defineProperty(Essentials_MOBModel, "module", {
get: function () {
return OS.ApplicationInfo.getModules()["e7321eb6-ffdc-4daa-9998-3b3fa4cf701b"];
}
});

Essentials_MOBModel.staticEntities = {};
Essentials_MOBModel.staticEntities.operativeSystem = {};
var getOperativeSystemRecord = function (record) {
return Essentials_MOBModel.module.staticEntities["1d22a07f-3edd-49b7-a9c0-df59f0bbc254"][record];
};
Object.defineProperty(Essentials_MOBModel.staticEntities.operativeSystem, "windows", {
get: function () {
return OS.BuiltinFunctions.textToInteger(getOperativeSystemRecord("2663fcfd-acdd-4cfa-a203-dbcaf89ac9be"));
}
});

Object.defineProperty(Essentials_MOBModel.staticEntities.operativeSystem, "iOS", {
get: function () {
return OS.BuiltinFunctions.textToInteger(getOperativeSystemRecord("7bc62173-cce0-4c7e-b508-ee192ee18765"));
}
});

Object.defineProperty(Essentials_MOBModel.staticEntities.operativeSystem, "ubuntu", {
get: function () {
return OS.BuiltinFunctions.textToInteger(getOperativeSystemRecord("856c9196-40aa-4bfa-9010-01735eebe13a"));
}
});

Object.defineProperty(Essentials_MOBModel.staticEntities.operativeSystem, "oSX", {
get: function () {
return OS.BuiltinFunctions.textToInteger(getOperativeSystemRecord("9dd56e04-a543-4ef6-a947-8fe6c0e2ef6c"));
}
});

Object.defineProperty(Essentials_MOBModel.staticEntities.operativeSystem, "linux", {
get: function () {
return OS.BuiltinFunctions.textToInteger(getOperativeSystemRecord("a14f4fad-be0c-4772-ba0b-fe3ade8ffa1a"));
}
});

Object.defineProperty(Essentials_MOBModel.staticEntities.operativeSystem, "android", {
get: function () {
return OS.BuiltinFunctions.textToInteger(getOperativeSystemRecord("a83b0933-4ca2-4999-9cc6-d206aef6470f"));
}
});

Object.defineProperty(Essentials_MOBModel.staticEntities.operativeSystem, "unknownOs", {
get: function () {
return OS.BuiltinFunctions.textToInteger(getOperativeSystemRecord("e05ca159-9c74-4571-84d6-462c6e7691f3"));
}
});

});
