﻿define("FAQs_Config.model$FAQConfig_App_v2Rec", ["exports", "OutSystems", "FAQs_Config.model"], function (exports, OutSystems, FAQs_ConfigModel) {
var OS = OutSystems.Internal;
var FAQConfig_App_v2Rec = (function (_super) {
__extends(FAQConfig_App_v2Rec, _super);
function FAQConfig_App_v2Rec(defaults) {
_super.apply(this, arguments);
}
FAQConfig_App_v2Rec.attributesToDeclare = function () {
return [
this.attr("Question", "questionAttr", "Question", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Answer", "answerAttr", "Answer", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Order", "orderAttr", "Order", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("CategoryName", "categoryNameAttr", "CategoryName", false, OS.Types.Text, function () {
return "";
}), 
this.attr("CategoryOrder", "categoryOrderAttr", "CategoryOrder", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("SubCategoryName", "subCategoryNameAttr", "SubCategoryName", false, OS.Types.Text, function () {
return "";
}), 
this.attr("SubCategoryOrder", "subCategoryOrderAttr", "SubCategoryOrder", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("UpdatedAt", "updatedAtAttr", "UpdatedAt", false, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("IsNeedHelpLink", "isNeedHelpLinkAttr", "IsNeedHelpLink", false, OS.Types.Boolean, function () {
return false;
})
].concat(_super.attributesToDeclare.call(this));
};
FAQConfig_App_v2Rec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
FAQConfig_App_v2Rec.init();
return FAQConfig_App_v2Rec;
})(OS.DataTypes.GenericRecord);
FAQs_ConfigModel.FAQConfig_App_v2Rec = FAQConfig_App_v2Rec;

});
define("FAQs_Config.model$FAQConfig_AppRec", ["exports", "OutSystems", "FAQs_Config.model"], function (exports, OutSystems, FAQs_ConfigModel) {
var OS = OutSystems.Internal;
var FAQConfig_AppRec = (function (_super) {
__extends(FAQConfig_AppRec, _super);
function FAQConfig_AppRec(defaults) {
_super.apply(this, arguments);
}
FAQConfig_AppRec.attributesToDeclare = function () {
return [
this.attr("Question", "questionAttr", "Question", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Answer", "answerAttr", "Answer", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Order", "orderAttr", "Order", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("CategoryName", "categoryNameAttr", "CategoryName", false, OS.Types.Text, function () {
return "";
}), 
this.attr("CategoryOrder", "categoryOrderAttr", "CategoryOrder", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("SubCategoryName", "subCategoryNameAttr", "SubCategoryName", false, OS.Types.Text, function () {
return "";
}), 
this.attr("SubCategoryOrder", "subCategoryOrderAttr", "SubCategoryOrder", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("UpdatedAt", "updatedAtAttr", "UpdatedAt", false, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
})
].concat(_super.attributesToDeclare.call(this));
};
FAQConfig_AppRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
FAQConfig_AppRec.init();
return FAQConfig_AppRec;
})(OS.DataTypes.GenericRecord);
FAQs_ConfigModel.FAQConfig_AppRec = FAQConfig_AppRec;

});
define("FAQs_Config.model$TermsConditionsConfig_AppRec", ["exports", "OutSystems", "FAQs_Config.model"], function (exports, OutSystems, FAQs_ConfigModel) {
var OS = OutSystems.Internal;
var TermsConditionsConfig_AppRec = (function (_super) {
__extends(TermsConditionsConfig_AppRec, _super);
function TermsConditionsConfig_AppRec(defaults) {
_super.apply(this, arguments);
}
TermsConditionsConfig_AppRec.attributesToDeclare = function () {
return [
this.attr("TermsConditions", "termsConditionsAttr", "TermsConditions", false, OS.Types.BinaryData, function () {
return OS.DataTypes.BinaryData.defaultValue;
})
].concat(_super.attributesToDeclare.call(this));
};
TermsConditionsConfig_AppRec.fromStructure = function (str) {
return new TermsConditionsConfig_AppRec(new TermsConditionsConfig_AppRec.RecordClass({
termsConditionsAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
TermsConditionsConfig_AppRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
TermsConditionsConfig_AppRec.init();
return TermsConditionsConfig_AppRec;
})(OS.DataTypes.GenericRecord);
FAQs_ConfigModel.TermsConditionsConfig_AppRec = TermsConditionsConfig_AppRec;

});
define("FAQs_Config.model", ["exports", "OutSystems"], function (exports, OutSystems) {
var OS = OutSystems.Internal;
var FAQs_ConfigModel = exports;
});
