﻿define("FabricPlugin.model$ErrorList", ["exports", "OutSystems", "CommonPlugin.model", "FabricPlugin.model", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin"], function (exports, OutSystems, CommonPluginModel, FabricPluginModel) {
var OS = OutSystems.Internal;
var ErrorList = (function (_super) {
__extends(ErrorList, _super);
function ErrorList(defaults) {
_super.apply(this, arguments);
}
ErrorList.RecordType = CommonPluginModel.ErrorRec;
return ErrorList;
})(OS.DataTypes.GenericRecordList);
FabricPluginModel.ErrorList = ErrorList;

});
define("FabricPlugin.model$AttributeRec", ["exports", "OutSystems", "FabricPlugin.model"], function (exports, OutSystems, FabricPluginModel) {
var OS = OutSystems.Internal;
var AttributeRec = (function (_super) {
__extends(AttributeRec, _super);
function AttributeRec(defaults) {
_super.apply(this, arguments);
}
AttributeRec.attributesToDeclare = function () {
return [
this.attr("Key", "keyAttr", "Key", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Value", "valueAttr", "Value", true, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
AttributeRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
AttributeRec.init();
return AttributeRec;
})(OS.DataTypes.GenericRecord);
FabricPluginModel.AttributeRec = AttributeRec;

});
define("FabricPlugin.model$AttributeList", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.model$AttributeRec"], function (exports, OutSystems, FabricPluginModel) {
var OS = OutSystems.Internal;
var AttributeList = (function (_super) {
__extends(AttributeList, _super);
function AttributeList(defaults) {
_super.apply(this, arguments);
}
AttributeList.RecordType = FabricPluginModel.AttributeRec;
return AttributeList;
})(OS.DataTypes.GenericRecordList);
FabricPluginModel.AttributeList = AttributeList;

});
define("FabricPlugin.model$ErrorRecord", ["exports", "OutSystems", "CommonPlugin.model", "FabricPlugin.model", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin"], function (exports, OutSystems, CommonPluginModel, FabricPluginModel) {
var OS = OutSystems.Internal;
var ErrorRecord = (function (_super) {
__extends(ErrorRecord, _super);
function ErrorRecord(defaults) {
_super.apply(this, arguments);
}
ErrorRecord.attributesToDeclare = function () {
return [
this.attr("Error", "errorAttr", "Error", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CommonPluginModel.ErrorRec());
}, CommonPluginModel.ErrorRec)
].concat(_super.attributesToDeclare.call(this));
};
ErrorRecord.fromStructure = function (str) {
return new ErrorRecord(new ErrorRecord.RecordClass({
errorAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
ErrorRecord.IsAnonymousRecord = true;
ErrorRecord.UniqueId = "cbbd7d57-66e1-86ff-28ab-3b75adf75b93";
ErrorRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
ErrorRecord.init();
return ErrorRecord;
})(OS.DataTypes.GenericRecord);
FabricPluginModel.ErrorRecord = ErrorRecord;

});
define("FabricPlugin.model$ErrorRecordList", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.model$ErrorRecord"], function (exports, OutSystems, FabricPluginModel) {
var OS = OutSystems.Internal;
var ErrorRecordList = (function (_super) {
__extends(ErrorRecordList, _super);
function ErrorRecordList(defaults) {
_super.apply(this, arguments);
}
ErrorRecordList.RecordType = FabricPluginModel.ErrorRecord;
return ErrorRecordList;
})(OS.DataTypes.GenericRecordList);
FabricPluginModel.ErrorRecordList = ErrorRecordList;

});
define("FabricPlugin.model$UserRecord", ["exports", "OutSystems", "ServiceCenter.model", "FabricPlugin.model", "ServiceCenter.model$UserRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$ServiceCenter"], function (exports, OutSystems, ServiceCenterModel, FabricPluginModel) {
var OS = OutSystems.Internal;
var UserRecord = (function (_super) {
__extends(UserRecord, _super);
function UserRecord(defaults) {
_super.apply(this, arguments);
}
UserRecord.attributesToDeclare = function () {
return [
this.attr("User", "userAttr", "User", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ServiceCenterModel.UserRec());
}, ServiceCenterModel.UserRec)
].concat(_super.attributesToDeclare.call(this));
};
UserRecord.fromStructure = function (str) {
return new UserRecord(new UserRecord.RecordClass({
userAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
UserRecord.IsAnonymousRecord = true;
UserRecord.UniqueId = "ced01335-8a82-a813-f1d9-a5108f17ce79";
UserRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
UserRecord.init();
return UserRecord;
})(OS.DataTypes.GenericRecord);
FabricPluginModel.UserRecord = UserRecord;

});
define("FabricPlugin.model$UserRecordList", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.model$UserRecord"], function (exports, OutSystems, FabricPluginModel) {
var OS = OutSystems.Internal;
var UserRecordList = (function (_super) {
__extends(UserRecordList, _super);
function UserRecordList(defaults) {
_super.apply(this, arguments);
}
UserRecordList.RecordType = FabricPluginModel.UserRecord;
return UserRecordList;
})(OS.DataTypes.GenericRecordList);
FabricPluginModel.UserRecordList = UserRecordList;

});
define("FabricPlugin.model$AttributeRecord", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.model$AttributeRec"], function (exports, OutSystems, FabricPluginModel) {
var OS = OutSystems.Internal;
var AttributeRecord = (function (_super) {
__extends(AttributeRecord, _super);
function AttributeRecord(defaults) {
_super.apply(this, arguments);
}
AttributeRecord.attributesToDeclare = function () {
return [
this.attr("Attribute", "attributeAttr", "Attribute", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new FabricPluginModel.AttributeRec());
}, FabricPluginModel.AttributeRec)
].concat(_super.attributesToDeclare.call(this));
};
AttributeRecord.fromStructure = function (str) {
return new AttributeRecord(new AttributeRecord.RecordClass({
attributeAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
AttributeRecord.IsAnonymousRecord = true;
AttributeRecord.UniqueId = "fb7e20c3-05ed-5fd2-9e47-1b74276dfa39";
AttributeRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
AttributeRecord.init();
return AttributeRecord;
})(OS.DataTypes.GenericRecord);
FabricPluginModel.AttributeRecord = AttributeRecord;

});
define("FabricPlugin.model$AttributeRecordList", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.model$AttributeRecord"], function (exports, OutSystems, FabricPluginModel) {
var OS = OutSystems.Internal;
var AttributeRecordList = (function (_super) {
__extends(AttributeRecordList, _super);
function AttributeRecordList(defaults) {
_super.apply(this, arguments);
}
AttributeRecordList.RecordType = FabricPluginModel.AttributeRecord;
return AttributeRecordList;
})(OS.DataTypes.GenericRecordList);
FabricPluginModel.AttributeRecordList = AttributeRecordList;

});
define("FabricPlugin.model$UserList", ["exports", "OutSystems", "ServiceCenter.model", "FabricPlugin.model", "ServiceCenter.model$UserRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$ServiceCenter"], function (exports, OutSystems, ServiceCenterModel, FabricPluginModel) {
var OS = OutSystems.Internal;
var UserList = (function (_super) {
__extends(UserList, _super);
function UserList(defaults) {
_super.apply(this, arguments);
}
UserList.RecordType = ServiceCenterModel.UserRec;
return UserList;
})(OS.DataTypes.GenericRecordList);
FabricPluginModel.UserList = UserList;

});
define("FabricPlugin.model", ["exports", "OutSystems"], function (exports, OutSystems) {
var OS = OutSystems.Internal;
var FabricPluginModel = exports;
Object.defineProperty(FabricPluginModel, "module", {
get: function () {
return OS.ApplicationInfo.getModules()["43d5fc1c-5609-4220-82e4-5b8c6bb7e288"];
}
});

FabricPluginModel.staticEntities = {};
});
