﻿define("FirebaseMobile.model$General_ResponseRec", ["exports", "OutSystems", "FirebaseMobile.model"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var General_ResponseRec = (function (_super) {
__extends(General_ResponseRec, _super);
function General_ResponseRec(defaults) {
_super.apply(this, arguments);
}
General_ResponseRec.attributesToDeclare = function () {
return [
this.attr("Success", "successAttr", "Success", false, OS.Types.Boolean, function () {
return false;
}), 
this.attr("ErrorCode", "errorCodeAttr", "ErrorCode", false, OS.Types.Text, function () {
return "";
}), 
this.attr("ErrorMessage", "errorMessageAttr", "ErrorMessage", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
General_ResponseRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
General_ResponseRec.init();
return General_ResponseRec;
})(OS.DataTypes.GenericRecord);
FirebaseMobileModel.General_ResponseRec = General_ResponseRec;

});
define("FirebaseMobile.model$General_ResponseList", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$General_ResponseRec"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var General_ResponseList = (function (_super) {
__extends(General_ResponseList, _super);
function General_ResponseList(defaults) {
_super.apply(this, arguments);
}
General_ResponseList.RecordType = FirebaseMobileModel.General_ResponseRec;
return General_ResponseList;
})(OS.DataTypes.GenericRecordList);
FirebaseMobileModel.General_ResponseList = General_ResponseList;

});
define("FirebaseMobile.model$General_ResponseRecord", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$General_ResponseRec"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var General_ResponseRecord = (function (_super) {
__extends(General_ResponseRecord, _super);
function General_ResponseRecord(defaults) {
_super.apply(this, arguments);
}
General_ResponseRecord.attributesToDeclare = function () {
return [
this.attr("General_Response", "general_ResponseAttr", "General_Response", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new FirebaseMobileModel.General_ResponseRec());
}, FirebaseMobileModel.General_ResponseRec)
].concat(_super.attributesToDeclare.call(this));
};
General_ResponseRecord.fromStructure = function (str) {
return new General_ResponseRecord(new General_ResponseRecord.RecordClass({
general_ResponseAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
General_ResponseRecord.IsAnonymousRecord = true;
General_ResponseRecord.UniqueId = "1c5a5b1f-4ccf-9e34-8da1-f3881dcaafa4";
General_ResponseRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
General_ResponseRecord.init();
return General_ResponseRecord;
})(OS.DataTypes.GenericRecord);
FirebaseMobileModel.General_ResponseRecord = General_ResponseRecord;

});
define("FirebaseMobile.model$General_ResponseRecordList", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$General_ResponseRecord"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var General_ResponseRecordList = (function (_super) {
__extends(General_ResponseRecordList, _super);
function General_ResponseRecordList(defaults) {
_super.apply(this, arguments);
}
General_ResponseRecordList.RecordType = FirebaseMobileModel.General_ResponseRecord;
return General_ResponseRecordList;
})(OS.DataTypes.GenericRecordList);
FirebaseMobileModel.General_ResponseRecordList = General_ResponseRecordList;

});
define("FirebaseMobile.model$RegisterDevice_ResponseRec", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$General_ResponseRec"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var RegisterDevice_ResponseRec = (function (_super) {
__extends(RegisterDevice_ResponseRec, _super);
function RegisterDevice_ResponseRec(defaults) {
_super.apply(this, arguments);
}
RegisterDevice_ResponseRec.attributesToDeclare = function () {
return [
this.attr("HasPermission", "hasPermissionAttr", "HasPermission", false, OS.Types.Boolean, function () {
return false;
}), 
this.attr("RegistrationId", "registrationIdAttr", "RegistrationId", true, OS.Types.Text, function () {
return "";
}), 
this.attr("DeviceHardwareId", "deviceHardwareIdAttr", "DeviceHardwareId", true, OS.Types.Text, function () {
return "";
}), 
this.attr("ApplicationId", "applicationIdAttr", "ApplicationId", true, OS.Types.Text, function () {
return "";
}), 
this.attr("General_Response", "general_ResponseAttr", "General_Response", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new FirebaseMobileModel.General_ResponseRec());
}, FirebaseMobileModel.General_ResponseRec)
].concat(_super.attributesToDeclare.call(this));
};
RegisterDevice_ResponseRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
RegisterDevice_ResponseRec.init();
return RegisterDevice_ResponseRec;
})(OS.DataTypes.GenericRecord);
FirebaseMobileModel.RegisterDevice_ResponseRec = RegisterDevice_ResponseRec;

});
define("FirebaseMobile.model$RegisterDevice_ResponseRecord", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$RegisterDevice_ResponseRec"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var RegisterDevice_ResponseRecord = (function (_super) {
__extends(RegisterDevice_ResponseRecord, _super);
function RegisterDevice_ResponseRecord(defaults) {
_super.apply(this, arguments);
}
RegisterDevice_ResponseRecord.attributesToDeclare = function () {
return [
this.attr("RegisterDevice_Response", "registerDevice_ResponseAttr", "RegisterDevice_Response", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new FirebaseMobileModel.RegisterDevice_ResponseRec());
}, FirebaseMobileModel.RegisterDevice_ResponseRec)
].concat(_super.attributesToDeclare.call(this));
};
RegisterDevice_ResponseRecord.fromStructure = function (str) {
return new RegisterDevice_ResponseRecord(new RegisterDevice_ResponseRecord.RecordClass({
registerDevice_ResponseAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
RegisterDevice_ResponseRecord.IsAnonymousRecord = true;
RegisterDevice_ResponseRecord.UniqueId = "d1702553-207f-42d5-4cc7-dd800b053526";
RegisterDevice_ResponseRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
RegisterDevice_ResponseRecord.init();
return RegisterDevice_ResponseRecord;
})(OS.DataTypes.GenericRecord);
FirebaseMobileModel.RegisterDevice_ResponseRecord = RegisterDevice_ResponseRecord;

});
define("FirebaseMobile.model$RegisterDevice_ResponseRecordList", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$RegisterDevice_ResponseRecord"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var RegisterDevice_ResponseRecordList = (function (_super) {
__extends(RegisterDevice_ResponseRecordList, _super);
function RegisterDevice_ResponseRecordList(defaults) {
_super.apply(this, arguments);
}
RegisterDevice_ResponseRecordList.RecordType = FirebaseMobileModel.RegisterDevice_ResponseRecord;
return RegisterDevice_ResponseRecordList;
})(OS.DataTypes.GenericRecordList);
FirebaseMobileModel.RegisterDevice_ResponseRecordList = RegisterDevice_ResponseRecordList;

});
define("FirebaseMobile.model$DevicePlatform2List", ["exports", "OutSystems", "FirebaseMiddleware.model", "FirebaseMobile.model", "FirebaseMiddleware.model$DevicePlatformRec", "FirebaseMobile.referencesHealth", "FirebaseMobile.referencesHealth$FirebaseMiddleware"], function (exports, OutSystems, FirebaseMiddlewareModel, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var DevicePlatform2List = (function (_super) {
__extends(DevicePlatform2List, _super);
function DevicePlatform2List(defaults) {
_super.apply(this, arguments);
}
DevicePlatform2List.RecordType = FirebaseMiddlewareModel.DevicePlatformRec;
return DevicePlatform2List;
})(OS.DataTypes.GenericRecordList);
FirebaseMobileModel.DevicePlatform2List = DevicePlatform2List;

});
define("FirebaseMobile.model$GetBadge_ResponseRec", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$General_ResponseRec"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var GetBadge_ResponseRec = (function (_super) {
__extends(GetBadge_ResponseRec, _super);
function GetBadge_ResponseRec(defaults) {
_super.apply(this, arguments);
}
GetBadge_ResponseRec.attributesToDeclare = function () {
return [
this.attr("Bagde", "bagdeAttr", "Bagde", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("General_Response", "general_ResponseAttr", "General_Response", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new FirebaseMobileModel.General_ResponseRec());
}, FirebaseMobileModel.General_ResponseRec)
].concat(_super.attributesToDeclare.call(this));
};
GetBadge_ResponseRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetBadge_ResponseRec.init();
return GetBadge_ResponseRec;
})(OS.DataTypes.GenericRecord);
FirebaseMobileModel.GetBadge_ResponseRec = GetBadge_ResponseRec;

});
define("FirebaseMobile.model$GetBadge_ResponseRecord", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$GetBadge_ResponseRec"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var GetBadge_ResponseRecord = (function (_super) {
__extends(GetBadge_ResponseRecord, _super);
function GetBadge_ResponseRecord(defaults) {
_super.apply(this, arguments);
}
GetBadge_ResponseRecord.attributesToDeclare = function () {
return [
this.attr("GetBadge_Response", "getBadge_ResponseAttr", "GetBadge_Response", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new FirebaseMobileModel.GetBadge_ResponseRec());
}, FirebaseMobileModel.GetBadge_ResponseRec)
].concat(_super.attributesToDeclare.call(this));
};
GetBadge_ResponseRecord.fromStructure = function (str) {
return new GetBadge_ResponseRecord(new GetBadge_ResponseRecord.RecordClass({
getBadge_ResponseAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
GetBadge_ResponseRecord.IsAnonymousRecord = true;
GetBadge_ResponseRecord.UniqueId = "e6318f0d-2549-d688-6c71-48c0e747f0e3";
GetBadge_ResponseRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
GetBadge_ResponseRecord.init();
return GetBadge_ResponseRecord;
})(OS.DataTypes.GenericRecord);
FirebaseMobileModel.GetBadge_ResponseRecord = GetBadge_ResponseRecord;

});
define("FirebaseMobile.model$GetBadge_ResponseRecordList", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$GetBadge_ResponseRecord"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var GetBadge_ResponseRecordList = (function (_super) {
__extends(GetBadge_ResponseRecordList, _super);
function GetBadge_ResponseRecordList(defaults) {
_super.apply(this, arguments);
}
GetBadge_ResponseRecordList.RecordType = FirebaseMobileModel.GetBadge_ResponseRecord;
return GetBadge_ResponseRecordList;
})(OS.DataTypes.GenericRecordList);
FirebaseMobileModel.GetBadge_ResponseRecordList = GetBadge_ResponseRecordList;

});
define("FirebaseMobile.model$KeyValuePairRec", ["exports", "OutSystems", "FirebaseMobile.model"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var KeyValuePairRec = (function (_super) {
__extends(KeyValuePairRec, _super);
function KeyValuePairRec(defaults) {
_super.apply(this, arguments);
}
KeyValuePairRec.attributesToDeclare = function () {
return [
this.attr("Key", "keyAttr", "Key", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Value", "valueAttr", "Value", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
KeyValuePairRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
KeyValuePairRec.init();
return KeyValuePairRec;
})(OS.DataTypes.GenericRecord);
FirebaseMobileModel.KeyValuePairRec = KeyValuePairRec;

});
define("FirebaseMobile.model$KeyValuePairList", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$KeyValuePairRec"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var KeyValuePairList = (function (_super) {
__extends(KeyValuePairList, _super);
function KeyValuePairList(defaults) {
_super.apply(this, arguments);
}
KeyValuePairList.RecordType = FirebaseMobileModel.KeyValuePairRec;
return KeyValuePairList;
})(OS.DataTypes.GenericRecordList);
FirebaseMobileModel.KeyValuePairList = KeyValuePairList;

});
define("FirebaseMobile.model$NotificationReceiveRec", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$KeyValuePairList"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var NotificationReceiveRec = (function (_super) {
__extends(NotificationReceiveRec, _super);
function NotificationReceiveRec(defaults) {
_super.apply(this, arguments);
}
NotificationReceiveRec.attributesToDeclare = function () {
return [
this.attr("Title", "titleAttr", "Title", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Message", "messageAttr", "Message", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Deeplink", "deeplinkAttr", "Deeplink", false, OS.Types.Text, function () {
return "";
}), 
this.attr("AppInBackground", "appInBackgroundAttr", "AppInBackground", false, OS.Types.Boolean, function () {
return false;
}), 
this.attr("NotificationExtraItems", "notificationExtraItemsAttr", "NotificationExtraItems", false, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new FirebaseMobileModel.KeyValuePairList());
}, FirebaseMobileModel.KeyValuePairList)
].concat(_super.attributesToDeclare.call(this));
};
NotificationReceiveRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
NotificationReceiveRec.init();
return NotificationReceiveRec;
})(OS.DataTypes.GenericRecord);
FirebaseMobileModel.NotificationReceiveRec = NotificationReceiveRec;

});
define("FirebaseMobile.model$InitCloudMessaging_ResponseRec", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$General_ResponseRec"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var InitCloudMessaging_ResponseRec = (function (_super) {
__extends(InitCloudMessaging_ResponseRec, _super);
function InitCloudMessaging_ResponseRec(defaults) {
_super.apply(this, arguments);
}
InitCloudMessaging_ResponseRec.attributesToDeclare = function () {
return [
this.attr("PermissionGranted", "permissionGrantedAttr", "PermissionGranted", false, OS.Types.Boolean, function () {
return false;
}), 
this.attr("HasPermission", "hasPermissionAttr", "HasPermission", false, OS.Types.Boolean, function () {
return false;
}), 
this.attr("RegistrationId", "registrationIdAttr", "RegistrationId", true, OS.Types.Text, function () {
return "";
}), 
this.attr("DeviceHardwareId", "deviceHardwareIdAttr", "DeviceHardwareId", true, OS.Types.Text, function () {
return "";
}), 
this.attr("ApplicationId", "applicationIdAttr", "ApplicationId", true, OS.Types.Text, function () {
return "";
}), 
this.attr("General_Response", "general_ResponseAttr", "General_Response", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new FirebaseMobileModel.General_ResponseRec());
}, FirebaseMobileModel.General_ResponseRec)
].concat(_super.attributesToDeclare.call(this));
};
InitCloudMessaging_ResponseRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
InitCloudMessaging_ResponseRec.init();
return InitCloudMessaging_ResponseRec;
})(OS.DataTypes.GenericRecord);
FirebaseMobileModel.InitCloudMessaging_ResponseRec = InitCloudMessaging_ResponseRec;

});
define("FirebaseMobile.model$InitCloudMessaging_ResponseRecord", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$InitCloudMessaging_ResponseRec"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var InitCloudMessaging_ResponseRecord = (function (_super) {
__extends(InitCloudMessaging_ResponseRecord, _super);
function InitCloudMessaging_ResponseRecord(defaults) {
_super.apply(this, arguments);
}
InitCloudMessaging_ResponseRecord.attributesToDeclare = function () {
return [
this.attr("InitCloudMessaging_Response", "initCloudMessaging_ResponseAttr", "InitCloudMessaging_Response", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new FirebaseMobileModel.InitCloudMessaging_ResponseRec());
}, FirebaseMobileModel.InitCloudMessaging_ResponseRec)
].concat(_super.attributesToDeclare.call(this));
};
InitCloudMessaging_ResponseRecord.fromStructure = function (str) {
return new InitCloudMessaging_ResponseRecord(new InitCloudMessaging_ResponseRecord.RecordClass({
initCloudMessaging_ResponseAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
InitCloudMessaging_ResponseRecord.IsAnonymousRecord = true;
InitCloudMessaging_ResponseRecord.UniqueId = "55d5ddf2-bd92-51d0-c939-bc1e1058a9f0";
InitCloudMessaging_ResponseRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
InitCloudMessaging_ResponseRecord.init();
return InitCloudMessaging_ResponseRecord;
})(OS.DataTypes.GenericRecord);
FirebaseMobileModel.InitCloudMessaging_ResponseRecord = InitCloudMessaging_ResponseRecord;

});
define("FirebaseMobile.model$InitCloudMessaging_ResponseRecordList", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$InitCloudMessaging_ResponseRecord"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var InitCloudMessaging_ResponseRecordList = (function (_super) {
__extends(InitCloudMessaging_ResponseRecordList, _super);
function InitCloudMessaging_ResponseRecordList(defaults) {
_super.apply(this, arguments);
}
InitCloudMessaging_ResponseRecordList.RecordType = FirebaseMobileModel.InitCloudMessaging_ResponseRecord;
return InitCloudMessaging_ResponseRecordList;
})(OS.DataTypes.GenericRecordList);
FirebaseMobileModel.InitCloudMessaging_ResponseRecordList = InitCloudMessaging_ResponseRecordList;

});
define("FirebaseMobile.model$DeviceList", ["exports", "OutSystems", "FirebaseMiddleware.model", "FirebaseMobile.model", "FirebaseMiddleware.model$DeviceRec", "FirebaseMobile.referencesHealth", "FirebaseMobile.referencesHealth$FirebaseMiddleware"], function (exports, OutSystems, FirebaseMiddlewareModel, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var DeviceList = (function (_super) {
__extends(DeviceList, _super);
function DeviceList(defaults) {
_super.apply(this, arguments);
}
DeviceList.RecordType = FirebaseMiddlewareModel.DeviceRec;
return DeviceList;
})(OS.DataTypes.GenericRecordList);
FirebaseMobileModel.DeviceList = DeviceList;

});
define("FirebaseMobile.model$RegisterDevice_ResponseList", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$RegisterDevice_ResponseRec"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var RegisterDevice_ResponseList = (function (_super) {
__extends(RegisterDevice_ResponseList, _super);
function RegisterDevice_ResponseList(defaults) {
_super.apply(this, arguments);
}
RegisterDevice_ResponseList.RecordType = FirebaseMobileModel.RegisterDevice_ResponseRec;
return RegisterDevice_ResponseList;
})(OS.DataTypes.GenericRecordList);
FirebaseMobileModel.RegisterDevice_ResponseList = RegisterDevice_ResponseList;

});
define("FirebaseMobile.model$NotificationReceiveList", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$NotificationReceiveRec"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var NotificationReceiveList = (function (_super) {
__extends(NotificationReceiveList, _super);
function NotificationReceiveList(defaults) {
_super.apply(this, arguments);
}
NotificationReceiveList.RecordType = FirebaseMobileModel.NotificationReceiveRec;
return NotificationReceiveList;
})(OS.DataTypes.GenericRecordList);
FirebaseMobileModel.NotificationReceiveList = NotificationReceiveList;

});
define("FirebaseMobile.model$NotificationReceiveRecord", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$NotificationReceiveRec"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var NotificationReceiveRecord = (function (_super) {
__extends(NotificationReceiveRecord, _super);
function NotificationReceiveRecord(defaults) {
_super.apply(this, arguments);
}
NotificationReceiveRecord.attributesToDeclare = function () {
return [
this.attr("NotificationReceive", "notificationReceiveAttr", "NotificationReceive", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new FirebaseMobileModel.NotificationReceiveRec());
}, FirebaseMobileModel.NotificationReceiveRec)
].concat(_super.attributesToDeclare.call(this));
};
NotificationReceiveRecord.fromStructure = function (str) {
return new NotificationReceiveRecord(new NotificationReceiveRecord.RecordClass({
notificationReceiveAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
NotificationReceiveRecord.IsAnonymousRecord = true;
NotificationReceiveRecord.UniqueId = "aa1bda5e-dbc9-1ed3-8070-1928b0334191";
NotificationReceiveRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
NotificationReceiveRecord.init();
return NotificationReceiveRecord;
})(OS.DataTypes.GenericRecord);
FirebaseMobileModel.NotificationReceiveRecord = NotificationReceiveRecord;

});
define("FirebaseMobile.model$NotificationReceiveRecordList", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$NotificationReceiveRecord"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var NotificationReceiveRecordList = (function (_super) {
__extends(NotificationReceiveRecordList, _super);
function NotificationReceiveRecordList(defaults) {
_super.apply(this, arguments);
}
NotificationReceiveRecordList.RecordType = FirebaseMobileModel.NotificationReceiveRecord;
return NotificationReceiveRecordList;
})(OS.DataTypes.GenericRecordList);
FirebaseMobileModel.NotificationReceiveRecordList = NotificationReceiveRecordList;

});
define("FirebaseMobile.model$KeyValuePairRecord", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$KeyValuePairRec"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var KeyValuePairRecord = (function (_super) {
__extends(KeyValuePairRecord, _super);
function KeyValuePairRecord(defaults) {
_super.apply(this, arguments);
}
KeyValuePairRecord.attributesToDeclare = function () {
return [
this.attr("KeyValuePair", "keyValuePairAttr", "KeyValuePair", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new FirebaseMobileModel.KeyValuePairRec());
}, FirebaseMobileModel.KeyValuePairRec)
].concat(_super.attributesToDeclare.call(this));
};
KeyValuePairRecord.fromStructure = function (str) {
return new KeyValuePairRecord(new KeyValuePairRecord.RecordClass({
keyValuePairAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
KeyValuePairRecord.IsAnonymousRecord = true;
KeyValuePairRecord.UniqueId = "82937181-5312-b1ec-bfb9-778bf36c19a8";
KeyValuePairRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
KeyValuePairRecord.init();
return KeyValuePairRecord;
})(OS.DataTypes.GenericRecord);
FirebaseMobileModel.KeyValuePairRecord = KeyValuePairRecord;

});
define("FirebaseMobile.model$InitCloudMessaging_ResponseList", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$InitCloudMessaging_ResponseRec"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var InitCloudMessaging_ResponseList = (function (_super) {
__extends(InitCloudMessaging_ResponseList, _super);
function InitCloudMessaging_ResponseList(defaults) {
_super.apply(this, arguments);
}
InitCloudMessaging_ResponseList.RecordType = FirebaseMobileModel.InitCloudMessaging_ResponseRec;
return InitCloudMessaging_ResponseList;
})(OS.DataTypes.GenericRecordList);
FirebaseMobileModel.InitCloudMessaging_ResponseList = InitCloudMessaging_ResponseList;

});
define("FirebaseMobile.model$DeviceRecord", ["exports", "OutSystems", "FirebaseMiddleware.model", "FirebaseMobile.model", "FirebaseMiddleware.model$DeviceRec", "FirebaseMobile.referencesHealth", "FirebaseMobile.referencesHealth$FirebaseMiddleware"], function (exports, OutSystems, FirebaseMiddlewareModel, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var DeviceRecord = (function (_super) {
__extends(DeviceRecord, _super);
function DeviceRecord(defaults) {
_super.apply(this, arguments);
}
DeviceRecord.attributesToDeclare = function () {
return [
this.attr("Device", "deviceAttr", "Device", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new FirebaseMiddlewareModel.DeviceRec());
}, FirebaseMiddlewareModel.DeviceRec)
].concat(_super.attributesToDeclare.call(this));
};
DeviceRecord.fromStructure = function (str) {
return new DeviceRecord(new DeviceRecord.RecordClass({
deviceAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
DeviceRecord.IsAnonymousRecord = true;
DeviceRecord.UniqueId = "b92d8e8f-64ba-962a-f486-3ac56b324372";
DeviceRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
DeviceRecord.init();
return DeviceRecord;
})(OS.DataTypes.GenericRecord);
FirebaseMobileModel.DeviceRecord = DeviceRecord;

});
define("FirebaseMobile.model$DeviceRecordList", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$DeviceRecord"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var DeviceRecordList = (function (_super) {
__extends(DeviceRecordList, _super);
function DeviceRecordList(defaults) {
_super.apply(this, arguments);
}
DeviceRecordList.RecordType = FirebaseMobileModel.DeviceRecord;
return DeviceRecordList;
})(OS.DataTypes.GenericRecordList);
FirebaseMobileModel.DeviceRecordList = DeviceRecordList;

});
define("FirebaseMobile.model$GetBadge_ResponseList", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$GetBadge_ResponseRec"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var GetBadge_ResponseList = (function (_super) {
__extends(GetBadge_ResponseList, _super);
function GetBadge_ResponseList(defaults) {
_super.apply(this, arguments);
}
GetBadge_ResponseList.RecordType = FirebaseMobileModel.GetBadge_ResponseRec;
return GetBadge_ResponseList;
})(OS.DataTypes.GenericRecordList);
FirebaseMobileModel.GetBadge_ResponseList = GetBadge_ResponseList;

});
define("FirebaseMobile.model$DevicePlatform2Record", ["exports", "OutSystems", "FirebaseMiddleware.model", "FirebaseMobile.model", "FirebaseMiddleware.model$DevicePlatformRec", "FirebaseMobile.referencesHealth", "FirebaseMobile.referencesHealth$FirebaseMiddleware"], function (exports, OutSystems, FirebaseMiddlewareModel, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var DevicePlatform2Record = (function (_super) {
__extends(DevicePlatform2Record, _super);
function DevicePlatform2Record(defaults) {
_super.apply(this, arguments);
}
DevicePlatform2Record.attributesToDeclare = function () {
return [
this.attr("DevicePlatform2", "devicePlatformAttr", "DevicePlatform2", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new FirebaseMiddlewareModel.DevicePlatformRec());
}, FirebaseMiddlewareModel.DevicePlatformRec)
].concat(_super.attributesToDeclare.call(this));
};
DevicePlatform2Record.fromStructure = function (str) {
return new DevicePlatform2Record(new DevicePlatform2Record.RecordClass({
devicePlatformAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
DevicePlatform2Record.IsAnonymousRecord = true;
DevicePlatform2Record.UniqueId = "b6c01479-25ea-920f-7539-51c9bf571195";
DevicePlatform2Record.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
DevicePlatform2Record.init();
return DevicePlatform2Record;
})(OS.DataTypes.GenericRecord);
FirebaseMobileModel.DevicePlatform2Record = DevicePlatform2Record;

});
define("FirebaseMobile.model$KeyValuePairRecordList", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$KeyValuePairRecord"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var KeyValuePairRecordList = (function (_super) {
__extends(KeyValuePairRecordList, _super);
function KeyValuePairRecordList(defaults) {
_super.apply(this, arguments);
}
KeyValuePairRecordList.RecordType = FirebaseMobileModel.KeyValuePairRecord;
return KeyValuePairRecordList;
})(OS.DataTypes.GenericRecordList);
FirebaseMobileModel.KeyValuePairRecordList = KeyValuePairRecordList;

});
define("FirebaseMobile.model$DevicePlatform2RecordList", ["exports", "OutSystems", "FirebaseMobile.model", "FirebaseMobile.model$DevicePlatform2Record"], function (exports, OutSystems, FirebaseMobileModel) {
var OS = OutSystems.Internal;
var DevicePlatform2RecordList = (function (_super) {
__extends(DevicePlatform2RecordList, _super);
function DevicePlatform2RecordList(defaults) {
_super.apply(this, arguments);
}
DevicePlatform2RecordList.RecordType = FirebaseMobileModel.DevicePlatform2Record;
return DevicePlatform2RecordList;
})(OS.DataTypes.GenericRecordList);
FirebaseMobileModel.DevicePlatform2RecordList = DevicePlatform2RecordList;

});
define("FirebaseMobile.model", ["exports", "OutSystems"], function (exports, OutSystems) {
var OS = OutSystems.Internal;
var FirebaseMobileModel = exports;
Object.defineProperty(FirebaseMobileModel, "module", {
get: function () {
return OS.ApplicationInfo.getModules()["0b1e9570-4d5c-4c94-ae02-aef40d1fc8f2"];
}
});

FirebaseMobileModel.staticEntities = {};
FirebaseMobileModel.staticEntities.devicePlatform2 = {};
var getDevicePlatform2Record = function (record) {
return OS.ApplicationInfo.getModules()["691dda05-b57b-4b6e-aed6-dfea862d7571"].staticEntities["5c327206-459f-4ca9-b225-de8286c7c45d"][record];
};
Object.defineProperty(FirebaseMobileModel.staticEntities.devicePlatform2, "iOS", {
get: function () {
return OS.BuiltinFunctions.textToInteger(getDevicePlatform2Record("4fc99604-795b-4ee9-a367-92f2c347e480"));
}
});

Object.defineProperty(FirebaseMobileModel.staticEntities.devicePlatform2, "android", {
get: function () {
return OS.BuiltinFunctions.textToInteger(getDevicePlatform2Record("5bc4df5a-2672-4dbc-8894-88274d954de8"));
}
});

});
