﻿define("GaugeChartsMobile.model$Ticks2Rec", ["exports", "OutSystems", "GaugeChartsMobile.model"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var Ticks2Rec = (function (_super) {
__extends(Ticks2Rec, _super);
function Ticks2Rec(defaults) {
_super.apply(this, arguments);
}
Ticks2Rec.attributesToDeclare = function () {
return [
this.attr("tickInterval", "tickIntervalAttr", "tickInterval", false, OS.Types.Integer, function () {
return 20;
}), 
this.attr("tickColor", "tickColorAttr", "tickColor", false, OS.Types.Text, function () {
return "#CCD6EB";
}), 
this.attr("tickLength", "tickLengthAttr", "tickLength", false, OS.Types.Integer, function () {
return 10;
}), 
this.attr("tickWidth", "tickWidthAttr", "tickWidth", false, OS.Types.Integer, function () {
return 1;
}), 
this.attr("minorTickInterval", "minorTickIntervalAttr", "minorTickInterval", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("minorTickColor", "minorTickColorAttr", "minorTickColor", false, OS.Types.Text, function () {
return "#999999";
}), 
this.attr("minorTickLength", "minorTickLengthAttr", "minorTickLength", false, OS.Types.Integer, function () {
return 2;
}), 
this.attr("minorTickWidth", "minorTickWidthAttr", "minorTickWidth", false, OS.Types.Integer, function () {
return 1;
})
].concat(_super.attributesToDeclare.call(this));
};
Ticks2Rec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
Ticks2Rec.init();
return Ticks2Rec;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.Ticks2Rec = Ticks2Rec;

});
define("GaugeChartsMobile.model$PivotRec", ["exports", "OutSystems", "GaugeChartsMobile.model"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var PivotRec = (function (_super) {
__extends(PivotRec, _super);
function PivotRec(defaults) {
_super.apply(this, arguments);
}
PivotRec.attributesToDeclare = function () {
return [
this.attr("BackgroundColor", "backgroundColorAttr", "BackgroundColor", false, OS.Types.Text, function () {
return "#000000";
}), 
this.attr("BorderColor", "borderColorAttr", "BorderColor", false, OS.Types.Text, function () {
return "#cccccc";
}), 
this.attr("BorderWidth", "borderWidthAttr", "BorderWidth", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("Radius", "radiusAttr", "Radius", false, OS.Types.Integer, function () {
return 5;
})
].concat(_super.attributesToDeclare.call(this));
};
PivotRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
PivotRec.init();
return PivotRec;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.PivotRec = PivotRec;

});
define("GaugeChartsMobile.model$DialRec", ["exports", "OutSystems", "GaugeChartsMobile.model"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var DialRec = (function (_super) {
__extends(DialRec, _super);
function DialRec(defaults) {
_super.apply(this, arguments);
}
DialRec.attributesToDeclare = function () {
return [
this.attr("DialColor", "dialColorAttr", "DialColor", false, OS.Types.Text, function () {
return "#000000";
}), 
this.attr("DialLength", "dialLengthAttr", "DialLength", false, OS.Types.Text, function () {
return "80%";
})
].concat(_super.attributesToDeclare.call(this));
};
DialRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
DialRec.init();
return DialRec;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.DialRec = DialRec;

});
define("GaugeChartsMobile.model$SolidChartTitleRec", ["exports", "OutSystems", "GaugeChartsMobile.model"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var SolidChartTitleRec = (function (_super) {
__extends(SolidChartTitleRec, _super);
function SolidChartTitleRec(defaults) {
_super.apply(this, arguments);
}
SolidChartTitleRec.attributesToDeclare = function () {
return [
this.attr("ChartTitle", "chartTitleAttr", "ChartTitle", false, OS.Types.Text, function () {
return "teste";
}), 
this.attr("ChartTitleFontSize", "chartTitleFontSizeAttr", "ChartTitleFontSize", false, OS.Types.Integer, function () {
return 25;
}), 
this.attr("ChartTitleColor", "chartTitleColorAttr", "ChartTitleColor", false, OS.Types.Text, function () {
return "#333";
}), 
this.attr("ChartTitlePosition", "chartTitlePositionAttr", "ChartTitlePosition", false, OS.Types.Integer, function () {
return -90;
})
].concat(_super.attributesToDeclare.call(this));
};
SolidChartTitleRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
SolidChartTitleRec.init();
return SolidChartTitleRec;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.SolidChartTitleRec = SolidChartTitleRec;

});
define("GaugeChartsMobile.model$SolidSubTitleRec", ["exports", "OutSystems", "GaugeChartsMobile.model"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var SolidSubTitleRec = (function (_super) {
__extends(SolidSubTitleRec, _super);
function SolidSubTitleRec(defaults) {
_super.apply(this, arguments);
}
SolidSubTitleRec.attributesToDeclare = function () {
return [
this.attr("SubTitle", "subTitleAttr", "SubTitle", false, OS.Types.Text, function () {
return "Sub Title";
}), 
this.attr("SubTitleColor", "subTitleColorAttr", "SubTitleColor", false, OS.Types.Text, function () {
return "#333";
}), 
this.attr("SubTitleFontSize", "subTitleFontSizeAttr", "SubTitleFontSize", false, OS.Types.Integer, function () {
return 12;
})
].concat(_super.attributesToDeclare.call(this));
};
SolidSubTitleRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
SolidSubTitleRec.init();
return SolidSubTitleRec;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.SolidSubTitleRec = SolidSubTitleRec;

});
define("GaugeChartsMobile.model$LabelsRec", ["exports", "OutSystems", "GaugeChartsMobile.model"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var LabelsRec = (function (_super) {
__extends(LabelsRec, _super);
function LabelsRec(defaults) {
_super.apply(this, arguments);
}
LabelsRec.attributesToDeclare = function () {
return [
this.attr("LabelsColor", "labelsColorAttr", "LabelsColor", false, OS.Types.Text, function () {
return "#666666";
}), 
this.attr("LabelsFontSize", "labelsFontSizeAttr", "LabelsFontSize", false, OS.Types.Integer, function () {
return 11;
}), 
this.attr("LabelsDistanceFromAxis", "labelsDistanceFromAxisAttr", "LabelsDistanceFromAxis", true, OS.Types.Integer, function () {
return -45;
}), 
this.attr("Step", "stepAttr", "Step", false, OS.Types.Integer, function () {
return 1;
}), 
this.attr("Rotation", "rotationAttr", "Rotation", false, OS.Types.Text, function () {
return "auto";
})
].concat(_super.attributesToDeclare.call(this));
};
LabelsRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
LabelsRec.init();
return LabelsRec;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.LabelsRec = LabelsRec;

});
define("GaugeChartsMobile.model$TicksRec", ["exports", "OutSystems", "GaugeChartsMobile.model"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var TicksRec = (function (_super) {
__extends(TicksRec, _super);
function TicksRec(defaults) {
_super.apply(this, arguments);
}
TicksRec.attributesToDeclare = function () {
return [
this.attr("tickInterval", "tickIntervalAttr", "tickInterval", false, OS.Types.Integer, function () {
return 20;
}), 
this.attr("tickColor", "tickColorAttr", "tickColor", false, OS.Types.Text, function () {
return "#CCD6EB";
}), 
this.attr("tickLength", "tickLengthAttr", "tickLength", false, OS.Types.Integer, function () {
return 10;
}), 
this.attr("tickWidth", "tickWidthAttr", "tickWidth", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("minorTickInterval", "minorTickIntervalAttr", "minorTickInterval", false, OS.Types.Integer, function () {
return 500;
}), 
this.attr("minorTickColor", "minorTickColorAttr", "minorTickColor", false, OS.Types.Text, function () {
return "#999999";
}), 
this.attr("minorTickLength", "minorTickLengthAttr", "minorTickLength", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("minorTickWidth", "minorTickWidthAttr", "minorTickWidth", false, OS.Types.Integer, function () {
return 0;
})
].concat(_super.attributesToDeclare.call(this));
};
TicksRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
TicksRec.init();
return TicksRec;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.TicksRec = TicksRec;

});
define("GaugeChartsMobile.model$SolidGaugeEasyFormat2Rec", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$SolidChartTitleRec", "GaugeChartsMobile.model$SolidSubTitleRec", "GaugeChartsMobile.model$LabelsRec", "GaugeChartsMobile.model$TicksRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var SolidGaugeEasyFormat2Rec = (function (_super) {
__extends(SolidGaugeEasyFormat2Rec, _super);
function SolidGaugeEasyFormat2Rec(defaults) {
_super.apply(this, arguments);
}
SolidGaugeEasyFormat2Rec.attributesToDeclare = function () {
return [
this.attr("MinValue", "minValueAttr", "MinValue", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("MaxValue", "maxValueAttr", "MaxValue", false, OS.Types.Integer, function () {
return 100;
}), 
this.attr("StartAngle", "startAngleAttr", "StartAngle", false, OS.Types.Integer, function () {
return -90;
}), 
this.attr("EndAngle", "endAngleAttr", "EndAngle", false, OS.Types.Integer, function () {
return 90;
}), 
this.attr("ChartBackgroundColor", "chartBackgroundColorAttr", "ChartBackgroundColor", false, OS.Types.Text, function () {
return "#FFF";
}), 
this.attr("GaugeColor", "gaugeColorAttr", "GaugeColor", false, OS.Types.Text, function () {
return "rgba(124, 181, 236, 0.8)";
}), 
this.attr("innerRadius", "innerRadiusAttr", "innerRadius", false, OS.Types.Integer, function () {
return 80;
}), 
this.attr("outerRadius", "outerRadiusAttr", "outerRadius", false, OS.Types.Integer, function () {
return 100;
}), 
this.attr("ValueColor", "valueColorAttr", "ValueColor", false, OS.Types.Text, function () {
return "#333";
}), 
this.attr("ValueFontSize", "valueFontSizeAttr", "ValueFontSize", false, OS.Types.Integer, function () {
return 25;
}), 
this.attr("ValueSimbol", "valueSimbolAttr", "ValueSimbol", false, OS.Types.Text, function () {
return "%";
}), 
this.attr("ValueTextPosition", "valueTextPositionAttr", "ValueTextPosition", false, OS.Types.Integer, function () {
return -53;
}), 
this.attr("BackgroundColorPane", "backgroundColorPaneAttr", "BackgroundColorPane", false, OS.Types.Text, function () {
return "#EEE";
}), 
this.attr("ChartTitle", "chartTitleAttr", "ChartTitle", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.SolidChartTitleRec());
}, GaugeChartsMobileModel.SolidChartTitleRec), 
this.attr("SubTitle", "subTitleAttr", "SubTitle", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.SolidSubTitleRec());
}, GaugeChartsMobileModel.SolidSubTitleRec), 
this.attr("Labels", "labelsAttr", "Labels", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.LabelsRec());
}, GaugeChartsMobileModel.LabelsRec), 
this.attr("Ticks", "ticksAttr", "Ticks", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.TicksRec());
}, GaugeChartsMobileModel.TicksRec)
].concat(_super.attributesToDeclare.call(this));
};
SolidGaugeEasyFormat2Rec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
SolidGaugeEasyFormat2Rec.init();
return SolidGaugeEasyFormat2Rec;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.SolidGaugeEasyFormat2Rec = SolidGaugeEasyFormat2Rec;

});
define("GaugeChartsMobile.model$TicksRecord", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$TicksRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var TicksRecord = (function (_super) {
__extends(TicksRecord, _super);
function TicksRecord(defaults) {
_super.apply(this, arguments);
}
TicksRecord.attributesToDeclare = function () {
return [
this.attr("Ticks", "ticksAttr", "Ticks", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.TicksRec());
}, GaugeChartsMobileModel.TicksRec)
].concat(_super.attributesToDeclare.call(this));
};
TicksRecord.fromStructure = function (str) {
return new TicksRecord(new TicksRecord.RecordClass({
ticksAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
TicksRecord.IsAnonymousRecord = true;
TicksRecord.UniqueId = "1a4879b8-9adb-3884-899a-aed717484bb1";
TicksRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
TicksRecord.init();
return TicksRecord;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.TicksRecord = TicksRecord;

});
define("GaugeChartsMobile.model$Ticks2Record", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$Ticks2Rec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var Ticks2Record = (function (_super) {
__extends(Ticks2Record, _super);
function Ticks2Record(defaults) {
_super.apply(this, arguments);
}
Ticks2Record.attributesToDeclare = function () {
return [
this.attr("Ticks2", "ticks2Attr", "Ticks2", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.Ticks2Rec());
}, GaugeChartsMobileModel.Ticks2Rec)
].concat(_super.attributesToDeclare.call(this));
};
Ticks2Record.fromStructure = function (str) {
return new Ticks2Record(new Ticks2Record.RecordClass({
ticks2Attr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Ticks2Record.IsAnonymousRecord = true;
Ticks2Record.UniqueId = "e0637aa0-ec8d-de33-361e-a1ae7d3367c4";
Ticks2Record.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
Ticks2Record.init();
return Ticks2Record;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.Ticks2Record = Ticks2Record;

});
define("GaugeChartsMobile.model$Ticks2RecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$Ticks2Record"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var Ticks2RecordList = (function (_super) {
__extends(Ticks2RecordList, _super);
function Ticks2RecordList(defaults) {
_super.apply(this, arguments);
}
Ticks2RecordList.RecordType = GaugeChartsMobileModel.Ticks2Record;
return Ticks2RecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.Ticks2RecordList = Ticks2RecordList;

});
define("GaugeChartsMobile.model$AngularSubTitleRec", ["exports", "OutSystems", "GaugeChartsMobile.model"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AngularSubTitleRec = (function (_super) {
__extends(AngularSubTitleRec, _super);
function AngularSubTitleRec(defaults) {
_super.apply(this, arguments);
}
AngularSubTitleRec.attributesToDeclare = function () {
return [
this.attr("SubTitle", "subTitleAttr", "SubTitle", false, OS.Types.Text, function () {
return "SubTitle";
}), 
this.attr("SubTitlePosition", "subTitlePositionAttr", "SubTitlePosition", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("SubTitleColor", "subTitleColorAttr", "SubTitleColor", false, OS.Types.Text, function () {
return "#333";
}), 
this.attr("SubTitleFontSize", "subTitleFontSizeAttr", "SubTitleFontSize", false, OS.Types.Integer, function () {
return 12;
})
].concat(_super.attributesToDeclare.call(this));
};
AngularSubTitleRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
AngularSubTitleRec.init();
return AngularSubTitleRec;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.AngularSubTitleRec = AngularSubTitleRec;

});
define("GaugeChartsMobile.model$AngularSubTitleRecord", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$AngularSubTitleRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AngularSubTitleRecord = (function (_super) {
__extends(AngularSubTitleRecord, _super);
function AngularSubTitleRecord(defaults) {
_super.apply(this, arguments);
}
AngularSubTitleRecord.attributesToDeclare = function () {
return [
this.attr("AngularSubTitle", "angularSubTitleAttr", "AngularSubTitle", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.AngularSubTitleRec());
}, GaugeChartsMobileModel.AngularSubTitleRec)
].concat(_super.attributesToDeclare.call(this));
};
AngularSubTitleRecord.fromStructure = function (str) {
return new AngularSubTitleRecord(new AngularSubTitleRecord.RecordClass({
angularSubTitleAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
AngularSubTitleRecord.IsAnonymousRecord = true;
AngularSubTitleRecord.UniqueId = "2185a160-1a9e-4470-7d73-1cc68217c4da";
AngularSubTitleRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
AngularSubTitleRecord.init();
return AngularSubTitleRecord;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.AngularSubTitleRecord = AngularSubTitleRecord;

});
define("GaugeChartsMobile.model$PlotBandRec", ["exports", "OutSystems", "GaugeChartsMobile.model"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var PlotBandRec = (function (_super) {
__extends(PlotBandRec, _super);
function PlotBandRec(defaults) {
_super.apply(this, arguments);
}
PlotBandRec.attributesToDeclare = function () {
return [
this.attr("from", "fromAttr", "from", false, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("to", "toAttr", "to", false, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("Color", "colorAttr", "Color", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
PlotBandRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
PlotBandRec.init();
return PlotBandRec;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.PlotBandRec = PlotBandRec;

});
define("GaugeChartsMobile.model$PlotBandRecord", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$PlotBandRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var PlotBandRecord = (function (_super) {
__extends(PlotBandRecord, _super);
function PlotBandRecord(defaults) {
_super.apply(this, arguments);
}
PlotBandRecord.attributesToDeclare = function () {
return [
this.attr("PlotBand", "plotBandAttr", "PlotBand", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.PlotBandRec());
}, GaugeChartsMobileModel.PlotBandRec)
].concat(_super.attributesToDeclare.call(this));
};
PlotBandRecord.fromStructure = function (str) {
return new PlotBandRecord(new PlotBandRecord.RecordClass({
plotBandAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
PlotBandRecord.IsAnonymousRecord = true;
PlotBandRecord.UniqueId = "3abeca97-1d49-fb70-9937-2426fbc8374d";
PlotBandRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
PlotBandRecord.init();
return PlotBandRecord;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.PlotBandRecord = PlotBandRecord;

});
define("GaugeChartsMobile.model$PlotBandRecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$PlotBandRecord"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var PlotBandRecordList = (function (_super) {
__extends(PlotBandRecordList, _super);
function PlotBandRecordList(defaults) {
_super.apply(this, arguments);
}
PlotBandRecordList.RecordType = GaugeChartsMobileModel.PlotBandRecord;
return PlotBandRecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.PlotBandRecordList = PlotBandRecordList;

});
define("GaugeChartsMobile.model$SolidGaugeEasyFormatRec", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$SolidChartTitleRec", "GaugeChartsMobile.model$SolidSubTitleRec", "GaugeChartsMobile.model$LabelsRec", "GaugeChartsMobile.model$TicksRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var SolidGaugeEasyFormatRec = (function (_super) {
__extends(SolidGaugeEasyFormatRec, _super);
function SolidGaugeEasyFormatRec(defaults) {
_super.apply(this, arguments);
}
SolidGaugeEasyFormatRec.attributesToDeclare = function () {
return [
this.attr("MinValue", "minValueAttr", "MinValue", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("MaxValue", "maxValueAttr", "MaxValue", false, OS.Types.Integer, function () {
return 30;
}), 
this.attr("StartAngle", "startAngleAttr", "StartAngle", false, OS.Types.Integer, function () {
return -130;
}), 
this.attr("EndAngle", "endAngleAttr", "EndAngle", false, OS.Types.Integer, function () {
return 130;
}), 
this.attr("ChartBackgroundColor", "chartBackgroundColorAttr", "ChartBackgroundColor", false, OS.Types.Text, function () {
return "transparent";
}), 
this.attr("GaugeColor", "gaugeColorAttr", "GaugeColor", false, OS.Types.Text, function () {
return "rgba(124, 181, 236, 0.8)";
}), 
this.attr("innerRadius", "innerRadiusAttr", "innerRadius", false, OS.Types.Integer, function () {
return 90;
}), 
this.attr("outerRadius", "outerRadiusAttr", "outerRadius", false, OS.Types.Integer, function () {
return 90;
}), 
this.attr("ValueColor", "valueColorAttr", "ValueColor", false, OS.Types.Text, function () {
return "#333";
}), 
this.attr("ValueFontSize", "valueFontSizeAttr", "ValueFontSize", false, OS.Types.Integer, function () {
return 25;
}), 
this.attr("ValueSimbol", "valueSimbolAttr", "ValueSimbol", false, OS.Types.Text, function () {
return "%";
}), 
this.attr("ValueTextPosition", "valueTextPositionAttr", "ValueTextPosition", false, OS.Types.Integer, function () {
return 5;
}), 
this.attr("BackgroundColorPane", "backgroundColorPaneAttr", "BackgroundColorPane", false, OS.Types.Text, function () {
return "#6ea514";
}), 
this.attr("ChartTitle", "chartTitleAttr", "ChartTitle", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.SolidChartTitleRec());
}, GaugeChartsMobileModel.SolidChartTitleRec), 
this.attr("SubTitle", "subTitleAttr", "SubTitle", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.SolidSubTitleRec());
}, GaugeChartsMobileModel.SolidSubTitleRec), 
this.attr("Labels", "labelsAttr", "Labels", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.LabelsRec());
}, GaugeChartsMobileModel.LabelsRec), 
this.attr("Ticks", "ticksAttr", "Ticks", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.TicksRec());
}, GaugeChartsMobileModel.TicksRec)
].concat(_super.attributesToDeclare.call(this));
};
SolidGaugeEasyFormatRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
SolidGaugeEasyFormatRec.init();
return SolidGaugeEasyFormatRec;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.SolidGaugeEasyFormatRec = SolidGaugeEasyFormatRec;

});
define("GaugeChartsMobile.model$SolidGaugeEasyFormatRecord", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$SolidGaugeEasyFormatRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var SolidGaugeEasyFormatRecord = (function (_super) {
__extends(SolidGaugeEasyFormatRecord, _super);
function SolidGaugeEasyFormatRecord(defaults) {
_super.apply(this, arguments);
}
SolidGaugeEasyFormatRecord.attributesToDeclare = function () {
return [
this.attr("SolidGaugeEasyFormat", "solidGaugeEasyFormatAttr", "SolidGaugeEasyFormat", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.SolidGaugeEasyFormatRec());
}, GaugeChartsMobileModel.SolidGaugeEasyFormatRec)
].concat(_super.attributesToDeclare.call(this));
};
SolidGaugeEasyFormatRecord.fromStructure = function (str) {
return new SolidGaugeEasyFormatRecord(new SolidGaugeEasyFormatRecord.RecordClass({
solidGaugeEasyFormatAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
SolidGaugeEasyFormatRecord.IsAnonymousRecord = true;
SolidGaugeEasyFormatRecord.UniqueId = "4064a616-a0d6-181e-99b6-4514a59e6aaa";
SolidGaugeEasyFormatRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
SolidGaugeEasyFormatRecord.init();
return SolidGaugeEasyFormatRecord;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.SolidGaugeEasyFormatRecord = SolidGaugeEasyFormatRecord;

});
define("GaugeChartsMobile.model$SolidGaugeEasyFormatRecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$SolidGaugeEasyFormatRecord"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var SolidGaugeEasyFormatRecordList = (function (_super) {
__extends(SolidGaugeEasyFormatRecordList, _super);
function SolidGaugeEasyFormatRecordList(defaults) {
_super.apply(this, arguments);
}
SolidGaugeEasyFormatRecordList.RecordType = GaugeChartsMobileModel.SolidGaugeEasyFormatRecord;
return SolidGaugeEasyFormatRecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.SolidGaugeEasyFormatRecordList = SolidGaugeEasyFormatRecordList;

});
define("GaugeChartsMobile.model$AngularChartTitleRec", ["exports", "OutSystems", "GaugeChartsMobile.model"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AngularChartTitleRec = (function (_super) {
__extends(AngularChartTitleRec, _super);
function AngularChartTitleRec(defaults) {
_super.apply(this, arguments);
}
AngularChartTitleRec.attributesToDeclare = function () {
return [
this.attr("ChartTitle", "chartTitleAttr", "ChartTitle", false, OS.Types.Text, function () {
return "My Title";
}), 
this.attr("ChartTitleFontSize", "chartTitleFontSizeAttr", "ChartTitleFontSize", false, OS.Types.Integer, function () {
return 25;
}), 
this.attr("ChartTitleColor", "chartTitleColorAttr", "ChartTitleColor", false, OS.Types.Text, function () {
return "#000000";
}), 
this.attr("ChartTitlePosition", "chartTitlePositionAttr", "ChartTitlePosition", false, OS.Types.Integer, function () {
return 60;
})
].concat(_super.attributesToDeclare.call(this));
};
AngularChartTitleRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
AngularChartTitleRec.init();
return AngularChartTitleRec;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.AngularChartTitleRec = AngularChartTitleRec;

});
define("GaugeChartsMobile.model$LegendPositionRecord", ["exports", "OutSystems", "ChartsMobile.model", "GaugeChartsMobile.model", "ChartsMobile.model$LegendPositionRec", "GaugeChartsMobile.referencesHealth", "GaugeChartsMobile.referencesHealth$ChartsMobile"], function (exports, OutSystems, ChartsMobileModel, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var LegendPositionRecord = (function (_super) {
__extends(LegendPositionRecord, _super);
function LegendPositionRecord(defaults) {
_super.apply(this, arguments);
}
LegendPositionRecord.attributesToDeclare = function () {
return [
this.attr("LegendPosition", "legendPositionAttr", "LegendPosition", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.LegendPositionRec());
}, ChartsMobileModel.LegendPositionRec)
].concat(_super.attributesToDeclare.call(this));
};
LegendPositionRecord.fromStructure = function (str) {
return new LegendPositionRecord(new LegendPositionRecord.RecordClass({
legendPositionAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
LegendPositionRecord.IsAnonymousRecord = true;
LegendPositionRecord.UniqueId = "d2362d0d-0bb3-6623-a5f0-020a47954dfc";
LegendPositionRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
LegendPositionRecord.init();
return LegendPositionRecord;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.LegendPositionRecord = LegendPositionRecord;

});
define("GaugeChartsMobile.model$LegendPositionRecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$LegendPositionRecord"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var LegendPositionRecordList = (function (_super) {
__extends(LegendPositionRecordList, _super);
function LegendPositionRecordList(defaults) {
_super.apply(this, arguments);
}
LegendPositionRecordList.RecordType = GaugeChartsMobileModel.LegendPositionRecord;
return LegendPositionRecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.LegendPositionRecordList = LegendPositionRecordList;

});
define("GaugeChartsMobile.model$TicksRecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$TicksRecord"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var TicksRecordList = (function (_super) {
__extends(TicksRecordList, _super);
function TicksRecordList(defaults) {
_super.apply(this, arguments);
}
TicksRecordList.RecordType = GaugeChartsMobileModel.TicksRecord;
return TicksRecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.TicksRecordList = TicksRecordList;

});
define("GaugeChartsMobile.model$AngularChartTitleList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$AngularChartTitleRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AngularChartTitleList = (function (_super) {
__extends(AngularChartTitleList, _super);
function AngularChartTitleList(defaults) {
_super.apply(this, arguments);
}
AngularChartTitleList.RecordType = GaugeChartsMobileModel.AngularChartTitleRec;
return AngularChartTitleList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.AngularChartTitleList = AngularChartTitleList;

});
define("GaugeChartsMobile.model$PlotBandList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$PlotBandRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var PlotBandList = (function (_super) {
__extends(PlotBandList, _super);
function PlotBandList(defaults) {
_super.apply(this, arguments);
}
PlotBandList.RecordType = GaugeChartsMobileModel.PlotBandRec;
return PlotBandList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.PlotBandList = PlotBandList;

});
define("GaugeChartsMobile.model$ChartFormatRecord", ["exports", "OutSystems", "ChartsMobile.model", "GaugeChartsMobile.model", "ChartsMobile.model$ChartFormatRec", "GaugeChartsMobile.referencesHealth", "GaugeChartsMobile.referencesHealth$ChartsMobile"], function (exports, OutSystems, ChartsMobileModel, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var ChartFormatRecord = (function (_super) {
__extends(ChartFormatRecord, _super);
function ChartFormatRecord(defaults) {
_super.apply(this, arguments);
}
ChartFormatRecord.attributesToDeclare = function () {
return [
this.attr("ChartFormat", "chartFormatAttr", "ChartFormat", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.ChartFormatRec());
}, ChartsMobileModel.ChartFormatRec)
].concat(_super.attributesToDeclare.call(this));
};
ChartFormatRecord.fromStructure = function (str) {
return new ChartFormatRecord(new ChartFormatRecord.RecordClass({
chartFormatAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
ChartFormatRecord.IsAnonymousRecord = true;
ChartFormatRecord.UniqueId = "2b9e4142-8d5c-5ca3-b04a-80be4ce98f53";
ChartFormatRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
ChartFormatRecord.init();
return ChartFormatRecord;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.ChartFormatRecord = ChartFormatRecord;

});
define("GaugeChartsMobile.model$AngularGaugeEasyFormatRec", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$PlotBandList", "GaugeChartsMobile.model$AngularChartTitleRec", "GaugeChartsMobile.model$AngularSubTitleRec", "GaugeChartsMobile.model$TicksRec", "GaugeChartsMobile.model$LabelsRec", "GaugeChartsMobile.model$DialRec", "GaugeChartsMobile.model$PivotRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AngularGaugeEasyFormatRec = (function (_super) {
__extends(AngularGaugeEasyFormatRec, _super);
function AngularGaugeEasyFormatRec(defaults) {
_super.apply(this, arguments);
}
AngularGaugeEasyFormatRec.attributesToDeclare = function () {
return [
this.attr("PlotBandList", "plotBandListAttr", "PlotBandList", false, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.PlotBandList());
}, GaugeChartsMobileModel.PlotBandList), 
this.attr("thicknessPlotBands", "thicknessPlotBandsAttr", "thicknessPlotBands", true, OS.Types.Text, function () {
return "20%";
}), 
this.attr("MinValue", "minValueAttr", "MinValue", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("MaxValue", "maxValueAttr", "MaxValue", false, OS.Types.Integer, function () {
return 100;
}), 
this.attr("StartAngle", "startAngleAttr", "StartAngle", false, OS.Types.Integer, function () {
return -90;
}), 
this.attr("EndAngle", "endAngleAttr", "EndAngle", false, OS.Types.Integer, function () {
return 90;
}), 
this.attr("ChartBackgroundColor", "chartBackgroundColorAttr", "ChartBackgroundColor", false, OS.Types.Text, function () {
return "#FFF";
}), 
this.attr("ChartTitle", "chartTitleAttr", "ChartTitle", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.AngularChartTitleRec());
}, GaugeChartsMobileModel.AngularChartTitleRec), 
this.attr("SubTitle", "subTitleAttr", "SubTitle", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.AngularSubTitleRec());
}, GaugeChartsMobileModel.AngularSubTitleRec), 
this.attr("Ticks", "ticksAttr", "Ticks", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.TicksRec());
}, GaugeChartsMobileModel.TicksRec), 
this.attr("Labels", "labelsAttr", "Labels", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.LabelsRec());
}, GaugeChartsMobileModel.LabelsRec), 
this.attr("Dial", "dialAttr", "Dial", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.DialRec());
}, GaugeChartsMobileModel.DialRec), 
this.attr("Pivot", "pivotAttr", "Pivot", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.PivotRec());
}, GaugeChartsMobileModel.PivotRec)
].concat(_super.attributesToDeclare.call(this));
};
AngularGaugeEasyFormatRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
AngularGaugeEasyFormatRec.init();
return AngularGaugeEasyFormatRec;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.AngularGaugeEasyFormatRec = AngularGaugeEasyFormatRec;

});
define("GaugeChartsMobile.model$AngularGaugeEasyFormatList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$AngularGaugeEasyFormatRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AngularGaugeEasyFormatList = (function (_super) {
__extends(AngularGaugeEasyFormatList, _super);
function AngularGaugeEasyFormatList(defaults) {
_super.apply(this, arguments);
}
AngularGaugeEasyFormatList.RecordType = GaugeChartsMobileModel.AngularGaugeEasyFormatRec;
return AngularGaugeEasyFormatList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.AngularGaugeEasyFormatList = AngularGaugeEasyFormatList;

});
define("GaugeChartsMobile.model$SolidSubTitleRecord", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$SolidSubTitleRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var SolidSubTitleRecord = (function (_super) {
__extends(SolidSubTitleRecord, _super);
function SolidSubTitleRecord(defaults) {
_super.apply(this, arguments);
}
SolidSubTitleRecord.attributesToDeclare = function () {
return [
this.attr("SolidSubTitle", "solidSubTitleAttr", "SolidSubTitle", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.SolidSubTitleRec());
}, GaugeChartsMobileModel.SolidSubTitleRec)
].concat(_super.attributesToDeclare.call(this));
};
SolidSubTitleRecord.fromStructure = function (str) {
return new SolidSubTitleRecord(new SolidSubTitleRecord.RecordClass({
solidSubTitleAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
SolidSubTitleRecord.IsAnonymousRecord = true;
SolidSubTitleRecord.UniqueId = "4043ed3d-551c-7d99-a5ea-424518324a53";
SolidSubTitleRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
SolidSubTitleRecord.init();
return SolidSubTitleRecord;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.SolidSubTitleRecord = SolidSubTitleRecord;

});
define("GaugeChartsMobile.model$AngularSubTitleList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$AngularSubTitleRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AngularSubTitleList = (function (_super) {
__extends(AngularSubTitleList, _super);
function AngularSubTitleList(defaults) {
_super.apply(this, arguments);
}
AngularSubTitleList.RecordType = GaugeChartsMobileModel.AngularSubTitleRec;
return AngularSubTitleList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.AngularSubTitleList = AngularSubTitleList;

});
define("GaugeChartsMobile.model$SolidGaugeEasyFormat2List", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$SolidGaugeEasyFormat2Rec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var SolidGaugeEasyFormat2List = (function (_super) {
__extends(SolidGaugeEasyFormat2List, _super);
function SolidGaugeEasyFormat2List(defaults) {
_super.apply(this, arguments);
}
SolidGaugeEasyFormat2List.RecordType = GaugeChartsMobileModel.SolidGaugeEasyFormat2Rec;
return SolidGaugeEasyFormat2List;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.SolidGaugeEasyFormat2List = SolidGaugeEasyFormat2List;

});
define("GaugeChartsMobile.model$PivotRecord", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$PivotRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var PivotRecord = (function (_super) {
__extends(PivotRecord, _super);
function PivotRecord(defaults) {
_super.apply(this, arguments);
}
PivotRecord.attributesToDeclare = function () {
return [
this.attr("Pivot", "pivotAttr", "Pivot", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.PivotRec());
}, GaugeChartsMobileModel.PivotRec)
].concat(_super.attributesToDeclare.call(this));
};
PivotRecord.fromStructure = function (str) {
return new PivotRecord(new PivotRecord.RecordClass({
pivotAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
PivotRecord.IsAnonymousRecord = true;
PivotRecord.UniqueId = "9664325f-04e7-4d0d-1be0-0425536064ee";
PivotRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
PivotRecord.init();
return PivotRecord;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.PivotRecord = PivotRecord;

});
define("GaugeChartsMobile.model$PivotRecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$PivotRecord"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var PivotRecordList = (function (_super) {
__extends(PivotRecordList, _super);
function PivotRecordList(defaults) {
_super.apply(this, arguments);
}
PivotRecordList.RecordType = GaugeChartsMobileModel.PivotRecord;
return PivotRecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.PivotRecordList = PivotRecordList;

});
define("GaugeChartsMobile.model$DataPointList", ["exports", "OutSystems", "ChartsMobile.model", "GaugeChartsMobile.model", "ChartsMobile.model$DataPointRec", "GaugeChartsMobile.referencesHealth", "GaugeChartsMobile.referencesHealth$ChartsMobile"], function (exports, OutSystems, ChartsMobileModel, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var DataPointList = (function (_super) {
__extends(DataPointList, _super);
function DataPointList(defaults) {
_super.apply(this, arguments);
}
DataPointList.RecordType = ChartsMobileModel.DataPointRec;
return DataPointList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.DataPointList = DataPointList;

});
define("GaugeChartsMobile.model$LegendPositionList", ["exports", "OutSystems", "ChartsMobile.model", "GaugeChartsMobile.model", "ChartsMobile.model$LegendPositionRec", "GaugeChartsMobile.referencesHealth", "GaugeChartsMobile.referencesHealth$ChartsMobile"], function (exports, OutSystems, ChartsMobileModel, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var LegendPositionList = (function (_super) {
__extends(LegendPositionList, _super);
function LegendPositionList(defaults) {
_super.apply(this, arguments);
}
LegendPositionList.RecordType = ChartsMobileModel.LegendPositionRec;
return LegendPositionList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.LegendPositionList = LegendPositionList;

});
define("GaugeChartsMobile.model$SolidGaugeEasyFormatList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$SolidGaugeEasyFormatRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var SolidGaugeEasyFormatList = (function (_super) {
__extends(SolidGaugeEasyFormatList, _super);
function SolidGaugeEasyFormatList(defaults) {
_super.apply(this, arguments);
}
SolidGaugeEasyFormatList.RecordType = GaugeChartsMobileModel.SolidGaugeEasyFormatRec;
return SolidGaugeEasyFormatList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.SolidGaugeEasyFormatList = SolidGaugeEasyFormatList;

});
define("GaugeChartsMobile.model$DialRecord", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$DialRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var DialRecord = (function (_super) {
__extends(DialRecord, _super);
function DialRecord(defaults) {
_super.apply(this, arguments);
}
DialRecord.attributesToDeclare = function () {
return [
this.attr("Dial", "dialAttr", "Dial", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.DialRec());
}, GaugeChartsMobileModel.DialRec)
].concat(_super.attributesToDeclare.call(this));
};
DialRecord.fromStructure = function (str) {
return new DialRecord(new DialRecord.RecordClass({
dialAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
DialRecord.IsAnonymousRecord = true;
DialRecord.UniqueId = "b77bafdd-bc1b-69dc-256c-5653e2678e49";
DialRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
DialRecord.init();
return DialRecord;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.DialRecord = DialRecord;

});
define("GaugeChartsMobile.model$DialRecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$DialRecord"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var DialRecordList = (function (_super) {
__extends(DialRecordList, _super);
function DialRecordList(defaults) {
_super.apply(this, arguments);
}
DialRecordList.RecordType = GaugeChartsMobileModel.DialRecord;
return DialRecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.DialRecordList = DialRecordList;

});
define("GaugeChartsMobile.model$SolidSubTitleList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$SolidSubTitleRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var SolidSubTitleList = (function (_super) {
__extends(SolidSubTitleList, _super);
function SolidSubTitleList(defaults) {
_super.apply(this, arguments);
}
SolidSubTitleList.RecordType = GaugeChartsMobileModel.SolidSubTitleRec;
return SolidSubTitleList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.SolidSubTitleList = SolidSubTitleList;

});
define("GaugeChartsMobile.model$AdvancedDataSeriesFormatRecord", ["exports", "OutSystems", "ChartsMobile.model", "GaugeChartsMobile.model", "ChartsMobile.model$AdvancedDataSeriesFormatRec", "GaugeChartsMobile.referencesHealth", "GaugeChartsMobile.referencesHealth$ChartsMobile"], function (exports, OutSystems, ChartsMobileModel, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AdvancedDataSeriesFormatRecord = (function (_super) {
__extends(AdvancedDataSeriesFormatRecord, _super);
function AdvancedDataSeriesFormatRecord(defaults) {
_super.apply(this, arguments);
}
AdvancedDataSeriesFormatRecord.attributesToDeclare = function () {
return [
this.attr("AdvancedDataSeriesFormat", "advancedDataSeriesFormatAttr", "AdvancedDataSeriesFormat", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.AdvancedDataSeriesFormatRec());
}, ChartsMobileModel.AdvancedDataSeriesFormatRec)
].concat(_super.attributesToDeclare.call(this));
};
AdvancedDataSeriesFormatRecord.fromStructure = function (str) {
return new AdvancedDataSeriesFormatRecord(new AdvancedDataSeriesFormatRecord.RecordClass({
advancedDataSeriesFormatAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
AdvancedDataSeriesFormatRecord.IsAnonymousRecord = true;
AdvancedDataSeriesFormatRecord.UniqueId = "e3eb1896-9a1d-0856-d6aa-6db7946dac4d";
AdvancedDataSeriesFormatRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
AdvancedDataSeriesFormatRecord.init();
return AdvancedDataSeriesFormatRecord;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.AdvancedDataSeriesFormatRecord = AdvancedDataSeriesFormatRecord;

});
define("GaugeChartsMobile.model$AdvancedDataSeriesFormatRecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$AdvancedDataSeriesFormatRecord"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AdvancedDataSeriesFormatRecordList = (function (_super) {
__extends(AdvancedDataSeriesFormatRecordList, _super);
function AdvancedDataSeriesFormatRecordList(defaults) {
_super.apply(this, arguments);
}
AdvancedDataSeriesFormatRecordList.RecordType = GaugeChartsMobileModel.AdvancedDataSeriesFormatRecord;
return AdvancedDataSeriesFormatRecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.AdvancedDataSeriesFormatRecordList = AdvancedDataSeriesFormatRecordList;

});
define("GaugeChartsMobile.model$SolidChartTitleRecord", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$SolidChartTitleRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var SolidChartTitleRecord = (function (_super) {
__extends(SolidChartTitleRecord, _super);
function SolidChartTitleRecord(defaults) {
_super.apply(this, arguments);
}
SolidChartTitleRecord.attributesToDeclare = function () {
return [
this.attr("SolidChartTitle", "solidChartTitleAttr", "SolidChartTitle", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.SolidChartTitleRec());
}, GaugeChartsMobileModel.SolidChartTitleRec)
].concat(_super.attributesToDeclare.call(this));
};
SolidChartTitleRecord.fromStructure = function (str) {
return new SolidChartTitleRecord(new SolidChartTitleRecord.RecordClass({
solidChartTitleAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
SolidChartTitleRecord.IsAnonymousRecord = true;
SolidChartTitleRecord.UniqueId = "f54d6bd7-b189-d126-c549-c43e74d03f1b";
SolidChartTitleRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
SolidChartTitleRecord.init();
return SolidChartTitleRecord;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.SolidChartTitleRecord = SolidChartTitleRecord;

});
define("GaugeChartsMobile.model$SolidChartTitleRecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$SolidChartTitleRecord"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var SolidChartTitleRecordList = (function (_super) {
__extends(SolidChartTitleRecordList, _super);
function SolidChartTitleRecordList(defaults) {
_super.apply(this, arguments);
}
SolidChartTitleRecordList.RecordType = GaugeChartsMobileModel.SolidChartTitleRecord;
return SolidChartTitleRecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.SolidChartTitleRecordList = SolidChartTitleRecordList;

});
define("GaugeChartsMobile.model$AngularGaugeEasyFormatRecord", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$AngularGaugeEasyFormatRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AngularGaugeEasyFormatRecord = (function (_super) {
__extends(AngularGaugeEasyFormatRecord, _super);
function AngularGaugeEasyFormatRecord(defaults) {
_super.apply(this, arguments);
}
AngularGaugeEasyFormatRecord.attributesToDeclare = function () {
return [
this.attr("AngularGaugeEasyFormat", "angularGaugeEasyFormatAttr", "AngularGaugeEasyFormat", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.AngularGaugeEasyFormatRec());
}, GaugeChartsMobileModel.AngularGaugeEasyFormatRec)
].concat(_super.attributesToDeclare.call(this));
};
AngularGaugeEasyFormatRecord.fromStructure = function (str) {
return new AngularGaugeEasyFormatRecord(new AngularGaugeEasyFormatRecord.RecordClass({
angularGaugeEasyFormatAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
AngularGaugeEasyFormatRecord.IsAnonymousRecord = true;
AngularGaugeEasyFormatRecord.UniqueId = "89b97941-9824-8473-935a-ecb3b0b63fb1";
AngularGaugeEasyFormatRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
AngularGaugeEasyFormatRecord.init();
return AngularGaugeEasyFormatRecord;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.AngularGaugeEasyFormatRecord = AngularGaugeEasyFormatRecord;

});
define("GaugeChartsMobile.model$AngularGaugeEasyFormatRecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$AngularGaugeEasyFormatRecord"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AngularGaugeEasyFormatRecordList = (function (_super) {
__extends(AngularGaugeEasyFormatRecordList, _super);
function AngularGaugeEasyFormatRecordList(defaults) {
_super.apply(this, arguments);
}
AngularGaugeEasyFormatRecordList.RecordType = GaugeChartsMobileModel.AngularGaugeEasyFormatRecord;
return AngularGaugeEasyFormatRecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.AngularGaugeEasyFormatRecordList = AngularGaugeEasyFormatRecordList;

});
define("GaugeChartsMobile.model$DataPointRecord", ["exports", "OutSystems", "ChartsMobile.model", "GaugeChartsMobile.model", "ChartsMobile.model$DataPointRec", "GaugeChartsMobile.referencesHealth", "GaugeChartsMobile.referencesHealth$ChartsMobile"], function (exports, OutSystems, ChartsMobileModel, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var DataPointRecord = (function (_super) {
__extends(DataPointRecord, _super);
function DataPointRecord(defaults) {
_super.apply(this, arguments);
}
DataPointRecord.attributesToDeclare = function () {
return [
this.attr("DataPoint", "dataPointAttr", "DataPoint", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.DataPointRec());
}, ChartsMobileModel.DataPointRec)
].concat(_super.attributesToDeclare.call(this));
};
DataPointRecord.fromStructure = function (str) {
return new DataPointRecord(new DataPointRecord.RecordClass({
dataPointAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
DataPointRecord.IsAnonymousRecord = true;
DataPointRecord.UniqueId = "6ceb0a54-ddbc-9244-6ab6-6e8c847870c1";
DataPointRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
DataPointRecord.init();
return DataPointRecord;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.DataPointRecord = DataPointRecord;

});
define("GaugeChartsMobile.model$DataPointRecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$DataPointRecord"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var DataPointRecordList = (function (_super) {
__extends(DataPointRecordList, _super);
function DataPointRecordList(defaults) {
_super.apply(this, arguments);
}
DataPointRecordList.RecordType = GaugeChartsMobileModel.DataPointRecord;
return DataPointRecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.DataPointRecordList = DataPointRecordList;

});
define("GaugeChartsMobile.model$AdvancedDataPointFormatList", ["exports", "OutSystems", "ChartsMobile.model", "GaugeChartsMobile.model", "ChartsMobile.model$AdvancedDataPointFormatRec", "GaugeChartsMobile.referencesHealth", "GaugeChartsMobile.referencesHealth$ChartsMobile"], function (exports, OutSystems, ChartsMobileModel, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AdvancedDataPointFormatList = (function (_super) {
__extends(AdvancedDataPointFormatList, _super);
function AdvancedDataPointFormatList(defaults) {
_super.apply(this, arguments);
}
AdvancedDataPointFormatList.RecordType = ChartsMobileModel.AdvancedDataPointFormatRec;
return AdvancedDataPointFormatList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.AdvancedDataPointFormatList = AdvancedDataPointFormatList;

});
define("GaugeChartsMobile.model$AngularChartTitleRecord", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$AngularChartTitleRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AngularChartTitleRecord = (function (_super) {
__extends(AngularChartTitleRecord, _super);
function AngularChartTitleRecord(defaults) {
_super.apply(this, arguments);
}
AngularChartTitleRecord.attributesToDeclare = function () {
return [
this.attr("AngularChartTitle", "angularChartTitleAttr", "AngularChartTitle", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.AngularChartTitleRec());
}, GaugeChartsMobileModel.AngularChartTitleRec)
].concat(_super.attributesToDeclare.call(this));
};
AngularChartTitleRecord.fromStructure = function (str) {
return new AngularChartTitleRecord(new AngularChartTitleRecord.RecordClass({
angularChartTitleAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
AngularChartTitleRecord.IsAnonymousRecord = true;
AngularChartTitleRecord.UniqueId = "8351a9a2-46f8-5c7c-6dee-1cf8f168347b";
AngularChartTitleRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
AngularChartTitleRecord.init();
return AngularChartTitleRecord;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.AngularChartTitleRecord = AngularChartTitleRecord;

});
define("GaugeChartsMobile.model$TicksList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$TicksRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var TicksList = (function (_super) {
__extends(TicksList, _super);
function TicksList(defaults) {
_super.apply(this, arguments);
}
TicksList.RecordType = GaugeChartsMobileModel.TicksRec;
return TicksList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.TicksList = TicksList;

});
define("GaugeChartsMobile.model$AdvancedDataPointFormatRecord", ["exports", "OutSystems", "ChartsMobile.model", "GaugeChartsMobile.model", "ChartsMobile.model$AdvancedDataPointFormatRec", "GaugeChartsMobile.referencesHealth", "GaugeChartsMobile.referencesHealth$ChartsMobile"], function (exports, OutSystems, ChartsMobileModel, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AdvancedDataPointFormatRecord = (function (_super) {
__extends(AdvancedDataPointFormatRecord, _super);
function AdvancedDataPointFormatRecord(defaults) {
_super.apply(this, arguments);
}
AdvancedDataPointFormatRecord.attributesToDeclare = function () {
return [
this.attr("AdvancedDataPointFormat", "advancedDataPointFormatAttr", "AdvancedDataPointFormat", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.AdvancedDataPointFormatRec());
}, ChartsMobileModel.AdvancedDataPointFormatRec)
].concat(_super.attributesToDeclare.call(this));
};
AdvancedDataPointFormatRecord.fromStructure = function (str) {
return new AdvancedDataPointFormatRecord(new AdvancedDataPointFormatRecord.RecordClass({
advancedDataPointFormatAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
AdvancedDataPointFormatRecord.IsAnonymousRecord = true;
AdvancedDataPointFormatRecord.UniqueId = "860a186f-93e9-fe7f-e0d4-2f4282c2ec00";
AdvancedDataPointFormatRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
AdvancedDataPointFormatRecord.init();
return AdvancedDataPointFormatRecord;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.AdvancedDataPointFormatRecord = AdvancedDataPointFormatRecord;

});
define("GaugeChartsMobile.model$AdvancedDataSeriesFormatList", ["exports", "OutSystems", "ChartsMobile.model", "GaugeChartsMobile.model", "ChartsMobile.model$AdvancedDataSeriesFormatRec", "GaugeChartsMobile.referencesHealth", "GaugeChartsMobile.referencesHealth$ChartsMobile"], function (exports, OutSystems, ChartsMobileModel, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AdvancedDataSeriesFormatList = (function (_super) {
__extends(AdvancedDataSeriesFormatList, _super);
function AdvancedDataSeriesFormatList(defaults) {
_super.apply(this, arguments);
}
AdvancedDataSeriesFormatList.RecordType = ChartsMobileModel.AdvancedDataSeriesFormatRec;
return AdvancedDataSeriesFormatList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.AdvancedDataSeriesFormatList = AdvancedDataSeriesFormatList;

});
define("GaugeChartsMobile.model$AdvancedFormatRecord", ["exports", "OutSystems", "ChartsMobile.model", "GaugeChartsMobile.model", "ChartsMobile.model$AdvancedFormatRec", "GaugeChartsMobile.referencesHealth", "GaugeChartsMobile.referencesHealth$ChartsMobile"], function (exports, OutSystems, ChartsMobileModel, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AdvancedFormatRecord = (function (_super) {
__extends(AdvancedFormatRecord, _super);
function AdvancedFormatRecord(defaults) {
_super.apply(this, arguments);
}
AdvancedFormatRecord.attributesToDeclare = function () {
return [
this.attr("AdvancedFormat", "advancedFormatAttr", "AdvancedFormat", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.AdvancedFormatRec());
}, ChartsMobileModel.AdvancedFormatRec)
].concat(_super.attributesToDeclare.call(this));
};
AdvancedFormatRecord.fromStructure = function (str) {
return new AdvancedFormatRecord(new AdvancedFormatRecord.RecordClass({
advancedFormatAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
AdvancedFormatRecord.IsAnonymousRecord = true;
AdvancedFormatRecord.UniqueId = "8bd0ab07-a3f3-c2d2-a572-a84134c564bd";
AdvancedFormatRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
AdvancedFormatRecord.init();
return AdvancedFormatRecord;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.AdvancedFormatRecord = AdvancedFormatRecord;

});
define("GaugeChartsMobile.model$ChartFormatList", ["exports", "OutSystems", "ChartsMobile.model", "GaugeChartsMobile.model", "ChartsMobile.model$ChartFormatRec", "GaugeChartsMobile.referencesHealth", "GaugeChartsMobile.referencesHealth$ChartsMobile"], function (exports, OutSystems, ChartsMobileModel, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var ChartFormatList = (function (_super) {
__extends(ChartFormatList, _super);
function ChartFormatList(defaults) {
_super.apply(this, arguments);
}
ChartFormatList.RecordType = ChartsMobileModel.ChartFormatRec;
return ChartFormatList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.ChartFormatList = ChartFormatList;

});
define("GaugeChartsMobile.model$PivotList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$PivotRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var PivotList = (function (_super) {
__extends(PivotList, _super);
function PivotList(defaults) {
_super.apply(this, arguments);
}
PivotList.RecordType = GaugeChartsMobileModel.PivotRec;
return PivotList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.PivotList = PivotList;

});
define("GaugeChartsMobile.model$SolidGaugeEasyFormat2Record", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$SolidGaugeEasyFormat2Rec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var SolidGaugeEasyFormat2Record = (function (_super) {
__extends(SolidGaugeEasyFormat2Record, _super);
function SolidGaugeEasyFormat2Record(defaults) {
_super.apply(this, arguments);
}
SolidGaugeEasyFormat2Record.attributesToDeclare = function () {
return [
this.attr("SolidGaugeEasyFormat2", "solidGaugeEasyFormat2Attr", "SolidGaugeEasyFormat2", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.SolidGaugeEasyFormat2Rec());
}, GaugeChartsMobileModel.SolidGaugeEasyFormat2Rec)
].concat(_super.attributesToDeclare.call(this));
};
SolidGaugeEasyFormat2Record.fromStructure = function (str) {
return new SolidGaugeEasyFormat2Record(new SolidGaugeEasyFormat2Record.RecordClass({
solidGaugeEasyFormat2Attr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
SolidGaugeEasyFormat2Record.IsAnonymousRecord = true;
SolidGaugeEasyFormat2Record.UniqueId = "f2669589-fcdd-2d01-299d-e9bc1338d695";
SolidGaugeEasyFormat2Record.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
SolidGaugeEasyFormat2Record.init();
return SolidGaugeEasyFormat2Record;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.SolidGaugeEasyFormat2Record = SolidGaugeEasyFormat2Record;

});
define("GaugeChartsMobile.model$SolidGaugeEasyFormat2RecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$SolidGaugeEasyFormat2Record"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var SolidGaugeEasyFormat2RecordList = (function (_super) {
__extends(SolidGaugeEasyFormat2RecordList, _super);
function SolidGaugeEasyFormat2RecordList(defaults) {
_super.apply(this, arguments);
}
SolidGaugeEasyFormat2RecordList.RecordType = GaugeChartsMobileModel.SolidGaugeEasyFormat2Record;
return SolidGaugeEasyFormat2RecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.SolidGaugeEasyFormat2RecordList = SolidGaugeEasyFormat2RecordList;

});
define("GaugeChartsMobile.model$AngularChartTitleRecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$AngularChartTitleRecord"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AngularChartTitleRecordList = (function (_super) {
__extends(AngularChartTitleRecordList, _super);
function AngularChartTitleRecordList(defaults) {
_super.apply(this, arguments);
}
AngularChartTitleRecordList.RecordType = GaugeChartsMobileModel.AngularChartTitleRecord;
return AngularChartTitleRecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.AngularChartTitleRecordList = AngularChartTitleRecordList;

});
define("GaugeChartsMobile.model$SolidSubTitleRecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$SolidSubTitleRecord"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var SolidSubTitleRecordList = (function (_super) {
__extends(SolidSubTitleRecordList, _super);
function SolidSubTitleRecordList(defaults) {
_super.apply(this, arguments);
}
SolidSubTitleRecordList.RecordType = GaugeChartsMobileModel.SolidSubTitleRecord;
return SolidSubTitleRecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.SolidSubTitleRecordList = SolidSubTitleRecordList;

});
define("GaugeChartsMobile.model$ChartFormatRecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$ChartFormatRecord"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var ChartFormatRecordList = (function (_super) {
__extends(ChartFormatRecordList, _super);
function ChartFormatRecordList(defaults) {
_super.apply(this, arguments);
}
ChartFormatRecordList.RecordType = GaugeChartsMobileModel.ChartFormatRecord;
return ChartFormatRecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.ChartFormatRecordList = ChartFormatRecordList;

});
define("GaugeChartsMobile.model$AdvancedFormatList", ["exports", "OutSystems", "ChartsMobile.model", "GaugeChartsMobile.model", "ChartsMobile.model$AdvancedFormatRec", "GaugeChartsMobile.referencesHealth", "GaugeChartsMobile.referencesHealth$ChartsMobile"], function (exports, OutSystems, ChartsMobileModel, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AdvancedFormatList = (function (_super) {
__extends(AdvancedFormatList, _super);
function AdvancedFormatList(defaults) {
_super.apply(this, arguments);
}
AdvancedFormatList.RecordType = ChartsMobileModel.AdvancedFormatRec;
return AdvancedFormatList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.AdvancedFormatList = AdvancedFormatList;

});
define("GaugeChartsMobile.model$LabelsList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$LabelsRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var LabelsList = (function (_super) {
__extends(LabelsList, _super);
function LabelsList(defaults) {
_super.apply(this, arguments);
}
LabelsList.RecordType = GaugeChartsMobileModel.LabelsRec;
return LabelsList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.LabelsList = LabelsList;

});
define("GaugeChartsMobile.model$LabelsRecord", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$LabelsRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var LabelsRecord = (function (_super) {
__extends(LabelsRecord, _super);
function LabelsRecord(defaults) {
_super.apply(this, arguments);
}
LabelsRecord.attributesToDeclare = function () {
return [
this.attr("Labels", "labelsAttr", "Labels", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GaugeChartsMobileModel.LabelsRec());
}, GaugeChartsMobileModel.LabelsRec)
].concat(_super.attributesToDeclare.call(this));
};
LabelsRecord.fromStructure = function (str) {
return new LabelsRecord(new LabelsRecord.RecordClass({
labelsAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
LabelsRecord.IsAnonymousRecord = true;
LabelsRecord.UniqueId = "bbabb94a-e69a-ddae-c427-76266f09d83d";
LabelsRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
LabelsRecord.init();
return LabelsRecord;
})(OS.DataTypes.GenericRecord);
GaugeChartsMobileModel.LabelsRecord = LabelsRecord;

});
define("GaugeChartsMobile.model$LabelsRecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$LabelsRecord"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var LabelsRecordList = (function (_super) {
__extends(LabelsRecordList, _super);
function LabelsRecordList(defaults) {
_super.apply(this, arguments);
}
LabelsRecordList.RecordType = GaugeChartsMobileModel.LabelsRecord;
return LabelsRecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.LabelsRecordList = LabelsRecordList;

});
define("GaugeChartsMobile.model$AdvancedDataPointFormatRecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$AdvancedDataPointFormatRecord"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AdvancedDataPointFormatRecordList = (function (_super) {
__extends(AdvancedDataPointFormatRecordList, _super);
function AdvancedDataPointFormatRecordList(defaults) {
_super.apply(this, arguments);
}
AdvancedDataPointFormatRecordList.RecordType = GaugeChartsMobileModel.AdvancedDataPointFormatRecord;
return AdvancedDataPointFormatRecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.AdvancedDataPointFormatRecordList = AdvancedDataPointFormatRecordList;

});
define("GaugeChartsMobile.model$AdvancedFormatRecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$AdvancedFormatRecord"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AdvancedFormatRecordList = (function (_super) {
__extends(AdvancedFormatRecordList, _super);
function AdvancedFormatRecordList(defaults) {
_super.apply(this, arguments);
}
AdvancedFormatRecordList.RecordType = GaugeChartsMobileModel.AdvancedFormatRecord;
return AdvancedFormatRecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.AdvancedFormatRecordList = AdvancedFormatRecordList;

});
define("GaugeChartsMobile.model$AngularSubTitleRecordList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$AngularSubTitleRecord"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var AngularSubTitleRecordList = (function (_super) {
__extends(AngularSubTitleRecordList, _super);
function AngularSubTitleRecordList(defaults) {
_super.apply(this, arguments);
}
AngularSubTitleRecordList.RecordType = GaugeChartsMobileModel.AngularSubTitleRecord;
return AngularSubTitleRecordList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.AngularSubTitleRecordList = AngularSubTitleRecordList;

});
define("GaugeChartsMobile.model$Ticks2List", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$Ticks2Rec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var Ticks2List = (function (_super) {
__extends(Ticks2List, _super);
function Ticks2List(defaults) {
_super.apply(this, arguments);
}
Ticks2List.RecordType = GaugeChartsMobileModel.Ticks2Rec;
return Ticks2List;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.Ticks2List = Ticks2List;

});
define("GaugeChartsMobile.model$DialList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$DialRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var DialList = (function (_super) {
__extends(DialList, _super);
function DialList(defaults) {
_super.apply(this, arguments);
}
DialList.RecordType = GaugeChartsMobileModel.DialRec;
return DialList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.DialList = DialList;

});
define("GaugeChartsMobile.model$SolidChartTitleList", ["exports", "OutSystems", "GaugeChartsMobile.model", "GaugeChartsMobile.model$SolidChartTitleRec"], function (exports, OutSystems, GaugeChartsMobileModel) {
var OS = OutSystems.Internal;
var SolidChartTitleList = (function (_super) {
__extends(SolidChartTitleList, _super);
function SolidChartTitleList(defaults) {
_super.apply(this, arguments);
}
SolidChartTitleList.RecordType = GaugeChartsMobileModel.SolidChartTitleRec;
return SolidChartTitleList;
})(OS.DataTypes.GenericRecordList);
GaugeChartsMobileModel.SolidChartTitleList = SolidChartTitleList;

});
define("GaugeChartsMobile.model", ["exports", "OutSystems"], function (exports, OutSystems) {
var OS = OutSystems.Internal;
var GaugeChartsMobileModel = exports;
Object.defineProperty(GaugeChartsMobileModel, "module", {
get: function () {
return OS.ApplicationInfo.getModules()["667e8f13-89ef-4130-ad17-5944a533c653"];
}
});

GaugeChartsMobileModel.staticEntities = {};
GaugeChartsMobileModel.staticEntities.legendPosition = {};
var getLegendPositionRecord = function (record) {
return OS.ApplicationInfo.getModules()["38b70e23-50fc-4710-80cf-3682a9dc998a"].staticEntities["6f55558f-9a5c-49bb-bc32-8180c0ac0d73"][record];
};
Object.defineProperty(GaugeChartsMobileModel.staticEntities.legendPosition, "bottom", {
get: function () {
return OS.BuiltinFunctions.textToInteger(getLegendPositionRecord("24063cd8-b015-4fb7-8ceb-c4cf65110444"));
}
});

Object.defineProperty(GaugeChartsMobileModel.staticEntities.legendPosition, "right", {
get: function () {
return OS.BuiltinFunctions.textToInteger(getLegendPositionRecord("2c2e4610-d5b5-4738-9474-83ca4e40f33b"));
}
});

Object.defineProperty(GaugeChartsMobileModel.staticEntities.legendPosition, "inside", {
get: function () {
return OS.BuiltinFunctions.textToInteger(getLegendPositionRecord("33fda788-9eba-426b-be1d-284323c6ae2a"));
}
});

Object.defineProperty(GaugeChartsMobileModel.staticEntities.legendPosition, "left", {
get: function () {
return OS.BuiltinFunctions.textToInteger(getLegendPositionRecord("5314c097-85bd-407c-84f9-f0ebd17b75ce"));
}
});

Object.defineProperty(GaugeChartsMobileModel.staticEntities.legendPosition, "hidden", {
get: function () {
return OS.BuiltinFunctions.textToInteger(getLegendPositionRecord("6519bee3-d71b-41ae-8e57-a377f8aaa6c3"));
}
});

Object.defineProperty(GaugeChartsMobileModel.staticEntities.legendPosition, "top", {
get: function () {
return OS.BuiltinFunctions.textToInteger(getLegendPositionRecord("e0495156-d508-4fc2-a3ed-77a194c65b49"));
}
});

});
