﻿define("InputMasksMobile.InputMasks.CurrencyMask.mvc$model", ["OutSystems", "InputMasksMobile.model", "InputMasksMobile.controller", "InputMasksMobile.controller$ForceAnimatedLabel", "InputMasksMobile.controller$ForceInvalid"], function (OutSystems, InputMasksMobileModel, InputMasksMobileController) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("MaskedValue", "maskedValueVar", "MaskedValue", true, OS.Types.Text, function () {
return "";
}), 
this.attr("maxLength", "maxLengthVar", "maxLength", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("ShowValidationMessage", "showValidationMessageVar", "ShowValidationMessage", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("ForceUpdateTimeout", "forceUpdateTimeoutVar", "ForceUpdateTimeout", true, OS.Types.Object, function () {
return null;
}), 
this.attr("DecimalDigits", "decimalDigitsIn", "DecimalDigits", true, OS.Types.Integer, function () {
return 2;
}), 
this.attr("_decimalDigitsInDataFetchStatus", "_decimalDigitsInDataFetchStatus", "_decimalDigitsInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("DecimalSeparator", "decimalSeparatorIn", "DecimalSeparator", true, OS.Types.Text, function () {
return ",";
}), 
this.attr("_decimalSeparatorInDataFetchStatus", "_decimalSeparatorInDataFetchStatus", "_decimalSeparatorInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("GroupSeparator", "groupSeparatorIn", "GroupSeparator", true, OS.Types.Text, function () {
return ".";
}), 
this.attr("_groupSeparatorInDataFetchStatus", "_groupSeparatorInDataFetchStatus", "_groupSeparatorInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("CurrencySymbol", "currencySymbolIn", "CurrencySymbol", true, OS.Types.Text, function () {
return "$";
}), 
this.attr("_currencySymbolInDataFetchStatus", "_currencySymbolInDataFetchStatus", "_currencySymbolInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IsSuffix", "isSuffixIn", "IsSuffix", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_isSuffixInDataFetchStatus", "_isSuffixInDataFetchStatus", "_isSuffixInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {
MaskedInput: OS.Model.ValidationWidgetRecord
};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return true;
}
});

Model.prototype.setInputs = function (inputs) {
if("DecimalDigits" in inputs) {
this.variables.decimalDigitsIn = inputs.DecimalDigits;
if("_decimalDigitsInDataFetchStatus" in inputs) {
this.variables._decimalDigitsInDataFetchStatus = inputs._decimalDigitsInDataFetchStatus;
}

}

if("DecimalSeparator" in inputs) {
this.variables.decimalSeparatorIn = inputs.DecimalSeparator;
if("_decimalSeparatorInDataFetchStatus" in inputs) {
this.variables._decimalSeparatorInDataFetchStatus = inputs._decimalSeparatorInDataFetchStatus;
}

}

if("GroupSeparator" in inputs) {
this.variables.groupSeparatorIn = inputs.GroupSeparator;
if("_groupSeparatorInDataFetchStatus" in inputs) {
this.variables._groupSeparatorInDataFetchStatus = inputs._groupSeparatorInDataFetchStatus;
}

}

if("CurrencySymbol" in inputs) {
this.variables.currencySymbolIn = inputs.CurrencySymbol;
if("_currencySymbolInDataFetchStatus" in inputs) {
this.variables._currencySymbolInDataFetchStatus = inputs._currencySymbolInDataFetchStatus;
}

}

if("IsSuffix" in inputs) {
this.variables.isSuffixIn = inputs.IsSuffix;
if("_isSuffixInDataFetchStatus" in inputs) {
this.variables._isSuffixInDataFetchStatus = inputs._isSuffixInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("InputMasksMobile.InputMasks.CurrencyMask.mvc$view", ["OutSystems", "InputMasksMobile.model", "InputMasksMobile.controller", "react", "OutSystemsReactView", "InputMasksMobile.InputMasks.CurrencyMask.mvc$model", "InputMasksMobile.InputMasks.CurrencyMask.mvc$controller", "OutSystemsReactWidgets", "InputMasksMobile.controller$ForceAnimatedLabel", "InputMasksMobile.controller$ForceInvalid"], function (OutSystems, InputMasksMobileModel, InputMasksMobileController, React, OSView, InputMasksMobile_InputMasks_CurrencyMask_mvc_model, InputMasksMobile_InputMasks_CurrencyMask_mvc_controller, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "InputMasks.CurrencyMask";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css", "css/InputMasksMobile.InputMasks.CurrencyMask.css"];
        };
        View.getJsDependencies = function() {
            return ["scripts/InputMasksMobile.InputMasks.js"];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return InputMasksMobile_InputMasks_CurrencyMask_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return InputMasksMobile_InputMasks_CurrencyMask_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "inputmasksmobile currency-mask",
visible: true,
_idProps: {
service: idService,
name: "CurrencyMask"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "masked-content",
visible: true,
_idProps: {
service: idService,
name: "MaskedContent"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Input, {
_validationProps: {
validationService: validationService
},
enabled: true,
extendedProperties: {
maxLength: model.getCachedValue(idService.getId("MaskedInput.maxlength"), function () {
return ((((model.variables.maxLengthVar) !== (OS.BuiltinFunctions.nullIdentifier()))) ? ((model.variables.maxLengthVar).toString()) : (""));
}, function () {
return model.variables.maxLengthVar;
}),
type: "tel"
},
gridProperties: {
classes: "OSFillParent"
},
inputType: /*Text*/ 0,
mandatory: false,
maxLength: 0,
style: "form-control masked-value",
variable: model.createVariable(OS.Types.Text, model.variables.maskedValueVar, function (value) {
model.variables.maskedValueVar = value;
}),
_idProps: {
service: idService,
name: "MaskedInput"
},
_widgetRecordProvider: widgetsRecordProvider
}), $if(model.variables.showValidationMessageVar, false, this, function () {
return [React.createElement(OSWidgets.AdvancedHtml, {
extendedProperties: {
className: "custom-validation-message validation-message"
},
tag: "span",
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider
})];
}, function () {
return [];
})), React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.input,
extendedEvents: {
"componentdidmount": function () {
var eventHandlerContext = callContext.clone();
controller.onVanillaInputUpdateOrMount$Action(controller.callContext(eventHandlerContext));

;
},
"componentdidupdate": function () {
var eventHandlerContext = callContext.clone();
controller.onVanillaInputUpdateOrMount$Action(controller.callContext(eventHandlerContext));

;
}
},
style: "hidden vanilla-input",
_idProps: {
service: idService,
name: "Input"
},
_widgetRecordProvider: widgetsRecordProvider
})));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("InputMasksMobile.InputMasks.CurrencyMask.mvc$controller", ["OutSystems", "InputMasksMobile.model", "InputMasksMobile.controller", "InputMasksMobile.languageResources", "InputMasksMobile.InputMasks.CurrencyMask.mvc$controller.OnReady.FormatCurrencyUnitJS", "InputMasksMobile.InputMasks.CurrencyMask.mvc$controller.OnReady.FormatCurrencySuffixJS", "InputMasksMobile.InputMasks.CurrencyMask.mvc$controller.OnReady.PrepareInputJS", "InputMasksMobile.InputMasks.CurrencyMask.mvc$controller.MaskValue.GetDefaultValueJS", "InputMasksMobile.InputMasks.CurrencyMask.mvc$controller.OnDestroy.ClearTimeoutJS", "InputMasksMobile.InputMasks.CurrencyMask.mvc$controller.ForceUpdateMask.CallMaskValueJS", "InputMasksMobile.InputMasks.CurrencyMask.mvc$controller.UnmaskValue.UnmaskSuffixJS", "InputMasksMobile.InputMasks.CurrencyMask.mvc$controller.UnmaskValue.UnmaskUnitJS", "InputMasksMobile.InputMasks.CurrencyMask.mvc$controller.OnVanillaInputUpdateOrMount.MaskValueJS", "InputMasksMobile.controller$ForceAnimatedLabel", "InputMasksMobile.controller$ForceInvalid"], function (OutSystems, InputMasksMobileModel, InputMasksMobileController, InputMasksMobileLanguageResources, InputMasksMobile_InputMasks_CurrencyMask_mvc_controller_OnReady_FormatCurrencyUnitJS, InputMasksMobile_InputMasks_CurrencyMask_mvc_controller_OnReady_FormatCurrencySuffixJS, InputMasksMobile_InputMasks_CurrencyMask_mvc_controller_OnReady_PrepareInputJS, InputMasksMobile_InputMasks_CurrencyMask_mvc_controller_MaskValue_GetDefaultValueJS, InputMasksMobile_InputMasks_CurrencyMask_mvc_controller_OnDestroy_ClearTimeoutJS, InputMasksMobile_InputMasks_CurrencyMask_mvc_controller_ForceUpdateMask_CallMaskValueJS, InputMasksMobile_InputMasks_CurrencyMask_mvc_controller_UnmaskValue_UnmaskSuffixJS, InputMasksMobile_InputMasks_CurrencyMask_mvc_controller_UnmaskValue_UnmaskUnitJS, InputMasksMobile_InputMasks_CurrencyMask_mvc_controller_OnVanillaInputUpdateOrMount_MaskValueJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {
forceUpdateMask$Action: function () {
return controller.executeActionInsideJSNode(controller._forceUpdateMask$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
},
unmaskValue$Action: function () {
return controller.executeActionInsideJSNode(controller._unmaskValue$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
},
maskValue$Action: function () {
return controller.executeActionInsideJSNode(controller._maskValue$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
}
};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._onReady$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnReady");
callContext = controller.callContext(callContext);
var prepareInputJSResult = new OS.DataTypes.VariableHolder();
// Prepares the MaskedInput considering the VanillaInput's attributes and adds an event listener to unmask the value.
prepareInputJSResult.value = controller.safeExecuteJSNode(InputMasksMobile_InputMasks_CurrencyMask_mvc_controller_OnReady_PrepareInputJS, "PrepareInput", "OnReady", {
DecimalDigits: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.decimalDigitsIn, OS.Types.Integer, true),
MaskedContentId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("CurrencyMask"), OS.Types.Text, true),
PlaceholderId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("Input"), OS.Types.Text, true),
DecimalSeparator: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.decimalSeparatorIn, OS.Types.Text, true),
CurrencySymbol: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.currencySymbolIn, OS.Types.Text, true),
MaskedInputId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("MaskedInput"), OS.Types.Text, true),
GroupSeparator: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.groupSeparatorIn, OS.Types.Text, true),
MaxLength: OS.DataTypes.JSConversions.basicTypeToJS(0, OS.Types.Integer, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("InputMasksMobile.InputMasks.CurrencyMask.OnReady$prepareInputJSResult"))();
jsNodeResult.maxLengthOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.MaxLength, OS.Types.Integer);
return jsNodeResult;
}, {
ForceUpdateMask: controller.clientActionProxies.forceUpdateMask$Action,
UnmaskValue: controller.clientActionProxies.unmaskValue$Action
}, {});
// maxLength = PrepareInput.MaxLength
model.variables.maxLengthVar = prepareInputJSResult.value.maxLengthOut;
if((model.variables.isSuffixIn)) {
// Calls a function to mask a currency value.
controller.safeExecuteJSNode(InputMasksMobile_InputMasks_CurrencyMask_mvc_controller_OnReady_FormatCurrencySuffixJS, "FormatCurrencySuffix", "OnReady", {
DecimalSeparator: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.decimalSeparatorIn, OS.Types.Text, true),
CurrencySymbol: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.currencySymbolIn, OS.Types.Text, true),
GroupSeparator: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.groupSeparatorIn, OS.Types.Text, true),
DecimalDigits: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.decimalDigitsIn, OS.Types.Integer, true),
MaskedContentId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("MaskedContent"), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
} else {
// Calls a function to mask a currency value.
controller.safeExecuteJSNode(InputMasksMobile_InputMasks_CurrencyMask_mvc_controller_OnReady_FormatCurrencyUnitJS, "FormatCurrencyUnit", "OnReady", {
MaskedContentId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("MaskedContent"), OS.Types.Text, true),
CurrencySymbol: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.currencySymbolIn, OS.Types.Text, true),
DecimalDigits: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.decimalDigitsIn, OS.Types.Integer, true),
GroupSeparator: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.groupSeparatorIn, OS.Types.Text, true),
DecimalSeparator: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.decimalSeparatorIn, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
}

};
Controller.registerVariableGroupType("InputMasksMobile.InputMasks.CurrencyMask.OnReady$prepareInputJSResult", [{
name: "MaxLength",
attrName: "maxLengthOut",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
Controller.prototype._maskValue$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("MaskValue");
callContext = controller.callContext(callContext);
var getDefaultValueJSResult = new OS.DataTypes.VariableHolder();
getDefaultValueJSResult.value = controller.safeExecuteJSNode(InputMasksMobile_InputMasks_CurrencyMask_mvc_controller_MaskValue_GetDefaultValueJS, "GetDefaultValue", "MaskValue", {
DecimalDigits: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.decimalDigitsIn, OS.Types.Integer, true),
MaskedInputContainerWidgetId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("MaskedContent"), OS.Types.Text, true),
IsSuffix: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.isSuffixIn, OS.Types.Boolean, true),
DecimalSeparator: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.decimalSeparatorIn, OS.Types.Text, true),
GroupSeparator: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.groupSeparatorIn, OS.Types.Text, true),
CurrencySymbol: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.currencySymbolIn, OS.Types.Text, true),
PlaceholderWidgetId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("Input"), OS.Types.Text, true),
MaskedValueVanillaInput: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
MaskedInputObj: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("InputMasksMobile.InputMasks.CurrencyMask.MaskValue$getDefaultValueJSResult"))();
jsNodeResult.maskedValueVanillaInputOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.MaskedValueVanillaInput, OS.Types.Text);
jsNodeResult.maskedInputObjOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.MaskedInputObj, OS.Types.Object);
return jsNodeResult;
}, {}, {});
// MaskedValue = GetDefaultValue.MaskedValueVanillaInput
model.variables.maskedValueVar = getDefaultValueJSResult.value.maskedValueVanillaInputOut;
// Execute Action: ForceAnimatedLabel
InputMasksMobileController.default.forceAnimatedLabel$Action(getDefaultValueJSResult.value.maskedInputObjOut, ((model.variables.maskedValueVar) !== ("")), callContext);
};
Controller.registerVariableGroupType("InputMasksMobile.InputMasks.CurrencyMask.MaskValue$getDefaultValueJSResult", [{
name: "MaskedValueVanillaInput",
attrName: "maskedValueVanillaInputOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "MaskedInputObj",
attrName: "maskedInputObjOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
Controller.prototype._onDestroy$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnDestroy");
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(InputMasksMobile_InputMasks_CurrencyMask_mvc_controller_OnDestroy_ClearTimeoutJS, "ClearTimeout", "OnDestroy", {
ForceUpdateTimeout: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.forceUpdateTimeoutVar, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
};
Controller.prototype._forceUpdateMask$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("ForceUpdateMask");
callContext = controller.callContext(callContext);
var callMaskValueJSResult = new OS.DataTypes.VariableHolder();
// This JS Node is needed since we need a timeout to wait the value updates
callMaskValueJSResult.value = controller.safeExecuteJSNode(InputMasksMobile_InputMasks_CurrencyMask_mvc_controller_ForceUpdateMask_CallMaskValueJS, "CallMaskValue", "ForceUpdateMask", {
ForceUpdateTimeout: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("InputMasksMobile.InputMasks.CurrencyMask.ForceUpdateMask$callMaskValueJSResult"))();
jsNodeResult.forceUpdateTimeoutOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ForceUpdateTimeout, OS.Types.Object);
return jsNodeResult;
}, {
MaskValue: controller.clientActionProxies.maskValue$Action
}, {});
// ForceUpdateTimeout = CallMaskValue.ForceUpdateTimeout
model.variables.forceUpdateTimeoutVar = callMaskValueJSResult.value.forceUpdateTimeoutOut;
};
Controller.registerVariableGroupType("InputMasksMobile.InputMasks.CurrencyMask.ForceUpdateMask$callMaskValueJSResult", [{
name: "ForceUpdateTimeout",
attrName: "forceUpdateTimeoutOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
Controller.prototype._unmaskValue$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("UnmaskValue");
callContext = controller.callContext(callContext);
if((model.variables.isSuffixIn)) {
// Calls a function to unmask a currency value.
controller.safeExecuteJSNode(InputMasksMobile_InputMasks_CurrencyMask_mvc_controller_UnmaskValue_UnmaskSuffixJS, "UnmaskSuffix", "UnmaskValue", {
DecimalDigits: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.decimalDigitsIn, OS.Types.Integer, true),
CurrencySymbol: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.currencySymbolIn, OS.Types.Text, true),
MaskedContentId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("MaskedContent"), OS.Types.Text, true),
DecimalSeparator: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.decimalSeparatorIn, OS.Types.Text, true),
GroupSeparator: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.groupSeparatorIn, OS.Types.Text, true),
PlaceholderId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("Input"), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
} else {
// Calls a function to unmask a currency value.
controller.safeExecuteJSNode(InputMasksMobile_InputMasks_CurrencyMask_mvc_controller_UnmaskValue_UnmaskUnitJS, "UnmaskUnit", "UnmaskValue", {
DecimalDigits: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.decimalDigitsIn, OS.Types.Integer, true),
GroupSeparator: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.groupSeparatorIn, OS.Types.Text, true),
DecimalSeparator: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.decimalSeparatorIn, OS.Types.Text, true),
MaskedContentId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("MaskedContent"), OS.Types.Text, true),
PlaceholderId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("Input"), OS.Types.Text, true),
CurrencySymbol: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.currencySymbolIn, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
}

};
Controller.prototype._onVanillaInputUpdateOrMount$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnVanillaInputUpdateOrMount");
callContext = controller.callContext(callContext);
var maskValueJSResult = new OS.DataTypes.VariableHolder();
maskValueJSResult.value = controller.safeExecuteJSNode(InputMasksMobile_InputMasks_CurrencyMask_mvc_controller_OnVanillaInputUpdateOrMount_MaskValueJS, "MaskValue", "OnVanillaInputUpdateOrMount", {
CurrencySymbol: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.currencySymbolIn, OS.Types.Text, true),
DecimalDigits: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.decimalDigitsIn, OS.Types.Integer, true),
GroupSeparator: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.groupSeparatorIn, OS.Types.Text, true),
MaskedContentId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("MaskedContent"), OS.Types.Text, true),
IsSuffix: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.isSuffixIn, OS.Types.Boolean, true),
PlaceholderWidgetId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("Input"), OS.Types.Text, true),
DecimalSeparator: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.decimalSeparatorIn, OS.Types.Text, true),
VanillaInputMaskedValue: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
MaskedInputObj: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true),
InputIsValid: OS.DataTypes.JSConversions.basicTypeToJS(true, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("InputMasksMobile.InputMasks.CurrencyMask.OnVanillaInputUpdateOrMount$maskValueJSResult"))();
jsNodeResult.vanillaInputMaskedValueOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.VanillaInputMaskedValue, OS.Types.Text);
jsNodeResult.maskedInputObjOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.MaskedInputObj, OS.Types.Object);
jsNodeResult.inputIsValidOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.InputIsValid, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
// VanillaHasValue?
if((((model.variables.maskedValueVar === "") && ((model.variables.maskedValueVar) !== (maskValueJSResult.value.vanillaInputMaskedValueOut))))) {
// MaskedValue = MaskValue.VanillaInputMaskedValue
model.variables.maskedValueVar = maskValueJSResult.value.vanillaInputMaskedValueOut;
// Execute Action: FocusAnimatedLabel
InputMasksMobileController.default.forceAnimatedLabel$Action(maskValueJSResult.value.maskedInputObjOut, true, callContext);
} else {
// VanillaIsEmpty
if(((((model.variables.maskedValueVar) !== ("")) && (maskValueJSResult.value.vanillaInputMaskedValueOut === "")))) {
// MaskedValue = MaskValue.VanillaInputMaskedValue
model.variables.maskedValueVar = maskValueJSResult.value.vanillaInputMaskedValueOut;
// Execute Action: BlurAnimatedLabel
InputMasksMobileController.default.forceAnimatedLabel$Action(maskValueJSResult.value.maskedInputObjOut, false, callContext);
} else {
// InvalidInput?
if((!(maskValueJSResult.value.inputIsValidOut))) {
// ShowValidationMessage = True
model.variables.showValidationMessageVar = true;
// Execute Action: ForceInvalid
InputMasksMobileController.default.forceInvalid$Action(idService.getId("Input"), false, callContext);
} else {
// IsValid
if((((model.variables.showValidationMessageVar === true) && (maskValueJSResult.value.inputIsValidOut === true)))) {
// Execute Action: ForceValid
InputMasksMobileController.default.forceInvalid$Action(idService.getId("Input"), true, callContext);
// ShowValidationMessage = False
model.variables.showValidationMessageVar = false;
}

}

}

}

};
Controller.registerVariableGroupType("InputMasksMobile.InputMasks.CurrencyMask.OnVanillaInputUpdateOrMount$maskValueJSResult", [{
name: "VanillaInputMaskedValue",
attrName: "vanillaInputMaskedValueOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "MaskedInputObj",
attrName: "maskedInputObjOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "InputIsValid",
attrName: "inputIsValidOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return true;
}
}]);

Controller.prototype.onReady$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onReady$Action, callContext);

};
Controller.prototype.maskValue$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._maskValue$Action, callContext);

};
Controller.prototype.onDestroy$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onDestroy$Action, callContext);

};
Controller.prototype.forceUpdateMask$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._forceUpdateMask$Action, callContext);

};
Controller.prototype.unmaskValue$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._unmaskValue$Action, callContext);

};
Controller.prototype.onVanillaInputUpdateOrMount$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onVanillaInputUpdateOrMount$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onReady$Action(callContext);

};
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onDestroy$Action(callContext);

};
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return InputMasksMobileController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, InputMasksMobileLanguageResources);
});
define("InputMasksMobile.InputMasks.CurrencyMask.mvc$controller.OnReady.FormatCurrencyUnitJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
(function() {

    VMasker(document.querySelector('#' + $parameters.MaskedContentId + ' .masked-value')).maskMoney({

        precision: $parameters.DecimalDigits,

        separator: $parameters.DecimalSeparator,

        delimiter: $parameters.GroupSeparator,

        unit: $parameters.CurrencySymbol

    });

})();
};
});
define("InputMasksMobile.InputMasks.CurrencyMask.mvc$controller.OnReady.FormatCurrencySuffixJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
(function() {

    VMasker(document.querySelector('#' + $parameters.MaskedContentId + ' .masked-value')).maskMoney({

        precision: $parameters.DecimalDigits,

        separator: $parameters.DecimalSeparator,

        delimiter: $parameters.GroupSeparator,

        suffixUnit: $parameters.CurrencySymbol

    });

})();
};
});
define("InputMasksMobile.InputMasks.CurrencyMask.mvc$controller.OnReady.PrepareInputJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var vanillaInput = document.querySelector("#"  +$parameters.PlaceholderId + " input"),
    maskedInput = document.querySelector('#' + $parameters.MaskedInputId),
    placeholder = document.querySelector("#" + $parameters.PlaceholderId),
    maxLength,
    integerPart
;

document.querySelector('#' + $parameters.MaskedInputId).RefreshMask = $actions.ForceUpdateMask;

// Check if the placeholder contains an input
if(vanillaInput) {
    
    // Prepare vanilla input into decimal value
    maskedInput.addEventListener("input", function() {
        $actions.UnmaskValue();
    });
    
    // Copy attributes from VanillaInput to MaskedInput
    Array.prototype.slice.call(vanillaInput.attributes).forEach(function(item) {
        if(item.name !== "class" && item.name !== "type" && item.name !== "pattern") {
            maskedInput.setAttribute(item.name, item.value);
    	} else if(item.name === "class") {
    	    maskedInput.setAttribute(item.name, item.value + " masked-value");
    	}
    });
    
    // Disable auto complete and auto correct
    if(vanillaInput.hasAttribute("autocomplete") === false ) {
        maskedInput.setAttribute("autocomplete","off");
    }
    if(vanillaInput.hasAttribute("autocorrect") === false) {
        maskedInput.setAttribute("autocorrect","off");
    }
    
    // Force keyboard
    vanillaInput.type = "tel";

    // Get Max Length information and manipulate it
    if(vanillaInput.hasAttribute("maxLength")) {
        
        maxLength = vanillaInput.maxLength;
        
        // Add groupSeparator length on maxLength if it exists
        if($parameters.GroupSeparator) {
            integerPart = maxLength - $parameters.DecimalDigits - $parameters.DecimalSeparator.length;
            maxLength = maxLength + ((Math.ceil(integerPart / 3) - 1) * $parameters.GroupSeparator.length);
        }
        
        // Add currencySymbol length on maxLength if it exists
        if($parameters.CurrencySymbol) {
            maxLength = maxLength + 1 + $parameters.CurrencySymbol.length;
        }
        
        $parameters.MaxLength = maxLength;
        
    }

// Hide vanillaInput if there is no input inside placeholder and make the placeholder visible
} else {
    document.querySelector("#" + $parameters.MaskedContentId).classList.add('hidden');
    if(placeholder.classList.contains('hidden')) {
        placeholder.classList.remove('hidden');
    }
    
}
};
});
define("InputMasksMobile.InputMasks.CurrencyMask.mvc$controller.MaskValue.GetDefaultValueJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var vanillaInput = document.querySelector('#' + $parameters.PlaceholderWidgetId + ' input'),
    maskedInput = document.querySelector('#' + $parameters.MaskedInputContainerWidgetId + ' input');
    opts = {
            precision: $parameters.DecimalDigits,
            separator: $parameters.DecimalSeparator,
            delimiter: $parameters.GroupSeparator
        }
;

if($parameters.IsSuffix === true) {
    opts.suffixUnit = $parameters.CurrencySymbol;
} else {
    opts.unit = $parameters.CurrencySymbol;
}

$parameters.MaskedValueVanillaInput = VMasker.toMoney(vanillaInput.value, opts);
$parameters.MaskedInputObj = maskedInput;
};
});
define("InputMasksMobile.InputMasks.CurrencyMask.mvc$controller.OnDestroy.ClearTimeoutJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
clearTimeout($parameters.ForceUpdateTimeout);
};
});
define("InputMasksMobile.InputMasks.CurrencyMask.mvc$controller.ForceUpdateMask.CallMaskValueJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.ForceUpdateTimeout = setTimeout(function() {
    $actions.MaskValue();
    clearTimeout($parameters.ForceUpdateTimeout);
}, 0);
};
});
define("InputMasksMobile.InputMasks.CurrencyMask.mvc$controller.UnmaskValue.UnmaskSuffixJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var maskedInput = document.querySelector('#' + $parameters.MaskedContentId + " .masked-value"),
    vanillaInput = document.querySelector("#"  + $parameters.PlaceholderId + " input")
;

// Unmask value
vanillaInput.value = VMasker.fromMoney(maskedInput.value, {
    precision: $parameters.DecimalDigits,
    separator: $parameters.DecimalSeparator,
    delimiter: $parameters.GroupSeparator,
    suffixUnit: $parameters.CurrencySymbol,
});

// Update OutSystems' variable
VMasker.updateOSVariable(vanillaInput);
};
});
define("InputMasksMobile.InputMasks.CurrencyMask.mvc$controller.UnmaskValue.UnmaskUnitJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var maskedInput = document.querySelector('#' + $parameters.MaskedContentId + " .masked-value"),
    vanillaInput = document.querySelector("#"  + $parameters.PlaceholderId + " input"),
    opts = {
        precision: $parameters.DecimalDigits,
        separator: $parameters.DecimalSeparator,
        delimiter: $parameters.GroupSeparator,
        unit: $parameters.CurrencySymbol,
    }
;

// Unmask Value
vanillaInput.value = VMasker.fromMoney(maskedInput.value, opts) !== 0 ? VMasker.fromMoney(maskedInput.value, opts) : "";

// Update OutSystems' variable
VMasker.updateOSVariable(vanillaInput);
};
});
define("InputMasksMobile.InputMasks.CurrencyMask.mvc$controller.OnVanillaInputUpdateOrMount.MaskValueJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var vanillaInput = document.querySelector('#' + $parameters.PlaceholderWidgetId + ' input'),
    maskedInput = document.querySelector('#' + $parameters.MaskedContentId + ' input'),
    opts = {
            precision: $parameters.DecimalDigits,
            separator: $parameters.DecimalSeparator,
            delimiter: $parameters.GroupSeparator
        }
;

if($parameters.IsSuffix === true) {
    opts.suffixUnit = $parameters.CurrencySymbol;
} else {
    opts.unit = $parameters.CurrencySymbol;
}

if(vanillaInput && maskedInput) {
    $parameters.VanillaInputMaskedValue = VMasker.toMoney(vanillaInput.value, opts) !== "$ 0" ? VMasker.toMoney(vanillaInput.value, opts) : "";
    $parameters.MaskedInputObj = maskedInput;
    
    if(vanillaInput.classList.contains('not-valid')) {
        $parameters.InputIsValid = false;
    }
}
};
});

