﻿define("InputMasksMobile.controller$FindClosest", ["exports", "OutSystems", "InputMasksMobile.model", "InputMasksMobile.controller", "InputMasksMobile.controller$FindClosest.FindClosestJS"], function (exports, OutSystems, InputMasksMobileModel, InputMasksMobileController, InputMasksMobile_controller_FindClosest_FindClosestJS) {
var OS = OutSystems.Internal;
InputMasksMobileController.default.findClosest$Action = function (elementIn, classToFindIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("InputMasksMobile.FindClosest$vars"))());
vars.value.elementInLocal = elementIn;
vars.value.classToFindInLocal = classToFindIn;
var findClosestJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("InputMasksMobile.FindClosest$outVars"))());
findClosestJSResult.value = controller.safeExecuteJSNode(InputMasksMobile_controller_FindClosest_FindClosestJS, "FindClosest", "FindClosest", {
Element: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.elementInLocal, OS.Types.Object, true),
ClassToFind: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.classToFindInLocal, OS.Types.Text, true),
Output: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("InputMasksMobile.FindClosest$findClosestJSResult"))();
jsNodeResult.outputOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Output, OS.Types.Object);
return jsNodeResult;
}, {}, {});
// ElementOutput = FindClosest.Output
outVars.value.elementOutputOut = findClosestJSResult.value.outputOut;
return outVars.value;
};
var controller = InputMasksMobileController.default;
InputMasksMobileController.default.constructor.registerVariableGroupType("InputMasksMobile.FindClosest$vars", [{
name: "Element",
attrName: "elementInLocal",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "ClassToFind",
attrName: "classToFindInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
InputMasksMobileController.default.constructor.registerVariableGroupType("InputMasksMobile.FindClosest$findClosestJSResult", [{
name: "Output",
attrName: "outputOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
InputMasksMobileController.default.constructor.registerVariableGroupType("InputMasksMobile.FindClosest$outVars", [{
name: "ElementOutput",
attrName: "elementOutputOut",
mandatory: false,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
InputMasksMobileController.default.clientActionProxies.findClosest$Action = function (elementIn, classToFindIn) {
elementIn = (elementIn === undefined) ? null : elementIn;
classToFindIn = (classToFindIn === undefined) ? "" : classToFindIn;
return controller.executeActionInsideJSNode(InputMasksMobileController.default.findClosest$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(elementIn, OS.Types.Object), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(classToFindIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
ElementOutput: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.elementOutputOut, OS.Types.Object, true)
};
});
};
});
define("InputMasksMobile.controller$FindClosest.FindClosestJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var classesStr = $parameters.ClassToFind.split('.'),
    findClosest = function(element, classes) {
        var counter = 0;
        // Only execute if the element exists
        if(element) {
            
            // Matches classes
            for(var i = 0; i < classes.length; i++) {
                if(element.classList.contains(classes[i])) {
                    counter++;
                }
            }
            
            // Verify if the element has all listed classes
            if(counter === classes.length) {
                $parameters.Output =  element;
            } else {
                // Execute the function again for parents limiting it to the screen content
                if(!element.parentElement.classList.contains('screen')) {
                    findClosest(element.parentElement, classes);
                }
            }
        }
    }
;

findClosest($parameters.Element, classesStr);
};
});

define("InputMasksMobile.controller$ForceAnimatedLabel", ["exports", "OutSystems", "InputMasksMobile.model", "InputMasksMobile.controller", "InputMasksMobile.controller$ForceAnimatedLabel.ForceInputBlurJS", "InputMasksMobile.controller$FindClosest"], function (exports, OutSystems, InputMasksMobileModel, InputMasksMobileController, InputMasksMobile_controller_ForceAnimatedLabel_ForceInputBlurJS) {
var OS = OutSystems.Internal;
InputMasksMobileController.default.forceAnimatedLabel$Action = function (elementIn, isActiveIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("InputMasksMobile.ForceAnimatedLabel$vars"))());
vars.value.elementInLocal = elementIn;
vars.value.isActiveInLocal = isActiveIn;
controller.safeExecuteJSNode(InputMasksMobile_controller_ForceAnimatedLabel_ForceInputBlurJS, "ForceInputBlur", "ForceAnimatedLabel", {
Element: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.elementInLocal, OS.Types.Object, true),
IsActive: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.isActiveInLocal, OS.Types.Boolean, true)
}, function ($parameters) {
}, {
FindClosest: InputMasksMobileController.default.clientActionProxies.findClosest$Action
}, {});
return ;
};
var controller = InputMasksMobileController.default;
InputMasksMobileController.default.constructor.registerVariableGroupType("InputMasksMobile.ForceAnimatedLabel$vars", [{
name: "Element",
attrName: "elementInLocal",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "IsActive",
attrName: "isActiveInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
InputMasksMobileController.default.clientActionProxies.forceAnimatedLabel$Action = function (elementIn, isActiveIn) {
elementIn = (elementIn === undefined) ? null : elementIn;
isActiveIn = (isActiveIn === undefined) ? false : isActiveIn;
return controller.executeActionInsideJSNode(InputMasksMobileController.default.forceAnimatedLabel$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(elementIn, OS.Types.Object), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(isActiveIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("InputMasksMobile.controller$ForceAnimatedLabel.ForceInputBlurJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var animatedLabel = $actions.FindClosest($parameters.Element, 'animated-label').ElementOutput ? $actions.FindClosest($parameters.Element, 'animated-label').ElementOutput : null;

if(animatedLabel) {
    setTimeout(function() {
        if($parameters.IsActive) {
            if(!animatedLabel.classList.contains('active')) {
                animatedLabel.classList.add('active');
            }
        } else {
            if(animatedLabel.classList.contains('active')) {
                animatedLabel.classList.remove('active');
            }
        }
    }, 0);
}
};
});

define("InputMasksMobile.controller$ForceInvalid", ["exports", "OutSystems", "InputMasksMobile.model", "InputMasksMobile.controller", "InputMasksMobile.controller$ForceInvalid.ForceInvalidJS", "InputMasksMobile.controller$FindClosest"], function (exports, OutSystems, InputMasksMobileModel, InputMasksMobileController, InputMasksMobile_controller_ForceInvalid_ForceInvalidJS) {
var OS = OutSystems.Internal;
InputMasksMobileController.default.forceInvalid$Action = function (widgetIdIn, isValidIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("InputMasksMobile.ForceInvalid$vars"))());
vars.value.widgetIdInLocal = widgetIdIn;
vars.value.isValidInLocal = isValidIn;
controller.safeExecuteJSNode(InputMasksMobile_controller_ForceInvalid_ForceInvalidJS, "ForceInvalid", "ForceInvalid", {
IsValid: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.isValidInLocal, OS.Types.Boolean, true),
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.widgetIdInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {
FindClosest: InputMasksMobileController.default.clientActionProxies.findClosest$Action
}, {});
return ;
};
var controller = InputMasksMobileController.default;
InputMasksMobileController.default.constructor.registerVariableGroupType("InputMasksMobile.ForceInvalid$vars", [{
name: "WidgetId",
attrName: "widgetIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "IsValid",
attrName: "isValidInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
InputMasksMobileController.default.clientActionProxies.forceInvalid$Action = function (widgetIdIn, isValidIn) {
widgetIdIn = (widgetIdIn === undefined) ? "" : widgetIdIn;
isValidIn = (isValidIn === undefined) ? false : isValidIn;
return controller.executeActionInsideJSNode(InputMasksMobileController.default.forceInvalid$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(widgetIdIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(isValidIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("InputMasksMobile.controller$ForceInvalid.ForceInvalidJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var vanillaInputPlaceholder = document.getElementById($parameters.WidgetId),
    vanillaInput = vanillaInputPlaceholder.querySelector('input'),
    vanillaValidationSpan = vanillaInputPlaceholder.querySelector('span.validation-message'),
    inputMasksContainer = $actions.FindClosest(vanillaInputPlaceholder, 'inputmasksmobile').ElementOutput ? $actions.FindClosest(vanillaInputPlaceholder, 'inputmasksmobile').ElementOutput : null,
    MaskedValidationSpan = inputMasksContainer ? inputMasksContainer.querySelector('.custom-validation-message') : null,
    maskedInput = inputMasksContainer.querySelector('.masked-content input')
;

// Force invalid
if(vanillaInput && vanillaInput.classList.contains('not-valid') && vanillaValidationSpan && MaskedValidationSpan && !$parameters.IsValid) {
    if(maskedInput && !maskedInput.classList.contains('not-valid')) {
        maskedInput.classList.add('not-valid');
    }
    MaskedValidationSpan.innerHTML = vanillaValidationSpan.innerHTML;
}

// Foce valid
if(vanillaInput && !vanillaInput.classList.contains('not-valid') && MaskedValidationSpan && $parameters.IsValid) {
    if(maskedInput && maskedInput.classList.contains('not-valid')) {
        maskedInput.classList.remove('not-valid');
    }
    MaskedValidationSpan.innerHTML = "";
}
};
});

define("InputMasksMobile.controller$ForceUpdate", ["exports", "OutSystems", "InputMasksMobile.model", "InputMasksMobile.controller", "InputMasksMobile.controller$ForceUpdate.ForceUpdateJS"], function (exports, OutSystems, InputMasksMobileModel, InputMasksMobileController, InputMasksMobile_controller_ForceUpdate_ForceUpdateJS) {
var OS = OutSystems.Internal;
InputMasksMobileController.default.forceUpdate$Action = function (widgetIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("InputMasksMobile.ForceUpdate$vars"))());
vars.value.widgetIdInLocal = widgetIdIn;
controller.safeExecuteJSNode(InputMasksMobile_controller_ForceUpdate_ForceUpdateJS, "ForceUpdate", "ForceUpdate", {
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.widgetIdInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
return ;
};
var controller = InputMasksMobileController.default;
InputMasksMobileController.default.constructor.registerVariableGroupType("InputMasksMobile.ForceUpdate$vars", [{
name: "WidgetId",
attrName: "widgetIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
InputMasksMobileController.default.clientActionProxies.forceUpdate$Action = function (widgetIdIn) {
widgetIdIn = (widgetIdIn === undefined) ? "" : widgetIdIn;
return controller.executeActionInsideJSNode(InputMasksMobileController.default.forceUpdate$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(widgetIdIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("InputMasksMobile.controller$ForceUpdate.ForceUpdateJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var maskedInput = document.querySelector('#' + $parameters.WidgetId + ' .masked-content input');

if(maskedInput && maskedInput.RefreshMask) {
    maskedInput.RefreshMask();
}
};
});

define("InputMasksMobile.controller", ["exports", "OutSystems", "InputMasksMobile.model"], function (exports, OutSystems, InputMasksMobileModel) {
var OS = OutSystems.Internal;
var InputMasksMobileController = exports;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
}
Controller.prototype.clientActionProxies = {};
Controller.prototype.roles = {};
Controller.prototype.defaultTimeout = 10;
Controller.prototype.getDefaultTimeout = function () {
return InputMasksMobileController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseModuleController);
InputMasksMobileController.default = new Controller();
});
