﻿define("MobilePatterns.controller$CarouselGoTo", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$CarouselGoTo.CallGoToActionJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_CarouselGoTo_CallGoToActionJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.carouselGoTo$Action = function (widgetIdIn, targetIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.Carousel.CarouselGoTo$vars"))());
vars.value.widgetIdInLocal = widgetIdIn;
vars.value.targetInLocal = targetIn;
controller.safeExecuteJSNode(MobilePatterns_controller_CarouselGoTo_CallGoToActionJS, "CallGoToAction", "CarouselGoTo", {
Target: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.targetInLocal, OS.Types.Integer, true),
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.widgetIdInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.Carousel.CarouselGoTo$vars", [{
name: "WidgetId",
attrName: "widgetIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Target",
attrName: "targetInLocal",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
MobilePatternsController.default.clientActionProxies.carouselGoTo$Action = function (widgetIdIn, targetIn) {
widgetIdIn = (widgetIdIn === undefined) ? "" : widgetIdIn;
targetIn = (targetIn === undefined) ? 0 : targetIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.carouselGoTo$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(widgetIdIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(targetIn, OS.Types.Integer)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$CarouselGoTo.CallGoToActionJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var element = document.getElementById($parameters.WidgetId).querySelector('.carousel-container-content').goto($parameters.Target);
};
});

define("MobilePatterns.controller$CarouselNext", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$CarouselNext.CallNextActionJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_CarouselNext_CallNextActionJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.carouselNext$Action = function (widgetIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.Carousel.CarouselNext$vars"))());
vars.value.widgetIdInLocal = widgetIdIn;
controller.safeExecuteJSNode(MobilePatterns_controller_CarouselNext_CallNextActionJS, "CallNextAction", "CarouselNext", {
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.widgetIdInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.Carousel.CarouselNext$vars", [{
name: "WidgetId",
attrName: "widgetIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobilePatternsController.default.clientActionProxies.carouselNext$Action = function (widgetIdIn) {
widgetIdIn = (widgetIdIn === undefined) ? "" : widgetIdIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.carouselNext$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(widgetIdIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$CarouselNext.CallNextActionJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var element = document.getElementById($parameters.WidgetId).querySelector('.carousel-container-content').next();
};
});

define("MobilePatterns.controller$CarouselPrevious", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$CarouselPrevious.CallPreviousActionJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_CarouselPrevious_CallPreviousActionJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.carouselPrevious$Action = function (widgetIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.Carousel.CarouselPrevious$vars"))());
vars.value.widgetIdInLocal = widgetIdIn;
controller.safeExecuteJSNode(MobilePatterns_controller_CarouselPrevious_CallPreviousActionJS, "CallPreviousAction", "CarouselPrevious", {
IdCarousel: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.widgetIdInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.Carousel.CarouselPrevious$vars", [{
name: "WidgetId",
attrName: "widgetIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobilePatternsController.default.clientActionProxies.carouselPrevious$Action = function (widgetIdIn) {
widgetIdIn = (widgetIdIn === undefined) ? "" : widgetIdIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.carouselPrevious$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(widgetIdIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$CarouselPrevious.CallPreviousActionJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var element = document.getElementById($parameters.IdCarousel).querySelector('.carousel-container-content').previous();
};
});

define("MobilePatterns.controller$CarouselUpdate", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$CarouselUpdate.CallUpdateActionJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_CarouselUpdate_CallUpdateActionJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.carouselUpdate$Action = function (widgetIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.Carousel.CarouselUpdate$vars"))());
vars.value.widgetIdInLocal = widgetIdIn;
controller.safeExecuteJSNode(MobilePatterns_controller_CarouselUpdate_CallUpdateActionJS, "CallUpdateAction", "CarouselUpdate", {
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.widgetIdInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.Carousel.CarouselUpdate$vars", [{
name: "WidgetId",
attrName: "widgetIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobilePatternsController.default.clientActionProxies.carouselUpdate$Action = function (widgetIdIn) {
widgetIdIn = (widgetIdIn === undefined) ? "" : widgetIdIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.carouselUpdate$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(widgetIdIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$CarouselUpdate.CallUpdateActionJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var element = document.getElementById($parameters.WidgetId).querySelector('.carousel-container-content').updateCarousel();
};
});

define("MobilePatterns.controller$ConfigureOfflineDataSync", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$ConfigureOfflineDataSync.ConfigureOfflineDataSyncJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_ConfigureOfflineDataSync_ConfigureOfflineDataSyncJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.configureOfflineDataSync$Action = function (syncOnOnlineIn, syncOnResumeIn, retryOnErrorIn, retryIntervalInSecondsIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.BaseActions.ConfigureOfflineDataSync$vars"))());
vars.value.syncOnOnlineInLocal = syncOnOnlineIn;
vars.value.syncOnResumeInLocal = syncOnResumeIn;
vars.value.retryOnErrorInLocal = retryOnErrorIn;
vars.value.retryIntervalInSecondsInLocal = retryIntervalInSecondsIn;
controller.safeExecuteJSNode(MobilePatterns_controller_ConfigureOfflineDataSync_ConfigureOfflineDataSyncJS, "ConfigureOfflineDataSync", "ConfigureOfflineDataSync", {
SyncOnResume: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.syncOnResumeInLocal, OS.Types.Boolean, true),
RetryIntervalInSeconds: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.retryIntervalInSecondsInLocal, OS.Types.Integer, true),
SyncOnOnline: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.syncOnOnlineInLocal, OS.Types.Boolean, true),
RetryOnError: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.retryOnErrorInLocal, OS.Types.Boolean, true)
}, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.BaseActions.ConfigureOfflineDataSync$vars", [{
name: "SyncOnOnline",
attrName: "syncOnOnlineInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "SyncOnResume",
attrName: "syncOnResumeInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "RetryOnError",
attrName: "retryOnErrorInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "RetryIntervalInSeconds",
attrName: "retryIntervalInSecondsInLocal",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
MobilePatternsController.default.clientActionProxies.configureOfflineDataSync$Action = function (syncOnOnlineIn, syncOnResumeIn, retryOnErrorIn, retryIntervalInSecondsIn) {
syncOnOnlineIn = (syncOnOnlineIn === undefined) ? false : syncOnOnlineIn;
syncOnResumeIn = (syncOnResumeIn === undefined) ? false : syncOnResumeIn;
retryOnErrorIn = (retryOnErrorIn === undefined) ? false : retryOnErrorIn;
retryIntervalInSecondsIn = (retryIntervalInSecondsIn === undefined) ? 0 : retryIntervalInSecondsIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.configureOfflineDataSync$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(syncOnOnlineIn, OS.Types.Boolean), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(syncOnResumeIn, OS.Types.Boolean), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(retryOnErrorIn, OS.Types.Boolean), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(retryIntervalInSecondsIn, OS.Types.Integer)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$ConfigureOfflineDataSync.ConfigureOfflineDataSyncJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
window.offlineDataSync.configure(
    $parameters.SyncOnOnline,
    $parameters.SyncOnResume,
    $parameters.RetryOnError,
    $parameters.RetryIntervalInSeconds);

};
});

define("MobilePatterns.controller$DeviceDetection", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$DeviceDetection.AndroidJS", "MobilePatterns.controller$DeviceDetection.StatusBarOverlayJS", "MobilePatterns.controller$DeviceDetection.IOSJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_DeviceDetection_AndroidJS, MobilePatterns_controller_DeviceDetection_StatusBarOverlayJS, MobilePatterns_controller_DeviceDetection_IOSJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.deviceDetection$Action = function (callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.Private.DeviceDetection$vars"))());
// If the device has a transparent status bar, applies default paddings to the required elements
controller.safeExecuteJSNode(MobilePatterns_controller_DeviceDetection_StatusBarOverlayJS, "StatusBarOverlay", "DeviceDetection", null, function ($parameters) {
}, {}, {});
// Get User Agent
// UserAgent = ToLower
vars.value.userAgentVar = OS.BuiltinFunctions.toLower(OS.BuiltinFunctions.getUserAgent());
// Detect Device
if((((OS.BuiltinFunctions.index(vars.value.userAgentVar, "ipad", 0, false, false) > -1) || (OS.BuiltinFunctions.index(vars.value.userAgentVar, "iphone", 0, false, false) > -1)))) {
controller.safeExecuteJSNode(MobilePatterns_controller_DeviceDetection_IOSJS, "IOS", "DeviceDetection", null, function ($parameters) {
}, {}, {});
} else {
if((OS.BuiltinFunctions.index(vars.value.userAgentVar, "android", 0, false, false) > -1)) {
controller.safeExecuteJSNode(MobilePatterns_controller_DeviceDetection_AndroidJS, "Android", "DeviceDetection", null, function ($parameters) {
}, {}, {});
}

}

return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.Private.DeviceDetection$vars", [{
name: "UserAgent",
attrName: "userAgentVar",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobilePatternsController.default.clientActionProxies.deviceDetection$Action = function () {
return controller.executeActionInsideJSNode(MobilePatternsController.default.deviceDetection$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$DeviceDetection.AndroidJS", [], function () {
return function ($actions, $roles, $public) {
var body = document.querySelector('body');

body.classList.add('android');
};
});
define("MobilePatterns.controller$DeviceDetection.StatusBarOverlayJS", [], function () {
return function ($actions, $roles, $public) {
var body = document.querySelector('body');
var statusbarHeight = body.getAttribute('data-status-bar-height');

if(statusbarHeight > 0) {
    var header = document.querySelector('.header');
    var appMenu = document.querySelector('.app-menu');
    var notification = document.querySelector('.notification');
    var sidebar = document.querySelector('.sidebar');
    var splitRightClose = document.querySelector('.split-right-close');
    var topBarLightbox = document.querySelector('.pswp__top-bar');
    var headerRight = document.querySelector('.header-right .search-input');
    var loginScreen = document.querySelector('.login-screen');
    var splashScreen = document.querySelector('.splash-screen');
    
    if(header) {
        header.style.paddingTop = statusbarHeight + "px";    
    }
    
    if(appMenu) {
        appMenu.style.paddingTop = statusbarHeight + "px";    
    }
    
    if(notification) {
        notification.style.paddingTop = (parseInt(statusbarHeight) + 20) + "px";    
    }
    
    if(sidebar) {
        sidebar.style.paddingTop = statusbarHeight + "px";    
    }
    
    if(splitRightClose) {
        splitRightClose.style.top = (parseInt(statusbarHeight) + 6) + "px";  
    }
    
    if(topBarLightbox) {
        topBarLightbox.style.top = statusbarHeight + "px"; 
    }
    
    if(headerRight) {
        headerRight.style.paddingTop = (parseInt(statusbarHeight) + 5) + "px";     
    }
    
    if(loginScreen) {
        loginScreen.style.paddingTop = statusbarHeight + "px";     
    }
    
    if(splashScreen) {
        splashScreen.style.paddingTop = statusbarHeight + "px";     
    }
}
};
});
define("MobilePatterns.controller$DeviceDetection.IOSJS", [], function () {
return function ($actions, $roles, $public) {
var body = document.querySelector("body");

// detect iPhoneX
function detectIphoneX() {
    // devices list and their screen sizes
    var devices = [
        {width: 1125, height: 2436, description: "iphone x/xs"},
        {width: 828, height: 1792, description: "iphone xr"},
        {width: 750, height: 1624, description: "iphone xr scaled"},
        {width: 1242, height: 2688, description: "iphone xs max"}
    ];
    
    // get the device pixel ratio
    var ratio = window.devicePixelRatio || 1;

    // get the device screen dimensions
    var screen = {
        width : window.screen.width * ratio,
        height : window.screen.height * ratio
    };

    // check if the screen size matches any of the devices in the list
    for(var i = 0; i < devices.length; i++) {
	    if(devices[i].width === screen.width && devices[i].height === screen.height) {
            window.iphoneX = true;
	    }
    }
    
    if(window.iphoneX) {
        // get orientation and register an event to update it
        detectOrientation();
        window.addEventListener("orientationchange", function() {
            setTimeout(detectOrientation, 500);
        });
    }
}

// update orientation
function detectOrientation() {
    // store the notch position value
    var notchPosition;
    
    if("orientation" in window) {
        // mobile browers
        if (window.orientation == 90) {
            notchPosition = "left";
        } else if (window.orientation == -90) {
            notchPosition = "right";
        } else {
            notchPosition = "up";
        }
    } else if ("orientation" in window.screen) {
        // webkit browsers
        if( window.screen.orientation.type === "landscape-primary") {
            notchPosition = "left";
        } else if( window.screen.orientation.type === "landscape-secondary") {
            notchPosition = "right";
        } else {
            notchPosition = "up";
        }
    } else if("mozOrientation" in window.screen) {
        // firefox browsers
        if( window.screen.mozOrientation === "landscape-primary") {
            notchPosition = "left";
        } else if( window.screen.mozOrientation === "landscape-secondary") {
            notchPosition = "right";
        } else {
            notchPosition = "up";
        }
    }
    
    window.notch = notchPosition;
    updateClasses();
}

function updateClasses() {
    // set the iphonex class on the body
    body.classList.add("iphonex");
    
    // override tablet detection on landscape mode
    if (window.notch == "left" || window.notch == "right") {
        body.classList.remove("tablet");
        body.classList.add("phone");
    }
}

if(!body.classList.contains("ios")) {
    // add iOS class
    body.classList.add("ios");

    // detect iPhoneX
    detectIphoneX();

    // apply the iOS inputs fix for webviews
    silkui.FixInputs();
}
};
});

define("MobilePatterns.controller$DisableCarouselSwipe", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$DisableCarouselSwipe.AddClassNoSwipeJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_DisableCarouselSwipe_AddClassNoSwipeJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.disableCarouselSwipe$Action = function (carouselIDIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.Carousel.DisableCarouselSwipe$vars"))());
vars.value.carouselIDInLocal = carouselIDIn;
controller.safeExecuteJSNode(MobilePatterns_controller_DisableCarouselSwipe_AddClassNoSwipeJS, "AddClassNoSwipe", "DisableCarouselSwipe", {
CarouselID: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.carouselIDInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.Carousel.DisableCarouselSwipe$vars", [{
name: "CarouselID",
attrName: "carouselIDInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobilePatternsController.default.clientActionProxies.disableCarouselSwipe$Action = function (carouselIDIn) {
carouselIDIn = (carouselIDIn === undefined) ? "" : carouselIDIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.disableCarouselSwipe$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(carouselIDIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$DisableCarouselSwipe.AddClassNoSwipeJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var elem = document.getElementById($parameters.CarouselID).querySelector('.carousel');

if(elem) {
    elem.classList.add('no-swipe');
}
};
});

define("MobilePatterns.controller$DisableTabsSwipe", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$DisableTabsSwipe.AddClassNoSwipeJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_DisableTabsSwipe_AddClassNoSwipeJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.disableTabsSwipe$Action = function (tabIDIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.Tabs.DisableTabsSwipe$vars"))());
vars.value.tabIDInLocal = tabIDIn;
controller.safeExecuteJSNode(MobilePatterns_controller_DisableTabsSwipe_AddClassNoSwipeJS, "AddClassNoSwipe", "DisableTabsSwipe", {
TabID: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.tabIDInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.Tabs.DisableTabsSwipe$vars", [{
name: "TabID",
attrName: "tabIDInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobilePatternsController.default.clientActionProxies.disableTabsSwipe$Action = function (tabIDIn) {
tabIDIn = (tabIDIn === undefined) ? "" : tabIDIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.disableTabsSwipe$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(tabIDIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$DisableTabsSwipe.AddClassNoSwipeJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var elem = document.getElementById($parameters.TabID).querySelector('.tabs');

if(elem) {
    elem.classList.add('no-swipe');
}
};
});

define("MobilePatterns.controller$EndOfflineDataSync", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$EndOfflineDataSync.TriggerSyncCompleteEventJS", "MobilePatterns.controller$EndOfflineDataSync.TriggerSyncErrorEventJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_EndOfflineDataSync_TriggerSyncCompleteEventJS, MobilePatterns_controller_EndOfflineDataSync_TriggerSyncErrorEventJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.endOfflineDataSync$Action = function (hasErrorIn, errorMessageIn, allowRetryIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.BaseActions.EndOfflineDataSync$vars"))());
vars.value.hasErrorInLocal = hasErrorIn;
vars.value.errorMessageInLocal = errorMessageIn;
vars.value.allowRetryInLocal = allowRetryIn;
if((vars.value.hasErrorInLocal)) {
controller.safeExecuteJSNode(MobilePatterns_controller_EndOfflineDataSync_TriggerSyncErrorEventJS, "TriggerSyncErrorEvent", "EndOfflineDataSync", {
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.errorMessageInLocal, OS.Types.Text, true),
AllowRetry: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.allowRetryInLocal, OS.Types.Boolean, true)
}, function ($parameters) {
}, {}, {});
} else {
controller.safeExecuteJSNode(MobilePatterns_controller_EndOfflineDataSync_TriggerSyncCompleteEventJS, "TriggerSyncCompleteEvent", "EndOfflineDataSync", null, function ($parameters) {
}, {}, {});
}

return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.BaseActions.EndOfflineDataSync$vars", [{
name: "HasError",
attrName: "hasErrorInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "AllowRetry",
attrName: "allowRetryInLocal",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
MobilePatternsController.default.clientActionProxies.endOfflineDataSync$Action = function (hasErrorIn, errorMessageIn, allowRetryIn) {
hasErrorIn = (hasErrorIn === undefined) ? false : hasErrorIn;
errorMessageIn = (errorMessageIn === undefined) ? "" : errorMessageIn;
allowRetryIn = (allowRetryIn === undefined) ? false : allowRetryIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.endOfflineDataSync$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(hasErrorIn, OS.Types.Boolean), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(errorMessageIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(allowRetryIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$EndOfflineDataSync.TriggerSyncCompleteEventJS", [], function () {
return function ($actions, $roles, $public) {
window.offlineDataSync.triggerSyncCompleteEvent();

};
});
define("MobilePatterns.controller$EndOfflineDataSync.TriggerSyncErrorEventJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
window.offlineDataSync.triggerSyncErrorEvent($parameters.ErrorMessage, $parameters.AllowRetry);

};
});

define("MobilePatterns.controller$GetDeviceOrientation", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$GetDeviceOrientation.CheckDeviceJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_GetDeviceOrientation_CheckDeviceJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.getDeviceOrientation$Action = function (callContext) {
callContext = controller.callContext(callContext);
var checkDeviceJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.GetDeviceOrientation$outVars"))());
checkDeviceJSResult.value = controller.safeExecuteJSNode(MobilePatterns_controller_GetDeviceOrientation_CheckDeviceJS, "CheckDevice", "GetDeviceOrientation", {
Orientation: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobilePatterns.GetDeviceOrientation$checkDeviceJSResult"))();
jsNodeResult.orientationOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Orientation, OS.Types.Text);
return jsNodeResult;
}, {}, {});
// Orientation = CheckDevice.Orientation
outVars.value.orientationOut = checkDeviceJSResult.value.orientationOut;
return outVars.value;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.GetDeviceOrientation$checkDeviceJSResult", [{
name: "Orientation",
attrName: "orientationOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.GetDeviceOrientation$outVars", [{
name: "Orientation",
attrName: "orientationOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobilePatternsController.default.clientActionProxies.getDeviceOrientation$Action = function () {
return controller.executeActionInsideJSNode(MobilePatternsController.default.getDeviceOrientation$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Orientation: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.orientationOut, OS.Types.Text, true)
};
});
};
});
define("MobilePatterns.controller$GetDeviceOrientation.CheckDeviceJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var classList = document.body.classList;

if(classList.contains("landscape")) {
    $parameters.Orientation = "landscape";
} else if(classList.contains("portrait")) {
    $parameters.Orientation = "portrait";
}
};
});

define("MobilePatterns.controller$GetDeviceType", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$GetDeviceType.CheckDeviceJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_GetDeviceType_CheckDeviceJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.getDeviceType$Action = function (callContext) {
callContext = controller.callContext(callContext);
var checkDeviceJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.GetDeviceType$outVars"))());
checkDeviceJSResult.value = controller.safeExecuteJSNode(MobilePatterns_controller_GetDeviceType_CheckDeviceJS, "CheckDevice", "GetDeviceType", {
Device: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobilePatterns.GetDeviceType$checkDeviceJSResult"))();
jsNodeResult.deviceOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Device, OS.Types.Text);
return jsNodeResult;
}, {}, {});
// Device = CheckDevice.Device
outVars.value.deviceOut = checkDeviceJSResult.value.deviceOut;
return outVars.value;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.GetDeviceType$checkDeviceJSResult", [{
name: "Device",
attrName: "deviceOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.GetDeviceType$outVars", [{
name: "Device",
attrName: "deviceOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobilePatternsController.default.clientActionProxies.getDeviceType$Action = function () {
return controller.executeActionInsideJSNode(MobilePatternsController.default.getDeviceType$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Device: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.deviceOut, OS.Types.Text, true)
};
});
};
});
define("MobilePatterns.controller$GetDeviceType.CheckDeviceJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var classList = document.body.classList;

if(classList.contains("phone")) {
    $parameters.Device = "phone";
} else if(classList.contains("tablet")) {
    $parameters.Device = "tablet";
}
};
});

define("MobilePatterns.controller$GetNetworkStatus", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$GetNetworkType"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController) {
var OS = OutSystems.Internal;
MobilePatternsController.default.getNetworkStatus$Action = function (callContext) {
callContext = controller.callContext(callContext);
var getNetworkTypeVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.GetNetworkStatus$outVars"))());
// Execute Action: GetNetworkType
getNetworkTypeVar.value = MobilePatternsController.default.getNetworkType$Action(callContext);

// IsOnline = GetNetworkType.NetworkType <> "none"
outVars.value.isOnlineOut = ((getNetworkTypeVar.value.networkTypeOut) !== ("none"));
return outVars.value;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.GetNetworkStatus$outVars", [{
name: "IsOnline",
attrName: "isOnlineOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
MobilePatternsController.default.clientActionProxies.getNetworkStatus$Action = function () {
return controller.executeActionInsideJSNode(MobilePatternsController.default.getNetworkStatus$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsOnline: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isOnlineOut, OS.Types.Boolean, true)
};
});
};
});

define("MobilePatterns.controller$GetNetworkType", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$GetNetworkType.CheckNetworkTypeJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_GetNetworkType_CheckNetworkTypeJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.getNetworkType$Action = function (callContext) {
callContext = controller.callContext(callContext);
var checkNetworkTypeJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.GetNetworkType$outVars"))());
checkNetworkTypeJSResult.value = controller.safeExecuteJSNode(MobilePatterns_controller_GetNetworkType_CheckNetworkTypeJS, "CheckNetworkType", "GetNetworkType", {
NetworkType: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobilePatterns.GetNetworkType$checkNetworkTypeJSResult"))();
jsNodeResult.networkTypeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.NetworkType, OS.Types.Text);
return jsNodeResult;
}, {}, {});
// NetworkType = CheckNetworkType.NetworkType
outVars.value.networkTypeOut = checkNetworkTypeJSResult.value.networkTypeOut;
return outVars.value;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.GetNetworkType$checkNetworkTypeJSResult", [{
name: "NetworkType",
attrName: "networkTypeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.GetNetworkType$outVars", [{
name: "NetworkType",
attrName: "networkTypeOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobilePatternsController.default.clientActionProxies.getNetworkType$Action = function () {
return controller.executeActionInsideJSNode(MobilePatternsController.default.getNetworkType$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
NetworkType: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.networkTypeOut, OS.Types.Text, true)
};
});
};
});
define("MobilePatterns.controller$GetNetworkType.CheckNetworkTypeJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
if (typeof navigator.connection !== "undefined") {
    //In a mobile device
    if(typeof navigator.connection.type !== "undefined"){
        $parameters.NetworkType = navigator.connection.type;
    } else {
        //In a web browser
        $parameters.NetworkType = "unknown"; //TO-DO: Improve this!!!
    }
} else {
    //In a web browser
    $parameters.NetworkType = "unknown"; //TO-DO: Improve this!!!
}
};
});

define("MobilePatterns.controller$HideHeader", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$HideHeader.HideOnScrollJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_HideHeader_HideOnScrollJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.hideHeader$Action = function (hideHeaderIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.Private.HideHeader$vars"))());
vars.value.hideHeaderInLocal = hideHeaderIn;
if((vars.value.hideHeaderInLocal)) {
controller.safeExecuteJSNode(MobilePatterns_controller_HideHeader_HideOnScrollJS, "HideOnScroll", "HideHeader", null, function ($parameters) {
}, {}, {});
}

return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.Private.HideHeader$vars", [{
name: "HideHeader",
attrName: "hideHeaderInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
MobilePatternsController.default.clientActionProxies.hideHeader$Action = function (hideHeaderIn) {
hideHeaderIn = (hideHeaderIn === undefined) ? false : hideHeaderIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.hideHeader$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(hideHeaderIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$HideHeader.HideOnScrollJS", [], function () {
return function ($actions, $roles, $public) {
// window.performance.timing is deprecated but the technology that MDN suggest to use is stil experimental and does not work on IE and Safari. Please visit the following link for context: 
// https://developer.mozilla.org/en-US/docs/Web/API/Performance/timing
var loadTime = window.performance.timing.domContentLoadedEventEnd- window.performance.timing.navigationStart;

setTimeout(function(){
    var hideOnScroll = new silkui.HideOnScroll();
    hideOnScroll.init();
}, loadTime);
};
});

define("MobilePatterns.controller$IsPhone", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$GetDeviceType"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController) {
var OS = OutSystems.Internal;
MobilePatternsController.default.isPhone$Action = function (callContext) {
callContext = controller.callContext(callContext);
var getDeviceTypeVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.IsPhone$outVars"))());
// Execute Action: GetDeviceType
getDeviceTypeVar.value = MobilePatternsController.default.getDeviceType$Action(callContext);

// IsPhone = GetDeviceType.Device = "phone"
outVars.value.isPhoneOut = (getDeviceTypeVar.value.deviceOut === "phone");
return outVars.value;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.IsPhone$outVars", [{
name: "IsPhone",
attrName: "isPhoneOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
MobilePatternsController.default.clientActionProxies.isPhone$Action = function () {
return controller.executeActionInsideJSNode(MobilePatternsController.default.isPhone$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsPhone: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isPhoneOut, OS.Types.Boolean, true)
};
});
};
});

define("MobilePatterns.controller$IsTablet", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$GetDeviceType"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController) {
var OS = OutSystems.Internal;
MobilePatternsController.default.isTablet$Action = function (callContext) {
callContext = controller.callContext(callContext);
var getDeviceTypeVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.IsTablet$outVars"))());
// Execute Action: GetDeviceType
getDeviceTypeVar.value = MobilePatternsController.default.getDeviceType$Action(callContext);

// IsTablet = GetDeviceType.Device = "tablet"
outVars.value.isTabletOut = (getDeviceTypeVar.value.deviceOut === "tablet");
return outVars.value;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.IsTablet$outVars", [{
name: "IsTablet",
attrName: "isTabletOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
MobilePatternsController.default.clientActionProxies.isTablet$Action = function () {
return controller.executeActionInsideJSNode(MobilePatternsController.default.isTablet$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsTablet: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isTabletOut, OS.Types.Boolean, true)
};
});
};
});

define("MobilePatterns.controller$LayoutReady", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$DeviceDetection", "MobilePatterns.controller$PreviewInDevices", "MobilePatterns.controller$HideHeader"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController) {
var OS = OutSystems.Internal;
MobilePatternsController.default.layoutReady$Action = function (hideHeaderOnScrollIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.BaseActions.LayoutReady$vars"))());
vars.value.hideHeaderOnScrollInLocal = hideHeaderOnScrollIn;
// Execute Action: DeviceDetection
MobilePatternsController.default.deviceDetection$Action(callContext);
// Execute Action: PreviewInDevices
MobilePatternsController.default.previewInDevices$Action(callContext);
// Execute Action: HideHeader
MobilePatternsController.default.hideHeader$Action(vars.value.hideHeaderOnScrollInLocal, callContext);
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.BaseActions.LayoutReady$vars", [{
name: "HideHeaderOnScroll",
attrName: "hideHeaderOnScrollInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
MobilePatternsController.default.clientActionProxies.layoutReady$Action = function (hideHeaderOnScrollIn) {
hideHeaderOnScrollIn = (hideHeaderOnScrollIn === undefined) ? false : hideHeaderOnScrollIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.layoutReady$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(hideHeaderOnScrollIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});

define("MobilePatterns.controller$ListItemHint", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$ListItemHint.ListItemAnimateJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_ListItemHint_ListItemAnimateJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.listItemHint$Action = function (listIdIn, hasLeftActionIn, hasRightActionIn, animationTimeIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.ListItemHint$vars"))());
vars.value.listIdInLocal = listIdIn;
vars.value.hasLeftActionInLocal = hasLeftActionIn;
vars.value.hasRightActionInLocal = hasRightActionIn;
vars.value.animationTimeInLocal = animationTimeIn;
controller.safeExecuteJSNode(MobilePatterns_controller_ListItemHint_ListItemAnimateJS, "ListItemAnimate", "ListItemHint", {
AnimationTime: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.animationTimeInLocal, OS.Types.Decimal, true),
ListId: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.listIdInLocal, OS.Types.Text, true),
HasRightAction: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.hasRightActionInLocal, OS.Types.Boolean, true),
HasLeftAction: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.hasLeftActionInLocal, OS.Types.Boolean, true)
}, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.ListItemHint$vars", [{
name: "ListId",
attrName: "listIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "HasLeftAction",
attrName: "hasLeftActionInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "HasRightAction",
attrName: "hasRightActionInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "AnimationTime",
attrName: "animationTimeInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}]);
MobilePatternsController.default.clientActionProxies.listItemHint$Action = function (listIdIn, hasLeftActionIn, hasRightActionIn, animationTimeIn) {
listIdIn = (listIdIn === undefined) ? "" : listIdIn;
hasLeftActionIn = (hasLeftActionIn === undefined) ? false : hasLeftActionIn;
hasRightActionIn = (hasRightActionIn === undefined) ? false : hasRightActionIn;
animationTimeIn = (animationTimeIn === undefined) ? OS.DataTypes.Decimal.defaultValue : animationTimeIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.listItemHint$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(listIdIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(hasLeftActionIn, OS.Types.Boolean), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(hasRightActionIn, OS.Types.Boolean), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(animationTimeIn, OS.Types.Decimal)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$ListItemHint.ListItemAnimateJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var timeoutVar;
var timeAnimation = $parameters.AnimationTime / 6;

var waitListRender = function() {
    listEl = document.querySelector('#' + $parameters.ListId);

    if(!listEl.classList.contains('list-loading')) { 
        listAnimateItems();
        clearTimeout(timeoutVar);
    } else {
        timeoutVar = setTimeout(waitListRender, 50);
    }
};

var listAnimateItems = function() {
    setTimeout(function(){
        listElement = document.getElementById($parameters.ListId).childNodes[1];
        listItemContentLeft = listElement.querySelector('.active-screen .list-item-left-actions');
        listItemContentRight = listElement.querySelector('.active-screen .list-item-right-actions');
        
        listElement.style.pointerEvents = 'none';
        
        if($parameters.HasLeftAction && $parameters.HasRightAction || $parameters.HasLeftAction) {
            listItemContentLeft.classList.add('has-content-animation');
            listItemContentLeft.setAttribute('style', 'width:75px; transition: all ' + timeAnimation + 'ms !important;');
            
            setTimeout(function(){
                listItemContentLeft.style.width = '';
                
                listItemContentLeft.addEventListener("transitionend", function(event) {
                    listItemContentLeft.classList.remove('has-content-animation');
                    listItemContentLeft.removeAttribute('style');
                    listElement.style.pointerEvents = '';
                }, false);
                
            },timeAnimation * 3);
            
        } else if($parameters.HasRightAction) {
            listItemContentRight.classList.add('has-content-animation-right');
            listItemContentRight.setAttribute('style', 'width:75px; transition: all ' + timeAnimation + 'ms !important; height: ' + listElement.offsetHeight + 'px;');
            
            setTimeout(function(){
                listItemContentRight.style.width = '';
                
                listItemContentRight.addEventListener("transitionend", function(event) {
                    listItemContentRight.classList.remove('has-content-animation-right');
                    listItemContentRight.removeAttribute('style');
                    listElement.style.pointerEvents = '';
                }, false);

            }, timeAnimation * 3);
        }    
    },timeAnimation); // waiting for screen transition ends
};

waitListRender();

};
});

define("MobilePatterns.controller$MenuHide", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$MenuHide.ToggleLayoutClassJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_MenuHide_ToggleLayoutClassJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.menuHide$Action = function (callContext) {
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(MobilePatterns_controller_MenuHide_ToggleLayoutClassJS, "ToggleLayoutClass", "MenuHide", null, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.clientActionProxies.menuHide$Action = function () {
return controller.executeActionInsideJSNode(MobilePatternsController.default.menuHide$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$MenuHide.ToggleLayoutClassJS", [], function () {
return function ($actions, $roles, $public) {
var menu = document.querySelector('.menu');
var appMenu = document.querySelector('.app-menu-container');
var menuOverlay = document.querySelector('.menu-background');

menu.classList.remove('menu--visible');

 if(menuOverlay) {
        menuOverlay.style.opacity = "";
}

appMenu.style.transform =  "";
appMenu.style.webkitTransform =  "";

function OnTransitionEnd() {
    menu.classList.remove('menu--animatable');
    
    menu.removeEventListener("transitionend", OnTransitionEnd);
}

menu.addEventListener("transitionend", OnTransitionEnd, false);
};
});

define("MobilePatterns.controller$MenuShow", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$MenuShow.ToggleLayoutClassJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_MenuShow_ToggleLayoutClassJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.menuShow$Action = function (callContext) {
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(MobilePatterns_controller_MenuShow_ToggleLayoutClassJS, "ToggleLayoutClass", "MenuShow", null, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.clientActionProxies.menuShow$Action = function () {
return controller.executeActionInsideJSNode(MobilePatternsController.default.menuShow$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$MenuShow.ToggleLayoutClassJS", [], function () {
return function ($actions, $roles, $public) {
var myMenu = document.querySelector(".menu");



myMenu.classList.add('menu--visible');

myMenu.classList.add('menu--animatable');
};
});

define("MobilePatterns.controller$MoveElement", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$MoveElement.MoveElementJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_MoveElement_MoveElementJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.moveElement$Action = function (elementIn, targetIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.BaseActions.MoveElement$vars"))());
vars.value.elementInLocal = elementIn;
vars.value.targetInLocal = targetIn;
controller.safeExecuteJSNode(MobilePatterns_controller_MoveElement_MoveElementJS, "MoveElement", "MoveElement", {
Target: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.targetInLocal, OS.Types.Object, true),
Element: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.elementInLocal, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.BaseActions.MoveElement$vars", [{
name: "Element",
attrName: "elementInLocal",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "Target",
attrName: "targetInLocal",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
MobilePatternsController.default.clientActionProxies.moveElement$Action = function (elementIn, targetIn) {
elementIn = (elementIn === undefined) ? null : elementIn;
targetIn = (targetIn === undefined) ? null : targetIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.moveElement$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(elementIn, OS.Types.Object), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(targetIn, OS.Types.Object)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$MoveElement.MoveElementJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
if($parameters.Target && $parameters.Element) {

    var screenEl = document.getElementById($parameters.Element);

    var element = document.querySelector($parameters.Target);

    

    if(screenEl && element) {

        element.appendChild(screenEl);

    }

}
};
});

define("MobilePatterns.controller$PreviewInDevices", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$PreviewInDevices.DetectPreviewInDevicesJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_PreviewInDevices_DetectPreviewInDevicesJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.previewInDevices$Action = function (callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.Private.PreviewInDevices$vars"))());
// iPhoneX Preview CSS
// PreviewCSS = "/* iPhoneX Preview in Devices */
//
//.iphonex .bottom-bar-wrapper {    
//    padding-bottom: 5px;    
//}
//
//.iphonex .action-sheet {
//    padding-bottom: 5px; 
//}
//
//.iphonex .screen > .floating-actions .floating-actions-icon {    
//    margin-bottom: 35px; 
//}
//
///* portrait only */
//.iphonex.portrait .header,
//.iphonex.portrait .notification {
//    padding-top: 35px;
//}
//
//.iphonex.portrait .app-menu,
//.iphonex.portrait .sidebar {
//    padding-top: 35px;
//    padding-bottom: 5px;
//}
//
//.iphonex.portrait .split-right-close {
//    top: 41px;
//}
//
//.iphonex.portrait .header-right .search-input {
//    padding-top: 40px;
//}
//
//.iphonex.portrait .header-right .search-input:after {
//    top: 50px; 
//}
//
//.iphonex.portrait .feedback-message {
//    padding-top: 45px;
//}
//
///* landscape */
//.iphonex.landscape .app-menu,
//.iphonex.landscape .sidebar {
//    padding-bottom: 5px;
//}
//
//.iphonex.landscape .app-menu-links {
//    padding-left: 35px; 
//}
//
//.iphonex.landscape .header,
//.iphonex.landscape .main-content,
//.iphonex.landscape .bottom-bar-wrapper {
//    padding-left: 35px;
//    padding-right: 35px;
//}"
vars.value.previewCSSVar = "/* iPhoneX Preview in Devices */\r\n\r\n.iphonex .bottom-bar-wrapper {    \r\n    padding-bottom: 5px;    \r\n}\r\n\r\n.iphonex .action-sheet {\r\n    padding-bottom: 5px; \r\n}\r\n\r\n.iphonex .screen > .floating-actions .floating-actions-icon {    \r\n    margin-bottom: 35px; \r\n}\r\n\r\n/* portrait only */\r\n.iphonex.portrait .header,\r\n.iphonex.portrait .notification {\r\n    padding-top: 35px;\r\n}\r\n\r\n.iphonex.portrait .app-menu,\r\n.iphonex.portrait .sidebar {\r\n    padding-top: 35px;\r\n    padding-bottom: 5px;\r\n}\r\n\r\n.iphonex.portrait .split-right-close {\r\n    top: 41px;\r\n}\r\n\r\n.iphonex.portrait .header-right .search-input {\r\n    padding-top: 40px;\r\n}\r\n\r\n.iphonex.portrait .header-right .search-input:after {\r\n    top: 50px; \r\n}\r\n\r\n.iphonex.portrait .feedback-message {\r\n    padding-top: 45px;\r\n}\r\n\r\n/* landscape */\r\n.iphonex.landscape .app-menu,\r\n.iphonex.landscape .sidebar {\r\n    padding-bottom: 5px;\r\n}\r\n\r\n.iphonex.landscape .app-menu-links {\r\n    padding-left: 35px; \r\n}\r\n\r\n.iphonex.landscape .header,\r\n.iphonex.landscape .main-content,\r\n.iphonex.landscape .bottom-bar-wrapper {\r\n    padding-left: 35px;\r\n    padding-right: 35px;\r\n}";
// Detects the Preview In Devices and adds support for the iPhoneX if needed
controller.safeExecuteJSNode(MobilePatterns_controller_PreviewInDevices_DetectPreviewInDevicesJS, "DetectPreviewInDevices", "PreviewInDevices", {
PreviewCSS: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.previewCSSVar, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.Private.PreviewInDevices$vars", [{
name: "PreviewCSS",
attrName: "previewCSSVar",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobilePatternsController.default.clientActionProxies.previewInDevices$Action = function () {
return controller.executeActionInsideJSNode(MobilePatternsController.default.previewInDevices$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$PreviewInDevices.DetectPreviewInDevicesJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var body = document.querySelector('body');
var isIframe;
var isPreviewInDevices;

// detect Preview in Devices
function detectPreviewInDevices() {
    isIframe = window.self !== window.top;
    deviceFrame = window.top.document.querySelector(".marvel-device");
    
    if(isIframe) {
       isPreviewInDevices = deviceFrame !== null;
    }
    
    if(isPreviewInDevices) {
        if(deviceFrame.classList.contains("iphone-x")) {
            body.classList.add('ios');
            body.classList.add('iphonex');
            addIphoneXPreview();
        }
    }
}

function addIphoneXPreview() {
  
  var stylesEl = document.getElementById("preview-css");

  if (stylesEl === null) {
      var css = $parameters.PreviewCSS;
      var style = document.createElement('style');
      style.type = 'text/css';
      style.id = "preview-css";
      if (style.styleSheet){
        style.styleSheet.cssText = css;
      } else {
        style.appendChild(document.createTextNode(css));
      }
      document.body.appendChild(style);
  }
}

detectPreviewInDevices();
};
});

define("MobilePatterns.controller$SetActiveElement", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$SetActiveElement.SetActiveElementJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_SetActiveElement_SetActiveElementJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.setActiveElement$Action = function (widgetIdIn, isActiveIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.SetActiveElement$vars"))());
vars.value.widgetIdInLocal = widgetIdIn;
vars.value.isActiveInLocal = isActiveIn;
controller.safeExecuteJSNode(MobilePatterns_controller_SetActiveElement_SetActiveElementJS, "SetActiveElement", "SetActiveElement", {
IsActive: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.isActiveInLocal, OS.Types.Boolean, true),
ID: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.widgetIdInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.SetActiveElement$vars", [{
name: "WidgetId",
attrName: "widgetIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "IsActive",
attrName: "isActiveInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
MobilePatternsController.default.clientActionProxies.setActiveElement$Action = function (widgetIdIn, isActiveIn) {
widgetIdIn = (widgetIdIn === undefined) ? "" : widgetIdIn;
isActiveIn = (isActiveIn === undefined) ? false : isActiveIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.setActiveElement$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(widgetIdIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(isActiveIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$SetActiveElement.SetActiveElementJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var elem = document.getElementById($parameters.ID);

if($parameters.IsActive) {
    elem.classList.add('active-element');    
} else {
    elem.classList.remove('active-element');
}
};
});

define("MobilePatterns.controller$SetMenuIcon", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$SetMenuIcon.FindMenuLinksJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_SetMenuIcon_FindMenuLinksJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.setMenuIcon$Action = function (menuActionIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.BaseActions.SetMenuIcon$vars"))());
vars.value.menuActionInLocal = menuActionIn;
// Auto?
if(((vars.value.menuActionInLocal === MobilePatternsModel.staticEntities.menuAction.auto))) {
controller.safeExecuteJSNode(MobilePatterns_controller_SetMenuIcon_FindMenuLinksJS, "FindMenuLinks", "SetMenuIcon", null, function ($parameters) {
}, {}, {});
}

return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.BaseActions.SetMenuIcon$vars", [{
name: "MenuAction",
attrName: "menuActionInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobilePatternsController.default.clientActionProxies.setMenuIcon$Action = function (menuActionIn) {
menuActionIn = (menuActionIn === undefined) ? "" : menuActionIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.setMenuIcon$Action.bind(controller, menuActionIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$SetMenuIcon.FindMenuLinksJS", [], function () {
return function ($actions, $roles, $public) {
var appMenu = Array.prototype.slice.call(document.querySelectorAll(".bottom-bar a")),
    bottomBar = Array.prototype.slice.call(document.querySelectorAll(".app-menu a"))

var links = appMenu.concat(bottomBar);

var showMenu = false;

for (var i = 0; i < links.length; i++) {
    /* removing platform timestamps */
    var timestampIndex = window.location.href.indexOf("_ts")-1;
    var currentPage = timestampIndex > 0 ? window.location.href.substring(0, timestampIndex) : window.location.href;
    if(links[i].attributes["href"]) {
        if (currentPage.indexOf(links[i].attributes["href"].value) >= 0 || 
            currentPage[currentPage.length-1] === "/") {
            showMenu = (window.history ? window.history.length > 0 : true);        
        }
    }
}

if(showMenu) {
    document.querySelector(".app-menu-icon").classList.remove('back');
} else {
    document.querySelector(".app-menu-icon").classList.add('back');
}
};
});

define("MobilePatterns.controller$ShowPassword", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$ShowPassword.ShowPasswordJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_ShowPassword_ShowPasswordJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.showPassword$Action = function (callContext) {
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(MobilePatterns_controller_ShowPassword_ShowPasswordJS, "ShowPassword", "ShowPassword", null, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.clientActionProxies.showPassword$Action = function () {
return controller.executeActionInsideJSNode(MobilePatternsController.default.showPassword$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$ShowPassword.ShowPasswordJS", [], function () {
return function ($actions, $roles, $public) {
var inputPassword = document.querySelector('.login-password');

var typeInputPassword = inputPassword.type;

if(typeInputPassword === 'password') {
    inputPassword.setAttribute('type', 'text');
} else {
    inputPassword.setAttribute('type', 'password');   
}
};
});

define("MobilePatterns.controller$StartOfflineDataSync", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$StartOfflineDataSync.CallBlockHandlerJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_StartOfflineDataSync_CallBlockHandlerJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.startOfflineDataSync$Action = function (syncUnitIn, discardPendingSyncUnitsIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.BaseActions.StartOfflineDataSync$vars"))());
vars.value.syncUnitInLocal = syncUnitIn;
vars.value.discardPendingSyncUnitsInLocal = discardPendingSyncUnitsIn;
controller.safeExecuteJSNode(MobilePatterns_controller_StartOfflineDataSync_CallBlockHandlerJS, "CallBlockHandler", "StartOfflineDataSync", {
SyncUnit: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.syncUnitInLocal, OS.Types.Text, true),
DiscardPendingUnits: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.discardPendingSyncUnitsInLocal, OS.Types.Boolean, true)
}, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.BaseActions.StartOfflineDataSync$vars", [{
name: "SyncUnit",
attrName: "syncUnitInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "DiscardPendingSyncUnits",
attrName: "discardPendingSyncUnitsInLocal",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
MobilePatternsController.default.clientActionProxies.startOfflineDataSync$Action = function (syncUnitIn, discardPendingSyncUnitsIn) {
syncUnitIn = (syncUnitIn === undefined) ? "" : syncUnitIn;
discardPendingSyncUnitsIn = (discardPendingSyncUnitsIn === undefined) ? false : discardPendingSyncUnitsIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.startOfflineDataSync$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(syncUnitIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(discardPendingSyncUnitsIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$StartOfflineDataSync.CallBlockHandlerJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
if (window.offlineDataSync) {
    window.offlineDataSync.sync($parameters.SyncUnit, $parameters.DiscardPendingUnits);
}
};
});

define("MobilePatterns.controller$SwipeLeft", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$SwipeLeft.SwipeLeftJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_SwipeLeft_SwipeLeftJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.swipeLeft$Action = function (widgetIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.StackedCards.SwipeLeft$vars"))());
vars.value.widgetIdInLocal = widgetIdIn;
controller.safeExecuteJSNode(MobilePatterns_controller_SwipeLeft_SwipeLeftJS, "SwipeLeft", "SwipeLeft", {
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.widgetIdInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.StackedCards.SwipeLeft$vars", [{
name: "WidgetId",
attrName: "widgetIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobilePatternsController.default.clientActionProxies.swipeLeft$Action = function (widgetIdIn) {
widgetIdIn = (widgetIdIn === undefined) ? "" : widgetIdIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.swipeLeft$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(widgetIdIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$SwipeLeft.SwipeLeftJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var element;

var swipeActionInterval = setInterval(function(){
    
    element = document.getElementById($parameters.WidgetId);

    if( element !== null) {
        element.querySelector('.stackedcards-container').leftAction();
        clearInterval(swipeActionInterval);
    }
    
}, 100)
};
});

define("MobilePatterns.controller$SwipeRight", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$SwipeRight.SwipeRightJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_SwipeRight_SwipeRightJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.swipeRight$Action = function (widgetIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.StackedCards.SwipeRight$vars"))());
vars.value.widgetIdInLocal = widgetIdIn;
controller.safeExecuteJSNode(MobilePatterns_controller_SwipeRight_SwipeRightJS, "SwipeRight", "SwipeRight", {
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.widgetIdInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.StackedCards.SwipeRight$vars", [{
name: "WidgetId",
attrName: "widgetIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobilePatternsController.default.clientActionProxies.swipeRight$Action = function (widgetIdIn) {
widgetIdIn = (widgetIdIn === undefined) ? "" : widgetIdIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.swipeRight$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(widgetIdIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$SwipeRight.SwipeRightJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var element;

var swipeActionInterval = setInterval(function(){
    
    element = document.getElementById($parameters.WidgetId);

    if( element !== null) {
        element.querySelector('.stackedcards-container').rightAction();
        clearInterval(swipeActionInterval);
    }
    
}, 100)
};
});

define("MobilePatterns.controller$SwipeTop", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$SwipeTop.SwipeTopJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_SwipeTop_SwipeTopJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.swipeTop$Action = function (widgetIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.StackedCards.SwipeTop$vars"))());
vars.value.widgetIdInLocal = widgetIdIn;
controller.safeExecuteJSNode(MobilePatterns_controller_SwipeTop_SwipeTopJS, "SwipeTop", "SwipeTop", {
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.widgetIdInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.StackedCards.SwipeTop$vars", [{
name: "WidgetId",
attrName: "widgetIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobilePatternsController.default.clientActionProxies.swipeTop$Action = function (widgetIdIn) {
widgetIdIn = (widgetIdIn === undefined) ? "" : widgetIdIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.swipeTop$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(widgetIdIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$SwipeTop.SwipeTopJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var element;

var swipeActionInterval = setInterval(function(){
    
    element = document.getElementById($parameters.WidgetId);

    if( element !== null) {
        element.querySelector('.stackedcards-container').topAction();
        clearInterval(swipeActionInterval);
    }
    
}, 100)
};
});

define("MobilePatterns.controller$TabGoTo", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$TabGoTo.ChangeTabJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_TabGoTo_ChangeTabJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.tabGoTo$Action = function (widgetIdIn, tabNumberIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.Tabs.TabGoTo$vars"))());
vars.value.widgetIdInLocal = widgetIdIn;
vars.value.tabNumberInLocal = tabNumberIn;
controller.safeExecuteJSNode(MobilePatterns_controller_TabGoTo_ChangeTabJS, "ChangeTab", "TabGoTo", {
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.widgetIdInLocal, OS.Types.Text, true),
TabNumber: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.tabNumberInLocal, OS.Types.Integer, true)
}, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.Tabs.TabGoTo$vars", [{
name: "WidgetId",
attrName: "widgetIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "TabNumber",
attrName: "tabNumberInLocal",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
MobilePatternsController.default.clientActionProxies.tabGoTo$Action = function (widgetIdIn, tabNumberIn) {
widgetIdIn = (widgetIdIn === undefined) ? "" : widgetIdIn;
tabNumberIn = (tabNumberIn === undefined) ? 0 : tabNumberIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.tabGoTo$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(widgetIdIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(tabNumberIn, OS.Types.Integer)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$TabGoTo.ChangeTabJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var element = document.getElementById($parameters.WidgetId);
var countTabs = element.querySelectorAll(".tabs-header-tab").length -1;
var tabsElement = element.querySelectorAll(".tabs-header-tab");
var countEmptyTabs = element.querySelectorAll(".tabs-header-tab.ph");
var isEmpty = 0;

for(i = 0; i < tabsElement.length; i++) {
    
    if(countEmptyTabs[i].childNodes.length === 0) {
       isEmpty = isEmpty + 1;
    }
}


if(($parameters.TabNumber + 1) <= countTabs) {
    element.changeTab($parameters.TabNumber);
} else {
    element.changeTab(countTabs - isEmpty);
}









};
});

define("MobilePatterns.controller$UpdateStackedCards", ["exports", "OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.controller$UpdateStackedCards.UpdateUiJS"], function (exports, OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatterns_controller_UpdateStackedCards_UpdateUiJS) {
var OS = OutSystems.Internal;
MobilePatternsController.default.updateStackedCards$Action = function (widgetIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.StackedCards.UpdateStackedCards$vars"))());
vars.value.widgetIdInLocal = widgetIdIn;
controller.safeExecuteJSNode(MobilePatterns_controller_UpdateStackedCards_UpdateUiJS, "UpdateUi", "UpdateStackedCards", {
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.widgetIdInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
return ;
};
var controller = MobilePatternsController.default;
MobilePatternsController.default.constructor.registerVariableGroupType("MobilePatterns.StackedCards.UpdateStackedCards$vars", [{
name: "WidgetId",
attrName: "widgetIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
MobilePatternsController.default.clientActionProxies.updateStackedCards$Action = function (widgetIdIn) {
widgetIdIn = (widgetIdIn === undefined) ? "" : widgetIdIn;
return controller.executeActionInsideJSNode(MobilePatternsController.default.updateStackedCards$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(widgetIdIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {};
});
};
});
define("MobilePatterns.controller$UpdateStackedCards.UpdateUiJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var element = document.getElementById($parameters.WidgetId).querySelector('.stackedcards-container').updateUi();
};
});

define("MobilePatterns.controller", ["exports", "OutSystems", "MobilePatterns.model"], function (exports, OutSystems, MobilePatternsModel) {
var OS = OutSystems.Internal;
var MobilePatternsController = exports;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
}
Controller.prototype.clientActionProxies = {};
Controller.prototype.roles = {};
Controller.prototype.defaultTimeout = 10;
Controller.prototype.getDefaultTimeout = function () {
return MobilePatternsController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseModuleController);
MobilePatternsController.default = new Controller();
});
