﻿define("MobileUIWidgets.WidgetsContent.Card_new.mvc$model", ["OutSystems", "MobileUIWidgets.model"], function (OutSystems, MobileUIWidgetsModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("StyleClass", "styleClassIn", "StyleClass", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_styleClassInDataFetchStatus", "_styleClassInDataFetchStatus", "_styleClassInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("HasLeftSide", "hasLeftSideIn", "HasLeftSide", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("_hasLeftSideInDataFetchStatus", "_hasLeftSideInDataFetchStatus", "_hasLeftSideInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("HasRightSide", "hasRightSideIn", "HasRightSide", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("_hasRightSideInDataFetchStatus", "_hasRightSideInDataFetchStatus", "_hasRightSideInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("LeftStyleClass", "leftStyleClassIn", "LeftStyleClass", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_leftStyleClassInDataFetchStatus", "_leftStyleClassInDataFetchStatus", "_leftStyleClassInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ContentClass", "contentClassIn", "ContentClass", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_contentClassInDataFetchStatus", "_contentClassInDataFetchStatus", "_contentClassInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("RightStyleClass", "rightStyleClassIn", "RightStyleClass", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_rightStyleClassInDataFetchStatus", "_rightStyleClassInDataFetchStatus", "_rightStyleClassInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("HasRipple", "hasRippleIn", "HasRipple", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_hasRippleInDataFetchStatus", "_hasRippleInDataFetchStatus", "_hasRippleInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return false;
}
});

Model.prototype.setInputs = function (inputs) {
if("StyleClass" in inputs) {
this.variables.styleClassIn = inputs.StyleClass;
if("_styleClassInDataFetchStatus" in inputs) {
this.variables._styleClassInDataFetchStatus = inputs._styleClassInDataFetchStatus;
}

}

if("HasLeftSide" in inputs) {
this.variables.hasLeftSideIn = inputs.HasLeftSide;
if("_hasLeftSideInDataFetchStatus" in inputs) {
this.variables._hasLeftSideInDataFetchStatus = inputs._hasLeftSideInDataFetchStatus;
}

}

if("HasRightSide" in inputs) {
this.variables.hasRightSideIn = inputs.HasRightSide;
if("_hasRightSideInDataFetchStatus" in inputs) {
this.variables._hasRightSideInDataFetchStatus = inputs._hasRightSideInDataFetchStatus;
}

}

if("LeftStyleClass" in inputs) {
this.variables.leftStyleClassIn = inputs.LeftStyleClass;
if("_leftStyleClassInDataFetchStatus" in inputs) {
this.variables._leftStyleClassInDataFetchStatus = inputs._leftStyleClassInDataFetchStatus;
}

}

if("ContentClass" in inputs) {
this.variables.contentClassIn = inputs.ContentClass;
if("_contentClassInDataFetchStatus" in inputs) {
this.variables._contentClassInDataFetchStatus = inputs._contentClassInDataFetchStatus;
}

}

if("RightStyleClass" in inputs) {
this.variables.rightStyleClassIn = inputs.RightStyleClass;
if("_rightStyleClassInDataFetchStatus" in inputs) {
this.variables._rightStyleClassInDataFetchStatus = inputs._rightStyleClassInDataFetchStatus;
}

}

if("HasRipple" in inputs) {
this.variables.hasRippleIn = inputs.HasRipple;
if("_hasRippleInDataFetchStatus" in inputs) {
this.variables._hasRippleInDataFetchStatus = inputs._hasRippleInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("MobileUIWidgets.WidgetsContent.Card_new.mvc$view", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "react", "OutSystemsReactView", "MobileUIWidgets.WidgetsContent.Card_new.mvc$model", "MobileUIWidgets.WidgetsContent.Card_new.mvc$controller", "OutSystemsReactWidgets"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, React, OSView, MobileUIWidgets_WidgetsContent_Card_new_mvc_model, MobileUIWidgets_WidgetsContent_Card_new_mvc_controller, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "WidgetsContent.Card_new";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsContent_Card_new_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsContent_Card_new_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.onClick$Action(controller.callContext(eventHandlerContext));
});
;
}
},
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "relative-position",
visible: true,
_idProps: {
service: idService,
uuid: "1"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
"data-hasripple": (model.variables.hasRippleIn ? "True" : "False")
},
style: ("a-flexCard " + model.variables.styleClassIn),
visible: true,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._styleClassInDataFetchStatus)
}, $if(model.variables.hasLeftSideIn, false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: ("a-flexCardColumn " + model.variables.leftStyleClassIn),
visible: true,
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._leftStyleClassInDataFetchStatus)
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.leftPlaceholder,
_idProps: {
service: idService,
name: "LeftPlaceholder"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
}, function () {
return [];
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: ("a-flexCardColumn -flexCardColumn-master " + model.variables.contentClassIn),
visible: true,
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._contentClassInDataFetchStatus)
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.contentPlaceHolder,
_idProps: {
service: idService,
name: "ContentPlaceHolder"
},
_widgetRecordProvider: widgetsRecordProvider
})), $if(model.variables.hasRightSideIn, false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: ("a-flexCardColumn " + model.variables.rightStyleClassIn),
visible: true,
_idProps: {
service: idService,
uuid: "7"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rightStyleClassInDataFetchStatus)
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.rightPLaceholder,
_idProps: {
service: idService,
name: "RightPLaceholder"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
}, function () {
return [];
})), $if(model.variables.hasRippleIn, false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "9"
},
_widgetRecordProvider: widgetsRecordProvider
})];
}, function () {
return [];
}))));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("MobileUIWidgets.WidgetsContent.Card_new.mvc$controller", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "MobileUIWidgets.languageResources"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, MobileUIWidgetsLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._onClick$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnClick");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: OnCardClick
return controller.onCardClick$Action(callContext);
});
};

Controller.prototype.onClick$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onClick$Action, callContext);

};
Controller.prototype.onCardClick$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return MobileUIWidgetsController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, MobileUIWidgetsLanguageResources);
});

