﻿define("MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$model", ["OutSystems", "MobileUIWidgets.model"], function (OutSystems, MobileUIWidgetsModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("CalendarObj", "calendarObjVar", "CalendarObj", true, OS.Types.Object, function () {
return null;
}), 
this.attr("SelectedDate", "selectedDateVar", "SelectedDate", true, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("InputVar", "inputVarVar", "InputVar", true, OS.Types.Text, function () {
return "";
}), 
this.attr("EndDate", "endDateVar", "EndDate", true, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("StartDate", "startDateVar", "StartDate", true, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("EventList", "eventListIn", "EventList", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new OS.DataTypes.DateTimeList());
}, OS.DataTypes.DateTimeList), 
this.attr("_eventListInDataFetchStatus", "_eventListInDataFetchStatus", "_eventListInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("MinDate", "minDateIn", "MinDate", true, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("_minDateInDataFetchStatus", "_minDateInDataFetchStatus", "_minDateInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("MaxDate", "maxDateIn", "MaxDate", true, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("_maxDateInDataFetchStatus", "_maxDateInDataFetchStatus", "_maxDateInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("InitialDate", "initialDateIn", "InitialDate", true, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("_initialDateInDataFetchStatus", "_initialDateInDataFetchStatus", "_initialDateInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ShowWeekNumbers", "showWeekNumbersIn", "ShowWeekNumbers", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_showWeekNumbersInDataFetchStatus", "_showWeekNumbersInDataFetchStatus", "_showWeekNumbersInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("FirstWeekDay", "firstWeekDayIn", "FirstWeekDay", true, OS.Types.Integer, function () {
return 1;
}), 
this.attr("_firstWeekDayInDataFetchStatus", "_firstWeekDayInDataFetchStatus", "_firstWeekDayInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ShowTime", "showTimeIn", "ShowTime", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_showTimeInDataFetchStatus", "_showTimeInDataFetchStatus", "_showTimeInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Show24HourFormat", "show24HourFormatIn", "Show24HourFormat", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("_show24HourFormatInDataFetchStatus", "_show24HourFormatInDataFetchStatus", "_show24HourFormatInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("DisabledDaysList", "disabledDaysListIn", "DisabledDaysList", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new OS.DataTypes.DateTimeList());
}, OS.DataTypes.DateTimeList), 
this.attr("_disabledDaysListInDataFetchStatus", "_disabledDaysListInDataFetchStatus", "_disabledDaysListInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("DisabledWeekDays", "disabledWeekDaysIn", "DisabledWeekDays", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_disabledWeekDaysInDataFetchStatus", "_disabledWeekDaysInDataFetchStatus", "_disabledWeekDaysInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("SelectInterval", "selectIntervalIn", "SelectInterval", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_selectIntervalInDataFetchStatus", "_selectIntervalInDataFetchStatus", "_selectIntervalInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("AdvancedFormat", "advancedFormatIn", "AdvancedFormat", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_advancedFormatInDataFetchStatus", "_advancedFormatInDataFetchStatus", "_advancedFormatInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {
DateInput: OS.Model.ValidationWidgetRecord
};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return true;
}
});

Model.prototype.setInputs = function (inputs) {
if("EventList" in inputs) {
this.variables.eventListIn = inputs.EventList;
if("_eventListInDataFetchStatus" in inputs) {
this.variables._eventListInDataFetchStatus = inputs._eventListInDataFetchStatus;
}

}

if("MinDate" in inputs) {
this.variables.minDateIn = inputs.MinDate;
if("_minDateInDataFetchStatus" in inputs) {
this.variables._minDateInDataFetchStatus = inputs._minDateInDataFetchStatus;
}

}

if("MaxDate" in inputs) {
this.variables.maxDateIn = inputs.MaxDate;
if("_maxDateInDataFetchStatus" in inputs) {
this.variables._maxDateInDataFetchStatus = inputs._maxDateInDataFetchStatus;
}

}

if("InitialDate" in inputs) {
this.variables.initialDateIn = inputs.InitialDate;
if("_initialDateInDataFetchStatus" in inputs) {
this.variables._initialDateInDataFetchStatus = inputs._initialDateInDataFetchStatus;
}

}

if("ShowWeekNumbers" in inputs) {
this.variables.showWeekNumbersIn = inputs.ShowWeekNumbers;
if("_showWeekNumbersInDataFetchStatus" in inputs) {
this.variables._showWeekNumbersInDataFetchStatus = inputs._showWeekNumbersInDataFetchStatus;
}

}

if("FirstWeekDay" in inputs) {
this.variables.firstWeekDayIn = inputs.FirstWeekDay;
if("_firstWeekDayInDataFetchStatus" in inputs) {
this.variables._firstWeekDayInDataFetchStatus = inputs._firstWeekDayInDataFetchStatus;
}

}

if("ShowTime" in inputs) {
this.variables.showTimeIn = inputs.ShowTime;
if("_showTimeInDataFetchStatus" in inputs) {
this.variables._showTimeInDataFetchStatus = inputs._showTimeInDataFetchStatus;
}

}

if("Show24HourFormat" in inputs) {
this.variables.show24HourFormatIn = inputs.Show24HourFormat;
if("_show24HourFormatInDataFetchStatus" in inputs) {
this.variables._show24HourFormatInDataFetchStatus = inputs._show24HourFormatInDataFetchStatus;
}

}

if("DisabledDaysList" in inputs) {
this.variables.disabledDaysListIn = inputs.DisabledDaysList;
if("_disabledDaysListInDataFetchStatus" in inputs) {
this.variables._disabledDaysListInDataFetchStatus = inputs._disabledDaysListInDataFetchStatus;
}

}

if("DisabledWeekDays" in inputs) {
this.variables.disabledWeekDaysIn = inputs.DisabledWeekDays;
if("_disabledWeekDaysInDataFetchStatus" in inputs) {
this.variables._disabledWeekDaysInDataFetchStatus = inputs._disabledWeekDaysInDataFetchStatus;
}

}

if("SelectInterval" in inputs) {
this.variables.selectIntervalIn = inputs.SelectInterval;
if("_selectIntervalInDataFetchStatus" in inputs) {
this.variables._selectIntervalInDataFetchStatus = inputs._selectIntervalInDataFetchStatus;
}

}

if("AdvancedFormat" in inputs) {
this.variables.advancedFormatIn = inputs.AdvancedFormat;
if("_advancedFormatInDataFetchStatus" in inputs) {
this.variables._advancedFormatInDataFetchStatus = inputs._advancedFormatInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$view", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "react", "OutSystemsReactView", "MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$model", "MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$controller", "OutSystemsReactWidgets"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, React, OSView, MobileUIWidgets_WidgetsInteraction_Calendar_new_mvc_model, MobileUIWidgets_WidgetsInteraction_Calendar_new_mvc_controller, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "WidgetsInteraction.Calendar_new";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return ["scripts/MobileUIWidgets.Calendar.js"];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsInteraction_Calendar_new_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsInteraction_Calendar_new_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if(false, false, this, function () {
return [];
}, function () {
return [React.createElement(OSWidgets.Input, {
_validationProps: {
validationService: validationService
},
enabled: true,
extendedProperties: {
"data-inline": "True"
},
gridProperties: {
classes: "OSFillParent"
},
inputType: /*Text*/ 0,
mandatory: false,
maxLength: 0,
style: "form-control calendar-input",
variable: model.createVariable(OS.Types.Text, model.variables.inputVarVar, function (value) {
model.variables.inputVarVar = value;
}),
_idProps: {
service: idService,
name: "DateInput"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: model.getCachedValue(idService.getId("Calendar.Style"), function () {
return (("calendar o-calendar " + ((((model.variables.selectIntervalIn && !(model.variables.startDateVar.equals(OS.BuiltinFunctions.nullDate()))) && model.variables.endDateVar.equals(OS.BuiltinFunctions.nullDate()))) ? (" interval") : (""))) + ((model.variables.showWeekNumbersIn) ? (" week-numbers") : ("")));
}, function () {
return model.variables.selectIntervalIn;
}, function () {
return model.variables.startDateVar;
}, function () {
return model.variables.endDateVar;
}, function () {
return model.variables.showWeekNumbersIn;
}),
visible: true,
_idProps: {
service: idService,
name: "Calendar"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._selectIntervalInDataFetchStatus, model.variables._showWeekNumbersInDataFetchStatus)
})];
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$controller", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "MobileUIWidgets.languageResources", "MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$controller.SelectDate.RenderCalendarJS", "MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$controller.OnDestroy.CallDestroyFunctionJS", "MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$controller.OnParametersChanged.CheckObjectStatusJS", "MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$controller.OnParametersChanged.DestroyCalendarJS", "MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$controller.OnReady.InitJS", "MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$controller.OnReady.ParseDisabledDatesJS", "MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$controller.OnReady.ParseEventsJS"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, MobileUIWidgetsLanguageResources, MobileUIWidgets_WidgetsInteraction_Calendar_new_mvc_controller_SelectDate_RenderCalendarJS, MobileUIWidgets_WidgetsInteraction_Calendar_new_mvc_controller_OnDestroy_CallDestroyFunctionJS, MobileUIWidgets_WidgetsInteraction_Calendar_new_mvc_controller_OnParametersChanged_CheckObjectStatusJS, MobileUIWidgets_WidgetsInteraction_Calendar_new_mvc_controller_OnParametersChanged_DestroyCalendarJS, MobileUIWidgets_WidgetsInteraction_Calendar_new_mvc_controller_OnReady_InitJS, MobileUIWidgets_WidgetsInteraction_Calendar_new_mvc_controller_OnReady_ParseDisabledDatesJS, MobileUIWidgets_WidgetsInteraction_Calendar_new_mvc_controller_OnReady_ParseEventsJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {
selectDate$Action: function (calendarDateIn) {
calendarDateIn = (calendarDateIn === undefined) ? OS.DataTypes.DateTime.defaultValue : calendarDateIn;
return controller.executeActionInsideJSNode(controller._selectDate$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(calendarDateIn, OS.Types.DateTime)), controller.callContext(), function (actionResults) {
return {};
});
}
};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._selectDate$Action = function (calendarDateIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("SelectDate");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.Calendar_new.SelectDate$vars"))());
vars.value.calendarDateInLocal = calendarDateIn;
return OS.Flow.executeAsyncFlow(function () {
// SelectedDate = CalendarDate
model.variables.selectedDateVar = vars.value.calendarDateInLocal;
return OS.Flow.executeSequence(function () {
if((model.variables.selectIntervalIn)) {
// StartDate null?
if((model.variables.startDateVar.equals(OS.BuiltinFunctions.nullDate()))) {
// StartDate = SelectedDate
model.variables.startDateVar = model.variables.selectedDateVar;
} else {
// EndDate = SelectedDate
model.variables.endDateVar = model.variables.selectedDateVar;
if((model.variables.startDateVar.gt(model.variables.endDateVar))) {
// EndDate = StartDate
model.variables.endDateVar = model.variables.startDateVar;
// StartDate = SelectedDate
model.variables.startDateVar = model.variables.selectedDateVar;
}

}

controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Calendar_new_mvc_controller_SelectDate_RenderCalendarJS, "RenderCalendar", "SelectDate", {
StartDate: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.startDateVar, OS.Types.DateTime, true),
CalendarObj: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.calendarObjVar, OS.Types.Object, true),
EndDate: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.endDateVar, OS.Types.DateTime, true)
}, function ($parameters) {
}, {}, {});
// Trigger Event: OnSelectInterval
return controller.onSelect$Action(model.variables.startDateVar, model.variables.endDateVar, callContext).then(function () {
// EndDate null?
if((!(model.variables.endDateVar.equals(OS.BuiltinFunctions.nullDate())))) {
// Reset Dates
// StartDate = NullDate
model.variables.startDateVar = OS.BuiltinFunctions.nullDate();
// EndDate = NullDate
model.variables.endDateVar = OS.BuiltinFunctions.nullDate();
}

});
} else {
// StartDate = SelectedDate
model.variables.startDateVar = model.variables.selectedDateVar;
// Trigger Event: OnSelect
return controller.onSelect$Action(model.variables.startDateVar, OS.BuiltinFunctions.nullDate(), callContext);
}

});
});
};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.Calendar_new.SelectDate$vars", [{
name: "CalendarDate",
attrName: "calendarDateInLocal",
mandatory: true,
dataType: OS.Types.DateTime,
defaultValue: function () {
return OS.DataTypes.DateTime.defaultValue;
}
}]);
Controller.prototype._onDestroy$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnDestroy");
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Calendar_new_mvc_controller_OnDestroy_CallDestroyFunctionJS, "CallDestroyFunction", "OnDestroy", {
CalendarObj: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.calendarObjVar, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
};
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
// MaxDate null?
if((model.variables.maxDateIn.equals(OS.BuiltinFunctions.nullDate()))) {
// MaxDate = AddYears
model.variables.maxDateIn = OS.BuiltinFunctions.addYears(OS.BuiltinFunctions.currDateTime(), 100);
}

// InitialDate null?
if((model.variables.initialDateIn.equals(OS.BuiltinFunctions.nullDate()))) {
// InitialDate = CurrDateTime
model.variables.initialDateIn = OS.BuiltinFunctions.currDateTime();
}

};
Controller.prototype._onParametersChanged$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnParametersChanged");
callContext = controller.callContext(callContext);
var checkObjectStatusJSResult = new OS.DataTypes.VariableHolder();
checkObjectStatusJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Calendar_new_mvc_controller_OnParametersChanged_CheckObjectStatusJS, "CheckObjectStatus", "OnParametersChanged", {
Object: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.calendarObjVar, OS.Types.Object, true),
ObjectIsDefined: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.Calendar_new.OnParametersChanged$checkObjectStatusJSResult"))();
jsNodeResult.objectIsDefinedOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ObjectIsDefined, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
// ObjectIsDefined
if((checkObjectStatusJSResult.value.objectIsDefinedOut)) {
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Calendar_new_mvc_controller_OnParametersChanged_DestroyCalendarJS, "DestroyCalendar", "OnParametersChanged", {
CalendarObj: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.calendarObjVar, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
}

// Execute Action: Init
controller._onReady$Action(callContext);
};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.Calendar_new.OnParametersChanged$checkObjectStatusJSResult", [{
name: "ObjectIsDefined",
attrName: "objectIsDefinedOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Controller.prototype._onReady$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnReady");
callContext = controller.callContext(callContext);
var initJSResult = new OS.DataTypes.VariableHolder();
var parseDisabledDatesJSResult = new OS.DataTypes.VariableHolder();
var parseEventsJSResult = new OS.DataTypes.VariableHolder();
var serializeEventsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.JSONSerializeOutputType());
var serializeDisabledDatesVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.JSONSerializeOutputType());
// JSON Serialize: SerializeEvents
serializeEventsVar.value.jSONOut = OS.JSONUtils.serializeToJSON(model.variables.eventListIn, false, false, OS.Types.DateTime);
// JSON Serialize: SerializeDisabledDates
serializeDisabledDatesVar.value.jSONOut = OS.JSONUtils.serializeToJSON(model.variables.disabledDaysListIn, false, false, OS.Types.DateTime);
parseEventsJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Calendar_new_mvc_controller_OnReady_ParseEventsJS, "ParseEvents", "OnReady", {
EventList: OS.DataTypes.JSConversions.basicTypeToJS(serializeEventsVar.value.jSONOut, OS.Types.Text, true),
Events: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.Calendar_new.OnReady$parseEventsJSResult"))();
jsNodeResult.eventsOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Events, OS.Types.Text);
return jsNodeResult;
}, {}, {});
parseDisabledDatesJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Calendar_new_mvc_controller_OnReady_ParseDisabledDatesJS, "ParseDisabledDates", "OnReady", {
EventList: OS.DataTypes.JSConversions.basicTypeToJS(serializeDisabledDatesVar.value.jSONOut, OS.Types.Text, true),
DisabledDates: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.Calendar_new.OnReady$parseDisabledDatesJSResult"))();
jsNodeResult.disabledDatesOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.DisabledDates, OS.Types.Text);
return jsNodeResult;
}, {}, {});
initJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_Calendar_new_mvc_controller_OnReady_InitJS, "Init", "OnReady", {
DisabledWeekDays: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.disabledWeekDaysIn, OS.Types.Text, true),
FirstDay: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.firstWeekDayIn, OS.Types.Integer, true),
InitialDate: OS.DataTypes.JSConversions.basicTypeToJS(OS.BuiltinFunctions.dateTimeToDate(model.variables.initialDateIn), OS.Types.Date, true),
Show24HourFormat: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.show24HourFormatIn, OS.Types.Boolean, true),
ShowWeekNumbers: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.showWeekNumbersIn, OS.Types.Boolean, true),
InputWidgetid: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("DateInput"), OS.Types.Text, true),
DisabledDates: OS.DataTypes.JSConversions.basicTypeToJS(parseDisabledDatesJSResult.value.disabledDatesOut, OS.Types.Text, true),
AdvancedFormat: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.advancedFormatIn, OS.Types.Text, true),
MinDate: OS.DataTypes.JSConversions.basicTypeToJS(OS.BuiltinFunctions.dateTimeToDate(model.variables.minDateIn), OS.Types.Date, true),
Events: OS.DataTypes.JSConversions.basicTypeToJS(parseEventsJSResult.value.eventsOut, OS.Types.Text, true),
MaxDate: OS.DataTypes.JSConversions.basicTypeToJS(OS.BuiltinFunctions.dateTimeToDate(model.variables.maxDateIn), OS.Types.Date, true),
ShowTime: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.showTimeIn, OS.Types.Boolean, true),
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("Calendar"), OS.Types.Text, true),
CalendarObj: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.Calendar_new.OnReady$initJSResult"))();
jsNodeResult.calendarObjOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.CalendarObj, OS.Types.Object);
return jsNodeResult;
}, {
SelectDate: controller.clientActionProxies.selectDate$Action
}, {});
// CalendarObj = Init.CalendarObj
model.variables.calendarObjVar = initJSResult.value.calendarObjOut;
};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.Calendar_new.OnReady$initJSResult", [{
name: "CalendarObj",
attrName: "calendarObjOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.Calendar_new.OnReady$parseDisabledDatesJSResult", [{
name: "DisabledDates",
attrName: "disabledDatesOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.Calendar_new.OnReady$parseEventsJSResult", [{
name: "Events",
attrName: "eventsOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);

Controller.prototype.selectDate$Action = function (calendarDateIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._selectDate$Action, callContext, calendarDateIn);

};
Controller.prototype.onDestroy$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onDestroy$Action, callContext);

};
Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};
Controller.prototype.onParametersChanged$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onParametersChanged$Action, callContext);

};
Controller.prototype.onReady$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onReady$Action, callContext);

};
Controller.prototype.onSelect$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onReady$Action(callContext);

};
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onDestroy$Action(callContext);

};
Controller.prototype.onParametersChangedEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onParametersChanged$Action(callContext);

};
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return MobileUIWidgetsController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, MobileUIWidgetsLanguageResources);
});
define("MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$controller.SelectDate.RenderCalendarJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.CalendarObj.setStartRange($parameters.StartDate); 

$parameters.CalendarObj.setEndRange($parameters.EndDate);            

$parameters.CalendarObj.draw();
};
});
define("MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$controller.OnDestroy.CallDestroyFunctionJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.CalendarObj.destroy();
};
});
define("MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$controller.OnParametersChanged.CheckObjectStatusJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.ObjectIsDefined = $parameters.Object !== null;
};
});
define("MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$controller.OnParametersChanged.DestroyCalendarJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.CalendarObj.destroy();
};
});
define("MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$controller.OnReady.InitJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var options = {
    
    field: document.getElementById($parameters.InputWidgetid),
    
    bound: false,
    
    container: document.getElementById($parameters.WidgetId),
    
    events: $parameters.Events,
    
    minDate: $parameters.MinDate,
   
    maxDate: $parameters.MaxDate,
    
    defaultDate: $parameters.InitialDate,
    
    setDefaultDate: true,
    
    showDaysInNextAndPreviousMonths: true,
    
    showWeekNumber: $parameters.ShowWeekNumbers,
    
    firstDay: $parameters.FirstDay,
    
    showTime: $parameters.ShowTime,
    
    use24hour: $parameters.Show24HourFormat,
    
    disableDayFn: function(d) {
        disabledDay = $parameters.DisabledDates.indexOf(d.toDateString()) !== -1 ? true : false;
        disabledWeekDay = $parameters.DisabledWeekDays.indexOf(d.getDay()) !== -1 ? true : false;
        
        if(disabledDay || disabledWeekDay) {
            return true;
        }
    },
    
    onSelect: function(d) {
        $actions.SelectDate(d);
    }
    
};

var str = String($parameters.AdvancedFormat);
            
if(str.length > 0) {
    var json = JSON.stringify(eval('(' + str + ')'));   
    options = mergeJSON(options, JSON.parse(json));
}

$parameters.CalendarObj =  new Pikaday(options);

 function mergeJSON(target, add) {
        function isObject(obj) {
            if (typeof obj == 'object') {
                for (var key in obj) {
                    if (obj.hasOwnProperty(key)) {
                        return true; // search for first object prop
                    }
                }
            }
            return false;
        }
        for (var key in add) {
            if (add.hasOwnProperty(key)) {
                if (target[key] && isObject(target[key]) && isObject(add[key])) {
                    mergeJSON(target[key], add[key]);
                } else {
                    target[key] = add[key];
                }
            }
        }
        return target;
    };

};
});
define("MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$controller.OnReady.ParseDisabledDatesJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var events = JSON.parse($parameters.EventList);

$parameters.DisabledDates = [];

for(var i=0; i< events.length; i++) {
    var day = new Date(events[i]).toDateString();
    $parameters.DisabledDates.push(day);
}

$parameters.DisabledDates = $parameters.DisabledDates.toString();
};
});
define("MobileUIWidgets.WidgetsInteraction.Calendar_new.mvc$controller.OnReady.ParseEventsJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var events = JSON.parse($parameters.EventList);

$parameters.Events = [];

for(var i=0; i< events.length; i++) {
    var day = new Date(events[i]).toDateString();
    $parameters.Events.push(day);
}

$parameters.Events = $parameters.Events.toString();
};
});

