﻿define("MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$model", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "MobilePatterns.Utilities.TouchEvents.mvc$model", "MobileUIWidgets.controller$StatusBar_ChangeColor", "MobileUIWidgets.controller$MoveElement"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, MobilePatterns_Utilities_TouchEvents_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("IsMoving", "isMovingVar", "IsMoving", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("MoveY", "moveYVar", "MoveY", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("LastX", "lastXVar", "LastX", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("LastY", "lastYVar", "LastY", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("DragDirection", "dragDirectionVar", "DragDirection", true, OS.Types.Text, function () {
return "";
}), 
this.attr("PreventDefault", "preventDefaultVar", "PreventDefault", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("Velocity", "velocityVar", "Velocity", true, OS.Types.Decimal, function () {
return (new OS.DataTypes.Decimal("0.3"));
}), 
this.attr("SidebarHeight", "sidebarHeightVar", "SidebarHeight", true, OS.Types.Integer, function () {
return 280;
}), 
this.attr("RenderBar", "renderBarVar", "RenderBar", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("UpBarFloatTopHeight", "upBarFloatTopHeightVar", "UpBarFloatTopHeight", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("IsOpen", "isOpenIn", "IsOpen", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_isOpenInDataFetchStatus", "_isOpenInDataFetchStatus", "_isOpenInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("HasStatusBarPlugin", "hasStatusBarPluginIn", "HasStatusBarPlugin", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_hasStatusBarPluginInDataFetchStatus", "_hasStatusBarPluginInDataFetchStatus", "_hasStatusBarPluginInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("StatusBarColorId", "statusBarColorIdIn", "StatusBarColorId", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_statusBarColorIdInDataFetchStatus", "_statusBarColorIdInDataFetchStatus", "_statusBarColorIdInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ForceStartClosed", "forceStartClosedIn", "ForceStartClosed", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_forceStartClosedInDataFetchStatus", "_forceStartClosedInDataFetchStatus", "_forceStartClosedInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = MobilePatterns_Utilities_TouchEvents_mvcModel.hasValidationWidgets;
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("IsOpen" in inputs) {
this.variables.isOpenIn = inputs.IsOpen;
if("_isOpenInDataFetchStatus" in inputs) {
this.variables._isOpenInDataFetchStatus = inputs._isOpenInDataFetchStatus;
}

}

if("HasStatusBarPlugin" in inputs) {
this.variables.hasStatusBarPluginIn = inputs.HasStatusBarPlugin;
if("_hasStatusBarPluginInDataFetchStatus" in inputs) {
this.variables._hasStatusBarPluginInDataFetchStatus = inputs._hasStatusBarPluginInDataFetchStatus;
}

}

if("StatusBarColorId" in inputs) {
this.variables.statusBarColorIdIn = inputs.StatusBarColorId;
if("_statusBarColorIdInDataFetchStatus" in inputs) {
this.variables._statusBarColorIdInDataFetchStatus = inputs._statusBarColorIdInDataFetchStatus;
}

}

if("ForceStartClosed" in inputs) {
this.variables.forceStartClosedIn = inputs.ForceStartClosed;
if("_forceStartClosedInDataFetchStatus" in inputs) {
this.variables._forceStartClosedInDataFetchStatus = inputs._forceStartClosedInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$view", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "react", "OutSystemsReactView", "MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$model", "MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller", "OutSystemsReactWidgets", "MobilePatterns.Utilities.TouchEvents.mvc$view", "MobileUIWidgets.controller$StatusBar_ChangeColor", "MobileUIWidgets.controller$MoveElement"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, React, OSView, MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_model, MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller, OSWidgets, MobilePatterns_Utilities_TouchEvents_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "WidgetsInteraction.DrawerV3";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [MobilePatterns_Utilities_TouchEvents_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if(false, false, this, function () {
return [];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "o-upBarContainer ",
visible: true,
_idProps: {
service: idService,
name: "UpBarContainer"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.upBarBgdOnClick$Action(controller.callContext(eventHandlerContext));
});
;
}
},
style: model.getCachedValue(idService.getId("UpBarBgd.Style"), function () {
return ((model.variables.isOpenIn) ? ("o-upBarBgd") : (""));
}, function () {
return model.variables.isOpenIn;
}),
visible: true,
_idProps: {
service: idService,
name: "UpBarBgd"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._isOpenInDataFetchStatus)
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: model.getCachedValue(idService.getId("Upbar.Style"), function () {
return ("o-upBar" + ((model.variables.isOpenIn) ? (" -open") : ("")));
}, function () {
return model.variables.isOpenIn;
}),
visible: true,
_idProps: {
service: idService,
name: "Upbar"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._isOpenInDataFetchStatus)
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.floatTop,
style: "o-upBarFloat",
_idProps: {
service: idService,
name: "FloatTop"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.header,
style: "sidebar-header ph",
_idProps: {
service: idService,
name: "Header"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.content,
style: "sidebar-content ",
_idProps: {
service: idService,
name: "Content"
},
_widgetRecordProvider: widgetsRecordProvider
})))];
}), React.createElement(MobilePatterns_Utilities_TouchEvents_mvc_view, {
inputs: {
WidgetId: idService.getId("Upbar")
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
move$Action: function (xIn, yIn, offsetXIn, offsetYIn, evtIn) {
var eventHandlerContext = callContext.clone();
controller.gestureMove$Action(OS.BuiltinFunctions.decimalToInteger(OS.BuiltinFunctions.trunc(xIn)), OS.BuiltinFunctions.decimalToInteger(OS.BuiltinFunctions.trunc(yIn)), OS.BuiltinFunctions.decimalToInteger(OS.BuiltinFunctions.trunc(offsetXIn)), OS.BuiltinFunctions.decimalToInteger(OS.BuiltinFunctions.trunc(offsetYIn)), evtIn, controller.callContext(eventHandlerContext));

;
},
start$Action: function (xIn, yIn) {
var eventHandlerContext = callContext.clone();
controller.gestureStart$Action(OS.BuiltinFunctions.decimalToInteger(OS.BuiltinFunctions.trunc(xIn)), OS.BuiltinFunctions.decimalToInteger(OS.BuiltinFunctions.trunc(yIn)), controller.callContext(eventHandlerContext));

;
},
end$Action: function (xIn, yIn, offsetXIn, offsetYIn, timeTakenIn) {
var eventHandlerContext = callContext.clone();
controller.gestureEnd$Action(OS.BuiltinFunctions.decimalToInteger(OS.BuiltinFunctions.trunc(offsetXIn)), OS.BuiltinFunctions.decimalToInteger(OS.BuiltinFunctions.trunc(offsetYIn)), timeTakenIn, controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "6",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "MobileUIWidgets.languageResources", "MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.UpdateUI.MoveMenuJS", "MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.GestureStart.AddNoTransitionJS", "MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.GestureStart.CheckSideBarOpenJS", "MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.GestureEnd.RemoveOverflowJS", "MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.GestureEnd.OpenEnitreSideBarJS", "MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.GestureEnd.SendSideBarToStartJS", "MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.GestureEnd.RemoveNoTransitionJS", "MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.GestureMove.PreventDefault2JS", "MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.GestureMove.UpdateUIJS", "MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.OnParametersChanged.RemoveOverflowJS", "MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.OnParametersChanged.CheckOpenJS", "MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.OnParametersChanged.ApplyOverflowJS", "MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.OnReady.InitJS", "MobileUIWidgets.controller$StatusBar_ChangeColor", "MobileUIWidgets.controller$MoveElement"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, MobileUIWidgetsLanguageResources, MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_UpdateUI_MoveMenuJS, MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_GestureStart_AddNoTransitionJS, MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_GestureStart_CheckSideBarOpenJS, MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_GestureEnd_RemoveOverflowJS, MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_GestureEnd_OpenEnitreSideBarJS, MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_GestureEnd_SendSideBarToStartJS, MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_GestureEnd_RemoveNoTransitionJS, MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_GestureMove_PreventDefault2JS, MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_GestureMove_UpdateUIJS, MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_OnParametersChanged_RemoveOverflowJS, MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_OnParametersChanged_CheckOpenJS, MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_OnParametersChanged_ApplyOverflowJS, MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_OnReady_InitJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {
updateUI$Action: function () {
return controller.executeActionInsideJSNode(controller._updateUI$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
}
};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._updateUI$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("UpdateUI");
callContext = controller.callContext(callContext);
if((model.variables.isMovingVar)) {
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_UpdateUI_MoveMenuJS, "MoveMenu", "UpdateUI", {
UpBarFloatTopId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("FloatTop"), OS.Types.Text, true),
SidebarHeight: OS.DataTypes.JSConversions.basicTypeToJS((model.variables.sidebarHeightVar - model.variables.upBarFloatTopHeightVar), OS.Types.Integer, true),
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("Upbar"), OS.Types.Text, true),
OffsetY: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.moveYVar, OS.Types.Decimal, true)
}, function ($parameters) {
}, {
UpdateUI: controller.clientActionProxies.updateUI$Action
}, {});
}

};
Controller.prototype._gestureStart$Action = function (xIn, yIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GestureStart");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.DrawerV3.GestureStart$vars"))());
vars.value.xInLocal = xIn;
vars.value.yInLocal = yIn;
var checkSideBarOpenJSResult = new OS.DataTypes.VariableHolder();
// Sidebar is moving
// IsMoving = True
model.variables.isMovingVar = true;
checkSideBarOpenJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_GestureStart_CheckSideBarOpenJS, "CheckSideBarOpen", "GestureStart", {
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("Upbar"), OS.Types.Text, true),
IsOpen: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
SidebarHeight: OS.DataTypes.JSConversions.basicTypeToJS(0, OS.Types.Integer, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.DrawerV3.GestureStart$checkSideBarOpenJSResult"))();
jsNodeResult.isOpenOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsOpen, OS.Types.Boolean);
jsNodeResult.sidebarHeightOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.SidebarHeight, OS.Types.Integer);
return jsNodeResult;
}, {}, {});
// Set initial conditions
// IsOpen = CheckSideBarOpen.IsOpen
model.variables.isOpenIn = checkSideBarOpenJSResult.value.isOpenOut;
// SidebarHeight = CheckSideBarOpen.SidebarHeight
model.variables.sidebarHeightVar = checkSideBarOpenJSResult.value.sidebarHeightOut;
// LastX = X
model.variables.lastXVar = OS.BuiltinFunctions.integerToDecimal(vars.value.xInLocal);
// LastY = Y
model.variables.lastYVar = OS.BuiltinFunctions.integerToDecimal(vars.value.yInLocal);
// MoveY = If
model.variables.moveYVar = OS.BuiltinFunctions.integerToDecimal(((model.variables.isOpenIn) ? (0) : ((model.variables.sidebarHeightVar - model.variables.upBarFloatTopHeightVar))));
// DragDirection = ""
model.variables.dragDirectionVar = "";
// PreventDefault = True
model.variables.preventDefaultVar = true;
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_GestureStart_AddNoTransitionJS, "AddNoTransition", "GestureStart", {
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("Upbar"), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.DrawerV3.GestureStart$vars", [{
name: "X",
attrName: "xInLocal",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}, {
name: "Y",
attrName: "yInLocal",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.DrawerV3.GestureStart$checkSideBarOpenJSResult", [{
name: "IsOpen",
attrName: "isOpenOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "SidebarHeight",
attrName: "sidebarHeightOut",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
Controller.prototype._gestureEnd$Action = function (offsetXIn, offsetYIn, timeTakenIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GestureEnd");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.DrawerV3.GestureEnd$vars"))());
vars.value.offsetXInLocal = offsetXIn;
vars.value.offsetYInLocal = offsetYIn;
vars.value.timeTakenInLocal = timeTakenIn;
// Set not moving
// IsMoving = False
model.variables.isMovingVar = false;
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_GestureEnd_RemoveNoTransitionJS, "RemoveNoTransition", "GestureEnd", {
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("Upbar"), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Just Clicked?
if((!(((vars.value.offsetXInLocal === 0) && (vars.value.offsetYInLocal === 0))))) {
do {
// IntervalExpressionForClose = MoveY > -SidebarHeight / 2
vars.value.intervalExpressionForCloseVar = model.variables.moveYVar.gt(OS.BuiltinFunctions.integerToDecimal(-model.variables.sidebarHeightVar).div(OS.BuiltinFunctions.integerToDecimal(2)));
// IntervalExpressionForOpen = MoveY < SidebarHeight / 2
vars.value.intervalExpressionForOpenVar = model.variables.moveYVar.lt(OS.BuiltinFunctions.integerToDecimal(model.variables.sidebarHeightVar).div(OS.BuiltinFunctions.integerToDecimal(2)));
// OffsetExpression = OffsetY > 0
vars.value.offsetExpressionVar = (vars.value.offsetYInLocal > 0);
if((model.variables.isOpenIn)) {
// Closed one third?
if((!(((vars.value.intervalExpressionForCloseVar && OS.BuiltinFunctions.abs(OS.BuiltinFunctions.integerToDecimal(vars.value.offsetYInLocal)).div(vars.value.timeTakenInLocal).gt(model.variables.velocityVar)) && vars.value.offsetExpressionVar)))) {
break;
}

} else {
// Opened two thirds?
if(((vars.value.intervalExpressionForOpenVar || OS.BuiltinFunctions.abs(OS.BuiltinFunctions.integerToDecimal(vars.value.offsetYInLocal)).div(vars.value.timeTakenInLocal).gt(model.variables.velocityVar)))) {
break;
}

}

controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_GestureEnd_SendSideBarToStartJS, "SendSideBarToStart", "GestureEnd", {
UpBarFloatTopId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("FloatTop"), OS.Types.Text, true),
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("Upbar"), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// CloseSideBar
// IsOpen = False
model.variables.isOpenIn = false;
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_GestureEnd_RemoveOverflowJS, "RemoveOverflow", "GestureEnd", null, function ($parameters) {
}, {}, {});
if((model.variables.hasStatusBarPluginIn)) {
// Execute Action: StatusBar_ChangeColor2
MobileUIWidgetsController.default.statusBar_ChangeColor$Action(model.variables.statusBarColorIdIn, callContext);
return ;

} else {
return ;

}

} while(false)
;
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_GestureEnd_OpenEnitreSideBarJS, "OpenEnitreSideBar", "GestureEnd", {
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("Upbar"), OS.Types.Text, true),
UpBarFloatTopId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("FloatTop"), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// OpenSideBar
// IsOpen = True
model.variables.isOpenIn = true;
if((model.variables.hasStatusBarPluginIn)) {
// Execute Action: StatusBar_ChangeColor
MobileUIWidgetsController.default.statusBar_ChangeColor$Action(MobileUIWidgetsModel.staticEntities.hEX_COLORS.black, callContext);
}

}

};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.DrawerV3.GestureEnd$vars", [{
name: "OffsetX",
attrName: "offsetXInLocal",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}, {
name: "OffsetY",
attrName: "offsetYInLocal",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}, {
name: "TimeTaken",
attrName: "timeTakenInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}, {
name: "IntervalExpressionForClose",
attrName: "intervalExpressionForCloseVar",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "IntervalExpressionForOpen",
attrName: "intervalExpressionForOpenVar",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "OffsetExpression",
attrName: "offsetExpressionVar",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
// Set initial conditions
// SidebarHeight = 0
model.variables.sidebarHeightVar = 0;
// LastX = 0
model.variables.lastXVar = OS.BuiltinFunctions.integerToDecimal(0);
// LastY = 0
model.variables.lastYVar = OS.BuiltinFunctions.integerToDecimal(0);
// MoveY = 0
model.variables.moveYVar = OS.BuiltinFunctions.integerToDecimal(0);
// DragDirection = ""
model.variables.dragDirectionVar = "";
// PreventDefault = False
model.variables.preventDefaultVar = false;
// RenderBar = RenderBar
model.variables.renderBarVar = model.variables.renderBarVar;
if((model.variables.forceStartClosedIn)) {
// Set IsOpen to False
// IsOpen = False
model.variables.isOpenIn = false;
}

};
Controller.prototype._gestureMove$Action = function (xIn, yIn, offsetXIn, offsetYIn, evtIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GestureMove");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.DrawerV3.GestureMove$vars"))());
vars.value.xInLocal = xIn;
vars.value.yInLocal = yIn;
vars.value.offsetXInLocal = offsetXIn;
vars.value.offsetYInLocal = offsetYIn;
vars.value.evtInLocal = evtIn;
// No direction set?
if(((model.variables.dragDirectionVar === ""))) {
// Set drag direction
// DragDirection = If
model.variables.dragDirectionVar = ((OS.BuiltinFunctions.abs(OS.BuiltinFunctions.integerToDecimal(vars.value.offsetXInLocal)).gte(OS.BuiltinFunctions.abs(OS.BuiltinFunctions.integerToDecimal(vars.value.offsetYInLocal)))) ? ("horizontal") : ("vertical"));
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_GestureMove_UpdateUIJS, "UpdateUI", "GestureMove", null, function ($parameters) {
}, {
UpdateUI: controller.clientActionProxies.updateUI$Action
}, {});
}

// Is scrolling?
if(((model.variables.dragDirectionVar === "horizontal"))) {
// Update Last Positions
// LastY = Y
model.variables.lastYVar = OS.BuiltinFunctions.integerToDecimal(vars.value.yInLocal);
// LastX = X
model.variables.lastXVar = OS.BuiltinFunctions.integerToDecimal(vars.value.xInLocal);
} else {
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_GestureMove_PreventDefault2JS, "PreventDefault2", "GestureMove", {
Evt: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.evtInLocal, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
// Dragging inside bounds?
if(((model.variables.moveYVar.plus(OS.BuiltinFunctions.integerToDecimal(vars.value.yInLocal).minus(model.variables.lastYVar)).lt(OS.BuiltinFunctions.integerToDecimal((model.variables.sidebarHeightVar - model.variables.upBarFloatTopHeightVar))) && model.variables.moveYVar.plus(OS.BuiltinFunctions.integerToDecimal(vars.value.yInLocal).minus(model.variables.lastYVar)).gt(OS.BuiltinFunctions.integerToDecimal(0))))) {
// Update menu Y axis offset
// MoveY = MoveY + Y - LastY
model.variables.moveYVar = model.variables.moveYVar.plus(OS.BuiltinFunctions.integerToDecimal(vars.value.yInLocal).minus(model.variables.lastYVar));
}

// Update Last Positions
// LastY = Y
model.variables.lastYVar = OS.BuiltinFunctions.integerToDecimal(vars.value.yInLocal);
// LastX = X
model.variables.lastXVar = OS.BuiltinFunctions.integerToDecimal(vars.value.xInLocal);
}

};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.DrawerV3.GestureMove$vars", [{
name: "X",
attrName: "xInLocal",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}, {
name: "Y",
attrName: "yInLocal",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}, {
name: "OffsetX",
attrName: "offsetXInLocal",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}, {
name: "OffsetY",
attrName: "offsetYInLocal",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}, {
name: "Evt",
attrName: "evtInLocal",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
Controller.prototype._onParametersChanged$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnParametersChanged");
callContext = controller.callContext(callContext);
var checkOpenJSResult = new OS.DataTypes.VariableHolder();
checkOpenJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_OnParametersChanged_CheckOpenJS, "CheckOpen", "OnParametersChanged", {
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("Upbar"), OS.Types.Text, true),
IsOpenIf: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.DrawerV3.OnParametersChanged$checkOpenJSResult"))();
jsNodeResult.isOpenIfOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsOpenIf, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
// IsOpen
// IsOpen = CheckOpen.IsOpenIf
model.variables.isOpenIn = checkOpenJSResult.value.isOpenIfOut;
if((checkOpenJSResult.value.isOpenIfOut)) {
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_OnParametersChanged_ApplyOverflowJS, "ApplyOverflow", "OnParametersChanged", null, function ($parameters) {
}, {}, {});
if((model.variables.hasStatusBarPluginIn)) {
// Execute Action: StatusBar_ChangeColor2
MobileUIWidgetsController.default.statusBar_ChangeColor$Action(MobileUIWidgetsModel.staticEntities.hEX_COLORS.black, callContext);
}

} else {
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_OnParametersChanged_RemoveOverflowJS, "RemoveOverflow", "OnParametersChanged", null, function ($parameters) {
}, {}, {});
if((model.variables.hasStatusBarPluginIn)) {
// Execute Action: StatusBar_ChangeColor
MobileUIWidgetsController.default.statusBar_ChangeColor$Action(model.variables.statusBarColorIdIn, callContext);
}

}

};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.DrawerV3.OnParametersChanged$checkOpenJSResult", [{
name: "IsOpenIf",
attrName: "isOpenIfOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Controller.prototype._onReady$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnReady");
callContext = controller.callContext(callContext);
var initJSResult = new OS.DataTypes.VariableHolder();
initJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsInteraction_DrawerV3_mvc_controller_OnReady_InitJS, "Init", "OnReady", {
UpBarFloatTopId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("FloatTop"), OS.Types.Text, true),
WidgetId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("Upbar"), OS.Types.Text, true),
RenderMenu: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
UpBarFloatTopHeight: OS.DataTypes.JSConversions.basicTypeToJS(0, OS.Types.Integer, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsInteraction.DrawerV3.OnReady$initJSResult"))();
jsNodeResult.renderMenuOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.RenderMenu, OS.Types.Boolean);
jsNodeResult.upBarFloatTopHeightOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.UpBarFloatTopHeight, OS.Types.Integer);
return jsNodeResult;
}, {
MoveElement: MobileUIWidgetsController.default.clientActionProxies.moveElement$Action
}, {});
// Init
// RenderBar = Init.RenderMenu
model.variables.renderBarVar = initJSResult.value.renderMenuOut;
// UpBarFloatTopHeight = Init.UpBarFloatTopHeight
model.variables.upBarFloatTopHeightVar = initJSResult.value.upBarFloatTopHeightOut;
};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsInteraction.DrawerV3.OnReady$initJSResult", [{
name: "RenderMenu",
attrName: "renderMenuOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "UpBarFloatTopHeight",
attrName: "upBarFloatTopHeightOut",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
Controller.prototype._upBarBgdOnClick$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("UpBarBgdOnClick");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: OnBgdClick
return controller.onBgdClick$Action(callContext);
});
};

Controller.prototype.updateUI$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._updateUI$Action, callContext);

};
Controller.prototype.gestureStart$Action = function (xIn, yIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._gestureStart$Action, callContext, xIn, yIn);

};
Controller.prototype.gestureEnd$Action = function (offsetXIn, offsetYIn, timeTakenIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._gestureEnd$Action, callContext, offsetXIn, offsetYIn, timeTakenIn);

};
Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};
Controller.prototype.gestureMove$Action = function (xIn, yIn, offsetXIn, offsetYIn, evtIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._gestureMove$Action, callContext, xIn, yIn, offsetXIn, offsetYIn, evtIn);

};
Controller.prototype.onParametersChanged$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onParametersChanged$Action, callContext);

};
Controller.prototype.onReady$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onReady$Action, callContext);

};
Controller.prototype.upBarBgdOnClick$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._upBarBgdOnClick$Action, callContext);

};
Controller.prototype.onBgdClick$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onReady$Action(callContext);

};
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onParametersChanged$Action(callContext);

};
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return MobileUIWidgetsController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, MobileUIWidgetsLanguageResources);
});
define("MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.UpdateUI.MoveMenuJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var el = document.getElementById($parameters.WidgetId);

el.style.transform =  "translateY(" + $parameters.OffsetY + "px)";
el.style.webkitTransform =  "translateY(" + $parameters.OffsetY + "px)";


/*el = document.getElementById($parameters.UpBarFloatTopId);

el.style.transform =  "rotate(" + (180-($parameters.OffsetY*(180/$parameters.SidebarHeight))) + "deg)";
el.style.webkitTransform =  "rotate(" +  (180-($parameters.OffsetY*(180/$parameters.SidebarHeight))) + "deg)";*/


requestAnimationFrame($actions.UpdateUI);
};
});
define("MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.GestureStart.AddNoTransitionJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var sideBarMenu = document.getElementById($parameters.WidgetId);
sideBarMenu.classList.add('no-transition');

sideBarMenu.offsetHeight;
};
});
define("MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.GestureStart.CheckSideBarOpenJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var layout = document.getElementById($parameters.WidgetId);
var isRTL = document.querySelector('.is-rtl');

if (layout.classList.contains('-open')) {
    $parameters.IsOpen = true;
}


$parameters.SidebarHeight = layout.offsetHeight;
};
});
define("MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.GestureEnd.RemoveOverflowJS", [], function () {
return function ($actions, $roles, $public) {
var content = document.querySelector('.content');

content.style.overflowY = "auto";
};
});
define("MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.GestureEnd.OpenEnitreSideBarJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var el = document.getElementById($parameters.WidgetId);

el.style.transform =  "";
el.style.webkitTransform =  "";



/*var el = document.getElementById($parameters.UpBarFloatTopId);
el.style.transform =  "rotate(180deg)";
el.style.webkitTransform =  "rotate(180deg)";*/
};
});
define("MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.GestureEnd.SendSideBarToStartJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var el = document.getElementById($parameters.WidgetId);

el.style.transform =  "";
el.style.webkitTransform =  "";

/*var el = document.getElementById($parameters.UpBarFloatTopId);
el.style.transform =  "rotate(0deg)";
el.style.webkitTransform =  "rotate(0deg)";*/
};
});
define("MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.GestureEnd.RemoveNoTransitionJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var sideBarMenu = document.getElementById($parameters.WidgetId);
sideBarMenu.classList.remove('no-transition');
};
});
define("MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.GestureMove.PreventDefault2JS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.Evt.preventDefault();
};
});
define("MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.GestureMove.UpdateUIJS", [], function () {
return function ($actions, $roles, $public) {
requestAnimationFrame($actions.UpdateUI);
};
});
define("MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.OnParametersChanged.RemoveOverflowJS", [], function () {
return function ($actions, $roles, $public) {
var content = document.querySelector('.content');

content.style.overflowY = "auto";
};
});
define("MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.OnParametersChanged.CheckOpenJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.IsOpenIf = !document.getElementById($parameters.WidgetId).classList.contains("-open");
};
});
define("MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.OnParametersChanged.ApplyOverflowJS", [], function () {
return function ($actions, $roles, $public) {
var content = document.querySelector('.content');

content.style.overflowY = "hidden";
};
});
define("MobileUIWidgets.WidgetsInteraction.DrawerV3.mvc$controller.OnReady.InitJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$actions.MoveElement($parameters.WidgetId, ".active-screen .screen");

$parameters.RenderMenu = document.querySelector('.active-screen .app-menu-icon.back') === null;

var el = document.getElementById($parameters.UpBarFloatTopId);

$parameters.UpBarFloatTopHeight = el.offsetHeight;
};
});

