﻿define("MobileUIWidgets.WidgetsInteraction.FloatingButton.mvc$model", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.WidgetsContent.ButtonRipple.mvc$model", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$model"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgets_WidgetsContent_ButtonRipple_mvcModel, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("StyleClass", "styleClassIn", "StyleClass", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_styleClassInDataFetchStatus", "_styleClassInDataFetchStatus", "_styleClassInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IconSIzeId", "iconSIzeIdIn", "IconSIzeId", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_iconSIzeIdInDataFetchStatus", "_iconSIzeIdInDataFetchStatus", "_iconSIzeIdInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IconClassId", "iconClassIdIn", "IconClassId", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_iconClassIdInDataFetchStatus", "_iconClassIdInDataFetchStatus", "_iconClassIdInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IconStyleClass", "iconStyleClassIn", "IconStyleClass", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_iconStyleClassInDataFetchStatus", "_iconStyleClassInDataFetchStatus", "_iconStyleClassInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("BtnStyleClass", "btnStyleClassIn", "BtnStyleClass", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_btnStyleClassInDataFetchStatus", "_btnStyleClassInDataFetchStatus", "_btnStyleClassInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IsBtnPrimary", "isBtnPrimaryIn", "IsBtnPrimary", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("_isBtnPrimaryInDataFetchStatus", "_isBtnPrimaryInDataFetchStatus", "_isBtnPrimaryInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("HasNotification", "hasNotificationIn", "HasNotification", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_hasNotificationInDataFetchStatus", "_hasNotificationInDataFetchStatus", "_hasNotificationInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = (MobileUIWidgets_WidgetsContent_ButtonRipple_mvcModel.hasValidationWidgets || MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("StyleClass" in inputs) {
this.variables.styleClassIn = inputs.StyleClass;
if("_styleClassInDataFetchStatus" in inputs) {
this.variables._styleClassInDataFetchStatus = inputs._styleClassInDataFetchStatus;
}

}

if("IconSIzeId" in inputs) {
this.variables.iconSIzeIdIn = inputs.IconSIzeId;
if("_iconSIzeIdInDataFetchStatus" in inputs) {
this.variables._iconSIzeIdInDataFetchStatus = inputs._iconSIzeIdInDataFetchStatus;
}

}

if("IconClassId" in inputs) {
this.variables.iconClassIdIn = inputs.IconClassId;
if("_iconClassIdInDataFetchStatus" in inputs) {
this.variables._iconClassIdInDataFetchStatus = inputs._iconClassIdInDataFetchStatus;
}

}

if("IconStyleClass" in inputs) {
this.variables.iconStyleClassIn = inputs.IconStyleClass;
if("_iconStyleClassInDataFetchStatus" in inputs) {
this.variables._iconStyleClassInDataFetchStatus = inputs._iconStyleClassInDataFetchStatus;
}

}

if("BtnStyleClass" in inputs) {
this.variables.btnStyleClassIn = inputs.BtnStyleClass;
if("_btnStyleClassInDataFetchStatus" in inputs) {
this.variables._btnStyleClassInDataFetchStatus = inputs._btnStyleClassInDataFetchStatus;
}

}

if("IsBtnPrimary" in inputs) {
this.variables.isBtnPrimaryIn = inputs.IsBtnPrimary;
if("_isBtnPrimaryInDataFetchStatus" in inputs) {
this.variables._isBtnPrimaryInDataFetchStatus = inputs._isBtnPrimaryInDataFetchStatus;
}

}

if("HasNotification" in inputs) {
this.variables.hasNotificationIn = inputs.HasNotification;
if("_hasNotificationInDataFetchStatus" in inputs) {
this.variables._hasNotificationInDataFetchStatus = inputs._hasNotificationInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("MobileUIWidgets.WidgetsInteraction.FloatingButton.mvc$view", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "react", "OutSystemsReactView", "MobileUIWidgets.WidgetsInteraction.FloatingButton.mvc$model", "MobileUIWidgets.WidgetsInteraction.FloatingButton.mvc$controller", "OutSystemsReactWidgets", "MobileUIWidgets.WidgetsContent.ButtonRipple.mvc$view", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$view"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, React, OSView, MobileUIWidgets_WidgetsInteraction_FloatingButton_mvc_model, MobileUIWidgets_WidgetsInteraction_FloatingButton_mvc_controller, OSWidgets, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "WidgetsInteraction.FloatingButton";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsInteraction_FloatingButton_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsInteraction_FloatingButton_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if(false, false, this, function () {
return [];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: ("a-floatingBtn " + model.variables.styleClassIn),
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._styleClassInDataFetchStatus)
}, React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.onClick$Action(controller.callContext(eventHandlerContext));
});
;
},
style: model.getCachedValue(idService.getId("j7Ld+WCfiEeKd038hF3vUg.Style"), function () {
return ((("btn a-btn -icon " + ((model.variables.hasNotificationIn) ? ("-notification ") : (""))) + ((model.variables.isBtnPrimaryIn) ? ("btn-primary -primary ") : (""))) + model.variables.btnStyleClassIn);
}, function () {
return model.variables.hasNotificationIn;
}, function () {
return model.variables.isBtnPrimaryIn;
}, function () {
return model.variables.btnStyleClassIn;
}),
visible: true,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._hasNotificationInDataFetchStatus, model.variables._isBtnPrimaryInDataFetchStatus, model.variables._btnStyleClassInDataFetchStatus)
}, React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
IconSize: model.variables.iconSIzeIdIn,
_iconSizeInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._iconSIzeIdInDataFetchStatus),
StyleClass: model.variables.iconStyleClassIn,
_styleClassInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._iconStyleClassInDataFetchStatus),
IconName: model.variables.iconClassIdIn,
_iconNameInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._iconClassIdInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "3",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: [asPrimitiveValue(model.variables.iconClassIdIn), asPrimitiveValue(model.variables.iconStyleClassIn), asPrimitiveValue(model.variables.iconSIzeIdIn), asPrimitiveValue(model.variables._iconClassIdInDataFetchStatus), asPrimitiveValue(model.variables._iconStyleClassInDataFetchStatus), asPrimitiveValue(model.variables._iconSIzeIdInDataFetchStatus), asPrimitiveValue(model.variables._btnStyleClassInDataFetchStatus), asPrimitiveValue(model.variables._isBtnPrimaryInDataFetchStatus), asPrimitiveValue(model.variables._hasNotificationInDataFetchStatus), asPrimitiveValue(model.variables.btnStyleClassIn), asPrimitiveValue(model.variables.isBtnPrimaryIn), asPrimitiveValue(model.variables.hasNotificationIn)]
}))];
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("MobileUIWidgets.WidgetsInteraction.FloatingButton.mvc$controller", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "MobileUIWidgets.languageResources"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, MobileUIWidgetsLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._onClick$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnClick");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: OnBtnClick
return controller.onBtnClick$Action(callContext);
});
};

Controller.prototype.onClick$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onClick$Action, callContext);

};
Controller.prototype.onBtnClick$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return MobileUIWidgetsController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, MobileUIWidgetsLanguageResources);
});

