﻿define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$model", ["OutSystems", "MobileUIWidgets.model", "MobilePatterns.Utilities.TouchEvents.mvc$model"], function (OutSystems, MobileUIWidgetsModel, MobilePatterns_Utilities_TouchEvents_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("ActiveTab", "activeTabVar", "ActiveTab", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("IsMoving", "isMovingVar", "IsMoving", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("TabsWidth", "tabsWidthVar", "TabsWidth", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("DragDirection", "dragDirectionVar", "DragDirection", true, OS.Types.Text, function () {
return "";
}), 
this.attr("LastX", "lastXVar", "LastX", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("LastY", "lastYVar", "LastY", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("MoveX", "moveXVar", "MoveX", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("TabsNumber", "tabsNumberVar", "TabsNumber", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("DragDirectionH", "dragDirectionHVar", "DragDirectionH", true, OS.Types.Text, function () {
return "";
}), 
this.attr("FirstTime", "firstTimeVar", "FirstTime", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("Velocity", "velocityVar", "Velocity", true, OS.Types.Decimal, function () {
return (new OS.DataTypes.Decimal("0.3"));
}), 
this.attr("IsRTL", "isRTLVar", "IsRTL", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("ContainsClass", "containsClassVar", "ContainsClass", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("StartingTab", "startingTabIn", "StartingTab", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("_startingTabInDataFetchStatus", "_startingTabInDataFetchStatus", "_startingTabInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IsTab1Visible", "isTab1VisibleIn", "IsTab1Visible", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_isTab1VisibleInDataFetchStatus", "_isTab1VisibleInDataFetchStatus", "_isTab1VisibleInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Tab1Index", "tab1IndexIn", "Tab1Index", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("_tab1IndexInDataFetchStatus", "_tab1IndexInDataFetchStatus", "_tab1IndexInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IsTab2Visible", "isTab2VisibleIn", "IsTab2Visible", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_isTab2VisibleInDataFetchStatus", "_isTab2VisibleInDataFetchStatus", "_isTab2VisibleInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Tab2Index", "tab2IndexIn", "Tab2Index", true, OS.Types.Integer, function () {
return 1;
}), 
this.attr("_tab2IndexInDataFetchStatus", "_tab2IndexInDataFetchStatus", "_tab2IndexInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IsTab3Visible", "isTab3VisibleIn", "IsTab3Visible", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_isTab3VisibleInDataFetchStatus", "_isTab3VisibleInDataFetchStatus", "_isTab3VisibleInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Tab3Index", "tab3IndexIn", "Tab3Index", true, OS.Types.Integer, function () {
return 2;
}), 
this.attr("_tab3IndexInDataFetchStatus", "_tab3IndexInDataFetchStatus", "_tab3IndexInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IsTab4Visible", "isTab4VisibleIn", "IsTab4Visible", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_isTab4VisibleInDataFetchStatus", "_isTab4VisibleInDataFetchStatus", "_isTab4VisibleInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Tab4Index", "tab4IndexIn", "Tab4Index", true, OS.Types.Integer, function () {
return 3;
}), 
this.attr("_tab4IndexInDataFetchStatus", "_tab4IndexInDataFetchStatus", "_tab4IndexInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IsTab5Visible", "isTab5VisibleIn", "IsTab5Visible", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_isTab5VisibleInDataFetchStatus", "_isTab5VisibleInDataFetchStatus", "_isTab5VisibleInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Tab5Index", "tab5IndexIn", "Tab5Index", true, OS.Types.Integer, function () {
return 4;
}), 
this.attr("_tab5IndexInDataFetchStatus", "_tab5IndexInDataFetchStatus", "_tab5IndexInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = MobilePatterns_Utilities_TouchEvents_mvcModel.hasValidationWidgets;
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("StartingTab" in inputs) {
this.variables.startingTabIn = inputs.StartingTab;
if("_startingTabInDataFetchStatus" in inputs) {
this.variables._startingTabInDataFetchStatus = inputs._startingTabInDataFetchStatus;
}

}

if("IsTab1Visible" in inputs) {
this.variables.isTab1VisibleIn = inputs.IsTab1Visible;
if("_isTab1VisibleInDataFetchStatus" in inputs) {
this.variables._isTab1VisibleInDataFetchStatus = inputs._isTab1VisibleInDataFetchStatus;
}

}

if("Tab1Index" in inputs) {
this.variables.tab1IndexIn = inputs.Tab1Index;
if("_tab1IndexInDataFetchStatus" in inputs) {
this.variables._tab1IndexInDataFetchStatus = inputs._tab1IndexInDataFetchStatus;
}

}

if("IsTab2Visible" in inputs) {
this.variables.isTab2VisibleIn = inputs.IsTab2Visible;
if("_isTab2VisibleInDataFetchStatus" in inputs) {
this.variables._isTab2VisibleInDataFetchStatus = inputs._isTab2VisibleInDataFetchStatus;
}

}

if("Tab2Index" in inputs) {
this.variables.tab2IndexIn = inputs.Tab2Index;
if("_tab2IndexInDataFetchStatus" in inputs) {
this.variables._tab2IndexInDataFetchStatus = inputs._tab2IndexInDataFetchStatus;
}

}

if("IsTab3Visible" in inputs) {
this.variables.isTab3VisibleIn = inputs.IsTab3Visible;
if("_isTab3VisibleInDataFetchStatus" in inputs) {
this.variables._isTab3VisibleInDataFetchStatus = inputs._isTab3VisibleInDataFetchStatus;
}

}

if("Tab3Index" in inputs) {
this.variables.tab3IndexIn = inputs.Tab3Index;
if("_tab3IndexInDataFetchStatus" in inputs) {
this.variables._tab3IndexInDataFetchStatus = inputs._tab3IndexInDataFetchStatus;
}

}

if("IsTab4Visible" in inputs) {
this.variables.isTab4VisibleIn = inputs.IsTab4Visible;
if("_isTab4VisibleInDataFetchStatus" in inputs) {
this.variables._isTab4VisibleInDataFetchStatus = inputs._isTab4VisibleInDataFetchStatus;
}

}

if("Tab4Index" in inputs) {
this.variables.tab4IndexIn = inputs.Tab4Index;
if("_tab4IndexInDataFetchStatus" in inputs) {
this.variables._tab4IndexInDataFetchStatus = inputs._tab4IndexInDataFetchStatus;
}

}

if("IsTab5Visible" in inputs) {
this.variables.isTab5VisibleIn = inputs.IsTab5Visible;
if("_isTab5VisibleInDataFetchStatus" in inputs) {
this.variables._isTab5VisibleInDataFetchStatus = inputs._isTab5VisibleInDataFetchStatus;
}

}

if("Tab5Index" in inputs) {
this.variables.tab5IndexIn = inputs.Tab5Index;
if("_tab5IndexInDataFetchStatus" in inputs) {
this.variables._tab5IndexInDataFetchStatus = inputs._tab5IndexInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$view", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "react", "OutSystemsReactView", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$model", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller", "OutSystemsReactWidgets", "MobilePatterns.Utilities.TouchEvents.mvc$view"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, React, OSView, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_model, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller, OSWidgets, MobilePatterns_Utilities_TouchEvents_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "WidgetsNavigation.Tabs_new";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [MobilePatterns_Utilities_TouchEvents_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "tabs",
visible: true,
_idProps: {
service: idService,
name: "tabs"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "tabs-header",
visible: true,
_idProps: {
service: idService,
uuid: "1"
},
_widgetRecordProvider: widgetsRecordProvider
}, $if(model.variables.isTab1VisibleIn, false, this, function () {
return [React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.tab1,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.tabsOnClick$Action(model.variables.tab1IndexIn, controller.callContext(eventHandlerContext));
});
;
}
},
style: model.getCachedValue(idService.getId("Tab1.Style"), function () {
return ("tabs-header-tab ph" + (((model.variables.activeTabVar === model.variables.tab1IndexIn)) ? (" active") : ("")));
}, function () {
return model.variables.activeTabVar;
}, function () {
return model.variables.tab1IndexIn;
}),
_idProps: {
service: idService,
name: "Tab1"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._tab1IndexInDataFetchStatus)
})];
}, function () {
return [];
}), $if(model.variables.isTab2VisibleIn, false, this, function () {
return [React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.tab2,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.tabsOnClick$Action(model.variables.tab2IndexIn, controller.callContext(eventHandlerContext));
});
;
}
},
style: model.getCachedValue(idService.getId("Tab2.Style"), function () {
return ("tabs-header-tab ph" + (((model.variables.activeTabVar === model.variables.tab2IndexIn)) ? (" active") : ("")));
}, function () {
return model.variables.activeTabVar;
}, function () {
return model.variables.tab2IndexIn;
}),
_idProps: {
service: idService,
name: "Tab2"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._tab2IndexInDataFetchStatus)
})];
}, function () {
return [];
}), $if(model.variables.isTab3VisibleIn, false, this, function () {
return [React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.tab3,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.tabsOnClick$Action(model.variables.tab3IndexIn, controller.callContext(eventHandlerContext));
});
;
}
},
style: model.getCachedValue(idService.getId("Tab3.Style"), function () {
return ("tabs-header-tab ph" + (((model.variables.activeTabVar === model.variables.tab3IndexIn)) ? (" active") : ("")));
}, function () {
return model.variables.activeTabVar;
}, function () {
return model.variables.tab3IndexIn;
}),
_idProps: {
service: idService,
name: "Tab3"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._tab3IndexInDataFetchStatus)
})];
}, function () {
return [];
}), $if(model.variables.isTab4VisibleIn, false, this, function () {
return [React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.tab4,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.tabsOnClick$Action(model.variables.tab4IndexIn, controller.callContext(eventHandlerContext));
});
;
}
},
style: model.getCachedValue(idService.getId("Tab4.Style"), function () {
return ("tabs-header-tab ph" + (((model.variables.activeTabVar === model.variables.tab4IndexIn)) ? (" active") : ("")));
}, function () {
return model.variables.activeTabVar;
}, function () {
return model.variables.tab4IndexIn;
}),
_idProps: {
service: idService,
name: "Tab4"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._tab4IndexInDataFetchStatus)
})];
}, function () {
return [];
}), $if(model.variables.isTab5VisibleIn, false, this, function () {
return [React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.tab5,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.tabsOnClick$Action(model.variables.tab5IndexIn, controller.callContext(eventHandlerContext));
});
;
}
},
style: model.getCachedValue(idService.getId("Tab5.Style"), function () {
return ("tabs-header-tab ph" + (((model.variables.activeTabVar === model.variables.tab5IndexIn)) ? (" active") : ("")));
}, function () {
return model.variables.activeTabVar;
}, function () {
return model.variables.tab5IndexIn;
}),
_idProps: {
service: idService,
name: "Tab5"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._tab5IndexInDataFetchStatus)
})];
}, function () {
return [];
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "tabs-overlay",
visible: true,
_idProps: {
service: idService,
uuid: "7"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "tabs-content",
visible: true,
_idProps: {
service: idService,
name: "tabscontent"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "tabs-content-wrapper",
visible: true,
_idProps: {
service: idService,
uuid: "9"
},
_widgetRecordProvider: widgetsRecordProvider
}, $if(model.variables.isTab1VisibleIn, false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: model.getCachedValue(idService.getId("TabContentTab.Style"), function () {
return ("tabs-content-tab ph" + (((model.variables.activeTabVar === model.variables.tab1IndexIn)) ? (" open") : ("")));
}, function () {
return model.variables.activeTabVar;
}, function () {
return model.variables.tab1IndexIn;
}),
visible: true,
_idProps: {
service: idService,
name: "TabContentTab"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._tab1IndexInDataFetchStatus)
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.tabContent1,
_idProps: {
service: idService,
name: "TabContent1"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
}, function () {
return [];
}), $if(model.variables.isTab2VisibleIn, false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: model.getCachedValue(idService.getId("TabContentTab2.Style"), function () {
return ("tabs-content-tab ph" + (((model.variables.activeTabVar === model.variables.tab2IndexIn)) ? (" open") : ("")));
}, function () {
return model.variables.activeTabVar;
}, function () {
return model.variables.tab2IndexIn;
}),
visible: true,
_idProps: {
service: idService,
name: "TabContentTab2"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._tab2IndexInDataFetchStatus)
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.tabContent2,
_idProps: {
service: idService,
name: "TabContent2"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
}, function () {
return [];
}), $if(model.variables.isTab3VisibleIn, false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: model.getCachedValue(idService.getId("TabContentTab3.Style"), function () {
return ("tabs-content-tab ph" + (((model.variables.activeTabVar === model.variables.tab3IndexIn)) ? (" open") : ("")));
}, function () {
return model.variables.activeTabVar;
}, function () {
return model.variables.tab3IndexIn;
}),
visible: true,
_idProps: {
service: idService,
name: "TabContentTab3"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._tab3IndexInDataFetchStatus)
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.tabContent3,
_idProps: {
service: idService,
name: "TabContent3"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
}, function () {
return [];
}), $if(model.variables.isTab4VisibleIn, false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: model.getCachedValue(idService.getId("TabContentTab4.Style"), function () {
return ("tabs-content-tab ph" + (((model.variables.activeTabVar === model.variables.tab4IndexIn)) ? (" open") : ("")));
}, function () {
return model.variables.activeTabVar;
}, function () {
return model.variables.tab4IndexIn;
}),
visible: true,
_idProps: {
service: idService,
name: "TabContentTab4"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._tab4IndexInDataFetchStatus)
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.tabContent4,
_idProps: {
service: idService,
name: "TabContent4"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
}, function () {
return [];
}), $if(model.variables.isTab5VisibleIn, false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: model.getCachedValue(idService.getId("TabContentTab5.Style"), function () {
return ("tabs-content-tab ph" + (((model.variables.activeTabVar === model.variables.tab5IndexIn)) ? (" open") : ("")));
}, function () {
return model.variables.activeTabVar;
}, function () {
return model.variables.tab5IndexIn;
}),
visible: true,
_idProps: {
service: idService,
name: "TabContentTab5"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._tab5IndexInDataFetchStatus)
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.tabContent5,
_idProps: {
service: idService,
name: "TabContent5"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
}, function () {
return [];
})))), React.createElement(MobilePatterns_Utilities_TouchEvents_mvc_view, {
inputs: {
WidgetId: idService.getId("tabscontent")
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
end$Action: function (xIn, yIn, offsetXIn, offsetYIn, timeTakenIn) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.gestureEnd$Action(offsetXIn, offsetYIn, timeTakenIn, controller.callContext(eventHandlerContext));
});
;
},
start$Action: function (xIn, yIn) {
var eventHandlerContext = callContext.clone();
controller.gestureStart$Action(xIn, yIn, controller.callContext(eventHandlerContext));

;
},
move$Action: function (xIn, yIn, offsetXIn, offsetYIn, evtIn) {
var eventHandlerContext = callContext.clone();
controller.gestureMove$Action(xIn, yIn, offsetXIn, offsetYIn, evtIn, controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "20",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "MobileUIWidgets.languageResources", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureStart.RemoveNoTransitionJS", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureStart.CleanAnimationClassesJS", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureStart.CheckIfContainsClassJS", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.OnOrientationChange.onOrientationChangeJS", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureMove.CalculateIntervalJS", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureMove.UpdateUIJS", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureMove.RemoveNoTransitionJS", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureMove.PreventDefaultWDirectionJS", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.OnDestroy.DestroyJS", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.OnReady.setUnderlineJS", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.TabsOnClick.SetTabsJS", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.AddOverlay.AddOverlayJS", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureEnd.RemoveNoTransition2JS", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureEnd.CalculateMiddleLeftJS", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureEnd.CalculateMiddleRightJS", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureEnd.SetRightTabAndHeaderJS", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureEnd.SetLeftTabAndHeaderJS", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureEnd.RemoveNoTransitionJS", "MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.UpdateUI.MoveMenuJS"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, MobileUIWidgetsLanguageResources, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureStart_RemoveNoTransitionJS, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureStart_CleanAnimationClassesJS, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureStart_CheckIfContainsClassJS, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_OnOrientationChange_onOrientationChangeJS, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureMove_CalculateIntervalJS, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureMove_UpdateUIJS, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureMove_RemoveNoTransitionJS, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureMove_PreventDefaultWDirectionJS, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_OnDestroy_DestroyJS, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_OnReady_setUnderlineJS, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_TabsOnClick_SetTabsJS, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_AddOverlay_AddOverlayJS, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureEnd_RemoveNoTransition2JS, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureEnd_CalculateMiddleLeftJS, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureEnd_CalculateMiddleRightJS, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureEnd_SetRightTabAndHeaderJS, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureEnd_SetLeftTabAndHeaderJS, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureEnd_RemoveNoTransitionJS, MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_UpdateUI_MoveMenuJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {
updateUI$Action: function () {
return controller.executeActionInsideJSNode(controller._updateUI$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
},
onOrientationChange$Action: function () {
return controller.executeActionInsideJSNode(controller._onOrientationChange$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
},
tabsOnClick$Action: function (tabNumberIn) {
tabNumberIn = (tabNumberIn === undefined) ? 0 : tabNumberIn;
return controller.executeActionInsideJSNode(controller._tabsOnClick$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(tabNumberIn, OS.Types.Integer)), controller.callContext(), function (actionResults) {
return {};
});
}
};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._gestureStart$Action = function (xIn, yIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GestureStart");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.GestureStart$vars"))());
vars.value.xInLocal = xIn;
vars.value.yInLocal = yIn;
var cleanAnimationClassesJSResult = new OS.DataTypes.VariableHolder();
var checkIfContainsClassJSResult = new OS.DataTypes.VariableHolder();
cleanAnimationClassesJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureStart_CleanAnimationClassesJS, "CleanAnimationClasses", "GestureStart", {
Id: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("tabs"), OS.Types.Text, true),
Width: OS.DataTypes.JSConversions.basicTypeToJS(0, OS.Types.Integer, true),
TabsNumber: OS.DataTypes.JSConversions.basicTypeToJS(0, OS.Types.Integer, true),
IsRTL: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.GestureStart$cleanAnimationClassesJSResult"))();
jsNodeResult.widthOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Width, OS.Types.Integer);
jsNodeResult.tabsNumberOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.TabsNumber, OS.Types.Integer);
jsNodeResult.isRTLOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsRTL, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
checkIfContainsClassJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureStart_CheckIfContainsClassJS, "CheckIfContainsClass", "GestureStart", {
TabId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("tabs"), OS.Types.Text, true),
ContainsClass: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.GestureStart$checkIfContainsClassJSResult"))();
jsNodeResult.containsClassOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ContainsClass, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
// IsMoving = True
model.variables.isMovingVar = true;
// LastX = X
model.variables.lastXVar = vars.value.xInLocal;
// LastY = Y
model.variables.lastYVar = vars.value.yInLocal;
// TabsWidth = CleanAnimationClasses.Width
model.variables.tabsWidthVar = cleanAnimationClassesJSResult.value.widthOut;
// DragDirection = ""
model.variables.dragDirectionVar = "";
// TabsNumber = CleanAnimationClasses.TabsNumber
model.variables.tabsNumberVar = cleanAnimationClassesJSResult.value.tabsNumberOut;
// DragDirectionH = ""
model.variables.dragDirectionHVar = "";
// IsRTL = CleanAnimationClasses.IsRTL
model.variables.isRTLVar = cleanAnimationClassesJSResult.value.isRTLOut;
// MoveX = If
model.variables.moveXVar = ((model.variables.isRTLVar) ? ((model.variables.activeTabVar * model.variables.tabsWidthVar)) : ((-model.variables.activeTabVar * model.variables.tabsWidthVar)));
// FirstTime = True
model.variables.firstTimeVar = true;
// ContainsClass = CheckIfContainsClass.ContainsClass
model.variables.containsClassVar = checkIfContainsClassJSResult.value.containsClassOut;
if((model.variables.containsClassVar)) {
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureStart_RemoveNoTransitionJS, "RemoveNoTransition", "GestureStart", {
Id: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("tabs"), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
}

};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.GestureStart$vars", [{
name: "X",
attrName: "xInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}, {
name: "Y",
attrName: "yInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}]);
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.GestureStart$cleanAnimationClassesJSResult", [{
name: "Width",
attrName: "widthOut",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}, {
name: "TabsNumber",
attrName: "tabsNumberOut",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}, {
name: "IsRTL",
attrName: "isRTLOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.GestureStart$checkIfContainsClassJSResult", [{
name: "ContainsClass",
attrName: "containsClassOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Controller.prototype._onOrientationChange$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnOrientationChange");
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_OnOrientationChange_onOrientationChangeJS, "onOrientationChange", "OnOrientationChange", {
ActiveTab: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.activeTabVar, OS.Types.Integer, true),
IsRTL: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.isRTLVar, OS.Types.Boolean, true),
TabsNumber: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.tabsNumberVar, OS.Types.Integer, true),
Id: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("tabs"), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
};
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
// ActiveTab = StartingTab
model.variables.activeTabVar = model.variables.startingTabIn;
};
Controller.prototype._gestureMove$Action = function (xIn, yIn, offsetXIn, offsetYIn, evtIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GestureMove");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.GestureMove$vars"))());
vars.value.xInLocal = xIn;
vars.value.yInLocal = yIn;
vars.value.offsetXInLocal = offsetXIn;
vars.value.offsetYInLocal = offsetYIn;
vars.value.evtInLocal = evtIn;
var calculateIntervalJSResult = new OS.DataTypes.VariableHolder();
if((model.variables.containsClassVar)) {
// IsMoving = False
model.variables.isMovingVar = false;
// ContainsClass = True
model.variables.containsClassVar = true;
} else {
// No direction set?
if(((model.variables.dragDirectionVar === ""))) {
// Set drag direction
// DragDirection = If
model.variables.dragDirectionVar = ((OS.BuiltinFunctions.abs(vars.value.offsetXInLocal).gte(OS.BuiltinFunctions.abs(vars.value.offsetYInLocal))) ? ("horizontal") : ("vertical"));
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureMove_UpdateUIJS, "UpdateUI", "GestureMove", null, function ($parameters) {
}, {
UpdateUI: controller.clientActionProxies.updateUI$Action
}, {});
}

// Is vertical?
if(((model.variables.dragDirectionVar === "vertical"))) {
// Update Last Positions
// LastY = Y
model.variables.lastYVar = vars.value.yInLocal;
// LastX = X
model.variables.lastXVar = vars.value.xInLocal;
// IsMoving = False
model.variables.isMovingVar = false;
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureMove_RemoveNoTransitionJS, "RemoveNoTransition", "GestureMove", {
Id: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("tabs"), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
} else {
var block1 = false;
do {
block1 = false;
var block3 = false;
do {
block3 = false;
do {
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureMove_PreventDefaultWDirectionJS, "PreventDefaultWDirection", "GestureMove", {
Evt: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.evtInLocal, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
// Set drag direction
// DragDirectionH = If
model.variables.dragDirectionHVar = ((vars.value.offsetXInLocal.gt(OS.BuiltinFunctions.integerToDecimal(0))) ? ("right") : ("left"));
if((model.variables.isRTLVar)) {
// TabsLimitationLeft = MoveX + X - LastX > 0
vars.value.tabsLimitationLeftVar = OS.BuiltinFunctions.integerToDecimal(model.variables.moveXVar).plus(vars.value.xInLocal.minus(model.variables.lastXVar)).gt(OS.BuiltinFunctions.integerToDecimal(0));
// TabsLimitationRight = MoveX + X - LastX > ActiveTab + 1 * TabsWidth
vars.value.tabsLimitationRightVar = OS.BuiltinFunctions.integerToDecimal(model.variables.moveXVar).plus(vars.value.xInLocal.minus(model.variables.lastXVar)).gt(OS.BuiltinFunctions.integerToDecimal(((model.variables.activeTabVar + 1) * model.variables.tabsWidthVar)));
// IsBLimitsLeft = MoveX + X - LastX > ActiveTab - 1 * TabsWidth and MoveX + X - LastX < ActiveTab + 1 * TabsWidth
vars.value.isBLimitsLeftVar = (OS.BuiltinFunctions.integerToDecimal(model.variables.moveXVar).plus(vars.value.xInLocal.minus(model.variables.lastXVar)).gt(OS.BuiltinFunctions.integerToDecimal(((model.variables.activeTabVar - 1) * model.variables.tabsWidthVar))) && OS.BuiltinFunctions.integerToDecimal(model.variables.moveXVar).plus(vars.value.xInLocal.minus(model.variables.lastXVar)).lt(OS.BuiltinFunctions.integerToDecimal(((model.variables.activeTabVar + 1) * model.variables.tabsWidthVar))));
// IsBLimitsRight = MoveX + X - LastX > 0 and MoveX + X - LastX < ActiveTab + 1 * TabsWidth
vars.value.isBLimitsRightVar = (OS.BuiltinFunctions.integerToDecimal(model.variables.moveXVar).plus(vars.value.xInLocal.minus(model.variables.lastXVar)).gt(OS.BuiltinFunctions.integerToDecimal(0)) && OS.BuiltinFunctions.integerToDecimal(model.variables.moveXVar).plus(vars.value.xInLocal.minus(model.variables.lastXVar)).lt(OS.BuiltinFunctions.integerToDecimal(((model.variables.activeTabVar + 1) * model.variables.tabsWidthVar))));
// isLeft?
if((!((model.variables.dragDirectionHVar === "left")))) {
break;
}

} else {
// TabsLimitationLeft = MoveX + X - LastX < 0
vars.value.tabsLimitationLeftVar = OS.BuiltinFunctions.integerToDecimal(model.variables.moveXVar).plus(vars.value.xInLocal.minus(model.variables.lastXVar)).lt(OS.BuiltinFunctions.integerToDecimal(0));
// TabsLimitationRight = MoveX + X - LastX < -ActiveTab + 1 * TabsWidth
vars.value.tabsLimitationRightVar = OS.BuiltinFunctions.integerToDecimal(model.variables.moveXVar).plus(vars.value.xInLocal.minus(model.variables.lastXVar)).lt(OS.BuiltinFunctions.integerToDecimal(-((model.variables.activeTabVar + 1) * model.variables.tabsWidthVar)));
// IsBLimitsLeft = MoveX + X - LastX < -ActiveTab - 1 * TabsWidth and MoveX + X - LastX > -ActiveTab + 1 * TabsWidth
vars.value.isBLimitsLeftVar = (OS.BuiltinFunctions.integerToDecimal(model.variables.moveXVar).plus(vars.value.xInLocal.minus(model.variables.lastXVar)).lt(OS.BuiltinFunctions.integerToDecimal(-((model.variables.activeTabVar - 1) * model.variables.tabsWidthVar))) && OS.BuiltinFunctions.integerToDecimal(model.variables.moveXVar).plus(vars.value.xInLocal.minus(model.variables.lastXVar)).gt(OS.BuiltinFunctions.integerToDecimal(-((model.variables.activeTabVar + 1) * model.variables.tabsWidthVar))));
// IsBLimitsRight = MoveX + X - LastX < 0 and MoveX + X - LastX > -ActiveTab + 1 * TabsWidth
vars.value.isBLimitsRightVar = (OS.BuiltinFunctions.integerToDecimal(model.variables.moveXVar).plus(vars.value.xInLocal.minus(model.variables.lastXVar)).lt(OS.BuiltinFunctions.integerToDecimal(0)) && OS.BuiltinFunctions.integerToDecimal(model.variables.moveXVar).plus(vars.value.xInLocal.minus(model.variables.lastXVar)).gt(OS.BuiltinFunctions.integerToDecimal(-((model.variables.activeTabVar + 1) * model.variables.tabsWidthVar))));
// is Left?
if(((model.variables.dragDirectionHVar === "left"))) {
break;
}

}

// Tabs limitations
if(((((model.variables.activeTabVar) !== (0)) || vars.value.tabsLimitationLeftVar))) {
// Is Between limits?
if((vars.value.isBLimitsLeftVar)) {
// jump to block3
block3 = true;
break;
} else {
// jump to block1
block1 = true;
break;
}

} else {
// jump to block1
block1 = true;
break;
}

} while(false)
;
if((block1 || block3)) {
break;
}

// Tabs limitations
if((((((model.variables.activeTabVar + 1)) !== (model.variables.tabsNumberVar)) || vars.value.tabsLimitationRightVar))) {
// Is Between limits?
if((!(vars.value.isBLimitsRightVar))) {
// jump to block1
block1 = true;
break;
}

} else {
// jump to block1
block1 = true;
break;
}

} while(false)
;
if(block1) {
break;
}

calculateIntervalJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureMove_CalculateIntervalJS, "CalculateInterval", "GestureMove", {
FirstTime: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.firstTimeVar, OS.Types.Boolean, true),
TabsWidth: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.tabsWidthVar, OS.Types.Integer, true),
LastX: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.lastXVar, OS.Types.Decimal, true),
X: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.xInLocal, OS.Types.Decimal, true),
TabsNumber: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.tabsNumberVar, OS.Types.Integer, true),
IsRTL: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.isRTLVar, OS.Types.Boolean, true),
interval: OS.DataTypes.JSConversions.basicTypeToJS(OS.DataTypes.Decimal.defaultValue, OS.Types.Decimal, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.GestureMove$calculateIntervalJSResult"))();
jsNodeResult.intervalOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.interval, OS.Types.Decimal);
return jsNodeResult;
}, {}, {});
// Update menu X axis offset
// MoveX = MoveX + CalculateInterval.interval
model.variables.moveXVar = OS.BuiltinFunctions.decimalToInteger(OS.BuiltinFunctions.trunc(OS.BuiltinFunctions.integerToDecimal(model.variables.moveXVar).plus(calculateIntervalJSResult.value.intervalOut)));
} while(false)
;
// Update Last Positions
// LastY = Y
model.variables.lastYVar = vars.value.yInLocal;
// LastX = X
model.variables.lastXVar = vars.value.xInLocal;
// FirstTime = False
model.variables.firstTimeVar = false;
}

}

};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.GestureMove$vars", [{
name: "X",
attrName: "xInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}, {
name: "Y",
attrName: "yInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}, {
name: "OffsetX",
attrName: "offsetXInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}, {
name: "OffsetY",
attrName: "offsetYInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}, {
name: "Evt",
attrName: "evtInLocal",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "TabsLimitationLeft",
attrName: "tabsLimitationLeftVar",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "TabsLimitationRight",
attrName: "tabsLimitationRightVar",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "IsBLimitsLeft",
attrName: "isBLimitsLeftVar",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "IsBLimitsRight",
attrName: "isBLimitsRightVar",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.GestureMove$calculateIntervalJSResult", [{
name: "interval",
attrName: "intervalOut",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}]);
Controller.prototype._onDestroy$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnDestroy");
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_OnDestroy_DestroyJS, "Destroy", "OnDestroy", null, function ($parameters) {
}, {
OnOrientationChange: controller.clientActionProxies.onOrientationChange$Action
}, {});
};
Controller.prototype._onReady$Action = function (idIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnReady");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.OnReady$vars"))());
vars.value.idInLocal = idIn;
var setUnderlineJSResult = new OS.DataTypes.VariableHolder();
setUnderlineJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_OnReady_setUnderlineJS, "setUnderline", "OnReady", {
ActiveTab: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.activeTabVar, OS.Types.Integer, true),
Id: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.idInLocal, OS.Types.Text, true),
IsRTL: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.OnReady$setUnderlineJSResult"))();
jsNodeResult.isRTLOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsRTL, OS.Types.Boolean);
return jsNodeResult;
}, {
OnOrientationChange: controller.clientActionProxies.onOrientationChange$Action,
TabsOnClick: controller.clientActionProxies.tabsOnClick$Action
}, {});
// IsRTL = setUnderline.IsRTL
model.variables.isRTLVar = setUnderlineJSResult.value.isRTLOut;
};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.OnReady$vars", [{
name: "Id",
attrName: "idInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.OnReady$setUnderlineJSResult", [{
name: "IsRTL",
attrName: "isRTLOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Controller.prototype._tabsOnClick$Action = function (tabNumberIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("TabsOnClick");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.TabsOnClick$vars"))());
vars.value.tabNumberInLocal = tabNumberIn;
return OS.Flow.executeAsyncFlow(function () {
// ActiveTab = TabNumber
model.variables.activeTabVar = vars.value.tabNumberInLocal;
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_TabsOnClick_SetTabsJS, "SetTabs", "TabsOnClick", {
IsRTL: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.isRTLVar, OS.Types.Boolean, true),
ActiveTab: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.activeTabVar, OS.Types.Integer, true),
id: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("tabs"), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Execute Action: AddOverlay
controller._addOverlay$Action(idService.getId("tabs"), callContext);
// Trigger Event: OnTabChange
return controller.onTabChange$Action(model.variables.activeTabVar, callContext);
});
};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.TabsOnClick$vars", [{
name: "TabNumber",
attrName: "tabNumberInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
Controller.prototype._addOverlay$Action = function (idIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("AddOverlay");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.AddOverlay$vars"))());
vars.value.idInLocal = idIn;
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_AddOverlay_AddOverlayJS, "AddOverlay", "AddOverlay", {
Id: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.idInLocal, OS.Types.Text, true),
ActiveTab: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.activeTabVar, OS.Types.Integer, true)
}, function ($parameters) {
}, {}, {});
};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.AddOverlay$vars", [{
name: "Id",
attrName: "idInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.prototype._gestureEnd$Action = function (offsetXIn, offsetYIn, timeTakenIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GestureEnd");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.GestureEnd$vars"))());
vars.value.offsetXInLocal = offsetXIn;
vars.value.offsetYInLocal = offsetYIn;
vars.value.timeTakenInLocal = timeTakenIn;
var calculateMiddleLeftJSResult = new OS.DataTypes.VariableHolder();
var calculateMiddleRightJSResult = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Just Clicked?
return OS.Flow.executeSequence(function () {
if((!((vars.value.offsetXInLocal.equals(OS.BuiltinFunctions.integerToDecimal(0)) && vars.value.offsetYInLocal.equals(OS.BuiltinFunctions.integerToDecimal(0)))))) {
return OS.Flow.executeSequence(function () {
if((!(model.variables.containsClassVar))) {
var block2 = false;
return OS.Flow.doWhileAsync(function () {
return false;
}, function () {
block2 = false;
return OS.Flow.doWhileAsync(function () {
return false;
}, function () {
if((model.variables.isRTLVar)) {
// Is Left?
if((!((model.variables.dragDirectionHVar === "left")))) {
return OS.Flow.breakAsync();
}

} else {
// Is Left?
if(((model.variables.dragDirectionHVar === "left"))) {
return OS.Flow.breakAsync();
}

}

return OS.Flow.executeSequence(function () {
if(((model.variables.activeTabVar > 0))) {
calculateMiddleRightJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureEnd_CalculateMiddleRightJS, "CalculateMiddleRight", "GestureEnd", {
ActiveTab: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.activeTabVar, OS.Types.Integer, true),
TabsWidth: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.tabsWidthVar, OS.Types.Integer, true),
MiddleX: OS.DataTypes.JSConversions.basicTypeToJS(0, OS.Types.Integer, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.GestureEnd$calculateMiddleRightJSResult"))();
jsNodeResult.middleXOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.MiddleX, OS.Types.Integer);
return jsNodeResult;
}, {}, {});
// Did it pass half?
return OS.Flow.executeSequence(function () {
if((((OS.BuiltinFunctions.abs(OS.BuiltinFunctions.integerToDecimal(model.variables.moveXVar)).lt(OS.BuiltinFunctions.integerToDecimal(calculateMiddleRightJSResult.value.middleXOut)) || OS.BuiltinFunctions.abs(vars.value.offsetXInLocal).div(vars.value.timeTakenInLocal).gt(model.variables.velocityVar)) && ((model.variables.dragDirectionVar) !== ("vertical"))))) {
// Is not first tab?
return OS.Flow.executeSequence(function () {
if(((model.variables.activeTabVar > 0))) {
// Stop move and set tab
// IsMoving = False
model.variables.isMovingVar = false;
// ActiveTab = ActiveTab - 1
model.variables.activeTabVar = (model.variables.activeTabVar - 1);
// Trigger Event: OnTabChange
return controller.onTabChange$Action(model.variables.activeTabVar, callContext);
}

});
} else {
// IsMoving = False
model.variables.isMovingVar = false;
}

}).then(function () {
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureEnd_SetRightTabAndHeaderJS, "SetRightTabAndHeader", "GestureEnd", {
ActiveTab: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.activeTabVar, OS.Types.Integer, true),
id: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("tabs"), OS.Types.Text, true),
IsRTL: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.isRTLVar, OS.Types.Boolean, true),
TabsWidth: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.tabsWidthVar, OS.Types.Integer, true)
}, function ($parameters) {
}, {}, {});
// Execute Action: AddOverlay
controller._addOverlay$Action(idService.getId("tabs"), callContext);
return OS.Flow.returnAsync();

});
} else {
// jump to block2
block2 = true;
return OS.Flow.breakAsync();
}

});
}).then(function () {
if(block2) {
return OS.Flow.breakAsync();
}

}).then(function () {
return OS.Flow.executeSequence(function () {
if(((((model.variables.activeTabVar + 1)) !== (model.variables.tabsNumberVar)))) {
calculateMiddleLeftJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureEnd_CalculateMiddleLeftJS, "CalculateMiddleLeft", "GestureEnd", {
ActiveTab: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.activeTabVar, OS.Types.Integer, true),
TabsWidth: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.tabsWidthVar, OS.Types.Integer, true),
MiddleX: OS.DataTypes.JSConversions.basicTypeToJS(0, OS.Types.Integer, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.GestureEnd$calculateMiddleLeftJSResult"))();
jsNodeResult.middleXOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.MiddleX, OS.Types.Integer);
return jsNodeResult;
}, {}, {});
// Did it pass half?
return OS.Flow.executeSequence(function () {
if((((OS.BuiltinFunctions.abs(OS.BuiltinFunctions.integerToDecimal(model.variables.moveXVar)).gt(OS.BuiltinFunctions.integerToDecimal(calculateMiddleLeftJSResult.value.middleXOut)) || OS.BuiltinFunctions.abs(vars.value.offsetXInLocal).div(vars.value.timeTakenInLocal).gt(model.variables.velocityVar)) && ((model.variables.dragDirectionVar) !== ("vertical"))))) {
// Is not last tab?
return OS.Flow.executeSequence(function () {
if(((model.variables.activeTabVar <= model.variables.tabsNumberVar))) {
// ActiveTab = ActiveTab + 1
model.variables.activeTabVar = (model.variables.activeTabVar + 1);
// IsMoving = False
model.variables.isMovingVar = false;
// Trigger Event: OnTabChange2
return controller.onTabChange$Action(model.variables.activeTabVar, callContext);
}

});
} else {
// Stop move and set tab
// IsMoving = False
model.variables.isMovingVar = false;
}

}).then(function () {
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureEnd_SetLeftTabAndHeaderJS, "SetLeftTabAndHeader", "GestureEnd", {
TabsWidth: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.tabsWidthVar, OS.Types.Integer, true),
IsRTL: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.isRTLVar, OS.Types.Boolean, true),
ActiveTab: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.activeTabVar, OS.Types.Integer, true),
id: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("tabs"), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Execute Action: AddOverlay2
controller._addOverlay$Action(idService.getId("tabs"), callContext);
return OS.Flow.returnAsync();

});
}

});
});
}).then(function () {
// IsMoving = False
model.variables.isMovingVar = false;
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureEnd_RemoveNoTransition2JS, "RemoveNoTransition2", "GestureEnd", {
id: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("tabs"), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
return OS.Flow.returnAsync();

});
}

});
}

}).then(function () {
// IsMoving = False
model.variables.isMovingVar = false;
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_GestureEnd_RemoveNoTransitionJS, "RemoveNoTransition", "GestureEnd", {
Id: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("tabs"), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
});
});
};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.GestureEnd$vars", [{
name: "OffsetX",
attrName: "offsetXInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}, {
name: "OffsetY",
attrName: "offsetYInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}, {
name: "TimeTaken",
attrName: "timeTakenInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}]);
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.GestureEnd$calculateMiddleLeftJSResult", [{
name: "MiddleX",
attrName: "middleXOut",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsNavigation.Tabs_new.GestureEnd$calculateMiddleRightJSResult", [{
name: "MiddleX",
attrName: "middleXOut",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
Controller.prototype._updateUI$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("UpdateUI");
callContext = controller.callContext(callContext);
if((model.variables.isMovingVar)) {
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNavigation_Tabs_new_mvc_controller_UpdateUI_MoveMenuJS, "MoveMenu", "UpdateUI", {
Id: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("tabs"), OS.Types.Text, true),
OffsetX: OS.DataTypes.JSConversions.basicTypeToJS(OS.BuiltinFunctions.integerToDecimal(model.variables.moveXVar), OS.Types.Decimal, true)
}, function ($parameters) {
}, {
UpdateUI: controller.clientActionProxies.updateUI$Action
}, {});
}

};

Controller.prototype.gestureStart$Action = function (xIn, yIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._gestureStart$Action, callContext, xIn, yIn);

};
Controller.prototype.onOrientationChange$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onOrientationChange$Action, callContext);

};
Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};
Controller.prototype.gestureMove$Action = function (xIn, yIn, offsetXIn, offsetYIn, evtIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._gestureMove$Action, callContext, xIn, yIn, offsetXIn, offsetYIn, evtIn);

};
Controller.prototype.onDestroy$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onDestroy$Action, callContext);

};
Controller.prototype.onReady$Action = function (idIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onReady$Action, callContext, idIn);

};
Controller.prototype.tabsOnClick$Action = function (tabNumberIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._tabsOnClick$Action, callContext, tabNumberIn);

};
Controller.prototype.addOverlay$Action = function (idIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._addOverlay$Action, callContext, idIn);

};
Controller.prototype.gestureEnd$Action = function (offsetXIn, offsetYIn, timeTakenIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._gestureEnd$Action, callContext, offsetXIn, offsetYIn, timeTakenIn);

};
Controller.prototype.updateUI$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._updateUI$Action, callContext);

};
Controller.prototype.onTabChange$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onReady$Action(idService.getId("tabs"), callContext);

};
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onDestroy$Action(callContext);

};
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return MobileUIWidgetsController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, MobileUIWidgetsLanguageResources);
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureStart.RemoveNoTransitionJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var el = document.getElementById($parameters.Id);
var tabsContent = el.querySelector(".tabs-content-wrapper");

tabsContent.classList.remove("no-transition");
};
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureStart.CleanAnimationClassesJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var tabsNumber = 0;
var el = document.getElementById($parameters.Id);
var tabsChildren = el.querySelector(".tabs-header").children;
var tabsContent = el.querySelector(".tabs-content-wrapper");
var isRTL = document.querySelector('.is-rtl');

for(var i=0; i < tabsChildren.length; i++) {
    if(tabsChildren[i].innerHTML !== "") {
        tabsNumber++;
    }
}
        
$parameters.Width = el.offsetWidth;
$parameters.TabsNumber = tabsNumber;

if(isRTL) {
    $parameters.IsRTL = true;
}

tabsContent.classList.add("no-transition");
};
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureStart.CheckIfContainsClassJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var tabSwipe = document.getElementById($parameters.TabId);

if(tabSwipe.classList.contains('no-swipe')){
    $parameters.ContainsClass = true;
} else {
    $parameters.ContainsClass = false;
}
};
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.OnOrientationChange.onOrientationChangeJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
setTimeout(function() {
    setUnderLine();
    setRightTab();
}, 300);

var obj = document.getElementById($parameters.Id);

function setRightTab() {
    var el = obj.querySelector(".tabs-content-wrapper");
    var width = -(($parameters.ActiveTab) * el.offsetWidth);
    
    if($parameters.IsRTL) {
        width = (($parameters.ActiveTab) * el.offsetWidth);
    }
    
    el.style.transform =  "translateX(" + width + "px) translateZ(0)";
    el.style.webkitTransform =  "translateX(" + width + "px) translateZ(0)";
}

function setUnderLine() {
    var activeWidth = obj.querySelector(".tabs-header-tab.active").offsetWidth;
    var activeTab = obj.querySelector(".tabs-header-tab.active");
    var tabheaders = obj.querySelectorAll(".tabs-header-tab");
    var moveheadertabs = obj.querySelector('.tabs-header');
    var position = 0;
    
    for(var i = 0; i < tabheaders.length; i++) {
        if(!tabheaders[i].classList.contains("active")) {
           position = position + tabheaders[i].offsetWidth;
        } else {
            break;
        }
    }
    
    if($parameters.IsRTL) {
        position = -position;
        moveheadertabs.scrollLeft = ((moveheadertabs.offsetWidth - tabheaders[$parameters.ActiveTab].offsetWidth) /2) * (($parameters.TabsNumber - $parameters.ActiveTab) - 2);
    } else {
        moveheadertabs.scrollLeft = ((moveheadertabs.offsetWidth - tabheaders[$parameters.ActiveTab].offsetWidth) /2) * ($parameters.ActiveTab - 1);
    }

}

};
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureMove.CalculateIntervalJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
if($parameters.FirstTime) {
    if($parameters.IsRTL) {
    $parameters.interval = (-($parameters.X - $parameters.LastX))/($parameters.TabsNumber * $parameters.TabsWidth);
    } else {
        $parameters.interval = (($parameters.X - $parameters.LastX))/($parameters.TabsNumber * $parameters.TabsWidth);
    }
} else {
    $parameters.interval = $parameters.X - $parameters.LastX;
}

};
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureMove.UpdateUIJS", [], function () {
return function ($actions, $roles, $public) {
requestAnimationFrame($actions.UpdateUI);
};
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureMove.RemoveNoTransitionJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var el = document.getElementById($parameters.Id);
var tabsContent = el.querySelector(".tabs-content-wrapper");

tabsContent.classList.remove("no-transition");
};
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureMove.PreventDefaultWDirectionJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.Evt.preventDefault();

};
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.OnDestroy.DestroyJS", [], function () {
return function ($actions, $roles, $public) {
window.removeEventListener('orientationchange', $actions.OnOrientationChange);
};
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.OnReady.setUnderlineJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
window.addEventListener('orientationchange', $actions.OnOrientationChange);
var obj = document.getElementById($parameters.Id); 

//Global Action
var element = document.getElementById($parameters.Id).parentElement;
element.changeTab = function(i) { $actions.TabsOnClick(i); };

setTimeout(function() {
    var isRTL = document.querySelector('.is-rtl');
    
    if(isRTL) {
        $parameters.IsRTL = true;
    }
    
    setUnderLine(); 
    setRightTab();
}, 0);

function setRightTab() {
    var el = obj.querySelector(".tabs-content-wrapper");
    var width = -(($parameters.ActiveTab) * el.offsetWidth);
    
    if($parameters.IsRTL) {
        width = (($parameters.ActiveTab) * el.offsetWidth);
    }
    
    el.style.transform =  "translateX(" + width + "px) translateZ(0)";
    el.style.webkitTransform =  "translateX(" + width + "px) translateZ(0)";
    
    addOverlay();
}

function setUnderLine() {
    var activeWidth = obj.querySelector(".tabs-header-tab.active").offsetWidth;
    var activeTab = obj.querySelector(".tabs-header-tab.active");
    var tabheaders = obj.querySelectorAll(".tabs-header-tab");
    var tabheadercontent = obj.querySelector(".tabs-header-content");
    var position = 0;
    
    for(var i = 0; i < tabheaders.length; i++) {
        tabheaders[i].style.transform =  "translateX(0) translateZ(0)";
        
        if(!tabheaders[i].classList.contains("active")) {
           position = position + tabheaders[i].offsetWidth;
        } else {
            break;
        }
    }
}

function addOverlay() {
    //Add Overlay
    var tabHeaderWidth = obj.querySelector(".tabs-header");
    var tabheaders = obj.querySelectorAll(".tabs-header-tab");
    var tabOverlay = element.querySelector(".tabs-overlay");
    var tabWidth = 0;
    
    for(i = 0; i < tabheaders.length; i++) {
        
        tabWidth = tabWidth + tabheaders[i].offsetWidth;
        if(tabWidth > (tabHeaderWidth.offsetWidth + 10)) {
            if(tabOverlay.classList.contains("ph")){
                tabOverlay.classList.remove("ph");
            }
            
            if($parameters.IsRTL) {
                tabOverlay.classList.add("left");
            } else {
                tabOverlay.classList.add("right");
                
            }
            break;
        } else {
            if(!tabOverlay.classList.contains("ph")){
                tabOverlay.classList.add("ph");
            }
        }
    }
}

};
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.TabsOnClick.SetTabsJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var obj = document.getElementById($parameters.id);
var moveheadertabs = obj.querySelector(".tabs-header");
var tabheaders = obj.querySelectorAll(".tabs-header-tab");
var scrolltoleftelements = 0;
var allTabsWidth = 0;

function setRightTab() {
    var el = obj.querySelector(".tabs-content-wrapper");
    var width = -(($parameters.ActiveTab) * el.offsetWidth);

    if($parameters.IsRTL) {
        width = ($parameters.ActiveTab) * el.offsetWidth;
    }
          
    el.style.webkitTransform =  "translateX(" + width + "px) translateZ(0)";
    el.style.transform =  "translateX(" + width + "px) translateZ(0)";
}

function setUnderLine() {
    var activeWidth = obj.querySelector(".tabs-header-tab.active").offsetWidth;
    var activeTab = obj.querySelector(".tabs-header-tab.active");
    var position = 0;
    
    for(var i = 0; i < tabheaders.length; i++) {
        if(!tabheaders[i].classList.contains("active")) {
           position = position + tabheaders[i].offsetWidth;
        } else {
            break;
        }
    }

    if($parameters.IsRTL) {
        position = -position;
    }
    
    boundingRight = Math.round(tabheaders[$parameters.ActiveTab].getBoundingClientRect().right);
    screenBoundingWidthRight = moveheadertabs.offsetWidth - 40;
    boundingLeft = Math.round(tabheaders[$parameters.ActiveTab].getBoundingClientRect().left);
    screenBoundingWidthLeft = 40;
    
    if(boundingRight < screenBoundingWidthRight && boundingLeft > 40){
        //do nothing
    } else {
        if($parameters.IsRTL) {
            doRightScroll();
        } else {
            doScroll();
        }
    }
}

function doScroll() {
    
    var tabscount = $parameters.ActiveTab;
    
    for(i = 0; i < tabscount; i++) {
        scrolltoleftelements = scrolltoleftelements + tabheaders[i].offsetWidth;
    }
    
    setTimeout(function(){
        moveheadertabs.scrollLeft = (scrolltoleftelements - ((moveheadertabs.offsetWidth - (tabheaders[$parameters.ActiveTab].offsetWidth)) / 2));
    },10);
}

function doRightScroll() {
    
    var tabscount = $parameters.ActiveTab;
    
    if(document.body.classList.contains('android')){
        
        for(i = 0; i < tabscount; i++) {
            scrolltoleftelements = scrolltoleftelements + tabheaders[i].offsetWidth;
        }
        
        for(i = 0; i < tabheaders.length; i++) {
            allTabsWidth = allTabsWidth + tabheaders[i].offsetWidth;
        }
        
        setTimeout(function(){
            
            moveheadertabs.scrollLeft = (allTabsWidth - scrolltoleftelements - ((moveheadertabs.offsetWidth + (tabheaders[$parameters.ActiveTab].offsetWidth)) / 2));
            
        },10);
        
    } else {
        
        for(i = 0; i < tabscount; i++) {
            scrolltoleftelements = scrolltoleftelements - tabheaders[i].offsetWidth;
        }
        
        setTimeout(function(){
            
            moveheadertabs.scrollLeft =  (scrolltoleftelements + ((moveheadertabs.offsetWidth - (tabheaders[$parameters.ActiveTab].offsetWidth)) / 2));
            //moveheadertabs.scrollLeft = moveheadertabs.offsetWidth - scrolltoleftelements;
            //moveheadertabs.scrollLeft = (scrolltoleftelements + ((moveheadertabs.offsetWidth + (tabheaders[$parameters.ActiveTab].offsetWidth)) / 2)) - (tabheaders[$parameters.ActiveTab].getBoundingClientRect().right - tabheaders[$parameters.ActiveTab].getBoundingClientRect().left);
        
        },10);
        
    }
    
}


setTimeout(function() { 
    setUnderLine(); 
    setRightTab();
}, 10);
};
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.AddOverlay.AddOverlayJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var isRTL = document.querySelector('.is-rtl'); 

var element = document.getElementById($parameters.Id).parentElement;

var tabOverlay = element.querySelector(".tabs-overlay");

var countTabs = element.querySelectorAll(".tabs-header-tab").length -1;

var tabsElement = element.querySelectorAll(".tabs-header-tab");

var countEmptyTabs = element.querySelectorAll(".tabs-header-tab.ph");

var isEmpty = 0;



for(i = 0; i < tabsElement.length; i++) {

    

    if(countEmptyTabs[i].childNodes.length === 0) {

       isEmpty = isEmpty + 1;

    }

}

    

setTimeout(function() {

    if($parameters.ActiveTab == (countTabs - isEmpty)) {

        if(isRTL) {

            

            if(tabOverlay.classList.contains("left")){

                tabOverlay.classList.remove("left");

            }

            

        } else {

            

            if(tabOverlay.classList.contains("right")){

                tabOverlay.classList.remove("right");

            }

            

        }

    } else {

        if(isRTL){

            

            if(!tabOverlay.classList.contains("left")){

                tabOverlay.classList.add("left");

            }

            

        } else {

            

            if(!tabOverlay.classList.contains("right")){

                tabOverlay.classList.add("right");

            }

            

        }

    }

}, 0)
};
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureEnd.RemoveNoTransition2JS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var obj = document.getElementById($parameters.id);
var el = obj.querySelector('.tabs-content-wrapper');

el.classList.remove("no-transition");
};
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureEnd.CalculateMiddleLeftJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.MiddleX = (($parameters.TabsWidth * $parameters.ActiveTab) + $parameters.TabsWidth)-(1*$parameters.TabsWidth/2)

};
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureEnd.CalculateMiddleRightJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.MiddleX = ($parameters.TabsWidth * $parameters.ActiveTab)-(1*$parameters.TabsWidth/2);

};
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureEnd.SetRightTabAndHeaderJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var width = -(($parameters.ActiveTab) * $parameters.TabsWidth);
var obj = document.getElementById($parameters.id);

var el = obj.querySelector(".tabs-content-wrapper");
var moveheadertabs = obj.querySelector(".tabs-header");
var tabheaders = obj.querySelectorAll(".tabs-header-tab");
var scrolltoleftelements = 0;
var allTabsWidth = 0;

if($parameters.IsRTL) {
    width = (($parameters.ActiveTab) * $parameters.TabsWidth);
}

el.style.transform =  "translateX(" + width + "px) translateZ(0)";
el.style.webkitTransform =  "translateX(" + width + "px) translateZ(0)";    


setTimeout(function() {
    var activeWidth = obj.querySelector('.tabs-header-tab.active').offsetWidth;
    var tabheaders = obj.querySelectorAll('.tabs-header-tab');
    var moveheadertabs = obj.querySelector('.tabs-header');
    var position = 0;
    
    for(var i = 0; i < tabheaders.length; i++) {
        if(!tabheaders[i].classList.contains("active")) {
           position = position + tabheaders[i].offsetWidth;
        } else {
            break;
        }
    }    
    
    if($parameters.IsRTL) {
        position = -position;
    }
    
    boundingRight = Math.round(tabheaders[$parameters.ActiveTab].getBoundingClientRect().right);
    screenBoundingWidthRight = moveheadertabs.offsetWidth - 40;
    boundingLeft = Math.round(tabheaders[$parameters.ActiveTab].getBoundingClientRect().left);
    screenBoundingWidthLeft = 40;
    
    if(boundingRight < screenBoundingWidthRight && boundingLeft > 40){
        //do nothing
    } else {
        if($parameters.IsRTL) {
            doRightScroll();
        } else {
            doScroll();
        }
    }
}, 0)

function doScroll() {
    
    var tabscount = $parameters.ActiveTab;
    
    for(i = 0; i < tabscount; i++) {
        scrolltoleftelements = scrolltoleftelements + tabheaders[i].offsetWidth;
    }
    
    setTimeout(function(){
        moveheadertabs.scrollLeft = (scrolltoleftelements - ((moveheadertabs.offsetWidth - (tabheaders[$parameters.ActiveTab].offsetWidth)) / 2));
    },10);
}

function doRightScroll() {
    
    var tabscount = $parameters.ActiveTab;
    
    if(document.body.classList.contains('android')){
        
        for(i = 0; i < tabscount; i++) {
            scrolltoleftelements = scrolltoleftelements + tabheaders[i].offsetWidth;
        }
        
        for(i = 0; i < tabheaders.length; i++) {
            allTabsWidth = allTabsWidth + tabheaders[i].offsetWidth;
        }
        
        setTimeout(function(){
            
            moveheadertabs.scrollLeft = (allTabsWidth - scrolltoleftelements - ((moveheadertabs.offsetWidth + (tabheaders[$parameters.ActiveTab].offsetWidth)) / 2));
            
        },10);
        
    } else {
        
        for(i = 0; i < tabscount; i++) {
            scrolltoleftelements = scrolltoleftelements - tabheaders[i].offsetWidth;
        }
        
        setTimeout(function(){
            
            moveheadertabs.scrollLeft =  (scrolltoleftelements + ((moveheadertabs.offsetWidth - (tabheaders[$parameters.ActiveTab].offsetWidth)) / 2));

        },10);
        
    }
    
}

el.classList.remove("no-transition");
};
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureEnd.SetLeftTabAndHeaderJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var width = -($parameters.ActiveTab * $parameters.TabsWidth);
var obj = document.getElementById($parameters.id);

var el = obj.querySelector('.tabs-content-wrapper');
var moveheadertabs = obj.querySelector('.tabs-header');
var tabheaders = obj.querySelectorAll('.tabs-header-tab');
var scrolltoleftelements = 0;
var allTabsWidth = 0;

if($parameters.IsRTL) {
    width = ($parameters.ActiveTab * $parameters.TabsWidth);
}

el.style.transform =  "translateX(" + width + "px) translateZ(0)";
el.style.webkitTransform =  "translateX(" + width + "px) translateZ(0)";

setTimeout(function() {
    var activeWidth = obj.querySelector('.tabs-header-tab.active').offsetWidth;
    var tabheaders = obj.querySelectorAll('.tabs-header-tab');
    var moveheadertabs = obj.querySelector('.tabs-header');
    var position = 0;
    
    for(var i = 0; i < tabheaders.length; i++) {
        if(!tabheaders[i].classList.contains("active")) {
           position = position + tabheaders[i].offsetWidth;
        } else {
            break;
        }
    }
    
    if($parameters.IsRTL) {
        position = -position;
    }
    
    boundingRight = Math.round(tabheaders[$parameters.ActiveTab].getBoundingClientRect().right);
    screenBoundingWidthRight = moveheadertabs.offsetWidth - 40;
    boundingLeft = Math.round(tabheaders[$parameters.ActiveTab].getBoundingClientRect().left);
    screenBoundingWidthLeft = 40;
    
    if(boundingRight < screenBoundingWidthRight && boundingLeft > 40){
        //do nothing
    } else {
        if($parameters.IsRTL) {
            doRightScroll();
        } else {
            doScroll();
        }
    }
    
}, 0)

function doScroll() {
    
    var tabscount = $parameters.ActiveTab;
    
    for(i = 0; i < tabscount; i++) {
        scrolltoleftelements = scrolltoleftelements + tabheaders[i].offsetWidth;
    }
    
    setTimeout(function(){
        moveheadertabs.scrollLeft = (scrolltoleftelements - ((moveheadertabs.offsetWidth - (tabheaders[$parameters.ActiveTab].offsetWidth)) / 2));
    },10);
}

function doRightScroll() {
    
    var tabscount = $parameters.ActiveTab;
    
    if(document.body.classList.contains('android')){
        
        for(i = 0; i < tabscount; i++) {
            scrolltoleftelements = scrolltoleftelements + tabheaders[i].offsetWidth;
        }
        
        for(i = 0; i < tabheaders.length; i++) {
            allTabsWidth = allTabsWidth + tabheaders[i].offsetWidth;
        }
        
        setTimeout(function(){
            
            moveheadertabs.scrollLeft = (allTabsWidth - scrolltoleftelements - ((moveheadertabs.offsetWidth + (tabheaders[$parameters.ActiveTab].offsetWidth)) / 2));
            
        },10);
        
    } else {
        
        for(i = 0; i < tabscount; i++) {
            scrolltoleftelements = scrolltoleftelements - tabheaders[i].offsetWidth;
        }
        
        setTimeout(function(){
            
            moveheadertabs.scrollLeft =  (scrolltoleftelements + ((moveheadertabs.offsetWidth - (tabheaders[$parameters.ActiveTab].offsetWidth)) / 2));

        },10);
        
    }
    
}

el.classList.remove('no-transition');
};
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.GestureEnd.RemoveNoTransitionJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var el = document.getElementById($parameters.Id);
var tabsContent = el.querySelector(".tabs-content-wrapper");

tabsContent.classList.remove("no-transition");
};
});
define("MobileUIWidgets.WidgetsNavigation.Tabs_new.mvc$controller.UpdateUI.MoveMenuJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var el = document.getElementById($parameters.Id).querySelector(".tabs-content-wrapper");

el.style.transform =  "translateX(" + $parameters.OffsetX + "px)";
el.style.webkitTransform =  "translateX(" + $parameters.OffsetX + "px)";

requestAnimationFrame($actions.UpdateUI);
};
});

