﻿define("MobileUIWidgets.WidgetsNumber.GaugeChartV2.mvc$model", ["OutSystems", "MobileUIWidgets.model", "ChartsMobile.model", "ChartsMobile.Charts.PieChart.mvc$model", "MobileUIWidgets.model$DataPointList", "ChartsMobile.model$ChartFormatRec", "MobileUIWidgets.referencesHealth", "MobileUIWidgets.referencesHealth$ChartsMobile", "ChartsMobile.model$AdvancedFormatRec", "ChartsMobile.model$DataPointRec", "MobileUIWidgets.model$SolidGaugeEasyFormatRec"], function (OutSystems, MobileUIWidgetsModel, ChartsMobileModel, ChartsMobile_Charts_PieChart_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("SourceDataPointList", "sourceDataPointListVar", "SourceDataPointList", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new MobileUIWidgetsModel.DataPointList());
}, MobileUIWidgetsModel.DataPointList), 
this.attr("DataPoint", "dataPointIn", "DataPoint", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.DataPointRec());
}, ChartsMobileModel.DataPointRec), 
this.attr("_dataPointInDataFetchStatus", "_dataPointInDataFetchStatus", "_dataPointInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("SolidGaugeEasyFormat", "solidGaugeEasyFormatIn", "SolidGaugeEasyFormat", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new MobileUIWidgetsModel.SolidGaugeEasyFormatRec());
}, MobileUIWidgetsModel.SolidGaugeEasyFormatRec), 
this.attr("_solidGaugeEasyFormatInDataFetchStatus", "_solidGaugeEasyFormatInDataFetchStatus", "_solidGaugeEasyFormatInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("JSON", "jSONIn", "JSON", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_jSONInDataFetchStatus", "_jSONInDataFetchStatus", "_jSONInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("StyleClass", "styleClassIn", "StyleClass", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_styleClassInDataFetchStatus", "_styleClassInDataFetchStatus", "_styleClassInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = ChartsMobile_Charts_PieChart_mvcModel.hasValidationWidgets;
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("DataPoint" in inputs) {
this.variables.dataPointIn = inputs.DataPoint;
if("_dataPointInDataFetchStatus" in inputs) {
this.variables._dataPointInDataFetchStatus = inputs._dataPointInDataFetchStatus;
}

}

if("SolidGaugeEasyFormat" in inputs) {
this.variables.solidGaugeEasyFormatIn = inputs.SolidGaugeEasyFormat;
if("_solidGaugeEasyFormatInDataFetchStatus" in inputs) {
this.variables._solidGaugeEasyFormatInDataFetchStatus = inputs._solidGaugeEasyFormatInDataFetchStatus;
}

}

if("JSON" in inputs) {
this.variables.jSONIn = inputs.JSON;
if("_jSONInDataFetchStatus" in inputs) {
this.variables._jSONInDataFetchStatus = inputs._jSONInDataFetchStatus;
}

}

if("StyleClass" in inputs) {
this.variables.styleClassIn = inputs.StyleClass;
if("_styleClassInDataFetchStatus" in inputs) {
this.variables._styleClassInDataFetchStatus = inputs._styleClassInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("MobileUIWidgets.WidgetsNumber.GaugeChartV2.mvc$view", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "ChartsMobile.model", "react", "OutSystemsReactView", "MobileUIWidgets.WidgetsNumber.GaugeChartV2.mvc$model", "MobileUIWidgets.WidgetsNumber.GaugeChartV2.mvc$controller", "OutSystemsReactWidgets", "ChartsMobile.Charts.PieChart.mvc$view", "MobileUIWidgets.model$DataPointList", "ChartsMobile.model$ChartFormatRec", "MobileUIWidgets.referencesHealth", "MobileUIWidgets.referencesHealth$ChartsMobile", "ChartsMobile.model$AdvancedFormatRec", "ChartsMobile.model$DataPointRec", "MobileUIWidgets.model$SolidGaugeEasyFormatRec"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, ChartsMobileModel, React, OSView, MobileUIWidgets_WidgetsNumber_GaugeChartV2_mvc_model, MobileUIWidgets_WidgetsNumber_GaugeChartV2_mvc_controller, OSWidgets, ChartsMobile_Charts_PieChart_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "WidgetsNumber.GaugeChartV2";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css", "css/MobileUIWidgets.WidgetsNumber.GaugeChartV2.css"];
        };
        View.getJsDependencies = function() {
            return ["scripts/MobileUIWidgets.Compatible_HighChartsMoreJS.js", "scripts/MobileUIWidgets.Compatible_SolidGaugeJS.js", "scripts/MobileUIWidgets.ParseJSON.js"];
        };
        View.getBlocks = function() {
            return [ChartsMobile_Charts_PieChart_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsNumber_GaugeChartV2_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsNumber_GaugeChartV2_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: ("solid-gauge-chart-container a-gaugeContainer " + model.variables.styleClassIn),
visible: true,
_idProps: {
service: idService,
name: "SolidGaugeChartContainer"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._styleClassInDataFetchStatus)
}), React.createElement(ChartsMobile_Charts_PieChart_mvc_view, {
inputs: {
SourceDataPointList: model.variables.sourceDataPointListVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("MobileUIWidgets.WidgetsNumber.GaugeChartV2.mvc$controller", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "ChartsMobile.model", "MobileUIWidgets.languageResources", "MobileUIWidgets.WidgetsNumber.GaugeChartV2.mvc$controller.OnReady.InitSolidGaugeChartJS", "MobileUIWidgets.model$DataPointList", "ChartsMobile.model$ChartFormatRec", "MobileUIWidgets.referencesHealth", "MobileUIWidgets.referencesHealth$ChartsMobile", "ChartsMobile.model$AdvancedFormatRec", "ChartsMobile.model$DataPointRec", "MobileUIWidgets.model$SolidGaugeEasyFormatRec"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, ChartsMobileModel, MobileUIWidgetsLanguageResources, MobileUIWidgets_WidgetsNumber_GaugeChartV2_mvc_controller_OnReady_InitSolidGaugeChartJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._onReady$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnReady");
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNumber_GaugeChartV2_mvc_controller_OnReady_InitSolidGaugeChartJS, "InitSolidGaugeChart", "OnReady", {
ContainerId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("SolidGaugeChartContainer"), OS.Types.Text, true),
ChartBackgroundColor: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.solidGaugeEasyFormatIn.chartBackgroundColorAttr, OS.Types.Text, true),
minorTickWidth: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.solidGaugeEasyFormatIn.ticksAttr.minorTickWidthAttr, OS.Types.Integer, true),
ValueTextPosition: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.solidGaugeEasyFormatIn.valueTextPositionAttr, OS.Types.Integer, true),
BackgroundColorPane: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.solidGaugeEasyFormatIn.backgroundColorPaneAttr, OS.Types.Text, true),
innerRadius: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.solidGaugeEasyFormatIn.innerRadiusAttr, OS.Types.Integer, true),
tickWidth: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.solidGaugeEasyFormatIn.ticksAttr.tickWidthAttr, OS.Types.Integer, true),
ClassName: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.solidGaugeEasyFormatIn.classNameAttr, OS.Types.Text, true),
StartAngle: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.solidGaugeEasyFormatIn.startAngleAttr, OS.Types.Integer, true),
MaxValue: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.solidGaugeEasyFormatIn.maxValueAttr, OS.Types.Integer, true),
minorTickInterval: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.solidGaugeEasyFormatIn.ticksAttr.minorTickIntervalAttr, OS.Types.Integer, true),
Value: OS.DataTypes.JSConversions.basicTypeToJS(OS.BuiltinFunctions.decimalToInteger(OS.BuiltinFunctions.trunc(model.variables.dataPointIn.valueAttr)), OS.Types.Integer, true),
EndAngle: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.solidGaugeEasyFormatIn.endAngleAttr, OS.Types.Integer, true),
ChartHeight: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.solidGaugeEasyFormatIn.chartHeightAttr, OS.Types.Integer, true),
name: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.dataPointIn.labelAttr, OS.Types.Text, true),
MinValue: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.solidGaugeEasyFormatIn.minValueAttr, OS.Types.Integer, true),
Json: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.jSONIn, OS.Types.Text, true),
ChartWidth: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.solidGaugeEasyFormatIn.chartWidthAttr, OS.Types.Integer, true),
outerRadius: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.solidGaugeEasyFormatIn.outerRadiusAttr, OS.Types.Integer, true),
Format: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.solidGaugeEasyFormatIn.formatAttr, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
};

Controller.prototype.onReady$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onReady$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onReady$Action(callContext);

};
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return MobileUIWidgetsController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, MobileUIWidgetsLanguageResources);
});
define("MobileUIWidgets.WidgetsNumber.GaugeChartV2.mvc$controller.OnReady.InitSolidGaugeChartJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var H = Highcharts;
var each = H.each,
  merge = H.merge,
  pInt = H.pInt,
  pick = H.pick,
  isNumber = H.isNumber;


Highcharts.seriesTypes.gauge.prototype.translate = function() {
  var series = this,
    yAxis = series.yAxis,
    options = series.options,
    center = yAxis.center;

  series.generatePoints();
  
  

  each(series.points, function(point) {
    
    var dialOptions = merge(options.dial, point.dial),
      isRectanglePoint = point.series.userOptions.isRectanglePoint,
      isCirclePoint = point.series.userOptions.isCirclePoint,
      radius = (pInt(pick(dialOptions.radius, 80)) * center[2]) / 200,
      baseLength = (pInt(pick(dialOptions.baseLength, 70)) * radius) / 100,
      rearLength = (pInt(pick(dialOptions.rearLength, 10)) * radius) / 100,
      baseWidth = dialOptions.baseWidth || 3,
      topWidth = dialOptions.topWidth || 1,
      overshoot = options.overshoot,
      rotation = yAxis.startAngleRad + yAxis.translate(point.y, null, null, null, true);
      
    // Handle the wrap and overshoot options
    if (overshoot) {
      overshoot = overshoot / 180 * Math.PI;
      rotation = Math.max(yAxis.startAngleRad - overshoot, Math.min(yAxis.endAngleRad + overshoot, rotation));

    } else if (options.wrap === false) {
      rotation = Math.max(yAxis.startAngleRad, Math.min(yAxis.endAngleRad, rotation));
    }

    rotation = (rotation * 180 / Math.PI) - 2;
    
    var r = 3;

    // Checking series to draw dots
    if (isRectanglePoint) {  
      //draw new dial - triangle
      point.shapeType = 'path';
      point.shapeArgs = {
        d: dialOptions.path || [
           //'M', -rearLength + 6, (-baseWidth / 2), 'L', -rearLength + 12, (-baseWidth / 2) + 6, -rearLength +6, (-baseWidth / 2) + 12, -rearLength, (-baseWidth / 2) + 6, 'z'
           'M', -rearLength + 6, (-baseWidth / 2) + 2.5, 'L', -rearLength + 9, (-baseWidth / 2) + 6.7 , -rearLength + 9, (-baseWidth / 2) + 6.7, -rearLength + 4, (-baseWidth / 2) + 7, 'z'
        ],
        translateX: center[0] - baseWidth + 3.5,
        translateY: center[1] + 0.5,
        rotation: rotation,
      };
    } else if (isCirclePoint) {
        //draw new dial - circle
        point.shapeType = 'path';
        point.shapeArgs = {
            d: dialOptions.path || [
               'M', -rearLength + 5.8, baseWidth + 1 ,'m' ,-r, 0 ,'a' ,r,r ,0 ,1,0 ,r * 2,0 ,'a', r,r, 0, 1,0, -(r * 2),0
            ],
        translateX: center[0] - baseWidth + 3,
        translateY: center[1],
        rotation: rotation,
        style: 'stroke: #6ea514; stroke-width: 4px; stroke-linecap: round; stroke-linejoin: round;'
      };
    } else {  
      //draw background circle
      point.shapeType = 'path';
        point.shapeArgs = {
            d: dialOptions.path || [
               'M', -rearLength + 5.7, baseWidth + 3 ,'m' ,-r, 0 ,'a' ,r,r ,0 ,1,0 ,r * 2,0 ,'a', r,r, 0, 1,0, -(r * 2),0
            ],
        translateX: center[0] - baseWidth + 3,
        translateY: center[1],
        rotation: rotation,
        style: 'stroke: #f2f2f3; stroke-width: 4px; stroke-linecap: round; stroke-linejoin: round;'
        };
    }

    // Positions for data label
    point.plotX = center[0];
    point.plotY = center[1];


  });
  
}; // end of replaced function


var gaugeOptions =
{   
    chart: {
        type: 'solidgauge',
        margin: [0, 0, 0, 0],
        width: $parameters.ChartWidth,
        height: $parameters.ChartHeight,
        className: $parameters.ClassName,
        backgroundColor: $parameters.ChartBackgroundColor
    },

    title: null,
    
    yAxis: {
        min: $parameters.MinValue,
        max: $parameters.MaxValue,
        minColor: '#009CE8',
        maxColor: '#009CE8',
        lineWidth: 0,
        tickWidth: $parameters.tickWidth,
        minorTickInterval: $parameters.minorTickInterval,
        minorTickWidth: $parameters.minorTickWidth,
        tickPosition: 'inside',
        startOnTick:true,
        labels: {
            enabled: false
        }  
    },

    pane: {
        size: '100%',
        center: ['50%', '60%'],
        startAngle: $parameters.StartAngle,
        endAngle: $parameters.EndAngle,
        background: {
            borderWidth: 2,
            backgroundColor: $parameters.BackgroundColorPane,
            shape: 'arc',
            borderColor: '#dddddd',
            innerRadius: $parameters.innerRadius + '%',
            outerRadius: $parameters.outerRadius + '%'
        }
    },

    tooltip: {
        enabled: false
    },

    // the value axis,

    plotOptions: {
        solidgauge: {
            borderColor: '#6ea514',
            borderWidth: 8,
            rounded: true,
            shadow: true,
            selected: true,
            radius: '90%',
            innerRadius: $parameters.innerRadius + '%',
            dataLabels: {
                y: $parameters.ValueTextPosition,
                borderWidth: 0,
                useHTML: true
            },
            marker: {
              enabled: true,
              symbol: 'triangle',
            }
        }
    },
    
    series: [
    {
        name: 'Goal',
        data: [$parameters.Value],
        dataLabels: {
            format: $parameters.Format,
            y: -24
        }
    },{
        name: 'Customer Dot Bgd',
         type: 'gauge',
         data: [$parameters.Value],
         dial: {
            backgroundColor: "#f2f2f3",
            rearLength: '-100%'
         },
         dataLabels: {
            enabled: false
         },
         pivot: {
          	radius: 0
         }
    },{
        name: 'Customer Circle',
         isCirclePoint: true,
         type: 'gauge',
         data: [$parameters.Value],
         dial: {
            backgroundColor: "#6ea514",
            rearLength: '-100%'
         },
         dataLabels: {
            enabled: false
         },
         pivot: {
          	radius: 0
         }
    },{
        name: 'Customer Dot triangle',
         isRectanglePoint: true,
         type: 'gauge',
         data: [$parameters.Value],
         dial: {
            backgroundColor: "white",
            rearLength: '-100%'
         },
         dataLabels: {
            enabled: false
         },
         pivot: {
          	radius: 0
         }
    }],
    
    /* Disable Credits*/
    credits: {
        enabled: false
    }
    
};   


var customChart='';

if($parameters.Json !== ''){
    var customChart = JSON.parse(parseJSON($parameters.Json));
    var toParse = "";
    var series = "";
    
    if(customChart.series === undefined) {
        series = ",series: [{ name: '"+$parameters.name+"', data: ["+$parameters.Value+"]}]";
        toParse = "{"+$parameters.Json+series+"}";
        customChart = JSON.parse(parseJSON(toParse));
    }
    else if(customChart.series[0].data === undefined) {
        customChart.series[0].data = [$parameters.Value];
    }
        
    
    if(customChart.chart === undefined) {
        var chartType = ",chart: {type: 'solidgauge'}";
        toParse = "{"+$parameters.Json+series+chartType+"}";
        customChart = JSON.parse(parseJSON(toParse));
    }


    customChart.chart.type = 'solidgauge';
    customChart.series[0].data[0] = $parameters.Value;  
    customChart.series[0].name = $parameters.name;
    
 
}
else{
    customChart = gaugeOptions;
}

var classGauge = document.querySelectorAll('.a-gaugeContainer');


 // The speed gauge
    var chartSpeed = Highcharts.chart($parameters.ContainerId, Highcharts.merge(customChart, {
    
    }));
    
   var chartSpeedOpt = Highcharts.setOptions({
        lang: {
            decimalPoint: ',',
            thousandsSep: '.'
        }
    });
    



// Tweak SVG
var svg;
svg = document.getElementsByTagName('svg');
if (svg.length > 0) {
    var path = svg[0].getElementsByTagName('path');
    if (path.length > 1) {
        // First path is gauge background
        path[0].setAttributeNS(null, 'stroke-linejoin', 'round');
        // Second path is gauge value
        path[1].setAttributeNS(null, 'stroke-linejoin', 'round');
    }
}
};
});

