﻿define("MobileUIWidgets.WidgetsNumber.ProgressCircleFraction_new.mvc$model", ["OutSystems", "MobileUIWidgets.model"], function (OutSystems, MobileUIWidgetsModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("CircleObj", "circleObjVar", "CircleObj", true, OS.Types.Object, function () {
return null;
}), 
this.attr("PreviousProgressColor", "previousProgressColorVar", "PreviousProgressColor", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Size", "sizeVar", "Size", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Numerator", "numeratorIn", "Numerator", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("_numeratorInDataFetchStatus", "_numeratorInDataFetchStatus", "_numeratorInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Denominator", "denominatorIn", "Denominator", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("_denominatorInDataFetchStatus", "_denominatorInDataFetchStatus", "_denominatorInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Units", "unitsIn", "Units", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_unitsInDataFetchStatus", "_unitsInDataFetchStatus", "_unitsInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("DenominatorPrefix", "denominatorPrefixIn", "DenominatorPrefix", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_denominatorPrefixInDataFetchStatus", "_denominatorPrefixInDataFetchStatus", "_denominatorPrefixInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ProgressColor", "progressColorIn", "ProgressColor", true, OS.Types.Text, function () {
return "rgba(0,0,0,0.6)";
}), 
this.attr("_progressColorInDataFetchStatus", "_progressColorInDataFetchStatus", "_progressColorInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("TrailColor", "trailColorIn", "TrailColor", true, OS.Types.Text, function () {
return "rgba(0,0,0,0.2)";
}), 
this.attr("_trailColorInDataFetchStatus", "_trailColorInDataFetchStatus", "_trailColorInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("TextColor", "textColorIn", "TextColor", true, OS.Types.Text, function () {
return "#333";
}), 
this.attr("_textColorInDataFetchStatus", "_textColorInDataFetchStatus", "_textColorInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("CircleThickness", "circleThicknessIn", "CircleThickness", true, OS.Types.Integer, function () {
return 8;
}), 
this.attr("_circleThicknessInDataFetchStatus", "_circleThicknessInDataFetchStatus", "_circleThicknessInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("AnimateInitialProgress", "animateInitialProgressIn", "AnimateInitialProgress", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("_animateInitialProgressInDataFetchStatus", "_animateInitialProgressInDataFetchStatus", "_animateInitialProgressInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return false;
}
});

Model.prototype.setInputs = function (inputs) {
if("Numerator" in inputs) {
this.variables.numeratorIn = inputs.Numerator;
if("_numeratorInDataFetchStatus" in inputs) {
this.variables._numeratorInDataFetchStatus = inputs._numeratorInDataFetchStatus;
}

}

if("Denominator" in inputs) {
this.variables.denominatorIn = inputs.Denominator;
if("_denominatorInDataFetchStatus" in inputs) {
this.variables._denominatorInDataFetchStatus = inputs._denominatorInDataFetchStatus;
}

}

if("Units" in inputs) {
this.variables.unitsIn = inputs.Units;
if("_unitsInDataFetchStatus" in inputs) {
this.variables._unitsInDataFetchStatus = inputs._unitsInDataFetchStatus;
}

}

if("DenominatorPrefix" in inputs) {
this.variables.denominatorPrefixIn = inputs.DenominatorPrefix;
if("_denominatorPrefixInDataFetchStatus" in inputs) {
this.variables._denominatorPrefixInDataFetchStatus = inputs._denominatorPrefixInDataFetchStatus;
}

}

if("ProgressColor" in inputs) {
this.variables.progressColorIn = inputs.ProgressColor;
if("_progressColorInDataFetchStatus" in inputs) {
this.variables._progressColorInDataFetchStatus = inputs._progressColorInDataFetchStatus;
}

}

if("TrailColor" in inputs) {
this.variables.trailColorIn = inputs.TrailColor;
if("_trailColorInDataFetchStatus" in inputs) {
this.variables._trailColorInDataFetchStatus = inputs._trailColorInDataFetchStatus;
}

}

if("TextColor" in inputs) {
this.variables.textColorIn = inputs.TextColor;
if("_textColorInDataFetchStatus" in inputs) {
this.variables._textColorInDataFetchStatus = inputs._textColorInDataFetchStatus;
}

}

if("CircleThickness" in inputs) {
this.variables.circleThicknessIn = inputs.CircleThickness;
if("_circleThicknessInDataFetchStatus" in inputs) {
this.variables._circleThicknessInDataFetchStatus = inputs._circleThicknessInDataFetchStatus;
}

}

if("AnimateInitialProgress" in inputs) {
this.variables.animateInitialProgressIn = inputs.AnimateInitialProgress;
if("_animateInitialProgressInDataFetchStatus" in inputs) {
this.variables._animateInitialProgressInDataFetchStatus = inputs._animateInitialProgressInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("MobileUIWidgets.WidgetsNumber.ProgressCircleFraction_new.mvc$view", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "react", "OutSystemsReactView", "MobileUIWidgets.WidgetsNumber.ProgressCircleFraction_new.mvc$model", "MobileUIWidgets.WidgetsNumber.ProgressCircleFraction_new.mvc$controller", "OutSystemsReactWidgets"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, React, OSView, MobileUIWidgets_WidgetsNumber_ProgressCircleFraction_new_mvc_model, MobileUIWidgets_WidgetsNumber_ProgressCircleFraction_new_mvc_controller, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "WidgetsNumber.ProgressCircleFraction_new";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return ["scripts/MobileUIWidgets.ProgressCircle.js"];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsNumber_ProgressCircleFraction_new_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return MobileUIWidgets_WidgetsNumber_ProgressCircleFraction_new_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Center*/ 2,
animate: false,
style: "progress-circle-outer",
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider
}, $if(false, false, this, function () {
return [];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: ("progress-circle progress-circle-" + model.variables.sizeVar),
visible: true,
_idProps: {
service: idService,
name: "ProgressCircle"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
style: (("color: #" + model.variables.textColorIn) + ";")
},
gridProperties: {
classes: "OSInline"
},
style: "progress-circle-text",
visible: true,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
name: "progressTextLabel"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.label,
_idProps: {
service: idService,
name: "Label"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Container, {
align: /*Center*/ 2,
animate: false,
gridProperties: {
classes: "OSAutoMarginTop"
},
style: "progress-circle-text-numerator",
visible: true,
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
gridProperties: {
classes: "OSFillParent"
},
value: model.getCachedValue(idService.getId("7isox2Zn8UK9q8NfSNrPhw.Value"), function () {
return (OS.BuiltinFunctions.decimalToText(OS.BuiltinFunctions.round(model.variables.numeratorIn, 1)) + model.variables.unitsIn);
}, function () {
return model.variables.numeratorIn;
}, function () {
return model.variables.unitsIn;
}),
_idProps: {
service: idService,
uuid: "6"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._numeratorInDataFetchStatus, model.variables._unitsInDataFetchStatus)
})), React.createElement(OSWidgets.Container, {
align: /*Center*/ 2,
animate: false,
style: "progress-circle-text-denominator",
visible: true,
_idProps: {
service: idService,
uuid: "7"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
gridProperties: {
classes: "OSFillParent"
},
value: model.getCachedValue(idService.getId("ItqHQPODlE2ZdH36ewxVFQ.Value"), function () {
return ((((((model.variables.denominatorPrefixIn) !== (""))) ? ((model.variables.denominatorPrefixIn + " ")) : ("")) + OS.BuiltinFunctions.decimalToText(OS.BuiltinFunctions.round(model.variables.denominatorIn, 1))) + model.variables.unitsIn);
}, function () {
return model.variables.denominatorPrefixIn;
}, function () {
return model.variables.denominatorIn;
}, function () {
return model.variables.unitsIn;
}),
_idProps: {
service: idService,
uuid: "8"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._denominatorPrefixInDataFetchStatus, model.variables._denominatorInDataFetchStatus, model.variables._unitsInDataFetchStatus)
}))))];
})));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("MobileUIWidgets.WidgetsNumber.ProgressCircleFraction_new.mvc$controller", ["OutSystems", "MobileUIWidgets.model", "MobileUIWidgets.controller", "MobileUIWidgets.languageResources", "MobileUIWidgets.WidgetsNumber.ProgressCircleFraction_new.mvc$controller.OnReady.InitCircleJS", "MobileUIWidgets.WidgetsNumber.ProgressCircleFraction_new.mvc$controller.OnParametersChanged.UpdateProgressJS"], function (OutSystems, MobileUIWidgetsModel, MobileUIWidgetsController, MobileUIWidgetsLanguageResources, MobileUIWidgets_WidgetsNumber_ProgressCircleFraction_new_mvc_controller_OnReady_InitCircleJS, MobileUIWidgets_WidgetsNumber_ProgressCircleFraction_new_mvc_controller_OnParametersChanged_UpdateProgressJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._onReady$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnReady");
callContext = controller.callContext(callContext);
var initCircleJSResult = new OS.DataTypes.VariableHolder();
initCircleJSResult.value = controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNumber_ProgressCircleFraction_new_mvc_controller_OnReady_InitCircleJS, "InitCircle", "OnReady", {
AnimationDuration: OS.DataTypes.JSConversions.basicTypeToJS(((model.variables.animateInitialProgressIn) ? (500) : (0)), OS.Types.Integer, true),
StrokeWidth: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.circleThicknessIn, OS.Types.Integer, true),
ProgressColor: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.progressColorIn, OS.Types.Text, true),
Progress: OS.DataTypes.JSConversions.basicTypeToJS(((model.variables.denominatorIn.equals(OS.BuiltinFunctions.integerToDecimal(0))) ? (OS.BuiltinFunctions.integerToDecimal(0)) : (OS.BuiltinFunctions.round(model.variables.numeratorIn.times(OS.BuiltinFunctions.integerToDecimal(100)).div(model.variables.denominatorIn), 1))), OS.Types.Decimal, true),
ContainerId: OS.DataTypes.JSConversions.basicTypeToJS(idService.getId("ProgressCircle"), OS.Types.Text, true),
TrailColor: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.trailColorIn, OS.Types.Text, true),
CircleObject: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true),
ContainerWidth: OS.DataTypes.JSConversions.basicTypeToJS(0, OS.Types.Integer, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("MobileUIWidgets.WidgetsNumber.ProgressCircleFraction_new.OnReady$initCircleJSResult"))();
jsNodeResult.circleObjectOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.CircleObject, OS.Types.Object);
jsNodeResult.containerWidthOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ContainerWidth, OS.Types.Integer);
return jsNodeResult;
}, {}, {});
// Calc size
// Size = If
model.variables.sizeVar = (((initCircleJSResult.value.containerWidthOut < 120)) ? ("small") : (((((initCircleJSResult.value.containerWidthOut >= 120) && (initCircleJSResult.value.containerWidthOut < 220))) ? ("medium") : ("large"))));
// Set CircleObject
// CircleObj = InitCircle.CircleObject
model.variables.circleObjVar = initCircleJSResult.value.circleObjectOut;
// PreviousProgressColor = ProgressColor
model.variables.previousProgressColorVar = model.variables.progressColorIn;
};
Controller.registerVariableGroupType("MobileUIWidgets.WidgetsNumber.ProgressCircleFraction_new.OnReady$initCircleJSResult", [{
name: "CircleObject",
attrName: "circleObjectOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "ContainerWidth",
attrName: "containerWidthOut",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
Controller.prototype._onParametersChanged$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnParametersChanged");
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(MobileUIWidgets_WidgetsNumber_ProgressCircleFraction_new_mvc_controller_OnParametersChanged_UpdateProgressJS, "UpdateProgress", "OnParametersChanged", {
PreviousProgressColor: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.previousProgressColorVar, OS.Types.Text, true),
Progress: OS.DataTypes.JSConversions.basicTypeToJS(((model.variables.denominatorIn.equals(OS.BuiltinFunctions.integerToDecimal(0))) ? (OS.BuiltinFunctions.integerToDecimal(0)) : (OS.BuiltinFunctions.round(model.variables.numeratorIn.times(OS.BuiltinFunctions.integerToDecimal(100)).div(model.variables.denominatorIn), 1))), OS.Types.Decimal, true),
CircleObject: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.circleObjVar, OS.Types.Object, true),
ProgressColor: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.progressColorIn, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// PreviousProgressColor = ProgressColor
model.variables.previousProgressColorVar = model.variables.progressColorIn;
};

Controller.prototype.onReady$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onReady$Action, callContext);

};
Controller.prototype.onParametersChanged$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onParametersChanged$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onReady$Action(callContext);

};
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onParametersChanged$Action(callContext);

};
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return MobileUIWidgetsController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, MobileUIWidgetsLanguageResources);
});
define("MobileUIWidgets.WidgetsNumber.ProgressCircleFraction_new.mvc$controller.OnReady.InitCircleJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var element = document.getElementById($parameters.ContainerId);
var isRTL = document.querySelector(".is-rtl");
var animation = $parameters.Progress / 100;

var circle = new ProgressBar.Circle(element, {
    duration: $parameters.AnimationDuration ,
    color: $parameters.ProgressColor,
    trailColor: $parameters.TrailColor,
    strokeWidth: $parameters.StrokeWidth    
});

var progress = $parameters.Progress;
if(isRTL) {
    animation = -($parameters.Progress / 100);
} 

if( $parameters.AnimationDuration > 0 ) {
    circle.animate(animation);
} else {
    circle.set(animation);
    circle.path.setAttribute('stroke', $parameters.ProgressColor);
}

$parameters.CircleObject = circle;

$parameters.ContainerWidth = element.parentElement.offsetWidth;
};
});
define("MobileUIWidgets.WidgetsNumber.ProgressCircleFraction_new.mvc$controller.OnParametersChanged.UpdateProgressJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var circle = $parameters.CircleObject;

// animate progress and pogress color
circle.animate( $parameters.Progress / 100 , {
    duration: 300,
    step: function(state, circle) {
        circle.path.setAttribute('stroke', state.color);
    },
    from: { color: $parameters.PreviousProgressColor },
    to: { color: $parameters.ProgressColor }
});
};
});

