﻿define("Mobile_LoginNOS.model$DetailRec", ["exports", "OutSystems", "Mobile_LoginNOS.model"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var DetailRec = (function (_super) {
__extends(DetailRec, _super);
function DetailRec(defaults) {
_super.apply(this, arguments);
}
DetailRec.attributesToDeclare = function () {
return [
this.attr("Errorcode", "errorcodeAttr", "errorcode", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
DetailRec.fromStructure = function (str) {
return new DetailRec(new DetailRec.RecordClass({
errorcodeAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
DetailRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
DetailRec.init();
return DetailRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.DetailRec = DetailRec;

});
define("Mobile_LoginNOS.model$FaultRec", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$DetailRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var FaultRec = (function (_super) {
__extends(FaultRec, _super);
function FaultRec(defaults) {
_super.apply(this, arguments);
}
FaultRec.attributesToDeclare = function () {
return [
this.attr("Faultstring", "faultstringAttr", "faultstring", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Detail", "detailAttr", "detail", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.DetailRec());
}, Mobile_LoginNOSModel.DetailRec)
].concat(_super.attributesToDeclare.call(this));
};
FaultRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
FaultRec.init();
return FaultRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.FaultRec = FaultRec;

});
define("Mobile_LoginNOS.model$FaultRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$FaultRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var FaultRecord = (function (_super) {
__extends(FaultRecord, _super);
function FaultRecord(defaults) {
_super.apply(this, arguments);
}
FaultRecord.attributesToDeclare = function () {
return [
this.attr("Fault", "faultAttr", "Fault", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.FaultRec());
}, Mobile_LoginNOSModel.FaultRec)
].concat(_super.attributesToDeclare.call(this));
};
FaultRecord.fromStructure = function (str) {
return new FaultRecord(new FaultRecord.RecordClass({
faultAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
FaultRecord.IsAnonymousRecord = true;
FaultRecord.UniqueId = "02571607-aef6-acf3-aef8-c3a78b7764a0";
FaultRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
FaultRecord.init();
return FaultRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.FaultRecord = FaultRecord;

});
define("Mobile_LoginNOS.model$ICON_CLASSRecord", ["exports", "OutSystems", "MobileUIWidgets.model", "Mobile_LoginNOS.model", "MobileUIWidgets.model$ICON_CLASSRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$MobileUIWidgets"], function (exports, OutSystems, MobileUIWidgetsModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var ICON_CLASSRecord = (function (_super) {
__extends(ICON_CLASSRecord, _super);
function ICON_CLASSRecord(defaults) {
_super.apply(this, arguments);
}
ICON_CLASSRecord.attributesToDeclare = function () {
return [
this.attr("ICON_CLASS", "iCON_CLASSAttr", "ICON_CLASS", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new MobileUIWidgetsModel.ICON_CLASSRec());
}, MobileUIWidgetsModel.ICON_CLASSRec)
].concat(_super.attributesToDeclare.call(this));
};
ICON_CLASSRecord.fromStructure = function (str) {
return new ICON_CLASSRecord(new ICON_CLASSRecord.RecordClass({
iCON_CLASSAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
ICON_CLASSRecord.IsAnonymousRecord = true;
ICON_CLASSRecord.UniqueId = "23a73a44-82ba-068c-0bd7-39ce6861e6e4";
ICON_CLASSRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
ICON_CLASSRecord.init();
return ICON_CLASSRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.ICON_CLASSRecord = ICON_CLASSRecord;

});
define("Mobile_LoginNOS.model$ICON_CLASSRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$ICON_CLASSRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var ICON_CLASSRecordList = (function (_super) {
__extends(ICON_CLASSRecordList, _super);
function ICON_CLASSRecordList(defaults) {
_super.apply(this, arguments);
}
ICON_CLASSRecordList.RecordType = Mobile_LoginNOSModel.ICON_CLASSRecord;
return ICON_CLASSRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.ICON_CLASSRecordList = ICON_CLASSRecordList;

});
define("Mobile_LoginNOS.model$UserInfoRec", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$FaultRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var UserInfoRec = (function (_super) {
__extends(UserInfoRec, _super);
function UserInfoRec(defaults) {
_super.apply(this, arguments);
}
UserInfoRec.attributesToDeclare = function () {
return [
this.attr("Uid", "uidAttr", "uid", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Username", "usernameAttr", "username", false, OS.Types.Text, function () {
return "";
}), 
this.attr("User_ca", "user_caAttr", "user_ca", false, OS.Types.Text, function () {
return "";
}), 
this.attr("User_sa", "user_saAttr", "user_sa", false, OS.Types.Text, function () {
return "";
}), 
this.attr("User_session_id", "user_session_idAttr", "user_session_id", false, OS.Types.Text, function () {
return "";
}), 
this.attr("User_display_name", "user_display_nameAttr", "user_display_name", false, OS.Types.Text, function () {
return "";
}), 
this.attr("User_picture_url", "user_picture_urlAttr", "user_picture_url", false, OS.Types.Text, function () {
return "";
}), 
this.attr("User_type", "user_typeAttr", "user_type", false, OS.Types.Text, function () {
return "";
}), 
this.attr("User_profile", "user_profileAttr", "user_profile", false, OS.Types.Text, function () {
return "";
}), 
this.attr("User_profile_id", "user_profile_idAttr", "user_profile_id", false, OS.Types.Text, function () {
return "";
}), 
this.attr("User_app_features", "user_app_featuresAttr", "user_app_features", false, OS.Types.Text, function () {
return "";
}), 
this.attr("User_impersonated_by", "user_impersonated_byAttr", "user_impersonated_by", false, OS.Types.Text, function () {
return "";
}), 
this.attr("User_impersonated_at", "user_impersonated_atAttr", "user_impersonated_at", false, OS.Types.Text, function () {
return "";
}), 
this.attr("User_impersonated_attributes", "user_impersonated_attributesAttr", "user_impersonated_attributes", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Auto_login", "auto_loginAttr", "auto_login", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Home_gateway", "home_gatewayAttr", "home_gateway", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Client_ip", "client_ipAttr", "client_ip", false, OS.Types.Text, function () {
return "";
}), 
this.attr("User_cpes", "user_cpesAttr", "user_cpes", false, OS.Types.Text, function () {
return "";
}), 
this.attr("User_origin_platform", "user_origin_platformAttr", "user_origin_platform", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Fault", "faultAttr", "fault", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.FaultRec());
}, Mobile_LoginNOSModel.FaultRec)
].concat(_super.attributesToDeclare.call(this));
};
UserInfoRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
UserInfoRec.init();
return UserInfoRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.UserInfoRec = UserInfoRec;

});
define("Mobile_LoginNOS.model$Log_UserInfoOutputRec", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$UserInfoRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_UserInfoOutputRec = (function (_super) {
__extends(Log_UserInfoOutputRec, _super);
function Log_UserInfoOutputRec(defaults) {
_super.apply(this, arguments);
}
Log_UserInfoOutputRec.attributesToDeclare = function () {
return [
this.attr("UserInfo", "userInfoAttr", "UserInfo", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.UserInfoRec());
}, Mobile_LoginNOSModel.UserInfoRec), 
this.attr("Error", "errorAttr", "Error", false, OS.Types.Boolean, function () {
return false;
}), 
this.attr("ErrorMessage", "errorMessageAttr", "ErrorMessage", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
Log_UserInfoOutputRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
Log_UserInfoOutputRec.init();
return Log_UserInfoOutputRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_UserInfoOutputRec = Log_UserInfoOutputRec;

});
define("Mobile_LoginNOS.model$Log_UserInfoOutputList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_UserInfoOutputRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_UserInfoOutputList = (function (_super) {
__extends(Log_UserInfoOutputList, _super);
function Log_UserInfoOutputList(defaults) {
_super.apply(this, arguments);
}
Log_UserInfoOutputList.RecordType = Mobile_LoginNOSModel.Log_UserInfoOutputRec;
return Log_UserInfoOutputList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_UserInfoOutputList = Log_UserInfoOutputList;

});
define("Mobile_LoginNOS.model$Log_RegistrationOutputRec", ["exports", "OutSystems", "Mobile_LoginNOS.model"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_RegistrationOutputRec = (function (_super) {
__extends(Log_RegistrationOutputRec, _super);
function Log_RegistrationOutputRec(defaults) {
_super.apply(this, arguments);
}
Log_RegistrationOutputRec.attributesToDeclare = function () {
return [
this.attr("URL", "uRLAttr", "URL", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
Log_RegistrationOutputRec.fromStructure = function (str) {
return new Log_RegistrationOutputRec(new Log_RegistrationOutputRec.RecordClass({
uRLAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Log_RegistrationOutputRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
Log_RegistrationOutputRec.init();
return Log_RegistrationOutputRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_RegistrationOutputRec = Log_RegistrationOutputRec;

});
define("Mobile_LoginNOS.model$Log_RegistrationOutputList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_RegistrationOutputRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_RegistrationOutputList = (function (_super) {
__extends(Log_RegistrationOutputList, _super);
function Log_RegistrationOutputList(defaults) {
_super.apply(this, arguments);
}
Log_RegistrationOutputList.RecordType = Mobile_LoginNOSModel.Log_RegistrationOutputRec;
return Log_RegistrationOutputList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_RegistrationOutputList = Log_RegistrationOutputList;

});
define("Mobile_LoginNOS.model$RefreshAccessTokenRec", ["exports", "OutSystems", "Mobile_LoginNOS.model"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var RefreshAccessTokenRec = (function (_super) {
__extends(RefreshAccessTokenRec, _super);
function RefreshAccessTokenRec(defaults) {
_super.apply(this, arguments);
}
RefreshAccessTokenRec.attributesToDeclare = function () {
return [
this.attr("Access_token", "access_tokenAttr", "access_token", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Token_type", "token_typeAttr", "token_type", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Scope", "scopeAttr", "scope", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Expires_in", "expires_inAttr", "expires_in", false, OS.Types.LongInteger, function () {
return OS.DataTypes.LongInteger.defaultValue;
}), 
this.attr("Issued_at", "issued_atAttr", "issued_at", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Status", "statusAttr", "status", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Refresh_token", "refresh_tokenAttr", "refresh_token", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Refresh_token_expires_in", "refresh_token_expires_inAttr", "refresh_token_expires_in", false, OS.Types.LongInteger, function () {
return OS.DataTypes.LongInteger.defaultValue;
}), 
this.attr("Refresh_token_issued_at", "refresh_token_issued_atAttr", "refresh_token_issued_at", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Refresh_token_status", "refresh_token_statusAttr", "refresh_token_status", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Refresh_count", "refresh_countAttr", "refresh_count", false, OS.Types.LongInteger, function () {
return OS.DataTypes.LongInteger.defaultValue;
})
].concat(_super.attributesToDeclare.call(this));
};
RefreshAccessTokenRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
RefreshAccessTokenRec.init();
return RefreshAccessTokenRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.RefreshAccessTokenRec = RefreshAccessTokenRec;

});
define("Mobile_LoginNOS.model$RefreshAccessTokenRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$RefreshAccessTokenRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var RefreshAccessTokenRecord = (function (_super) {
__extends(RefreshAccessTokenRecord, _super);
function RefreshAccessTokenRecord(defaults) {
_super.apply(this, arguments);
}
RefreshAccessTokenRecord.attributesToDeclare = function () {
return [
this.attr("RefreshAccessToken", "refreshAccessTokenAttr", "RefreshAccessToken", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.RefreshAccessTokenRec());
}, Mobile_LoginNOSModel.RefreshAccessTokenRec)
].concat(_super.attributesToDeclare.call(this));
};
RefreshAccessTokenRecord.fromStructure = function (str) {
return new RefreshAccessTokenRecord(new RefreshAccessTokenRecord.RecordClass({
refreshAccessTokenAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
RefreshAccessTokenRecord.IsAnonymousRecord = true;
RefreshAccessTokenRecord.UniqueId = "81d27448-f39a-777c-b47b-f0e7da4fdb2e";
RefreshAccessTokenRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
RefreshAccessTokenRecord.init();
return RefreshAccessTokenRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.RefreshAccessTokenRecord = RefreshAccessTokenRecord;

});
define("Mobile_LoginNOS.model$RefreshAccessTokenRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$RefreshAccessTokenRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var RefreshAccessTokenRecordList = (function (_super) {
__extends(RefreshAccessTokenRecordList, _super);
function RefreshAccessTokenRecordList(defaults) {
_super.apply(this, arguments);
}
RefreshAccessTokenRecordList.RecordType = Mobile_LoginNOSModel.RefreshAccessTokenRecord;
return RefreshAccessTokenRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.RefreshAccessTokenRecordList = RefreshAccessTokenRecordList;

});
define("Mobile_LoginNOS.model$Log_UserInfoRec", ["exports", "OutSystems", "Mobile_LoginNOS.model"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_UserInfoRec = (function (_super) {
__extends(Log_UserInfoRec, _super);
function Log_UserInfoRec(defaults) {
_super.apply(this, arguments);
}
Log_UserInfoRec.attributesToDeclare = function () {
return [
this.attr("Access_Token", "access_TokenAttr", "Access_Token", true, OS.Types.Text, function () {
return "";
}), 
this.attr("ClientId", "clientIdAttr", "ClientId", true, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
Log_UserInfoRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
Log_UserInfoRec.init();
return Log_UserInfoRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_UserInfoRec = Log_UserInfoRec;

});
define("Mobile_LoginNOS.model$Log_UserInfoList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_UserInfoRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_UserInfoList = (function (_super) {
__extends(Log_UserInfoList, _super);
function Log_UserInfoList(defaults) {
_super.apply(this, arguments);
}
Log_UserInfoList.RecordType = Mobile_LoginNOSModel.Log_UserInfoRec;
return Log_UserInfoList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_UserInfoList = Log_UserInfoList;

});
define("Mobile_LoginNOS.model$STR_LogNameValueRecord", ["exports", "OutSystems", "CE_LOGGING.model", "Mobile_LoginNOS.model", "CE_LOGGING.model$STR_LogNameValueRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$CE_LOGGING"], function (exports, OutSystems, CE_LOGGINGModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var STR_LogNameValueRecord = (function (_super) {
__extends(STR_LogNameValueRecord, _super);
function STR_LogNameValueRecord(defaults) {
_super.apply(this, arguments);
}
STR_LogNameValueRecord.attributesToDeclare = function () {
return [
this.attr("STR_LogNameValue", "sTR_LogNameValueAttr", "STR_LogNameValue", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CE_LOGGINGModel.STR_LogNameValueRec());
}, CE_LOGGINGModel.STR_LogNameValueRec)
].concat(_super.attributesToDeclare.call(this));
};
STR_LogNameValueRecord.fromStructure = function (str) {
return new STR_LogNameValueRecord(new STR_LogNameValueRecord.RecordClass({
sTR_LogNameValueAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
STR_LogNameValueRecord.IsAnonymousRecord = true;
STR_LogNameValueRecord.UniqueId = "e69fcbe6-803a-f5de-8abb-dae1f947e377";
STR_LogNameValueRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
STR_LogNameValueRecord.init();
return STR_LogNameValueRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.STR_LogNameValueRecord = STR_LogNameValueRecord;

});
define("Mobile_LoginNOS.model$STR_LogNameValueRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$STR_LogNameValueRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var STR_LogNameValueRecordList = (function (_super) {
__extends(STR_LogNameValueRecordList, _super);
function STR_LogNameValueRecordList(defaults) {
_super.apply(this, arguments);
}
STR_LogNameValueRecordList.RecordType = Mobile_LoginNOSModel.STR_LogNameValueRecord;
return STR_LogNameValueRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.STR_LogNameValueRecordList = STR_LogNameValueRecordList;

});
define("Mobile_LoginNOS.model$Log_RefreshAccessTokenOutputRec", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$RefreshAccessTokenRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_RefreshAccessTokenOutputRec = (function (_super) {
__extends(Log_RefreshAccessTokenOutputRec, _super);
function Log_RefreshAccessTokenOutputRec(defaults) {
_super.apply(this, arguments);
}
Log_RefreshAccessTokenOutputRec.attributesToDeclare = function () {
return [
this.attr("Error", "errorAttr", "Error", false, OS.Types.Boolean, function () {
return false;
}), 
this.attr("RefreshAccessToken", "refreshAccessTokenAttr", "RefreshAccessToken", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.RefreshAccessTokenRec());
}, Mobile_LoginNOSModel.RefreshAccessTokenRec), 
this.attr("ErrorMessage", "errorMessageAttr", "ErrorMessage", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
Log_RefreshAccessTokenOutputRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
Log_RefreshAccessTokenOutputRec.init();
return Log_RefreshAccessTokenOutputRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_RefreshAccessTokenOutputRec = Log_RefreshAccessTokenOutputRec;

});
define("Mobile_LoginNOS.model$Log_RefreshAccessTokenOutputRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_RefreshAccessTokenOutputRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_RefreshAccessTokenOutputRecord = (function (_super) {
__extends(Log_RefreshAccessTokenOutputRecord, _super);
function Log_RefreshAccessTokenOutputRecord(defaults) {
_super.apply(this, arguments);
}
Log_RefreshAccessTokenOutputRecord.attributesToDeclare = function () {
return [
this.attr("Log_RefreshAccessTokenOutput", "log_RefreshAccessTokenOutputAttr", "Log_RefreshAccessTokenOutput", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.Log_RefreshAccessTokenOutputRec());
}, Mobile_LoginNOSModel.Log_RefreshAccessTokenOutputRec)
].concat(_super.attributesToDeclare.call(this));
};
Log_RefreshAccessTokenOutputRecord.fromStructure = function (str) {
return new Log_RefreshAccessTokenOutputRecord(new Log_RefreshAccessTokenOutputRecord.RecordClass({
log_RefreshAccessTokenOutputAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Log_RefreshAccessTokenOutputRecord.IsAnonymousRecord = true;
Log_RefreshAccessTokenOutputRecord.UniqueId = "fdf19ae5-f965-e6a5-8074-44d52003b98f";
Log_RefreshAccessTokenOutputRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
Log_RefreshAccessTokenOutputRecord.init();
return Log_RefreshAccessTokenOutputRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_RefreshAccessTokenOutputRecord = Log_RefreshAccessTokenOutputRecord;

});
define("Mobile_LoginNOS.model$Log_RefreshAccessTokenOutputRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_RefreshAccessTokenOutputRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_RefreshAccessTokenOutputRecordList = (function (_super) {
__extends(Log_RefreshAccessTokenOutputRecordList, _super);
function Log_RefreshAccessTokenOutputRecordList(defaults) {
_super.apply(this, arguments);
}
Log_RefreshAccessTokenOutputRecordList.RecordType = Mobile_LoginNOSModel.Log_RefreshAccessTokenOutputRecord;
return Log_RefreshAccessTokenOutputRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_RefreshAccessTokenOutputRecordList = Log_RefreshAccessTokenOutputRecordList;

});
define("Mobile_LoginNOS.model$IOSOptionsRecord", ["exports", "OutSystems", "InAppBrowserPlugin.model", "Mobile_LoginNOS.model", "InAppBrowserPlugin.model$IOSOptionsRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$InAppBrowserPlugin"], function (exports, OutSystems, InAppBrowserPluginModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var IOSOptionsRecord = (function (_super) {
__extends(IOSOptionsRecord, _super);
function IOSOptionsRecord(defaults) {
_super.apply(this, arguments);
}
IOSOptionsRecord.attributesToDeclare = function () {
return [
this.attr("IOSOptions", "iOSOptionsAttr", "IOSOptions", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new InAppBrowserPluginModel.IOSOptionsRec());
}, InAppBrowserPluginModel.IOSOptionsRec)
].concat(_super.attributesToDeclare.call(this));
};
IOSOptionsRecord.fromStructure = function (str) {
return new IOSOptionsRecord(new IOSOptionsRecord.RecordClass({
iOSOptionsAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
IOSOptionsRecord.IsAnonymousRecord = true;
IOSOptionsRecord.UniqueId = "0c270b9a-e7cb-7adc-70b9-1068cb7a9326";
IOSOptionsRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
IOSOptionsRecord.init();
return IOSOptionsRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.IOSOptionsRecord = IOSOptionsRecord;

});
define("Mobile_LoginNOS.model$Log_RefreshAccessTokenRec", ["exports", "OutSystems", "Mobile_LoginNOS.model"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_RefreshAccessTokenRec = (function (_super) {
__extends(Log_RefreshAccessTokenRec, _super);
function Log_RefreshAccessTokenRec(defaults) {
_super.apply(this, arguments);
}
Log_RefreshAccessTokenRec.attributesToDeclare = function () {
return [
this.attr("ClientId", "clientIdAttr", "ClientId", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Refresh_Token", "refresh_TokenAttr", "Refresh_Token", true, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
Log_RefreshAccessTokenRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
Log_RefreshAccessTokenRec.init();
return Log_RefreshAccessTokenRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_RefreshAccessTokenRec = Log_RefreshAccessTokenRec;

});
define("Mobile_LoginNOS.model$Log_RefreshAccessTokenList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_RefreshAccessTokenRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_RefreshAccessTokenList = (function (_super) {
__extends(Log_RefreshAccessTokenList, _super);
function Log_RefreshAccessTokenList(defaults) {
_super.apply(this, arguments);
}
Log_RefreshAccessTokenList.RecordType = Mobile_LoginNOSModel.Log_RefreshAccessTokenRec;
return Log_RefreshAccessTokenList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_RefreshAccessTokenList = Log_RefreshAccessTokenList;

});
define("Mobile_LoginNOS.model$OptionsRecord", ["exports", "OutSystems", "InAppBrowserPlugin.model", "Mobile_LoginNOS.model", "InAppBrowserPlugin.model$OptionsRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$InAppBrowserPlugin"], function (exports, OutSystems, InAppBrowserPluginModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var OptionsRecord = (function (_super) {
__extends(OptionsRecord, _super);
function OptionsRecord(defaults) {
_super.apply(this, arguments);
}
OptionsRecord.attributesToDeclare = function () {
return [
this.attr("Options", "optionsAttr", "Options", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new InAppBrowserPluginModel.OptionsRec());
}, InAppBrowserPluginModel.OptionsRec)
].concat(_super.attributesToDeclare.call(this));
};
OptionsRecord.fromStructure = function (str) {
return new OptionsRecord(new OptionsRecord.RecordClass({
optionsAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
OptionsRecord.IsAnonymousRecord = true;
OptionsRecord.UniqueId = "3345668e-036d-b903-ca5a-e74e58f9b56c";
OptionsRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
OptionsRecord.init();
return OptionsRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.OptionsRecord = OptionsRecord;

});
define("Mobile_LoginNOS.model$OptionsRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$OptionsRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var OptionsRecordList = (function (_super) {
__extends(OptionsRecordList, _super);
function OptionsRecordList(defaults) {
_super.apply(this, arguments);
}
OptionsRecordList.RecordType = Mobile_LoginNOSModel.OptionsRecord;
return OptionsRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.OptionsRecordList = OptionsRecordList;

});
define("Mobile_LoginNOS.model$Detail2Rec", ["exports", "OutSystems", "Mobile_LoginNOS.model"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Detail2Rec = (function (_super) {
__extends(Detail2Rec, _super);
function Detail2Rec(defaults) {
_super.apply(this, arguments);
}
Detail2Rec.attributesToDeclare = function () {
return [
this.attr("Errorcode", "errorcodeAttr", "errorcode", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
Detail2Rec.fromStructure = function (str) {
return new Detail2Rec(new Detail2Rec.RecordClass({
errorcodeAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Detail2Rec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
Detail2Rec.init();
return Detail2Rec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Detail2Rec = Detail2Rec;

});
define("Mobile_LoginNOS.model$Fault2Rec", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Detail2Rec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Fault2Rec = (function (_super) {
__extends(Fault2Rec, _super);
function Fault2Rec(defaults) {
_super.apply(this, arguments);
}
Fault2Rec.attributesToDeclare = function () {
return [
this.attr("Faultstring", "faultstringAttr", "faultstring", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Detail", "detailAttr", "detail", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.Detail2Rec());
}, Mobile_LoginNOSModel.Detail2Rec)
].concat(_super.attributesToDeclare.call(this));
};
Fault2Rec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
Fault2Rec.init();
return Fault2Rec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Fault2Rec = Fault2Rec;

});
define("Mobile_LoginNOS.model$Fault2Record", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Fault2Rec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Fault2Record = (function (_super) {
__extends(Fault2Record, _super);
function Fault2Record(defaults) {
_super.apply(this, arguments);
}
Fault2Record.attributesToDeclare = function () {
return [
this.attr("Fault2", "fault2Attr", "Fault2", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.Fault2Rec());
}, Mobile_LoginNOSModel.Fault2Rec)
].concat(_super.attributesToDeclare.call(this));
};
Fault2Record.fromStructure = function (str) {
return new Fault2Record(new Fault2Record.RecordClass({
fault2Attr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Fault2Record.IsAnonymousRecord = true;
Fault2Record.UniqueId = "dbcfc718-d83d-2a3b-f6ca-e2a7361c2c3a";
Fault2Record.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
Fault2Record.init();
return Fault2Record;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Fault2Record = Fault2Record;

});
define("Mobile_LoginNOS.model$Fault2RecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Fault2Record"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Fault2RecordList = (function (_super) {
__extends(Fault2RecordList, _super);
function Fault2RecordList(defaults) {
_super.apply(this, arguments);
}
Fault2RecordList.RecordType = Mobile_LoginNOSModel.Fault2Record;
return Fault2RecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Fault2RecordList = Fault2RecordList;

});
define("Mobile_LoginNOS.model$Log_RegistrationRec", ["exports", "OutSystems", "Mobile_LoginNOS.model"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_RegistrationRec = (function (_super) {
__extends(Log_RegistrationRec, _super);
function Log_RegistrationRec(defaults) {
_super.apply(this, arguments);
}
Log_RegistrationRec.attributesToDeclare = function () {
return [
this.attr("CallBackURL", "callBackURLAttr", "CallBackURL", true, OS.Types.Text, function () {
return "";
}), 
this.attr("ClientId", "clientIdAttr", "ClientId", true, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
Log_RegistrationRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
Log_RegistrationRec.init();
return Log_RegistrationRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_RegistrationRec = Log_RegistrationRec;

});
define("Mobile_LoginNOS.model$Log_AuthorizeEndPointOutputRec", ["exports", "OutSystems", "Mobile_LoginNOS.model"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_AuthorizeEndPointOutputRec = (function (_super) {
__extends(Log_AuthorizeEndPointOutputRec, _super);
function Log_AuthorizeEndPointOutputRec(defaults) {
_super.apply(this, arguments);
}
Log_AuthorizeEndPointOutputRec.attributesToDeclare = function () {
return [
this.attr("EndPoint", "endPointAttr", "EndPoint", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Parameters", "parametersAttr", "Parameters", false, OS.Types.Text, function () {
return "";
}), 
this.attr("CodeVerifier", "codeVerifierAttr", "CodeVerifier", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
Log_AuthorizeEndPointOutputRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
Log_AuthorizeEndPointOutputRec.init();
return Log_AuthorizeEndPointOutputRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_AuthorizeEndPointOutputRec = Log_AuthorizeEndPointOutputRec;

});
define("Mobile_LoginNOS.model$Log_AuthorizeEndPointOutputList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_AuthorizeEndPointOutputRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_AuthorizeEndPointOutputList = (function (_super) {
__extends(Log_AuthorizeEndPointOutputList, _super);
function Log_AuthorizeEndPointOutputList(defaults) {
_super.apply(this, arguments);
}
Log_AuthorizeEndPointOutputList.RecordType = Mobile_LoginNOSModel.Log_AuthorizeEndPointOutputRec;
return Log_AuthorizeEndPointOutputList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_AuthorizeEndPointOutputList = Log_AuthorizeEndPointOutputList;

});
define("Mobile_LoginNOS.model$AccessTokenCodeRec", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$FaultRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var AccessTokenCodeRec = (function (_super) {
__extends(AccessTokenCodeRec, _super);
function AccessTokenCodeRec(defaults) {
_super.apply(this, arguments);
}
AccessTokenCodeRec.attributesToDeclare = function () {
return [
this.attr("Access_token", "access_tokenAttr", "access_token", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Token_type", "token_typeAttr", "token_type", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Scope", "scopeAttr", "scope", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Expires_in", "expires_inAttr", "expires_in", false, OS.Types.LongInteger, function () {
return OS.DataTypes.LongInteger.defaultValue;
}), 
this.attr("Issued_at", "issued_atAttr", "issued_at", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Status", "statusAttr", "status", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Refresh_token", "refresh_tokenAttr", "refresh_token", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Refresh_token_expires_in", "refresh_token_expires_inAttr", "refresh_token_expires_in", false, OS.Types.LongInteger, function () {
return OS.DataTypes.LongInteger.defaultValue;
}), 
this.attr("Refresh_token_issued_at", "refresh_token_issued_atAttr", "refresh_token_issued_at", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Refresh_token_status", "refresh_token_statusAttr", "refresh_token_status", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Refresh_count", "refresh_countAttr", "refresh_count", false, OS.Types.LongInteger, function () {
return OS.DataTypes.LongInteger.defaultValue;
}), 
this.attr("Fault", "faultAttr", "fault", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.FaultRec());
}, Mobile_LoginNOSModel.FaultRec)
].concat(_super.attributesToDeclare.call(this));
};
AccessTokenCodeRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
AccessTokenCodeRec.init();
return AccessTokenCodeRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.AccessTokenCodeRec = AccessTokenCodeRec;

});
define("Mobile_LoginNOS.model$Log_RegistrationRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_RegistrationRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_RegistrationRecord = (function (_super) {
__extends(Log_RegistrationRecord, _super);
function Log_RegistrationRecord(defaults) {
_super.apply(this, arguments);
}
Log_RegistrationRecord.attributesToDeclare = function () {
return [
this.attr("Log_Registration", "log_RegistrationAttr", "Log_Registration", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.Log_RegistrationRec());
}, Mobile_LoginNOSModel.Log_RegistrationRec)
].concat(_super.attributesToDeclare.call(this));
};
Log_RegistrationRecord.fromStructure = function (str) {
return new Log_RegistrationRecord(new Log_RegistrationRecord.RecordClass({
log_RegistrationAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Log_RegistrationRecord.IsAnonymousRecord = true;
Log_RegistrationRecord.UniqueId = "22ec3039-6cdd-d14d-a077-24ba8cf5fa34";
Log_RegistrationRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
Log_RegistrationRecord.init();
return Log_RegistrationRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_RegistrationRecord = Log_RegistrationRecord;

});
define("Mobile_LoginNOS.model$UserDataRec", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$FaultRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var UserDataRec = (function (_super) {
__extends(UserDataRec, _super);
function UserDataRec(defaults) {
_super.apply(this, arguments);
}
UserDataRec.attributesToDeclare = function () {
return [
this.attr("contact_phone", "contact_phoneAttr", "contact_phone", false, OS.Types.PhoneNumber, function () {
return "";
}), 
this.attr("name", "nameAttr", "name", false, OS.Types.Text, function () {
return "";
}), 
this.attr("birth_date", "birth_dateAttr", "birth_date", false, OS.Types.Date, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("gender", "genderAttr", "gender", false, OS.Types.Text, function () {
return "";
}), 
this.attr("username", "usernameAttr", "username", false, OS.Types.Text, function () {
return "";
}), 
this.attr("picture", "pictureAttr", "picture", false, OS.Types.Text, function () {
return "";
}), 
this.attr("UserAccessToken", "userAccessTokenAttr", "UserAccessToken", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Fault", "faultAttr", "fault", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.FaultRec());
}, Mobile_LoginNOSModel.FaultRec)
].concat(_super.attributesToDeclare.call(this));
};
UserDataRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
UserDataRec.init();
return UserDataRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.UserDataRec = UserDataRec;

});
define("Mobile_LoginNOS.model$UserDataRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$UserDataRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var UserDataRecord = (function (_super) {
__extends(UserDataRecord, _super);
function UserDataRecord(defaults) {
_super.apply(this, arguments);
}
UserDataRecord.attributesToDeclare = function () {
return [
this.attr("UserData", "userDataAttr", "UserData", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.UserDataRec());
}, Mobile_LoginNOSModel.UserDataRec)
].concat(_super.attributesToDeclare.call(this));
};
UserDataRecord.fromStructure = function (str) {
return new UserDataRecord(new UserDataRecord.RecordClass({
userDataAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
UserDataRecord.IsAnonymousRecord = true;
UserDataRecord.UniqueId = "262781bd-6e15-8bb3-2384-45b581931397";
UserDataRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
UserDataRecord.init();
return UserDataRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.UserDataRecord = UserDataRecord;

});
define("Mobile_LoginNOS.model$Detail2Record", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Detail2Rec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Detail2Record = (function (_super) {
__extends(Detail2Record, _super);
function Detail2Record(defaults) {
_super.apply(this, arguments);
}
Detail2Record.attributesToDeclare = function () {
return [
this.attr("Detail2", "detail2Attr", "Detail2", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.Detail2Rec());
}, Mobile_LoginNOSModel.Detail2Rec)
].concat(_super.attributesToDeclare.call(this));
};
Detail2Record.fromStructure = function (str) {
return new Detail2Record(new Detail2Record.RecordClass({
detail2Attr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Detail2Record.IsAnonymousRecord = true;
Detail2Record.UniqueId = "2886d9ba-78a0-cab9-8fac-9a8a2375725a";
Detail2Record.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
Detail2Record.init();
return Detail2Record;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Detail2Record = Detail2Record;

});
define("Mobile_LoginNOS.model$ICON_SIZEList", ["exports", "OutSystems", "MobileUIWidgets.model", "Mobile_LoginNOS.model", "MobileUIWidgets.model$ICON_SIZERec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$MobileUIWidgets"], function (exports, OutSystems, MobileUIWidgetsModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var ICON_SIZEList = (function (_super) {
__extends(ICON_SIZEList, _super);
function ICON_SIZEList(defaults) {
_super.apply(this, arguments);
}
ICON_SIZEList.RecordType = MobileUIWidgetsModel.ICON_SIZERec;
return ICON_SIZEList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.ICON_SIZEList = ICON_SIZEList;

});
define("Mobile_LoginNOS.model$AndroidOptionsRecord", ["exports", "OutSystems", "InAppBrowserPlugin.model", "Mobile_LoginNOS.model", "InAppBrowserPlugin.model$AndroidOptionsRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$InAppBrowserPlugin"], function (exports, OutSystems, InAppBrowserPluginModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var AndroidOptionsRecord = (function (_super) {
__extends(AndroidOptionsRecord, _super);
function AndroidOptionsRecord(defaults) {
_super.apply(this, arguments);
}
AndroidOptionsRecord.attributesToDeclare = function () {
return [
this.attr("AndroidOptions", "androidOptionsAttr", "AndroidOptions", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new InAppBrowserPluginModel.AndroidOptionsRec());
}, InAppBrowserPluginModel.AndroidOptionsRec)
].concat(_super.attributesToDeclare.call(this));
};
AndroidOptionsRecord.fromStructure = function (str) {
return new AndroidOptionsRecord(new AndroidOptionsRecord.RecordClass({
androidOptionsAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
AndroidOptionsRecord.IsAnonymousRecord = true;
AndroidOptionsRecord.UniqueId = "d46e748b-594b-42e4-f501-94e3f47f06cc";
AndroidOptionsRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
AndroidOptionsRecord.init();
return AndroidOptionsRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.AndroidOptionsRecord = AndroidOptionsRecord;

});
define("Mobile_LoginNOS.model$AndroidOptionsRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$AndroidOptionsRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var AndroidOptionsRecordList = (function (_super) {
__extends(AndroidOptionsRecordList, _super);
function AndroidOptionsRecordList(defaults) {
_super.apply(this, arguments);
}
AndroidOptionsRecordList.RecordType = Mobile_LoginNOSModel.AndroidOptionsRecord;
return AndroidOptionsRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.AndroidOptionsRecordList = AndroidOptionsRecordList;

});
define("Mobile_LoginNOS.model$Log_RegistrationOutputRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_RegistrationOutputRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_RegistrationOutputRecord = (function (_super) {
__extends(Log_RegistrationOutputRecord, _super);
function Log_RegistrationOutputRecord(defaults) {
_super.apply(this, arguments);
}
Log_RegistrationOutputRecord.attributesToDeclare = function () {
return [
this.attr("Log_RegistrationOutput", "log_RegistrationOutputAttr", "Log_RegistrationOutput", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.Log_RegistrationOutputRec());
}, Mobile_LoginNOSModel.Log_RegistrationOutputRec)
].concat(_super.attributesToDeclare.call(this));
};
Log_RegistrationOutputRecord.fromStructure = function (str) {
return new Log_RegistrationOutputRecord(new Log_RegistrationOutputRecord.RecordClass({
log_RegistrationOutputAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Log_RegistrationOutputRecord.IsAnonymousRecord = true;
Log_RegistrationOutputRecord.UniqueId = "2d87105c-2988-0a63-ad10-82adc2b87eea";
Log_RegistrationOutputRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
Log_RegistrationOutputRecord.init();
return Log_RegistrationOutputRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_RegistrationOutputRecord = Log_RegistrationOutputRecord;

});
define("Mobile_LoginNOS.model$Log_AccessTokenCodeRec", ["exports", "OutSystems", "Mobile_LoginNOS.model"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_AccessTokenCodeRec = (function (_super) {
__extends(Log_AccessTokenCodeRec, _super);
function Log_AccessTokenCodeRec(defaults) {
_super.apply(this, arguments);
}
Log_AccessTokenCodeRec.attributesToDeclare = function () {
return [
this.attr("Code", "codeAttr", "Code", true, OS.Types.Text, function () {
return "";
}), 
this.attr("CallBackURL", "callBackURLAttr", "CallBackURL", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Code_verifier", "code_verifierAttr", "Code_verifier", true, OS.Types.Text, function () {
return "";
}), 
this.attr("ClientId", "clientIdAttr", "ClientId", true, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
Log_AccessTokenCodeRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
Log_AccessTokenCodeRec.init();
return Log_AccessTokenCodeRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_AccessTokenCodeRec = Log_AccessTokenCodeRec;

});
define("Mobile_LoginNOS.model$Log_AccessTokenCodeRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_AccessTokenCodeRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_AccessTokenCodeRecord = (function (_super) {
__extends(Log_AccessTokenCodeRecord, _super);
function Log_AccessTokenCodeRecord(defaults) {
_super.apply(this, arguments);
}
Log_AccessTokenCodeRecord.attributesToDeclare = function () {
return [
this.attr("Log_AccessTokenCode", "log_AccessTokenCodeAttr", "Log_AccessTokenCode", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.Log_AccessTokenCodeRec());
}, Mobile_LoginNOSModel.Log_AccessTokenCodeRec)
].concat(_super.attributesToDeclare.call(this));
};
Log_AccessTokenCodeRecord.fromStructure = function (str) {
return new Log_AccessTokenCodeRecord(new Log_AccessTokenCodeRecord.RecordClass({
log_AccessTokenCodeAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Log_AccessTokenCodeRecord.IsAnonymousRecord = true;
Log_AccessTokenCodeRecord.UniqueId = "2e797071-6fef-deb1-57f2-390cbd917f55";
Log_AccessTokenCodeRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
Log_AccessTokenCodeRecord.init();
return Log_AccessTokenCodeRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_AccessTokenCodeRecord = Log_AccessTokenCodeRecord;

});
define("Mobile_LoginNOS.model$UserDataRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$UserDataRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var UserDataRecordList = (function (_super) {
__extends(UserDataRecordList, _super);
function UserDataRecordList(defaults) {
_super.apply(this, arguments);
}
UserDataRecordList.RecordType = Mobile_LoginNOSModel.UserDataRecord;
return UserDataRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.UserDataRecordList = UserDataRecordList;

});
define("Mobile_LoginNOS.model$ICON_SIZERecord", ["exports", "OutSystems", "MobileUIWidgets.model", "Mobile_LoginNOS.model", "MobileUIWidgets.model$ICON_SIZERec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$MobileUIWidgets"], function (exports, OutSystems, MobileUIWidgetsModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var ICON_SIZERecord = (function (_super) {
__extends(ICON_SIZERecord, _super);
function ICON_SIZERecord(defaults) {
_super.apply(this, arguments);
}
ICON_SIZERecord.attributesToDeclare = function () {
return [
this.attr("ICON_SIZE", "iCON_SIZEAttr", "ICON_SIZE", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new MobileUIWidgetsModel.ICON_SIZERec());
}, MobileUIWidgetsModel.ICON_SIZERec)
].concat(_super.attributesToDeclare.call(this));
};
ICON_SIZERecord.fromStructure = function (str) {
return new ICON_SIZERecord(new ICON_SIZERecord.RecordClass({
iCON_SIZEAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
ICON_SIZERecord.IsAnonymousRecord = true;
ICON_SIZERecord.UniqueId = "96e2dead-976a-b4a9-57f5-f6d2f7ab94d5";
ICON_SIZERecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
ICON_SIZERecord.init();
return ICON_SIZERecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.ICON_SIZERecord = ICON_SIZERecord;

});
define("Mobile_LoginNOS.model$ICON_SIZERecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$ICON_SIZERecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var ICON_SIZERecordList = (function (_super) {
__extends(ICON_SIZERecordList, _super);
function ICON_SIZERecordList(defaults) {
_super.apply(this, arguments);
}
ICON_SIZERecordList.RecordType = Mobile_LoginNOSModel.ICON_SIZERecord;
return ICON_SIZERecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.ICON_SIZERecordList = ICON_SIZERecordList;

});
define("Mobile_LoginNOS.model$HTTPHeader2Rec", ["exports", "OutSystems", "Mobile_LoginNOS.model"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var HTTPHeader2Rec = (function (_super) {
__extends(HTTPHeader2Rec, _super);
function HTTPHeader2Rec(defaults) {
_super.apply(this, arguments);
}
HTTPHeader2Rec.attributesToDeclare = function () {
return [
this.attr("Name", "nameAttr", "Name", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Value", "valueAttr", "Value", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
HTTPHeader2Rec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
HTTPHeader2Rec.init();
return HTTPHeader2Rec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.HTTPHeader2Rec = HTTPHeader2Rec;

});
define("Mobile_LoginNOS.model$HTTPHeader2List", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$HTTPHeader2Rec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var HTTPHeader2List = (function (_super) {
__extends(HTTPHeader2List, _super);
function HTTPHeader2List(defaults) {
_super.apply(this, arguments);
}
HTTPHeader2List.RecordType = Mobile_LoginNOSModel.HTTPHeader2Rec;
return HTTPHeader2List;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.HTTPHeader2List = HTTPHeader2List;

});
define("Mobile_LoginNOS.model$HTTPResponseRec", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$HTTPHeader2List"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var HTTPResponseRec = (function (_super) {
__extends(HTTPResponseRec, _super);
function HTTPResponseRec(defaults) {
_super.apply(this, arguments);
}
HTTPResponseRec.attributesToDeclare = function () {
return [
this.attr("StatusCode", "statusCodeAttr", "StatusCode", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("StatusLine", "statusLineAttr", "StatusLine", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Headers", "headersAttr", "Headers", false, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.HTTPHeader2List());
}, Mobile_LoginNOSModel.HTTPHeader2List), 
this.attr("ResponseText", "responseTextAttr", "ResponseText", false, OS.Types.Text, function () {
return "";
}), 
this.attr("ResponseBinary", "responseBinaryAttr", "ResponseBinary", false, OS.Types.BinaryData, function () {
return OS.DataTypes.BinaryData.defaultValue;
})
].concat(_super.attributesToDeclare.call(this));
};
HTTPResponseRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
HTTPResponseRec.init();
return HTTPResponseRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.HTTPResponseRec = HTTPResponseRec;

});
define("Mobile_LoginNOS.model$HTTPHeader2Record", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$HTTPHeader2Rec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var HTTPHeader2Record = (function (_super) {
__extends(HTTPHeader2Record, _super);
function HTTPHeader2Record(defaults) {
_super.apply(this, arguments);
}
HTTPHeader2Record.attributesToDeclare = function () {
return [
this.attr("HTTPHeader2", "hTTPHeader2Attr", "HTTPHeader2", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.HTTPHeader2Rec());
}, Mobile_LoginNOSModel.HTTPHeader2Rec)
].concat(_super.attributesToDeclare.call(this));
};
HTTPHeader2Record.fromStructure = function (str) {
return new HTTPHeader2Record(new HTTPHeader2Record.RecordClass({
hTTPHeader2Attr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
HTTPHeader2Record.IsAnonymousRecord = true;
HTTPHeader2Record.UniqueId = "33941627-610d-c7c3-770b-8b070fc40050";
HTTPHeader2Record.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
HTTPHeader2Record.init();
return HTTPHeader2Record;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.HTTPHeader2Record = HTTPHeader2Record;

});
define("Mobile_LoginNOS.model$ErrorList", ["exports", "OutSystems", "CommonPlugin.model", "Mobile_LoginNOS.model", "CommonPlugin.model$ErrorRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$CommonPlugin"], function (exports, OutSystems, CommonPluginModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var ErrorList = (function (_super) {
__extends(ErrorList, _super);
function ErrorList(defaults) {
_super.apply(this, arguments);
}
ErrorList.RecordType = CommonPluginModel.ErrorRec;
return ErrorList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.ErrorList = ErrorList;

});
define("Mobile_LoginNOS.model$Log_AuthorizeEndPointRec", ["exports", "OutSystems", "Mobile_LoginNOS.model"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_AuthorizeEndPointRec = (function (_super) {
__extends(Log_AuthorizeEndPointRec, _super);
function Log_AuthorizeEndPointRec(defaults) {
_super.apply(this, arguments);
}
Log_AuthorizeEndPointRec.attributesToDeclare = function () {
return [
this.attr("ClientId", "clientIdAttr", "ClientId", true, OS.Types.Text, function () {
return "";
}), 
this.attr("CallBackURL", "callBackURLAttr", "CallBackURL", true, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
Log_AuthorizeEndPointRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
Log_AuthorizeEndPointRec.init();
return Log_AuthorizeEndPointRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_AuthorizeEndPointRec = Log_AuthorizeEndPointRec;

});
define("Mobile_LoginNOS.model$Log_AuthorizeEndPointRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_AuthorizeEndPointRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_AuthorizeEndPointRecord = (function (_super) {
__extends(Log_AuthorizeEndPointRecord, _super);
function Log_AuthorizeEndPointRecord(defaults) {
_super.apply(this, arguments);
}
Log_AuthorizeEndPointRecord.attributesToDeclare = function () {
return [
this.attr("Log_AuthorizeEndPoint", "log_AuthorizeEndPointAttr", "Log_AuthorizeEndPoint", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.Log_AuthorizeEndPointRec());
}, Mobile_LoginNOSModel.Log_AuthorizeEndPointRec)
].concat(_super.attributesToDeclare.call(this));
};
Log_AuthorizeEndPointRecord.fromStructure = function (str) {
return new Log_AuthorizeEndPointRecord(new Log_AuthorizeEndPointRecord.RecordClass({
log_AuthorizeEndPointAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Log_AuthorizeEndPointRecord.IsAnonymousRecord = true;
Log_AuthorizeEndPointRecord.UniqueId = "34dc2494-b8ba-db9b-abcf-b89adecad6a7";
Log_AuthorizeEndPointRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
Log_AuthorizeEndPointRecord.init();
return Log_AuthorizeEndPointRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_AuthorizeEndPointRecord = Log_AuthorizeEndPointRecord;

});
define("Mobile_LoginNOS.model$ICON_CLASSList", ["exports", "OutSystems", "MobileUIWidgets.model", "Mobile_LoginNOS.model", "MobileUIWidgets.model$ICON_CLASSRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$MobileUIWidgets"], function (exports, OutSystems, MobileUIWidgetsModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var ICON_CLASSList = (function (_super) {
__extends(ICON_CLASSList, _super);
function ICON_CLASSList(defaults) {
_super.apply(this, arguments);
}
ICON_CLASSList.RecordType = MobileUIWidgetsModel.ICON_CLASSRec;
return ICON_CLASSList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.ICON_CLASSList = ICON_CLASSList;

});
define("Mobile_LoginNOS.model$Mobile_OperatingSystemRecord", ["exports", "OutSystems", "CommonPlugin.model", "Mobile_LoginNOS.model", "CommonPlugin.model$Mobile_OperatingSystemRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$CommonPlugin"], function (exports, OutSystems, CommonPluginModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Mobile_OperatingSystemRecord = (function (_super) {
__extends(Mobile_OperatingSystemRecord, _super);
function Mobile_OperatingSystemRecord(defaults) {
_super.apply(this, arguments);
}
Mobile_OperatingSystemRecord.attributesToDeclare = function () {
return [
this.attr("Mobile_OperatingSystem", "mobile_OperatingSystemAttr", "Mobile_OperatingSystem", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CommonPluginModel.Mobile_OperatingSystemRec());
}, CommonPluginModel.Mobile_OperatingSystemRec)
].concat(_super.attributesToDeclare.call(this));
};
Mobile_OperatingSystemRecord.fromStructure = function (str) {
return new Mobile_OperatingSystemRecord(new Mobile_OperatingSystemRecord.RecordClass({
mobile_OperatingSystemAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Mobile_OperatingSystemRecord.IsAnonymousRecord = true;
Mobile_OperatingSystemRecord.UniqueId = "f56bdc75-0614-38d3-e901-3cdbe4073c38";
Mobile_OperatingSystemRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
Mobile_OperatingSystemRecord.init();
return Mobile_OperatingSystemRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Mobile_OperatingSystemRecord = Mobile_OperatingSystemRecord;

});
define("Mobile_LoginNOS.model$Mobile_OperatingSystemRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Mobile_OperatingSystemRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Mobile_OperatingSystemRecordList = (function (_super) {
__extends(Mobile_OperatingSystemRecordList, _super);
function Mobile_OperatingSystemRecordList(defaults) {
_super.apply(this, arguments);
}
Mobile_OperatingSystemRecordList.RecordType = Mobile_LoginNOSModel.Mobile_OperatingSystemRecord;
return Mobile_OperatingSystemRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Mobile_OperatingSystemRecordList = Mobile_OperatingSystemRecordList;

});
define("Mobile_LoginNOS.model$STR_LogNameValueList", ["exports", "OutSystems", "CE_LOGGING.model", "Mobile_LoginNOS.model", "CE_LOGGING.model$STR_LogNameValueRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$CE_LOGGING"], function (exports, OutSystems, CE_LOGGINGModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var STR_LogNameValueList = (function (_super) {
__extends(STR_LogNameValueList, _super);
function STR_LogNameValueList(defaults) {
_super.apply(this, arguments);
}
STR_LogNameValueList.RecordType = CE_LOGGINGModel.STR_LogNameValueRec;
return STR_LogNameValueList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.STR_LogNameValueList = STR_LogNameValueList;

});
define("Mobile_LoginNOS.model$Log_RegistrationList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_RegistrationRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_RegistrationList = (function (_super) {
__extends(Log_RegistrationList, _super);
function Log_RegistrationList(defaults) {
_super.apply(this, arguments);
}
Log_RegistrationList.RecordType = Mobile_LoginNOSModel.Log_RegistrationRec;
return Log_RegistrationList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_RegistrationList = Log_RegistrationList;

});
define("Mobile_LoginNOS.model$TokenInfoRec", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$FaultRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var TokenInfoRec = (function (_super) {
__extends(TokenInfoRec, _super);
function TokenInfoRec(defaults) {
_super.apply(this, arguments);
}
TokenInfoRec.attributesToDeclare = function () {
return [
this.attr("Access_token", "access_tokenAttr", "access_token", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Token_type", "token_typeAttr", "token_type", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Scope", "scopeAttr", "scope", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Expires_in", "expires_inAttr", "expires_in", false, OS.Types.LongInteger, function () {
return OS.DataTypes.LongInteger.defaultValue;
}), 
this.attr("Issued_at", "issued_atAttr", "issued_at", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Status", "statusAttr", "status", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Client_id", "client_idAttr", "client_id", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Developer_id", "developer_idAttr", "developer_id", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Developer_app_name", "developer_app_nameAttr", "developer_app_name", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Uid", "uidAttr", "uid", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Fault", "faultAttr", "fault", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.FaultRec());
}, Mobile_LoginNOSModel.FaultRec)
].concat(_super.attributesToDeclare.call(this));
};
TokenInfoRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
TokenInfoRec.init();
return TokenInfoRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.TokenInfoRec = TokenInfoRec;

});
define("Mobile_LoginNOS.model$AndroidOptionsList", ["exports", "OutSystems", "InAppBrowserPlugin.model", "Mobile_LoginNOS.model", "InAppBrowserPlugin.model$AndroidOptionsRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$InAppBrowserPlugin"], function (exports, OutSystems, InAppBrowserPluginModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var AndroidOptionsList = (function (_super) {
__extends(AndroidOptionsList, _super);
function AndroidOptionsList(defaults) {
_super.apply(this, arguments);
}
AndroidOptionsList.RecordType = InAppBrowserPluginModel.AndroidOptionsRec;
return AndroidOptionsList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.AndroidOptionsList = AndroidOptionsList;

});
define("Mobile_LoginNOS.model$TokenInfoList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$TokenInfoRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var TokenInfoList = (function (_super) {
__extends(TokenInfoList, _super);
function TokenInfoList(defaults) {
_super.apply(this, arguments);
}
TokenInfoList.RecordType = Mobile_LoginNOSModel.TokenInfoRec;
return TokenInfoList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.TokenInfoList = TokenInfoList;

});
define("Mobile_LoginNOS.model$Log_RefreshAccessTokenRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_RefreshAccessTokenRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_RefreshAccessTokenRecord = (function (_super) {
__extends(Log_RefreshAccessTokenRecord, _super);
function Log_RefreshAccessTokenRecord(defaults) {
_super.apply(this, arguments);
}
Log_RefreshAccessTokenRecord.attributesToDeclare = function () {
return [
this.attr("Log_RefreshAccessToken", "log_RefreshAccessTokenAttr", "Log_RefreshAccessToken", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.Log_RefreshAccessTokenRec());
}, Mobile_LoginNOSModel.Log_RefreshAccessTokenRec)
].concat(_super.attributesToDeclare.call(this));
};
Log_RefreshAccessTokenRecord.fromStructure = function (str) {
return new Log_RefreshAccessTokenRecord(new Log_RefreshAccessTokenRecord.RecordClass({
log_RefreshAccessTokenAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Log_RefreshAccessTokenRecord.IsAnonymousRecord = true;
Log_RefreshAccessTokenRecord.UniqueId = "5b44e654-4a20-3e5e-2e8d-3fe8f43d29f6";
Log_RefreshAccessTokenRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
Log_RefreshAccessTokenRecord.init();
return Log_RefreshAccessTokenRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_RefreshAccessTokenRecord = Log_RefreshAccessTokenRecord;

});
define("Mobile_LoginNOS.model$Detail2RecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Detail2Record"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Detail2RecordList = (function (_super) {
__extends(Detail2RecordList, _super);
function Detail2RecordList(defaults) {
_super.apply(this, arguments);
}
Detail2RecordList.RecordType = Mobile_LoginNOSModel.Detail2Record;
return Detail2RecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Detail2RecordList = Detail2RecordList;

});
define("Mobile_LoginNOS.model$AccessTokenCodeRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$AccessTokenCodeRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var AccessTokenCodeRecord = (function (_super) {
__extends(AccessTokenCodeRecord, _super);
function AccessTokenCodeRecord(defaults) {
_super.apply(this, arguments);
}
AccessTokenCodeRecord.attributesToDeclare = function () {
return [
this.attr("AccessTokenCode", "accessTokenCodeAttr", "AccessTokenCode", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.AccessTokenCodeRec());
}, Mobile_LoginNOSModel.AccessTokenCodeRec)
].concat(_super.attributesToDeclare.call(this));
};
AccessTokenCodeRecord.fromStructure = function (str) {
return new AccessTokenCodeRecord(new AccessTokenCodeRecord.RecordClass({
accessTokenCodeAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
AccessTokenCodeRecord.IsAnonymousRecord = true;
AccessTokenCodeRecord.UniqueId = "d8b8a47f-5fa0-022c-a65d-1f16c80906e9";
AccessTokenCodeRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
AccessTokenCodeRecord.init();
return AccessTokenCodeRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.AccessTokenCodeRecord = AccessTokenCodeRecord;

});
define("Mobile_LoginNOS.model$AccessTokenCodeRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$AccessTokenCodeRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var AccessTokenCodeRecordList = (function (_super) {
__extends(AccessTokenCodeRecordList, _super);
function AccessTokenCodeRecordList(defaults) {
_super.apply(this, arguments);
}
AccessTokenCodeRecordList.RecordType = Mobile_LoginNOSModel.AccessTokenCodeRecord;
return AccessTokenCodeRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.AccessTokenCodeRecordList = AccessTokenCodeRecordList;

});
define("Mobile_LoginNOS.model$LogResponseExtendedDataRecord", ["exports", "OutSystems", "CE_LOGGING.model", "Mobile_LoginNOS.model", "CE_LOGGING.model$LogResponseExtendedDataRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$CE_LOGGING"], function (exports, OutSystems, CE_LOGGINGModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var LogResponseExtendedDataRecord = (function (_super) {
__extends(LogResponseExtendedDataRecord, _super);
function LogResponseExtendedDataRecord(defaults) {
_super.apply(this, arguments);
}
LogResponseExtendedDataRecord.attributesToDeclare = function () {
return [
this.attr("LogResponseExtendedData", "logResponseExtendedDataAttr", "LogResponseExtendedData", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CE_LOGGINGModel.LogResponseExtendedDataRec());
}, CE_LOGGINGModel.LogResponseExtendedDataRec)
].concat(_super.attributesToDeclare.call(this));
};
LogResponseExtendedDataRecord.fromStructure = function (str) {
return new LogResponseExtendedDataRecord(new LogResponseExtendedDataRecord.RecordClass({
logResponseExtendedDataAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
LogResponseExtendedDataRecord.IsAnonymousRecord = true;
LogResponseExtendedDataRecord.UniqueId = "5f90f83d-344f-7dab-cd5b-9291e3def527";
LogResponseExtendedDataRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
LogResponseExtendedDataRecord.init();
return LogResponseExtendedDataRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.LogResponseExtendedDataRecord = LogResponseExtendedDataRecord;

});
define("Mobile_LoginNOS.model$Log_RefreshAccessTokenRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_RefreshAccessTokenRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_RefreshAccessTokenRecordList = (function (_super) {
__extends(Log_RefreshAccessTokenRecordList, _super);
function Log_RefreshAccessTokenRecordList(defaults) {
_super.apply(this, arguments);
}
Log_RefreshAccessTokenRecordList.RecordType = Mobile_LoginNOSModel.Log_RefreshAccessTokenRecord;
return Log_RefreshAccessTokenRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_RefreshAccessTokenRecordList = Log_RefreshAccessTokenRecordList;

});
define("Mobile_LoginNOS.model$Log_LogoutRec", ["exports", "OutSystems", "Mobile_LoginNOS.model"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_LogoutRec = (function (_super) {
__extends(Log_LogoutRec, _super);
function Log_LogoutRec(defaults) {
_super.apply(this, arguments);
}
Log_LogoutRec.attributesToDeclare = function () {
return [
this.attr("CallBackURL", "callBackURLAttr", "CallBackURL", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Access_Token", "access_TokenAttr", "Access_Token", true, OS.Types.Text, function () {
return "";
}), 
this.attr("ClientId", "clientIdAttr", "ClientId", true, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
Log_LogoutRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
Log_LogoutRec.init();
return Log_LogoutRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_LogoutRec = Log_LogoutRec;

});
define("Mobile_LoginNOS.model$Log_LogoutRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_LogoutRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_LogoutRecord = (function (_super) {
__extends(Log_LogoutRecord, _super);
function Log_LogoutRecord(defaults) {
_super.apply(this, arguments);
}
Log_LogoutRecord.attributesToDeclare = function () {
return [
this.attr("Log_Logout", "log_LogoutAttr", "Log_Logout", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.Log_LogoutRec());
}, Mobile_LoginNOSModel.Log_LogoutRec)
].concat(_super.attributesToDeclare.call(this));
};
Log_LogoutRecord.fromStructure = function (str) {
return new Log_LogoutRecord(new Log_LogoutRecord.RecordClass({
log_LogoutAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Log_LogoutRecord.IsAnonymousRecord = true;
Log_LogoutRecord.UniqueId = "60714d4f-f2a8-0bad-ef5a-0f881f1a9e99";
Log_LogoutRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
Log_LogoutRecord.init();
return Log_LogoutRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_LogoutRecord = Log_LogoutRecord;

});
define("Mobile_LoginNOS.model$TargetRecord", ["exports", "OutSystems", "InAppBrowserPlugin.model", "Mobile_LoginNOS.model", "InAppBrowserPlugin.model$TargetRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$InAppBrowserPlugin"], function (exports, OutSystems, InAppBrowserPluginModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var TargetRecord = (function (_super) {
__extends(TargetRecord, _super);
function TargetRecord(defaults) {
_super.apply(this, arguments);
}
TargetRecord.attributesToDeclare = function () {
return [
this.attr("Target", "targetAttr", "Target", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new InAppBrowserPluginModel.TargetRec());
}, InAppBrowserPluginModel.TargetRec)
].concat(_super.attributesToDeclare.call(this));
};
TargetRecord.fromStructure = function (str) {
return new TargetRecord(new TargetRecord.RecordClass({
targetAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
TargetRecord.IsAnonymousRecord = true;
TargetRecord.UniqueId = "f83c2a2d-e7f3-9c90-b767-e99968f2cc70";
TargetRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
TargetRecord.init();
return TargetRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.TargetRecord = TargetRecord;

});
define("Mobile_LoginNOS.model$TargetRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$TargetRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var TargetRecordList = (function (_super) {
__extends(TargetRecordList, _super);
function TargetRecordList(defaults) {
_super.apply(this, arguments);
}
TargetRecordList.RecordType = Mobile_LoginNOSModel.TargetRecord;
return TargetRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.TargetRecordList = TargetRecordList;

});
define("Mobile_LoginNOS.model$Log_UserInfoOutputRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_UserInfoOutputRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_UserInfoOutputRecord = (function (_super) {
__extends(Log_UserInfoOutputRecord, _super);
function Log_UserInfoOutputRecord(defaults) {
_super.apply(this, arguments);
}
Log_UserInfoOutputRecord.attributesToDeclare = function () {
return [
this.attr("Log_UserInfoOutput", "log_UserInfoOutputAttr", "Log_UserInfoOutput", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.Log_UserInfoOutputRec());
}, Mobile_LoginNOSModel.Log_UserInfoOutputRec)
].concat(_super.attributesToDeclare.call(this));
};
Log_UserInfoOutputRecord.fromStructure = function (str) {
return new Log_UserInfoOutputRecord(new Log_UserInfoOutputRecord.RecordClass({
log_UserInfoOutputAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Log_UserInfoOutputRecord.IsAnonymousRecord = true;
Log_UserInfoOutputRecord.UniqueId = "894a4614-13a0-55c0-e52b-6cc32c27c84c";
Log_UserInfoOutputRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
Log_UserInfoOutputRecord.init();
return Log_UserInfoOutputRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_UserInfoOutputRecord = Log_UserInfoOutputRecord;

});
define("Mobile_LoginNOS.model$Log_UserInfoOutputRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_UserInfoOutputRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_UserInfoOutputRecordList = (function (_super) {
__extends(Log_UserInfoOutputRecordList, _super);
function Log_UserInfoOutputRecordList(defaults) {
_super.apply(this, arguments);
}
Log_UserInfoOutputRecordList.RecordType = Mobile_LoginNOSModel.Log_UserInfoOutputRecord;
return Log_UserInfoOutputRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_UserInfoOutputRecordList = Log_UserInfoOutputRecordList;

});
define("Mobile_LoginNOS.model$UserInfoList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$UserInfoRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var UserInfoList = (function (_super) {
__extends(UserInfoList, _super);
function UserInfoList(defaults) {
_super.apply(this, arguments);
}
UserInfoList.RecordType = Mobile_LoginNOSModel.UserInfoRec;
return UserInfoList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.UserInfoList = UserInfoList;

});
define("Mobile_LoginNOS.model$ErrorRecord", ["exports", "OutSystems", "CommonPlugin.model", "Mobile_LoginNOS.model", "CommonPlugin.model$ErrorRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$CommonPlugin"], function (exports, OutSystems, CommonPluginModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var ErrorRecord = (function (_super) {
__extends(ErrorRecord, _super);
function ErrorRecord(defaults) {
_super.apply(this, arguments);
}
ErrorRecord.attributesToDeclare = function () {
return [
this.attr("Error", "errorAttr", "Error", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CommonPluginModel.ErrorRec());
}, CommonPluginModel.ErrorRec)
].concat(_super.attributesToDeclare.call(this));
};
ErrorRecord.fromStructure = function (str) {
return new ErrorRecord(new ErrorRecord.RecordClass({
errorAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
ErrorRecord.IsAnonymousRecord = true;
ErrorRecord.UniqueId = "cbbd7d57-66e1-86ff-28ab-3b75adf75b93";
ErrorRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
ErrorRecord.init();
return ErrorRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.ErrorRecord = ErrorRecord;

});
define("Mobile_LoginNOS.model$ErrorRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$ErrorRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var ErrorRecordList = (function (_super) {
__extends(ErrorRecordList, _super);
function ErrorRecordList(defaults) {
_super.apply(this, arguments);
}
ErrorRecordList.RecordType = Mobile_LoginNOSModel.ErrorRecord;
return ErrorRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.ErrorRecordList = ErrorRecordList;

});
define("Mobile_LoginNOS.model$Detail2List", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Detail2Rec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Detail2List = (function (_super) {
__extends(Detail2List, _super);
function Detail2List(defaults) {
_super.apply(this, arguments);
}
Detail2List.RecordType = Mobile_LoginNOSModel.Detail2Rec;
return Detail2List;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Detail2List = Detail2List;

});
define("Mobile_LoginNOS.model$Log_LogoutOutputRec", ["exports", "OutSystems", "Mobile_LoginNOS.model"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_LogoutOutputRec = (function (_super) {
__extends(Log_LogoutOutputRec, _super);
function Log_LogoutOutputRec(defaults) {
_super.apply(this, arguments);
}
Log_LogoutOutputRec.attributesToDeclare = function () {
return [
this.attr("URL", "uRLAttr", "URL", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
Log_LogoutOutputRec.fromStructure = function (str) {
return new Log_LogoutOutputRec(new Log_LogoutOutputRec.RecordClass({
uRLAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Log_LogoutOutputRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
Log_LogoutOutputRec.init();
return Log_LogoutOutputRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_LogoutOutputRec = Log_LogoutOutputRec;

});
define("Mobile_LoginNOS.model$Log_LogoutOutputRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_LogoutOutputRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_LogoutOutputRecord = (function (_super) {
__extends(Log_LogoutOutputRecord, _super);
function Log_LogoutOutputRecord(defaults) {
_super.apply(this, arguments);
}
Log_LogoutOutputRecord.attributesToDeclare = function () {
return [
this.attr("Log_LogoutOutput", "log_LogoutOutputAttr", "Log_LogoutOutput", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.Log_LogoutOutputRec());
}, Mobile_LoginNOSModel.Log_LogoutOutputRec)
].concat(_super.attributesToDeclare.call(this));
};
Log_LogoutOutputRecord.fromStructure = function (str) {
return new Log_LogoutOutputRecord(new Log_LogoutOutputRecord.RecordClass({
log_LogoutOutputAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Log_LogoutOutputRecord.IsAnonymousRecord = true;
Log_LogoutOutputRecord.UniqueId = "c11d0ec8-2fdc-c540-6357-e93a32dc355b";
Log_LogoutOutputRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
Log_LogoutOutputRecord.init();
return Log_LogoutOutputRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_LogoutOutputRecord = Log_LogoutOutputRecord;

});
define("Mobile_LoginNOS.model$Log_LogoutOutputRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_LogoutOutputRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_LogoutOutputRecordList = (function (_super) {
__extends(Log_LogoutOutputRecordList, _super);
function Log_LogoutOutputRecordList(defaults) {
_super.apply(this, arguments);
}
Log_LogoutOutputRecordList.RecordType = Mobile_LoginNOSModel.Log_LogoutOutputRecord;
return Log_LogoutOutputRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_LogoutOutputRecordList = Log_LogoutOutputRecordList;

});
define("Mobile_LoginNOS.model$Log_LogoutOutputList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_LogoutOutputRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_LogoutOutputList = (function (_super) {
__extends(Log_LogoutOutputList, _super);
function Log_LogoutOutputList(defaults) {
_super.apply(this, arguments);
}
Log_LogoutOutputList.RecordType = Mobile_LoginNOSModel.Log_LogoutOutputRec;
return Log_LogoutOutputList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_LogoutOutputList = Log_LogoutOutputList;

});
define("Mobile_LoginNOS.model$FaultList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$FaultRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var FaultList = (function (_super) {
__extends(FaultList, _super);
function FaultList(defaults) {
_super.apply(this, arguments);
}
FaultList.RecordType = Mobile_LoginNOSModel.FaultRec;
return FaultList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.FaultList = FaultList;

});
define("Mobile_LoginNOS.model$ProxyDataRecord", ["exports", "OutSystems", "Extension.ardoHTTP.model", "Mobile_LoginNOS.model", "Extension.ardoHTTP.model$ProxyDataRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$ardoHTTP"], function (exports, OutSystems, Extension_ardoHTTPModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var ProxyDataRecord = (function (_super) {
__extends(ProxyDataRecord, _super);
function ProxyDataRecord(defaults) {
_super.apply(this, arguments);
}
ProxyDataRecord.attributesToDeclare = function () {
return [
this.attr("ProxyData", "proxyDataAttr", "ProxyData", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Extension_ardoHTTPModel.ProxyDataRec());
}, Extension_ardoHTTPModel.ProxyDataRec)
].concat(_super.attributesToDeclare.call(this));
};
ProxyDataRecord.fromStructure = function (str) {
return new ProxyDataRecord(new ProxyDataRecord.RecordClass({
proxyDataAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
ProxyDataRecord.IsAnonymousRecord = true;
ProxyDataRecord.UniqueId = "6ef87e88-344d-11c0-e99f-59681b287875";
ProxyDataRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
ProxyDataRecord.init();
return ProxyDataRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.ProxyDataRecord = ProxyDataRecord;

});
define("Mobile_LoginNOS.model$UserInfoRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$UserInfoRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var UserInfoRecord = (function (_super) {
__extends(UserInfoRecord, _super);
function UserInfoRecord(defaults) {
_super.apply(this, arguments);
}
UserInfoRecord.attributesToDeclare = function () {
return [
this.attr("UserInfo", "userInfoAttr", "UserInfo", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.UserInfoRec());
}, Mobile_LoginNOSModel.UserInfoRec)
].concat(_super.attributesToDeclare.call(this));
};
UserInfoRecord.fromStructure = function (str) {
return new UserInfoRecord(new UserInfoRecord.RecordClass({
userInfoAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
UserInfoRecord.IsAnonymousRecord = true;
UserInfoRecord.UniqueId = "704546c2-2584-94d5-d216-bd789de96e6b";
UserInfoRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
UserInfoRecord.init();
return UserInfoRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.UserInfoRecord = UserInfoRecord;

});
define("Mobile_LoginNOS.model$HTTPResponseList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$HTTPResponseRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var HTTPResponseList = (function (_super) {
__extends(HTTPResponseList, _super);
function HTTPResponseList(defaults) {
_super.apply(this, arguments);
}
HTTPResponseList.RecordType = Mobile_LoginNOSModel.HTTPResponseRec;
return HTTPResponseList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.HTTPResponseList = HTTPResponseList;

});
define("Mobile_LoginNOS.model$TokenResponseRec", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Fault2Rec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var TokenResponseRec = (function (_super) {
__extends(TokenResponseRec, _super);
function TokenResponseRec(defaults) {
_super.apply(this, arguments);
}
TokenResponseRec.attributesToDeclare = function () {
return [
this.attr("Access_token", "access_tokenAttr", "access_token", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Token_type", "token_typeAttr", "token_type", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Scope", "scopeAttr", "scope", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Expires_in", "expires_inAttr", "expires_in", false, OS.Types.LongInteger, function () {
return OS.DataTypes.LongInteger.defaultValue;
}), 
this.attr("Issued_at", "issued_atAttr", "issued_at", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Status", "statusAttr", "status", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Refresh_token", "refresh_tokenAttr", "refresh_token", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Refresh_token_expires_in", "refresh_token_expires_inAttr", "refresh_token_expires_in", false, OS.Types.LongInteger, function () {
return OS.DataTypes.LongInteger.defaultValue;
}), 
this.attr("Refresh_token_issued_at", "refresh_token_issued_atAttr", "refresh_token_issued_at", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Refresh_token_status", "refresh_token_statusAttr", "refresh_token_status", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Refresh_count", "refresh_countAttr", "refresh_count", false, OS.Types.LongInteger, function () {
return OS.DataTypes.LongInteger.defaultValue;
}), 
this.attr("Fault", "faultAttr", "fault", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.Fault2Rec());
}, Mobile_LoginNOSModel.Fault2Rec)
].concat(_super.attributesToDeclare.call(this));
};
TokenResponseRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
TokenResponseRec.init();
return TokenResponseRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.TokenResponseRec = TokenResponseRec;

});
define("Mobile_LoginNOS.model$Log_LogoutRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_LogoutRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_LogoutRecordList = (function (_super) {
__extends(Log_LogoutRecordList, _super);
function Log_LogoutRecordList(defaults) {
_super.apply(this, arguments);
}
Log_LogoutRecordList.RecordType = Mobile_LoginNOSModel.Log_LogoutRecord;
return Log_LogoutRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_LogoutRecordList = Log_LogoutRecordList;

});
define("Mobile_LoginNOS.model$UserProfileInfoRec", ["exports", "OutSystems", "Mobile_LoginNOS.model"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var UserProfileInfoRec = (function (_super) {
__extends(UserProfileInfoRec, _super);
function UserProfileInfoRec(defaults) {
_super.apply(this, arguments);
}
UserProfileInfoRec.attributesToDeclare = function () {
return [
this.attr("UserId", "userIdAttr", "UserId", false, OS.Types.Text, function () {
return "";
}), 
this.attr("ProfileID", "profileIDAttr", "ProfileID", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Contact_phone", "contact_phoneAttr", "Contact_phone", false, OS.Types.PhoneNumber, function () {
return "";
}), 
this.attr("Name", "nameAttr", "Name", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Birth_date", "birth_dateAttr", "Birth_date", false, OS.Types.Date, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("Gender", "genderAttr", "Gender", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Username", "usernameAttr", "Username", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Picture", "pictureAttr", "Picture", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
UserProfileInfoRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
UserProfileInfoRec.init();
return UserProfileInfoRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.UserProfileInfoRec = UserProfileInfoRec;

});
define("Mobile_LoginNOS.model$RefreshAccessTokenList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$RefreshAccessTokenRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var RefreshAccessTokenList = (function (_super) {
__extends(RefreshAccessTokenList, _super);
function RefreshAccessTokenList(defaults) {
_super.apply(this, arguments);
}
RefreshAccessTokenList.RecordType = Mobile_LoginNOSModel.RefreshAccessTokenRec;
return RefreshAccessTokenList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.RefreshAccessTokenList = RefreshAccessTokenList;

});
define("Mobile_LoginNOS.model$Log_AccessTokenCodeList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_AccessTokenCodeRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_AccessTokenCodeList = (function (_super) {
__extends(Log_AccessTokenCodeList, _super);
function Log_AccessTokenCodeList(defaults) {
_super.apply(this, arguments);
}
Log_AccessTokenCodeList.RecordType = Mobile_LoginNOSModel.Log_AccessTokenCodeRec;
return Log_AccessTokenCodeList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_AccessTokenCodeList = Log_AccessTokenCodeList;

});
define("Mobile_LoginNOS.model$HTTPHeaderRecord", ["exports", "OutSystems", "Extension.ardoHTTP.model", "Mobile_LoginNOS.model", "Extension.ardoHTTP.model$HTTPHeaderRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$ardoHTTP"], function (exports, OutSystems, Extension_ardoHTTPModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var HTTPHeaderRecord = (function (_super) {
__extends(HTTPHeaderRecord, _super);
function HTTPHeaderRecord(defaults) {
_super.apply(this, arguments);
}
HTTPHeaderRecord.attributesToDeclare = function () {
return [
this.attr("HTTPHeader", "hTTPHeaderAttr", "HTTPHeader", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Extension_ardoHTTPModel.HTTPHeaderRec());
}, Extension_ardoHTTPModel.HTTPHeaderRec)
].concat(_super.attributesToDeclare.call(this));
};
HTTPHeaderRecord.fromStructure = function (str) {
return new HTTPHeaderRecord(new HTTPHeaderRecord.RecordClass({
hTTPHeaderAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
HTTPHeaderRecord.IsAnonymousRecord = true;
HTTPHeaderRecord.UniqueId = "81708db3-6bf1-1a98-ad98-b766822465af";
HTTPHeaderRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
HTTPHeaderRecord.init();
return HTTPHeaderRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.HTTPHeaderRecord = HTTPHeaderRecord;

});
define("Mobile_LoginNOS.model$ProxyDataRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$ProxyDataRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var ProxyDataRecordList = (function (_super) {
__extends(ProxyDataRecordList, _super);
function ProxyDataRecordList(defaults) {
_super.apply(this, arguments);
}
ProxyDataRecordList.RecordType = Mobile_LoginNOSModel.ProxyDataRecord;
return ProxyDataRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.ProxyDataRecordList = ProxyDataRecordList;

});
define("Mobile_LoginNOS.model$Log_UserInfoRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_UserInfoRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_UserInfoRecord = (function (_super) {
__extends(Log_UserInfoRecord, _super);
function Log_UserInfoRecord(defaults) {
_super.apply(this, arguments);
}
Log_UserInfoRecord.attributesToDeclare = function () {
return [
this.attr("Log_UserInfo", "log_UserInfoAttr", "Log_UserInfo", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.Log_UserInfoRec());
}, Mobile_LoginNOSModel.Log_UserInfoRec)
].concat(_super.attributesToDeclare.call(this));
};
Log_UserInfoRecord.fromStructure = function (str) {
return new Log_UserInfoRecord(new Log_UserInfoRecord.RecordClass({
log_UserInfoAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Log_UserInfoRecord.IsAnonymousRecord = true;
Log_UserInfoRecord.UniqueId = "8a2e9b05-bd5b-7f00-de12-9329d90cd165";
Log_UserInfoRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
Log_UserInfoRecord.init();
return Log_UserInfoRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_UserInfoRecord = Log_UserInfoRecord;

});
define("Mobile_LoginNOS.model$Log_RefreshAccessTokenOutputList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_RefreshAccessTokenOutputRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_RefreshAccessTokenOutputList = (function (_super) {
__extends(Log_RefreshAccessTokenOutputList, _super);
function Log_RefreshAccessTokenOutputList(defaults) {
_super.apply(this, arguments);
}
Log_RefreshAccessTokenOutputList.RecordType = Mobile_LoginNOSModel.Log_RefreshAccessTokenOutputRec;
return Log_RefreshAccessTokenOutputList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_RefreshAccessTokenOutputList = Log_RefreshAccessTokenOutputList;

});
define("Mobile_LoginNOS.model$WebView_ParametersRec", ["exports", "OutSystems", "Mobile_LoginNOS.model"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var WebView_ParametersRec = (function (_super) {
__extends(WebView_ParametersRec, _super);
function WebView_ParametersRec(defaults) {
_super.apply(this, arguments);
}
WebView_ParametersRec.attributesToDeclare = function () {
return [
this.attr("URL_Callback", "uRL_CallbackAttr", "URL_Callback", true, OS.Types.Text, function () {
return "";
}), 
this.attr("ReaderMode", "readerModeAttr", "ReaderMode", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("Hidden", "hiddenAttr", "Hidden", false, OS.Types.Boolean, function () {
return false;
}), 
this.attr("Animated", "animatedAttr", "Animated", false, OS.Types.Boolean, function () {
return true;
}), 
this.attr("TintColor", "tintColorAttr", "TintColor", false, OS.Types.Text, function () {
return "";
}), 
this.attr("BarColor", "barColorAttr", "BarColor", false, OS.Types.Text, function () {
return "";
}), 
this.attr("ControlTintColor", "controlTintColorAttr", "ControlTintColor", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
WebView_ParametersRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
WebView_ParametersRec.init();
return WebView_ParametersRec;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.WebView_ParametersRec = WebView_ParametersRec;

});
define("Mobile_LoginNOS.model$WebView_ParametersList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$WebView_ParametersRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var WebView_ParametersList = (function (_super) {
__extends(WebView_ParametersList, _super);
function WebView_ParametersList(defaults) {
_super.apply(this, arguments);
}
WebView_ParametersList.RecordType = Mobile_LoginNOSModel.WebView_ParametersRec;
return WebView_ParametersList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.WebView_ParametersList = WebView_ParametersList;

});
define("Mobile_LoginNOS.model$DetailList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$DetailRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var DetailList = (function (_super) {
__extends(DetailList, _super);
function DetailList(defaults) {
_super.apply(this, arguments);
}
DetailList.RecordType = Mobile_LoginNOSModel.DetailRec;
return DetailList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.DetailList = DetailList;

});
define("Mobile_LoginNOS.model$Log_UserInfoRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_UserInfoRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_UserInfoRecordList = (function (_super) {
__extends(Log_UserInfoRecordList, _super);
function Log_UserInfoRecordList(defaults) {
_super.apply(this, arguments);
}
Log_UserInfoRecordList.RecordType = Mobile_LoginNOSModel.Log_UserInfoRecord;
return Log_UserInfoRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_UserInfoRecordList = Log_UserInfoRecordList;

});
define("Mobile_LoginNOS.model$AccessTokenCodeList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$AccessTokenCodeRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var AccessTokenCodeList = (function (_super) {
__extends(AccessTokenCodeList, _super);
function AccessTokenCodeList(defaults) {
_super.apply(this, arguments);
}
AccessTokenCodeList.RecordType = Mobile_LoginNOSModel.AccessTokenCodeRec;
return AccessTokenCodeList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.AccessTokenCodeList = AccessTokenCodeList;

});
define("Mobile_LoginNOS.model$UserDataList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$UserDataRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var UserDataList = (function (_super) {
__extends(UserDataList, _super);
function UserDataList(defaults) {
_super.apply(this, arguments);
}
UserDataList.RecordType = Mobile_LoginNOSModel.UserDataRec;
return UserDataList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.UserDataList = UserDataList;

});
define("Mobile_LoginNOS.model$Log_AuthorizeEndPointOutputRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_AuthorizeEndPointOutputRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_AuthorizeEndPointOutputRecord = (function (_super) {
__extends(Log_AuthorizeEndPointOutputRecord, _super);
function Log_AuthorizeEndPointOutputRecord(defaults) {
_super.apply(this, arguments);
}
Log_AuthorizeEndPointOutputRecord.attributesToDeclare = function () {
return [
this.attr("Log_AuthorizeEndPointOutput", "log_AuthorizeEndPointOutputAttr", "Log_AuthorizeEndPointOutput", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.Log_AuthorizeEndPointOutputRec());
}, Mobile_LoginNOSModel.Log_AuthorizeEndPointOutputRec)
].concat(_super.attributesToDeclare.call(this));
};
Log_AuthorizeEndPointOutputRecord.fromStructure = function (str) {
return new Log_AuthorizeEndPointOutputRecord(new Log_AuthorizeEndPointOutputRecord.RecordClass({
log_AuthorizeEndPointOutputAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
Log_AuthorizeEndPointOutputRecord.IsAnonymousRecord = true;
Log_AuthorizeEndPointOutputRecord.UniqueId = "a67d4e98-caad-c59c-c831-b6bcf8a85e34";
Log_AuthorizeEndPointOutputRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
Log_AuthorizeEndPointOutputRecord.init();
return Log_AuthorizeEndPointOutputRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.Log_AuthorizeEndPointOutputRecord = Log_AuthorizeEndPointOutputRecord;

});
define("Mobile_LoginNOS.model$ProxyDataList", ["exports", "OutSystems", "Extension.ardoHTTP.model", "Mobile_LoginNOS.model", "Extension.ardoHTTP.model$ProxyDataRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$ardoHTTP"], function (exports, OutSystems, Extension_ardoHTTPModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var ProxyDataList = (function (_super) {
__extends(ProxyDataList, _super);
function ProxyDataList(defaults) {
_super.apply(this, arguments);
}
ProxyDataList.RecordType = Extension_ardoHTTPModel.ProxyDataRec;
return ProxyDataList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.ProxyDataList = ProxyDataList;

});
define("Mobile_LoginNOS.model$DetailRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$DetailRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var DetailRecord = (function (_super) {
__extends(DetailRecord, _super);
function DetailRecord(defaults) {
_super.apply(this, arguments);
}
DetailRecord.attributesToDeclare = function () {
return [
this.attr("Detail", "detailAttr", "Detail", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.DetailRec());
}, Mobile_LoginNOSModel.DetailRec)
].concat(_super.attributesToDeclare.call(this));
};
DetailRecord.fromStructure = function (str) {
return new DetailRecord(new DetailRecord.RecordClass({
detailAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
DetailRecord.IsAnonymousRecord = true;
DetailRecord.UniqueId = "ba75c713-f0e7-a2ed-5eca-5f148eb411c4";
DetailRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
DetailRecord.init();
return DetailRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.DetailRecord = DetailRecord;

});
define("Mobile_LoginNOS.model$DetailRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$DetailRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var DetailRecordList = (function (_super) {
__extends(DetailRecordList, _super);
function DetailRecordList(defaults) {
_super.apply(this, arguments);
}
DetailRecordList.RecordType = Mobile_LoginNOSModel.DetailRecord;
return DetailRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.DetailRecordList = DetailRecordList;

});
define("Mobile_LoginNOS.model$HTTPHeaderRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$HTTPHeaderRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var HTTPHeaderRecordList = (function (_super) {
__extends(HTTPHeaderRecordList, _super);
function HTTPHeaderRecordList(defaults) {
_super.apply(this, arguments);
}
HTTPHeaderRecordList.RecordType = Mobile_LoginNOSModel.HTTPHeaderRecord;
return HTTPHeaderRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.HTTPHeaderRecordList = HTTPHeaderRecordList;

});
define("Mobile_LoginNOS.model$HTTPHeader2RecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$HTTPHeader2Record"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var HTTPHeader2RecordList = (function (_super) {
__extends(HTTPHeader2RecordList, _super);
function HTTPHeader2RecordList(defaults) {
_super.apply(this, arguments);
}
HTTPHeader2RecordList.RecordType = Mobile_LoginNOSModel.HTTPHeader2Record;
return HTTPHeader2RecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.HTTPHeader2RecordList = HTTPHeader2RecordList;

});
define("Mobile_LoginNOS.model$UserInfoRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$UserInfoRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var UserInfoRecordList = (function (_super) {
__extends(UserInfoRecordList, _super);
function UserInfoRecordList(defaults) {
_super.apply(this, arguments);
}
UserInfoRecordList.RecordType = Mobile_LoginNOSModel.UserInfoRecord;
return UserInfoRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.UserInfoRecordList = UserInfoRecordList;

});
define("Mobile_LoginNOS.model$TokenInfoRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$TokenInfoRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var TokenInfoRecord = (function (_super) {
__extends(TokenInfoRecord, _super);
function TokenInfoRecord(defaults) {
_super.apply(this, arguments);
}
TokenInfoRecord.attributesToDeclare = function () {
return [
this.attr("TokenInfo", "tokenInfoAttr", "TokenInfo", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.TokenInfoRec());
}, Mobile_LoginNOSModel.TokenInfoRec)
].concat(_super.attributesToDeclare.call(this));
};
TokenInfoRecord.fromStructure = function (str) {
return new TokenInfoRecord(new TokenInfoRecord.RecordClass({
tokenInfoAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
TokenInfoRecord.IsAnonymousRecord = true;
TokenInfoRecord.UniqueId = "e2ee2aba-ae04-1274-b898-ab99f010913d";
TokenInfoRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
TokenInfoRecord.init();
return TokenInfoRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.TokenInfoRecord = TokenInfoRecord;

});
define("Mobile_LoginNOS.model$TokenInfoRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$TokenInfoRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var TokenInfoRecordList = (function (_super) {
__extends(TokenInfoRecordList, _super);
function TokenInfoRecordList(defaults) {
_super.apply(this, arguments);
}
TokenInfoRecordList.RecordType = Mobile_LoginNOSModel.TokenInfoRecord;
return TokenInfoRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.TokenInfoRecordList = TokenInfoRecordList;

});
define("Mobile_LoginNOS.model$UserProfileInfoRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$UserProfileInfoRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var UserProfileInfoRecord = (function (_super) {
__extends(UserProfileInfoRecord, _super);
function UserProfileInfoRecord(defaults) {
_super.apply(this, arguments);
}
UserProfileInfoRecord.attributesToDeclare = function () {
return [
this.attr("UserProfileInfo", "userProfileInfoAttr", "UserProfileInfo", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.UserProfileInfoRec());
}, Mobile_LoginNOSModel.UserProfileInfoRec)
].concat(_super.attributesToDeclare.call(this));
};
UserProfileInfoRecord.fromStructure = function (str) {
return new UserProfileInfoRecord(new UserProfileInfoRecord.RecordClass({
userProfileInfoAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
UserProfileInfoRecord.IsAnonymousRecord = true;
UserProfileInfoRecord.UniqueId = "ecdab949-75c2-e404-9418-3571de80368d";
UserProfileInfoRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
UserProfileInfoRecord.init();
return UserProfileInfoRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.UserProfileInfoRecord = UserProfileInfoRecord;

});
define("Mobile_LoginNOS.model$UserProfileInfoRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$UserProfileInfoRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var UserProfileInfoRecordList = (function (_super) {
__extends(UserProfileInfoRecordList, _super);
function UserProfileInfoRecordList(defaults) {
_super.apply(this, arguments);
}
UserProfileInfoRecordList.RecordType = Mobile_LoginNOSModel.UserProfileInfoRecord;
return UserProfileInfoRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.UserProfileInfoRecordList = UserProfileInfoRecordList;

});
define("Mobile_LoginNOS.model$LogResponseExtendedDataList", ["exports", "OutSystems", "CE_LOGGING.model", "Mobile_LoginNOS.model", "CE_LOGGING.model$LogResponseExtendedDataRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$CE_LOGGING"], function (exports, OutSystems, CE_LOGGINGModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var LogResponseExtendedDataList = (function (_super) {
__extends(LogResponseExtendedDataList, _super);
function LogResponseExtendedDataList(defaults) {
_super.apply(this, arguments);
}
LogResponseExtendedDataList.RecordType = CE_LOGGINGModel.LogResponseExtendedDataRec;
return LogResponseExtendedDataList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.LogResponseExtendedDataList = LogResponseExtendedDataList;

});
define("Mobile_LoginNOS.model$HTTPResponseRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$HTTPResponseRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var HTTPResponseRecord = (function (_super) {
__extends(HTTPResponseRecord, _super);
function HTTPResponseRecord(defaults) {
_super.apply(this, arguments);
}
HTTPResponseRecord.attributesToDeclare = function () {
return [
this.attr("HTTPResponse", "hTTPResponseAttr", "HTTPResponse", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.HTTPResponseRec());
}, Mobile_LoginNOSModel.HTTPResponseRec)
].concat(_super.attributesToDeclare.call(this));
};
HTTPResponseRecord.fromStructure = function (str) {
return new HTTPResponseRecord(new HTTPResponseRecord.RecordClass({
hTTPResponseAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
HTTPResponseRecord.IsAnonymousRecord = true;
HTTPResponseRecord.UniqueId = "c904a9f6-0464-acea-5dcd-c5a14143d8f8";
HTTPResponseRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
HTTPResponseRecord.init();
return HTTPResponseRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.HTTPResponseRecord = HTTPResponseRecord;

});
define("Mobile_LoginNOS.model$HTTPResponseRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$HTTPResponseRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var HTTPResponseRecordList = (function (_super) {
__extends(HTTPResponseRecordList, _super);
function HTTPResponseRecordList(defaults) {
_super.apply(this, arguments);
}
HTTPResponseRecordList.RecordType = Mobile_LoginNOSModel.HTTPResponseRecord;
return HTTPResponseRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.HTTPResponseRecordList = HTTPResponseRecordList;

});
define("Mobile_LoginNOS.model$TargetList", ["exports", "OutSystems", "InAppBrowserPlugin.model", "Mobile_LoginNOS.model", "InAppBrowserPlugin.model$TargetRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$InAppBrowserPlugin"], function (exports, OutSystems, InAppBrowserPluginModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var TargetList = (function (_super) {
__extends(TargetList, _super);
function TargetList(defaults) {
_super.apply(this, arguments);
}
TargetList.RecordType = InAppBrowserPluginModel.TargetRec;
return TargetList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.TargetList = TargetList;

});
define("Mobile_LoginNOS.model$Log_RegistrationOutputRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_RegistrationOutputRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_RegistrationOutputRecordList = (function (_super) {
__extends(Log_RegistrationOutputRecordList, _super);
function Log_RegistrationOutputRecordList(defaults) {
_super.apply(this, arguments);
}
Log_RegistrationOutputRecordList.RecordType = Mobile_LoginNOSModel.Log_RegistrationOutputRecord;
return Log_RegistrationOutputRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_RegistrationOutputRecordList = Log_RegistrationOutputRecordList;

});
define("Mobile_LoginNOS.model$Log_LogoutList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_LogoutRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_LogoutList = (function (_super) {
__extends(Log_LogoutList, _super);
function Log_LogoutList(defaults) {
_super.apply(this, arguments);
}
Log_LogoutList.RecordType = Mobile_LoginNOSModel.Log_LogoutRec;
return Log_LogoutList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_LogoutList = Log_LogoutList;

});
define("Mobile_LoginNOS.model$WebView_ParametersRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$WebView_ParametersRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var WebView_ParametersRecord = (function (_super) {
__extends(WebView_ParametersRecord, _super);
function WebView_ParametersRecord(defaults) {
_super.apply(this, arguments);
}
WebView_ParametersRecord.attributesToDeclare = function () {
return [
this.attr("WebView_Parameters", "webView_ParametersAttr", "WebView_Parameters", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.WebView_ParametersRec());
}, Mobile_LoginNOSModel.WebView_ParametersRec)
].concat(_super.attributesToDeclare.call(this));
};
WebView_ParametersRecord.fromStructure = function (str) {
return new WebView_ParametersRecord(new WebView_ParametersRecord.RecordClass({
webView_ParametersAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
WebView_ParametersRecord.IsAnonymousRecord = true;
WebView_ParametersRecord.UniqueId = "f4e03e6f-781e-3763-0eb5-3a7e808f99dc";
WebView_ParametersRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
WebView_ParametersRecord.init();
return WebView_ParametersRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.WebView_ParametersRecord = WebView_ParametersRecord;

});
define("Mobile_LoginNOS.model$WebView_ParametersRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$WebView_ParametersRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var WebView_ParametersRecordList = (function (_super) {
__extends(WebView_ParametersRecordList, _super);
function WebView_ParametersRecordList(defaults) {
_super.apply(this, arguments);
}
WebView_ParametersRecordList.RecordType = Mobile_LoginNOSModel.WebView_ParametersRecord;
return WebView_ParametersRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.WebView_ParametersRecordList = WebView_ParametersRecordList;

});
define("Mobile_LoginNOS.model$Log_AccessTokenCodeRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_AccessTokenCodeRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_AccessTokenCodeRecordList = (function (_super) {
__extends(Log_AccessTokenCodeRecordList, _super);
function Log_AccessTokenCodeRecordList(defaults) {
_super.apply(this, arguments);
}
Log_AccessTokenCodeRecordList.RecordType = Mobile_LoginNOSModel.Log_AccessTokenCodeRecord;
return Log_AccessTokenCodeRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_AccessTokenCodeRecordList = Log_AccessTokenCodeRecordList;

});
define("Mobile_LoginNOS.model$TokenResponseRecord", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$TokenResponseRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var TokenResponseRecord = (function (_super) {
__extends(TokenResponseRecord, _super);
function TokenResponseRecord(defaults) {
_super.apply(this, arguments);
}
TokenResponseRecord.attributesToDeclare = function () {
return [
this.attr("TokenResponse", "tokenResponseAttr", "TokenResponse", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new Mobile_LoginNOSModel.TokenResponseRec());
}, Mobile_LoginNOSModel.TokenResponseRec)
].concat(_super.attributesToDeclare.call(this));
};
TokenResponseRecord.fromStructure = function (str) {
return new TokenResponseRecord(new TokenResponseRecord.RecordClass({
tokenResponseAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
TokenResponseRecord.IsAnonymousRecord = true;
TokenResponseRecord.UniqueId = "ca293309-cf3b-fcc6-b8b0-7a6552f8d269";
TokenResponseRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
TokenResponseRecord.init();
return TokenResponseRecord;
})(OS.DataTypes.GenericRecord);
Mobile_LoginNOSModel.TokenResponseRecord = TokenResponseRecord;

});
define("Mobile_LoginNOS.model$UserProfileInfoList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$UserProfileInfoRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var UserProfileInfoList = (function (_super) {
__extends(UserProfileInfoList, _super);
function UserProfileInfoList(defaults) {
_super.apply(this, arguments);
}
UserProfileInfoList.RecordType = Mobile_LoginNOSModel.UserProfileInfoRec;
return UserProfileInfoList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.UserProfileInfoList = UserProfileInfoList;

});
define("Mobile_LoginNOS.model$IOSOptionsList", ["exports", "OutSystems", "InAppBrowserPlugin.model", "Mobile_LoginNOS.model", "InAppBrowserPlugin.model$IOSOptionsRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$InAppBrowserPlugin"], function (exports, OutSystems, InAppBrowserPluginModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var IOSOptionsList = (function (_super) {
__extends(IOSOptionsList, _super);
function IOSOptionsList(defaults) {
_super.apply(this, arguments);
}
IOSOptionsList.RecordType = InAppBrowserPluginModel.IOSOptionsRec;
return IOSOptionsList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.IOSOptionsList = IOSOptionsList;

});
define("Mobile_LoginNOS.model$LogResponseExtendedDataRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$LogResponseExtendedDataRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var LogResponseExtendedDataRecordList = (function (_super) {
__extends(LogResponseExtendedDataRecordList, _super);
function LogResponseExtendedDataRecordList(defaults) {
_super.apply(this, arguments);
}
LogResponseExtendedDataRecordList.RecordType = Mobile_LoginNOSModel.LogResponseExtendedDataRecord;
return LogResponseExtendedDataRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.LogResponseExtendedDataRecordList = LogResponseExtendedDataRecordList;

});
define("Mobile_LoginNOS.model$HTTPHeaderList", ["exports", "OutSystems", "Extension.ardoHTTP.model", "Mobile_LoginNOS.model", "Extension.ardoHTTP.model$HTTPHeaderRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$ardoHTTP"], function (exports, OutSystems, Extension_ardoHTTPModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var HTTPHeaderList = (function (_super) {
__extends(HTTPHeaderList, _super);
function HTTPHeaderList(defaults) {
_super.apply(this, arguments);
}
HTTPHeaderList.RecordType = Extension_ardoHTTPModel.HTTPHeaderRec;
return HTTPHeaderList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.HTTPHeaderList = HTTPHeaderList;

});
define("Mobile_LoginNOS.model$Log_AuthorizeEndPointList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_AuthorizeEndPointRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_AuthorizeEndPointList = (function (_super) {
__extends(Log_AuthorizeEndPointList, _super);
function Log_AuthorizeEndPointList(defaults) {
_super.apply(this, arguments);
}
Log_AuthorizeEndPointList.RecordType = Mobile_LoginNOSModel.Log_AuthorizeEndPointRec;
return Log_AuthorizeEndPointList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_AuthorizeEndPointList = Log_AuthorizeEndPointList;

});
define("Mobile_LoginNOS.model$TokenResponseList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$TokenResponseRec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var TokenResponseList = (function (_super) {
__extends(TokenResponseList, _super);
function TokenResponseList(defaults) {
_super.apply(this, arguments);
}
TokenResponseList.RecordType = Mobile_LoginNOSModel.TokenResponseRec;
return TokenResponseList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.TokenResponseList = TokenResponseList;

});
define("Mobile_LoginNOS.model$Fault2List", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Fault2Rec"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Fault2List = (function (_super) {
__extends(Fault2List, _super);
function Fault2List(defaults) {
_super.apply(this, arguments);
}
Fault2List.RecordType = Mobile_LoginNOSModel.Fault2Rec;
return Fault2List;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Fault2List = Fault2List;

});
define("Mobile_LoginNOS.model$TokenResponseRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$TokenResponseRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var TokenResponseRecordList = (function (_super) {
__extends(TokenResponseRecordList, _super);
function TokenResponseRecordList(defaults) {
_super.apply(this, arguments);
}
TokenResponseRecordList.RecordType = Mobile_LoginNOSModel.TokenResponseRecord;
return TokenResponseRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.TokenResponseRecordList = TokenResponseRecordList;

});
define("Mobile_LoginNOS.model$OptionsList", ["exports", "OutSystems", "InAppBrowserPlugin.model", "Mobile_LoginNOS.model", "InAppBrowserPlugin.model$OptionsRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$InAppBrowserPlugin"], function (exports, OutSystems, InAppBrowserPluginModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var OptionsList = (function (_super) {
__extends(OptionsList, _super);
function OptionsList(defaults) {
_super.apply(this, arguments);
}
OptionsList.RecordType = InAppBrowserPluginModel.OptionsRec;
return OptionsList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.OptionsList = OptionsList;

});
define("Mobile_LoginNOS.model$Log_RegistrationRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_RegistrationRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_RegistrationRecordList = (function (_super) {
__extends(Log_RegistrationRecordList, _super);
function Log_RegistrationRecordList(defaults) {
_super.apply(this, arguments);
}
Log_RegistrationRecordList.RecordType = Mobile_LoginNOSModel.Log_RegistrationRecord;
return Log_RegistrationRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_RegistrationRecordList = Log_RegistrationRecordList;

});
define("Mobile_LoginNOS.model$IOSOptionsRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$IOSOptionsRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var IOSOptionsRecordList = (function (_super) {
__extends(IOSOptionsRecordList, _super);
function IOSOptionsRecordList(defaults) {
_super.apply(this, arguments);
}
IOSOptionsRecordList.RecordType = Mobile_LoginNOSModel.IOSOptionsRecord;
return IOSOptionsRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.IOSOptionsRecordList = IOSOptionsRecordList;

});
define("Mobile_LoginNOS.model$Log_AuthorizeEndPointRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_AuthorizeEndPointRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_AuthorizeEndPointRecordList = (function (_super) {
__extends(Log_AuthorizeEndPointRecordList, _super);
function Log_AuthorizeEndPointRecordList(defaults) {
_super.apply(this, arguments);
}
Log_AuthorizeEndPointRecordList.RecordType = Mobile_LoginNOSModel.Log_AuthorizeEndPointRecord;
return Log_AuthorizeEndPointRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_AuthorizeEndPointRecordList = Log_AuthorizeEndPointRecordList;

});
define("Mobile_LoginNOS.model$FaultRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$FaultRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var FaultRecordList = (function (_super) {
__extends(FaultRecordList, _super);
function FaultRecordList(defaults) {
_super.apply(this, arguments);
}
FaultRecordList.RecordType = Mobile_LoginNOSModel.FaultRecord;
return FaultRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.FaultRecordList = FaultRecordList;

});
define("Mobile_LoginNOS.model$Mobile_OperatingSystemList", ["exports", "OutSystems", "CommonPlugin.model", "Mobile_LoginNOS.model", "CommonPlugin.model$Mobile_OperatingSystemRec", "Mobile_LoginNOS.referencesHealth", "Mobile_LoginNOS.referencesHealth$CommonPlugin"], function (exports, OutSystems, CommonPluginModel, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Mobile_OperatingSystemList = (function (_super) {
__extends(Mobile_OperatingSystemList, _super);
function Mobile_OperatingSystemList(defaults) {
_super.apply(this, arguments);
}
Mobile_OperatingSystemList.RecordType = CommonPluginModel.Mobile_OperatingSystemRec;
return Mobile_OperatingSystemList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Mobile_OperatingSystemList = Mobile_OperatingSystemList;

});
define("Mobile_LoginNOS.model$Log_AuthorizeEndPointOutputRecordList", ["exports", "OutSystems", "Mobile_LoginNOS.model", "Mobile_LoginNOS.model$Log_AuthorizeEndPointOutputRecord"], function (exports, OutSystems, Mobile_LoginNOSModel) {
var OS = OutSystems.Internal;
var Log_AuthorizeEndPointOutputRecordList = (function (_super) {
__extends(Log_AuthorizeEndPointOutputRecordList, _super);
function Log_AuthorizeEndPointOutputRecordList(defaults) {
_super.apply(this, arguments);
}
Log_AuthorizeEndPointOutputRecordList.RecordType = Mobile_LoginNOSModel.Log_AuthorizeEndPointOutputRecord;
return Log_AuthorizeEndPointOutputRecordList;
})(OS.DataTypes.GenericRecordList);
Mobile_LoginNOSModel.Log_AuthorizeEndPointOutputRecordList = Log_AuthorizeEndPointOutputRecordList;

});
define("Mobile_LoginNOS.model", ["exports", "OutSystems"], function (exports, OutSystems) {
var OS = OutSystems.Internal;
var Mobile_LoginNOSModel = exports;
Object.defineProperty(Mobile_LoginNOSModel, "module", {
get: function () {
return OS.ApplicationInfo.getModules()["203f03c3-9b07-4857-aeed-7c07410cfec8"];
}
});

Mobile_LoginNOSModel.staticEntities = {};
Mobile_LoginNOSModel.staticEntities.target = {};
var getTargetRecord = function (record) {
return OS.ApplicationInfo.getModules()["411582e0-1482-4652-8bb1-ff206acc32fc"].staticEntities["571957b2-a064-4298-b194-fd269b3c9073"][record];
};
Object.defineProperty(Mobile_LoginNOSModel.staticEntities.target, "iN_APP_BROWSER", {
get: function () {
return getTargetRecord("2b573f5a-c9be-4fce-9c58-143fd1cd4286");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.target, "sYSTEM", {
get: function () {
return getTargetRecord("85ecde5b-e3d1-4a92-a878-5c3fead6481e");
}
});

Mobile_LoginNOSModel.staticEntities.mobile_OperatingSystem = {};
var getMobile_OperatingSystemRecord = function (record) {
return OS.ApplicationInfo.getModules()["5b6515d9-f417-41d9-9c45-5dfc1a7b019f"].staticEntities["c1eb5dfb-b8c1-47fc-bc7d-1cd017f67311"][record];
};
Object.defineProperty(Mobile_LoginNOSModel.staticEntities.mobile_OperatingSystem, "android", {
get: function () {
return getMobile_OperatingSystemRecord("01edb2f7-0e57-4dc0-9509-92d0d28ebfe3");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.mobile_OperatingSystem, "windows", {
get: function () {
return getMobile_OperatingSystemRecord("164b2bee-9204-44fd-99b7-4d8e15ea9c63");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.mobile_OperatingSystem, "iOS", {
get: function () {
return getMobile_OperatingSystemRecord("91c837e3-89f4-4179-9b8c-c79a99090027");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.mobile_OperatingSystem, "other", {
get: function () {
return getMobile_OperatingSystemRecord("e0264a53-735d-4dea-8647-b8bfe757d34b");
}
});

Mobile_LoginNOSModel.staticEntities.iCON_SIZE = {};
var getICON_SIZERecord = function (record) {
return OS.ApplicationInfo.getModules()["9bedb487-ca1c-4124-a989-9d7f5ac0dad1"].staticEntities["b60cb512-9fee-4638-ac38-ced6b6d81a86"][record];
};
Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_SIZE, "xSmall", {
get: function () {
return getICON_SIZERecord("22883d0d-95e6-4a32-8126-12f1839ac2d2");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_SIZE, "xLarge", {
get: function () {
return getICON_SIZERecord("3a1cde3c-a513-4514-b687-8ff0ada45a36");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_SIZE, "small", {
get: function () {
return getICON_SIZERecord("5f77c5ff-0d3d-4372-8b4e-614de51c3692");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_SIZE, "large", {
get: function () {
return getICON_SIZERecord("ca7f18e8-1f3b-4d8c-b3f5-40cc9898aaf4");
}
});

Mobile_LoginNOSModel.staticEntities.iCON_CLASS = {};
var getICON_CLASSRecord = function (record) {
return OS.ApplicationInfo.getModules()["9bedb487-ca1c-4124-a989-9d7f5ac0dad1"].staticEntities["d68ff46d-b9b2-4c6c-bd04-e5036faf1127"][record];
};
Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconEditar", {
get: function () {
return getICON_CLASSRecord("01b8d616-ff1d-4e29-b940-20ba8465e363");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconServicosFilled", {
get: function () {
return getICON_CLASSRecord("038452a6-2759-497b-a77f-20eb45826fdd");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconLeftArrow", {
get: function () {
return getICON_CLASSRecord("0409be96-f7ee-4d5c-a028-ac78484c3bbe");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconArrowRightWTF", {
get: function () {
return getICON_CLASSRecord("04bfe465-5af3-44e1-b82c-c46f4a3cf55d");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconGear", {
get: function () {
return getICON_CLASSRecord("0640e0ba-34b8-4f18-8f00-1c9e8d50fa89");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconLojasNos", {
get: function () {
return getICON_CLASSRecord("08bbd6db-9ba1-4cc3-85d7-02c5d5aab166");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconMiscsetaDropRightCheia", {
get: function () {
return getICON_CLASSRecord("08d9b49d-3aeb-45e0-8566-21115fac7d1c");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconRefresh", {
get: function () {
return getICON_CLASSRecord("0b6eabc3-eb2c-4cb7-ac02-2cfd3d3fd6b7");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconSeat", {
get: function () {
return getICON_CLASSRecord("0c442ec8-f11d-4560-91bd-e35fe582f1d6");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconColapsar", {
get: function () {
return getICON_CLASSRecord("0f09179e-1f92-49b3-b9d5-b1aa8f4bd00a");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconMiscsetaDropUpCheia", {
get: function () {
return getICON_CLASSRecord("15b10abc-f76d-4653-aa25-9e51c9fb6909");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconInicioFilled", {
get: function () {
return getICON_CLASSRecord("17af2fa8-31e0-46d1-9183-993328cfa197");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconEye", {
get: function () {
return getICON_CLASSRecord("1a14d6e2-19dd-49f7-8e9b-a1d5a9d660e0");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconTickets", {
get: function () {
return getICON_CLASSRecord("1ea79111-2bf7-48d0-bcfd-439b0be289e8");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconFavoriteFilled", {
get: function () {
return getICON_CLASSRecord("21c595f7-41b4-42b4-b92d-1feb327f77e9");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconWallet", {
get: function () {
return getICON_CLASSRecord("21fbf0cb-5d18-41d1-bb06-badbdbb8d31d");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconAlertTriangle", {
get: function () {
return getICON_CLASSRecord("2994f6fa-43f1-429c-a6c7-e8dafcd8e7d7");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconServicos", {
get: function () {
return getICON_CLASSRecord("2bcb5e0a-e178-4919-8a21-5aa172de0f29");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconFiltros", {
get: function () {
return getICON_CLASSRecord("2ea87344-d9dc-4623-bf8e-a53742bfa968");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconLike", {
get: function () {
return getICON_CLASSRecord("2eb4d1f1-127b-4bff-ab3f-1b3d40b63a4f");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconScratchFilled", {
get: function () {
return getICON_CLASSRecord("33ce4a85-b9c0-41cc-8cd7-c0f4f96b43d8");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconBookmarked", {
get: function () {
return getICON_CLASSRecord("34c9bdb1-85ab-4e3e-aab8-6de2c51e88f9");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconBus", {
get: function () {
return getICON_CLASSRecord("358de172-7980-4357-ac8b-3e31184038b8");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconMiscsetaDropDownCheia", {
get: function () {
return getICON_CLASSRecord("368fcad0-53ed-48e5-bac2-a31d905bc6cf");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconPencil", {
get: function () {
return getICON_CLASSRecord("3965762b-39d7-462d-ba0e-143a9ad07ddb");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconShareAndroid", {
get: function () {
return getICON_CLASSRecord("39e27a3d-2e63-4263-ab0b-a6cc7753f0ab");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconCardSuccess0102", {
get: function () {
return getICON_CLASSRecord("3b7b8961-ed4c-4301-9562-411a84dda131");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconInfoRounded", {
get: function () {
return getICON_CLASSRecord("3bbfd8ac-5b41-4c64-bc0b-cc81ddc5c832");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconCheckBoxOn", {
get: function () {
return getICON_CLASSRecord("3c4f6dbb-d6dc-472b-8355-42b876f3169d");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconVerMais", {
get: function () {
return getICON_CLASSRecord("3dc47c2d-28d4-4f6c-86d5-202aa7355d4c");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconConta", {
get: function () {
return getICON_CLASSRecord("407a7026-c85d-4faf-8248-fa987edc6aea");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconInfoRoundedFilled", {
get: function () {
return getICON_CLASSRecord("41fb7aad-e455-4dc0-8a24-40b661eabdb7");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconArrowRight", {
get: function () {
return getICON_CLASSRecord("434f85a5-2762-4d26-9f43-8329430c30ce");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconWirelessDisable", {
get: function () {
return getICON_CLASSRecord("44155b78-929d-411e-9920-82b8b25e7828");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconPlus", {
get: function () {
return getICON_CLASSRecord("454b040a-1099-46da-b5d2-fbdd4f3f9bed");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconNotificacoesOn", {
get: function () {
return getICON_CLASSRecord("4c2671d9-65d7-468e-8105-0ce41d867eb3");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconPopCorn", {
get: function () {
return getICON_CLASSRecord("4ebdf68a-3a7a-4e79-af32-8d1e5223d02f");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconLess", {
get: function () {
return getICON_CLASSRecord("4f26250b-ef0d-438d-bb3c-99d0bd867bbb");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconHistory", {
get: function () {
return getICON_CLASSRecord("55e53638-fe04-4f40-afef-b80dd2de48ee");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconRecycleBinEmptyFilled", {
get: function () {
return getICON_CLASSRecord("5b71ccd7-2caa-4160-8b39-95c221b02853");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconsSeatxl", {
get: function () {
return getICON_CLASSRecord("5ceb2c1b-c693-41e4-98cf-342538744b20");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconAppsNos", {
get: function () {
return getICON_CLASSRecord("5d8408e1-b496-41d2-8658-344129e8a3b9");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconAtalhosFilled", {
get: function () {
return getICON_CLASSRecord("609ff505-1065-43fc-96f1-3720d145ea0d");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconTelefone", {
get: function () {
return getICON_CLASSRecord("60d626d3-433d-408f-b44a-1b8e694efdd9");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconParking", {
get: function () {
return getICON_CLASSRecord("61b30cd0-6653-439b-8dd2-369fca293ad3");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconTvCellPhonePlus", {
get: function () {
return getICON_CLASSRecord("62bc61ca-d82c-42e4-8b67-473fd819dc8a");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconFaq", {
get: function () {
return getICON_CLASSRecord("64cf46ef-ea9f-4660-a177-f48f2a579d58");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconMiscsetaDropLeftCheia", {
get: function () {
return getICON_CLASSRecord("694e5a50-3cb8-4ebc-af08-5af555c7b215");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconMore", {
get: function () {
return getICON_CLASSRecord("6a520bf2-b475-4adf-ae64-9415882ff1d9");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconCartaz", {
get: function () {
return getICON_CLASSRecord("6cdd0308-8940-4740-bcff-c48a34bb1ea9");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconFavorite", {
get: function () {
return getICON_CLASSRecord("6eb70ef0-4a5b-4687-b631-ab7eaa03f246");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconUserPlus", {
get: function () {
return getICON_CLASSRecord("71a80589-7bf8-42dc-ba08-9e46b561029a");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconCheckCircleLine", {
get: function () {
return getICON_CLASSRecord("723da398-6895-4db2-bffe-981d3fffffe3");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconHome", {
get: function () {
return getICON_CLASSRecord("72c1ea44-44c8-4aa8-8731-55fe90fa8ca0");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconContacto", {
get: function () {
return getICON_CLASSRecord("73d73c7c-1d7c-4129-a999-1202918387b4");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconClose", {
get: function () {
return getICON_CLASSRecord("7b8503c7-a296-4714-aaa5-54727448226f");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconMetro", {
get: function () {
return getICON_CLASSRecord("7b96765a-c5b2-4d6a-825a-d15504573de3");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconSearch", {
get: function () {
return getICON_CLASSRecord("7fa60abf-fd65-4c02-90f3-f13cb3e9e460");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconVip", {
get: function () {
return getICON_CLASSRecord("80b8643f-4ea9-4e56-b005-b8d3b8fc69e2");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconCalendar", {
get: function () {
return getICON_CLASSRecord("811f7369-61f8-44fe-bf88-dfb1e863ea62");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconSaucy", {
get: function () {
return getICON_CLASSRecord("8278feb3-bf45-4eba-9983-ae16cc6251fd");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconErrorNovo", {
get: function () {
return getICON_CLASSRecord("832b127c-7e55-4bb1-8ed5-bf207ae07a50");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconHeart", {
get: function () {
return getICON_CLASSRecord("8419ef28-e5f9-4a79-af67-2916b230164d");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconExternalLink", {
get: function () {
return getICON_CLASSRecord("853d8d6a-35e8-4bcf-9c7c-9723234b539a");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconZonaFilled", {
get: function () {
return getICON_CLASSRecord("85ba2fcb-3c07-4418-91c5-f106423e0541");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconMovie", {
get: function () {
return getICON_CLASSRecord("867b3a21-d19a-4ffd-bb6d-b4562489b82c");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconChat", {
get: function () {
return getICON_CLASSRecord("890f1121-90c8-4658-a79f-6bd652a5c992");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "icontTvPlus", {
get: function () {
return getICON_CLASSRecord("8a7394d7-fb7b-4bae-9850-360c288b79ab");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconAjudaNos", {
get: function () {
return getICON_CLASSRecord("8a7dacd9-d79a-4bb5-b351-f2f9ea45f6ff");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconCheckAll", {
get: function () {
return getICON_CLASSRecord("8ab6722f-0b42-49ce-a149-89befe5a4bb6");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconTabBarAtalhos", {
get: function () {
return getICON_CLASSRecord("8e45834b-ca5f-4045-984f-bbccada61826");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconCardError01", {
get: function () {
return getICON_CLASSRecord("8f29ee51-b0b3-4626-b9e7-d9422168dd96");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconRadioButtonOff", {
get: function () {
return getICON_CLASSRecord("9157d001-7087-4463-b9f1-0314dca5f528");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconTeather", {
get: function () {
return getICON_CLASSRecord("95bea852-0c3e-48b1-86de-38b38c36303e");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconGesturesWipeHorizontal", {
get: function () {
return getICON_CLASSRecord("9656dca4-51a4-437f-ab5c-e283659834de");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconSlidersEqual", {
get: function () {
return getICON_CLASSRecord("9744a38b-e2d6-4edd-a0d5-566f4ceec129");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconArrowUp", {
get: function () {
return getICON_CLASSRecord("9d00a261-df34-4bbb-ac68-bd957888b3d9");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconCheck", {
get: function () {
return getICON_CLASSRecord("9f85dd1a-28d8-4a3e-a9b0-09f88ecb093e");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconSeatsXl", {
get: function () {
return getICON_CLASSRecord("a074b85b-9a45-429e-9d5c-c940de46ce47");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconPcSmartphone", {
get: function () {
return getICON_CLASSRecord("a2f0c7b1-d94c-423a-8dd3-561e1e3e3f77");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconTicket", {
get: function () {
return getICON_CLASSRecord("a4bc95b7-ce62-4da5-afe8-4895ed545b73");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconAlterarContexto", {
get: function () {
return getICON_CLASSRecord("a57ff59c-5608-4c3c-b300-413aa3b6fb47");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconTv", {
get: function () {
return getICON_CLASSRecord("a5b64568-2c3b-4569-9452-8fb56f199718");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconZona", {
get: function () {
return getICON_CLASSRecord("a8f22183-52f4-4341-9bc4-3bc8cd0ff992");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconBookmark", {
get: function () {
return getICON_CLASSRecord("aa47b522-2816-4858-bf9d-c83880b2fe6e");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconPlayCircle", {
get: function () {
return getICON_CLASSRecord("aa8d6c1c-b6e7-44bb-a116-f67b8c669cbe");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconLocation", {
get: function () {
return getICON_CLASSRecord("ab8e19b4-fa25-4fa4-bcbe-8ef79807cf0c");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconTicketsFilled", {
get: function () {
return getICON_CLASSRecord("acf32c21-52de-4e7d-91e8-f08fd460c192");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconTelemovel", {
get: function () {
return getICON_CLASSRecord("b1f13a43-5240-410f-a1c7-74aed8c2c0d3");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconErrorRounded", {
get: function () {
return getICON_CLASSRecord("b33adfc1-7559-4bae-9170-5019ca3ce1df");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconBill", {
get: function () {
return getICON_CLASSRecord("b635c5d1-d875-4eb4-9140-b854d84506d6");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconListInverted", {
get: function () {
return getICON_CLASSRecord("b6649ac2-4b33-4d07-85c3-9392355136ca");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconCopiar", {
get: function () {
return getICON_CLASSRecord("b6bab7da-9419-40da-bb39-a42e83720f0a");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconSeatColor", {
get: function () {
return getICON_CLASSRecord("b7e797f4-b455-443a-8fb7-8c082dd9b67a");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconScratch", {
get: function () {
return getICON_CLASSRecord("b7f71ed8-f49a-470e-aa4c-c3d1bb791b38");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconFilterFilled", {
get: function () {
return getICON_CLASSRecord("b9aa8387-f155-4bb8-b920-fa5d3b08c947");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconCheckBoxOff", {
get: function () {
return getICON_CLASSRecord("ba5e3751-896e-4615-8386-e08039f43e0f");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconNotificacoes", {
get: function () {
return getICON_CLASSRecord("bb610fbf-72c5-49c0-9806-e9a630529824");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconInternet", {
get: function () {
return getICON_CLASSRecord("bfd476fc-ac45-4a38-bff1-524d65e24334");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconMaisWTF", {
get: function () {
return getICON_CLASSRecord("c0c1b4d3-435f-49b1-af20-2bea36276a50");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconAlertRounded", {
get: function () {
return getICON_CLASSRecord("c10f6c06-a595-4f1c-af4b-7a0a819878f8");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconTicketFilled", {
get: function () {
return getICON_CLASSRecord("c1cb057f-5ffd-437b-bb74-eecedd69667a");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconUser", {
get: function () {
return getICON_CLASSRecord("c2921be5-b316-42e3-aa26-d7d590c127c4");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconDotsHorizontal", {
get: function () {
return getICON_CLASSRecord("c588a0d6-c262-4f33-84f9-2b25aa343dd6");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconBack", {
get: function () {
return getICON_CLASSRecord("c605ef4d-f8e5-4d9c-8d32-96de02fec138");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconArrowLeft", {
get: function () {
return getICON_CLASSRecord("c6839bc2-52e1-49f9-9a33-0f2c61befe82");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconDotsVertical", {
get: function () {
return getICON_CLASSRecord("cb7aa433-4cd2-4a59-a08c-d95c4bf1941d");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconForumNos", {
get: function () {
return getICON_CLASSRecord("cd6557a8-a44d-417b-93c4-336b6df9e444");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconBellCheck", {
get: function () {
return getICON_CLASSRecord("d0d2579c-59fb-4e16-a871-1a71d193332a");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconNetMovel", {
get: function () {
return getICON_CLASSRecord("d1f7d660-8a76-4250-9782-82f8e244c719");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconArrowDown", {
get: function () {
return getICON_CLASSRecord("d2cd9ec7-9b69-468b-8b1c-2a34ba3b9da3");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconGestureDoubleTap", {
get: function () {
return getICON_CLASSRecord("d4b4e0d3-94dc-4bf7-9cad-5eb9aa00e2ca");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconAlertTriangleFilled", {
get: function () {
return getICON_CLASSRecord("d8a3f9d2-0f15-4667-a6ae-91cf9ec34d99");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconDislike", {
get: function () {
return getICON_CLASSRecord("dba88543-c98a-434b-8ab7-b3bad26038b3");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconSaucyFilled", {
get: function () {
return getICON_CLASSRecord("e2d0c688-8770-4a9e-a3b9-0635dcee6b62");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconInternetData", {
get: function () {
return getICON_CLASSRecord("e5030fb0-23c7-4754-8a94-ba385f85988a");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconRadioButtonOn", {
get: function () {
return getICON_CLASSRecord("e63cf556-7f97-4a41-9f86-7d2498336765");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconCheckCircle", {
get: function () {
return getICON_CLASSRecord("e67bde37-6a83-4a29-8ccb-c3dcaa996eae");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconRecycleBinEmpty", {
get: function () {
return getICON_CLASSRecord("e722390d-6826-4c00-809b-421808b2edb0");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconMobilidade", {
get: function () {
return getICON_CLASSRecord("ec3ba0bc-94ba-4c3e-a224-5b7ebae2bfd1");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconEdit", {
get: function () {
return getICON_CLASSRecord("ecf06917-d913-4a0b-95ef-dc1571fa875c");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconShare", {
get: function () {
return getICON_CLASSRecord("f576738a-b1f7-47f0-891d-5d2e97c1f525");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconWalletFilled", {
get: function () {
return getICON_CLASSRecord("fa0cf488-587a-4b71-a3ff-ff24002f169f");
}
});

Object.defineProperty(Mobile_LoginNOSModel.staticEntities.iCON_CLASS, "iconHeartFilled", {
get: function () {
return getICON_CLASSRecord("fcc8dde8-3d2f-4589-9f97-9ee7a5e9b90c");
}
});

});
