﻿define("NOSCordovaPlugin.PluginFlow.ShowWebViewListener.mvc$model", ["OutSystems", "NOSCordovaPlugin.model", "NOSCordovaPlugin.controller", "NOSCordovaPlugin.controller$CheckNOSCordovaPlugin"], function (OutSystems, NOSCordovaPluginModel, NOSCordovaPluginController) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return false;
}
});

Model.prototype.setInputs = function (inputs) {
};
return Model;
})(OS.Model.VariablelessViewModel);
return new OS.Model.ModelFactory(Model);
});
define("NOSCordovaPlugin.PluginFlow.ShowWebViewListener.mvc$view", ["OutSystems", "NOSCordovaPlugin.model", "NOSCordovaPlugin.controller", "react", "OutSystemsReactView", "NOSCordovaPlugin.PluginFlow.ShowWebViewListener.mvc$model", "NOSCordovaPlugin.PluginFlow.ShowWebViewListener.mvc$controller", "NOSCordovaPlugin.controller$CheckNOSCordovaPlugin"], function (OutSystems, NOSCordovaPluginModel, NOSCordovaPluginController, React, OSView, NOSCordovaPlugin_PluginFlow_ShowWebViewListener_mvc_model, NOSCordovaPlugin_PluginFlow_ShowWebViewListener_mvc_controller) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "PluginFlow.ShowWebViewListener";
        View.getCssDependencies = function() {
            return [];
        };
        View.getJsDependencies = function() {
            return ["scripts/CommonPlugin.PluginManager.js"];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return NOSCordovaPlugin_PluginFlow_ShowWebViewListener_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return NOSCordovaPlugin_PluginFlow_ShowWebViewListener_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties());
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("NOSCordovaPlugin.PluginFlow.ShowWebViewListener.mvc$controller", ["OutSystems", "NOSCordovaPlugin.model", "NOSCordovaPlugin.controller", "NOSCordovaPlugin.languageResources", "NOSCordovaPlugin.PluginFlow.ShowWebViewListener.mvc$controller.OnReady.RegisterCallbacksJS", "NOSCordovaPlugin.PluginFlow.ShowWebViewListener.mvc$controller.OnDestroy.UnregisterCallbacksJS", "NOSCordovaPlugin.controller$CheckNOSCordovaPlugin"], function (OutSystems, NOSCordovaPluginModel, NOSCordovaPluginController, NOSCordovaPluginLanguageResources, NOSCordovaPlugin_PluginFlow_ShowWebViewListener_mvc_controller_OnReady_RegisterCallbacksJS, NOSCordovaPlugin_PluginFlow_ShowWebViewListener_mvc_controller_OnDestroy_UnregisterCallbacksJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {
onCallbackError$Action: function (errorIn) {
errorIn = (errorIn === undefined) ? "" : errorIn;
return controller.executeActionInsideJSNode(controller._onCallbackError$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(errorIn, OS.Types.Text)), controller.callContext(), function (actionResults) {
return {};
});
},
onCallbackSuccess$Action: function (eventIn) {
eventIn = (eventIn === undefined) ? null : eventIn;
return controller.executeActionInsideJSNode(controller._onCallbackSuccess$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(eventIn, OS.Types.Object)), controller.callContext(), function (actionResults) {
return {};
});
}
};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._onReady$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnReady");
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkNOSCordovaPluginVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckNOSCordovaPlugin
checkNOSCordovaPluginVar.value = NOSCordovaPluginController.default.checkNOSCordovaPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkNOSCordovaPluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(NOSCordovaPlugin_PluginFlow_ShowWebViewListener_mvc_controller_OnReady_RegisterCallbacksJS, "RegisterCallbacks", "OnReady", null, function ($parameters) {
}, {
OnCallbackError: controller.clientActionProxies.onCallbackError$Action,
OnCallbackSuccess: controller.clientActionProxies.onCallbackSuccess$Action
}, {});
}

});
}).catch(function (ex) {
OS.Logger.trace("ShowWebViewListener.OnReady", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.returnAsync();

});
}

throw ex;
});
};
Controller.prototype._onCallbackError$Action = function (errorIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnCallbackError");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("NOSCordovaPlugin.PluginFlow.ShowWebViewListener.OnCallbackError$vars"))());
vars.value.errorInLocal = errorIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: OnError
return controller.onError$Action(vars.value.errorInLocal, callContext);
}).catch(function (ex) {
OS.Logger.trace("ShowWebViewListener.OnCallbackError", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.returnAsync();

});
}

throw ex;
});
};
Controller.registerVariableGroupType("NOSCordovaPlugin.PluginFlow.ShowWebViewListener.OnCallbackError$vars", [{
name: "Error",
attrName: "errorInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.prototype._onCallbackSuccess$Action = function (eventIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnCallbackSuccess");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("NOSCordovaPlugin.PluginFlow.ShowWebViewListener.OnCallbackSuccess$vars"))());
vars.value.eventInLocal = eventIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: OnSuccess
return controller.onSuccess$Action(callContext);
}).catch(function (ex) {
OS.Logger.trace("ShowWebViewListener.OnCallbackSuccess", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.returnAsync();

});
}

throw ex;
});
};
Controller.registerVariableGroupType("NOSCordovaPlugin.PluginFlow.ShowWebViewListener.OnCallbackSuccess$vars", [{
name: "Event",
attrName: "eventInLocal",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
Controller.prototype._onDestroy$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnDestroy");
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkNOSCordovaPluginVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckNOSCordovaPlugin
checkNOSCordovaPluginVar.value = NOSCordovaPluginController.default.checkNOSCordovaPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkNOSCordovaPluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(NOSCordovaPlugin_PluginFlow_ShowWebViewListener_mvc_controller_OnDestroy_UnregisterCallbacksJS, "UnregisterCallbacks", "OnDestroy", null, function ($parameters) {
}, {}, {});
}

});
}).catch(function (ex) {
OS.Logger.trace("ShowWebViewListener.OnDestroy", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.returnAsync();

});
}

throw ex;
});
};

Controller.prototype.onReady$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onReady$Action, callContext);

};
Controller.prototype.onCallbackError$Action = function (errorIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onCallbackError$Action, callContext, errorIn);

};
Controller.prototype.onCallbackSuccess$Action = function (eventIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onCallbackSuccess$Action, callContext, eventIn);

};
Controller.prototype.onDestroy$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onDestroy$Action, callContext);

};
Controller.prototype.onSuccess$Action = function () {
return Promise.resolve();
};
Controller.prototype.onError$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onReady$Action(callContext);

};
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onDestroy$Action(callContext);

};
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return NOSCordovaPluginController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, NOSCordovaPluginLanguageResources);
});
define("NOSCordovaPlugin.PluginFlow.ShowWebViewListener.mvc$controller.OnReady.RegisterCallbacksJS", [], function () {
return function ($actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
require(["PluginManager"], function(module){
    
    var onReady = function(scope) {
        console.log("Running onReady");
        
        scope.showPluginCallback = {};

        scope.showPluginCallback.callbackError = scope.newCallback(function(error)
        {
            $actions.OnCallbackError(error);
        });

        scope.showPluginCallback.callbackSuccess = scope.newCallback(function() 
        {
            $actions.OnCallbackSuccess();
        });
    };
    
    var onDestroy = function(scope) {
        console.log("Running onDestroy");
    };
    
    module.createScope("Scope_NOSCordovaPlugin",  onReady, onDestroy);
    
    $resolve();
});

});
};
});
define("NOSCordovaPlugin.PluginFlow.ShowWebViewListener.mvc$controller.OnDestroy.UnregisterCallbacksJS", [], function () {
return function ($actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
require(["PluginManager"], function(module){
    
    console.log("About to destroy scope");
    module.destroyScope("Scope_NOSCordovaPlugin");
    
    $resolve();
});
});
};
});

