﻿define("NOSCordovaPlugin.model$HeaderRec", ["exports", "OutSystems", "NOSCordovaPlugin.model"], function (exports, OutSystems, NOSCordovaPluginModel) {
var OS = OutSystems.Internal;
var HeaderRec = (function (_super) {
__extends(HeaderRec, _super);
function HeaderRec(defaults) {
_super.apply(this, arguments);
}
HeaderRec.attributesToDeclare = function () {
return [
this.attr("Name", "nameAttr", "Name", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Value", "valueAttr", "Value", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
HeaderRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
HeaderRec.init();
return HeaderRec;
})(OS.DataTypes.GenericRecord);
NOSCordovaPluginModel.HeaderRec = HeaderRec;

});
define("NOSCordovaPlugin.model$HeaderRecord", ["exports", "OutSystems", "NOSCordovaPlugin.model", "NOSCordovaPlugin.model$HeaderRec"], function (exports, OutSystems, NOSCordovaPluginModel) {
var OS = OutSystems.Internal;
var HeaderRecord = (function (_super) {
__extends(HeaderRecord, _super);
function HeaderRecord(defaults) {
_super.apply(this, arguments);
}
HeaderRecord.attributesToDeclare = function () {
return [
this.attr("Header", "headerAttr", "Header", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new NOSCordovaPluginModel.HeaderRec());
}, NOSCordovaPluginModel.HeaderRec)
].concat(_super.attributesToDeclare.call(this));
};
HeaderRecord.fromStructure = function (str) {
return new HeaderRecord(new HeaderRecord.RecordClass({
headerAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
HeaderRecord.IsAnonymousRecord = true;
HeaderRecord.UniqueId = "65370d13-b3c1-a1b6-aca4-935ec4ff180a";
HeaderRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
HeaderRecord.init();
return HeaderRecord;
})(OS.DataTypes.GenericRecord);
NOSCordovaPluginModel.HeaderRecord = HeaderRecord;

});
define("NOSCordovaPlugin.model$HeaderList", ["exports", "OutSystems", "NOSCordovaPlugin.model", "NOSCordovaPlugin.model$HeaderRec"], function (exports, OutSystems, NOSCordovaPluginModel) {
var OS = OutSystems.Internal;
var HeaderList = (function (_super) {
__extends(HeaderList, _super);
function HeaderList(defaults) {
_super.apply(this, arguments);
}
HeaderList.RecordType = NOSCordovaPluginModel.HeaderRec;
return HeaderList;
})(OS.DataTypes.GenericRecordList);
NOSCordovaPluginModel.HeaderList = HeaderList;

});
define("NOSCordovaPlugin.model$HeaderRecordList", ["exports", "OutSystems", "NOSCordovaPlugin.model", "NOSCordovaPlugin.model$HeaderRecord"], function (exports, OutSystems, NOSCordovaPluginModel) {
var OS = OutSystems.Internal;
var HeaderRecordList = (function (_super) {
__extends(HeaderRecordList, _super);
function HeaderRecordList(defaults) {
_super.apply(this, arguments);
}
HeaderRecordList.RecordType = NOSCordovaPluginModel.HeaderRecord;
return HeaderRecordList;
})(OS.DataTypes.GenericRecordList);
NOSCordovaPluginModel.HeaderRecordList = HeaderRecordList;

});
define("NOSCordovaPlugin.model", ["exports", "OutSystems"], function (exports, OutSystems) {
var OS = OutSystems.Internal;
var NOSCordovaPluginModel = exports;
Object.defineProperty(NOSCordovaPluginModel, "module", {
get: function () {
return OS.ApplicationInfo.getModules()["3ea347f3-dcdb-46b9-97c2-25fa6b0341bc"];
}
});

NOSCordovaPluginModel.staticEntities = {};
});
