﻿define("ViewControllerPlugin.Main_ViewController.ViewController.mvc$model", ["OutSystems", "ViewControllerPlugin.model", "ViewControllerPlugin.controller", "ViewControllerPlugin.controller$DismissBrowser"], function (OutSystems, ViewControllerPluginModel, ViewControllerPluginController) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("Url", "urlIn", "Url", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_urlInDataFetchStatus", "_urlInDataFetchStatus", "_urlInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IsVisible", "isVisibleIn", "IsVisible", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_isVisibleInDataFetchStatus", "_isVisibleInDataFetchStatus", "_isVisibleInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ReaderMode", "readerModeIn", "ReaderMode", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_readerModeInDataFetchStatus", "_readerModeInDataFetchStatus", "_readerModeInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Hidden", "hiddenIn", "Hidden", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_hiddenInDataFetchStatus", "_hiddenInDataFetchStatus", "_hiddenInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Animated", "animatedIn", "Animated", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("_animatedInDataFetchStatus", "_animatedInDataFetchStatus", "_animatedInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("TintColor", "tintColorIn", "TintColor", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_tintColorInDataFetchStatus", "_tintColorInDataFetchStatus", "_tintColorInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("BarColor", "barColorIn", "BarColor", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_barColorInDataFetchStatus", "_barColorInDataFetchStatus", "_barColorInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ControlTintColor", "controlTintColorIn", "ControlTintColor", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_controlTintColorInDataFetchStatus", "_controlTintColorInDataFetchStatus", "_controlTintColorInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return false;
}
});

Model.prototype.setInputs = function (inputs) {
if("Url" in inputs) {
this.variables.urlIn = inputs.Url;
if("_urlInDataFetchStatus" in inputs) {
this.variables._urlInDataFetchStatus = inputs._urlInDataFetchStatus;
}

}

if("IsVisible" in inputs) {
this.variables.isVisibleIn = inputs.IsVisible;
if("_isVisibleInDataFetchStatus" in inputs) {
this.variables._isVisibleInDataFetchStatus = inputs._isVisibleInDataFetchStatus;
}

}

if("ReaderMode" in inputs) {
this.variables.readerModeIn = inputs.ReaderMode;
if("_readerModeInDataFetchStatus" in inputs) {
this.variables._readerModeInDataFetchStatus = inputs._readerModeInDataFetchStatus;
}

}

if("Hidden" in inputs) {
this.variables.hiddenIn = inputs.Hidden;
if("_hiddenInDataFetchStatus" in inputs) {
this.variables._hiddenInDataFetchStatus = inputs._hiddenInDataFetchStatus;
}

}

if("Animated" in inputs) {
this.variables.animatedIn = inputs.Animated;
if("_animatedInDataFetchStatus" in inputs) {
this.variables._animatedInDataFetchStatus = inputs._animatedInDataFetchStatus;
}

}

if("TintColor" in inputs) {
this.variables.tintColorIn = inputs.TintColor;
if("_tintColorInDataFetchStatus" in inputs) {
this.variables._tintColorInDataFetchStatus = inputs._tintColorInDataFetchStatus;
}

}

if("BarColor" in inputs) {
this.variables.barColorIn = inputs.BarColor;
if("_barColorInDataFetchStatus" in inputs) {
this.variables._barColorInDataFetchStatus = inputs._barColorInDataFetchStatus;
}

}

if("ControlTintColor" in inputs) {
this.variables.controlTintColorIn = inputs.ControlTintColor;
if("_controlTintColorInDataFetchStatus" in inputs) {
this.variables._controlTintColorInDataFetchStatus = inputs._controlTintColorInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("ViewControllerPlugin.Main_ViewController.ViewController.mvc$view", ["OutSystems", "ViewControllerPlugin.model", "ViewControllerPlugin.controller", "react", "OutSystemsReactView", "ViewControllerPlugin.Main_ViewController.ViewController.mvc$model", "ViewControllerPlugin.Main_ViewController.ViewController.mvc$controller", "ViewControllerPlugin.controller$DismissBrowser"], function (OutSystems, ViewControllerPluginModel, ViewControllerPluginController, React, OSView, ViewControllerPlugin_Main_ViewController_ViewController_mvc_model, ViewControllerPlugin_Main_ViewController_ViewController_mvc_controller) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Main_ViewController.ViewController";
        View.getCssDependencies = function() {
            return [];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return ViewControllerPlugin_Main_ViewController_ViewController_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return ViewControllerPlugin_Main_ViewController_ViewController_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties());
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("ViewControllerPlugin.Main_ViewController.ViewController.mvc$controller", ["OutSystems", "ViewControllerPlugin.model", "ViewControllerPlugin.controller", "ViewControllerPlugin.languageResources", "ViewControllerPlugin.Main_ViewController.ViewController.mvc$controller.OpenUrl.OpenURLJS", "ViewControllerPlugin.controller$DismissBrowser"], function (OutSystems, ViewControllerPluginModel, ViewControllerPluginController, ViewControllerPluginLanguageResources, ViewControllerPlugin_Main_ViewController_ViewController_mvc_controller_OpenUrl_OpenURLJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {
triggerOpened$Action: function () {
return controller.executeActionInsideJSNode(controller._triggerOpened$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
},
triggerLoaded$Action: function () {
return controller.executeActionInsideJSNode(controller._triggerLoaded$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
},
triggerClosed$Action: function () {
return controller.executeActionInsideJSNode(controller._triggerClosed$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
}
};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._triggerOpened$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("TriggerOpened");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: OnOpened
return controller.onOpened$Action(callContext);
});
};
Controller.prototype._onParametersChanged$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnParametersChanged");
callContext = controller.callContext(callContext);
if((model.variables.isVisibleIn)) {
// Execute Action: OpenUrl
controller._openUrl$Action(callContext);
} else {
// Execute Action: DismissBrowser
ViewControllerPluginController.default.dismissBrowser$Action(callContext);
}

};
Controller.prototype._triggerLoaded$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("TriggerLoaded");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: OnLoaded
return controller.onLoaded$Action(callContext);
});
};
Controller.prototype._triggerClosed$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("TriggerClosed");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: DismissBrowser
ViewControllerPluginController.default.dismissBrowser$Action(callContext);
// Trigger Event: OnClosed
return controller.onClosed$Action(callContext);
});
};
Controller.prototype._openUrl$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OpenUrl");
callContext = controller.callContext(callContext);
// Execute Action: LogMessage
OS.SystemActions.logMessage(("URL passado: " + model.variables.urlIn), "ViewCotnroller", callContext);
controller.safeExecuteJSNode(ViewControllerPlugin_Main_ViewController_ViewController_mvc_controller_OpenUrl_OpenURLJS, "OpenURL", "OpenUrl", {
ControlTintColor: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.controlTintColorIn, OS.Types.Text, true),
Url: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.urlIn, OS.Types.Text, true),
TintColor: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.tintColorIn, OS.Types.Text, true),
Animated: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.animatedIn, OS.Types.Boolean, true),
Transition: OS.DataTypes.JSConversions.basicTypeToJS("curl", OS.Types.Text, true),
ReaderMode: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.readerModeIn, OS.Types.Boolean, true),
BarColor: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.barColorIn, OS.Types.Text, true),
Hidden: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.hiddenIn, OS.Types.Boolean, true)
}, function ($parameters) {
}, {
TriggerOpened: controller.clientActionProxies.triggerOpened$Action,
TriggerLoaded: controller.clientActionProxies.triggerLoaded$Action,
TriggerClosed: controller.clientActionProxies.triggerClosed$Action
}, {});
};

Controller.prototype.triggerOpened$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._triggerOpened$Action, callContext);

};
Controller.prototype.onParametersChanged$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onParametersChanged$Action, callContext);

};
Controller.prototype.triggerLoaded$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._triggerLoaded$Action, callContext);

};
Controller.prototype.triggerClosed$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._triggerClosed$Action, callContext);

};
Controller.prototype.openUrl$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._openUrl$Action, callContext);

};
Controller.prototype.onLoaded$Action = function () {
return Promise.resolve();
};
Controller.prototype.onOpened$Action = function () {
return Promise.resolve();
};
Controller.prototype.onClosed$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onParametersChanged$Action(callContext);

};
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return ViewControllerPluginController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, ViewControllerPluginLanguageResources);
});
define("ViewControllerPlugin.Main_ViewController.ViewController.mvc$controller.OpenUrl.OpenURLJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
SafariViewController.isAvailable(function (available) {
    if (available) {
        SafariViewController.show({
            url: $parameters.Url,
            hidden: $parameters.Hidden,
            animated: $parameters.Animated, // default true, note that 'hide' will reuse this preference (the 'Done' button will always animate though)
            transition: $parameters.Transition,
            enterReaderModeIfAvailable: $parameters.ReaderMode,
            tintColor: $parameters.TintColor,
            barColor: $parameters.BarColor,
            controlTintColor: $parameters.ControlTintColor
          },
          // this success handler will be invoked for the lifecycle events 'opened', 'loaded' and 'closed'
          function(result) {
            if (result.event === 'opened') {
                
              $actions.TriggerOpened();
            
            } else if (result.event === 'loaded') {
                
                console.log("Loaded: "+window.location.href);
                
                $actions.TriggerLoaded(JSON.stringify(result));
              
            } else if (result.event === 'closed') {
                
                console.log("Closed: "+window.location.href);
              $actions.TriggerClosed(JSON.stringify(result));
            }
          },
          
          function(msg) {
            console.log("KO: " + msg);
          });
    } else {
      // potentially powered by InAppBrowser because that (currently) clobbers window.open
       window.WindowOpenInstance = window.open(url, '_blank', 'location=yes');
    }
  });
};
});

