﻿define("myNOS_MOB.Authorizations.AuthorizationManagement.mvc$model", ["OutSystems", "myNOS_MOB.model", "MobileUIWidgets.controller", "myNOS_MOB.controller", "MobilePatterns.controller", "myNOS_MBP.model", "MobileUIWidgets.controller$Warning", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobileUIWidgets", "MobileUIWidgets.controller$Error", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MOB.controller$Analytics_TrackException", "MobileUIWidgets.controller$Success", "myNOS_MOB.model$STR_AUTHORIZATION_INFOList", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.model$Local_ACCESS_TOKEN_INFORecordList", "myNOS_MBP.model$Local_ACCESS_TOKEN_INFORec", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.entities"], function (OutSystems, myNOS_MOBModel, MobileUIWidgetsController, myNOS_MOBController, MobilePatternsController, myNOS_MBPModel) {
var OS = OutSystems.Internal;

var GetAuthorizationsDataActRec = (function (_super) {
__extends(GetAuthorizationsDataActRec, _super);
function GetAuthorizationsDataActRec(defaults) {
_super.apply(this, arguments);
}
GetAuthorizationsDataActRec.attributesToDeclare = function () {
return [
this.attr("AuthorizationsComunicationChanel", "authorizationsComunicationChanelOut", "AuthorizationsComunicationChanel", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_AUTHORIZATION_INFOList());
}, myNOS_MOBModel.STR_AUTHORIZATION_INFOList), 
this.attr("AuthorizationsOthers", "authorizationsOthersOut", "AuthorizationsOthers", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_AUTHORIZATION_INFOList());
}, myNOS_MOBModel.STR_AUTHORIZATION_INFOList), 
this.attr("IdentificationInfo_IsSelected", "identificationInfo_IsSelectedOut", "IdentificationInfo_IsSelected", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("Success", "successOut", "Success", true, OS.Types.Boolean, function () {
return true;
})
].concat(_super.attributesToDeclare.call(this));
};
GetAuthorizationsDataActRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetAuthorizationsDataActRec.init();
return GetAuthorizationsDataActRec;
})(OS.Model.DataSourceRecord);

var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("CheckBoxOnChange", "checkBoxOnChangeVar", "CheckBoxOnChange", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("IsLoading", "isLoadingVar", "IsLoading", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("PageLoad_StartDateTime", "pageLoad_StartDateTimeVar", "PageLoad_StartDateTime", true, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("IsPopUpOpen", "isPopUpOpenVar", "IsPopUpOpen", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("Refresh_token", "refresh_tokenVar", "Refresh_token", true, OS.Types.Text, function () {
return "";
}), 
this.attr("StatusBarHexCode", "statusBarHexCodeVar", "StatusBarHexCode", true, OS.Types.Text, function () {
return myNOS_MOBModel.staticEntities.hEX_COLORS.blueDark;
}), 
this.attr("PersonId", "personIdIn", "PersonId", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_personIdInDataFetchStatus", "_personIdInDataFetchStatus", "_personIdInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("AssociationId", "associationIdIn", "AssociationId", true, OS.Types.LongInteger, function () {
return OS.DataTypes.LongInteger.defaultValue;
}), 
this.attr("_associationIdInDataFetchStatus", "_associationIdInDataFetchStatus", "_associationIdInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("EnablePreviousScreenLink", "enablePreviousScreenLinkIn", "EnablePreviousScreenLink", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_enablePreviousScreenLinkInDataFetchStatus", "_enablePreviousScreenLinkInDataFetchStatus", "_enablePreviousScreenLinkInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("GetAuthorizations", "getAuthorizationsDataAct", "getAuthorizationsDataAct", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetAuthorizationsDataActRec());
}, GetAuthorizationsDataActRec)
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {
Checkbox1: OS.Model.ValidationWidgetRecord,
RadioBtns6: OS.Model.ValidationWidgetRecord,
RadioBtns7: OS.Model.ValidationWidgetRecord
};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return true;
}
});

Model.prototype.setInputs = function (inputs) {
if("PersonId" in inputs) {
this.variables.personIdIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.PersonId, OS.Types.Text);
}

if("AssociationId" in inputs) {
this.variables.associationIdIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.AssociationId, OS.Types.LongInteger);
}

if("EnablePreviousScreenLink" in inputs) {
this.variables.enablePreviousScreenLinkIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.EnablePreviousScreenLink, OS.Types.Boolean);
}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Authorizations.AuthorizationManagement.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "MobileUIWidgets.controller", "MobilePatterns.controller", "myNOS_MBP.model", "react", "OutSystemsReactView", "myNOS_MOB.Authorizations.AuthorizationManagement.mvc$model", "myNOS_MOB.Authorizations.AuthorizationManagement.mvc$controller", "myNOS_MOB.Common.Waiting.mvc$view", "OutSystemsReactWidgets", "myNOS_MOB.CommonLayout.Layout_Lvl_3.mvc$view", "myNOS_MOB.CommonLayout.Header_L_Lvl_3.mvc$view", "myNOS_MOB.CommonLayout.Header_Title.mvc$view", "myNOS_MOB.Blocks.IntroText.mvc$view", "MobileUIWidgets.WidgetsContent.Card_new.mvc$view", "MobileUIWidgets.WidgetsContent.SectionExpandable_new.mvc$view", "MobileUIWidgets.WidgetsContent.RadioButtonV2.mvc$view", "MobileUIWidgets.WidgetsContent.RadioButtonItem.mvc$view", "myNOS_MOB.Common.BottomLvl3.mvc$view", "MobileUIWidgets.WidgetsContent.ButtonRipple.mvc$view", "MobileUIWidgets.WidgetsContent.PopUp_v2.mvc$view", "MobileUIWidgets.controller$Warning", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobileUIWidgets", "MobileUIWidgets.controller$Error", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MOB.controller$Analytics_TrackException", "MobileUIWidgets.controller$Success", "myNOS_MOB.model$STR_AUTHORIZATION_INFOList", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.model$Local_ACCESS_TOKEN_INFORecordList", "myNOS_MBP.model$Local_ACCESS_TOKEN_INFORec", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.entities"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, MobileUIWidgetsController, MobilePatternsController, myNOS_MBPModel, React, OSView, myNOS_MOB_Authorizations_AuthorizationManagement_mvc_model, myNOS_MOB_Authorizations_AuthorizationManagement_mvc_controller, myNOS_MOB_Common_Waiting_mvc_view, OSWidgets, myNOS_MOB_CommonLayout_Layout_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_Title_mvc_view, myNOS_MOB_Blocks_IntroText_mvc_view, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvc_view, MobileUIWidgets_WidgetsContent_RadioButtonV2_mvc_view, MobileUIWidgets_WidgetsContent_RadioButtonItem_mvc_view, myNOS_MOB_Common_BottomLvl3_mvc_view, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, MobileUIWidgets_WidgetsContent_PopUp_v2_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Authorizations.AuthorizationManagement";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css", "css/MobilePatterns.BaseTheme.css", "css/MobileThemes_MyNos.NOS_BaseTheme.css", "css/MobileThemes_MyNos.NOS_LightTheme.css", "css/myNOS_MOB.myNOS_MOB.css", "css/MobilePatterns.BaseTheme.extra.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_Common_Waiting_mvc_view, myNOS_MOB_CommonLayout_Layout_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_Title_mvc_view, myNOS_MOB_Blocks_IntroText_mvc_view, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvc_view, MobileUIWidgets_WidgetsContent_RadioButtonV2_mvc_view, MobileUIWidgets_WidgetsContent_RadioButtonItem_mvc_view, myNOS_MOB_Common_BottomLvl3_mvc_view, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, MobileUIWidgets_WidgetsContent_PopUp_v2_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Authorizations_AuthorizationManagement_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Authorizations_AuthorizationManagement_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "Gerir autorizacoes";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(myNOS_MOB_Common_Waiting_mvc_view, {
inputs: {
InitialStatusBarCode: model.variables.statusBarHexCodeVar,
IsLoading: model.variables.isLoadingVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}), React.createElement(myNOS_MOB_CommonLayout_Layout_Lvl_3_mvc_view, {
inputs: {
PageSection: "Alterar consentimentos",
PageNameUrl: "AuthorizationManagement",
StatusBarHexCode: model.variables.statusBarHexCodeVar,
KeepFeedbackMsg: true,
PageTitle: "Gerir autorizacoes",
MasterColorId: myNOS_MOBModel.staticEntities.mASTER_COLOR.blueDark,
IsNotErrorPage: true,
PageType: "Operacao"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
isConnectedEvent$Action: function (isConnectedIn) {
var eventHandlerContext = callContext.clone();
controller.layout_Lvl_3IsConnectedEvent$Action(controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
headerLeft: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvc_view, {
inputs: {
EnablePreviousScreenLink: model.variables.enablePreviousScreenLinkIn,
UseConfirmationMessage: model.variables.checkBoxOnChangeVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "2",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}),
headerTitle: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_CommonLayout_Header_Title_mvc_view, {
inputs: {
Title: "Gerir autorizações"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "3",
alias: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}),
headerRight: PlaceholderContent.Empty,
headerContent: PlaceholderContent.Empty,
content: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_Blocks_IntroText_mvc_view, {
inputs: {
Text: "Atualize os consentimentos de tratamento de dados pessoais para que possa receber todas as novidades sobre os produtos e serviços NOS.  Estes são os meios de contacto."
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "4",
alias: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "ph-16 mb-16",
visible: true,
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider
}, $if(!(model.variables.getAuthorizationsDataAct.authorizationsOthersOut.isEmpty), false, this, function () {
return [React.createElement(OSWidgets.List, {
animateItems: true,
gridProperties: {
classes: "OSFillParent"
},
mode: /*Default*/ 0,
source: model.variables.getAuthorizationsDataAct.authorizationsOthersOut,
style: "\"list list-group\"",
tag: "div",
_idProps: {
service: idService,
uuid: "6"
},
_widgetRecordProvider: widgetsRecordProvider,
source_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr),
placeholders: {
content: new IteratorPlaceholderContent(function (idService, callContext) {
return [React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasRightSide: false,
HasLeftSide: false,
StyleClass: "-paddingEqual"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "7",
alias: "6"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
className: model.getCachedValue(idService.getId("kmwwNcSn9kKexWrJr4+l2Q.class"), function () {
return (((model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrentRowNumber(callContext.iterationContext) === 0)) ? ("") : (" mt-2"));
}, function () {
return model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrentRowNumber(callContext.iterationContext);
})
},
visible: true,
_idProps: {
service: idService,
uuid: "8"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_SectionExpandable_new_mvc_view, {
inputs: {
ArrowStyleClass: " a-icon -xSmall -noTop",
HasIcon: true,
IsTitleTruncated: false,
StyleClass: "-noBorder -titleSpacer"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "9",
alias: "7"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
title: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Expression, {
style: "text -dark -bold -large",
value: model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).labelAttr,
_idProps: {
service: idService,
uuid: "10"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr)
})];
}),
content: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "pt-16",
visible: true,
_idProps: {
service: idService,
uuid: "11"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "text -mediumGray d-block",
value: model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).descriptionAttr,
_idProps: {
service: idService,
uuid: "12"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr)
}))];
})
},
_dependencies: [asPrimitiveValue(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).descriptionAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).labelAttr)]
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "13"
},
_widgetRecordProvider: widgetsRecordProvider
}, $if((model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).nameAttr === "Comunicações NOS - Dados de Identificação"), false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-16 mb-8",
visible: true,
_idProps: {
service: idService,
uuid: "14"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Checkbox, {
_validationProps: {
validationService: validationService
},
enabled: true,
onChange: function () {
var eventHandlerContext = callContext.clone();
controller.checkbox1OnChange$Action(controller.callContext(eventHandlerContext));

;
},
style: model.getCachedValue(idService.getId("Checkbox1.Style"), function () {
return ("checkbox a-checkBox d-inline-block va-sub mr-8 " + ((model.variables.getAuthorizationsDataAct.identificationInfo_IsSelectedOut) ? ("icon-checkbox-on -checked") : ("icon-checkbox-off")));
}, function () {
return model.variables.getAuthorizationsDataAct.identificationInfo_IsSelectedOut;
}),
variable: model.createVariable(OS.Types.Boolean, model.variables.getAuthorizationsDataAct.identificationInfo_IsSelectedOut, function (value) {
model.variables.getAuthorizationsDataAct.identificationInfo_IsSelectedOut = value;
}),
_idProps: {
service: idService,
name: "Checkbox1"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr),
variable_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr)
}), React.createElement(OSWidgets.Label, {
gridProperties: {
classes: "ThemeGrid_MarginGutter"
},
targetWidget: "Checkbox1",
_idProps: {
service: idService,
uuid: "16"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "text -light c-black -big d-inline-block",
value: model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).option1LabelAttr,
_idProps: {
service: idService,
uuid: "17"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr)
})))];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-24",
visible: true,
_idProps: {
service: idService,
uuid: "18"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_RadioButtonV2_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
radioButtonOnChange$Action: function (activeValueIn) {
var eventHandlerContext = callContext.clone();
controller.radioBtnsOnChange$Action(controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "19",
alias: "8"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
placeholder1: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.ButtonGroup, {
_validationProps: {
validationService: validationService
},
enabled: true,
mandatory: false,
onChange: function () {
var eventHandlerContext = callContext.clone();
controller.radioBtnsOnChange$Action(controller.callContext(eventHandlerContext));

;
},
style: "button-group a-radioButtonContainer",
variable: model.createVariable(OS.Types.Text, model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).selectedValueAttr, function (value) {
model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).selectedValueAttr = value;
}),
_idProps: {
service: idService,
name: "RadioBtns6"
},
_widgetRecordProvider: widgetsRecordProvider,
variable_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr)
}, React.createElement(OSWidgets.ButtonGroupItem, {
enabled: true,
style: "button-group-item a-radioButton d-block",
value: model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).option1ValueAttr,
visible: true,
_idProps: {
service: idService,
name: "ButtonGroupItem11"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr)
}, React.createElement(MobileUIWidgets_WidgetsContent_RadioButtonItem_mvc_view, {
inputs: {
ItemValue: model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).option1ValueAttr,
_itemValueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr),
Label: model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).option1LabelAttr,
_labelInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr),
ActiveItemValue: model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).selectedValueAttr,
_activeItemValueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "22",
alias: "9"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})), React.createElement(OSWidgets.ButtonGroupItem, {
enabled: true,
style: "button-group-item a-radioButton d-block mt-8",
value: model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).option2ValueAttr,
visible: true,
_idProps: {
service: idService,
name: "ButtonGroupItem12"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr)
}, React.createElement(MobileUIWidgets_WidgetsContent_RadioButtonItem_mvc_view, {
inputs: {
ItemValue: model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).option2ValueAttr,
_itemValueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr),
ActiveItemValue: model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).selectedValueAttr,
_activeItemValueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr),
Label: model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).option2LabelAttr,
_labelInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "24",
alias: "10"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})))];
})
},
_dependencies: [asPrimitiveValue(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).option2LabelAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).option2ValueAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).option1LabelAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).option1ValueAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).selectedValueAttr)]
}))];
})))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.identificationInfo_IsSelectedOut), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).option2LabelAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).option2ValueAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).option1ValueAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).selectedValueAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).option1LabelAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).nameAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).descriptionAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).labelAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrentRowNumber(callContext.iterationContext))]
})];
}, callContext, idService, "1")
},
_dependencies: [asPrimitiveValue(model.variables.getAuthorizationsDataAct.identificationInfo_IsSelectedOut), asPrimitiveValue(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr)]
})];
}, function () {
return [];
}), $if(!(model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.isEmpty), false, this, function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasRightSide: false,
StyleClass: "-paddingEqual mt-2",
HasLeftSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "25",
alias: "11"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "26"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Text, {
style: "text -dark -bold -large",
text: ["Canais de comunicação"],
_idProps: {
service: idService,
uuid: "27"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.List, {
animateItems: true,
gridProperties: {
classes: "OSFillParent"
},
mode: /*Default*/ 0,
source: model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut,
style: "\"list list-group\"",
tag: "div",
_idProps: {
service: idService,
uuid: "28"
},
_widgetRecordProvider: widgetsRecordProvider,
source_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr),
placeholders: {
content: new IteratorPlaceholderContent(function (idService, callContext) {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-24",
visible: true,
_idProps: {
service: idService,
uuid: "29"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: [asPrimitiveValue(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).option2LabelAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).option2ValueAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).option1LabelAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).option1ValueAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).selectedValueAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).labelAttr)]
}, React.createElement(OSWidgets.Expression, {
style: "text -big -light d-block mb-8",
value: model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).labelAttr,
_idProps: {
service: idService,
uuid: "30"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr)
}), React.createElement(MobileUIWidgets_WidgetsContent_RadioButtonV2_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
radioButtonOnChange$Action: function (activeValueIn) {
var eventHandlerContext = callContext.clone();
controller.radioBtnsOnChange$Action(controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "31",
alias: "12"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
placeholder1: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.ButtonGroup, {
_validationProps: {
validationService: validationService
},
enabled: true,
mandatory: false,
onChange: function () {
var eventHandlerContext = callContext.clone();
controller.radioBtnsOnChange$Action(controller.callContext(eventHandlerContext));

;
},
style: "button-group a-radioButtonContainer",
variable: model.createVariable(OS.Types.Text, model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).selectedValueAttr, function (value) {
model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).selectedValueAttr = value;
}),
_idProps: {
service: idService,
name: "RadioBtns7"
},
_widgetRecordProvider: widgetsRecordProvider,
variable_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr)
}, React.createElement(OSWidgets.ButtonGroupItem, {
enabled: true,
style: "button-group-item a-radioButton d-block",
value: model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).option1ValueAttr,
visible: true,
_idProps: {
service: idService,
name: "ButtonGroupItem13"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr)
}, React.createElement(MobileUIWidgets_WidgetsContent_RadioButtonItem_mvc_view, {
inputs: {
ItemValue: model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).option1ValueAttr,
_itemValueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr),
Label: model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).option1LabelAttr,
_labelInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr),
ActiveItemValue: model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).selectedValueAttr,
_activeItemValueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "34",
alias: "13"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})), React.createElement(OSWidgets.ButtonGroupItem, {
enabled: true,
style: "button-group-item a-radioButton d-block mt-8",
value: model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).option2ValueAttr,
visible: true,
_idProps: {
service: idService,
name: "ButtonGroupItem14"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr)
}, React.createElement(MobileUIWidgets_WidgetsContent_RadioButtonItem_mvc_view, {
inputs: {
ActiveItemValue: model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).selectedValueAttr,
_activeItemValueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr),
Label: model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).option2LabelAttr,
_labelInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr),
ItemValue: model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).option2ValueAttr,
_itemValueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "36",
alias: "14"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})))];
})
},
_dependencies: [asPrimitiveValue(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).option2LabelAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).option2ValueAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).option1LabelAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).option1ValueAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.getCurrent(callContext.iterationContext).selectedValueAttr)]
}))];
}, callContext, idService, "2")
},
_dependencies: [asPrimitiveValue(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr)]
}))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut)]
})];
}, function () {
return [];
}))];
}),
bottom: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_Common_BottomLvl3_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "37",
alias: "15"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
content: new PlaceholderContent(function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "38",
alias: "16"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: true,
onClick: function () {
var eventHandlerContext = callContext.clone();
controller.togglePopUp$Action(controller.callContext(eventHandlerContext));

;
},
style: "btn a-btn -primary btn-primary w-100",
visible: true,
_idProps: {
service: idService,
uuid: "39"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Gravar alterações", React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "40"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: []
})];
})
},
_dependencies: []
}), React.createElement(MobileUIWidgets_WidgetsContent_PopUp_v2_mvc_view, {
inputs: {
HeaderText: "Gravar Alterações",
InitialStatusBarColor: model.variables.statusBarHexCodeVar,
HasHeader: true,
HasCloseIcon: false,
ShowPopUp: model.variables.isPopUpOpenVar,
HasStatusBarPlugin: true
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
closePopUp$Action: function () {
var eventHandlerContext = callContext.clone();
controller.togglePopUp$Action(controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "41",
alias: "17"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
popUpContent: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "42"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead",
value: "A alteração é transversal a todos os serviços de que é titular na NOS Comunicações e ocorre no prazo máximo de 30 dias. Pretende avançar?",
_idProps: {
service: idService,
uuid: "43"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-24 gridRow",
visible: true,
_idProps: {
service: idService,
uuid: "44"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6",
visible: true,
_idProps: {
service: idService,
uuid: "45"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "46",
alias: "18"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: true,
onClick: function () {
var eventHandlerContext = callContext.clone();
controller.togglePopUp$Action(controller.callContext(eventHandlerContext));

;
},
style: "btn a-btn w-100",
visible: true,
_idProps: {
service: idService,
uuid: "47"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Cancelar", React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "48"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: []
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6",
visible: true,
_idProps: {
service: idService,
uuid: "49"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "50",
alias: "19"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.saveAuthorizations$Action(controller.callContext(eventHandlerContext));
});
;
},
style: "btn a-btn -primary btn-primary w-100",
visible: true,
_idProps: {
service: idService,
uuid: "51"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Confirmar", React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "52"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: []
}))))];
})
},
_dependencies: []
})];
})
},
_dependencies: [asPrimitiveValue(model.variables.isPopUpOpenVar), asPrimitiveValue(model.variables.statusBarHexCodeVar), asPrimitiveValue(model.variables.getAuthorizationsDataAct.dataFetchStatusAttr), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut), asPrimitiveValue(model.variables.getAuthorizationsDataAct.identificationInfo_IsSelectedOut), asPrimitiveValue(model.variables.getAuthorizationsDataAct.authorizationsOthersOut), asPrimitiveValue(model.variables.checkBoxOnChangeVar), asPrimitiveValue(model.variables.enablePreviousScreenLinkIn)]
}));
        };
        return View;
    })(OSView.BaseView.BaseWebScreen);
	
    return View;
});
define("myNOS_MOB.Authorizations.AuthorizationManagement.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "MobileUIWidgets.controller", "MobilePatterns.controller", "myNOS_MBP.model", "myNOS_MOB.languageResources", "myNOS_MOB.Authorizations.controller", "MobileUIWidgets.controller$Warning", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobileUIWidgets", "MobileUIWidgets.controller$Error", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MOB.controller$Analytics_TrackException", "MobileUIWidgets.controller$Success", "myNOS_MOB.model$STR_AUTHORIZATION_INFOList", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.model$Local_ACCESS_TOKEN_INFORecordList", "myNOS_MBP.model$Local_ACCESS_TOKEN_INFORec", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.entities"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, MobileUIWidgetsController, MobilePatternsController, myNOS_MBPModel, myNOS_MOBLanguageResources, myNOS_MOB_AuthorizationsController) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions
Controller.prototype.setAuthorizationsByPersonId_BP$ServerAction = function (refreshTokenIn, associationIdIn, processIn, personIdIn, authorizationsIn, callContext) {
var controller = this.controller;
var inputs = {
RefreshToken: OS.DataTypes.JSConversions.basicTypeToJS(refreshTokenIn, OS.Types.Text),
AssociationId: OS.DataTypes.JSConversions.basicTypeToJS(associationIdIn, OS.Types.LongInteger),
Process: OS.DataTypes.JSConversions.basicTypeToJS(processIn, OS.Types.Text),
PersonId: OS.DataTypes.JSConversions.basicTypeToJS(personIdIn, OS.Types.Text),
Authorizations: authorizationsIn.toJS()
};
return controller.callServerAction("SetAuthorizationsByPersonId_BP", "screenservices/myNOS_MOB/Authorizations/AuthorizationManagement/ActionSetAuthorizationsByPersonId_BP", "7Vc8oRKdMKoAPUoqFk12kw", inputs, controller.callContext(callContext)).then(function (outputs) {
var executeServerActionResult = new (controller.constructor.getVariableGroupType("myNOS_MOB.Authorizations.AuthorizationManagement$rssespacemynos_bp_ActionSetAuthorizationsByPersonId_BP"))();
executeServerActionResult.successOut = OS.DataTypes.JSConversions.jsToBasicType(outputs.Success, OS.Types.Boolean);
executeServerActionResult.messageOut = OS.DataTypes.JSConversions.jsToBasicType(outputs.Message, OS.Types.Text);
return executeServerActionResult;
});
};
Controller.registerVariableGroupType("myNOS_MOB.Authorizations.AuthorizationManagement$rssespacemynos_bp_ActionSetAuthorizationsByPersonId_BP", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return true;
}
}, {
name: "Message",
attrName: "messageOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);

// Aggregates and Data Actions
Controller.prototype.getAuthorizations$DataActRefresh = function () {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();
return controller.callDataAction("DataActionGetAuthorizations", "screenservices/myNOS_MOB/Authorizations/AuthorizationManagement/DataActionGetAuthorizations", "c0I039woaAfP0S1pTCPNNQ", function (b) {
model.variables.getAuthorizationsDataAct.dataFetchStatusAttr = b;
}, function (json) {
model.variables.getAuthorizationsDataAct.fromJS(json);
}, undefined).then(function () {
controller._getAuthorizationsOnAfterFetch$Action(controller.callContext(callContext));
});
};

Controller.prototype.dataFetchActionNames = ["getAuthorizations$DataActRefresh"];
// Client Actions
Controller.prototype._getAuthorizationsOnAfterFetch$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GetAuthorizationsOnAfterFetch");
callContext = controller.callContext(callContext);
// Success?
if(((model.variables.getAuthorizationsDataAct.successOut && (!(model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut.isEmpty) || !(model.variables.getAuthorizationsDataAct.authorizationsOthersOut.isEmpty))))) {
// IsLoading = False
model.variables.isLoadingVar = false;
} else {
// Execute Action: Warning2
MobileUIWidgetsController.default.warning$Action("Não foi possível obter as autorizações", callContext);
// Destination: /myNOS_MOB/Privacy
return OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/Privacy", {
EnablePreviousScreenLink: false
}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.SlideFromTop), callContext, true);
}

};
Controller.prototype._checkbox1OnChange$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Checkbox1OnChange");
callContext = controller.callContext(callContext);
// GetAuthorizations.AuthorizationsOthers.Current.SelectedValue = If
model.variables.getAuthorizationsDataAct.authorizationsOthersOut.getCurrent(callContext.iterationContext).selectedValueAttr = ((model.variables.getAuthorizationsDataAct.identificationInfo_IsSelectedOut) ? ("Autoriza") : ("Não Autoriza"));
// CheckBoxOnChange = True
model.variables.checkBoxOnChangeVar = true;
};
Controller.prototype._layout_Lvl_3IsConnectedEvent$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Layout_Lvl_3IsConnectedEvent");
callContext = controller.callContext(callContext);
};
Controller.prototype._saveAuthorizations$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("SaveAuthorizations");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.Authorizations.AuthorizationManagement.SaveAuthorizations$vars"))());
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var communicationExceptionVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var setAuthorizationsByPersonId_INTVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: TogglePopUp
controller._togglePopUp$Action(callContext);
// IsLoading = True
model.variables.isLoadingVar = true;
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("Gerir_autorizacoes", "Gravar_alteracoes", 0, "", callContext).then(function () {
// Execute Action: ListAppendAll
OS.SystemActions.listAppendAll(vars.value.authorizationsVar, model.variables.getAuthorizationsDataAct.authorizationsComunicationChanelOut, callContext);
// Execute Action: ListAppendAll2
OS.SystemActions.listAppendAll(vars.value.authorizationsVar, model.variables.getAuthorizationsDataAct.authorizationsOthersOut, callContext);
// Execute Action: SetAuthorizationsByPersonId_INT
model.flush();
return controller.setAuthorizationsByPersonId_BP$ServerAction(model.variables.refresh_tokenVar, model.variables.associationIdIn, "Authorization Management", model.variables.personIdIn, vars.value.authorizationsVar, callContext).then(function (value) {
setAuthorizationsByPersonId_INTVar.value = value;
});
}).then(function () {
// Success?
if((setAuthorizationsByPersonId_INTVar.value.successOut)) {
// Execute Action: Success2
MobileUIWidgetsController.default.success$Action("Autorizações gravadas com sucesso", callContext);
// CheckBoxOnChange = False
model.variables.checkBoxOnChangeVar = false;
// Destination: /myNOS_MOB/Privacy
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/Privacy", {
EnablePreviousScreenLink: false
}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.SlideFromTop), callContext, true));
} else {
// Execute Action: Error2
MobileUIWidgetsController.default.error$Action(setAuthorizationsByPersonId_INTVar.value.messageOut, callContext);
// IsLoading = False
model.variables.isLoadingVar = false;
}

});
}).catch(function (ex) {
OS.Logger.trace("AuthorizationManagement.SaveAuthorizations", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: CommunicationException
if(OS.Exceptions.isInstanceOf(ex, OS.Exceptions.Exceptions.CommunicationException)) {
OS.Logger.error(null, ex);
communicationExceptionVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_TrackException2
myNOS_MOBController.default.analytics_TrackException$Action(communicationExceptionVar.value.exceptionMessageAttr, true, callContext);
if((MobilePatternsController.default.getNetworkStatus$Action(callContext.withoutIterationContext()).isOnlineOut)) {
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Error23
MobileUIWidgetsController.default.error$Action(communicationExceptionVar.value.exceptionMessageAttr, callContext);
return OS.Flow.returnAsync();

} else {
// Destination: /myNOS_MOB/NoConnection
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/NoConnection", {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true));
}

});
}

// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Error22
MobileUIWidgetsController.default.error$Action("Não foi possível gravar as autorizações", callContext);
// Execute Action: Analytics_TrackException
myNOS_MOBController.default.analytics_TrackException$Action(allExceptionsVar.value.exceptionMessageAttr, true, callContext);
// IsLoading = False
model.variables.isLoadingVar = false;
return OS.Flow.returnAsync();

});
}

throw ex;
});
};
Controller.registerVariableGroupType("myNOS_MOB.Authorizations.AuthorizationManagement.SaveAuthorizations$vars", [{
name: "Authorizations",
attrName: "authorizationsVar",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new myNOS_MOBModel.STR_AUTHORIZATION_INFOList();
},
complexType: myNOS_MOBModel.STR_AUTHORIZATION_INFOList
}]);
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
var getLocalACCESSTOKENINFOESVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_ACCESS_TOKEN_INFORecordList))());
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.executeSequence(function () {
if((((OS.BuiltinFunctions.trim(model.variables.personIdIn)) !== ("")))) {
// Aggregate: GetLocalACCESSTOKENINFOES
var getLocalACCESSTOKENINFOESAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_ACCESS_TOKEN_INFORecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1";
} else {
selectSql += "ENLocal_ACCESS_TOKEN_INFO.\"Id\" o0, ENLocal_ACCESS_TOKEN_INFO.\"Refresh_token\" o1";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_ACCESS_TOKEN_INFO\" ENLocal_ACCESS_TOKEN_INFO";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_ACCESS_TOKEN_INFORecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_ACCESS_TOKEN_INFOAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalACCESSTOKENINFOESVar.value;
});
};
return getLocalACCESSTOKENINFOESAggr().then(function () {
// PageLoad_StartDateTime = CurrDateTime
model.variables.pageLoad_StartDateTimeVar = OS.BuiltinFunctions.currDateTime();
// CheckBoxOnChange = False
model.variables.checkBoxOnChangeVar = false;
// Refresh_token = GetLocalACCESSTOKENINFOES.List.Current.Local_ACCESS_TOKEN_INFO.Refresh_token
model.variables.refresh_tokenVar = getLocalACCESSTOKENINFOESVar.value.listOut.getCurrent(callContext.iterationContext).local_ACCESS_TOKEN_INFOAttr.refresh_tokenAttr;
});
} else {
// Execute Action: Warning2
MobileUIWidgetsController.default.warning$Action("Não foi possível obter as autorizações", callContext);
// Destination: /myNOS_MOB/Privacy
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/Privacy", {
EnablePreviousScreenLink: false
}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.SlideFromTop), callContext, true));
}

});
});
};
Controller.prototype._togglePopUp$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("TogglePopUp");
callContext = controller.callContext(callContext);
// IsPopUpOpen = notIsPopUpOpen
model.variables.isPopUpOpenVar = !(model.variables.isPopUpOpenVar);
};
Controller.prototype._radioBtnsOnChange$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("RadioBtnsOnChange");
callContext = controller.callContext(callContext);
// CheckBoxOnChange = True
model.variables.checkBoxOnChangeVar = true;
};

Controller.prototype.getAuthorizationsOnAfterFetch$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._getAuthorizationsOnAfterFetch$Action, callContext);

};
Controller.prototype.checkbox1OnChange$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._checkbox1OnChange$Action, callContext);

};
Controller.prototype.layout_Lvl_3IsConnectedEvent$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._layout_Lvl_3IsConnectedEvent$Action, callContext);

};
Controller.prototype.saveAuthorizations$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._saveAuthorizations$Action, callContext);

};
Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};
Controller.prototype.togglePopUp$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._togglePopUp$Action, callContext);

};
Controller.prototype.radioBtnsOnChange$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._radioBtnsOnChange$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return myNOS_MOB_AuthorizationsController.default.handleError(ex, this.callContext());
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

