﻿define("myNOS_MOB.Blocks.DirectDebitMarketingItem.mvc$model", ["OutSystems", "myNOS_MOB.model"], function (OutSystems, myNOS_MOBModel) {
var OS = OutSystems.Internal;

var GetDirectDebitMarketingImageBinaryDataActRec = (function (_super) {
__extends(GetDirectDebitMarketingImageBinaryDataActRec, _super);
function GetDirectDebitMarketingImageBinaryDataActRec(defaults) {
_super.apply(this, arguments);
}
GetDirectDebitMarketingImageBinaryDataActRec.attributesToDeclare = function () {
return [
this.attr("Binary", "binaryOut", "Binary", true, OS.Types.BinaryData, function () {
return OS.DataTypes.BinaryData.defaultValue;
})
].concat(_super.attributesToDeclare.call(this));
};
GetDirectDebitMarketingImageBinaryDataActRec.fromStructure = function (str) {
return new GetDirectDebitMarketingImageBinaryDataActRec(new GetDirectDebitMarketingImageBinaryDataActRec.RecordClass({
binaryOut: OS.DataTypes.ImmutableBase.getData(str)
}));
};
GetDirectDebitMarketingImageBinaryDataActRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetDirectDebitMarketingImageBinaryDataActRec.init();
return GetDirectDebitMarketingImageBinaryDataActRec;
})(OS.Model.DataSourceRecord);

var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("DirectDebitMarketingImageId", "directDebitMarketingImageIdIn", "DirectDebitMarketingImageId", true, OS.Types.LongInteger, function () {
return OS.DataTypes.LongInteger.defaultValue;
}), 
this.attr("_directDebitMarketingImageIdInDataFetchStatus", "_directDebitMarketingImageIdInDataFetchStatus", "_directDebitMarketingImageIdInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("GetDirectDebitMarketingImageBinary", "getDirectDebitMarketingImageBinaryDataAct", "getDirectDebitMarketingImageBinaryDataAct", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetDirectDebitMarketingImageBinaryDataActRec());
}, GetDirectDebitMarketingImageBinaryDataActRec)
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return false;
}
});

Model.prototype.setInputs = function (inputs) {
if("DirectDebitMarketingImageId" in inputs) {
this.variables.directDebitMarketingImageIdIn = inputs.DirectDebitMarketingImageId;
if("_directDebitMarketingImageIdInDataFetchStatus" in inputs) {
this.variables._directDebitMarketingImageIdInDataFetchStatus = inputs._directDebitMarketingImageIdInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Blocks.DirectDebitMarketingItem.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "react", "OutSystemsReactView", "myNOS_MOB.Blocks.DirectDebitMarketingItem.mvc$model", "myNOS_MOB.Blocks.DirectDebitMarketingItem.mvc$controller", "OutSystemsReactWidgets"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, React, OSView, myNOS_MOB_Blocks_DirectDebitMarketingItem_mvc_model, myNOS_MOB_Blocks_DirectDebitMarketingItem_mvc_controller, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Blocks.DirectDebitMarketingItem";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Blocks_DirectDebitMarketingItem_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Blocks_DirectDebitMarketingItem_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-2 -noPaddingLeft text-center",
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider
}, $if(model.variables.directDebitMarketingImageIdIn.equals(OS.BuiltinFunctions.integerToLongInteger(OS.BuiltinFunctions.nullIdentifier())), false, this, function () {
return [React.createElement(OSWidgets.Image, {
type: /*External*/ 1,
url: "https://via.placeholder.com/60x60",
_idProps: {
service: idService,
uuid: "1"
},
_widgetRecordProvider: widgetsRecordProvider
})];
}, function () {
return [React.createElement(OSWidgets.Image, {
imageContent: model.variables.getDirectDebitMarketingImageBinaryDataAct.binaryOut,
type: /*Binary*/ 2,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
imageContent_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getDirectDebitMarketingImageBinaryDataAct.dataFetchStatusAttr)
})];
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-10 -noPaddingRight",
visible: true,
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Left*/ 1,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.titlePlaceholder,
gridProperties: {
classes: "OSInline"
},
style: "h3 c-black -bold mb-8 d-block",
_idProps: {
service: idService,
name: "TitlePlaceholder"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Container, {
align: /*Left*/ 1,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "6"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.textPlaceholder,
gridProperties: {
classes: "OSInline"
},
style: "a-textRead",
_idProps: {
service: idService,
name: "TextPlaceholder"
},
_widgetRecordProvider: widgetsRecordProvider
}))));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.Blocks.DirectDebitMarketingItem.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MOB.languageResources"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions
Controller.prototype.getDirectDebitMarketingImageBinary$DataActRefresh = function () {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();
return controller.callDataAction("DataActionGetDirectDebitMarketingImageBinary", "screenservices/myNOS_MOB/Blocks/DirectDebitMarketingItem/DataActionGetDirectDebitMarketingImageBinary", "tpVx3mWPKnjg2pjcIePB+w", function (b) {
model.variables.getDirectDebitMarketingImageBinaryDataAct.dataFetchStatusAttr = b;
}, function (json) {
model.variables.getDirectDebitMarketingImageBinaryDataAct.fromJS(json);
}, undefined);
};

Controller.prototype.dataFetchActionNames = ["getDirectDebitMarketingImageBinary$DataActRefresh"];
// Client Actions
Controller.prototype._onParametersChanged$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnParametersChanged");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Refresh Query: GetDirectDebitMarketingImageBinary
var result = controller.getDirectDebitMarketingImageBinary$DataActRefresh();
model.flush();
return result;
});
};
Controller.prototype._onRender$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnRender");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: RenderingFinished
return controller.renderingFinished$Action(callContext);
});
};

Controller.prototype.onParametersChanged$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onParametersChanged$Action, callContext);

};
Controller.prototype.onRender$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onRender$Action, callContext);

};
Controller.prototype.renderingFinished$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onRender$Action(callContext);

};
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onParametersChanged$Action(callContext);

};
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

