﻿define("myNOS_MOB.Blocks.FavoriteDropdown.mvc$model", ["OutSystems", "myNOS_MOB.model", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$model", "myNOS_MOB.Blocks.HeaderContextItem.mvc$model", "myNOS_MOB.model$STR_Favorite_SelectorList"], function (OutSystems, myNOS_MOBModel, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvcModel, myNOS_MOB_Blocks_HeaderContextItem_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("IsExpanded", "isExpandedVar", "IsExpanded", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("Title", "titleVar", "Title", true, OS.Types.Text, function () {
return "";
}), 
this.attr("SubTitle", "subTitleVar", "SubTitle", true, OS.Types.Text, function () {
return "";
}), 
this.attr("LastIDSelected", "lastIDSelectedVar", "LastIDSelected", true, OS.Types.Text, function () {
return "";
}), 
this.attr("StyleClass", "styleClassIn", "StyleClass", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_styleClassInDataFetchStatus", "_styleClassInDataFetchStatus", "_styleClassInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("STR_Favorite_SelectorList", "sTR_Favorite_SelectorListIn", "STR_Favorite_SelectorList", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_Favorite_SelectorList());
}, myNOS_MOBModel.STR_Favorite_SelectorList), 
this.attr("_sTR_Favorite_SelectorListInDataFetchStatus", "_sTR_Favorite_SelectorListInDataFetchStatus", "_sTR_Favorite_SelectorListInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("DropdownEnabled", "dropdownEnabledIn", "DropdownEnabled", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_dropdownEnabledInDataFetchStatus", "_dropdownEnabledInDataFetchStatus", "_dropdownEnabledInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("TitleClass", "titleClassIn", "TitleClass", true, OS.Types.Text, function () {
return "header-cardLabel";
}), 
this.attr("_titleClassInDataFetchStatus", "_titleClassInDataFetchStatus", "_titleClassInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("SubtitleClass", "subtitleClassIn", "SubtitleClass", true, OS.Types.Text, function () {
return "header-cardHighlight";
}), 
this.attr("_subtitleClassInDataFetchStatus", "_subtitleClassInDataFetchStatus", "_subtitleClassInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = (MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvcModel.hasValidationWidgets || myNOS_MOB_Blocks_HeaderContextItem_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("StyleClass" in inputs) {
this.variables.styleClassIn = inputs.StyleClass;
if("_styleClassInDataFetchStatus" in inputs) {
this.variables._styleClassInDataFetchStatus = inputs._styleClassInDataFetchStatus;
}

}

if("STR_Favorite_SelectorList" in inputs) {
this.variables.sTR_Favorite_SelectorListIn = inputs.STR_Favorite_SelectorList;
if("_sTR_Favorite_SelectorListInDataFetchStatus" in inputs) {
this.variables._sTR_Favorite_SelectorListInDataFetchStatus = inputs._sTR_Favorite_SelectorListInDataFetchStatus;
}

}

if("DropdownEnabled" in inputs) {
this.variables.dropdownEnabledIn = inputs.DropdownEnabled;
if("_dropdownEnabledInDataFetchStatus" in inputs) {
this.variables._dropdownEnabledInDataFetchStatus = inputs._dropdownEnabledInDataFetchStatus;
}

}

if("TitleClass" in inputs) {
this.variables.titleClassIn = inputs.TitleClass;
if("_titleClassInDataFetchStatus" in inputs) {
this.variables._titleClassInDataFetchStatus = inputs._titleClassInDataFetchStatus;
}

}

if("SubtitleClass" in inputs) {
this.variables.subtitleClassIn = inputs.SubtitleClass;
if("_subtitleClassInDataFetchStatus" in inputs) {
this.variables._subtitleClassInDataFetchStatus = inputs._subtitleClassInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Blocks.FavoriteDropdown.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "react", "OutSystemsReactView", "myNOS_MOB.Blocks.FavoriteDropdown.mvc$model", "myNOS_MOB.Blocks.FavoriteDropdown.mvc$controller", "OutSystemsReactWidgets", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$view", "myNOS_MOB.Blocks.HeaderContextItem.mvc$view", "myNOS_MOB.model$STR_Favorite_SelectorList"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, React, OSView, myNOS_MOB_Blocks_FavoriteDropdown_mvc_model, myNOS_MOB_Blocks_FavoriteDropdown_mvc_controller, OSWidgets, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, myNOS_MOB_Blocks_HeaderContextItem_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Blocks.FavoriteDropdown";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, myNOS_MOB_Blocks_HeaderContextItem_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Blocks_FavoriteDropdown_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Blocks_FavoriteDropdown_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: model.variables.styleClassIn,
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._styleClassInDataFetchStatus)
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.toggleExpand$Action(controller.callContext(eventHandlerContext));
});
;
}
},
extendedProperties: {
"data-showheadercardexpanded": ""
},
style: model.getCachedValue(idService.getId("VDHn3B+B_UKHBW_WXfnnMw.Style"), function () {
return (((model.variables.sTR_Favorite_SelectorListIn.length > 1)) ? ("header-card") : ("header-card -disabled"));
}, function () {
return model.variables.sTR_Favorite_SelectorListIn.length;
}),
visible: true,
_idProps: {
service: idService,
uuid: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._sTR_Favorite_SelectorListInDataFetchStatus)
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-10",
visible: true,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
extendedProperties: {
"data-headerhighlight": "",
className: model.variables.titleClassIn
},
value: model.variables.titleVar,
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.AdvancedHtml, {
tag: "h3",
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
extendedProperties: {
className: model.variables.subtitleClassIn
},
value: model.variables.subTitleVar,
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider
}))), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-2 text-right",
visible: true,
_idProps: {
service: idService,
uuid: "6"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
IconSize: myNOS_MOBModel.staticEntities.iCON_SIZE.small,
StyleClass: "c-black",
IconName: model.getCachedValue(idService.getId("_28HiwwuGkm8SgNRpWcNJQ.IconName"), function () {
return ((model.variables.isExpandedVar) ? (myNOS_MOBModel.staticEntities.iCON_CLASS.iconMiscsetaDropUpCheia) : (myNOS_MOBModel.staticEntities.iCON_CLASS.iconMiscsetaDropDownCheia));
}, function () {
return model.variables.isExpandedVar;
})
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "7",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "8"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "o-headerCardExpanded -hidden",
visible: true,
_idProps: {
service: idService,
name: "ExpandedCard"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.toggleExpand$Action(controller.callContext(eventHandlerContext));
});
;
}
},
extendedProperties: {
"data-hideheadercardexpanded": ""
},
style: "o-headerCardBgd ",
visible: true,
_idProps: {
service: idService,
uuid: "10"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.List, {
animateItems: true,
gridProperties: {
classes: "OSFillParent"
},
mode: /*Default*/ 0,
source: model.variables.sTR_Favorite_SelectorListIn,
style: "list list-group o-headerCardList ",
tag: "div",
_idProps: {
service: idService,
uuid: "11"
},
_widgetRecordProvider: widgetsRecordProvider,
source_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._sTR_Favorite_SelectorListInDataFetchStatus),
placeholders: {
content: new IteratorPlaceholderContent(function (idService, callContext) {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "12"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: [asPrimitiveValue(model.variables.titleClassIn), asPrimitiveValue(model.variables.sTR_Favorite_SelectorListIn.getCurrent(callContext.iterationContext).idAttr), asPrimitiveValue(model.variables.sTR_Favorite_SelectorListIn.getCurrent(callContext.iterationContext).subtitleAttr), asPrimitiveValue(model.variables.sTR_Favorite_SelectorListIn.getCurrent(callContext.iterationContext).isSelectedAttr), asPrimitiveValue(model.variables.sTR_Favorite_SelectorListIn.getCurrent(callContext.iterationContext).titleAttr), asPrimitiveValue(model.variables._titleClassInDataFetchStatus), asPrimitiveValue(model.variables._sTR_Favorite_SelectorListInDataFetchStatus), asPrimitiveValue(model.variables._subtitleClassInDataFetchStatus), asPrimitiveValue(model.variables.subtitleClassIn)]
}, React.createElement(myNOS_MOB_Blocks_HeaderContextItem_mvc_view, {
inputs: {
SubtitleClass: model.variables.subtitleClassIn,
_subtitleClassInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._subtitleClassInDataFetchStatus),
Title: model.variables.sTR_Favorite_SelectorListIn.getCurrent(callContext.iterationContext).titleAttr,
_titleInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._sTR_Favorite_SelectorListInDataFetchStatus),
TitleClass: model.variables.titleClassIn,
_titleClassInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._titleClassInDataFetchStatus),
IsActive: model.variables.sTR_Favorite_SelectorListIn.getCurrent(callContext.iterationContext).isSelectedAttr,
_isActiveInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._sTR_Favorite_SelectorListInDataFetchStatus),
Subtitle: model.variables.sTR_Favorite_SelectorListIn.getCurrent(callContext.iterationContext).subtitleAttr,
_subtitleInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._sTR_Favorite_SelectorListInDataFetchStatus),
ID: model.variables.sTR_Favorite_SelectorListIn.getCurrent(callContext.iterationContext).idAttr,
_iDInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._sTR_Favorite_SelectorListInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
onCardClick$Action: function (idSelectedIn) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.onCardClick$Action(idSelectedIn, controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "13",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))];
}, callContext, idService, "1")
},
_dependencies: [asPrimitiveValue(model.variables.titleClassIn), asPrimitiveValue(model.variables._titleClassInDataFetchStatus), asPrimitiveValue(model.variables._sTR_Favorite_SelectorListInDataFetchStatus), asPrimitiveValue(model.variables._subtitleClassInDataFetchStatus), asPrimitiveValue(model.variables.subtitleClassIn)]
}))));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.Blocks.FavoriteDropdown.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MOB.languageResources", "myNOS_MOB.Blocks.FavoriteDropdown.mvc$controller.ToggleExpand.ExpandContentJS", "myNOS_MOB.Blocks.FavoriteDropdown.mvc$controller.ToggleExpand.ListPositionJS", "myNOS_MOB.Blocks.FavoriteDropdown.mvc$controller.ToggleExpand.CompressContentJS", "myNOS_MOB.model$STR_Favorite_SelectorList"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MOBLanguageResources, myNOS_MOB_Blocks_FavoriteDropdown_mvc_controller_ToggleExpand_ExpandContentJS, myNOS_MOB_Blocks_FavoriteDropdown_mvc_controller_ToggleExpand_ListPositionJS, myNOS_MOB_Blocks_FavoriteDropdown_mvc_controller_ToggleExpand_CompressContentJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
var listFilterVar = new OS.DataTypes.VariableHolder();
// SelectorList.Empty?
if((!(model.variables.sTR_Favorite_SelectorListIn.isEmpty))) {
// Execute Action: ListFilter
listFilterVar.value = OS.SystemActions.listFilter(model.variables.sTR_Favorite_SelectorListIn, function (p) {
return (p.isSelectedAttr === true);
}, callContext);

// FilteredList.Empty?
if((listFilterVar.value.filteredListOut.isEmpty)) {
// Title = STR_Favorite_SelectorList[0].Title
model.variables.titleVar = model.variables.sTR_Favorite_SelectorListIn.getItem(0).titleAttr;
// SubTitle = STR_Favorite_SelectorList[0].Subtitle
model.variables.subTitleVar = model.variables.sTR_Favorite_SelectorListIn.getItem(0).subtitleAttr;
} else {
// Title = ListFilter.FilteredList[0].Title
model.variables.titleVar = listFilterVar.value.filteredListOut.getItem(0).titleAttr;
// SubTitle = ListFilter.FilteredList[0].Subtitle
model.variables.subTitleVar = listFilterVar.value.filteredListOut.getItem(0).subtitleAttr;
}

}

};
Controller.prototype._toggleExpand$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("ToggleExpand");
callContext = controller.callContext(callContext);
var listIndexIDSelectedVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.executeSequence(function () {
if((model.variables.dropdownEnabledIn)) {
// IsExpanded = notIsExpanded
model.variables.isExpandedVar = !(model.variables.isExpandedVar);
// Trigger Event: OnClickEvent
return controller.onClickEvent$Action(model.variables.isExpandedVar, callContext).then(function () {
return OS.Flow.executeSequence(function () {
if((model.variables.isExpandedVar)) {
controller.safeExecuteJSNode(myNOS_MOB_Blocks_FavoriteDropdown_mvc_controller_ToggleExpand_ListPositionJS, "ListPosition", "ToggleExpand", null, function ($parameters) {
}, {}, {});
controller.safeExecuteJSNode(myNOS_MOB_Blocks_FavoriteDropdown_mvc_controller_ToggleExpand_ExpandContentJS, "ExpandContent", "ToggleExpand", {
Class: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.styleClassIn, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
} else {
controller.safeExecuteJSNode(myNOS_MOB_Blocks_FavoriteDropdown_mvc_controller_ToggleExpand_CompressContentJS, "CompressContent", "ToggleExpand", {
Class: OS.DataTypes.JSConversions.basicTypeToJS(model.variables.styleClassIn, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// LasIDSelected = ""?
if(((model.variables.lastIDSelectedVar === ""))) {
// Execute Action: ListIndexIDSelected
listIndexIDSelectedVar.value = OS.SystemActions.listIndexOf(model.variables.sTR_Favorite_SelectorListIn, function (p) {
return (p.isSelectedAttr === true);
}, callContext);

// IndexSelected.Position = 1?
if((!((listIndexIDSelectedVar.value.positionOut === -1)))) {
// SetLastIDSelected
// LastIDSelected = STR_Favorite_SelectorList[ListIndexIDSelected.Position].Id
model.variables.lastIDSelectedVar = model.variables.sTR_Favorite_SelectorListIn.getItem(listIndexIDSelectedVar.value.positionOut).idAttr;
}

}

// Trigger Event: ToggleCompress
return controller.toggleCompress$Action(model.variables.lastIDSelectedVar, callContext);
}

});
});
}

});
});
};
Controller.prototype._onCardClick$Action = function (idSelectedIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnCardClick");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.Blocks.FavoriteDropdown.OnCardClick$vars"))());
vars.value.idSelectedInLocal = idSelectedIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var listIndexIDSelectedVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// EmptyIDSelected?
return OS.Flow.executeSequence(function () {
if((!((vars.value.idSelectedInLocal === "")))) {
// SetLastIDSelected
// LastIDSelected = IdSelected
model.variables.lastIDSelectedVar = vars.value.idSelectedInLocal;
// Execute Action: ListIndexIDSelected
listIndexIDSelectedVar.value = OS.SystemActions.listIndexOf(model.variables.sTR_Favorite_SelectorListIn, function (p) {
return (p.idAttr === vars.value.idSelectedInLocal);
}, callContext);

// ListIndexIDSelected = -1
return OS.Flow.executeSequence(function () {
if((!((listIndexIDSelectedVar.value.positionOut === -1)))) {
// FilteredList
// Foreach STR_Favorite_SelectorList
callContext.iterationContext.registerIterationStart(model.variables.sTR_Favorite_SelectorListIn);
try {var sTR_Favorite_SelectorListIterator = callContext.iterationContext.getIterator(model.variables.sTR_Favorite_SelectorListIn);
var sTR_Favorite_SelectorListIndexMax = model.variables.sTR_Favorite_SelectorListIn.length;
var sTR_Favorite_SelectorListIndex = 0;
while ((((sTR_Favorite_SelectorListIndex < model.variables.sTR_Favorite_SelectorListIn.length)) && (sTR_Favorite_SelectorListIndexMax > 0))) {
sTR_Favorite_SelectorListIterator.currentRowNumber = sTR_Favorite_SelectorListIndex;
// SetNotSelected
// STR_Favorite_SelectorList.Current.isSelected = False
model.variables.sTR_Favorite_SelectorListIn.getItem(sTR_Favorite_SelectorListIndex.valueOf()).isSelectedAttr = false;
sTR_Favorite_SelectorListIndexMax--;
sTR_Favorite_SelectorListIndex++;
}

} finally {
callContext.iterationContext.registerIterationEnd(model.variables.sTR_Favorite_SelectorListIn);
}

// SetSelected
// STR_Favorite_SelectorList[ListIndexIDSelected.Position].isSelected = True
model.variables.sTR_Favorite_SelectorListIn.getItem(listIndexIDSelectedVar.value.positionOut).isSelectedAttr = true;
// Title = STR_Favorite_SelectorList[ListIndexIDSelected.Position].Title
model.variables.titleVar = model.variables.sTR_Favorite_SelectorListIn.getItem(listIndexIDSelectedVar.value.positionOut).titleAttr;
// SubTitle = STR_Favorite_SelectorList[ListIndexIDSelected.Position].Subtitle
model.variables.subTitleVar = model.variables.sTR_Favorite_SelectorListIn.getItem(listIndexIDSelectedVar.value.positionOut).subtitleAttr;
// Execute Action: ToggleExpand
return controller._toggleExpand$Action(callContext);
}

});
}

});
}).catch(function (ex) {
OS.Logger.trace("FavoriteDropdown.OnCardClick", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.returnAsync();

});
}

throw ex;
});
};
Controller.registerVariableGroupType("myNOS_MOB.Blocks.FavoriteDropdown.OnCardClick$vars", [{
name: "IdSelected",
attrName: "idSelectedInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);

Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};
Controller.prototype.toggleExpand$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._toggleExpand$Action, callContext);

};
Controller.prototype.onCardClick$Action = function (idSelectedIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onCardClick$Action, callContext, idSelectedIn);

};
Controller.prototype.onClickEvent$Action = function () {
return Promise.resolve();
};
Controller.prototype.toggleCompress$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});
define("myNOS_MOB.Blocks.FavoriteDropdown.mvc$controller.ToggleExpand.ExpandContentJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var drop = document.querySelector('.' + $parameters.Class); 
console.log(drop);
var elementHeight = document.querySelector('.o-headerCardList').offsetHeight;
drop.querySelector('.o-headerCardExpanded').classList.remove("-hidden");
drop.querySelector('.o-headerCardExpanded .o-headerCardBgd').classList.add("-show");
drop.querySelector('.o-headerCardExpanded .o-headerCardList').classList.add("-show");
document.querySelector('.bottom').style.zIndex = "-1";

setTimeout(function() { 
    drop.querySelector('.o-headerCardExpanded .o-headerCardList').classList.add("-expand");
}, 100);
};
});
define("myNOS_MOB.Blocks.FavoriteDropdown.mvc$controller.ToggleExpand.ListPositionJS", [], function () {
return function ($actions, $roles, $public) {
var headerCardTop = document.querySelector('.header-card').offsetTop;
var header = document.querySelector('.a-header');
header.style.transform = "none";
header.classList.remove('-small');
};
});
define("myNOS_MOB.Blocks.FavoriteDropdown.mvc$controller.ToggleExpand.CompressContentJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var drop = document.querySelector('.' + $parameters.Class); 
console.log(drop);
var drop = document.querySelector('.' + $parameters.Class); 
drop.querySelector('.o-headerCardExpanded .o-headerCardList').classList.remove("-expand");
setTimeout(function() { 
    drop.querySelector('.o-headerCardExpanded .o-headerCardBgd').classList.remove("-show");
    drop.querySelector('.o-headerCardExpanded .o-headerCardList').classList.remove("-show");
    drop.querySelector('.o-headerCardExpanded').classList.add("-hidden");
    document.querySelector('.bottom').style.zIndex = "50";
}, 200);
};
});

