﻿define("myNOS_MOB.Blocks.InternetConsumptionsCard.mvc$model", ["OutSystems", "myNOS_MOB.model", "MobileUIWidgets.WidgetsContent.Card_new.mvc$model", "MobileUIWidgets.WidgetsNumber.ProgressBar_new.mvc$model", "myNOS_MOB.model$STR_OfferDataTextIntegerIntegerRecordList"], function (OutSystems, myNOS_MOBModel, MobileUIWidgets_WidgetsContent_Card_new_mvcModel, MobileUIWidgets_WidgetsNumber_ProgressBar_new_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("IsPlannedScreen", "isPlannedScreenIn", "IsPlannedScreen", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_isPlannedScreenInDataFetchStatus", "_isPlannedScreenInDataFetchStatus", "_isPlannedScreenInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("NetDistributionList", "netDistributionListIn", "NetDistributionList", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_OfferDataTextIntegerIntegerRecordList());
}, myNOS_MOBModel.STR_OfferDataTextIntegerIntegerRecordList), 
this.attr("_netDistributionListInDataFetchStatus", "_netDistributionListInDataFetchStatus", "_netDistributionListInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = (MobileUIWidgets_WidgetsContent_Card_new_mvcModel.hasValidationWidgets || MobileUIWidgets_WidgetsNumber_ProgressBar_new_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("IsPlannedScreen" in inputs) {
this.variables.isPlannedScreenIn = inputs.IsPlannedScreen;
if("_isPlannedScreenInDataFetchStatus" in inputs) {
this.variables._isPlannedScreenInDataFetchStatus = inputs._isPlannedScreenInDataFetchStatus;
}

}

if("NetDistributionList" in inputs) {
this.variables.netDistributionListIn = inputs.NetDistributionList;
if("_netDistributionListInDataFetchStatus" in inputs) {
this.variables._netDistributionListInDataFetchStatus = inputs._netDistributionListInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Blocks.InternetConsumptionsCard.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "react", "OutSystemsReactView", "myNOS_MOB.Blocks.InternetConsumptionsCard.mvc$model", "myNOS_MOB.Blocks.InternetConsumptionsCard.mvc$controller", "OutSystemsReactWidgets", "MobileUIWidgets.WidgetsContent.Card_new.mvc$view", "MobileUIWidgets.WidgetsNumber.ProgressBar_new.mvc$view", "myNOS_MOB.model$STR_OfferDataTextIntegerIntegerRecordList"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, React, OSView, myNOS_MOB_Blocks_InternetConsumptionsCard_mvc_model, myNOS_MOB_Blocks_InternetConsumptionsCard_mvc_controller, OSWidgets, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsNumber_ProgressBar_new_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Blocks.InternetConsumptionsCard";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsNumber_ProgressBar_new_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Blocks_InternetConsumptionsCard_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Blocks_InternetConsumptionsCard_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.List, {
animateItems: true,
gridProperties: {
classes: "OSFillParent"
},
mode: /*Default*/ 0,
source: model.variables.netDistributionListIn,
style: "list list-group",
tag: "div",
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider,
source_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._netDistributionListInDataFetchStatus),
placeholders: {
content: new IteratorPlaceholderContent(function (idService, callContext) {
return [React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
StyleClass: "-paddingMediumMinor mb-2",
HasLeftSide: false,
HasRightSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.AdvancedHtml, {
tag: "h3",
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-flexCardTitle -bold",
value: model.variables.netDistributionListIn.getCurrent(callContext.iterationContext).uILabelAttr,
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._netDistributionListInDataFetchStatus)
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-16 gridRow",
visible: true,
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6 mt-8",
visible: true,
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsNumber_ProgressBar_new_mvc_view, {
inputs: {
Progress: model.getCachedValue(idService.getId("1aOpfjX2fUWNOfY4_0qATw.Progress"), function () {
return (((model.variables.netDistributionListIn.getCurrent(callContext.iterationContext).previousPercentageOfNetDistributeAttr === 0)) ? (1) : (model.variables.netDistributionListIn.getCurrent(callContext.iterationContext).previousPercentageOfNetDistributeAttr));
}, function () {
return model.variables.netDistributionListIn.getCurrent(callContext.iterationContext).previousPercentageOfNetDistributeAttr;
}),
_progressInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._netDistributionListInDataFetchStatus),
Height: 5,
StyleClass: "-noRadius",
AnimateInitialProgress: true
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "6",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}), $if(model.variables.isPlannedScreenIn, false, this, function () {
return [React.createElement(MobileUIWidgets_WidgetsNumber_ProgressBar_new_mvc_view, {
inputs: {
StyleClass: "-light -noRadius mt-8",
Height: 5,
AnimateInitialProgress: true,
Progress: model.getCachedValue(idService.getId("KazNMFyV90mSP8O59h+NmA.Progress"), function () {
return (((model.variables.netDistributionListIn.getCurrent(callContext.iterationContext).nextPercentageOfNetDistributeAttr === 0)) ? (1) : (model.variables.netDistributionListIn.getCurrent(callContext.iterationContext).nextPercentageOfNetDistributeAttr));
}, function () {
return model.variables.netDistributionListIn.getCurrent(callContext.iterationContext).nextPercentageOfNetDistributeAttr;
}),
_progressInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._netDistributionListInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "7",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}, function () {
return [];
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-16",
visible: true,
_idProps: {
service: idService,
uuid: "8"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -small c-gray",
value: (("Base: " + (model.variables.netDistributionListIn.getCurrent(callContext.iterationContext).sTR_OfferDataAttr.previous_BaseAttr).toString()) + "MB"),
_idProps: {
service: idService,
uuid: "9"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._netDistributionListInDataFetchStatus)
}), React.createElement(OSWidgets.Expression, {
gridProperties: {
classes: "ThemeGrid_MarginGutter"
},
style: "a-textRead -small c-gray",
value: (("Aditivos: " + (model.variables.netDistributionListIn.getCurrent(callContext.iterationContext).sTR_OfferDataAttr.previous_ComplementAttr).toString()) + "MB"),
_idProps: {
service: idService,
uuid: "10"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._netDistributionListInDataFetchStatus)
}))), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: model.getCachedValue(idService.getId("4eDlJUm1hUi+HUoAh2eKsw.Style"), function () {
return ((model.variables.isPlannedScreenIn) ? ("col-6 text-right va-bottom") : ("col-6 text-right"));
}, function () {
return model.variables.isPlannedScreenIn;
}),
visible: true,
_idProps: {
service: idService,
uuid: "11"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._isPlannedScreenInDataFetchStatus)
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -masterColor",
value: (("Atual: " + (model.variables.netDistributionListIn.getCurrent(callContext.iterationContext).sTR_OfferDataAttr.previous_ExtraAttr).toString()) + "MB"),
_idProps: {
service: idService,
uuid: "12"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._netDistributionListInDataFetchStatus)
}), $if(model.variables.isPlannedScreenIn, false, this, function () {
return [React.createElement(OSWidgets.Expression, {
style: "a-textRead -masterColor -light",
value: (("Prevista: " + (model.variables.netDistributionListIn.getCurrent(callContext.iterationContext).sTR_OfferDataAttr.next_ExtraAttr).toString()) + "MB"),
_idProps: {
service: idService,
uuid: "13"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._netDistributionListInDataFetchStatus)
})];
}, function () {
return [];
})))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.isPlannedScreenIn), asPrimitiveValue(model.variables._isPlannedScreenInDataFetchStatus), asPrimitiveValue(model.variables._netDistributionListInDataFetchStatus), asPrimitiveValue(model.variables.netDistributionListIn.getCurrent(callContext.iterationContext).sTR_OfferDataAttr.next_ExtraAttr), asPrimitiveValue(model.variables.netDistributionListIn.getCurrent(callContext.iterationContext).sTR_OfferDataAttr.previous_ExtraAttr), asPrimitiveValue(model.variables.netDistributionListIn.getCurrent(callContext.iterationContext).sTR_OfferDataAttr.previous_ComplementAttr), asPrimitiveValue(model.variables.netDistributionListIn.getCurrent(callContext.iterationContext).sTR_OfferDataAttr.previous_BaseAttr), asPrimitiveValue(model.variables.netDistributionListIn.getCurrent(callContext.iterationContext).nextPercentageOfNetDistributeAttr), asPrimitiveValue(model.variables.netDistributionListIn.getCurrent(callContext.iterationContext).previousPercentageOfNetDistributeAttr), asPrimitiveValue(model.variables.netDistributionListIn.getCurrent(callContext.iterationContext).uILabelAttr)]
})];
}, callContext, idService, "1")
},
_dependencies: [asPrimitiveValue(model.variables.isPlannedScreenIn), asPrimitiveValue(model.variables._isPlannedScreenInDataFetchStatus), asPrimitiveValue(model.variables._netDistributionListInDataFetchStatus)]
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.Blocks.InternetConsumptionsCard.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MOB.languageResources", "myNOS_MOB.model$STR_OfferDataTextIntegerIntegerRecordList"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions


// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

