﻿define("myNOS_MOB.Blocks.InvoiceListGraph.mvc$model", ["OutSystems", "myNOS_MOB.model", "ChartsMobile.model", "myNOS_MOB.controller", "ChartsMobile.Charts.LineChart.mvc$model", "myNOS_MOB.model$DataPointList", "ChartsMobile.model$XAxisFormatRec", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$ChartsMobile", "ChartsMobile.model$YAxisFormatRec", "ChartsMobile.model$ChartFormatRec", "ChartsMobile.model$AdvancedFormatRec", "myNOS_MOB.controller$FormatDateLocale", "myNOS_MOB.controller$FirstLetterCapital", "ChartsMobile.model$DataPointRec"], function (OutSystems, myNOS_MOBModel, ChartsMobileModel, myNOS_MOBController, ChartsMobile_Charts_LineChart_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("AdvancedFormat", "advancedFormatVar", "AdvancedFormat", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.AdvancedFormatRec());
}, ChartsMobileModel.AdvancedFormatRec), 
this.attr("DataPointList", "dataPointListIn", "DataPointList", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.DataPointList());
}, myNOS_MOBModel.DataPointList), 
this.attr("_dataPointListInDataFetchStatus", "_dataPointListInDataFetchStatus", "_dataPointListInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("MediumInvoiceValue", "mediumInvoiceValueIn", "MediumInvoiceValue", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("_mediumInvoiceValueInDataFetchStatus", "_mediumInvoiceValueInDataFetchStatus", "_mediumInvoiceValueInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Height", "heightIn", "Height", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("_heightInDataFetchStatus", "_heightInDataFetchStatus", "_heightInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = ChartsMobile_Charts_LineChart_mvcModel.hasValidationWidgets;
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("DataPointList" in inputs) {
this.variables.dataPointListIn = inputs.DataPointList;
if("_dataPointListInDataFetchStatus" in inputs) {
this.variables._dataPointListInDataFetchStatus = inputs._dataPointListInDataFetchStatus;
}

}

if("MediumInvoiceValue" in inputs) {
this.variables.mediumInvoiceValueIn = inputs.MediumInvoiceValue;
if("_mediumInvoiceValueInDataFetchStatus" in inputs) {
this.variables._mediumInvoiceValueInDataFetchStatus = inputs._mediumInvoiceValueInDataFetchStatus;
}

}

if("Height" in inputs) {
this.variables.heightIn = inputs.Height;
if("_heightInDataFetchStatus" in inputs) {
this.variables._heightInDataFetchStatus = inputs._heightInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Blocks.InvoiceListGraph.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "ChartsMobile.model", "react", "OutSystemsReactView", "myNOS_MOB.Blocks.InvoiceListGraph.mvc$model", "myNOS_MOB.Blocks.InvoiceListGraph.mvc$controller", "OutSystemsReactWidgets", "ChartsMobile.Charts.LineChart.mvc$view", "myNOS_MOB.model$DataPointList", "ChartsMobile.model$XAxisFormatRec", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$ChartsMobile", "ChartsMobile.model$YAxisFormatRec", "ChartsMobile.model$ChartFormatRec", "ChartsMobile.model$AdvancedFormatRec", "myNOS_MOB.controller$FormatDateLocale", "myNOS_MOB.controller$FirstLetterCapital", "ChartsMobile.model$DataPointRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, ChartsMobileModel, React, OSView, myNOS_MOB_Blocks_InvoiceListGraph_mvc_model, myNOS_MOB_Blocks_InvoiceListGraph_mvc_controller, OSWidgets, ChartsMobile_Charts_LineChart_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Blocks.InvoiceListGraph";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css", "css/myNOS_MOB.Blocks.InvoiceListGraph.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [ChartsMobile_Charts_LineChart_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Blocks_InvoiceListGraph_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Blocks_InvoiceListGraph_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: true,
style: "m-timelineGraph",
visible: !(model.variables.dataPointListIn.isEmpty),
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider,
visible_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._dataPointListInDataFetchStatus)
}, React.createElement(ChartsMobile_Charts_LineChart_mvc_view, {
inputs: {
Height: model.variables.heightIn,
_heightInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._heightInDataFetchStatus),
Clickable: true,
AdvancedFormat: model.variables.advancedFormatVar,
SourceDataPointList: model.variables.dataPointListIn,
_sourceDataPointListInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._dataPointListInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
onClick$Action: function (dataPointIn) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.lineChartOnClick$Action(dataPointIn, controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.Blocks.InvoiceListGraph.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "ChartsMobile.model", "myNOS_MOB.languageResources", "myNOS_MOB.model$DataPointList", "ChartsMobile.model$XAxisFormatRec", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$ChartsMobile", "ChartsMobile.model$YAxisFormatRec", "ChartsMobile.model$ChartFormatRec", "ChartsMobile.model$AdvancedFormatRec", "myNOS_MOB.controller$FormatDateLocale", "myNOS_MOB.controller$FirstLetterCapital", "ChartsMobile.model$DataPointRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, ChartsMobileModel, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._onReady$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnReady");
callContext = controller.callContext(callContext);
// AdvancedFormat.HighchartsJSON = "{
//    tooltip: {
//        style: {
//            color: '#fff',
//            textAlign: 'center',
//            fill:'none'
//        },
//        backgroundColor: 'null',
//        shape: 'square',
//        borderWidth: 0,
//        shadow: false,
//        useHTML: true,
//        followTouchMove: false,
//        formatter: function() {
//               var formatTooltip;
//               if (this.color  == '#e04232') {
//                   formatTooltip =  '<div class = test-cenas2><b>€' + this.y + '</b> </div>';
//                   this.point.pointAttr.hover.fill = this.color;
//               }
//               else {
//                   formatTooltip =  '<div class = test-cenas><b>€' + this.y + '</b> </div>';
//               }
//               return formatTooltip;
//           }
//    },
//    legend: {
//        enabled: false
//    },
//    yAxis: {
//        gridLineWidth: 0,
//        tickWidth: 0,
//        lineWidth: 0,
//        labels: {
//            enabled: false
//        },
//        plotLines: [{
//            color: '#c3c3cf',
//            value: '" + MediumInvoiceValue + "', // Insert your average here
//            width: '1',
//            zIndex: 2 // To not get stuck below the regular plot lines
//        }]
//    },
//    xAxis: {
//        gridLineWidth: 0,
//        tickWidth: 0,
//        lineWidth: 0,
//    },
//    plotOptions: {
//        series: {
//            marker : {
//                enabled: true,
//                radius: 3
//            },
//            color: '#6ea514',
//            shadow: {
//                color: '#000',
//                width: 2,
//                opacity: 0.1,
//                offsetY: 6
//             }
//        }
//    },
//    chart: {
//        events: {
//            load: function() {
//                var l = this.series[0].points.length - 1;
//                var p = this.series[0].points[l];
//                this.tooltip.refresh(p);
//            }
//        }
//    }
//}"
model.variables.advancedFormatVar.highchartsJSONAttr = (("{\r\n    tooltip: {\r\n        style: {\r\n            color: \'#fff\',\r\n            textAlign: \'center\',\r\n            fill:\'none\'\r\n        },\r\n        backgroundColor: \'null\',\r\n        shape: \'square\',\r\n        borderWidth: 0,\r\n        shadow: false,\r\n        useHTML: true,\r\n        followTouchMove: false,\r\n        formatter: function() {\r\n               var formatTooltip;\r\n               if (this.color  == \'#e04232\') {\r\n                   formatTooltip =  \'<div class = test-cenas2><b>€\' + this.y + \'</b> </div>\';\r\n                   this.point.pointAttr.hover.fill = this.color;\r\n               }\r\n               else {\r\n                   formatTooltip =  \'<div class = test-cenas><b>€\' + this.y + \'</b> </div>\';\r\n               }\r\n               return formatTooltip;\r\n           }\r\n    },\r\n    legend: {\r\n        enabled: false\r\n    },\r\n    yAxis: {\r\n        gridLineWidth: 0,\r\n        tickWidth: 0,\r\n        lineWidth: 0,\r\n        labels: {\r\n            enabled: false\r\n        },\r\n        plotLines: [{\r\n            color: \'#c3c3cf\',\r\n            value: \'" + OS.BuiltinFunctions.decimalToText(model.variables.mediumInvoiceValueIn)) + "\', // Insert your average here\r\n            width: \'1\',\r\n            zIndex: 2 // To not get stuck below the regular plot lines\r\n        }]\r\n    },\r\n    xAxis: {\r\n        gridLineWidth: 0,\r\n        tickWidth: 0,\r\n        lineWidth: 0,\r\n    },\r\n    plotOptions: {\r\n        series: {\r\n            marker : {\r\n                enabled: true,\r\n                radius: 3\r\n            },\r\n            color: \'#6ea514\',\r\n            shadow: {\r\n                color: \'#000\',\r\n                width: 2,\r\n                opacity: 0.1,\r\n                offsetY: 6\r\n             }\r\n        }\r\n    },\r\n    chart: {\r\n        events: {\r\n            load: function() {\r\n                var l = this.series[0].points.length - 1;\r\n                var p = this.series[0].points[l];\r\n                this.tooltip.refresh(p);\r\n            }\r\n        }\r\n    }\r\n}");
// Foreach DataPointList
callContext.iterationContext.registerIterationStart(model.variables.dataPointListIn);
try {var dataPointListIterator = callContext.iterationContext.getIterator(model.variables.dataPointListIn);
var dataPointListIndex = 0;
while (((dataPointListIndex < model.variables.dataPointListIn.length))) {
dataPointListIterator.currentRowNumber = dataPointListIndex;
// DataPointList.Current.Label = FirstLetterCapital(FormatDateLocale(TextToDate))
model.variables.dataPointListIn.getItem(dataPointListIndex.valueOf()).labelAttr = myNOS_MOBController.default.firstLetterCapital$Action(myNOS_MOBController.default.formatDateLocale$Action(OS.BuiltinFunctions.textToDate(model.variables.dataPointListIn.getItem(dataPointListIndex.valueOf()).labelAttr), callContext.withoutIterationContext()).newDateOut, callContext.withoutIterationContext()).outputTextOut;
dataPointListIndex++;
}

} finally {
callContext.iterationContext.registerIterationEnd(model.variables.dataPointListIn);
}

};
Controller.prototype._lineChartOnClick$Action = function (dataPointIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("LineChartOnClick");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.Blocks.InvoiceListGraph.LineChartOnClick$vars"))());
vars.value.dataPointInLocal = dataPointIn.clone();
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: InvoiceListOnClickEvent
return controller.invoiceListOnClickEvent$Action(vars.value.dataPointInLocal, callContext);
});
};
Controller.registerVariableGroupType("myNOS_MOB.Blocks.InvoiceListGraph.LineChartOnClick$vars", [{
name: "DataPoint",
attrName: "dataPointInLocal",
mandatory: true,
dataType: OS.Types.Record,
defaultValue: function () {
return new ChartsMobileModel.DataPointRec();
},
complexType: ChartsMobileModel.DataPointRec
}]);

Controller.prototype.onReady$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onReady$Action, callContext);

};
Controller.prototype.lineChartOnClick$Action = function (dataPointIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._lineChartOnClick$Action, callContext, dataPointIn);

};
Controller.prototype.invoiceListOnClickEvent$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onReady$Action(callContext);

};
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

