﻿define("myNOS_MOB.Blocks.NOSAppCard.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "MobileUIWidgets.WidgetsContent.Card_new.mvc$model", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$model", "myNOS_MOB.controller$OpenExternalURL", "myNOS_MOB.controller$Analytics_SendClickEvent"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, MobileUIWidgets_WidgetsContent_Card_new_mvcModel, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("AppImage", "appImageIn", "AppImage", true, OS.Types.BinaryData, function () {
return OS.DataTypes.BinaryData.defaultValue;
}), 
this.attr("_appImageInDataFetchStatus", "_appImageInDataFetchStatus", "_appImageInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("NOSAppTitle", "nOSAppTitleIn", "NOSAppTitle", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_nOSAppTitleInDataFetchStatus", "_nOSAppTitleInDataFetchStatus", "_nOSAppTitleInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("NOSAppDescription", "nOSAppDescriptionIn", "NOSAppDescription", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_nOSAppDescriptionInDataFetchStatus", "_nOSAppDescriptionInDataFetchStatus", "_nOSAppDescriptionInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("NOSAppLink", "nOSAppLinkIn", "NOSAppLink", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_nOSAppLinkInDataFetchStatus", "_nOSAppLinkInDataFetchStatus", "_nOSAppLinkInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("AnalyticsCategory", "analyticsCategoryIn", "AnalyticsCategory", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_analyticsCategoryInDataFetchStatus", "_analyticsCategoryInDataFetchStatus", "_analyticsCategoryInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("AnalyticsLabel", "analyticsLabelIn", "AnalyticsLabel", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_analyticsLabelInDataFetchStatus", "_analyticsLabelInDataFetchStatus", "_analyticsLabelInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("AnalyticsValue", "analyticsValueIn", "AnalyticsValue", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("_analyticsValueInDataFetchStatus", "_analyticsValueInDataFetchStatus", "_analyticsValueInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("AnalyticsMetricAmount", "analyticsMetricAmountIn", "AnalyticsMetricAmount", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_analyticsMetricAmountInDataFetchStatus", "_analyticsMetricAmountInDataFetchStatus", "_analyticsMetricAmountInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = (MobileUIWidgets_WidgetsContent_Card_new_mvcModel.hasValidationWidgets || MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("AppImage" in inputs) {
this.variables.appImageIn = inputs.AppImage;
if("_appImageInDataFetchStatus" in inputs) {
this.variables._appImageInDataFetchStatus = inputs._appImageInDataFetchStatus;
}

}

if("NOSAppTitle" in inputs) {
this.variables.nOSAppTitleIn = inputs.NOSAppTitle;
if("_nOSAppTitleInDataFetchStatus" in inputs) {
this.variables._nOSAppTitleInDataFetchStatus = inputs._nOSAppTitleInDataFetchStatus;
}

}

if("NOSAppDescription" in inputs) {
this.variables.nOSAppDescriptionIn = inputs.NOSAppDescription;
if("_nOSAppDescriptionInDataFetchStatus" in inputs) {
this.variables._nOSAppDescriptionInDataFetchStatus = inputs._nOSAppDescriptionInDataFetchStatus;
}

}

if("NOSAppLink" in inputs) {
this.variables.nOSAppLinkIn = inputs.NOSAppLink;
if("_nOSAppLinkInDataFetchStatus" in inputs) {
this.variables._nOSAppLinkInDataFetchStatus = inputs._nOSAppLinkInDataFetchStatus;
}

}

if("AnalyticsCategory" in inputs) {
this.variables.analyticsCategoryIn = inputs.AnalyticsCategory;
if("_analyticsCategoryInDataFetchStatus" in inputs) {
this.variables._analyticsCategoryInDataFetchStatus = inputs._analyticsCategoryInDataFetchStatus;
}

}

if("AnalyticsLabel" in inputs) {
this.variables.analyticsLabelIn = inputs.AnalyticsLabel;
if("_analyticsLabelInDataFetchStatus" in inputs) {
this.variables._analyticsLabelInDataFetchStatus = inputs._analyticsLabelInDataFetchStatus;
}

}

if("AnalyticsValue" in inputs) {
this.variables.analyticsValueIn = inputs.AnalyticsValue;
if("_analyticsValueInDataFetchStatus" in inputs) {
this.variables._analyticsValueInDataFetchStatus = inputs._analyticsValueInDataFetchStatus;
}

}

if("AnalyticsMetricAmount" in inputs) {
this.variables.analyticsMetricAmountIn = inputs.AnalyticsMetricAmount;
if("_analyticsMetricAmountInDataFetchStatus" in inputs) {
this.variables._analyticsMetricAmountInDataFetchStatus = inputs._analyticsMetricAmountInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Blocks.NOSAppCard.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "react", "OutSystemsReactView", "myNOS_MOB.Blocks.NOSAppCard.mvc$model", "myNOS_MOB.Blocks.NOSAppCard.mvc$controller", "MobileUIWidgets.WidgetsContent.Card_new.mvc$view", "OutSystemsReactWidgets", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$view", "myNOS_MOB.controller$OpenExternalURL", "myNOS_MOB.controller$Analytics_SendClickEvent"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, React, OSView, myNOS_MOB_Blocks_NOSAppCard_mvc_model, myNOS_MOB_Blocks_NOSAppCard_mvc_controller, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, OSWidgets, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Blocks.NOSAppCard";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Blocks_NOSAppCard_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Blocks_NOSAppCard_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasLeftSide: false,
HasRightSide: false,
StyleClass: "-paddingEqual mb-2"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
onCardClick$Action: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.linkOnClick$Action(controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "gridRow",
visible: true,
_idProps: {
service: idService,
uuid: "1"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-3",
visible: true,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Image, {
imageContent: model.variables.appImageIn,
style: "a-otherAppsImg",
type: /*Binary*/ 2,
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
imageContent_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._appImageInDataFetchStatus)
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-9",
visible: true,
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "gridRow",
visible: true,
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-7",
visible: true,
_idProps: {
service: idService,
uuid: "6"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.AdvancedHtml, {
tag: "h3",
_idProps: {
service: idService,
uuid: "7"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-flexCardTitle -bold",
value: model.variables.nOSAppTitleIn,
_idProps: {
service: idService,
uuid: "8"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._nOSAppTitleInDataFetchStatus)
}))), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-5 text-right",
visible: true,
_idProps: {
service: idService,
uuid: "9"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "a-iconRippleTopRight",
visible: true,
_idProps: {
service: idService,
uuid: "10"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
HasRipple: true,
IconName: myNOS_MOBModel.staticEntities.iCON_CLASS.iconExternalLink,
StyleClass: "-right",
IconSize: myNOS_MOBModel.staticEntities.iCON_SIZE.small
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "11",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})))), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-8",
visible: true,
_idProps: {
service: idService,
uuid: "12"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -small c-gray",
value: model.variables.nOSAppDescriptionIn,
_idProps: {
service: idService,
uuid: "13"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._nOSAppDescriptionInDataFetchStatus)
}))))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.nOSAppDescriptionIn), asPrimitiveValue(model.variables.nOSAppTitleIn), asPrimitiveValue(model.variables._nOSAppDescriptionInDataFetchStatus), asPrimitiveValue(model.variables._nOSAppTitleInDataFetchStatus), asPrimitiveValue(model.variables._appImageInDataFetchStatus), asPrimitiveValue(model.variables.appImageIn)]
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.Blocks.NOSAppCard.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MOB.languageResources", "myNOS_MOB.controller$OpenExternalURL", "myNOS_MOB.controller$Analytics_SendClickEvent"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._linkOnClick$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("LinkOnClick");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action(model.variables.analyticsCategoryIn, model.variables.analyticsLabelIn, model.variables.analyticsValueIn, model.variables.analyticsMetricAmountIn, callContext).then(function () {
// Execute Action: OpenExternalURL
myNOS_MOBController.default.openExternalURL$Action(model.variables.nOSAppLinkIn, callContext);
});
});
};

Controller.prototype.linkOnClick$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._linkOnClick$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

