﻿define("myNOS_MOB.Blocks.OperationsByCategoryId.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "myNOS_MBP.model", "myNOS_MOB.Blocks.ActionCard.mvc$model", "myNOS_MOB.controller$SetServiceLocalSelection", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MBP.controller$SetOperationHistory", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.model$Local_USERINFORecordList", "myNOS_MBP.model$Local_USER_INFORec", "myNOS_MBP.entities", "myNOS_MOB.model$TextTextTextTextTextTextBooleanRecordList", "myNOS_MOB.model$STR_OperationsList", "myNOS_MBP.model$Local_SERVICE_PERMITIONSRec", "myNOS_MBP.model$Local_OPERATION_CONFIGRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, myNOS_MBPModel, myNOS_MOB_Blocks_ActionCard_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("OperationList", "operationListVar", "OperationList", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_OperationsList());
}, myNOS_MOBModel.STR_OperationsList), 
this.attr("CategoryLabel", "categoryLabelIn", "CategoryLabel", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_categoryLabelInDataFetchStatus", "_categoryLabelInDataFetchStatus", "_categoryLabelInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("CategoryId", "categoryIdIn", "CategoryId", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("_categoryIdInDataFetchStatus", "_categoryIdInDataFetchStatus", "_categoryIdInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = myNOS_MOB_Blocks_ActionCard_mvcModel.hasValidationWidgets;
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("CategoryLabel" in inputs) {
this.variables.categoryLabelIn = inputs.CategoryLabel;
if("_categoryLabelInDataFetchStatus" in inputs) {
this.variables._categoryLabelInDataFetchStatus = inputs._categoryLabelInDataFetchStatus;
}

}

if("CategoryId" in inputs) {
this.variables.categoryIdIn = inputs.CategoryId;
if("_categoryIdInDataFetchStatus" in inputs) {
this.variables._categoryIdInDataFetchStatus = inputs._categoryIdInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Blocks.OperationsByCategoryId.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "myNOS_MBP.model", "react", "OutSystemsReactView", "myNOS_MOB.Blocks.OperationsByCategoryId.mvc$model", "myNOS_MOB.Blocks.OperationsByCategoryId.mvc$controller", "OutSystemsReactWidgets", "myNOS_MOB.Blocks.ActionCard.mvc$view", "myNOS_MOB.controller$SetServiceLocalSelection", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MBP.controller$SetOperationHistory", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.model$Local_USERINFORecordList", "myNOS_MBP.model$Local_USER_INFORec", "myNOS_MBP.entities", "myNOS_MOB.model$TextTextTextTextTextTextBooleanRecordList", "myNOS_MOB.model$STR_OperationsList", "myNOS_MBP.model$Local_SERVICE_PERMITIONSRec", "myNOS_MBP.model$Local_OPERATION_CONFIGRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, myNOS_MBPModel, React, OSView, myNOS_MOB_Blocks_OperationsByCategoryId_mvc_model, myNOS_MOB_Blocks_OperationsByCategoryId_mvc_controller, OSWidgets, myNOS_MOB_Blocks_ActionCard_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Blocks.OperationsByCategoryId";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_Blocks_ActionCard_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Blocks_OperationsByCategoryId_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Blocks_OperationsByCategoryId_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Expression, {
style: "h3 -bold c-black",
value: model.variables.categoryLabelIn,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._categoryLabelInDataFetchStatus)
}), $if(model.variables.operationListVar.isEmpty, false, this, function () {
return [];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-16",
visible: true,
_idProps: {
service: idService,
uuid: "1"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.List, {
animateItems: false,
gridProperties: {
classes: "OSFillParent"
},
mode: /*Default*/ 0,
source: model.variables.operationListVar,
style: "",
tag: "div",
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
content: new IteratorPlaceholderContent(function (idService, callContext) {
return [React.createElement(OSWidgets.Link, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.goToURL$Action(controller.callContext(eventHandlerContext));
});
;
},
visible: true,
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: [asPrimitiveValue(model.variables.operationListVar.getCurrent(callContext.iterationContext).iconClassAttr), asPrimitiveValue(model.variables.operationListVar.getCurrent(callContext.iterationContext).descriptionAttr), asPrimitiveValue(model.variables.operationListVar.getCurrent(callContext.iterationContext).displayNameAttr)]
}, React.createElement(myNOS_MOB_Blocks_ActionCard_mvc_view, {
inputs: {
Title: model.variables.operationListVar.getCurrent(callContext.iterationContext).displayNameAttr,
Label: model.variables.operationListVar.getCurrent(callContext.iterationContext).descriptionAttr,
IconClassId: model.getCachedValue(idService.getId("qteXbf3h6Eazsk8+GGNPEw.IconClassId"), function () {
return OS.BuiltinFunctions.textToIdentifier(model.variables.operationListVar.getCurrent(callContext.iterationContext).iconClassAttr);
}, function () {
return model.variables.operationListVar.getCurrent(callContext.iterationContext).iconClassAttr;
})
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "4",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))];
}, callContext, idService, "1")
},
_dependencies: []
}))];
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.Blocks.OperationsByCategoryId.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "myNOS_MBP.model", "myNOS_MOB.languageResources", "myNOS_MOB.controller$SetServiceLocalSelection", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MBP.controller$SetOperationHistory", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.model$Local_USERINFORecordList", "myNOS_MBP.model$Local_USER_INFORec", "myNOS_MBP.entities", "myNOS_MOB.model$TextTextTextTextTextTextBooleanRecordList", "myNOS_MOB.model$STR_OperationsList", "myNOS_MBP.model$Local_SERVICE_PERMITIONSRec", "myNOS_MBP.model$Local_OPERATION_CONFIGRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, myNOS_MBPModel, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._goToURL$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GoToURL");
callContext = controller.callContext(callContext);
var setOperationHistoryVar = new OS.DataTypes.VariableHolder();
var getLocalUSERINFOESVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_USERINFORecordList))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: SetServiceLocalSelection
model.flush();
return myNOS_MOBController.default.setServiceLocalSelection$Action(model.variables.operationListVar.getCurrent(callContext.iterationContext).selfcareCodeAttr, model.variables.operationListVar.getCurrent(callContext.iterationContext).categoryIdAttr, callContext).then(function () {
// Aggregate: GetLocalUSERINFOES
var getLocalUSERINFOESAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_USERINFORecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1, NULL o2, NULL o3, NULL o4, NULL o5, NULL o6, NULL o7, NULL o8";
} else {
selectSql += "ENLocal_USERINFO.\"Id\" o0, ENLocal_USERINFO.\"Contact_phone\" o1, ENLocal_USERINFO.\"Name\" o2, ENLocal_USERINFO.\"Birth_date\" o3, ENLocal_USERINFO.\"Gender\" o4, ENLocal_USERINFO.\"Username\" o5, ENLocal_USERINFO.\"Picture\" o6, ENLocal_USERINFO.\"UserId\" o7, ENLocal_USERINFO.\"DevicePixelRatio\" o8";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_USER_INFO\" ENLocal_USERINFO";
orderBySql += " ORDER BY ENLocal_USERINFO.\"Name\" ASC ";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_USERINFORecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_USER_INFOAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalUSERINFOESVar.value;
});
};
return getLocalUSERINFOESAggr();
}).then(function () {
// Execute Action: SetOperationHistory
model.flush();
return myNOS_MBPController.default.setOperationHistory$Action(getLocalUSERINFOESVar.value.listOut.getCurrent(callContext.iterationContext).local_USER_INFOAttr.userIdAttr, model.variables.operationListVar.getCurrent(callContext.iterationContext).selfcareCodeAttr, model.variables.operationListVar.getCurrent(callContext.iterationContext).displayNameAttr, model.variables.operationListVar.getCurrent(callContext.iterationContext).descriptionAttr, model.variables.operationListVar.getCurrent(callContext.iterationContext).iconClassAttr, model.variables.operationListVar.getCurrent(callContext.iterationContext).uRLAttr, model.variables.categoryIdIn, callContext).then(function (value) {
setOperationHistoryVar.value = value;
});
}).then(function () {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("Operacoes_funcionalidades", model.variables.operationListVar.getCurrent(callContext.iterationContext).displayNameAttr, 0, "", callContext);
}).then(function () {
// Destination: /myNOS_MOB/
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL(model.variables.operationListVar.getCurrent(callContext.iterationContext).uRLAttr, {
EnablePreviousScreenLink: true
}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true));
});
});
};
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
var getLocalSERVICESByAssociationIdVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.TextTextTextTextTextTextBooleanRecordList))());
return OS.Flow.executeAsyncFlow(function () {
// Aggregate: GetLocalSERVICESByAssociationId
var getLocalSERVICESByAssociationIdAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.TextTextTextTextTextTextBooleanRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 0;
}

var qpinLocal_OPERATION_CONFIG_CategoryId = model.variables.categoryIdIn;

var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "ENLocal_OPERATION_CONFIG.\"Description\" \"Description\", ENLocal_OPERATION_CONFIG.\"DisplayName\" \"DisplayName\", ENLocal_OPERATION_CONFIG.\"IconClass\" \"IconClass\", ENLocal_OPERATION_CONFIG.\"isNew\" \"isNew\", ENLocal_OPERATION_CONFIG.\"SelfcareCode\" \"SelfcareCode\", ENLocal_OPERATION_CONFIG.\"Tags\" \"Tags\", ENLocal_OPERATION_CONFIG.\"URL\" \"URL\"";
} else {
selectSql += "ENLocal_OPERATION_CONFIG.\"Description\" \"Description\", ENLocal_OPERATION_CONFIG.\"DisplayName\" \"DisplayName\", ENLocal_OPERATION_CONFIG.\"IconClass\" \"IconClass\", ENLocal_OPERATION_CONFIG.\"isNew\" \"isNew\", ENLocal_OPERATION_CONFIG.\"SelfcareCode\" \"SelfcareCode\", ENLocal_OPERATION_CONFIG.\"Tags\" \"Tags\", ENLocal_OPERATION_CONFIG.\"URL\" \"URL\"";
}
fromAndWhereSql += " FROM (\"MAIN\".\"OSUSR_85w_Local_OPERATION_CONFIG1\" ENLocal_OPERATION_CONFIG Inner JOIN \"MAIN\".\"OSUSR_85w_Local_PERMITIONS\" ENLocal_SERVICE_PERMITIONS ON (ENLocal_OPERATION_CONFIG.\"SelfcareCode\" = ENLocal_SERVICE_PERMITIONS.\"Type\")) ";
fromAndWhereSql += " WHERE ";
if (qpinLocal_OPERATION_CONFIG_CategoryId != 0) {
fromAndWhereSql += "((ENLocal_OPERATION_CONFIG.\"CategoryId\" = :qpinLocal_OPERATION_CONFIG_CategoryId) AND (ENLocal_OPERATION_CONFIG.\"CategoryId\" IS NOT NULL))";
argsList.add("qpinLocal_OPERATION_CONFIG_CategoryId", /*INTEGER*/ 3, qpinLocal_OPERATION_CONFIG_CategoryId);
} else {
fromAndWhereSql += "(ENLocal_OPERATION_CONFIG.\"CategoryId\" IS NULL)";
}
fromAndWhereSql += " AND (ENLocal_OPERATION_CONFIG.\"Enable\" = 1)";
groupByAndHavingSql += " GROUP BY ENLocal_OPERATION_CONFIG.\"Description\", ENLocal_OPERATION_CONFIG.\"Tags\", ENLocal_OPERATION_CONFIG.\"URL\", ENLocal_OPERATION_CONFIG.\"IconClass\", ENLocal_OPERATION_CONFIG.\"SelfcareCode\", ENLocal_OPERATION_CONFIG.\"isNew\", ENLocal_OPERATION_CONFIG.\"DisplayName\"";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.TextTextTextTextTextTextBooleanRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"descriptionAttr",
"displayNameAttr",
"iconClassAttr",
"isNewAttr",
"selfcareCodeAttr",
"tagsAttr",
"uRLAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalSERVICESByAssociationIdVar.value;
});
};
return getLocalSERVICESByAssociationIdAggr().then(function () {
// OperationList = GetLocalSERVICESByAssociationId.List
model.variables.operationListVar = OS.DataTypes.JSConversions.typeConvertRecordList(getLocalSERVICESByAssociationIdVar.value.listOut, new myNOS_MOBModel.STR_OperationsList(), function (source, target) {
target.displayNameAttr = source.displayNameAttr;
target.descriptionAttr = source.descriptionAttr;
target.isNewAttr = source.isNewAttr;
target.selfcareCodeAttr = source.selfcareCodeAttr;
target.uRLAttr = source.uRLAttr;
target.iconClassAttr = source.iconClassAttr;
target.tagsAttr = source.tagsAttr;
target.categoryIdAttr = model.variables.categoryIdIn;
return target;
});
});
});
};

Controller.prototype.goToURL$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._goToURL$Action, callContext);

};
Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

