﻿define("myNOS_MOB.Blocks.ServiceAvailability.mvc$model", ["OutSystems", "myNOS_MOB.model", "MobileUIWidgets.WidgetsNumber.ProgressCircleFraction_new.mvc$model"], function (OutSystems, myNOS_MOBModel, MobileUIWidgets_WidgetsNumber_ProgressCircleFraction_new_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("Unit", "unitIn", "Unit", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_unitInDataFetchStatus", "_unitInDataFetchStatus", "_unitInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ServiceQuantityAvailable", "serviceQuantityAvailableIn", "ServiceQuantityAvailable", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("_serviceQuantityAvailableInDataFetchStatus", "_serviceQuantityAvailableInDataFetchStatus", "_serviceQuantityAvailableInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ServiceQuantityTotal", "serviceQuantityTotalIn", "ServiceQuantityTotal", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("_serviceQuantityTotalInDataFetchStatus", "_serviceQuantityTotalInDataFetchStatus", "_serviceQuantityTotalInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = MobileUIWidgets_WidgetsNumber_ProgressCircleFraction_new_mvcModel.hasValidationWidgets;
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("Unit" in inputs) {
this.variables.unitIn = inputs.Unit;
if("_unitInDataFetchStatus" in inputs) {
this.variables._unitInDataFetchStatus = inputs._unitInDataFetchStatus;
}

}

if("ServiceQuantityAvailable" in inputs) {
this.variables.serviceQuantityAvailableIn = inputs.ServiceQuantityAvailable;
if("_serviceQuantityAvailableInDataFetchStatus" in inputs) {
this.variables._serviceQuantityAvailableInDataFetchStatus = inputs._serviceQuantityAvailableInDataFetchStatus;
}

}

if("ServiceQuantityTotal" in inputs) {
this.variables.serviceQuantityTotalIn = inputs.ServiceQuantityTotal;
if("_serviceQuantityTotalInDataFetchStatus" in inputs) {
this.variables._serviceQuantityTotalInDataFetchStatus = inputs._serviceQuantityTotalInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Blocks.ServiceAvailability.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "react", "OutSystemsReactView", "myNOS_MOB.Blocks.ServiceAvailability.mvc$model", "myNOS_MOB.Blocks.ServiceAvailability.mvc$controller", "OutSystemsReactWidgets", "MobileUIWidgets.WidgetsNumber.ProgressCircleFraction_new.mvc$view"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, React, OSView, myNOS_MOB_Blocks_ServiceAvailability_mvc_model, myNOS_MOB_Blocks_ServiceAvailability_mvc_controller, OSWidgets, MobileUIWidgets_WidgetsNumber_ProgressCircleFraction_new_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Blocks.ServiceAvailability";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [MobileUIWidgets_WidgetsNumber_ProgressCircleFraction_new_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Blocks_ServiceAvailability_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Blocks_ServiceAvailability_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "text-center",
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-8 mb-8",
visible: true,
_idProps: {
service: idService,
uuid: "1"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Placeholder, {
align: /*Default*/ 0,
content: _this.props.placeholders.serviceName,
gridProperties: {
classes: "OSInline"
},
style: "text -bold -dark",
_idProps: {
service: idService,
name: "ServiceName"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "a-progressCircle",
visible: true,
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsNumber_ProgressCircleFraction_new_mvc_view, {
inputs: {
CircleThickness: 4,
DenominatorPrefix: "de",
Denominator: model.variables.serviceQuantityTotalIn,
_denominatorInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._serviceQuantityTotalInDataFetchStatus),
Numerator: model.variables.serviceQuantityAvailableIn,
_numeratorInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._serviceQuantityAvailableInDataFetchStatus),
ProgressColor: "rgb(110, 165, 20)",
Units: model.variables.unitIn,
_unitsInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._unitInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "4",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
label: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Text, {
style: "text -darkGreen",
text: ["Disponível"],
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider
})];
})
},
_dependencies: []
}))));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.Blocks.ServiceAvailability.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MOB.languageResources"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions


// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

