﻿define("myNOS_MOB.Card.FullScreenCard.mvc$model", ["OutSystems", "myNOS_MOB.model", "CommonPlugin.model", "BrightnessPlugin.controller", "myNOS_MBP.model", "myNOS_MOB.CommonLayout.Layout_Blank.mvc$model", "CommonPlugin.model$ErrorRec", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$CommonPlugin", "BrightnessPlugin.controller$SetBrightness", "myNOS_MOB.referencesHealth$BrightnessPlugin", "BrightnessPlugin.controller$CheckBrightnessPlugin", "myNOS_MOB.model$Local_CLIENT_CARDLocal_QR_CARDRecordList", "myNOS_MBP.model$Local_CLIENT_CARDRec", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.model$Local_QR_CARDRec", "myNOS_MBP.entities", "myNOS_MOB.model$Local_CLIENT_CARDRecordList"], function (OutSystems, myNOS_MOBModel, CommonPluginModel, BrightnessPluginController, myNOS_MBPModel, myNOS_MOB_CommonLayout_Layout_Blank_mvcModel) {
var OS = OutSystems.Internal;
var GetLocalCardAggrRec = (function (_super) {
__extends(GetLocalCardAggrRec, _super);
function GetLocalCardAggrRec(defaults) {
_super.apply(this, arguments);
}
GetLocalCardAggrRec.RecordListType = myNOS_MOBModel.Local_CLIENT_CARDRecordList;
GetLocalCardAggrRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetLocalCardAggrRec.init();
return GetLocalCardAggrRec;
})(OS.Model.AggregateRecord);


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("QRCodeBinary", "qRCodeBinaryVar", "QRCodeBinary", true, OS.Types.BinaryData, function () {
return OS.DataTypes.BinaryData.defaultValue;
}), 
this.attr("InitialStatusBarCode", "initialStatusBarCodeVar", "InitialStatusBarCode", true, OS.Types.Text, function () {
return myNOS_MOBModel.staticEntities.hEX_COLORS.grayDark;
}), 
this.attr("LocalCardId", "localCardIdIn", "LocalCardId", true, OS.Types.LongInteger, function () {
return OS.DataTypes.LongInteger.defaultValue;
}), 
this.attr("_localCardIdInDataFetchStatus", "_localCardIdInDataFetchStatus", "_localCardIdInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("IndexSelected", "indexSelectedIn", "IndexSelected", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("_indexSelectedInDataFetchStatus", "_indexSelectedInDataFetchStatus", "_indexSelectedInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("URL", "uRLIn", "URL", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_uRLInDataFetchStatus", "_uRLInDataFetchStatus", "_uRLInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("GetLocalCard", "getLocalCardAggr", "getLocalCardAggr", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetLocalCardAggrRec());
}, GetLocalCardAggrRec)
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = myNOS_MOB_CommonLayout_Layout_Blank_mvcModel.hasValidationWidgets;
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("LocalCardId" in inputs) {
this.variables.localCardIdIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.LocalCardId, OS.Types.LongInteger);
}

if("IndexSelected" in inputs) {
this.variables.indexSelectedIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.IndexSelected, OS.Types.Integer);
}

if("URL" in inputs) {
this.variables.uRLIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.URL, OS.Types.Text);
}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Card.FullScreenCard.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "CommonPlugin.model", "BrightnessPlugin.controller", "myNOS_MBP.model", "react", "OutSystemsReactView", "myNOS_MOB.Card.FullScreenCard.mvc$model", "myNOS_MOB.Card.FullScreenCard.mvc$controller", "myNOS_MOB.CommonLayout.Layout_Blank.mvc$view", "OutSystemsReactWidgets", "CommonPlugin.model$ErrorRec", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$CommonPlugin", "BrightnessPlugin.controller$SetBrightness", "myNOS_MOB.referencesHealth$BrightnessPlugin", "BrightnessPlugin.controller$CheckBrightnessPlugin", "myNOS_MOB.model$Local_CLIENT_CARDLocal_QR_CARDRecordList", "myNOS_MBP.model$Local_CLIENT_CARDRec", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.model$Local_QR_CARDRec", "myNOS_MBP.entities", "myNOS_MOB.model$Local_CLIENT_CARDRecordList"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, CommonPluginModel, BrightnessPluginController, myNOS_MBPModel, React, OSView, myNOS_MOB_Card_FullScreenCard_mvc_model, myNOS_MOB_Card_FullScreenCard_mvc_controller, myNOS_MOB_CommonLayout_Layout_Blank_mvc_view, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Card.FullScreenCard";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css", "css/MobilePatterns.BaseTheme.css", "css/MobileThemes_MyNos.NOS_BaseTheme.css", "css/MobileThemes_MyNos.NOS_LightTheme.css", "css/myNOS_MOB.myNOS_MOB.css", "css/myNOS_MOB.Card.FullScreenCard.css", "css/MobilePatterns.BaseTheme.extra.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_CommonLayout_Layout_Blank_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Card_FullScreenCard_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Card_FullScreenCard_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "Cartao NOS";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(myNOS_MOB_CommonLayout_Layout_Blank_mvc_view, {
inputs: {
IsInvalidPermissions: false,
PageTitle: "Cartao NOS",
PageType: "Consulta",
StatusBarHexCode: model.variables.initialStatusBarCodeVar,
PageNameUrl: "FullScreenCard",
PageSection: "Cartao NOS Full"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
isConnectedEvent$Action: function (isConnectedIn) {
var eventHandlerContext = callContext.clone();
controller.layout_BlankIsConnectedEvent$Action(controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
content: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Center*/ 2,
animate: false,
extendedEvents: {
onClick: function () {
var eventHandlerContext = callContext.clone();
controller.returnToCard$Action(controller.callContext(eventHandlerContext));

;
}
},
gridProperties: {
classes: "OSInline"
},
style: "QRCodeContainer m-NOSCard_QrExpanded",
visible: true,
_idProps: {
service: idService,
name: "QRCodeContainer"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Image, {
gridProperties: {
classes: "OSFillParent"
},
imageContent: model.variables.qRCodeBinaryVar,
type: /*Binary*/ 2,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: [asPrimitiveValue(model.variables.qRCodeBinaryVar)]
}));
        };
        return View;
    })(OSView.BaseView.BaseWebScreen);
	
    return View;
});
define("myNOS_MOB.Card.FullScreenCard.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "CommonPlugin.model", "BrightnessPlugin.controller", "myNOS_MBP.model", "myNOS_MOB.languageResources", "myNOS_MOB.Card.controller", "CommonPlugin.model$ErrorRec", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$CommonPlugin", "BrightnessPlugin.controller$SetBrightness", "myNOS_MOB.referencesHealth$BrightnessPlugin", "BrightnessPlugin.controller$CheckBrightnessPlugin", "myNOS_MOB.model$Local_CLIENT_CARDLocal_QR_CARDRecordList", "myNOS_MBP.model$Local_CLIENT_CARDRec", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.model$Local_QR_CARDRec", "myNOS_MBP.entities", "myNOS_MOB.model$Local_CLIENT_CARDRecordList"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, CommonPluginModel, BrightnessPluginController, myNOS_MBPModel, myNOS_MOBLanguageResources, myNOS_MOB_CardController) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions
Controller.prototype.getLocalCard$AggrRefresh = function (maxRecords) {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();

var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_CLIENT_CARDRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}

var qploId = model.variables.localCardIdIn;

var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "ENLocal_CLIENT_CARD.\"Id\" o0, ENLocal_CLIENT_CARD.\"ClientName\" o1, ENLocal_CLIENT_CARD.\"CardNumber\" o2, ENLocal_CLIENT_CARD.\"UserID\" o3, ENLocal_CLIENT_CARD.\"ClientNumber\" o4, ENLocal_CLIENT_CARD.\"UpdateDateTime\" o5, ENLocal_CLIENT_CARD.\"IsDelegated\" o6, ENLocal_CLIENT_CARD.\"CanBeDelegated\" o7, ENLocal_CLIENT_CARD.\"RegisterDateTime\" o8, ENLocal_CLIENT_CARD.\"QRCardID\" o9, ENLocal_CLIENT_CARD.\"AccountId\" o10";
} else {
selectSql += "ENLocal_CLIENT_CARD.\"Id\" o0, ENLocal_CLIENT_CARD.\"ClientName\" o1, ENLocal_CLIENT_CARD.\"CardNumber\" o2, ENLocal_CLIENT_CARD.\"UserID\" o3, ENLocal_CLIENT_CARD.\"ClientNumber\" o4, ENLocal_CLIENT_CARD.\"UpdateDateTime\" o5, ENLocal_CLIENT_CARD.\"IsDelegated\" o6, ENLocal_CLIENT_CARD.\"CanBeDelegated\" o7, ENLocal_CLIENT_CARD.\"RegisterDateTime\" o8, ENLocal_CLIENT_CARD.\"QRCardID\" o9, ENLocal_CLIENT_CARD.\"AccountId\" o10";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_CLIENT_CARD\" ENLocal_CLIENT_CARD";
fromAndWhereSql += " WHERE ";
if (qploId != 0) {
fromAndWhereSql += "((ENLocal_CLIENT_CARD.\"Id\" = :qploId) AND (ENLocal_CLIENT_CARD.\"Id\" IS NOT NULL))";
argsList.add("qploId", /*LONGINTEGER*/ 4, qploId);
} else {
fromAndWhereSql += "(ENLocal_CLIENT_CARD.\"Id\" IS NULL)";
}
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_CLIENT_CARDRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_CLIENT_CARDAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeScreenClientAggregate(executeQuery, function () {
return model.variables.getLocalCardAggr;
}, function () {
return controller._getLocalQRCARDSOnAfterFetch$Action(controller.callContext(callContext));
});
};

Controller.prototype.dataFetchActionNames = ["getLocalCard$AggrRefresh"];
// Client Actions
Controller.prototype._layout_BlankIsConnectedEvent$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Layout_BlankIsConnectedEvent");
callContext = controller.callContext(callContext);
};
Controller.prototype._onRender$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnRender");
callContext = controller.callContext(callContext);
var setBrightnessVar = new OS.DataTypes.VariableHolder();
var checkBrightnessPluginVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckBrightnessPlugin
checkBrightnessPluginVar.value = BrightnessPluginController.default.checkBrightnessPlugin$Action(callContext);

// IsCheckBrightnessAvailable?
return OS.Flow.executeSequence(function () {
if((checkBrightnessPluginVar.value.isAvailableOut)) {
// Execute Action: SetBrightness
model.flush();
return BrightnessPluginController.default.setBrightness$Action("1", callContext).then(function (value) {
setBrightnessVar.value = value;
});
}

});
});
};
Controller.prototype._getLocalQRCARDSOnAfterFetch$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GetLocalQRCARDSOnAfterFetch");
callContext = controller.callContext(callContext);
var getLocalQRCARDSVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_CLIENT_CARDLocal_QR_CARDRecordList))());
return OS.Flow.executeAsyncFlow(function () {
// ErrorObtainingLocalCard?
return OS.Flow.executeSequence(function () {
if((!(model.variables.getLocalCardAggr.listOut.isEmpty))) {
// Aggregate: GetLocalQRCARDS
var getLocalQRCARDSAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_CLIENT_CARDLocal_QR_CARDRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}

var qploLocal_CLIENT_CARD_Id = model.variables.localCardIdIn;

var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1, NULL o2, NULL o3, NULL o4, NULL o5, NULL o6, NULL o7, NULL o8, NULL o9, NULL o10, NULL o11, NULL o12, NULL o13";
} else {
selectSql += "ENLocal_CLIENT_CARD.\"Id\" o0, ENLocal_CLIENT_CARD.\"ClientName\" o1, ENLocal_CLIENT_CARD.\"CardNumber\" o2, ENLocal_CLIENT_CARD.\"UserID\" o3, ENLocal_CLIENT_CARD.\"ClientNumber\" o4, ENLocal_CLIENT_CARD.\"UpdateDateTime\" o5, ENLocal_CLIENT_CARD.\"IsDelegated\" o6, ENLocal_CLIENT_CARD.\"CanBeDelegated\" o7, ENLocal_CLIENT_CARD.\"RegisterDateTime\" o8, ENLocal_CLIENT_CARD.\"QRCardID\" o9, ENLocal_CLIENT_CARD.\"AccountId\" o10, ENLocal_QR_CARD.\"Id\" o11, ENLocal_QR_CARD.\"Filename\" o12, ENLocal_QR_CARD.\"Binary\" o13";
}
fromAndWhereSql += " FROM (\"MAIN\".\"OSUSR_85w_Local_QR_CARD\" ENLocal_QR_CARD Inner JOIN \"MAIN\".\"OSUSR_85w_Local_CLIENT_CARD\" ENLocal_CLIENT_CARD ON (ENLocal_QR_CARD.\"Id\" = ENLocal_CLIENT_CARD.\"QRCardID\")) ";
fromAndWhereSql += " WHERE ";
if (qploLocal_CLIENT_CARD_Id != 0) {
fromAndWhereSql += "((ENLocal_CLIENT_CARD.\"Id\" = :qploLocal_CLIENT_CARD_Id) AND (ENLocal_CLIENT_CARD.\"Id\" IS NOT NULL))";
argsList.add("qploLocal_CLIENT_CARD_Id", /*LONGINTEGER*/ 4, qploLocal_CLIENT_CARD_Id);
} else {
fromAndWhereSql += "(ENLocal_CLIENT_CARD.\"Id\" IS NULL)";
}
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_CLIENT_CARDLocal_QR_CARDRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_CLIENT_CARDAttr",
"local_QR_CARDAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalQRCARDSVar.value;
});
};
return getLocalQRCARDSAggr().then(function () {
// IsQRCardsEmpty?
if((!(getLocalQRCARDSVar.value.listOut.isEmpty))) {
// SetQRCodeBinary
// QRCodeBinary = GetLocalQRCARDS.List.Current.Local_QR_CARD.Binary
model.variables.qRCodeBinaryVar = getLocalQRCARDSVar.value.listOut.getCurrent(callContext.iterationContext).local_QR_CARDAttr.binaryAttr;
}

});
}

});
});
};
Controller.prototype._onDestroy$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnDestroy");
callContext = controller.callContext(callContext);
var checkBrightnessPluginVar = new OS.DataTypes.VariableHolder();
var setBrightnessVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckBrightnessPlugin
checkBrightnessPluginVar.value = BrightnessPluginController.default.checkBrightnessPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkBrightnessPluginVar.value.isAvailableOut)) {
// Execute Action: SetBrightness
model.flush();
return BrightnessPluginController.default.setBrightness$Action("0.5", callContext).then(function (value) {
setBrightnessVar.value = value;
});
}

});
});
};
Controller.prototype._returnToCard$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("ReturnToCard");
callContext = controller.callContext(callContext);
// Destination: /myNOS_MOB/NOSCard
return OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/NOSCard", {
EnablePreviousScreenLink: false,
URLInput: model.variables.uRLIn,
IndexSelected: model.variables.indexSelectedIn
}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.SlideFromTop), callContext, true);
};

Controller.prototype.layout_BlankIsConnectedEvent$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._layout_BlankIsConnectedEvent$Action, callContext);

};
Controller.prototype.onRender$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onRender$Action, callContext);

};
Controller.prototype.getLocalQRCARDSOnAfterFetch$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._getLocalQRCARDSOnAfterFetch$Action, callContext);

};
Controller.prototype.onDestroy$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onDestroy$Action, callContext);

};
Controller.prototype.returnToCard$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._returnToCard$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onRender$Action(callContext);

};
Controller.prototype.onDestroyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onDestroy$Action(callContext);

};
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return myNOS_MOB_CardController.default.handleError(ex, this.callContext());
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

