﻿define("myNOS_MOB.Client.Operations.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "Essentials_MOB.controller", "myNOS_MBP.model", "myNOS_MBP.controller", "CommonPlugin.controller", "myNOS_MOB.controller$Analytics_SendClickEvent", "Essentials_MOB.controller$Text_ReplaceSpecialChars", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$Essentials_MOB", "myNOS_MOB.model$TextTextTextTextTextTextBooleanIntegerIntegerRecordList", "myNOS_MOB.model$STR_OperationsList", "myNOS_MBP.model$Local_SERVICE_PERMITIONSRec", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.model$Local_OPERATION_CONFIGRec", "myNOS_MBP.model$Local_SERVICERec", "myNOS_MBP.model$Local_CATEGORYRec", "myNOS_MBP.entities", "myNOS_MOB.model$Local_CATEGORYIdentifierLocal_CATEGORYIdentifierTextIntegerRecordList", "myNOS_MBP.controller$GetCategories_MBP", "CommonPlugin.controller$GetPlatform", "myNOS_MOB.referencesHealth$CommonPlugin", "Essentials_MOB.controller$Text_IsEqual", "myNOS_MOB.model$ContainerInformationList", "myNOS_MOB.model$Local_SEARCH_OPERATION_HISTORYList", "myNOS_MBP.controller$GetOperationHistoryByUserId", "myNOS_MOB.model$Local_USERINFORecordList", "myNOS_MBP.model$Local_USER_INFORec", "myNOS_MOB.model$ContainerInformationRec", "myNOS_MBP.controller$SetOperationHistory", "myNOS_MOB.controller$SetServiceLocalSelection", "myNOS_MOB.model$OperationsSectionsTopRec", "myNOS_MOB.model$Local_ASSOCIATIONRecordList", "myNOS_MBP.model$Local_ASSOCIATIONRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, Essentials_MOBController, myNOS_MBPModel, myNOS_MBPController, CommonPluginController) {
var OS = OutSystems.Internal;
var GetPendingAssociationsAggrRec = (function (_super) {
__extends(GetPendingAssociationsAggrRec, _super);
function GetPendingAssociationsAggrRec(defaults) {
_super.apply(this, arguments);
}
GetPendingAssociationsAggrRec.RecordListType = myNOS_MOBModel.Local_ASSOCIATIONRecordList;
GetPendingAssociationsAggrRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetPendingAssociationsAggrRec.init();
return GetPendingAssociationsAggrRec;
})(OS.Model.AggregateRecord);


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("TextVar", "textVarVar", "TextVar", true, OS.Types.Text, function () {
return "";
}), 
this.attr("IsSearching", "isSearchingVar", "IsSearching", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("IsCloseShown", "isCloseShownVar", "IsCloseShown", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("Categories", "categoriesVar", "Categories", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.Local_CATEGORYIdentifierLocal_CATEGORYIdentifierTextIntegerRecordList());
}, myNOS_MOBModel.Local_CATEGORYIdentifierLocal_CATEGORYIdentifierTextIntegerRecordList), 
this.attr("ServicePermitions", "servicePermitionsVar", "ServicePermitions", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_OperationsList());
}, myNOS_MOBModel.STR_OperationsList), 
this.attr("UserId", "userIdVar", "UserId", true, OS.Types.Text, function () {
return "";
}), 
this.attr("OperationHistory", "operationHistoryVar", "OperationHistory", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.Local_SEARCH_OPERATION_HISTORYList());
}, myNOS_MOBModel.Local_SEARCH_OPERATION_HISTORYList), 
this.attr("ContainerInfoList", "containerInfoListVar", "ContainerInfoList", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.OperationsSectionsTopRec());
}, myNOS_MOBModel.OperationsSectionsTopRec), 
this.attr("IsScrolling", "isScrollingVar", "IsScrolling", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("isLoading", "isLoadingVar", "isLoading", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("InitialStatusBarCode", "initialStatusBarCodeVar", "InitialStatusBarCode", true, OS.Types.Text, function () {
return myNOS_MOBModel.staticEntities.hEX_COLORS.blueDark;
}), 
this.attr("NavigatedIsFromHistory", "navigatedIsFromHistoryVar", "NavigatedIsFromHistory", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("GetPendingAssociations", "getPendingAssociationsAggr", "getPendingAssociationsAggr", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetPendingAssociationsAggrRec());
}, GetPendingAssociationsAggrRec)
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {
Input_TextVar: OS.Model.ValidationWidgetRecord
};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return true;
}
});

Model.prototype.setInputs = function (inputs) {
};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Client.Operations.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "Essentials_MOB.controller", "myNOS_MBP.model", "myNOS_MBP.controller", "CommonPlugin.controller", "react", "OutSystemsReactView", "myNOS_MOB.Client.Operations.mvc$model", "myNOS_MOB.Client.Operations.mvc$controller", "myNOS_MOB.CommonLayout.Layout_Lvl_1.mvc$view", "OutSystemsReactWidgets", "MobileUIWidgets.WidgetsContent.NOSAppsIcons.mvc$view", "MobilePatterns.Interaction.HorizontalScroll.mvc$view", "MobileUIWidgets.SkeletonComponents.SkeletonTitle.mvc$view", "MobileUIWidgets.SkeletonComponents.SkeletonActionCard.mvc$view", "MobileUIWidgets.WidgetsContent.Card_new.mvc$view", "MobileUIWidgets.WidgetsContent.EmptyStates_new.mvc$view", "myNOS_MOB.Blocks.OperationsByCategoryId.mvc$view", "myNOS_MOB.Blocks.ActionCard.mvc$view", "myNOS_MOB.Common.BottomBar.mvc$view", "myNOS_MOB.controller$Analytics_SendClickEvent", "Essentials_MOB.controller$Text_ReplaceSpecialChars", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$Essentials_MOB", "myNOS_MOB.model$TextTextTextTextTextTextBooleanIntegerIntegerRecordList", "myNOS_MOB.model$STR_OperationsList", "myNOS_MBP.model$Local_SERVICE_PERMITIONSRec", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.model$Local_OPERATION_CONFIGRec", "myNOS_MBP.model$Local_SERVICERec", "myNOS_MBP.model$Local_CATEGORYRec", "myNOS_MBP.entities", "myNOS_MOB.model$Local_CATEGORYIdentifierLocal_CATEGORYIdentifierTextIntegerRecordList", "myNOS_MBP.controller$GetCategories_MBP", "CommonPlugin.controller$GetPlatform", "myNOS_MOB.referencesHealth$CommonPlugin", "Essentials_MOB.controller$Text_IsEqual", "myNOS_MOB.model$ContainerInformationList", "myNOS_MOB.model$Local_SEARCH_OPERATION_HISTORYList", "myNOS_MBP.controller$GetOperationHistoryByUserId", "myNOS_MOB.model$Local_USERINFORecordList", "myNOS_MBP.model$Local_USER_INFORec", "myNOS_MOB.model$ContainerInformationRec", "myNOS_MBP.controller$SetOperationHistory", "myNOS_MOB.controller$SetServiceLocalSelection", "myNOS_MOB.model$OperationsSectionsTopRec", "myNOS_MOB.model$Local_ASSOCIATIONRecordList", "myNOS_MBP.model$Local_ASSOCIATIONRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, Essentials_MOBController, myNOS_MBPModel, myNOS_MBPController, CommonPluginController, React, OSView, myNOS_MOB_Client_Operations_mvc_model, myNOS_MOB_Client_Operations_mvc_controller, myNOS_MOB_CommonLayout_Layout_Lvl_1_mvc_view, OSWidgets, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, MobilePatterns_Interaction_HorizontalScroll_mvc_view, MobileUIWidgets_SkeletonComponents_SkeletonTitle_mvc_view, MobileUIWidgets_SkeletonComponents_SkeletonActionCard_mvc_view, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_EmptyStates_new_mvc_view, myNOS_MOB_Blocks_OperationsByCategoryId_mvc_view, myNOS_MOB_Blocks_ActionCard_mvc_view, myNOS_MOB_Common_BottomBar_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Client.Operations";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css", "css/MobilePatterns.BaseTheme.css", "css/MobileThemes_MyNos.NOS_BaseTheme.css", "css/MobileThemes_MyNos.NOS_LightTheme.css", "css/myNOS_MOB.myNOS_MOB.css", "css/MobilePatterns.BaseTheme.extra.css"];
        };
        View.getJsDependencies = function() {
            return ["scripts/MobileThemes_MyNos.StickyBits.js", "scripts/MobileThemes_MyNos.ScrollTo.js"];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_CommonLayout_Layout_Lvl_1_mvc_view, MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, MobilePatterns_Interaction_HorizontalScroll_mvc_view, MobileUIWidgets_SkeletonComponents_SkeletonTitle_mvc_view, MobileUIWidgets_SkeletonComponents_SkeletonActionCard_mvc_view, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_EmptyStates_new_mvc_view, myNOS_MOB_Blocks_OperationsByCategoryId_mvc_view, myNOS_MOB_Blocks_ActionCard_mvc_view, myNOS_MOB_Common_BottomBar_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Client_Operations_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Client_Operations_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "Operacoes";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(myNOS_MOB_CommonLayout_Layout_Lvl_1_mvc_view, {
inputs: {
MasterColorId: myNOS_MOBModel.staticEntities.mASTER_COLOR.blueDark,
PageType: "Consulta",
NavigatedIsFromHistory: model.variables.navigatedIsFromHistoryVar,
HeaderTitle: "Atalhos",
StatusBarHexCode: model.variables.initialStatusBarCodeVar,
PageNameUrl: "Operations",
PageTitle: "Operacoes",
Analytics_ProfileClickEventCategory: "Operacoes_perfil",
PageSection: "Operacoes"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
headerContent: PlaceholderContent.Empty,
content: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "o-operationsInputContainer",
visible: true,
_idProps: {
service: idService,
uuid: "1"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
"data-searcheffect": ""
},
style: "a-inputSearch",
visible: true,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.AdvancedHtml, {
extendedProperties: {
className: "a-icon a-inputSearch-icon c-black icon-search",
"data-outsearchicon": "icon-search",
"data-insearchicon": "icon-back",
"data-removesearch": ""
},
tag: "i",
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Input, {
_validationProps: {
validationService: validationService
},
enabled: true,
gridProperties: {
classes: "OSFillParent"
},
inputType: /*Text*/ 0,
mandatory: false,
maxLength: 50,
onChange: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.inputOnChange$Action(controller.callContext(eventHandlerContext));
});
;
},
prompt: "Ex. Pagar faturas",
style: "form-control a-input w-100",
variable: model.createVariable(OS.Types.Text, model.variables.textVarVar, function (value) {
model.variables.textVarVar = value;
}),
_idProps: {
service: idService,
name: "Input_TextVar"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: true,
visible: model.variables.isCloseShownVar,
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
IconName: myNOS_MOBModel.staticEntities.iCON_CLASS.iconClose,
StyleClass: "a-input-text_icon c-black"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
onIconClick$Action: function () {
var eventHandlerContext = callContext.clone();
controller.clearInputValue$Action(controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "6",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})))), $if(model.variables.isLoadingVar, false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
"data-hideonsearch": ""
},
visible: true,
_idProps: {
service: idService,
uuid: "7"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "m-horizontalScroll -greenHeader",
visible: false,
_idProps: {
service: idService,
uuid: "8"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobilePatterns_Interaction_HorizontalScroll_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "9",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
content: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "a-skeletonCard_horizontalScrollItem",
visible: true,
_idProps: {
service: idService,
uuid: "10"
},
_widgetRecordProvider: widgetsRecordProvider
})];
})
},
_dependencies: []
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "ph-16",
visible: true,
_idProps: {
service: idService,
uuid: "11"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "pt-16 operationSection",
visible: true,
_idProps: {
service: idService,
name: "Faturacao"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "row",
visible: true,
_idProps: {
service: idService,
name: "Title"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-5 -noPadding",
visible: true,
_idProps: {
service: idService,
uuid: "14"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_SkeletonComponents_SkeletonTitle_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "15",
alias: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-16",
visible: true,
_idProps: {
service: idService,
uuid: "16"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_SkeletonComponents_SkeletonActionCard_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "17",
alias: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}), React.createElement(MobileUIWidgets_SkeletonComponents_SkeletonActionCard_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "18",
alias: "6"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}), React.createElement(MobileUIWidgets_SkeletonComponents_SkeletonActionCard_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "19",
alias: "7"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}), React.createElement(MobileUIWidgets_SkeletonComponents_SkeletonActionCard_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "20",
alias: "8"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})))))];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
"data-hideonsearch": ""
},
visible: true,
_idProps: {
service: idService,
uuid: "21"
},
_widgetRecordProvider: widgetsRecordProvider
}, $if(!(model.variables.isSearchingVar), false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
"data-hideonsearch": ""
},
style: "m-horizontalScroll -greenHeader",
visible: false,
_idProps: {
service: idService,
uuid: "22"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobilePatterns_Interaction_HorizontalScroll_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "23",
alias: "9"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
content: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.List, {
animateItems: true,
gridProperties: {
classes: "OSFillParent"
},
mode: /*Default*/ 0,
source: model.variables.categoriesVar,
style: "",
tag: "div",
_idProps: {
service: idService,
uuid: "24"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
content: new IteratorPlaceholderContent(function (idService, callContext) {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.goTo$Action((model.variables.categoriesVar.getCurrent(callContext.iterationContext).categoryIdAttr).toString(), controller.callContext(eventHandlerContext));
});
;
}
},
style: model.getCachedValue(idService.getId("WmFQwZlJxUOXtlKh6ci0uw.Style"), function () {
return ("m-horizontalScrollItem " + ((model.variables.isScrollingVar) ? ("-noClick") : ("")));
}, function () {
return model.variables.isScrollingVar;
}),
visible: true,
_idProps: {
service: idService,
uuid: "25"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: [asPrimitiveValue(model.variables.categoriesVar.getCurrent(callContext.iterationContext).nameAttr)]
}, React.createElement(OSWidgets.Expression, {
style: "h3 c-mediumWhite -bold",
value: model.variables.categoriesVar.getCurrent(callContext.iterationContext).nameAttr,
_idProps: {
service: idService,
uuid: "26"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
}, callContext, idService, "1")
},
_dependencies: [asPrimitiveValue(model.variables.isScrollingVar)]
})];
})
},
_dependencies: [asPrimitiveValue(model.variables.isScrollingVar), asPrimitiveValue(model.variables.categoriesVar)]
})), $if(model.variables.categoriesVar.isEmpty, false, this, function () {
return [$if(!(model.variables.getPendingAssociationsAggr.listOut.isEmpty), false, this, function () {
return [React.createElement(OSWidgets.List, {
animateItems: true,
gridProperties: {
classes: "OSFillParent"
},
mode: /*Default*/ 0,
source: model.variables.getPendingAssociationsAggr.listOut,
style: "\"list list-group\"",
tag: "div",
_idProps: {
service: idService,
uuid: "27"
},
_widgetRecordProvider: widgetsRecordProvider,
source_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getPendingAssociationsAggr.dataFetchStatusAttr),
placeholders: {
content: new IteratorPlaceholderContent(function (idService, callContext) {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-24",
visible: true,
_idProps: {
service: idService,
uuid: "28"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: [asPrimitiveValue(model.variables.getPendingAssociationsAggr.dataFetchStatusAttr), asPrimitiveValue(model.variables.getPendingAssociationsAggr.listOut.getCurrent(callContext.iterationContext).local_ASSOCIATIONAttr.friendlyNameAttr)]
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasLeftSide: false,
StyleClass: "-paddingBottom24",
HasRightSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "29",
alias: "10"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "gridRow mb-8",
visible: true,
_idProps: {
service: idService,
uuid: "30"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-10",
visible: true,
_idProps: {
service: idService,
uuid: "31"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.AdvancedHtml, {
tag: "h2",
_idProps: {
service: idService,
uuid: "32"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "h2 -bold c-black",
value: model.variables.getPendingAssociationsAggr.listOut.getCurrent(callContext.iterationContext).local_ASSOCIATIONAttr.friendlyNameAttr,
_idProps: {
service: idService,
uuid: "33"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables.getPendingAssociationsAggr.dataFetchStatusAttr)
}))), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-2 text-right",
visible: true,
_idProps: {
service: idService,
uuid: "34"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_NOSAppsIcons_mvc_view, {
inputs: {
StyleClass: "c-black",
IconName: myNOS_MOBModel.staticEntities.iCON_CLASS.iconHistory
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "35",
alias: "11"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))), React.createElement(OSWidgets.Expression, {
style: "a-textRead c-pink",
value: "Serviço em processamento.",
_idProps: {
service: idService,
uuid: "36"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Expression, {
style: "a-textRead",
value: "Por favor aguarde, o serviço irá demorar até 72 horas até ficar disponível.",
_idProps: {
service: idService,
uuid: "37"
},
_widgetRecordProvider: widgetsRecordProvider
})];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.getPendingAssociationsAggr.dataFetchStatusAttr), asPrimitiveValue(model.variables.getPendingAssociationsAggr.listOut.getCurrent(callContext.iterationContext).local_ASSOCIATIONAttr.friendlyNameAttr)]
}))];
}, callContext, idService, "2")
},
_dependencies: [asPrimitiveValue(model.variables.getPendingAssociationsAggr.dataFetchStatusAttr)]
})];
}, function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_EmptyStates_new_mvc_view, {
inputs: {
Title: "Funcionalidade indisponível",
Text: "Esta funcionalidade não está disponível"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "38",
alias: "12"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
spokeImage: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Image, {
image: OS.Navigation.VersionedURL.getVersionedUrl("img/myNOS_MOB.EmptyState_Light_BlueDark_Unavailable.svg"),
type: /*Static*/ 0,
_idProps: {
service: idService,
uuid: "39"
},
_widgetRecordProvider: widgetsRecordProvider
})];
})
},
_dependencies: []
})];
})];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
gridProperties: {
marginTop: "20px"
},
style: "mb-40 ph-16",
visible: true,
_idProps: {
service: idService,
uuid: "40"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.List, {
animateItems: false,
gridProperties: {
classes: "OSFillParent"
},
mode: /*Default*/ 0,
source: model.variables.categoriesVar,
style: "",
tag: "div",
_idProps: {
service: idService,
name: "CatList"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
content: new IteratorPlaceholderContent(function (idService, callContext) {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
"data-pointer": (model.variables.categoriesVar.getCurrent(callContext.iterationContext).categoryIdAttr).toString()
},
style: model.getCachedValue(idService.getId("ZO6Pjwvu3EakCL3qZ1mpKw.Style"), function () {
return (((model.variables.categoriesVar.getCurrentRowNumber(callContext.iterationContext) === 0)) ? ("pt-16 operationSection") : ("pt-24 operationSection"));
}, function () {
return model.variables.categoriesVar.getCurrentRowNumber(callContext.iterationContext);
}),
visible: true,
_idProps: {
service: idService,
uuid: "42"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: [asPrimitiveValue(model.variables.categoriesVar.getCurrent(callContext.iterationContext).nameAttr), asPrimitiveValue(model.variables.categoriesVar.getCurrent(callContext.iterationContext).categoryIdAttr)]
}, React.createElement(myNOS_MOB_Blocks_OperationsByCategoryId_mvc_view, {
inputs: {
CategoryId: model.variables.categoriesVar.getCurrent(callContext.iterationContext).categoryIdAttr,
CategoryLabel: model.variables.categoriesVar.getCurrent(callContext.iterationContext).nameAttr
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "43",
alias: "13"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))];
}, callContext, idService, "3")
},
_dependencies: []
}))];
})];
}, function () {
return [];
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
"data-showonsearch": ""
},
style: "m-searchContent",
visible: true,
_idProps: {
service: idService,
uuid: "44"
},
_widgetRecordProvider: widgetsRecordProvider
}, $if(((model.variables.textVarVar) !== ("")), false, this, function () {
return [React.createElement(OSWidgets.AdvancedHtml, {
tag: "h3",
_idProps: {
service: idService,
uuid: "45"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "h3 -bold c-black",
value: model.getCachedValue(idService.getId("8LxY8Iy7YUu6CQu6TPtFEg.Value"), function () {
return (((OS.BuiltinFunctions.length(model.variables.textVarVar) < 3)) ? ("Insira pelo menos 3 caracteres") : (((model.variables.servicePermitionsVar.length).toString() + " Resultados")));
}, function () {
return model.variables.textVarVar;
}, function () {
return model.variables.servicePermitionsVar.length;
}),
_idProps: {
service: idService,
uuid: "46"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-16",
visible: true,
_idProps: {
service: idService,
uuid: "47"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.List, {
animateItems: true,
gridProperties: {
classes: "OSFillParent"
},
mode: /*Default*/ 0,
source: model.variables.servicePermitionsVar,
style: "",
tag: "div",
_idProps: {
service: idService,
uuid: "48"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
content: new IteratorPlaceholderContent(function (idService, callContext) {
return [React.createElement(OSWidgets.Link, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.goToURL$Action(model.variables.servicePermitionsVar.getCurrent(callContext.iterationContext).selfcareCodeAttr, model.variables.servicePermitionsVar.getCurrent(callContext.iterationContext).displayNameAttr, model.variables.servicePermitionsVar.getCurrent(callContext.iterationContext).descriptionAttr, model.variables.servicePermitionsVar.getCurrent(callContext.iterationContext).iconClassAttr, model.variables.servicePermitionsVar.getCurrent(callContext.iterationContext).uRLAttr, model.variables.servicePermitionsVar.getCurrent(callContext.iterationContext).categoryIdAttr, controller.callContext(eventHandlerContext));
});
;
},
visible: true,
_idProps: {
service: idService,
uuid: "49"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: [asPrimitiveValue(model.variables.servicePermitionsVar.getCurrent(callContext.iterationContext).descriptionAttr), asPrimitiveValue(model.variables.servicePermitionsVar.getCurrent(callContext.iterationContext).iconClassAttr), asPrimitiveValue(model.variables.servicePermitionsVar.getCurrent(callContext.iterationContext).displayNameAttr)]
}, React.createElement(myNOS_MOB_Blocks_ActionCard_mvc_view, {
inputs: {
Title: model.variables.servicePermitionsVar.getCurrent(callContext.iterationContext).displayNameAttr,
IconClassId: model.getCachedValue(idService.getId("DXk2qWSleUmJ9yx0NGGS4w.IconClassId"), function () {
return OS.BuiltinFunctions.textToIdentifier(model.variables.servicePermitionsVar.getCurrent(callContext.iterationContext).iconClassAttr);
}, function () {
return model.variables.servicePermitionsVar.getCurrent(callContext.iterationContext).iconClassAttr;
}),
Label: model.variables.servicePermitionsVar.getCurrent(callContext.iterationContext).descriptionAttr
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "50",
alias: "14"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))];
}, callContext, idService, "4")
},
_dependencies: []
}))];
}, function () {
return [$if(!(model.variables.operationHistoryVar.isEmpty), false, this, function () {
return [React.createElement(OSWidgets.AdvancedHtml, {
tag: "h3",
_idProps: {
service: idService,
uuid: "51"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "h3 -bold c-black",
value: "Operações recentes",
_idProps: {
service: idService,
uuid: "52"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-16",
visible: true,
_idProps: {
service: idService,
uuid: "53"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.List, {
animateItems: true,
gridProperties: {
classes: "OSFillParent"
},
mode: /*Default*/ 0,
source: model.variables.operationHistoryVar,
style: "",
tag: "div",
_idProps: {
service: idService,
uuid: "54"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
content: new IteratorPlaceholderContent(function (idService, callContext) {
return [React.createElement(OSWidgets.Link, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.goToURL$Action(model.variables.operationHistoryVar.getCurrent(callContext.iterationContext).selfcareCodeAttr, model.variables.operationHistoryVar.getCurrent(callContext.iterationContext).displayNameAttr, model.variables.operationHistoryVar.getCurrent(callContext.iterationContext).displayDescriptionAttr, model.variables.operationHistoryVar.getCurrent(callContext.iterationContext).iconClassAttr, model.variables.operationHistoryVar.getCurrent(callContext.iterationContext).uRLAttr, model.variables.operationHistoryVar.getCurrent(callContext.iterationContext).categoryIdAttr, controller.callContext(eventHandlerContext));
});
;
},
visible: true,
_idProps: {
service: idService,
uuid: "55"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: [asPrimitiveValue(model.variables.operationHistoryVar.getCurrent(callContext.iterationContext).iconClassAttr), asPrimitiveValue(model.variables.operationHistoryVar.getCurrent(callContext.iterationContext).displayDescriptionAttr), asPrimitiveValue(model.variables.operationHistoryVar.getCurrent(callContext.iterationContext).displayNameAttr)]
}, React.createElement(myNOS_MOB_Blocks_ActionCard_mvc_view, {
inputs: {
Title: model.variables.operationHistoryVar.getCurrent(callContext.iterationContext).displayNameAttr,
Label: model.variables.operationHistoryVar.getCurrent(callContext.iterationContext).displayDescriptionAttr,
IconClassId: model.getCachedValue(idService.getId("wThR7qpYTkqbNHdiH9ygQw.IconClassId"), function () {
return OS.BuiltinFunctions.textToIdentifier(model.variables.operationHistoryVar.getCurrent(callContext.iterationContext).iconClassAttr);
}, function () {
return model.variables.operationHistoryVar.getCurrent(callContext.iterationContext).iconClassAttr;
})
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "56",
alias: "15"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))];
}, callContext, idService, "5")
},
_dependencies: []
}))];
}, function () {
return [];
})];
}))];
})];
}),
bottom: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_Common_BottomBar_mvc_view, {
inputs: {
StatusBarHexCode: model.variables.initialStatusBarCodeVar,
ActiveItem: 2
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "57",
alias: "16"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
})
},
_dependencies: [asPrimitiveValue(model.variables.initialStatusBarCodeVar), asPrimitiveValue(model.variables.operationHistoryVar), asPrimitiveValue(model.variables.servicePermitionsVar), asPrimitiveValue(model.variables.getPendingAssociationsAggr.dataFetchStatusAttr), asPrimitiveValue(model.variables.getPendingAssociationsAggr.listOut), asPrimitiveValue(model.variables.isScrollingVar), asPrimitiveValue(model.variables.categoriesVar), asPrimitiveValue(model.variables.isSearchingVar), asPrimitiveValue(model.variables.isLoadingVar), asPrimitiveValue(model.variables.isCloseShownVar), asPrimitiveValue(model.variables.textVarVar)]
}));
        };
        return View;
    })(OSView.BaseView.BaseWebScreen);
	
    return View;
});
define("myNOS_MOB.Client.Operations.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "Essentials_MOB.controller", "myNOS_MBP.model", "myNOS_MBP.controller", "CommonPlugin.controller", "myNOS_MOB.languageResources", "myNOS_MOB.Client.controller", "myNOS_MOB.Client.Operations.mvc$controller.OnInitialize.JavaScript_CheckIsFromHistoryJS", "myNOS_MOB.Client.Operations.mvc$controller.OnDestroy.RemoveTabsStickyJS", "myNOS_MOB.Client.Operations.mvc$controller.OnDestroy.RemoveEventsJS", "myNOS_MOB.Client.Operations.mvc$controller.GoTo.AnchorJS", "myNOS_MOB.Client.Operations.mvc$controller.GoTo.AnchorIOSJS", "myNOS_MOB.Client.Operations.mvc$controller.OnReady.GetSectionsOffsetJS", "myNOS_MOB.Client.Operations.mvc$controller.OnReady.AddEventsJS", "myNOS_MOB.Client.Operations.mvc$controller.OnReady.AddTabsStickyJS", "myNOS_MOB.controller$Analytics_SendClickEvent", "Essentials_MOB.controller$Text_ReplaceSpecialChars", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$Essentials_MOB", "myNOS_MOB.model$TextTextTextTextTextTextBooleanIntegerIntegerRecordList", "myNOS_MOB.model$STR_OperationsList", "myNOS_MBP.model$Local_SERVICE_PERMITIONSRec", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.model$Local_OPERATION_CONFIGRec", "myNOS_MBP.model$Local_SERVICERec", "myNOS_MBP.model$Local_CATEGORYRec", "myNOS_MBP.entities", "myNOS_MOB.model$Local_CATEGORYIdentifierLocal_CATEGORYIdentifierTextIntegerRecordList", "myNOS_MBP.controller$GetCategories_MBP", "CommonPlugin.controller$GetPlatform", "myNOS_MOB.referencesHealth$CommonPlugin", "Essentials_MOB.controller$Text_IsEqual", "myNOS_MOB.model$ContainerInformationList", "myNOS_MOB.model$Local_SEARCH_OPERATION_HISTORYList", "myNOS_MBP.controller$GetOperationHistoryByUserId", "myNOS_MOB.model$Local_USERINFORecordList", "myNOS_MBP.model$Local_USER_INFORec", "myNOS_MOB.model$ContainerInformationRec", "myNOS_MBP.controller$SetOperationHistory", "myNOS_MOB.controller$SetServiceLocalSelection", "myNOS_MOB.model$OperationsSectionsTopRec", "myNOS_MOB.model$Local_ASSOCIATIONRecordList", "myNOS_MBP.model$Local_ASSOCIATIONRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, Essentials_MOBController, myNOS_MBPModel, myNOS_MBPController, CommonPluginController, myNOS_MOBLanguageResources, myNOS_MOB_ClientController, myNOS_MOB_Client_Operations_mvc_controller_OnInitialize_JavaScript_CheckIsFromHistoryJS, myNOS_MOB_Client_Operations_mvc_controller_OnDestroy_RemoveTabsStickyJS, myNOS_MOB_Client_Operations_mvc_controller_OnDestroy_RemoveEventsJS, myNOS_MOB_Client_Operations_mvc_controller_GoTo_AnchorJS, myNOS_MOB_Client_Operations_mvc_controller_GoTo_AnchorIOSJS, myNOS_MOB_Client_Operations_mvc_controller_OnReady_GetSectionsOffsetJS, myNOS_MOB_Client_Operations_mvc_controller_OnReady_AddEventsJS, myNOS_MOB_Client_Operations_mvc_controller_OnReady_AddTabsStickyJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {
unlockLinks$Action: function () {
return controller.executeActionInsideJSNode(controller._unlockLinks$Action.bind(controller), controller.callContext(), function (actionResults) {
return {};
});
},
getContainerInfo$Action: function (containerIdIn, containerOffsetTopIn) {
containerIdIn = (containerIdIn === undefined) ? "" : containerIdIn;
containerOffsetTopIn = (containerOffsetTopIn === undefined) ? "" : containerOffsetTopIn;
return controller.executeActionInsideJSNode(controller._getContainerInfo$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(containerIdIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(containerOffsetTopIn, OS.Types.Text)), controller.callContext(), function (actionResults) {
return {};
});
}
};
}
// Server Actions

// Aggregates and Data Actions
Controller.prototype.getPendingAssociations$AggrRefresh = function (maxRecords) {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();

var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_ASSOCIATIONRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 50;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "ENLocal_ASSOCIATION.\"Id\" o0, ENLocal_ASSOCIATION.\"DisplayValue\" o1, ENLocal_ASSOCIATION.\"FriendlyName\" o2, ENLocal_ASSOCIATION.\"RoleName\" o3, ENLocal_ASSOCIATION.\"Key\" o4, ENLocal_ASSOCIATION.\"Value\" o5, ENLocal_ASSOCIATION.\"Master\" o6, ENLocal_ASSOCIATION.\"ContractDN\" o7, ENLocal_ASSOCIATION.\"AccountOwner\" o8, ENLocal_ASSOCIATION.\"AccountOwnerNIF\" o9, ENLocal_ASSOCIATION.\"AccountOwnerEmail\" o10, ENLocal_ASSOCIATION.\"AccountOwnerPhoneNr\" o11, ENLocal_ASSOCIATION.\"CustCode_ClientNumber\" o12, ENLocal_ASSOCIATION.\"AccountOwnerAddress\" o13, ENLocal_ASSOCIATION.\"IsNOSCardEligible\" o14, ENLocal_ASSOCIATION.\"ContactType\" o15, ENLocal_ASSOCIATION.\"PersonId\" o16, ENLocal_ASSOCIATION.\"CounterTelevision\" o17, ENLocal_ASSOCIATION.\"CounterInternetLandline\" o18, ENLocal_ASSOCIATION.\"CounterInternetMobile\" o19, ENLocal_ASSOCIATION.\"CounterVoiceLandline\" o20, ENLocal_ASSOCIATION.\"CounterVoiceMobile\" o21, ENLocal_ASSOCIATION.\"SuccessfullyUpdated\" o22, ENLocal_ASSOCIATION.\"IsPending\" o23";
} else {
selectSql += "ENLocal_ASSOCIATION.\"Id\" o0, ENLocal_ASSOCIATION.\"DisplayValue\" o1, ENLocal_ASSOCIATION.\"FriendlyName\" o2, ENLocal_ASSOCIATION.\"RoleName\" o3, ENLocal_ASSOCIATION.\"Key\" o4, ENLocal_ASSOCIATION.\"Value\" o5, ENLocal_ASSOCIATION.\"Master\" o6, ENLocal_ASSOCIATION.\"ContractDN\" o7, ENLocal_ASSOCIATION.\"AccountOwner\" o8, ENLocal_ASSOCIATION.\"AccountOwnerNIF\" o9, ENLocal_ASSOCIATION.\"AccountOwnerEmail\" o10, ENLocal_ASSOCIATION.\"AccountOwnerPhoneNr\" o11, ENLocal_ASSOCIATION.\"CustCode_ClientNumber\" o12, ENLocal_ASSOCIATION.\"AccountOwnerAddress\" o13, ENLocal_ASSOCIATION.\"IsNOSCardEligible\" o14, ENLocal_ASSOCIATION.\"ContactType\" o15, ENLocal_ASSOCIATION.\"PersonId\" o16, ENLocal_ASSOCIATION.\"CounterTelevision\" o17, ENLocal_ASSOCIATION.\"CounterInternetLandline\" o18, ENLocal_ASSOCIATION.\"CounterInternetMobile\" o19, ENLocal_ASSOCIATION.\"CounterVoiceLandline\" o20, ENLocal_ASSOCIATION.\"CounterVoiceMobile\" o21, ENLocal_ASSOCIATION.\"SuccessfullyUpdated\" o22, ENLocal_ASSOCIATION.\"IsPending\" o23";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_ASSOCIATION\" ENLocal_ASSOCIATION";
fromAndWhereSql += " WHERE (ENLocal_ASSOCIATION.\"IsPending\" = 1)";
orderBySql += " ORDER BY ENLocal_ASSOCIATION.\"FriendlyName\" ASC ";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_ASSOCIATIONRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_ASSOCIATIONAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeScreenClientAggregate(executeQuery, function () {
return model.variables.getPendingAssociationsAggr;
}, function () {
});
};

Controller.prototype.dataFetchActionNames = ["getPendingAssociations$AggrRefresh"];
// Client Actions
Controller.prototype._unlockLinks$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("UnlockLinks");
callContext = controller.callContext(callContext);
// IsScrolling = False
model.variables.isScrollingVar = false;
};
Controller.prototype._inputOnChange$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("InputOnChange");
callContext = controller.callContext(callContext);
var getLocalSERVICESByAssociationIdVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.TextTextTextTextTextTextBooleanIntegerIntegerRecordList))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("Operacoes_pesquisa", "Pesquisa", 0, "", callContext).then(function () {
return OS.Flow.executeSequence(function () {
if(((OS.BuiltinFunctions.length(model.variables.textVarVar) === 0))) {
// IsCloseShown = False
model.variables.isCloseShownVar = false;
// Execute Action: ClearInputValue
controller._clearInputValue$Action(callContext);
} else {
return OS.Flow.executeSequence(function () {
if((OS.BuiltinFunctions.length(model.variables.textVarVar) < 3)) {
// IsCloseShown = True
model.variables.isCloseShownVar = true;
} else {
// IsCloseShown = True
model.variables.isCloseShownVar = true;
// Aggregate: GetLocalSERVICESByAssociationId
var getLocalSERVICESByAssociationIdAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.TextTextTextTextTextTextBooleanIntegerIntegerRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 0;
}

var qpstText_ReplaceSpecialChars = Essentials_MOBController.default.text_ReplaceSpecialChars$Action(model.variables.textVarVar, callContext.withoutIterationContext()).textOut;

var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "ENLocal_OPERATION_CONFIG.\"Description\" \"Description\", ENLocal_OPERATION_CONFIG.\"DisplayName\" \"DisplayName\", ENLocal_OPERATION_CONFIG.\"IconClass\" \"IconClass\", ENLocal_OPERATION_CONFIG.\"isNew\" \"isNew\", ENLocal_CATEGORY.\"Order\" \"Order\", ENLocal_OPERATION_CONFIG.\"Order\" \"Order2\", ENLocal_OPERATION_CONFIG.\"SelfcareCode\" \"SelfcareCode\", ENLocal_OPERATION_CONFIG.\"Tags\" \"Tags\", ENLocal_OPERATION_CONFIG.\"URL\" \"URL\"";
} else {
selectSql += "ENLocal_OPERATION_CONFIG.\"Description\" \"Description\", ENLocal_OPERATION_CONFIG.\"DisplayName\" \"DisplayName\", ENLocal_OPERATION_CONFIG.\"IconClass\" \"IconClass\", ENLocal_OPERATION_CONFIG.\"isNew\" \"isNew\", ENLocal_CATEGORY.\"Order\" \"Order\", ENLocal_OPERATION_CONFIG.\"Order\" \"Order2\", ENLocal_OPERATION_CONFIG.\"SelfcareCode\" \"SelfcareCode\", ENLocal_OPERATION_CONFIG.\"Tags\" \"Tags\", ENLocal_OPERATION_CONFIG.\"URL\" \"URL\"";
}
fromAndWhereSql += " FROM ((\"MAIN\".\"OSUSR_85w_Local_OPERATION_CONFIG1\" ENLocal_OPERATION_CONFIG Inner JOIN (\"MAIN\".\"OSUSR_85w_Local_PERMITIONS\" ENLocal_SERVICE_PERMITIONS Inner JOIN \"MAIN\".\"OSUSR_85w_Local_SERVICE\" ENLocal_SERVICE ON (ENLocal_SERVICE_PERMITIONS.\"ServicesId\" = ENLocal_SERVICE.\"ServiceId\"))  ON (ENLocal_OPERATION_CONFIG.\"SelfcareCode\" = ENLocal_SERVICE_PERMITIONS.\"Type\"))  Inner JOIN \"MAIN\".\"OSUSR_85w_Local_CATEGORY\" ENLocal_CATEGORY ON (ENLocal_OPERATION_CONFIG.\"CategoryId\" = ENLocal_CATEGORY.\"CategoryId\")) ";
fromAndWhereSql += " WHERE (((((((Lower(ENLocal_OPERATION_CONFIG.\"DisplayName\")) LIKE (('%' || (Lower(:qpstText_ReplaceSpecialChars))) || '%')) OR ((Lower(ENLocal_OPERATION_CONFIG.\"Description\")) LIKE (('%' || (Lower(:qpstText_ReplaceSpecialChars))) || '%'))) OR ((CASE Length(Replace((Lower(ENLocal_OPERATION_CONFIG.\"Tags\")), (Lower(:qpstText_ReplaceSpecialChars)), zeroblob(1))) WHEN Length((Lower(ENLocal_OPERATION_CONFIG.\"Tags\"))) THEN -1 ELSE Length(Replace((Lower(ENLocal_OPERATION_CONFIG.\"Tags\")), (Lower(:qpstText_ReplaceSpecialChars)), zeroblob(1))) END) <> (-1))) OR ((Lower(ENLocal_OPERATION_CONFIG.\"SearchDisplayName\")) LIKE (('%' || (Lower(:qpstText_ReplaceSpecialChars))) || '%'))) OR ((Lower(ENLocal_OPERATION_CONFIG.\"SearchDescription\")) LIKE (('%' || (Lower(:qpstText_ReplaceSpecialChars))) || '%'))) OR ((CASE Length(Replace((Lower(ENLocal_OPERATION_CONFIG.\"SearchTags\")), (Lower(:qpstText_ReplaceSpecialChars)), zeroblob(1))) WHEN Length((Lower(ENLocal_OPERATION_CONFIG.\"SearchTags\"))) THEN -1 ELSE Length(Replace((Lower(ENLocal_OPERATION_CONFIG.\"SearchTags\")), (Lower(:qpstText_ReplaceSpecialChars)), zeroblob(1))) END) <> (-1))) AND (ENLocal_CATEGORY.\"OperationShow\" = 1) AND (ENLocal_OPERATION_CONFIG.\"Enable\" = 1)";
groupByAndHavingSql += " GROUP BY ENLocal_OPERATION_CONFIG.\"SelfcareCode\", ENLocal_OPERATION_CONFIG.\"Description\", ENLocal_OPERATION_CONFIG.\"isNew\", ENLocal_OPERATION_CONFIG.\"IconClass\", ENLocal_OPERATION_CONFIG.\"Tags\", ENLocal_OPERATION_CONFIG.\"URL\", ENLocal_OPERATION_CONFIG.\"DisplayName\", ENLocal_CATEGORY.\"Order\", ENLocal_OPERATION_CONFIG.\"Order\"";
orderBySql += " ORDER BY \"Order\" ASC , \"Order2\" ASC ";
argsList.add("qpstText_ReplaceSpecialChars", /*TEXT*/ 0, qpstText_ReplaceSpecialChars);
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.TextTextTextTextTextTextBooleanIntegerIntegerRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"descriptionAttr",
"displayNameAttr",
"iconClassAttr",
"isNewAttr",
"orderAttr",
"order2Attr",
"selfcareCodeAttr",
"tagsAttr",
"uRLAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalSERVICESByAssociationIdVar.value;
});
};
return getLocalSERVICESByAssociationIdAggr().then(function () {
// ServicePermitions = GetLocalSERVICESByAssociationId.List
model.variables.servicePermitionsVar = OS.DataTypes.JSConversions.typeConvertRecordList(getLocalSERVICESByAssociationIdVar.value.listOut, new myNOS_MOBModel.STR_OperationsList(), function (source, target) {
target.displayNameAttr = source.displayNameAttr;
target.descriptionAttr = source.descriptionAttr;
target.isNewAttr = source.isNewAttr;
target.selfcareCodeAttr = source.selfcareCodeAttr;
target.uRLAttr = source.uRLAttr;
target.iconClassAttr = source.iconClassAttr;
target.tagsAttr = source.tagsAttr;
target.orderAttr = source.orderAttr;
return target;
});
});
}

});
}

});
});
});
};
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
var getCategories_MBPVar = new OS.DataTypes.VariableHolder();
var javaScript_CheckIsFromHistoryJSResult = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
javaScript_CheckIsFromHistoryJSResult.value = controller.safeExecuteJSNode(myNOS_MOB_Client_Operations_mvc_controller_OnInitialize_JavaScript_CheckIsFromHistoryJS, "JavaScript_CheckIsFromHistory", "OnInitialize", {
navigatedIsFromHistory: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("myNOS_MOB.Client.Operations.OnInitialize$javaScript_CheckIsFromHistoryJSResult"))();
jsNodeResult.navigatedIsFromHistoryOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.navigatedIsFromHistory, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
// NavigatedIsFromHistory
// NavigatedIsFromHistory = JavaScript_CheckIsFromHistory.navigatedIsFromHistory
model.variables.navigatedIsFromHistoryVar = javaScript_CheckIsFromHistoryJSResult.value.navigatedIsFromHistoryOut;
return OS.Flow.executeSequence(function () {
if((!(model.variables.navigatedIsFromHistoryVar))) {
// isLoading = True
model.variables.isLoadingVar = true;
// Execute Action: GetCategories_MBP
model.flush();
return myNOS_MBPController.default.getCategories_MBP$Action(callContext).then(function (value) {
getCategories_MBPVar.value = value;
}).then(function () {
// Categories = GetCategories_MBP.Categories
model.variables.categoriesVar = getCategories_MBPVar.value.categoriesOut;
});
}

});
});
};
Controller.registerVariableGroupType("myNOS_MOB.Client.Operations.OnInitialize$javaScript_CheckIsFromHistoryJSResult", [{
name: "navigatedIsFromHistory",
attrName: "navigatedIsFromHistoryOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Controller.prototype._onDestroy$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnDestroy");
callContext = controller.callContext(callContext);
controller.safeExecuteJSNode(myNOS_MOB_Client_Operations_mvc_controller_OnDestroy_RemoveEventsJS, "RemoveEvents", "OnDestroy", null, function ($parameters) {
}, {}, {});
controller.safeExecuteJSNode(myNOS_MOB_Client_Operations_mvc_controller_OnDestroy_RemoveTabsStickyJS, "RemoveTabsSticky", "OnDestroy", null, function ($parameters) {
}, {}, {});
};
Controller.prototype._goTo$Action = function (anchorNameIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GoTo");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.Client.Operations.GoTo$vars"))());
vars.value.anchorNameInLocal = anchorNameIn;
var listFilterVar = new OS.DataTypes.VariableHolder();
var getPlatformVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Disable Links
return OS.Flow.executeSequence(function () {
if((!(true))) {
// Execute Action: GetPlatform
getPlatformVar.value = CommonPluginController.default.getPlatform$Action(callContext);

// IsScrolling = True
model.variables.isScrollingVar = true;
// IOS
if((Essentials_MOBController.default.text_IsEqual$Action(getPlatformVar.value.platformOut, "ios", false, callContext.withoutIterationContext()).isEqualOut)) {
// Execute Action: ListFilter
listFilterVar.value = OS.SystemActions.listFilter(model.variables.containerInfoListVar.containerInformationListAttr, function (p) {
return (p.containerIdAttr === vars.value.anchorNameInLocal);
}, callContext);

controller.safeExecuteJSNode(myNOS_MOB_Client_Operations_mvc_controller_GoTo_AnchorIOSJS, "AnchorIOS", "GoTo", {
OffsetTop: OS.DataTypes.JSConversions.basicTypeToJS(listFilterVar.value.filteredListOut.getCurrent(callContext.iterationContext).containerOffsetTopAttr, OS.Types.Text, true)
}, function ($parameters) {
}, {
UnlockLinks: controller.clientActionProxies.unlockLinks$Action
}, {});
} else {
// anchorName = "[data-pointer=""" + anchorName + """]"
vars.value.anchorNameInLocal = (("[data-pointer=\"" + vars.value.anchorNameInLocal) + "\"]");
controller.safeExecuteJSNode(myNOS_MOB_Client_Operations_mvc_controller_GoTo_AnchorJS, "Anchor", "GoTo", {
anchorName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.anchorNameInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// IsScrolling = False
model.variables.isScrollingVar = false;
}

// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("Operacoes_ancoras", model.variables.categoriesVar.getCurrent(callContext.iterationContext).nameAttr, 0, "", callContext);
}

});
});
};
Controller.registerVariableGroupType("myNOS_MOB.Client.Operations.GoTo$vars", [{
name: "anchorName",
attrName: "anchorNameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.prototype._onReady$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnReady");
callContext = controller.callContext(callContext);
var getOperationHistoryByUserIdVar = new OS.DataTypes.VariableHolder();
var getLocalUSERINFOESVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_USERINFORecordList))());
return OS.Flow.executeAsyncFlow(function () {
controller.safeExecuteJSNode(myNOS_MOB_Client_Operations_mvc_controller_OnReady_AddEventsJS, "AddEvents", "OnReady", null, function ($parameters) {
}, {}, {});
controller.safeExecuteJSNode(myNOS_MOB_Client_Operations_mvc_controller_OnReady_AddTabsStickyJS, "AddTabsSticky", "OnReady", null, function ($parameters) {
}, {}, {});
return OS.Flow.executeSequence(function () {
if((!(model.variables.navigatedIsFromHistoryVar))) {
if((!(true))) {
controller.safeExecuteJSNode(myNOS_MOB_Client_Operations_mvc_controller_OnReady_GetSectionsOffsetJS, "GetSectionsOffset", "OnReady", null, function ($parameters) {
}, {
GetContainerInfo: controller.clientActionProxies.getContainerInfo$Action
}, {});
}

// Aggregate: GetLocalUSERINFOES
var getLocalUSERINFOESAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_USERINFORecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1, NULL o2, NULL o3, NULL o4, NULL o5, NULL o6, NULL o7, NULL o8";
} else {
selectSql += "ENLocal_USERINFO.\"Id\" o0, ENLocal_USERINFO.\"Contact_phone\" o1, ENLocal_USERINFO.\"Name\" o2, ENLocal_USERINFO.\"Birth_date\" o3, ENLocal_USERINFO.\"Gender\" o4, ENLocal_USERINFO.\"Username\" o5, ENLocal_USERINFO.\"Picture\" o6, ENLocal_USERINFO.\"UserId\" o7, ENLocal_USERINFO.\"DevicePixelRatio\" o8";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_USER_INFO\" ENLocal_USERINFO";
orderBySql += " ORDER BY ENLocal_USERINFO.\"Name\" ASC ";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_USERINFORecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_USER_INFOAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalUSERINFOESVar.value;
});
};
return getLocalUSERINFOESAggr().then(function () {
// UserId = GetLocalUSERINFOES.List.Current.Local_USERINFO.UserId
model.variables.userIdVar = getLocalUSERINFOESVar.value.listOut.getCurrent(callContext.iterationContext).local_USER_INFOAttr.userIdAttr;
// Execute Action: GetOperationHistoryByUserId
model.flush();
return myNOS_MBPController.default.getOperationHistoryByUserId$Action(model.variables.userIdVar, callContext).then(function (value) {
getOperationHistoryByUserIdVar.value = value;
});
}).then(function () {
// OperationHistory = GetOperationHistoryByUserId.OperationHistory
model.variables.operationHistoryVar = getOperationHistoryByUserIdVar.value.operationHistoryOut;
// isLoading = False
model.variables.isLoadingVar = false;
});
}

});
});
};
Controller.prototype._clearInputValue$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("ClearInputValue");
callContext = controller.callContext(callContext);
// TextVar = ""
model.variables.textVarVar = "";
// IsCloseShown = False
model.variables.isCloseShownVar = false;
// Execute Action: ListClear
OS.SystemActions.listClear(model.variables.servicePermitionsVar, callContext);
};
Controller.prototype._getContainerInfo$Action = function (containerIdIn, containerOffsetTopIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GetContainerInfo");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.Client.Operations.GetContainerInfo$vars"))());
vars.value.containerIdInLocal = containerIdIn;
vars.value.containerOffsetTopInLocal = containerOffsetTopIn;
// ContainerInfoVar.ContainerId = ContainerId
vars.value.containerInfoVarVar.containerIdAttr = vars.value.containerIdInLocal;
// ContainerInfoVar.ContainerOffsetTop = ContainerOffsetTop
vars.value.containerInfoVarVar.containerOffsetTopAttr = vars.value.containerOffsetTopInLocal;
// Execute Action: ListAppend
OS.SystemActions.listAppend(model.variables.containerInfoListVar.containerInformationListAttr, vars.value.containerInfoVarVar, callContext);
};
Controller.registerVariableGroupType("myNOS_MOB.Client.Operations.GetContainerInfo$vars", [{
name: "ContainerId",
attrName: "containerIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ContainerOffsetTop",
attrName: "containerOffsetTopInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ContainerInfoVar",
attrName: "containerInfoVarVar",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new myNOS_MOBModel.ContainerInformationRec();
},
complexType: myNOS_MOBModel.ContainerInformationRec
}]);
Controller.prototype._goToURL$Action = function (operationTypeIn, displayNameIn, displayDescriptionIn, iconClassIn, uRLIn, categoryIdIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GoToURL");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.Client.Operations.GoToURL$vars"))());
vars.value.operationTypeInLocal = operationTypeIn;
vars.value.displayNameInLocal = displayNameIn;
vars.value.displayDescriptionInLocal = displayDescriptionIn;
vars.value.iconClassInLocal = iconClassIn;
vars.value.uRLInLocal = uRLIn;
vars.value.categoryIdInLocal = categoryIdIn;
var setOperationHistoryVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: SetServiceLocalSelection
model.flush();
return myNOS_MOBController.default.setServiceLocalSelection$Action(vars.value.operationTypeInLocal, vars.value.categoryIdInLocal, callContext).then(function () {
// Execute Action: SetOperationHistory
model.flush();
return myNOS_MBPController.default.setOperationHistory$Action(model.variables.userIdVar, vars.value.operationTypeInLocal, vars.value.displayNameInLocal, vars.value.displayDescriptionInLocal, vars.value.iconClassInLocal, vars.value.uRLInLocal, vars.value.categoryIdInLocal, callContext).then(function (value) {
setOperationHistoryVar.value = value;
});
}).then(function () {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("Operacoes_resultado", vars.value.displayNameInLocal, 0, "", callContext);
}).then(function () {
// Destination: /myNOS_MOB/
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL(vars.value.uRLInLocal, {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true));
});
});
};
Controller.registerVariableGroupType("myNOS_MOB.Client.Operations.GoToURL$vars", [{
name: "OperationType",
attrName: "operationTypeInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "DisplayName",
attrName: "displayNameInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "DisplayDescription",
attrName: "displayDescriptionInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "IconClass",
attrName: "iconClassInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "URL",
attrName: "uRLInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "CategoryId",
attrName: "categoryIdInLocal",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);

Controller.prototype.unlockLinks$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._unlockLinks$Action, callContext);

};
Controller.prototype.inputOnChange$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._inputOnChange$Action, callContext);

};
Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};
Controller.prototype.onDestroy$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onDestroy$Action, callContext);

};
Controller.prototype.goTo$Action = function (anchorNameIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._goTo$Action, callContext, anchorNameIn);

};
Controller.prototype.onReady$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onReady$Action, callContext);

};
Controller.prototype.clearInputValue$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._clearInputValue$Action, callContext);

};
Controller.prototype.getContainerInfo$Action = function (containerIdIn, containerOffsetTopIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._getContainerInfo$Action, callContext, containerIdIn, containerOffsetTopIn);

};
Controller.prototype.goToURL$Action = function (operationTypeIn, displayNameIn, displayDescriptionIn, iconClassIn, uRLIn, categoryIdIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._goToURL$Action, callContext, operationTypeIn, displayNameIn, displayDescriptionIn, iconClassIn, uRLIn, categoryIdIn);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onReady$Action(callContext);

};
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onDestroy$Action(callContext);

};
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return myNOS_MOB_ClientController.default.handleError(ex, this.callContext());
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});
define("myNOS_MOB.Client.Operations.mvc$controller.OnInitialize.JavaScript_CheckIsFromHistoryJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
if($public.View.wasCurrentViewRestoredFromCache())
    $parameters.navigatedIsFromHistory = true;
    
/*
$public.Navigation.navigatedFromHistory()
$public.View.wasCurrentViewRestoredFromCache();
*/
};
});
define("myNOS_MOB.Client.Operations.mvc$controller.OnDestroy.RemoveTabsStickyJS", [], function () {
return function ($actions, $roles, $public) {
var stickybit = stickybits('.m-horizontalScroll');


//Toggle class when its sticky
var content = document.querySelector('.content');

content.addEventListener('scroll', function() {
    var Tabsheader = document.querySelector('.m-horizontalScroll'),
    top = Tabsheader.getClientRects()[0].top;


    if(top === 0) {
       Tabsheader.classList.add('-sticky');
    } else {
        Tabsheader.classList.remove('-sticky');
    }
});
};
});
define("myNOS_MOB.Client.Operations.mvc$controller.OnDestroy.RemoveEventsJS", [], function () {
return function ($actions, $roles, $public) {
function changeSearchIcon() {

    var $icon = document.querySelector('[data-outSearchIcon]');

    if( $icon.classList.contains($icon.dataset.outsearchicon) ) {
        $icon.classList.remove($icon.dataset.outsearchicon);
        $icon.classList.add($icon.dataset.insearchicon);
    }
    else {
        $icon.classList.remove($icon.dataset.insearchicon);
        $icon.classList.add($icon.dataset.outsearchicon);
    }
}

(function searchEffect() {
    console.log('searchEffect');
    try {
        document.querySelector('[data-searcheffect]').removeEventListener("click", function(e) {

            var $header = document.querySelector('.a-header');

            if( $header.classList.contains('-onSearch') ) {

            }
            else {
                var $content = document.querySelector('.content'),
                    $contentHideOnSearch = document.querySelector('[data-hideOnSearch]'),
                    $contentBgd = document.querySelector('.o-contentBgd'),
                    $contentShowOnSearch = document.querySelector('[data-showOnSearch]');
                    
                $header.style.top = "-54px";
                $contentBgd.classList.add('-up');
                $header.style.padding = "0px";
                $content.classList.add('-noBgd');

                $contentHideOnSearch.style.opacity = '0';

                setTimeout(function() { 

                    $contentHideOnSearch.style.height = '0px';
                    $contentHideOnSearch.style.overflow = 'hidden';

                    var showOnSearchStyle = '\
                        height: auto;\
                        overflow: inherit;\
                        position: relative;';

                    $contentShowOnSearch.style.cssText = showOnSearchStyle;

                    setTimeout(function() { 
                        $contentShowOnSearch.style.opacity = '1';
                    }, 100);
                }, 200);

                this.classList.add('-onSearch');
                $header.classList.add('-onSearch');
                changeSearchIcon();
            }
        });
    }
    catch(err) {
        // console.log('Element not found');
    }

    try {
        document.querySelector('[data-removeSearch]').removeEventListener("click", function(e) {
            var $header = document.querySelector('.a-header');

            if( $header.classList.contains('-onSearch') ) {
                var $content = document.querySelector('.content'),
                    $contentBgd = document.querySelector('.o-contentBgd'),
                    $contentHideOnSearch = document.querySelector('[data-hideOnSearch]'),
                    $contentShowOnSearch = document.querySelector('[data-showOnSearch]');

                $header.removeAttribute("style");
                $content.removeAttribute("style");
                $content.classList.remove('-noBgd');
                $contentBgd.classList.remove('-up');

                $contentShowOnSearch.removeAttribute("style");

                $contentHideOnSearch.style.height = 'auto';
                $contentHideOnSearch.style.overflow = 'inherit';

                setTimeout(function() { 
                    $contentHideOnSearch.style.opacity = '1';
                }, 50);

                [].slice.call(document.querySelectorAll(".-onSearch")).map( function(el) {
                    el.classList.remove('-onSearch');
                });

                changeSearchIcon();
            }
            else {

            }

            e.stopPropagation();
        });
    }
    catch(err) {
        console.log('Element not found');
    }
})();
};
});
define("myNOS_MOB.Client.Operations.mvc$controller.GoTo.AnchorJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
document.querySelector($parameters.anchorName).scrollIntoView({
      behavior: 'smooth',
      block: 'center',
      inline: 'center'
    });
    
    
    
};
});
define("myNOS_MOB.Client.Operations.mvc$controller.GoTo.AnchorIOSJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
//Variables
var content = document.querySelector('.content');
var duration = 750;

//$parameters.OffsetTop = Number($parameters.OffsetTop);

//OffsetTop will be the parameter - the height of horizontal scroll
var horizontalScroll = document.querySelector('.m-horizontalScroll.-greenHeader'),
    horizontalScrollHeight = horizontalScroll.getClientRects()[0].height;

//Final value for offset top 
$parameters.OffsetTop = Number($parameters.OffsetTop) - horizontalScrollHeight;

scrollTo(content, $parameters.OffsetTop, duration);

//Timer for unlock links
setTimeout(function() {
    $actions.UnlockLinks();
}, duration);
};
});
define("myNOS_MOB.Client.Operations.mvc$controller.OnReady.GetSectionsOffsetJS", [], function () {
return function ($actions, $roles, $public) {
var operationSections = document.querySelectorAll('.operationSection');

console.log(operationSections);

operationSections.forEach(function(element) {
    $actions.GetContainerInfo(element.dataset.pointer, element.getClientRects()[0].top);
});

};
});
define("myNOS_MOB.Client.Operations.mvc$controller.OnReady.AddEventsJS", [], function () {
return function ($actions, $roles, $public) {
function changeSearchIcon() {

    var $icon = document.querySelector('[data-outSearchIcon]');

    if( $icon.classList.contains($icon.dataset.outsearchicon) ) {
        $icon.classList.remove($icon.dataset.outsearchicon);
        $icon.classList.add($icon.dataset.insearchicon);
    }
    else {
        $icon.classList.remove($icon.dataset.insearchicon);
        $icon.classList.add($icon.dataset.outsearchicon);
    }
}

(function searchEffect() {
    console.log('searchEffect');
    try {
        document.querySelector('[data-searcheffect]').addEventListener("click", function(e) {

            var $header = document.querySelector('.a-header');

            if( $header.classList.contains('-onSearch') ) {

            }
            else {
                var $content = document.querySelector('.content'),
                    $contentHideOnSearch = document.querySelector('[data-hideOnSearch]'),
                    $contentBgd = document.querySelector('.o-contentBgd'),
                    $contentShowOnSearch = document.querySelector('[data-showOnSearch]');
                    
                $header.style.top = "-54px";
                $contentBgd.classList.add('-up');
                $header.style.padding = "0px";
                $content.classList.add('-noBgd');

                $contentHideOnSearch.style.opacity = '0';

                setTimeout(function() { 

                    $contentHideOnSearch.style.height = '0px';
                    $contentHideOnSearch.style.overflow = 'hidden';

                    var showOnSearchStyle = '\
                        height: auto;\
                        overflow: inherit;\
                        position: relative;';

                    $contentShowOnSearch.style.cssText = showOnSearchStyle;

                    setTimeout(function() { 
                        $contentShowOnSearch.style.opacity = '1';
                    }, 100);
                }, 200);

                this.classList.add('-onSearch');
                $header.classList.add('-onSearch');
                changeSearchIcon();
            }
        });
    }
    catch(err) {
        // console.log('Element not found');
    }

    try {
        document.querySelector('[data-removeSearch]').addEventListener("click", function(e) {
            var $header = document.querySelector('.a-header');

            if( $header.classList.contains('-onSearch') ) {
                var $content = document.querySelector('.content'),
                    $contentBgd = document.querySelector('.o-contentBgd'),
                    $contentHideOnSearch = document.querySelector('[data-hideOnSearch]'),
                    $contentShowOnSearch = document.querySelector('[data-showOnSearch]');

                $header.removeAttribute("style");
                $content.removeAttribute("style");
                $content.classList.remove('-noBgd');
                $contentBgd.classList.remove('-up');

                $contentShowOnSearch.removeAttribute("style");

                $contentHideOnSearch.style.height = 'auto';
                $contentHideOnSearch.style.overflow = 'inherit';

                setTimeout(function() { 
                    $contentHideOnSearch.style.opacity = '1';
                }, 50);

                [].slice.call(document.querySelectorAll(".-onSearch")).map( function(el) {
                    el.classList.remove('-onSearch');
                });

                changeSearchIcon();
            }
            else {

            }

            e.stopPropagation();
        });
    }
    catch(err) {
        console.log('Element not found');
    }
})();
};
});
define("myNOS_MOB.Client.Operations.mvc$controller.OnReady.AddTabsStickyJS", [], function () {
return function ($actions, $roles, $public) {
var stickybit = stickybits('.m-horizontalScroll');


//Toggle class when its sticky
var content = document.querySelector('.content');

content.addEventListener('scroll', function() {
    var Tabsheader = document.querySelector('.m-horizontalScroll'),
    top = Tabsheader.getClientRects()[0].top;


    if(top === 0) {
       Tabsheader.classList.add('-sticky');
    } else {
        Tabsheader.classList.remove('-sticky');
    }
});
};
});

