﻿define("myNOS_MOB.Common.InvalidPermissions.mvc$model", ["OutSystems", "myNOS_MOB.model", "MobileUIWidgets.controller", "myNOS_MOB.CommonLayout.Layout_Blank.mvc$model", "MobilePatterns.Content.BlankSlate.mvc$model", "MobileUIWidgets.controller$CloseFeedbackMessage", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobileUIWidgets"], function (OutSystems, myNOS_MOBModel, MobileUIWidgetsController, myNOS_MOB_CommonLayout_Layout_Blank_mvcModel, MobilePatterns_Content_BlankSlate_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("InitialStatusBarCode", "initialStatusBarCodeVar", "InitialStatusBarCode", true, OS.Types.Text, function () {
return myNOS_MOBModel.staticEntities.hEX_COLORS.grayDark;
}), 
this.attr("ErrorMessage", "errorMessageIn", "ErrorMessage", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_errorMessageInDataFetchStatus", "_errorMessageInDataFetchStatus", "_errorMessageInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = (myNOS_MOB_CommonLayout_Layout_Blank_mvcModel.hasValidationWidgets || MobilePatterns_Content_BlankSlate_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("ErrorMessage" in inputs) {
this.variables.errorMessageIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.ErrorMessage, OS.Types.Text);
}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Common.InvalidPermissions.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "MobileUIWidgets.controller", "react", "OutSystemsReactView", "myNOS_MOB.Common.InvalidPermissions.mvc$model", "myNOS_MOB.Common.InvalidPermissions.mvc$controller", "myNOS_MOB.CommonLayout.Layout_Blank.mvc$view", "OutSystemsReactWidgets", "MobilePatterns.Content.BlankSlate.mvc$view", "MobileUIWidgets.controller$CloseFeedbackMessage", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobileUIWidgets"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, MobileUIWidgetsController, React, OSView, myNOS_MOB_Common_InvalidPermissions_mvc_model, myNOS_MOB_Common_InvalidPermissions_mvc_controller, myNOS_MOB_CommonLayout_Layout_Blank_mvc_view, OSWidgets, MobilePatterns_Content_BlankSlate_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Common.InvalidPermissions";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css", "css/MobilePatterns.BaseTheme.css", "css/MobileThemes_MyNos.NOS_BaseTheme.css", "css/MobileThemes_MyNos.NOS_LightTheme.css", "css/myNOS_MOB.myNOS_MOB.css", "css/MobilePatterns.BaseTheme.extra.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_CommonLayout_Layout_Blank_mvc_view, MobilePatterns_Content_BlankSlate_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Common_InvalidPermissions_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Common_InvalidPermissions_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "Permissoes Invalidas";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(myNOS_MOB_CommonLayout_Layout_Blank_mvc_view, {
inputs: {
StatusBarHexCode: model.variables.initialStatusBarCodeVar,
PageType: "Erro",
PageSection: "Permissoes Invalidas",
PageTitle: "Permissoes Invalidas",
PageNameUrl: "InvalidPermissions",
IsInvalidPermissions: true
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
isConnectedEvent$Action: function (isConnectedIn) {
var eventHandlerContext = callContext.clone();
controller.layout_BlankIsConnectedEvent$Action(controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
content: new PlaceholderContent(function () {
return [React.createElement(MobilePatterns_Content_BlankSlate_mvc_view, {
inputs: {
FullHeight: true
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
icon: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Icon, {
icon: "warning",
iconSize: /*FontSize*/ 0,
style: "icon",
visible: true,
_idProps: {
service: idService,
name: "Icon1"
},
_widgetRecordProvider: widgetsRecordProvider
})];
}),
content: new PlaceholderContent(function () {
return [$if((model.variables.errorMessageIn === ""), false, this, function () {
return ["You don\'t have permissions to view the required screen."];
}, function () {
return [React.createElement(OSWidgets.Expression, {
value: model.variables.errorMessageIn,
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider
})];
})];
}),
actions: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.errorMessageIn)]
})];
})
},
_dependencies: [asPrimitiveValue(model.variables.errorMessageIn)]
}));
        };
        return View;
    })(OSView.BaseView.BaseWebScreen);
	
    return View;
});
define("myNOS_MOB.Common.InvalidPermissions.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "MobileUIWidgets.controller", "myNOS_MOB.languageResources", "myNOS_MOB.Common.controller", "MobileUIWidgets.controller$CloseFeedbackMessage", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobileUIWidgets"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, MobileUIWidgetsController, myNOS_MOBLanguageResources, myNOS_MOB_CommonController) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._onReady$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnReady");
callContext = controller.callContext(callContext);
// Execute Action: CloseFeedbackMessage
MobileUIWidgetsController.default.closeFeedbackMessage$Action(callContext);
};
Controller.prototype._layout_BlankIsConnectedEvent$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Layout_BlankIsConnectedEvent");
callContext = controller.callContext(callContext);
};

Controller.prototype.onReady$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onReady$Action, callContext);

};
Controller.prototype.layout_BlankIsConnectedEvent$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._layout_BlankIsConnectedEvent$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onReady$Action(callContext);

};
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return myNOS_MOB_CommonController.default.handleError(ex, this.callContext());
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

