﻿define("myNOS_MOB.Consumptions.FinishChargement.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.CommonLayout.Layout_Lvl_3.mvc$model", "myNOS_MOB.CommonLayout.Header_L_Lvl_3.mvc$model", "myNOS_MOB.CommonLayout.Header_Title.mvc$model", "myNOS_MOB.Blocks.MessageSucessChargement.mvc$model", "myNOS_MOB.Blocks.MessageInsucessChargement.mvc$model"], function (OutSystems, myNOS_MOBModel, myNOS_MOB_CommonLayout_Layout_Lvl_3_mvcModel, myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvcModel, myNOS_MOB_CommonLayout_Header_Title_mvcModel, myNOS_MOB_Blocks_MessageSucessChargement_mvcModel, myNOS_MOB_Blocks_MessageInsucessChargement_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("InitialStatusBarCode", "initialStatusBarCodeVar", "InitialStatusBarCode", true, OS.Types.Text, function () {
return myNOS_MOBModel.staticEntities.hEX_COLORS.greenDark;
}), 
this.attr("SucessfullChargement", "sucessfullChargementIn", "SucessfullChargement", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("_sucessfullChargementInDataFetchStatus", "_sucessfullChargementInDataFetchStatus", "_sucessfullChargementInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("shortMsg", "shortMsgIn", "shortMsg", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_shortMsgInDataFetchStatus", "_shortMsgInDataFetchStatus", "_shortMsgInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("returnCode", "returnCodeIn", "returnCode", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_returnCodeInDataFetchStatus", "_returnCodeInDataFetchStatus", "_returnCodeInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("name", "nameIn", "name", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_nameInDataFetchStatus", "_nameInDataFetchStatus", "_nameInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("paymentValue", "paymentValueIn", "paymentValue", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_paymentValueInDataFetchStatus", "_paymentValueInDataFetchStatus", "_paymentValueInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("payment_ref", "payment_refIn", "payment_ref", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_payment_refInDataFetchStatus", "_payment_refInDataFetchStatus", "_payment_refInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("phone_number", "phone_numberIn", "phone_number", true, OS.Types.PhoneNumber, function () {
return "";
}), 
this.attr("_phone_numberInDataFetchStatus", "_phone_numberInDataFetchStatus", "_phone_numberInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("payment_type_code", "payment_type_codeIn", "payment_type_code", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_payment_type_codeInDataFetchStatus", "_payment_type_codeInDataFetchStatus", "_payment_type_codeInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("EnablePreviousScreenLink", "enablePreviousScreenLinkIn", "EnablePreviousScreenLink", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_enablePreviousScreenLinkInDataFetchStatus", "_enablePreviousScreenLinkInDataFetchStatus", "_enablePreviousScreenLinkInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = ((((myNOS_MOB_CommonLayout_Layout_Lvl_3_mvcModel.hasValidationWidgets || myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvcModel.hasValidationWidgets) || myNOS_MOB_CommonLayout_Header_Title_mvcModel.hasValidationWidgets) || myNOS_MOB_Blocks_MessageSucessChargement_mvcModel.hasValidationWidgets) || myNOS_MOB_Blocks_MessageInsucessChargement_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("SucessfullChargement" in inputs) {
this.variables.sucessfullChargementIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.SucessfullChargement, OS.Types.Boolean);
}

if("shortMsg" in inputs) {
this.variables.shortMsgIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.shortMsg, OS.Types.Text);
}

if("returnCode" in inputs) {
this.variables.returnCodeIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.returnCode, OS.Types.Text);
}

if("name" in inputs) {
this.variables.nameIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.name, OS.Types.Text);
}

if("paymentValue" in inputs) {
this.variables.paymentValueIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.paymentValue, OS.Types.Text);
}

if("payment_ref" in inputs) {
this.variables.payment_refIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.payment_ref, OS.Types.Text);
}

if("phone_number" in inputs) {
this.variables.phone_numberIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.phone_number, OS.Types.PhoneNumber);
}

if("payment_type_code" in inputs) {
this.variables.payment_type_codeIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.payment_type_code, OS.Types.Text);
}

if("EnablePreviousScreenLink" in inputs) {
this.variables.enablePreviousScreenLinkIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.EnablePreviousScreenLink, OS.Types.Boolean);
}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Consumptions.FinishChargement.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "react", "OutSystemsReactView", "myNOS_MOB.Consumptions.FinishChargement.mvc$model", "myNOS_MOB.Consumptions.FinishChargement.mvc$controller", "myNOS_MOB.CommonLayout.Layout_Lvl_3.mvc$view", "OutSystemsReactWidgets", "myNOS_MOB.CommonLayout.Header_L_Lvl_3.mvc$view", "myNOS_MOB.CommonLayout.Header_Title.mvc$view", "myNOS_MOB.Blocks.MessageSucessChargement.mvc$view", "myNOS_MOB.Blocks.MessageInsucessChargement.mvc$view"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, React, OSView, myNOS_MOB_Consumptions_FinishChargement_mvc_model, myNOS_MOB_Consumptions_FinishChargement_mvc_controller, myNOS_MOB_CommonLayout_Layout_Lvl_3_mvc_view, OSWidgets, myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_Title_mvc_view, myNOS_MOB_Blocks_MessageSucessChargement_mvc_view, myNOS_MOB_Blocks_MessageInsucessChargement_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Consumptions.FinishChargement";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css", "css/MobilePatterns.BaseTheme.css", "css/MobileThemes_MyNos.NOS_BaseTheme.css", "css/MobileThemes_MyNos.NOS_LightTheme.css", "css/myNOS_MOB.myNOS_MOB.css", "css/MobilePatterns.BaseTheme.extra.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_CommonLayout_Layout_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_Title_mvc_view, myNOS_MOB_Blocks_MessageSucessChargement_mvc_view, myNOS_MOB_Blocks_MessageInsucessChargement_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Consumptions_FinishChargement_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Consumptions_FinishChargement_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "Pagamento";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(myNOS_MOB_CommonLayout_Layout_Lvl_3_mvc_view, {
inputs: {
PageSection: model.getCachedValue(idService.getId("k0aFlhQxFkidkq8j_9k2Fw.PageSection"), function () {
return ((model.variables.sucessfullChargementIn) ? ("Sucesso") : ("Insucesso"));
}, function () {
return model.variables.sucessfullChargementIn;
}),
PageType: "Operacao",
PageTitle: "Pagamento",
PageNameUrl: "FinishChargement",
StatusBarHexCode: model.variables.initialStatusBarCodeVar,
IsNotErrorPage: true
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
isConnectedEvent$Action: function (isConnectedIn) {
var eventHandlerContext = callContext.clone();
controller.layout_Lvl_3IsConnectedEvent$Action(controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
headerLeft: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvc_view, {
inputs: {
EnablePreviousScreenLink: model.variables.enablePreviousScreenLinkIn,
UseConfirmationMessage: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}),
headerTitle: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_CommonLayout_Header_Title_mvc_view, {
inputs: {
Title: "Pagamento"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "2",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}),
headerRight: PlaceholderContent.Empty,
headerContent: PlaceholderContent.Empty,
content: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Center*/ 2,
animate: false,
visible: true,
_idProps: {
service: idService,
name: "ChargementMessagesContainer"
},
_widgetRecordProvider: widgetsRecordProvider
}, $if(model.variables.sucessfullChargementIn, false, this, function () {
return [React.createElement(myNOS_MOB_Blocks_MessageSucessChargement_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "4",
alias: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}, function () {
return [React.createElement(myNOS_MOB_Blocks_MessageInsucessChargement_mvc_view, {
inputs: {
PaygateShortMessage: model.variables.shortMsgIn
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "5",
alias: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}))];
}),
bottom: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
"data-style-key": "A_OAu524OEyAMwPqKTLTeA"
},
style: "bottomcontainer",
visible: true,
_idProps: {
service: idService,
name: "BottomContainer"
},
_widgetRecordProvider: widgetsRecordProvider
}, $if(model.variables.sucessfullChargementIn, false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Center*/ 2,
animate: false,
extendedProperties: {
"data-style-key": "QdBX4rbybkWCESahvc7XOw"
},
visible: true,
_idProps: {
service: idService,
name: "SucessfullChargementButtonsContainer"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Button, {
enabled: true,
extendedProperties: {
"data-style-key": "SyyUoYPvrkiWanTBJj6HJQ"
},
onClick: function () {
OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/HomePage", {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.SlideFromTop));
},
style: "btn btn a-btn -dark -fullWidth mt-16",
visible: true,
_idProps: {
service: idService,
uuid: "8"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Voltar"))];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
"data-style-key": "E6_JxAn3hkejfsTzx5Hejg"
},
gridProperties: {
classes: "OSInline",
width: "100%"
},
visible: true,
_idProps: {
service: idService,
name: "UnsucessfullChargementButtonsContainer"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
"data-style-key": "tZ+ElfgS+Um0qHMq5A+ylA"
},
gridProperties: {
classes: "OSInline",
width: "50%"
},
visible: true,
_idProps: {
service: idService,
name: "RetryButtonContainer"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Button, {
enabled: true,
extendedProperties: {
"data-style-key": "g9N0AUBn7ECKQtQjhNEykA"
},
gridProperties: {
classes: "OSFillParent"
},
onClick: function () {
OS.Navigation.navigateBack(OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.SlideFromTop));
},
style: "btn btn mt-16 a-btn -small",
visible: true,
_idProps: {
service: idService,
name: "GoBackButton"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Text, {
extendedProperties: {
"data-style-key": "T0neFa999EaRECI6OsE43w"
},
text: ["Voltar"],
_idProps: {
service: idService,
uuid: "12"
},
_widgetRecordProvider: widgetsRecordProvider
}))), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedProperties: {
"data-style-key": "J_2vIjOSiU2Vc_c4pbu59g"
},
gridProperties: {
classes: "OSInline",
width: "50%"
},
visible: true,
_idProps: {
service: idService,
name: "TryAgainButtonContainer"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Button, {
enabled: true,
extendedProperties: {
"data-style-key": "6xuMQqIc1kWgkSXgvwzzuA"
},
gridProperties: {
classes: "OSFillParent"
},
onClick: function () {
OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/HomePage", {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.SlideFromTop));
},
style: "btn btn -dark mt-16 a-btn -small",
visible: true,
_idProps: {
service: idService,
name: "RetryButton"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Tentar novamente")))];
}))];
})
},
_dependencies: [asPrimitiveValue(model.variables.shortMsgIn), asPrimitiveValue(model.variables.sucessfullChargementIn), asPrimitiveValue(model.variables.enablePreviousScreenLinkIn)]
}));
        };
        return View;
    })(OSView.BaseView.BaseWebScreen);
	
    return View;
});
define("myNOS_MOB.Consumptions.FinishChargement.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MOB.languageResources", "myNOS_MOB.Consumptions.controller"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MOBLanguageResources, myNOS_MOB_ConsumptionsController) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._onReady$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnReady");
callContext = controller.callContext(callContext);
// Execute Action: LogMessage
OS.SystemActions.logMessage(((((((((((((((((((((((((((((((("The callback message from the paygate is: " + model.variables.shortMsgIn) + "\r\n") + "Parameters:") + "\r\n") + "SucessfullChargement [") + (model.variables.sucessfullChargementIn ? "True" : "False")) + "]") + "\r\n") + "returnCode [") + model.variables.returnCodeIn) + "]") + "\r\n") + "name [") + model.variables.nameIn) + "]") + "\r\n") + "paymentValue [") + model.variables.paymentValueIn) + "]") + "\r\n") + "payment_ref [") + model.variables.payment_refIn) + "]") + "\r\n") + "phone_number [") + model.variables.phone_numberIn) + "]") + "\r\n") + "payment_type_code [") + model.variables.payment_type_codeIn) + "]"), "myNOS_MOB", callContext);
};
Controller.prototype._layout_Lvl_3IsConnectedEvent$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Layout_Lvl_3IsConnectedEvent");
callContext = controller.callContext(callContext);
};

Controller.prototype.onReady$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onReady$Action, callContext);

};
Controller.prototype.layout_Lvl_3IsConnectedEvent$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._layout_Lvl_3IsConnectedEvent$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onReady$Action(callContext);

};
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return myNOS_MOB_ConsumptionsController.default.handleError(ex, this.callContext());
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

