﻿define("myNOS_MOB.ConsumptionsBlocks.BLMConsumptionsOrchestration.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MBP.controller", "Essentials_MOB.controller", "ChartsMobile.model", "MobileUIWidgets.model", "myNOS_MOB.ConsumptionsBlocks.AvailableBalanceInfoCard.mvc$model", "myNOS_MOB.ConsumptionsBlocks.ConsumptionsGraphCard.mvc$model", "myNOS_MOB.ConsumptionsBlocks.ConsumptionsInfoCard.mvc$model", "myNOS_MBP.controller$GetDecimalPlacesByUnit", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.controller$FormatDecimal_MBP", "Essentials_MOB.controller$RoundAwayFromZero", "myNOS_MOB.referencesHealth$Essentials_MOB", "ChartsMobile.model$DataPointRec", "myNOS_MOB.referencesHealth$ChartsMobile", "MobileUIWidgets.model$SolidGaugeEasyFormatRec", "myNOS_MOB.referencesHealth$MobileUIWidgets"], function (OutSystems, myNOS_MOBModel, myNOS_MBPController, Essentials_MOBController, ChartsMobileModel, MobileUIWidgetsModel, myNOS_MOB_ConsumptionsBlocks_AvailableBalanceInfoCard_mvcModel, myNOS_MOB_ConsumptionsBlocks_ConsumptionsGraphCard_mvcModel, myNOS_MOB_ConsumptionsBlocks_ConsumptionsInfoCard_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("DataPointChart1", "dataPointChart1Var", "DataPointChart1", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new ChartsMobileModel.DataPointRec());
}, ChartsMobileModel.DataPointRec), 
this.attr("ChartConfig", "chartConfigVar", "ChartConfig", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new MobileUIWidgetsModel.SolidGaugeEasyFormatRec());
}, MobileUIWidgetsModel.SolidGaugeEasyFormatRec), 
this.attr("AvailableValue", "availableValueIn", "AvailableValue", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("_availableValueInDataFetchStatus", "_availableValueInDataFetchStatus", "_availableValueInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("TotalValue", "totalValueIn", "TotalValue", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("_totalValueInDataFetchStatus", "_totalValueInDataFetchStatus", "_totalValueInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("CardTitle", "cardTitleIn", "CardTitle", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_cardTitleInDataFetchStatus", "_cardTitleInDataFetchStatus", "_cardTitleInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ShowGraphUnit", "showGraphUnitIn", "ShowGraphUnit", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_showGraphUnitInDataFetchStatus", "_showGraphUnitInDataFetchStatus", "_showGraphUnitInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ShowBLMBalanceGraph", "showBLMBalanceGraphIn", "ShowBLMBalanceGraph", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_showBLMBalanceGraphInDataFetchStatus", "_showBLMBalanceGraphInDataFetchStatus", "_showBLMBalanceGraphInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ShowExtraPlafondCard", "showExtraPlafondCardIn", "ShowExtraPlafondCard", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_showExtraPlafondCardInDataFetchStatus", "_showExtraPlafondCardInDataFetchStatus", "_showExtraPlafondCardInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ShowHHCard", "showHHCardIn", "ShowHHCard", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_showHHCardInDataFetchStatus", "_showHHCardInDataFetchStatus", "_showHHCardInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ShowExtraPlafondUnit", "showExtraPlafondUnitIn", "ShowExtraPlafondUnit", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_showExtraPlafondUnitInDataFetchStatus", "_showExtraPlafondUnitInDataFetchStatus", "_showExtraPlafondUnitInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ShowUERoamingCard", "showUERoamingCardIn", "ShowUERoamingCard", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_showUERoamingCardInDataFetchStatus", "_showUERoamingCardInDataFetchStatus", "_showUERoamingCardInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ShowRMRoamingCard", "showRMRoamingCardIn", "ShowRMRoamingCard", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_showRMRoamingCardInDataFetchStatus", "_showRMRoamingCardInDataFetchStatus", "_showRMRoamingCardInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("UECardTitle", "uECardTitleIn", "UECardTitle", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_uECardTitleInDataFetchStatus", "_uECardTitleInDataFetchStatus", "_uECardTitleInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("RMCardTitle", "rMCardTitleIn", "RMCardTitle", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_rMCardTitleInDataFetchStatus", "_rMCardTitleInDataFetchStatus", "_rMCardTitleInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ShowUERoamingUnit", "showUERoamingUnitIn", "ShowUERoamingUnit", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_showUERoamingUnitInDataFetchStatus", "_showUERoamingUnitInDataFetchStatus", "_showUERoamingUnitInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("ShowRMRoamingUnit", "showRMRoamingUnitIn", "ShowRMRoamingUnit", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_showRMRoamingUnitInDataFetchStatus", "_showRMRoamingUnitInDataFetchStatus", "_showRMRoamingUnitInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("AvailableValueUnit", "availableValueUnitIn", "AvailableValueUnit", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_availableValueUnitInDataFetchStatus", "_availableValueUnitInDataFetchStatus", "_availableValueUnitInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("AvailableValueFmt", "availableValueFmtIn", "AvailableValueFmt", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("_availableValueFmtInDataFetchStatus", "_availableValueFmtInDataFetchStatus", "_availableValueFmtInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("AvailableValueUnitFmt", "availableValueUnitFmtIn", "AvailableValueUnitFmt", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_availableValueUnitFmtInDataFetchStatus", "_availableValueUnitFmtInDataFetchStatus", "_availableValueUnitFmtInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("SpentValueFmt", "spentValueFmtIn", "SpentValueFmt", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("_spentValueFmtInDataFetchStatus", "_spentValueFmtInDataFetchStatus", "_spentValueFmtInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("SpentValueUnitFmt", "spentValueUnitFmtIn", "SpentValueUnitFmt", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_spentValueUnitFmtInDataFetchStatus", "_spentValueUnitFmtInDataFetchStatus", "_spentValueUnitFmtInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("TotalValueFmt", "totalValueFmtIn", "TotalValueFmt", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("_totalValueFmtInDataFetchStatus", "_totalValueFmtInDataFetchStatus", "_totalValueFmtInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("TotalValueUnitFmt", "totalValueUnitFmtIn", "TotalValueUnitFmt", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_totalValueUnitFmtInDataFetchStatus", "_totalValueUnitFmtInDataFetchStatus", "_totalValueUnitFmtInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("PlafondExtraFmt", "plafondExtraFmtIn", "PlafondExtraFmt", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("_plafondExtraFmtInDataFetchStatus", "_plafondExtraFmtInDataFetchStatus", "_plafondExtraFmtInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("PlafondExtraUnitFmt", "plafondExtraUnitFmtIn", "PlafondExtraUnitFmt", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_plafondExtraUnitFmtInDataFetchStatus", "_plafondExtraUnitFmtInDataFetchStatus", "_plafondExtraUnitFmtInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("UETrafficAmountFmt", "uETrafficAmountFmtIn", "UETrafficAmountFmt", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("_uETrafficAmountFmtInDataFetchStatus", "_uETrafficAmountFmtInDataFetchStatus", "_uETrafficAmountFmtInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("UETrafficAmountUnitFmt", "uETrafficAmountUnitFmtIn", "UETrafficAmountUnitFmt", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_uETrafficAmountUnitFmtInDataFetchStatus", "_uETrafficAmountUnitFmtInDataFetchStatus", "_uETrafficAmountUnitFmtInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("RMTrafficAmountFmt", "rMTrafficAmountFmtIn", "RMTrafficAmountFmt", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("_rMTrafficAmountFmtInDataFetchStatus", "_rMTrafficAmountFmtInDataFetchStatus", "_rMTrafficAmountFmtInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("RMTrafficAmountUnitFmt", "rMTrafficAmountUnitFmtIn", "RMTrafficAmountUnitFmt", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_rMTrafficAmountUnitFmtInDataFetchStatus", "_rMTrafficAmountUnitFmtInDataFetchStatus", "_rMTrafficAmountUnitFmtInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = ((myNOS_MOB_ConsumptionsBlocks_AvailableBalanceInfoCard_mvcModel.hasValidationWidgets || myNOS_MOB_ConsumptionsBlocks_ConsumptionsGraphCard_mvcModel.hasValidationWidgets) || myNOS_MOB_ConsumptionsBlocks_ConsumptionsInfoCard_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("AvailableValue" in inputs) {
this.variables.availableValueIn = inputs.AvailableValue;
if("_availableValueInDataFetchStatus" in inputs) {
this.variables._availableValueInDataFetchStatus = inputs._availableValueInDataFetchStatus;
}

}

if("TotalValue" in inputs) {
this.variables.totalValueIn = inputs.TotalValue;
if("_totalValueInDataFetchStatus" in inputs) {
this.variables._totalValueInDataFetchStatus = inputs._totalValueInDataFetchStatus;
}

}

if("CardTitle" in inputs) {
this.variables.cardTitleIn = inputs.CardTitle;
if("_cardTitleInDataFetchStatus" in inputs) {
this.variables._cardTitleInDataFetchStatus = inputs._cardTitleInDataFetchStatus;
}

}

if("ShowGraphUnit" in inputs) {
this.variables.showGraphUnitIn = inputs.ShowGraphUnit;
if("_showGraphUnitInDataFetchStatus" in inputs) {
this.variables._showGraphUnitInDataFetchStatus = inputs._showGraphUnitInDataFetchStatus;
}

}

if("ShowBLMBalanceGraph" in inputs) {
this.variables.showBLMBalanceGraphIn = inputs.ShowBLMBalanceGraph;
if("_showBLMBalanceGraphInDataFetchStatus" in inputs) {
this.variables._showBLMBalanceGraphInDataFetchStatus = inputs._showBLMBalanceGraphInDataFetchStatus;
}

}

if("ShowExtraPlafondCard" in inputs) {
this.variables.showExtraPlafondCardIn = inputs.ShowExtraPlafondCard;
if("_showExtraPlafondCardInDataFetchStatus" in inputs) {
this.variables._showExtraPlafondCardInDataFetchStatus = inputs._showExtraPlafondCardInDataFetchStatus;
}

}

if("ShowHHCard" in inputs) {
this.variables.showHHCardIn = inputs.ShowHHCard;
if("_showHHCardInDataFetchStatus" in inputs) {
this.variables._showHHCardInDataFetchStatus = inputs._showHHCardInDataFetchStatus;
}

}

if("ShowExtraPlafondUnit" in inputs) {
this.variables.showExtraPlafondUnitIn = inputs.ShowExtraPlafondUnit;
if("_showExtraPlafondUnitInDataFetchStatus" in inputs) {
this.variables._showExtraPlafondUnitInDataFetchStatus = inputs._showExtraPlafondUnitInDataFetchStatus;
}

}

if("ShowUERoamingCard" in inputs) {
this.variables.showUERoamingCardIn = inputs.ShowUERoamingCard;
if("_showUERoamingCardInDataFetchStatus" in inputs) {
this.variables._showUERoamingCardInDataFetchStatus = inputs._showUERoamingCardInDataFetchStatus;
}

}

if("ShowRMRoamingCard" in inputs) {
this.variables.showRMRoamingCardIn = inputs.ShowRMRoamingCard;
if("_showRMRoamingCardInDataFetchStatus" in inputs) {
this.variables._showRMRoamingCardInDataFetchStatus = inputs._showRMRoamingCardInDataFetchStatus;
}

}

if("UECardTitle" in inputs) {
this.variables.uECardTitleIn = inputs.UECardTitle;
if("_uECardTitleInDataFetchStatus" in inputs) {
this.variables._uECardTitleInDataFetchStatus = inputs._uECardTitleInDataFetchStatus;
}

}

if("RMCardTitle" in inputs) {
this.variables.rMCardTitleIn = inputs.RMCardTitle;
if("_rMCardTitleInDataFetchStatus" in inputs) {
this.variables._rMCardTitleInDataFetchStatus = inputs._rMCardTitleInDataFetchStatus;
}

}

if("ShowUERoamingUnit" in inputs) {
this.variables.showUERoamingUnitIn = inputs.ShowUERoamingUnit;
if("_showUERoamingUnitInDataFetchStatus" in inputs) {
this.variables._showUERoamingUnitInDataFetchStatus = inputs._showUERoamingUnitInDataFetchStatus;
}

}

if("ShowRMRoamingUnit" in inputs) {
this.variables.showRMRoamingUnitIn = inputs.ShowRMRoamingUnit;
if("_showRMRoamingUnitInDataFetchStatus" in inputs) {
this.variables._showRMRoamingUnitInDataFetchStatus = inputs._showRMRoamingUnitInDataFetchStatus;
}

}

if("AvailableValueUnit" in inputs) {
this.variables.availableValueUnitIn = inputs.AvailableValueUnit;
if("_availableValueUnitInDataFetchStatus" in inputs) {
this.variables._availableValueUnitInDataFetchStatus = inputs._availableValueUnitInDataFetchStatus;
}

}

if("AvailableValueFmt" in inputs) {
this.variables.availableValueFmtIn = inputs.AvailableValueFmt;
if("_availableValueFmtInDataFetchStatus" in inputs) {
this.variables._availableValueFmtInDataFetchStatus = inputs._availableValueFmtInDataFetchStatus;
}

}

if("AvailableValueUnitFmt" in inputs) {
this.variables.availableValueUnitFmtIn = inputs.AvailableValueUnitFmt;
if("_availableValueUnitFmtInDataFetchStatus" in inputs) {
this.variables._availableValueUnitFmtInDataFetchStatus = inputs._availableValueUnitFmtInDataFetchStatus;
}

}

if("SpentValueFmt" in inputs) {
this.variables.spentValueFmtIn = inputs.SpentValueFmt;
if("_spentValueFmtInDataFetchStatus" in inputs) {
this.variables._spentValueFmtInDataFetchStatus = inputs._spentValueFmtInDataFetchStatus;
}

}

if("SpentValueUnitFmt" in inputs) {
this.variables.spentValueUnitFmtIn = inputs.SpentValueUnitFmt;
if("_spentValueUnitFmtInDataFetchStatus" in inputs) {
this.variables._spentValueUnitFmtInDataFetchStatus = inputs._spentValueUnitFmtInDataFetchStatus;
}

}

if("TotalValueFmt" in inputs) {
this.variables.totalValueFmtIn = inputs.TotalValueFmt;
if("_totalValueFmtInDataFetchStatus" in inputs) {
this.variables._totalValueFmtInDataFetchStatus = inputs._totalValueFmtInDataFetchStatus;
}

}

if("TotalValueUnitFmt" in inputs) {
this.variables.totalValueUnitFmtIn = inputs.TotalValueUnitFmt;
if("_totalValueUnitFmtInDataFetchStatus" in inputs) {
this.variables._totalValueUnitFmtInDataFetchStatus = inputs._totalValueUnitFmtInDataFetchStatus;
}

}

if("PlafondExtraFmt" in inputs) {
this.variables.plafondExtraFmtIn = inputs.PlafondExtraFmt;
if("_plafondExtraFmtInDataFetchStatus" in inputs) {
this.variables._plafondExtraFmtInDataFetchStatus = inputs._plafondExtraFmtInDataFetchStatus;
}

}

if("PlafondExtraUnitFmt" in inputs) {
this.variables.plafondExtraUnitFmtIn = inputs.PlafondExtraUnitFmt;
if("_plafondExtraUnitFmtInDataFetchStatus" in inputs) {
this.variables._plafondExtraUnitFmtInDataFetchStatus = inputs._plafondExtraUnitFmtInDataFetchStatus;
}

}

if("UETrafficAmountFmt" in inputs) {
this.variables.uETrafficAmountFmtIn = inputs.UETrafficAmountFmt;
if("_uETrafficAmountFmtInDataFetchStatus" in inputs) {
this.variables._uETrafficAmountFmtInDataFetchStatus = inputs._uETrafficAmountFmtInDataFetchStatus;
}

}

if("UETrafficAmountUnitFmt" in inputs) {
this.variables.uETrafficAmountUnitFmtIn = inputs.UETrafficAmountUnitFmt;
if("_uETrafficAmountUnitFmtInDataFetchStatus" in inputs) {
this.variables._uETrafficAmountUnitFmtInDataFetchStatus = inputs._uETrafficAmountUnitFmtInDataFetchStatus;
}

}

if("RMTrafficAmountFmt" in inputs) {
this.variables.rMTrafficAmountFmtIn = inputs.RMTrafficAmountFmt;
if("_rMTrafficAmountFmtInDataFetchStatus" in inputs) {
this.variables._rMTrafficAmountFmtInDataFetchStatus = inputs._rMTrafficAmountFmtInDataFetchStatus;
}

}

if("RMTrafficAmountUnitFmt" in inputs) {
this.variables.rMTrafficAmountUnitFmtIn = inputs.RMTrafficAmountUnitFmt;
if("_rMTrafficAmountUnitFmtInDataFetchStatus" in inputs) {
this.variables._rMTrafficAmountUnitFmtInDataFetchStatus = inputs._rMTrafficAmountUnitFmtInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.ConsumptionsBlocks.BLMConsumptionsOrchestration.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "Essentials_MOB.controller", "ChartsMobile.model", "MobileUIWidgets.model", "react", "OutSystemsReactView", "myNOS_MOB.ConsumptionsBlocks.BLMConsumptionsOrchestration.mvc$model", "myNOS_MOB.ConsumptionsBlocks.BLMConsumptionsOrchestration.mvc$controller", "myNOS_MOB.ConsumptionsBlocks.AvailableBalanceInfoCard.mvc$view", "OutSystemsReactWidgets", "myNOS_MOB.ConsumptionsBlocks.ConsumptionsGraphCard.mvc$view", "myNOS_MOB.ConsumptionsBlocks.ConsumptionsInfoCard.mvc$view", "myNOS_MBP.controller$GetDecimalPlacesByUnit", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.controller$FormatDecimal_MBP", "Essentials_MOB.controller$RoundAwayFromZero", "myNOS_MOB.referencesHealth$Essentials_MOB", "ChartsMobile.model$DataPointRec", "myNOS_MOB.referencesHealth$ChartsMobile", "MobileUIWidgets.model$SolidGaugeEasyFormatRec", "myNOS_MOB.referencesHealth$MobileUIWidgets"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, Essentials_MOBController, ChartsMobileModel, MobileUIWidgetsModel, React, OSView, myNOS_MOB_ConsumptionsBlocks_BLMConsumptionsOrchestration_mvc_model, myNOS_MOB_ConsumptionsBlocks_BLMConsumptionsOrchestration_mvc_controller, myNOS_MOB_ConsumptionsBlocks_AvailableBalanceInfoCard_mvc_view, OSWidgets, myNOS_MOB_ConsumptionsBlocks_ConsumptionsGraphCard_mvc_view, myNOS_MOB_ConsumptionsBlocks_ConsumptionsInfoCard_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "ConsumptionsBlocks.BLMConsumptionsOrchestration";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_ConsumptionsBlocks_AvailableBalanceInfoCard_mvc_view, myNOS_MOB_ConsumptionsBlocks_ConsumptionsGraphCard_mvc_view, myNOS_MOB_ConsumptionsBlocks_ConsumptionsInfoCard_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_ConsumptionsBlocks_BLMConsumptionsOrchestration_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_ConsumptionsBlocks_BLMConsumptionsOrchestration_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if(model.variables.showBLMBalanceGraphIn, false, this, function () {
return [$if(model.variables.totalValueIn.equals(OS.BuiltinFunctions.integerToDecimal(0)), false, this, function () {
return [React.createElement(myNOS_MOB_ConsumptionsBlocks_AvailableBalanceInfoCard_mvc_view, {
inputs: {
Unit: model.variables.availableValueUnitFmtIn,
_unitInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._availableValueUnitFmtInDataFetchStatus),
Description: "",
Title: model.variables.cardTitleIn,
_titleInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._cardTitleInDataFetchStatus),
ShowUnit: model.getCachedValue(idService.getId("vIQvHdLZXk6Dk8p+FOuK0Q.ShowUnit"), function () {
return (((model.variables.availableValueUnitIn === "")) ? (false) : (true));
}, function () {
return model.variables.availableValueUnitIn;
}),
_showUnitInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._availableValueUnitInDataFetchStatus),
ShowIcon: false,
AvailableValue: model.variables.availableValueFmtIn,
_availableValueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._availableValueFmtInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}, function () {
return [React.createElement(myNOS_MOB_ConsumptionsBlocks_ConsumptionsGraphCard_mvc_view, {
inputs: {
ShowIcon: false,
SpentValueUnitFmt: model.variables.spentValueUnitFmtIn,
_spentValueUnitFmtInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._spentValueUnitFmtInDataFetchStatus),
TotalValue: model.variables.totalValueIn,
_totalValueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._totalValueInDataFetchStatus),
AvailableValueFmt: model.variables.availableValueFmtIn,
_availableValueFmtInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._availableValueFmtInDataFetchStatus),
SpentValueFmt: model.variables.spentValueFmtIn,
_spentValueFmtInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._spentValueFmtInDataFetchStatus),
CardTitle: model.variables.cardTitleIn,
_cardTitleInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._cardTitleInDataFetchStatus),
AvailableValue: model.variables.availableValueIn,
_availableValueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._availableValueInDataFetchStatus),
TotalValueUnitFmt: model.variables.totalValueUnitFmtIn,
_totalValueUnitFmtInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._totalValueUnitFmtInDataFetchStatus),
TotalValueFmt: model.variables.totalValueFmtIn,
_totalValueFmtInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._totalValueFmtInDataFetchStatus),
ShowUnit: model.variables.showGraphUnitIn,
_showUnitInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._showGraphUnitInDataFetchStatus),
AvailableValueUnitFmt: model.variables.availableValueUnitFmtIn,
_availableValueUnitFmtInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._availableValueUnitFmtInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
})];
}, function () {
return [];
}), $if(model.variables.showExtraPlafondCardIn, false, this, function () {
return [React.createElement(myNOS_MOB_ConsumptionsBlocks_ConsumptionsInfoCard_mvc_view, {
inputs: {
Value: model.getCachedValue(idService.getId("X065OphvzUmxAF4_FPN4UA.Value"), function () {
return (myNOS_MBPController.default.formatDecimal_MBP$Action(model.variables.plafondExtraFmtIn, myNOS_MBPController.default.getDecimalPlacesByUnit$Action(model.variables.plafondExtraUnitFmtIn, callContext.withoutIterationContext()).decimalDigitsOut, callContext.withoutIterationContext()).resultOut + ((model.variables.showExtraPlafondUnitIn) ? ((" " + model.variables.plafondExtraUnitFmtIn)) : ("")));
}, function () {
return model.variables.plafondExtraFmtIn;
}, function () {
return model.variables.plafondExtraUnitFmtIn;
}, function () {
return model.variables.showExtraPlafondUnitIn;
}),
_valueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._plafondExtraFmtInDataFetchStatus, model.variables._plafondExtraUnitFmtInDataFetchStatus, model.variables._showExtraPlafondUnitInDataFetchStatus),
Title: "Tráfego extra",
IsGreenColor: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "2",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}, function () {
return [];
}), $if(model.variables.showHHCardIn, false, this, function () {
return [React.createElement(myNOS_MOB_ConsumptionsBlocks_ConsumptionsInfoCard_mvc_view, {
inputs: {
Title: "Happy hour",
IsGreenColor: true,
Value: "Ativo"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "3",
alias: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}, function () {
return [];
}), $if(model.variables.showUERoamingCardIn, false, this, function () {
return [React.createElement(myNOS_MOB_ConsumptionsBlocks_ConsumptionsInfoCard_mvc_view, {
inputs: {
Title: model.variables.uECardTitleIn,
_titleInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._uECardTitleInDataFetchStatus),
IsGreenColor: false,
Value: model.getCachedValue(idService.getId("Td+dwK6J8UKmUApCZCyciA.Value"), function () {
return (OS.BuiltinFunctions.decimalToText(model.variables.uETrafficAmountFmtIn) + ((model.variables.showUERoamingUnitIn) ? ((" " + model.variables.uETrafficAmountUnitFmtIn)) : ("")));
}, function () {
return model.variables.uETrafficAmountFmtIn;
}, function () {
return model.variables.showUERoamingUnitIn;
}, function () {
return model.variables.uETrafficAmountUnitFmtIn;
}),
_valueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._uETrafficAmountFmtInDataFetchStatus, model.variables._showUERoamingUnitInDataFetchStatus, model.variables._uETrafficAmountUnitFmtInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "4",
alias: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}, function () {
return [];
}), $if(model.variables.showRMRoamingCardIn, false, this, function () {
return [React.createElement(myNOS_MOB_ConsumptionsBlocks_ConsumptionsInfoCard_mvc_view, {
inputs: {
Title: model.variables.rMCardTitleIn,
_titleInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rMCardTitleInDataFetchStatus),
IsGreenColor: false,
Value: model.getCachedValue(idService.getId("6fI12YciJ06sX5zLaiwhDQ.Value"), function () {
return (OS.BuiltinFunctions.decimalToText(model.variables.rMTrafficAmountFmtIn) + ((model.variables.showRMRoamingUnitIn) ? ((" " + model.variables.rMTrafficAmountUnitFmtIn)) : ("")));
}, function () {
return model.variables.rMTrafficAmountFmtIn;
}, function () {
return model.variables.showRMRoamingUnitIn;
}, function () {
return model.variables.rMTrafficAmountUnitFmtIn;
}),
_valueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rMTrafficAmountFmtInDataFetchStatus, model.variables._showRMRoamingUnitInDataFetchStatus, model.variables._rMTrafficAmountUnitFmtInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "5",
alias: "6"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}, function () {
return [];
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.ConsumptionsBlocks.BLMConsumptionsOrchestration.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "Essentials_MOB.controller", "ChartsMobile.model", "MobileUIWidgets.model", "myNOS_MOB.languageResources", "myNOS_MBP.controller$GetDecimalPlacesByUnit", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.controller$FormatDecimal_MBP", "Essentials_MOB.controller$RoundAwayFromZero", "myNOS_MOB.referencesHealth$Essentials_MOB", "ChartsMobile.model$DataPointRec", "myNOS_MOB.referencesHealth$ChartsMobile", "MobileUIWidgets.model$SolidGaugeEasyFormatRec", "myNOS_MOB.referencesHealth$MobileUIWidgets"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, Essentials_MOBController, ChartsMobileModel, MobileUIWidgetsModel, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
// DataPointChart1
// DataPointChart1.Value = If
model.variables.dataPointChart1Var.valueAttr = ((model.variables.availableValueIn.equals((OS.DataTypes.Decimal.defaultValue))) ? ((OS.DataTypes.Decimal.defaultValue)) : (Essentials_MOBController.default.roundAwayFromZero$Action(model.variables.availableValueIn.div(model.variables.totalValueIn).times(OS.BuiltinFunctions.integerToDecimal(100)), 0, callContext.withoutIterationContext()).resultOut));
// ChartConfig
// ChartConfig.ChartHeight = 120
model.variables.chartConfigVar.chartHeightAttr = 120;
// ChartConfig.ChartWidth = 160
model.variables.chartConfigVar.chartWidthAttr = 160;
// ChartConfig.Format = "<div><span> " + FormatDecimal_MBP(AvailableValueFmt, GetDecimalPlacesByUnit(AvailableValueUnitFmt)) + If + " </span><span>de " + FormatDecimal_MBP(TotalValueFmt, GetDecimalPlacesByUnit(TotalValueUnitFmt)) + If + "</span><span></span></div>"
model.variables.chartConfigVar.formatAttr = (((((("<div><span> " + myNOS_MBPController.default.formatDecimal_MBP$Action(model.variables.availableValueFmtIn, myNOS_MBPController.default.getDecimalPlacesByUnit$Action(model.variables.availableValueUnitFmtIn, callContext.withoutIterationContext()).decimalDigitsOut, callContext.withoutIterationContext()).resultOut) + ((model.variables.showGraphUnitIn) ? ((" " + model.variables.availableValueUnitFmtIn)) : (""))) + " </span><span>de ") + myNOS_MBPController.default.formatDecimal_MBP$Action(model.variables.totalValueFmtIn, myNOS_MBPController.default.getDecimalPlacesByUnit$Action(model.variables.totalValueUnitFmtIn, callContext.withoutIterationContext()).decimalDigitsOut, callContext.withoutIterationContext()).resultOut) + ((model.variables.showGraphUnitIn) ? (model.variables.totalValueUnitFmtIn) : (""))) + "</span><span></span></div>");
// ChartConfig.MinValue = 0
model.variables.chartConfigVar.minValueAttr = 0;
// ChartConfig.MaxValue = 100
model.variables.chartConfigVar.maxValueAttr = 100;
};

Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

