﻿define("myNOS_MOB.ConsumptionsBlocks.CashOrchestrationCard.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MBP.controller", "myNOS_MOB.ConsumptionsBlocks.CashBalanceInfo.mvc$model", "myNOS_MOB.ConsumptionsBlocks.ConsumptionsInfoCard.mvc$model", "myNOS_MBP.controller$FormatCurrency_MBP", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.model$STR_BalanceCashStructRec"], function (OutSystems, myNOS_MOBModel, myNOS_MBPController, myNOS_MOB_ConsumptionsBlocks_CashBalanceInfo_mvcModel, myNOS_MOB_ConsumptionsBlocks_ConsumptionsInfoCard_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("IsFirstRegister", "isFirstRegisterIn", "IsFirstRegister", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_isFirstRegisterInDataFetchStatus", "_isFirstRegisterInDataFetchStatus", "_isFirstRegisterInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("BalanceCash", "balanceCashIn", "BalanceCash", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_BalanceCashStructRec());
}, myNOS_MOBModel.STR_BalanceCashStructRec), 
this.attr("_balanceCashInDataFetchStatus", "_balanceCashInDataFetchStatus", "_balanceCashInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("BalanceCashDescription", "balanceCashDescriptionIn", "BalanceCashDescription", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_balanceCashDescriptionInDataFetchStatus", "_balanceCashDescriptionInDataFetchStatus", "_balanceCashDescriptionInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = (myNOS_MOB_ConsumptionsBlocks_CashBalanceInfo_mvcModel.hasValidationWidgets || myNOS_MOB_ConsumptionsBlocks_ConsumptionsInfoCard_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("IsFirstRegister" in inputs) {
this.variables.isFirstRegisterIn = inputs.IsFirstRegister;
if("_isFirstRegisterInDataFetchStatus" in inputs) {
this.variables._isFirstRegisterInDataFetchStatus = inputs._isFirstRegisterInDataFetchStatus;
}

}

if("BalanceCash" in inputs) {
this.variables.balanceCashIn = inputs.BalanceCash;
if("_balanceCashInDataFetchStatus" in inputs) {
this.variables._balanceCashInDataFetchStatus = inputs._balanceCashInDataFetchStatus;
}

}

if("BalanceCashDescription" in inputs) {
this.variables.balanceCashDescriptionIn = inputs.BalanceCashDescription;
if("_balanceCashDescriptionInDataFetchStatus" in inputs) {
this.variables._balanceCashDescriptionInDataFetchStatus = inputs._balanceCashDescriptionInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.ConsumptionsBlocks.CashOrchestrationCard.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "react", "OutSystemsReactView", "myNOS_MOB.ConsumptionsBlocks.CashOrchestrationCard.mvc$model", "myNOS_MOB.ConsumptionsBlocks.CashOrchestrationCard.mvc$controller", "OutSystemsReactWidgets", "myNOS_MOB.ConsumptionsBlocks.CashBalanceInfo.mvc$view", "myNOS_MOB.ConsumptionsBlocks.ConsumptionsInfoCard.mvc$view", "myNOS_MBP.controller$FormatCurrency_MBP", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.model$STR_BalanceCashStructRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, React, OSView, myNOS_MOB_ConsumptionsBlocks_CashOrchestrationCard_mvc_model, myNOS_MOB_ConsumptionsBlocks_CashOrchestrationCard_mvc_controller, OSWidgets, myNOS_MOB_ConsumptionsBlocks_CashBalanceInfo_mvc_view, myNOS_MOB_ConsumptionsBlocks_ConsumptionsInfoCard_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "ConsumptionsBlocks.CashOrchestrationCard";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_ConsumptionsBlocks_CashBalanceInfo_mvc_view, myNOS_MOB_ConsumptionsBlocks_ConsumptionsInfoCard_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_ConsumptionsBlocks_CashOrchestrationCard_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_ConsumptionsBlocks_CashOrchestrationCard_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if(model.variables.isFirstRegisterIn, false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-24",
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(myNOS_MOB_ConsumptionsBlocks_CashBalanceInfo_mvc_view, {
inputs: {
Balance: model.variables.balanceCashIn.valueAttr,
_balanceInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceCashInDataFetchStatus),
FormatDecimals: true,
Title: model.variables.balanceCashIn.titleAttr,
_titleInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceCashInDataFetchStatus),
Description: model.variables.balanceCashDescriptionIn,
_descriptionInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceCashDescriptionInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
chargeBalanceEvent$Action: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.chargeBalance$Action(controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))];
}, function () {
return [React.createElement(myNOS_MOB_ConsumptionsBlocks_ConsumptionsInfoCard_mvc_view, {
inputs: {
Title: model.variables.balanceCashIn.titleAttr,
_titleInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceCashInDataFetchStatus),
IsGreenColor: model.getCachedValue(idService.getId("rwXzBItqaECJStpVytD0bA.IsGreenColor"), function () {
return ((model.variables.balanceCashIn.valueAttr.gt((OS.DataTypes.Decimal.defaultValue))) ? (true) : (false));
}, function () {
return model.variables.balanceCashIn.valueAttr;
}),
_isGreenColorInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceCashInDataFetchStatus),
Value: model.getCachedValue(idService.getId("rwXzBItqaECJStpVytD0bA.Value"), function () {
return myNOS_MBPController.default.formatCurrency_MBP$Action(model.variables.balanceCashIn.valueAttr, callContext.withoutIterationContext()).resultOut;
}, function () {
return model.variables.balanceCashIn.valueAttr;
}),
_valueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceCashInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "2",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.ConsumptionsBlocks.CashOrchestrationCard.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "myNOS_MOB.languageResources", "myNOS_MBP.controller$FormatCurrency_MBP", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.model$STR_BalanceCashStructRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._chargeBalance$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("ChargeBalance");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: ChargeBalanceEvent
return controller.chargeBalanceEvent$Action(callContext);
});
};

Controller.prototype.chargeBalance$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._chargeBalance$Action, callContext);

};
Controller.prototype.chargeBalanceEvent$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

