﻿define("myNOS_MOB.ConsumptionsBlocks.ConsumptionsOrhcestrationBalance.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MBP.model", "myNOS_MOB.ConsumptionsBlocks.ConsumptionsGraphCard.mvc$model", "myNOS_MOB.ConsumptionsBlocks.AvailableBalanceInfoCard.mvc$model", "myNOS_MOB.ConsumptionsBlocks.GeneralBalanceInfoCard.mvc$model", "myNOS_MBP.entities", "myNOS_MOB.model$STR_BalanceOrchestrationStructRec", "myNOS_MOB.model$Local_BALANCE_CARD_TYPERecordList", "myNOS_MOB.model$Local_BALANCE_GRAPH_TYPERecordList", "myNOS_MBP.model$Local_BALANCE_CARD_TYPERec", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.model$Local_BALANCE_GRAPH_TYPERec"], function (OutSystems, myNOS_MOBModel, myNOS_MBPModel, myNOS_MOB_ConsumptionsBlocks_ConsumptionsGraphCard_mvcModel, myNOS_MOB_ConsumptionsBlocks_AvailableBalanceInfoCard_mvcModel, myNOS_MOB_ConsumptionsBlocks_GeneralBalanceInfoCard_mvcModel) {
var OS = OutSystems.Internal;
var GetCardTypeAggrRec = (function (_super) {
__extends(GetCardTypeAggrRec, _super);
function GetCardTypeAggrRec(defaults) {
_super.apply(this, arguments);
}
GetCardTypeAggrRec.RecordListType = myNOS_MOBModel.Local_BALANCE_CARD_TYPERecordList;
GetCardTypeAggrRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetCardTypeAggrRec.init();
return GetCardTypeAggrRec;
})(OS.Model.AggregateRecord);
var GetGraphTypeAggrRec = (function (_super) {
__extends(GetGraphTypeAggrRec, _super);
function GetGraphTypeAggrRec(defaults) {
_super.apply(this, arguments);
}
GetGraphTypeAggrRec.RecordListType = myNOS_MOBModel.Local_BALANCE_GRAPH_TYPERecordList;
GetGraphTypeAggrRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetGraphTypeAggrRec.init();
return GetGraphTypeAggrRec;
})(OS.Model.AggregateRecord);


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("CardTypeCode", "cardTypeCodeVar", "CardTypeCode", true, OS.Types.Text, function () {
return "";
}), 
this.attr("IsLimitedGraph", "isLimitedGraphVar", "IsLimitedGraph", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("BalanceOrchestrationStruct", "balanceOrchestrationStructIn", "BalanceOrchestrationStruct", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_BalanceOrchestrationStructRec());
}, myNOS_MOBModel.STR_BalanceOrchestrationStructRec), 
this.attr("_balanceOrchestrationStructInDataFetchStatus", "_balanceOrchestrationStructInDataFetchStatus", "_balanceOrchestrationStructInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("InternetCardCode", "internetCardCodeIn", "InternetCardCode", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_internetCardCodeInDataFetchStatus", "_internetCardCodeInDataFetchStatus", "_internetCardCodeInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("MinutesCardCode", "minutesCardCodeIn", "MinutesCardCode", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_minutesCardCodeInDataFetchStatus", "_minutesCardCodeInDataFetchStatus", "_minutesCardCodeInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("GeneralCardCode", "generalCardCodeIn", "GeneralCardCode", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_generalCardCodeInDataFetchStatus", "_generalCardCodeInDataFetchStatus", "_generalCardCodeInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("RowNumber", "rowNumberIn", "RowNumber", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("_rowNumberInDataFetchStatus", "_rowNumberInDataFetchStatus", "_rowNumberInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("GetCardType", "getCardTypeAggr", "getCardTypeAggr", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetCardTypeAggrRec());
}, GetCardTypeAggrRec), 
this.attr("GetGraphType", "getGraphTypeAggr", "getGraphTypeAggr", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetGraphTypeAggrRec());
}, GetGraphTypeAggrRec)
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = ((myNOS_MOB_ConsumptionsBlocks_ConsumptionsGraphCard_mvcModel.hasValidationWidgets || myNOS_MOB_ConsumptionsBlocks_AvailableBalanceInfoCard_mvcModel.hasValidationWidgets) || myNOS_MOB_ConsumptionsBlocks_GeneralBalanceInfoCard_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("BalanceOrchestrationStruct" in inputs) {
this.variables.balanceOrchestrationStructIn = inputs.BalanceOrchestrationStruct;
if("_balanceOrchestrationStructInDataFetchStatus" in inputs) {
this.variables._balanceOrchestrationStructInDataFetchStatus = inputs._balanceOrchestrationStructInDataFetchStatus;
}

}

if("InternetCardCode" in inputs) {
this.variables.internetCardCodeIn = inputs.InternetCardCode;
if("_internetCardCodeInDataFetchStatus" in inputs) {
this.variables._internetCardCodeInDataFetchStatus = inputs._internetCardCodeInDataFetchStatus;
}

}

if("MinutesCardCode" in inputs) {
this.variables.minutesCardCodeIn = inputs.MinutesCardCode;
if("_minutesCardCodeInDataFetchStatus" in inputs) {
this.variables._minutesCardCodeInDataFetchStatus = inputs._minutesCardCodeInDataFetchStatus;
}

}

if("GeneralCardCode" in inputs) {
this.variables.generalCardCodeIn = inputs.GeneralCardCode;
if("_generalCardCodeInDataFetchStatus" in inputs) {
this.variables._generalCardCodeInDataFetchStatus = inputs._generalCardCodeInDataFetchStatus;
}

}

if("RowNumber" in inputs) {
this.variables.rowNumberIn = inputs.RowNumber;
if("_rowNumberInDataFetchStatus" in inputs) {
this.variables._rowNumberInDataFetchStatus = inputs._rowNumberInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.ConsumptionsBlocks.ConsumptionsOrhcestrationBalance.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.model", "react", "OutSystemsReactView", "myNOS_MOB.ConsumptionsBlocks.ConsumptionsOrhcestrationBalance.mvc$model", "myNOS_MOB.ConsumptionsBlocks.ConsumptionsOrhcestrationBalance.mvc$controller", "OutSystemsReactWidgets", "myNOS_MOB.ConsumptionsBlocks.ConsumptionsGraphCard.mvc$view", "myNOS_MOB.ConsumptionsBlocks.AvailableBalanceInfoCard.mvc$view", "myNOS_MOB.ConsumptionsBlocks.GeneralBalanceInfoCard.mvc$view", "myNOS_MBP.entities", "myNOS_MOB.model$STR_BalanceOrchestrationStructRec", "myNOS_MOB.model$Local_BALANCE_CARD_TYPERecordList", "myNOS_MOB.model$Local_BALANCE_GRAPH_TYPERecordList", "myNOS_MBP.model$Local_BALANCE_CARD_TYPERec", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.model$Local_BALANCE_GRAPH_TYPERec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPModel, React, OSView, myNOS_MOB_ConsumptionsBlocks_ConsumptionsOrhcestrationBalance_mvc_model, myNOS_MOB_ConsumptionsBlocks_ConsumptionsOrhcestrationBalance_mvc_controller, OSWidgets, myNOS_MOB_ConsumptionsBlocks_ConsumptionsGraphCard_mvc_view, myNOS_MOB_ConsumptionsBlocks_AvailableBalanceInfoCard_mvc_view, myNOS_MOB_ConsumptionsBlocks_GeneralBalanceInfoCard_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "ConsumptionsBlocks.ConsumptionsOrhcestrationBalance";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_ConsumptionsBlocks_ConsumptionsGraphCard_mvc_view, myNOS_MOB_ConsumptionsBlocks_AvailableBalanceInfoCard_mvc_view, myNOS_MOB_ConsumptionsBlocks_GeneralBalanceInfoCard_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_ConsumptionsBlocks_ConsumptionsOrhcestrationBalance_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_ConsumptionsBlocks_ConsumptionsOrhcestrationBalance_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if(((model.variables.cardTypeCodeVar === model.variables.internetCardCodeIn) || (model.variables.cardTypeCodeVar === model.variables.minutesCardCodeIn)), false, this, function () {
return [$if(model.variables.isLimitedGraphVar, false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: model.getCachedValue(idService.getId("Y7b7n1ySLkCFp+ErjsIpvQ.Style"), function () {
return (((model.variables.rowNumberIn === 0)) ? ("") : ("mt-24"));
}, function () {
return model.variables.rowNumberIn;
}),
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rowNumberInDataFetchStatus)
}, React.createElement(myNOS_MOB_ConsumptionsBlocks_ConsumptionsGraphCard_mvc_view, {
inputs: {
SpentValueFmt: model.variables.balanceOrchestrationStructIn.consumedAmountFmtAttr,
_spentValueFmtInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceOrchestrationStructInDataFetchStatus),
TotalValueUnitFmt: model.variables.balanceOrchestrationStructIn.availableAmountUnitFmtAttr,
_totalValueUnitFmtInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceOrchestrationStructInDataFetchStatus),
ShowUnit: model.variables.balanceOrchestrationStructIn.showBalanceUnitAttr,
_showUnitInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceOrchestrationStructInDataFetchStatus),
TotalValue: model.variables.balanceOrchestrationStructIn.totalAmountAttr,
_totalValueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceOrchestrationStructInDataFetchStatus),
TotalValueFmt: model.variables.balanceOrchestrationStructIn.totalAmountFmtAttr,
_totalValueFmtInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceOrchestrationStructInDataFetchStatus),
CardDescription: model.variables.balanceOrchestrationStructIn.descriptionAttr,
_cardDescriptionInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceOrchestrationStructInDataFetchStatus),
AvailableValueFmt: model.variables.balanceOrchestrationStructIn.availableAmountFmtAttr,
_availableValueFmtInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceOrchestrationStructInDataFetchStatus),
ShowIcon: false,
SpentValueUnitFmt: model.variables.balanceOrchestrationStructIn.availableAmountUnitFmtAttr,
_spentValueUnitFmtInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceOrchestrationStructInDataFetchStatus),
AvailableValueUnitFmt: model.variables.balanceOrchestrationStructIn.availableAmountUnitFmtAttr,
_availableValueUnitFmtInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceOrchestrationStructInDataFetchStatus),
AvailableValue: model.variables.balanceOrchestrationStructIn.availableAmountAttr,
_availableValueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceOrchestrationStructInDataFetchStatus),
CardTitle: model.variables.balanceOrchestrationStructIn.titleAttr,
_cardTitleInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceOrchestrationStructInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
name: "ConsumptionsGraphCard",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: model.getCachedValue(idService.getId("zHTewUV6f0K33Ug3XkPysQ.Style"), function () {
return (((model.variables.rowNumberIn === 0)) ? ("") : ("mt-24"));
}, function () {
return model.variables.rowNumberIn;
}),
visible: true,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rowNumberInDataFetchStatus)
}, React.createElement(myNOS_MOB_ConsumptionsBlocks_AvailableBalanceInfoCard_mvc_view, {
inputs: {
AvailableValue: model.variables.balanceOrchestrationStructIn.availableAmountFmtAttr,
_availableValueInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceOrchestrationStructInDataFetchStatus),
ShowUnit: model.variables.balanceOrchestrationStructIn.showBalanceUnitAttr,
_showUnitInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceOrchestrationStructInDataFetchStatus),
Title: model.variables.balanceOrchestrationStructIn.titleAttr,
_titleInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceOrchestrationStructInDataFetchStatus),
ShowIcon: false,
Description: model.variables.balanceOrchestrationStructIn.descriptionAttr,
_descriptionInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceOrchestrationStructInDataFetchStatus),
Unit: model.variables.balanceOrchestrationStructIn.availableAmountUnitFmtAttr,
_unitInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceOrchestrationStructInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "3",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))];
})];
}, function () {
return [$if((model.variables.cardTypeCodeVar === model.variables.generalCardCodeIn), false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: model.getCachedValue(idService.getId("cGqxGyuZiEWns6iNNowhsQ.Style"), function () {
return (((model.variables.rowNumberIn === 0)) ? ("") : ("mt-24"));
}, function () {
return model.variables.rowNumberIn;
}),
visible: true,
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
style_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._rowNumberInDataFetchStatus)
}, React.createElement(myNOS_MOB_ConsumptionsBlocks_GeneralBalanceInfoCard_mvc_view, {
inputs: {
Title: model.variables.balanceOrchestrationStructIn.titleAttr,
_titleInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceOrchestrationStructInDataFetchStatus),
BalanceInfo: model.variables.balanceOrchestrationStructIn.descriptionAttr,
_balanceInfoInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._balanceOrchestrationStructInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "5",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))];
}, function () {
return [];
})];
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.ConsumptionsBlocks.ConsumptionsOrhcestrationBalance.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.model", "myNOS_MOB.languageResources", "myNOS_MBP.entities", "myNOS_MOB.model$STR_BalanceOrchestrationStructRec", "myNOS_MOB.model$Local_BALANCE_CARD_TYPERecordList", "myNOS_MOB.model$Local_BALANCE_GRAPH_TYPERecordList", "myNOS_MBP.model$Local_BALANCE_CARD_TYPERec", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.model$Local_BALANCE_GRAPH_TYPERec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPModel, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions
Controller.prototype.getCardType$AggrRefresh = function (maxRecords) {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();

var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_BALANCE_CARD_TYPERecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}

var qploId = model.variables.balanceOrchestrationStructIn.cardTypeIDAttr;

var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "ENLocal_BALANCE_CARD_TYPE.\"Id\" o0, ENLocal_BALANCE_CARD_TYPE.\"Label\" o1, ENLocal_BALANCE_CARD_TYPE.\"Code\" o2, ENLocal_BALANCE_CARD_TYPE.\"DateTime\" o3";
} else {
selectSql += "ENLocal_BALANCE_CARD_TYPE.\"Id\" o0, ENLocal_BALANCE_CARD_TYPE.\"Label\" o1, ENLocal_BALANCE_CARD_TYPE.\"Code\" o2, ENLocal_BALANCE_CARD_TYPE.\"DateTime\" o3";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_BALANCE_CARD_TYPE\" ENLocal_BALANCE_CARD_TYPE";
fromAndWhereSql += " WHERE ";
if (qploId != 0) {
fromAndWhereSql += "((ENLocal_BALANCE_CARD_TYPE.\"Id\" = :qploId) AND (ENLocal_BALANCE_CARD_TYPE.\"Id\" IS NOT NULL))";
argsList.add("qploId", /*LONGINTEGER*/ 4, qploId);
} else {
fromAndWhereSql += "(ENLocal_BALANCE_CARD_TYPE.\"Id\" IS NULL)";
}
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_BALANCE_CARD_TYPERecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_BALANCE_CARD_TYPEAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeScreenClientAggregate(executeQuery, function () {
return model.variables.getCardTypeAggr;
}, function () {
controller._getCardTypeOnAfterFetch$Action(controller.callContext(callContext));
});
};
Controller.prototype.getGraphType$AggrRefresh = function (maxRecords) {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();

var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_BALANCE_GRAPH_TYPERecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}

var qploId = model.variables.balanceOrchestrationStructIn.graphTypeIDAttr;

var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "ENLocal_BALANCE_GRAPH_TYPE.\"Id\" o0, ENLocal_BALANCE_GRAPH_TYPE.\"Label\" o1, ENLocal_BALANCE_GRAPH_TYPE.\"IsLimitedGraph\" o2, ENLocal_BALANCE_GRAPH_TYPE.\"DateTime\" o3";
} else {
selectSql += "ENLocal_BALANCE_GRAPH_TYPE.\"Id\" o0, ENLocal_BALANCE_GRAPH_TYPE.\"Label\" o1, ENLocal_BALANCE_GRAPH_TYPE.\"IsLimitedGraph\" o2, ENLocal_BALANCE_GRAPH_TYPE.\"DateTime\" o3";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_BALANCE_GRAPH_TYPE\" ENLocal_BALANCE_GRAPH_TYPE";
fromAndWhereSql += " WHERE ";
if (qploId != 0) {
fromAndWhereSql += "((ENLocal_BALANCE_GRAPH_TYPE.\"Id\" = :qploId) AND (ENLocal_BALANCE_GRAPH_TYPE.\"Id\" IS NOT NULL))";
argsList.add("qploId", /*LONGINTEGER*/ 4, qploId);
} else {
fromAndWhereSql += "(ENLocal_BALANCE_GRAPH_TYPE.\"Id\" IS NULL)";
}
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_BALANCE_GRAPH_TYPERecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_BALANCE_GRAPH_TYPEAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeScreenClientAggregate(executeQuery, function () {
return model.variables.getGraphTypeAggr;
}, function () {
controller._getGraphTypeOnAfterFetch$Action(controller.callContext(callContext));
});
};

Controller.prototype.dataFetchActionNames = ["getCardType$AggrRefresh", "getGraphType$AggrRefresh"];
// Client Actions
Controller.prototype._getCardTypeOnAfterFetch$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GetCardTypeOnAfterFetch");
callContext = controller.callContext(callContext);
// CardTypeCode = GetCardType.List.Current.Local_BALANCE_CARD_TYPE.Code
model.variables.cardTypeCodeVar = model.variables.getCardTypeAggr.listOut.getCurrent(callContext.iterationContext).local_BALANCE_CARD_TYPEAttr.codeAttr;
};
Controller.prototype._onParametersChanged$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnParametersChanged");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Refresh Query: GetCardType
var result = controller.getCardType$AggrRefresh(1);
model.flush();
return result.then(function () {
// Refresh Query: GetGraphType
var result = controller.getGraphType$AggrRefresh(1);
model.flush();
return result;
});
});
};
Controller.prototype._getGraphTypeOnAfterFetch$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GetGraphTypeOnAfterFetch");
callContext = controller.callContext(callContext);
// IsLimitedGraph = GetGraphType.List.Current.Local_BALANCE_GRAPH_TYPE.IsLimitedGraph
model.variables.isLimitedGraphVar = model.variables.getGraphTypeAggr.listOut.getCurrent(callContext.iterationContext).local_BALANCE_GRAPH_TYPEAttr.isLimitedGraphAttr;
};

Controller.prototype.getCardTypeOnAfterFetch$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._getCardTypeOnAfterFetch$Action, callContext);

};
Controller.prototype.onParametersChanged$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onParametersChanged$Action, callContext);

};
Controller.prototype.getGraphTypeOnAfterFetch$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._getGraphTypeOnAfterFetch$Action, callContext);

};
Controller.prototype.chargePhoneEvent$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onParametersChanged$Action(callContext);

};
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

