﻿define("myNOS_MOB.DirectDebit.DirectDebitActivation.mvc$model", ["OutSystems", "myNOS_MOB.model", "Essentials_MOB.controller", "myNOS_MOB.controller", "MobileUIWidgets.controller", "MobilePatterns.controller", "myNOS_MBP.model", "Essentials_MOB.controller$CheckOnlyNumbers", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$Essentials_MOB", "myNOS_MOB.controller$Analytics_SendClickEvent", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "MobileUIWidgets.controller$Success", "myNOS_MOB.controller$Analytics_TrackException", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.model$Local_ACCESS_TOKEN_INFORecordList", "myNOS_MBP.model$Local_ACCESS_TOKEN_INFORec", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.entities", "myNOS_MOB.model$BANK_OPTIONSRecordList", "myNOS_MOB.model$Local_SELECTIONLocal_ASSOCIATIONLocal_BILLING_ACCOUNTRecordList", "myNOS_MBP.model$Local_ASSOCIATIONRec", "myNOS_MBP.model$Local_BILLING_ACCOUNTRec", "myNOS_MBP.model$Local_SELECTIONRec"], function (OutSystems, myNOS_MOBModel, Essentials_MOBController, myNOS_MOBController, MobileUIWidgetsController, MobilePatternsController, myNOS_MBPModel) {
var OS = OutSystems.Internal;
var GetLocalSELECTIONSAggrRec = (function (_super) {
__extends(GetLocalSELECTIONSAggrRec, _super);
function GetLocalSELECTIONSAggrRec(defaults) {
_super.apply(this, arguments);
}
GetLocalSELECTIONSAggrRec.RecordListType = myNOS_MOBModel.Local_SELECTIONLocal_ASSOCIATIONLocal_BILLING_ACCOUNTRecordList;
GetLocalSELECTIONSAggrRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetLocalSELECTIONSAggrRec.init();
return GetLocalSELECTIONSAggrRec;
})(OS.Model.AggregateRecord);
var GetBankOptionsAggrRec = (function (_super) {
__extends(GetBankOptionsAggrRec, _super);
function GetBankOptionsAggrRec(defaults) {
_super.apply(this, arguments);
}
GetBankOptionsAggrRec.RecordListType = myNOS_MOBModel.BANK_OPTIONSRecordList;
GetBankOptionsAggrRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetBankOptionsAggrRec.init();
return GetBankOptionsAggrRec;
})(OS.Model.AggregateRecord);


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("IBANIn", "iBANInVar", "IBANIn", true, OS.Types.Text, function () {
return "";
}), 
this.attr("BankOptionsId", "bankOptionsIdVar", "BankOptionsId", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("IsLoading", "isLoadingVar", "IsLoading", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("BICIn", "bICInVar", "BICIn", true, OS.Types.Text, function () {
return "";
}), 
this.attr("CountryCode", "countryCodeVar", "CountryCode", true, OS.Types.Text, function () {
return "PT50";
}), 
this.attr("ShowBIC", "showBICVar", "ShowBIC", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("NationalBankLabel", "nationalBankLabelVar", "NationalBankLabel", true, OS.Types.Text, function () {
return "Banco nacional";
}), 
this.attr("ForeignBankLabel", "foreignBankLabelVar", "ForeignBankLabel", true, OS.Types.Text, function () {
return "Banco estrangeiro";
}), 
this.attr("ShowTooltip", "showTooltipVar", "ShowTooltip", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("ChangeMade", "changeMadeVar", "ChangeMade", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("InitialStatusBarCode", "initialStatusBarCodeVar", "InitialStatusBarCode", true, OS.Types.Text, function () {
return myNOS_MOBModel.staticEntities.hEX_COLORS.blueDark;
}), 
this.attr("EnablePreviousScreenLink", "enablePreviousScreenLinkIn", "EnablePreviousScreenLink", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_enablePreviousScreenLinkInDataFetchStatus", "_enablePreviousScreenLinkInDataFetchStatus", "_enablePreviousScreenLinkInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("GetLocalSELECTIONS", "getLocalSELECTIONSAggr", "getLocalSELECTIONSAggr", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetLocalSELECTIONSAggrRec());
}, GetLocalSELECTIONSAggrRec), 
this.attr("GetBankOptions", "getBankOptionsAggr", "getBankOptionsAggr", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetBankOptionsAggrRec());
}, GetBankOptionsAggrRec)
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {
RadioBtns7: OS.Model.ValidationWidgetRecord,
IBANInPT: OS.Model.ValidationWidgetRecord,
IBANInForeign: OS.Model.ValidationWidgetRecord,
Input_TextVar2: OS.Model.ValidationWidgetRecord
};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return true;
}
});

Model.prototype.setInputs = function (inputs) {
if("EnablePreviousScreenLink" in inputs) {
this.variables.enablePreviousScreenLinkIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.EnablePreviousScreenLink, OS.Types.Boolean);
}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.DirectDebit.DirectDebitActivation.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "Essentials_MOB.controller", "MobileUIWidgets.controller", "MobilePatterns.controller", "myNOS_MBP.model", "react", "OutSystemsReactView", "myNOS_MOB.DirectDebit.DirectDebitActivation.mvc$model", "myNOS_MOB.DirectDebit.DirectDebitActivation.mvc$controller", "myNOS_MOB.Common.Waiting.mvc$view", "OutSystemsReactWidgets", "myNOS_MOB.CommonLayout.Layout_Lvl_3.mvc$view", "myNOS_MOB.CommonLayout.Header_L_Lvl_3.mvc$view", "myNOS_MOB.CommonLayout.Header_Title.mvc$view", "myNOS_MOB.Blocks.IntroText.mvc$view", "MobileUIWidgets.WidgetsContent.Card_new.mvc$view", "MobileUIWidgets.WidgetsContent.RadioButtonV2.mvc$view", "MobileUIWidgets.WidgetsContent.RadioButtonItem.mvc$view", "myNOS_MOB.Blocks.PreFilledInput.mvc$view", "myNOS_MOB.Common.BottomLvl3.mvc$view", "MobileUIWidgets.WidgetsContent.ButtonRipple.mvc$view", "Essentials_MOB.controller$CheckOnlyNumbers", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$Essentials_MOB", "myNOS_MOB.controller$Analytics_SendClickEvent", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "MobileUIWidgets.controller$Success", "myNOS_MOB.controller$Analytics_TrackException", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.model$Local_ACCESS_TOKEN_INFORecordList", "myNOS_MBP.model$Local_ACCESS_TOKEN_INFORec", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.entities", "myNOS_MOB.model$BANK_OPTIONSRecordList", "myNOS_MOB.model$Local_SELECTIONLocal_ASSOCIATIONLocal_BILLING_ACCOUNTRecordList", "myNOS_MBP.model$Local_ASSOCIATIONRec", "myNOS_MBP.model$Local_BILLING_ACCOUNTRec", "myNOS_MBP.model$Local_SELECTIONRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, Essentials_MOBController, MobileUIWidgetsController, MobilePatternsController, myNOS_MBPModel, React, OSView, myNOS_MOB_DirectDebit_DirectDebitActivation_mvc_model, myNOS_MOB_DirectDebit_DirectDebitActivation_mvc_controller, myNOS_MOB_Common_Waiting_mvc_view, OSWidgets, myNOS_MOB_CommonLayout_Layout_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_Title_mvc_view, myNOS_MOB_Blocks_IntroText_mvc_view, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_RadioButtonV2_mvc_view, MobileUIWidgets_WidgetsContent_RadioButtonItem_mvc_view, myNOS_MOB_Blocks_PreFilledInput_mvc_view, myNOS_MOB_Common_BottomLvl3_mvc_view, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "DirectDebit.DirectDebitActivation";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css", "css/MobilePatterns.BaseTheme.css", "css/MobileThemes_MyNos.NOS_BaseTheme.css", "css/MobileThemes_MyNos.NOS_LightTheme.css", "css/myNOS_MOB.myNOS_MOB.css", "css/MobilePatterns.BaseTheme.extra.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_Common_Waiting_mvc_view, myNOS_MOB_CommonLayout_Layout_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_Title_mvc_view, myNOS_MOB_Blocks_IntroText_mvc_view, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_RadioButtonV2_mvc_view, MobileUIWidgets_WidgetsContent_RadioButtonItem_mvc_view, myNOS_MOB_Blocks_PreFilledInput_mvc_view, myNOS_MOB_Common_BottomLvl3_mvc_view, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_DirectDebit_DirectDebitActivation_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_DirectDebit_DirectDebitActivation_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "Debito Direto";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(myNOS_MOB_Common_Waiting_mvc_view, {
inputs: {
InitialStatusBarCode: model.variables.initialStatusBarCodeVar,
IsLoading: model.variables.isLoadingVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}), React.createElement(myNOS_MOB_CommonLayout_Layout_Lvl_3_mvc_view, {
inputs: {
IsNotErrorPage: true,
HeaderClass: "a-header-noSpoke",
KeepFeedbackMsg: true,
PageType: "Operacao",
StatusBarHexCode: model.variables.initialStatusBarCodeVar,
PageNameUrl: "DirectDebitActivation",
PageTitle: "Debito Direto",
MasterColorId: myNOS_MOBModel.staticEntities.mASTER_COLOR.blueDark,
PageSection: "Escolha Banco"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
isConnectedEvent$Action: function (isConnectedIn) {
var eventHandlerContext = callContext.clone();
controller.layout_Lvl_3IsConnectedEvent$Action(controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
headerLeft: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvc_view, {
inputs: {
UseConfirmationMessage: model.variables.changeMadeVar,
EnablePreviousScreenLink: model.variables.enablePreviousScreenLinkIn
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "2",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}),
headerTitle: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_CommonLayout_Header_Title_mvc_view, {
inputs: {
Title: "Débito direto"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "3",
alias: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}),
headerRight: PlaceholderContent.Empty,
headerContent: PlaceholderContent.Empty,
content: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_Blocks_IntroText_mvc_view, {
inputs: {
Text: "Indique o IBAN da conta na qual pretende que seja efetuado o débito."
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "4",
alias: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "ph-16",
visible: true,
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasRightSide: false,
HasLeftSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "6",
alias: "6"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
name: "Banco"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.AdvancedHtml, {
tag: "h3",
_idProps: {
service: idService,
uuid: "8"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "h3 c-black -bold",
value: "Escolha o tipo de banco",
_idProps: {
service: idService,
uuid: "9"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(MobileUIWidgets_WidgetsContent_RadioButtonV2_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
radioButtonOnChange$Action: function (activeValueIn) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.radioBtnsOnChange$Action(controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "10",
alias: "7"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
placeholder1: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.ButtonGroup, {
_validationProps: {
validationService: validationService
},
enabled: true,
mandatory: false,
onChange: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.radioBtnsOnChange$Action(controller.callContext(eventHandlerContext));
});
;
},
style: "button-group a-radioButtonContainer",
variable: model.createVariable(OS.Types.Integer, model.variables.bankOptionsIdVar, function (value) {
model.variables.bankOptionsIdVar = value;
}),
_idProps: {
service: idService,
name: "RadioBtns7"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.ButtonGroupItem, {
enabled: true,
style: "button-group-item a-radioButton d-block",
value: myNOS_MOBModel.staticEntities.bANK_OPTIONS.nationalBank,
visible: true,
_idProps: {
service: idService,
name: "ButtonGroupItem13"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_RadioButtonItem_mvc_view, {
inputs: {
Label: model.variables.nationalBankLabelVar,
ActiveItemValue: (model.variables.bankOptionsIdVar).toString(),
ItemValue: (myNOS_MOBModel.staticEntities.bANK_OPTIONS.nationalBank).toString()
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "13",
alias: "8"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})), React.createElement(OSWidgets.ButtonGroupItem, {
enabled: true,
style: "button-group-item a-radioButton d-block",
value: myNOS_MOBModel.staticEntities.bANK_OPTIONS.foreignBank,
visible: true,
_idProps: {
service: idService,
name: "ButtonGroupItem14"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_RadioButtonItem_mvc_view, {
inputs: {
ItemValue: (myNOS_MOBModel.staticEntities.bANK_OPTIONS.foreignBank).toString(),
Label: model.variables.foreignBankLabelVar,
ActiveItemValue: (model.variables.bankOptionsIdVar).toString()
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "15",
alias: "9"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})))];
})
},
_dependencies: [asPrimitiveValue(model.variables.foreignBankLabelVar), asPrimitiveValue(model.variables.nationalBankLabelVar), asPrimitiveValue(model.variables.bankOptionsIdVar)]
}))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.foreignBankLabelVar), asPrimitiveValue(model.variables.nationalBankLabelVar), asPrimitiveValue(model.variables.bankOptionsIdVar)]
}), React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasRightSide: false,
HasLeftSide: false,
StyleClass: "mt-2 -paddingMedium"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "16",
alias: "10"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
name: "IBAN"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.AdvancedHtml, {
tag: "h3",
_idProps: {
service: idService,
uuid: "18"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "h3 c-black",
value: "IBAN",
_idProps: {
service: idService,
uuid: "19"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-8 d-flex",
visible: false,
_idProps: {
service: idService,
uuid: "20"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "b-black pa-8 text -big c-pureWhite",
value: model.variables.countryCodeVar,
_idProps: {
service: idService,
uuid: "21"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(myNOS_MOB_Blocks_PreFilledInput_mvc_view, {
inputs: {
FilledText: "PT50",
IsNationalBank: model.getCachedValue(idService.getId("jYB7bSTMdkOeP24dvCMGRQ.IsNationalBank"), function () {
return (((model.variables.bankOptionsIdVar === myNOS_MOBModel.staticEntities.bANK_OPTIONS.nationalBank)) ? (true) : (false));
}, function () {
return model.variables.bankOptionsIdVar;
})
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "22",
alias: "11"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
input: new PlaceholderContent(function () {
return [$if((model.variables.bankOptionsIdVar === myNOS_MOBModel.staticEntities.bANK_OPTIONS.nationalBank), false, this, function () {
return [React.createElement(OSWidgets.Input, {
_validationProps: {
validationService: validationService
},
enabled: true,
extendedEvents: {
onKeyPress: function () {
var eventHandlerContext = callContext.clone();
controller.onKeypress$Action(controller.callContext(eventHandlerContext));

;
}
},
extendedProperties: {
type: "tel"
},
gridProperties: {
classes: "OSFillParent"
},
inputType: /*Text*/ 0,
mandatory: false,
maxLength: 21,
style: "form-control a-input w-100 border-black",
variable: model.createVariable(OS.Types.Text, model.variables.iBANInVar, function (value) {
model.variables.iBANInVar = value;
}),
_idProps: {
service: idService,
name: "IBANInPT"
},
_widgetRecordProvider: widgetsRecordProvider
})];
}, function () {
return [React.createElement(OSWidgets.Input, {
_validationProps: {
validationService: validationService
},
enabled: true,
extendedEvents: {
onKeyPress: function () {
var eventHandlerContext = callContext.clone();
controller.onKeypress$Action(controller.callContext(eventHandlerContext));

;
}
},
gridProperties: {
classes: "OSFillParent"
},
inputType: /*Text*/ 0,
mandatory: false,
maxLength: 34,
style: "form-control a-input w-100 border-black",
variable: model.createVariable(OS.Types.Text, model.variables.iBANInVar, function (value) {
model.variables.iBANInVar = value;
}),
_idProps: {
service: idService,
name: "IBANInForeign"
},
_widgetRecordProvider: widgetsRecordProvider
})];
})];
})
},
_dependencies: [asPrimitiveValue(model.variables.iBANInVar), asPrimitiveValue(model.variables.bankOptionsIdVar)]
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: true,
visible: model.variables.showBICVar,
_idProps: {
service: idService,
name: "BIC"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.AdvancedHtml, {
tag: "h3",
_idProps: {
service: idService,
uuid: "26"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "h3 c-black",
value: "BIC / Swift",
_idProps: {
service: idService,
uuid: "27"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-8",
visible: true,
_idProps: {
service: idService,
uuid: "28"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Input, {
_validationProps: {
validationService: validationService
},
enabled: true,
extendedEvents: {
onKeyPress: function () {
var eventHandlerContext = callContext.clone();
controller.onKeypress$Action(controller.callContext(eventHandlerContext));

;
}
},
gridProperties: {
classes: "OSFillParent"
},
inputType: /*Text*/ 0,
mandatory: false,
maxLength: 11,
style: "form-control a-input w-50 border-black",
variable: model.createVariable(OS.Types.Text, model.variables.bICInVar, function (value) {
model.variables.bICInVar = value;
}),
_idProps: {
service: idService,
name: "Input_TextVar2"
},
_widgetRecordProvider: widgetsRecordProvider
})))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.bICInVar), asPrimitiveValue(model.variables.showBICVar), asPrimitiveValue(model.variables.iBANInVar), asPrimitiveValue(model.variables.bankOptionsIdVar), asPrimitiveValue(model.variables.countryCodeVar)]
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: true,
style: "mt-16",
visible: model.variables.showTooltipVar,
_idProps: {
service: idService,
uuid: "30"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasLeftSide: false,
StyleClass: "-alert -info -paddingEqual",
HasRightSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "31",
alias: "12"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.AdvancedHtml, {
tag: "h3",
_idProps: {
service: idService,
uuid: "32"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Text, {
style: "d-block h3 -bold c-black",
text: ["Informação"],
_idProps: {
service: idService,
uuid: "33"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Text, {
style: "d-block mv-16 text c-gray -big -light",
text: ["Consulte o seu IBAN através do seu homebanking ou numa caixa Multibanco"],
_idProps: {
service: idService,
uuid: "34"
},
_widgetRecordProvider: widgetsRecordProvider
})];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: []
})))];
}),
bottom: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_Common_BottomLvl3_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "35",
alias: "13"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
content: new PlaceholderContent(function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "36",
alias: "14"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.activateDirectDebit$Action(controller.callContext(eventHandlerContext));
});
;
},
style: "btn a-btn btn-primary -primary w-100",
visible: true,
_idProps: {
service: idService,
uuid: "37"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Ativar débito direto", React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "38"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: []
})];
})
},
_dependencies: []
})];
})
},
_dependencies: [asPrimitiveValue(model.variables.showTooltipVar), asPrimitiveValue(model.variables.bICInVar), asPrimitiveValue(model.variables.showBICVar), asPrimitiveValue(model.variables.iBANInVar), asPrimitiveValue(model.variables.countryCodeVar), asPrimitiveValue(model.variables.foreignBankLabelVar), asPrimitiveValue(model.variables.nationalBankLabelVar), asPrimitiveValue(model.variables.bankOptionsIdVar), asPrimitiveValue(model.variables.enablePreviousScreenLinkIn), asPrimitiveValue(model.variables.changeMadeVar)]
}));
        };
        return View;
    })(OSView.BaseView.BaseWebScreen);
	
    return View;
});
define("myNOS_MOB.DirectDebit.DirectDebitActivation.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "Essentials_MOB.controller", "MobileUIWidgets.controller", "MobilePatterns.controller", "myNOS_MBP.model", "myNOS_MOB.languageResources", "myNOS_MOB.DirectDebit.controller", "Essentials_MOB.controller$CheckOnlyNumbers", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$Essentials_MOB", "myNOS_MOB.controller$Analytics_SendClickEvent", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "MobileUIWidgets.controller$Success", "myNOS_MOB.controller$Analytics_TrackException", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.model$Local_ACCESS_TOKEN_INFORecordList", "myNOS_MBP.model$Local_ACCESS_TOKEN_INFORec", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MBP.entities", "myNOS_MOB.model$BANK_OPTIONSRecordList", "myNOS_MOB.model$Local_SELECTIONLocal_ASSOCIATIONLocal_BILLING_ACCOUNTRecordList", "myNOS_MBP.model$Local_ASSOCIATIONRec", "myNOS_MBP.model$Local_BILLING_ACCOUNTRec", "myNOS_MBP.model$Local_SELECTIONRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, Essentials_MOBController, MobileUIWidgetsController, MobilePatternsController, myNOS_MBPModel, myNOS_MOBLanguageResources, myNOS_MOB_DirectDebitController) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions
Controller.prototype.activateDirectDebit$ServerAction = function (refreshTokenIn, associationIdIn, iBANInIn, isNationalBankIn, countryCodeIn, bICInIn, custCodeIn, billingAccountIn, callContext) {
var controller = this.controller;
var inputs = {
RefreshToken: OS.DataTypes.JSConversions.basicTypeToJS(refreshTokenIn, OS.Types.Text),
AssociationId: OS.DataTypes.JSConversions.basicTypeToJS(associationIdIn, OS.Types.LongInteger),
IBANIn: OS.DataTypes.JSConversions.basicTypeToJS(iBANInIn, OS.Types.Text),
IsNationalBank: OS.DataTypes.JSConversions.basicTypeToJS(isNationalBankIn, OS.Types.Boolean),
CountryCode: OS.DataTypes.JSConversions.basicTypeToJS(countryCodeIn, OS.Types.Text),
BICIn: OS.DataTypes.JSConversions.basicTypeToJS(bICInIn, OS.Types.Text),
CustCode: OS.DataTypes.JSConversions.basicTypeToJS(custCodeIn, OS.Types.Text),
BillingAccount: OS.DataTypes.JSConversions.basicTypeToJS(billingAccountIn, OS.Types.Text)
};
return controller.callServerAction("ActivateDirectDebit", "screenservices/myNOS_MOB/DirectDebit/DirectDebitActivation/ActionActivateDirectDebit", "DpCGMNNyHhF887jdKren4A", inputs, controller.callContext(callContext)).then(function (outputs) {
var executeServerActionResult = new (controller.constructor.getVariableGroupType("myNOS_MOB.DirectDebit.DirectDebitActivation$rssespacemynos_bp_ActionActivateDirectDebit"))();
executeServerActionResult.successOut = OS.DataTypes.JSConversions.jsToBasicType(outputs.Success, OS.Types.Boolean);
executeServerActionResult.outputMessageOut = OS.DataTypes.JSConversions.jsToBasicType(outputs.OutputMessage, OS.Types.Text);
return executeServerActionResult;
});
};
Controller.registerVariableGroupType("myNOS_MOB.DirectDebit.DirectDebitActivation$rssespacemynos_bp_ActionActivateDirectDebit", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return true;
}
}, {
name: "OutputMessage",
attrName: "outputMessageOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);

// Aggregates and Data Actions
Controller.prototype.getLocalSELECTIONS$AggrRefresh = function (maxRecords) {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();

var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_SELECTIONLocal_ASSOCIATIONLocal_BILLING_ACCOUNTRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "ENLocal_ASSOCIATION.\"Id\" o0, ENLocal_ASSOCIATION.\"DisplayValue\" o1, ENLocal_ASSOCIATION.\"FriendlyName\" o2, ENLocal_ASSOCIATION.\"RoleName\" o3, ENLocal_ASSOCIATION.\"Key\" o4, ENLocal_ASSOCIATION.\"Value\" o5, ENLocal_ASSOCIATION.\"Master\" o6, ENLocal_ASSOCIATION.\"ContractDN\" o7, ENLocal_ASSOCIATION.\"AccountOwner\" o8, ENLocal_ASSOCIATION.\"AccountOwnerNIF\" o9, ENLocal_ASSOCIATION.\"AccountOwnerEmail\" o10, ENLocal_ASSOCIATION.\"AccountOwnerPhoneNr\" o11, ENLocal_ASSOCIATION.\"CustCode_ClientNumber\" o12, ENLocal_ASSOCIATION.\"AccountOwnerAddress\" o13, ENLocal_ASSOCIATION.\"IsNOSCardEligible\" o14, ENLocal_ASSOCIATION.\"ContactType\" o15, ENLocal_ASSOCIATION.\"PersonId\" o16, ENLocal_ASSOCIATION.\"CounterTelevision\" o17, ENLocal_ASSOCIATION.\"CounterInternetLandline\" o18, ENLocal_ASSOCIATION.\"CounterInternetMobile\" o19, ENLocal_ASSOCIATION.\"CounterVoiceLandline\" o20, ENLocal_ASSOCIATION.\"CounterVoiceMobile\" o21, ENLocal_ASSOCIATION.\"SuccessfullyUpdated\" o22, ENLocal_ASSOCIATION.\"IsPending\" o23, ENLocal_BILLING_ACCOUNT.\"Id\" o24, ENLocal_BILLING_ACCOUNT.\"AssociationId\" o25, ENLocal_BILLING_ACCOUNT.\"BillingAccountNumber\" o26, ENLocal_BILLING_ACCOUNT.\"CustCodeBSCS\" o27, ENLocal_BILLING_ACCOUNT.\"IBAN\" o28, ENLocal_BILLING_ACCOUNT.\"Address\" o29, ENLocal_BILLING_ACCOUNT.\"HasDigitalInvoice\" o30, ENLocal_BILLING_ACCOUNT.\"ActiveDebitDirect\" o31, ENLocal_BILLING_ACCOUNT.\"EligibleDirectDebit\" o32, ENLocal_BILLING_ACCOUNT.\"ProcessingDebitDirect\" o33, ENLocal_BILLING_ACCOUNT.\"DateOfWithdrawalDebitDirect\" o34, ENLocal_BILLING_ACCOUNT.\"EligibleDigitalInvoice\" o35, ENLocal_BILLING_ACCOUNT.\"CustomerId\" o36, ENLocal_BILLING_ACCOUNT.\"InvoiceReference\" o37, ENLocal_BILLING_ACCOUNT.\"GetInvoicesOK\" o38, ENLocal_BILLING_ACCOUNT.\"SuccessfullyImported\" o39, ENLocal_SELECTION.\"Id\" o40, ENLocal_SELECTION.\"LocalAssociationId\" o41, ENLocal_SELECTION.\"LocalServiceId\" o42, ENLocal_SELECTION.\"LocalBillingAccountNumber\" o43, ENLocal_SELECTION.\"IsRecharge\" o44, ENLocal_SELECTION.\"IsBalance\" o45, ENLocal_SELECTION.\"IsVoD\" o46, ENLocal_SELECTION.\"IsInvoice\" o47, ENLocal_SELECTION.\"IsTelevision\" o48, ENLocal_SELECTION.\"IsPinPuk\" o49, ENLocal_SELECTION.\"IsPackagesOrRefill\" o50, ENLocal_SELECTION.\"IsAccountDetails\" o51, ENLocal_SELECTION.\"isPrivacy\" o52, ENLocal_SELECTION.\"PrivacyNIF\" o53";
} else {
selectSql += "ENLocal_ASSOCIATION.\"Id\" o0, ENLocal_ASSOCIATION.\"DisplayValue\" o1, ENLocal_ASSOCIATION.\"FriendlyName\" o2, ENLocal_ASSOCIATION.\"RoleName\" o3, ENLocal_ASSOCIATION.\"Key\" o4, ENLocal_ASSOCIATION.\"Value\" o5, ENLocal_ASSOCIATION.\"Master\" o6, ENLocal_ASSOCIATION.\"ContractDN\" o7, ENLocal_ASSOCIATION.\"AccountOwner\" o8, ENLocal_ASSOCIATION.\"AccountOwnerNIF\" o9, ENLocal_ASSOCIATION.\"AccountOwnerEmail\" o10, ENLocal_ASSOCIATION.\"AccountOwnerPhoneNr\" o11, ENLocal_ASSOCIATION.\"CustCode_ClientNumber\" o12, ENLocal_ASSOCIATION.\"AccountOwnerAddress\" o13, ENLocal_ASSOCIATION.\"IsNOSCardEligible\" o14, ENLocal_ASSOCIATION.\"ContactType\" o15, ENLocal_ASSOCIATION.\"PersonId\" o16, ENLocal_ASSOCIATION.\"CounterTelevision\" o17, ENLocal_ASSOCIATION.\"CounterInternetLandline\" o18, ENLocal_ASSOCIATION.\"CounterInternetMobile\" o19, ENLocal_ASSOCIATION.\"CounterVoiceLandline\" o20, ENLocal_ASSOCIATION.\"CounterVoiceMobile\" o21, ENLocal_ASSOCIATION.\"SuccessfullyUpdated\" o22, ENLocal_ASSOCIATION.\"IsPending\" o23, ENLocal_BILLING_ACCOUNT.\"Id\" o24, ENLocal_BILLING_ACCOUNT.\"AssociationId\" o25, ENLocal_BILLING_ACCOUNT.\"BillingAccountNumber\" o26, ENLocal_BILLING_ACCOUNT.\"CustCodeBSCS\" o27, ENLocal_BILLING_ACCOUNT.\"IBAN\" o28, ENLocal_BILLING_ACCOUNT.\"Address\" o29, ENLocal_BILLING_ACCOUNT.\"HasDigitalInvoice\" o30, ENLocal_BILLING_ACCOUNT.\"ActiveDebitDirect\" o31, ENLocal_BILLING_ACCOUNT.\"EligibleDirectDebit\" o32, ENLocal_BILLING_ACCOUNT.\"ProcessingDebitDirect\" o33, ENLocal_BILLING_ACCOUNT.\"DateOfWithdrawalDebitDirect\" o34, ENLocal_BILLING_ACCOUNT.\"EligibleDigitalInvoice\" o35, ENLocal_BILLING_ACCOUNT.\"CustomerId\" o36, ENLocal_BILLING_ACCOUNT.\"InvoiceReference\" o37, ENLocal_BILLING_ACCOUNT.\"GetInvoicesOK\" o38, ENLocal_BILLING_ACCOUNT.\"SuccessfullyImported\" o39, ENLocal_SELECTION.\"Id\" o40, ENLocal_SELECTION.\"LocalAssociationId\" o41, ENLocal_SELECTION.\"LocalServiceId\" o42, ENLocal_SELECTION.\"LocalBillingAccountNumber\" o43, ENLocal_SELECTION.\"IsRecharge\" o44, ENLocal_SELECTION.\"IsBalance\" o45, ENLocal_SELECTION.\"IsVoD\" o46, ENLocal_SELECTION.\"IsInvoice\" o47, ENLocal_SELECTION.\"IsTelevision\" o48, ENLocal_SELECTION.\"IsPinPuk\" o49, ENLocal_SELECTION.\"IsPackagesOrRefill\" o50, ENLocal_SELECTION.\"IsAccountDetails\" o51, ENLocal_SELECTION.\"isPrivacy\" o52, ENLocal_SELECTION.\"PrivacyNIF\" o53";
}
fromAndWhereSql += " FROM ((\"MAIN\".\"OSUSR_85w_Local_SELECTIONS\" ENLocal_SELECTION Inner JOIN \"MAIN\".\"OSUSR_85w_Local_ASSOCIATION\" ENLocal_ASSOCIATION ON (ENLocal_SELECTION.\"LocalAssociationId\" = ENLocal_ASSOCIATION.\"Id\"))  Left JOIN \"MAIN\".\"OSUSR_85w_Local_BILLING_ACCOUNT1\" ENLocal_BILLING_ACCOUNT ON (ENLocal_BILLING_ACCOUNT.\"BillingAccountNumber\" = ENLocal_SELECTION.\"LocalBillingAccountNumber\")) ";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_SELECTIONLocal_ASSOCIATIONLocal_BILLING_ACCOUNTRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_ASSOCIATIONAttr",
"local_BILLING_ACCOUNTAttr",
"local_SELECTIONAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeScreenClientAggregate(executeQuery, function () {
return model.variables.getLocalSELECTIONSAggr;
}, function () {
controller._getLocalSELECTIONSOnAfterFetch$Action(controller.callContext(callContext));
});
};
Controller.prototype.getBankOptions$AggrRefresh = function (maxRecords) {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();
return controller.callAggregate("ScreenDataSetGetBankOptions", "screenservices/myNOS_MOB/DirectDebit/DirectDebitActivation/ScreenDataSetGetBankOptions", "JLYY3IoYfavERW+zPAY6Dg", maxRecords, function (b) {
model.variables.getBankOptionsAggr.dataFetchStatusAttr = b;
}, function (json) {
model.variables.getBankOptionsAggr.fromJS(json);
}, undefined).then(function () {
controller._getBankOptionsOnAfterFetch$Action(controller.callContext(callContext));
});
};

Controller.prototype.dataFetchActionNames = ["getLocalSELECTIONS$AggrRefresh", "getBankOptions$AggrRefresh"];
// Client Actions
Controller.prototype._radioBtnsOnChange$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("RadioBtnsOnChange");
callContext = controller.callContext(callContext);
var checkOnlyNumbersVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// ChangeMade = True
model.variables.changeMadeVar = true;
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("Debito_direto", (((model.variables.bankOptionsIdVar === myNOS_MOBModel.staticEntities.bANK_OPTIONS.nationalBank)) ? ("Banco_nacional") : ("Banco_estrangeiro")), 0, "", callContext).then(function () {
// IsNationalBank?
if(((model.variables.bankOptionsIdVar === myNOS_MOBModel.staticEntities.bANK_OPTIONS.nationalBank))) {
// Execute Action: CheckOnlyNumbers
checkOnlyNumbersVar.value = Essentials_MOBController.default.checkOnlyNumbers$Action(model.variables.iBANInVar, callContext);

if((!(checkOnlyNumbersVar.value.validOut))) {
// IBANIn = ""
model.variables.iBANInVar = "";
}

// ShowBICFalse
// ShowBIC = False
model.variables.showBICVar = false;
} else {
// ShowBICTrue
// ShowBIC = True
model.variables.showBICVar = true;
}

});
});
};
Controller.prototype._activateDirectDebit$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("ActivateDirectDebit");
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var communicationExceptionVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var activateDirectDebitVar = new OS.DataTypes.VariableHolder();
var getLocalACCESSTOKENINFOESVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_ACCESS_TOKEN_INFORecordList))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("Debito_direto", "Submeter_pedido", 0, "", callContext).then(function () {
// IsLoading = True
model.variables.isLoadingVar = true;
// Aggregate: GetLocalACCESSTOKENINFOES
var getLocalACCESSTOKENINFOESAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_ACCESS_TOKEN_INFORecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1";
} else {
selectSql += "ENLocal_ACCESS_TOKEN_INFO.\"Id\" o0, ENLocal_ACCESS_TOKEN_INFO.\"Refresh_token\" o1";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_ACCESS_TOKEN_INFO\" ENLocal_ACCESS_TOKEN_INFO";
orderBySql += " ORDER BY ENLocal_ACCESS_TOKEN_INFO.\"Refresh_token\" ASC ";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_ACCESS_TOKEN_INFORecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_ACCESS_TOKEN_INFOAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalACCESSTOKENINFOESVar.value;
});
};
return getLocalACCESSTOKENINFOESAggr();
}).then(function () {
// Execute Action: ActivateDirectDebit
model.flush();
return controller.activateDirectDebit$ServerAction(getLocalACCESSTOKENINFOESVar.value.listOut.getCurrent(callContext.iterationContext).local_ACCESS_TOKEN_INFOAttr.refresh_tokenAttr, model.variables.getLocalSELECTIONSAggr.listOut.getCurrent(callContext.iterationContext).local_SELECTIONAttr.localAssociationIdAttr, model.variables.iBANInVar, (((model.variables.bankOptionsIdVar === myNOS_MOBModel.staticEntities.bANK_OPTIONS.nationalBank)) ? (true) : (false)), model.variables.countryCodeVar, model.variables.bICInVar, model.variables.getLocalSELECTIONSAggr.listOut.getCurrent(callContext.iterationContext).local_ASSOCIATIONAttr.custCode_ClientNumberAttr, model.variables.getLocalSELECTIONSAggr.listOut.getCurrent(callContext.iterationContext).local_BILLING_ACCOUNTAttr.billingAccountNumberAttr, callContext).then(function (value) {
activateDirectDebitVar.value = value;
});
}).then(function () {
if((activateDirectDebitVar.value.successOut)) {
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Success2
MobileUIWidgetsController.default.success$Action("Activação de débito direto efetuada com sucesso.", callContext);
// Destination: /myNOS_MOB/HomePage
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/HomePage", {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.SlideFromTop), callContext, true));
} else {
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Error2Message
MobileUIWidgetsController.default.error$Action(activateDirectDebitVar.value.outputMessageOut, callContext);
}

});
}).catch(function (ex) {
OS.Logger.trace("DirectDebitActivation.ActivateDirectDebit", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: CommunicationException
if(OS.Exceptions.isInstanceOf(ex, OS.Exceptions.Exceptions.CommunicationException)) {
OS.Logger.error(null, ex);
communicationExceptionVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_TrackException2
myNOS_MOBController.default.analytics_TrackException$Action(communicationExceptionVar.value.exceptionMessageAttr, true, callContext);
if((MobilePatternsController.default.getNetworkStatus$Action(callContext.withoutIterationContext()).isOnlineOut)) {
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Error2
MobileUIWidgetsController.default.error$Action(communicationExceptionVar.value.exceptionMessageAttr, callContext);
return OS.Flow.returnAsync();

} else {
// Destination: /myNOS_MOB/NoConnection
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/NoConnection", {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true));
}

});
}

// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_TrackException
myNOS_MOBController.default.analytics_TrackException$Action(allExceptionsVar.value.exceptionMessageAttr, true, callContext);
// IsLoading = False
model.variables.isLoadingVar = false;
return OS.Flow.returnAsync();

});
}

throw ex;
});
};
Controller.prototype._getLocalSELECTIONSOnAfterFetch$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GetLocalSELECTIONSOnAfterFetch");
callContext = controller.callContext(callContext);
var communicationExceptionVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
try {// IsLoading = False
model.variables.isLoadingVar = false;
} catch (ex) {
(function () {
OS.Logger.trace("DirectDebitActivation.GetLocalSELECTIONSOnAfterFetch", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: CommunicationException
if(OS.Exceptions.isInstanceOf(ex, OS.Exceptions.Exceptions.CommunicationException)) {
OS.Logger.error(null, ex);
communicationExceptionVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Execute Action: Analytics_TrackException2
myNOS_MOBController.default.analytics_TrackException$Action(communicationExceptionVar.value.exceptionMessageAttr, true, callContext);
if((MobilePatternsController.default.getNetworkStatus$Action(callContext.withoutIterationContext()).isOnlineOut)) {
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Error22
MobileUIWidgetsController.default.error$Action("Ocorreu um erro. Por favor tente novamente.", callContext);
return ;

} else {
// Destination: /myNOS_MOB/NoConnection
return OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/NoConnection", {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true);
}

}

// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Execute Action: Analytics_TrackException
myNOS_MOBController.default.analytics_TrackException$Action(allExceptionsVar.value.exceptionMessageAttr, true, callContext);
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Error2
MobileUIWidgetsController.default.error$Action("Ocorreu um erro. Por favor tente novamente.", callContext);
return ;

}

throw ex;
})();
}

};
Controller.prototype._layout_Lvl_3IsConnectedEvent$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Layout_Lvl_3IsConnectedEvent");
callContext = controller.callContext(callContext);
};
Controller.prototype._onKeypress$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnKeypress");
callContext = controller.callContext(callContext);
if((!(model.variables.changeMadeVar))) {
// ChangeMade = True
model.variables.changeMadeVar = true;
}

};
Controller.prototype._getBankOptionsOnAfterFetch$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GetBankOptionsOnAfterFetch");
callContext = controller.callContext(callContext);
// EmptyBankOptions
if((!(model.variables.getBankOptionsAggr.listOut.isEmpty))) {
// Foreach GetBankOptions.List
callContext.iterationContext.registerIterationStart(model.variables.getBankOptionsAggr.listOut);
try {var getBankOptionsIterator = callContext.iterationContext.getIterator(model.variables.getBankOptionsAggr.listOut);
var getBankOptionsIndex = 0;
while (((getBankOptionsIndex < model.variables.getBankOptionsAggr.listOut.length))) {
getBankOptionsIterator.currentRowNumber = getBankOptionsIndex;
if(((model.variables.getBankOptionsAggr.listOut.getItem(getBankOptionsIndex.valueOf()).bANK_OPTIONSAttr.idAttr === myNOS_MOBModel.staticEntities.bANK_OPTIONS.nationalBank))) {
// NationalBankLabel = GetBankOptions.List.Current.BANK_OPTIONS.Label
model.variables.nationalBankLabelVar = model.variables.getBankOptionsAggr.listOut.getItem(getBankOptionsIndex.valueOf()).bANK_OPTIONSAttr.labelAttr;
// BankOptionsId = GetBankOptions.List.Current.BANK_OPTIONS.Id
model.variables.bankOptionsIdVar = model.variables.getBankOptionsAggr.listOut.getItem(getBankOptionsIndex.valueOf()).bANK_OPTIONSAttr.idAttr;
} else {
// ForeignBankLabel = GetBankOptions.List.Current.BANK_OPTIONS.Label
model.variables.foreignBankLabelVar = model.variables.getBankOptionsAggr.listOut.getItem(getBankOptionsIndex.valueOf()).bANK_OPTIONSAttr.labelAttr;
}

getBankOptionsIndex++;
}

} finally {
callContext.iterationContext.registerIterationEnd(model.variables.getBankOptionsAggr.listOut);
}

}

};

Controller.prototype.radioBtnsOnChange$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._radioBtnsOnChange$Action, callContext);

};
Controller.prototype.activateDirectDebit$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._activateDirectDebit$Action, callContext);

};
Controller.prototype.getLocalSELECTIONSOnAfterFetch$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._getLocalSELECTIONSOnAfterFetch$Action, callContext);

};
Controller.prototype.layout_Lvl_3IsConnectedEvent$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._layout_Lvl_3IsConnectedEvent$Action, callContext);

};
Controller.prototype.onKeypress$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onKeypress$Action, callContext);

};
Controller.prototype.getBankOptionsOnAfterFetch$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._getBankOptionsOnAfterFetch$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return myNOS_MOB_DirectDebitController.default.handleError(ex, this.callContext());
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

