﻿define("myNOS_MOB.HomePageBlocks.BalanceHomeInfoCard.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MBP.controller", "MobileUIWidgets.WidgetsContent.Card_new.mvc$model", "MobileUIWidgets.WidgetsContent.ButtonRipple.mvc$model", "myNOS_MBP.controller$FormatCurrency_MBP", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.model$STR_BalanceCashStructRec"], function (OutSystems, myNOS_MOBModel, myNOS_MBPController, MobileUIWidgets_WidgetsContent_Card_new_mvcModel, MobileUIWidgets_WidgetsContent_ButtonRipple_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("CashBalanceRecord", "cashBalanceRecordIn", "CashBalanceRecord", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_BalanceCashStructRec());
}, myNOS_MOBModel.STR_BalanceCashStructRec), 
this.attr("_cashBalanceRecordInDataFetchStatus", "_cashBalanceRecordInDataFetchStatus", "_cashBalanceRecordInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("Description", "descriptionIn", "Description", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_descriptionInDataFetchStatus", "_descriptionInDataFetchStatus", "_descriptionInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("EmptyRecordCashBalance", "emptyRecordCashBalanceIn", "EmptyRecordCashBalance", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_BalanceCashStructRec());
}, myNOS_MOBModel.STR_BalanceCashStructRec), 
this.attr("_emptyRecordCashBalanceInDataFetchStatus", "_emptyRecordCashBalanceInDataFetchStatus", "_emptyRecordCashBalanceInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("MinimumBalanceValue", "minimumBalanceValueIn", "MinimumBalanceValue", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("_minimumBalanceValueInDataFetchStatus", "_minimumBalanceValueInDataFetchStatus", "_minimumBalanceValueInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = (MobileUIWidgets_WidgetsContent_Card_new_mvcModel.hasValidationWidgets || MobileUIWidgets_WidgetsContent_ButtonRipple_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("CashBalanceRecord" in inputs) {
this.variables.cashBalanceRecordIn = inputs.CashBalanceRecord;
if("_cashBalanceRecordInDataFetchStatus" in inputs) {
this.variables._cashBalanceRecordInDataFetchStatus = inputs._cashBalanceRecordInDataFetchStatus;
}

}

if("Description" in inputs) {
this.variables.descriptionIn = inputs.Description;
if("_descriptionInDataFetchStatus" in inputs) {
this.variables._descriptionInDataFetchStatus = inputs._descriptionInDataFetchStatus;
}

}

if("EmptyRecordCashBalance" in inputs) {
this.variables.emptyRecordCashBalanceIn = inputs.EmptyRecordCashBalance;
if("_emptyRecordCashBalanceInDataFetchStatus" in inputs) {
this.variables._emptyRecordCashBalanceInDataFetchStatus = inputs._emptyRecordCashBalanceInDataFetchStatus;
}

}

if("MinimumBalanceValue" in inputs) {
this.variables.minimumBalanceValueIn = inputs.MinimumBalanceValue;
if("_minimumBalanceValueInDataFetchStatus" in inputs) {
this.variables._minimumBalanceValueInDataFetchStatus = inputs._minimumBalanceValueInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.HomePageBlocks.BalanceHomeInfoCard.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "react", "OutSystemsReactView", "myNOS_MOB.HomePageBlocks.BalanceHomeInfoCard.mvc$model", "myNOS_MOB.HomePageBlocks.BalanceHomeInfoCard.mvc$controller", "OutSystemsReactWidgets", "MobileUIWidgets.WidgetsContent.Card_new.mvc$view", "MobileUIWidgets.WidgetsContent.ButtonRipple.mvc$view", "myNOS_MBP.controller$FormatCurrency_MBP", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.model$STR_BalanceCashStructRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, React, OSView, myNOS_MOB_HomePageBlocks_BalanceHomeInfoCard_mvc_model, myNOS_MOB_HomePageBlocks_BalanceHomeInfoCard_mvc_controller, OSWidgets, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "HomePageBlocks.BalanceHomeInfoCard";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_HomePageBlocks_BalanceHomeInfoCard_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_HomePageBlocks_BalanceHomeInfoCard_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if(model.variables.cashBalanceRecordIn.equals(model.variables.emptyRecordCashBalanceIn), false, this, function () {
return [];
}, function () {
return [$if(model.variables.cashBalanceRecordIn.valueAttr.gt(model.variables.minimumBalanceValueIn), false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-2",
visible: true,
_idProps: {
service: idService,
uuid: "0"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasLeftSide: false,
HasRightSide: false,
StyleClass: "-paddingEqual"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
name: "Consumption7",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.clickBalance$Action(controller.callContext(eventHandlerContext));
});
;
}
},
style: "text-center",
visible: true,
_idProps: {
service: idService,
uuid: "2"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -bold c-black -ellipsis",
value: model.variables.cashBalanceRecordIn.titleAttr,
_idProps: {
service: idService,
uuid: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._cashBalanceRecordInDataFetchStatus)
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-4 mb-16",
visible: true,
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "h2 c-greenDark -bold",
value: model.getCachedValue(idService.getId("8kkhWKn4KUWv8uvJS8AYAA.Value"), function () {
return myNOS_MBPController.default.formatCurrency_MBP$Action(model.variables.cashBalanceRecordIn.valueAttr, callContext.withoutIterationContext()).resultOut;
}, function () {
return model.variables.cashBalanceRecordIn.valueAttr;
}),
_idProps: {
service: idService,
uuid: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._cashBalanceRecordInDataFetchStatus)
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: true,
visible: model.getCachedValue(idService.getId("ru7cs21FYUewyIAmodI87Q.Visible"), function () {
return (((OS.BuiltinFunctions.length(model.variables.descriptionIn) > 1)) ? (true) : (false));
}, function () {
return model.variables.descriptionIn;
}),
_idProps: {
service: idService,
uuid: "6"
},
_widgetRecordProvider: widgetsRecordProvider,
visible_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._descriptionInDataFetchStatus)
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead c-mediumGray",
value: model.variables.descriptionIn,
_idProps: {
service: idService,
uuid: "7"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._descriptionInDataFetchStatus)
})))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.descriptionIn), asPrimitiveValue(model.variables._descriptionInDataFetchStatus), asPrimitiveValue(model.variables._cashBalanceRecordInDataFetchStatus), asPrimitiveValue(model.variables.cashBalanceRecordIn.valueAttr), asPrimitiveValue(model.variables.cashBalanceRecordIn.titleAttr)]
}))];
}, function () {
return [$if(model.variables.cashBalanceRecordIn.valueAttr.lt((OS.DataTypes.Decimal.defaultValue)), false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-2",
visible: true,
_idProps: {
service: idService,
uuid: "8"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
StyleClass: "-paddingCol",
HasLeftSide: false,
HasRightSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
name: "Saldo",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "text-center",
visible: true,
_idProps: {
service: idService,
uuid: "10"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6 va-middle",
visible: true,
_idProps: {
service: idService,
uuid: "11"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -bold c-black -ellipsis",
value: model.variables.cashBalanceRecordIn.titleAttr,
_idProps: {
service: idService,
uuid: "12"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._cashBalanceRecordInDataFetchStatus)
}), React.createElement(OSWidgets.Expression, {
style: "h2 -bold c-red mt-4",
value: model.getCachedValue(idService.getId("LLTHLfP1N0+Br021q_X4lA.Value"), function () {
return myNOS_MBPController.default.formatCurrency_MBP$Action(model.variables.cashBalanceRecordIn.valueAttr.times(OS.BuiltinFunctions.integerToDecimal(-1)), callContext.withoutIterationContext()).resultOut;
}, function () {
return model.variables.cashBalanceRecordIn.valueAttr;
}),
_idProps: {
service: idService,
uuid: "13"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._cashBalanceRecordInDataFetchStatus)
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6 text-right va-middle",
visible: true,
_idProps: {
service: idService,
uuid: "14"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "15",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.chargeCellPhone$Action(controller.callContext(eventHandlerContext));
});
;
},
style: "btn a-btn btn-primary -primary w-100",
visible: true,
_idProps: {
service: idService,
uuid: "16"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Carregar saldo", React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "17"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: []
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-16",
visible: true,
_idProps: {
service: idService,
uuid: "18"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead c-mediumGray",
value: "Carregue para regularizar",
_idProps: {
service: idService,
uuid: "19"
},
_widgetRecordProvider: widgetsRecordProvider
})))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables._cashBalanceRecordInDataFetchStatus), asPrimitiveValue(model.variables.cashBalanceRecordIn.valueAttr), asPrimitiveValue(model.variables.cashBalanceRecordIn.titleAttr)]
}))];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-2",
visible: true,
_idProps: {
service: idService,
uuid: "20"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
StyleClass: "-paddingCol",
HasLeftSide: false,
HasRightSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
name: "Saldo2",
alias: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "text-center",
visible: true,
_idProps: {
service: idService,
uuid: "22"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6 va-middle",
visible: true,
_idProps: {
service: idService,
uuid: "23"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead -bold c-black -ellipsis",
value: model.variables.cashBalanceRecordIn.titleAttr,
_idProps: {
service: idService,
uuid: "24"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._cashBalanceRecordInDataFetchStatus)
}), React.createElement(OSWidgets.Expression, {
style: "h2 -bold c-greenDark mt-4",
value: model.getCachedValue(idService.getId("jhRIfbkxOU+kfJo5+njSQg.Value"), function () {
return myNOS_MBPController.default.formatCurrency_MBP$Action(model.variables.cashBalanceRecordIn.valueAttr, callContext.withoutIterationContext()).resultOut;
}, function () {
return model.variables.cashBalanceRecordIn.valueAttr;
}),
_idProps: {
service: idService,
uuid: "25"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._cashBalanceRecordInDataFetchStatus)
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6 text-right va-middle",
visible: true,
_idProps: {
service: idService,
uuid: "26"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "27",
alias: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.chargeCellPhone$Action(controller.callContext(eventHandlerContext));
});
;
},
style: "btn a-btn btn-primary -primary w-100",
visible: true,
_idProps: {
service: idService,
uuid: "28"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Carregar saldo", React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "29"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: []
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: true,
style: "mt-16",
visible: model.getCachedValue(idService.getId("yzbSHicbZ0SapE_VtHH6gw.Visible"), function () {
return (((OS.BuiltinFunctions.length(OS.BuiltinFunctions.trim(model.variables.descriptionIn)) > 1)) ? (true) : (false));
}, function () {
return model.variables.descriptionIn;
}),
_idProps: {
service: idService,
uuid: "30"
},
_widgetRecordProvider: widgetsRecordProvider,
visible_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._descriptionInDataFetchStatus)
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead c-mediumGray",
value: model.variables.descriptionIn,
_idProps: {
service: idService,
uuid: "31"
},
_widgetRecordProvider: widgetsRecordProvider,
value_dataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._descriptionInDataFetchStatus)
})))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.descriptionIn), asPrimitiveValue(model.variables._descriptionInDataFetchStatus), asPrimitiveValue(model.variables._cashBalanceRecordInDataFetchStatus), asPrimitiveValue(model.variables.cashBalanceRecordIn.valueAttr), asPrimitiveValue(model.variables.cashBalanceRecordIn.titleAttr)]
}))];
})];
})];
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("myNOS_MOB.HomePageBlocks.BalanceHomeInfoCard.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "myNOS_MOB.languageResources", "myNOS_MBP.controller$FormatCurrency_MBP", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.model$STR_BalanceCashStructRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, myNOS_MOBLanguageResources) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._chargeCellPhone$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("ChargeCellPhone");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: ChargeOnClickEvent
return controller.chargeOnClickEvent$Action(callContext);
});
};
Controller.prototype._clickBalance$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("ClickBalance");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Trigger Event: ClickBalanceEvent
return controller.clickBalanceEvent$Action(callContext);
});
};

Controller.prototype.chargeCellPhone$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._chargeCellPhone$Action, callContext);

};
Controller.prototype.clickBalance$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._clickBalance$Action, callContext);

};
Controller.prototype.chargeOnClickEvent$Action = function () {
return Promise.resolve();
};
Controller.prototype.clickBalanceEvent$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

