﻿define("myNOS_MOB.Internet.NetDistribution.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "MobileUIWidgets.controller", "MobilePatterns.controller", "myNOS_BP.model", "myNOS_MBP.model", "myNOS_MOB.Common.Waiting.mvc$model", "myNOS_MOB.CommonLayout.Layout_Lvl_2.mvc$model", "myNOS_MOB.CommonLayout.Header_L_Lvl_2.mvc$model", "myNOS_MOB.CommonLayout.Header_Title.mvc$model", "myNOS_MOB.Blocks.HeaderContentCard.mvc$model", "myNOS_MOB.Blocks.InternetConsumptionsCard.mvc$model", "MobileUIWidgets.WidgetsContent.ButtonRipple.mvc$model", "MobileUIWidgets.WidgetsContent.EmptyStates_new.mvc$model", "myNOS_MOB.Common.BottomBar.mvc$model", "myNOS_MOB.model$STR_OfferDataTextIntegerIntegerRecordList", "myNOS_MOB.controller$GoogleAnalyticsWeb_TrackTime", "myNOS_MOB.controller$Firebase_StopTrace", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MOB.controller$Firebase_StartTrace", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.controller$Analytics_TrackException", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MOB.model$STR_OfferDataTextRecordList", "myNOS_MBP.controller$GetNetDistribution", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_BP.model$STR_OfferDataRec", "myNOS_MOB.referencesHealth$myNOS_BP", "myNOS_MOB.model$Local_SERVICERecordList", "myNOS_MOB.model$Local_SERVICELocal_SERVICE_PERMITIONSRecordList", "myNOS_MBP.model$Local_SERVICERec", "myNOS_MBP.model$Local_SERVICE_PERMITIONSRec", "myNOS_MBP.entities", "myNOS_MOB.model$Local_SELECTIONRecordList", "myNOS_MBP.model$Local_SELECTIONRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, MobileUIWidgetsController, MobilePatternsController, myNOS_BPModel, myNOS_MBPModel, myNOS_MOB_Common_Waiting_mvcModel, myNOS_MOB_CommonLayout_Layout_Lvl_2_mvcModel, myNOS_MOB_CommonLayout_Header_L_Lvl_2_mvcModel, myNOS_MOB_CommonLayout_Header_Title_mvcModel, myNOS_MOB_Blocks_HeaderContentCard_mvcModel, myNOS_MOB_Blocks_InternetConsumptionsCard_mvcModel, MobileUIWidgets_WidgetsContent_ButtonRipple_mvcModel, MobileUIWidgets_WidgetsContent_EmptyStates_new_mvcModel, myNOS_MOB_Common_BottomBar_mvcModel) {
var OS = OutSystems.Internal;
var GetLocalSELECTIONSAggrRec = (function (_super) {
__extends(GetLocalSELECTIONSAggrRec, _super);
function GetLocalSELECTIONSAggrRec(defaults) {
_super.apply(this, arguments);
}
GetLocalSELECTIONSAggrRec.RecordListType = myNOS_MOBModel.Local_SELECTIONRecordList;
GetLocalSELECTIONSAggrRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetLocalSELECTIONSAggrRec.init();
return GetLocalSELECTIONSAggrRec;
})(OS.Model.AggregateRecord);


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("HeaderType", "headerTypeVar", "HeaderType", true, OS.Types.Text, function () {
return "";
}), 
this.attr("NetDistribution", "netDistributionVar", "NetDistribution", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_OfferDataTextIntegerIntegerRecordList());
}, myNOS_MOBModel.STR_OfferDataTextIntegerIntegerRecordList), 
this.attr("TotalPreviousAmountToDistribute", "totalPreviousAmountToDistributeVar", "TotalPreviousAmountToDistribute", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("IsLoading", "isLoadingVar", "IsLoading", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("TotalNextAmountToDistribute", "totalNextAmountToDistributeVar", "TotalNextAmountToDistribute", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("HasPermition", "hasPermitionVar", "HasPermition", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("FunctAvailable", "functAvailableVar", "FunctAvailable", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("HasDistributionAlterations", "hasDistributionAlterationsVar", "HasDistributionAlterations", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("RenewDate", "renewDateVar", "RenewDate", true, OS.Types.Date, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("Trace_StartAt", "trace_StartAtVar", "Trace_StartAt", true, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("StatusBarHexCode", "statusBarHexCodeVar", "StatusBarHexCode", true, OS.Types.Text, function () {
return myNOS_MOBModel.staticEntities.hEX_COLORS.blueDark;
}), 
this.attr("NavigatedIsFromHistory", "navigatedIsFromHistoryVar", "NavigatedIsFromHistory", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("NeedRefresh", "needRefreshVar", "NeedRefresh", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("EnablePreviousScreenLink", "enablePreviousScreenLinkIn", "EnablePreviousScreenLink", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_enablePreviousScreenLinkInDataFetchStatus", "_enablePreviousScreenLinkInDataFetchStatus", "_enablePreviousScreenLinkInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("GetLocalSELECTIONS", "getLocalSELECTIONSAggr", "getLocalSELECTIONSAggr", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetLocalSELECTIONSAggrRec());
}, GetLocalSELECTIONSAggrRec)
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = ((((((((myNOS_MOB_Common_Waiting_mvcModel.hasValidationWidgets || myNOS_MOB_CommonLayout_Layout_Lvl_2_mvcModel.hasValidationWidgets) || myNOS_MOB_CommonLayout_Header_L_Lvl_2_mvcModel.hasValidationWidgets) || myNOS_MOB_CommonLayout_Header_Title_mvcModel.hasValidationWidgets) || myNOS_MOB_Blocks_HeaderContentCard_mvcModel.hasValidationWidgets) || myNOS_MOB_Blocks_InternetConsumptionsCard_mvcModel.hasValidationWidgets) || MobileUIWidgets_WidgetsContent_ButtonRipple_mvcModel.hasValidationWidgets) || MobileUIWidgets_WidgetsContent_EmptyStates_new_mvcModel.hasValidationWidgets) || myNOS_MOB_Common_BottomBar_mvcModel.hasValidationWidgets);
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("EnablePreviousScreenLink" in inputs) {
this.variables.enablePreviousScreenLinkIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.EnablePreviousScreenLink, OS.Types.Boolean);
}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Internet.NetDistribution.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "MobileUIWidgets.controller", "MobilePatterns.controller", "myNOS_BP.model", "myNOS_MBP.model", "react", "OutSystemsReactView", "myNOS_MOB.Internet.NetDistribution.mvc$model", "myNOS_MOB.Internet.NetDistribution.mvc$controller", "myNOS_MOB.Common.Waiting.mvc$view", "OutSystemsReactWidgets", "myNOS_MOB.CommonLayout.Layout_Lvl_2.mvc$view", "myNOS_MOB.CommonLayout.Header_L_Lvl_2.mvc$view", "myNOS_MOB.CommonLayout.Header_Title.mvc$view", "myNOS_MOB.Blocks.HeaderContentCard.mvc$view", "myNOS_MOB.Blocks.InternetConsumptionsCard.mvc$view", "MobileUIWidgets.WidgetsContent.ButtonRipple.mvc$view", "MobileUIWidgets.WidgetsContent.EmptyStates_new.mvc$view", "myNOS_MOB.Common.BottomBar.mvc$view", "myNOS_MOB.model$STR_OfferDataTextIntegerIntegerRecordList", "myNOS_MOB.controller$GoogleAnalyticsWeb_TrackTime", "myNOS_MOB.controller$Firebase_StopTrace", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MOB.controller$Firebase_StartTrace", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.controller$Analytics_TrackException", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MOB.model$STR_OfferDataTextRecordList", "myNOS_MBP.controller$GetNetDistribution", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_BP.model$STR_OfferDataRec", "myNOS_MOB.referencesHealth$myNOS_BP", "myNOS_MOB.model$Local_SERVICERecordList", "myNOS_MOB.model$Local_SERVICELocal_SERVICE_PERMITIONSRecordList", "myNOS_MBP.model$Local_SERVICERec", "myNOS_MBP.model$Local_SERVICE_PERMITIONSRec", "myNOS_MBP.entities", "myNOS_MOB.model$Local_SELECTIONRecordList", "myNOS_MBP.model$Local_SELECTIONRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, MobileUIWidgetsController, MobilePatternsController, myNOS_BPModel, myNOS_MBPModel, React, OSView, myNOS_MOB_Internet_NetDistribution_mvc_model, myNOS_MOB_Internet_NetDistribution_mvc_controller, myNOS_MOB_Common_Waiting_mvc_view, OSWidgets, myNOS_MOB_CommonLayout_Layout_Lvl_2_mvc_view, myNOS_MOB_CommonLayout_Header_L_Lvl_2_mvc_view, myNOS_MOB_CommonLayout_Header_Title_mvc_view, myNOS_MOB_Blocks_HeaderContentCard_mvc_view, myNOS_MOB_Blocks_InternetConsumptionsCard_mvc_view, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, MobileUIWidgets_WidgetsContent_EmptyStates_new_mvc_view, myNOS_MOB_Common_BottomBar_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Internet.NetDistribution";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css", "css/MobilePatterns.BaseTheme.css", "css/MobileThemes_MyNos.NOS_BaseTheme.css", "css/MobileThemes_MyNos.NOS_LightTheme.css", "css/myNOS_MOB.myNOS_MOB.css", "css/MobilePatterns.BaseTheme.extra.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_Common_Waiting_mvc_view, myNOS_MOB_CommonLayout_Layout_Lvl_2_mvc_view, myNOS_MOB_CommonLayout_Header_L_Lvl_2_mvc_view, myNOS_MOB_CommonLayout_Header_Title_mvc_view, myNOS_MOB_Blocks_HeaderContentCard_mvc_view, myNOS_MOB_Blocks_InternetConsumptionsCard_mvc_view, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, MobileUIWidgets_WidgetsContent_EmptyStates_new_mvc_view, myNOS_MOB_Common_BottomBar_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Internet_NetDistribution_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Internet_NetDistribution_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "Distribuir Internet";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if(false, false, this, function () {
return [];
}, function () {
return [React.createElement(myNOS_MOB_Common_Waiting_mvc_view, {
inputs: {
InitialStatusBarCode: model.variables.statusBarHexCodeVar,
IsLoading: model.variables.isLoadingVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}), React.createElement(myNOS_MOB_CommonLayout_Layout_Lvl_2_mvc_view, {
inputs: {
PageNameUrl: "NetDistribution",
PageSection: model.getCachedValue(idService.getId("mRsvCnJkgUOM_eg+9OkVQg.PageSection"), function () {
return ((model.variables.hasDistributionAlterationsVar) ? ("Distribuir internet alterado") : ("Distribuir Internet"));
}, function () {
return model.variables.hasDistributionAlterationsVar;
}),
StatusBarHexCode: model.variables.statusBarHexCodeVar,
MasterColorId: myNOS_MOBModel.staticEntities.mASTER_COLOR.blueDark,
PageType: "Consulta",
NavigatedIsFromHistory: model.variables.navigatedIsFromHistoryVar,
PageTitle: "Distribuir Internet"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
headerLeft: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_CommonLayout_Header_L_Lvl_2_mvc_view, {
inputs: {
AnalyticsLabel: "Voltar",
AnalyticsCategory: "Distribuir_internet",
EnablePreviousScreenLink: model.variables.enablePreviousScreenLinkIn
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "2",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}),
headerTitle: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_CommonLayout_Header_Title_mvc_view, {
inputs: {
Title: "Distribuir internet"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "3",
alias: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}),
headerRight: PlaceholderContent.Empty,
headerContent: PlaceholderContent.Empty,
content: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "header-cardContainerBase",
visible: true,
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(myNOS_MOB_Blocks_HeaderContentCard_mvc_view, {
inputs: {
InitialStatusBarColor: model.variables.statusBarHexCodeVar,
HeaderType: model.variables.headerTypeVar,
AnalyticsCategory: model.getCachedValue(idService.getId("6xVDlwC52kac1teyAx7ToQ.AnalyticsCategory"), function () {
return ((model.variables.hasDistributionAlterationsVar) ? ("Distribuir internet alterado") : ("Distribuir Internet"));
}, function () {
return model.variables.hasDistributionAlterationsVar;
})
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
notifyId$Action: function (id1In, id2In) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.headerContentCardNotifyId$Action(controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "5",
alias: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})), $if(model.variables.hasPermitionVar, false, this, function () {
return [$if(model.variables.functAvailableVar, false, this, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-24 ph-16 mb-24",
visible: true,
_idProps: {
service: idService,
uuid: "6"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.AdvancedHtml, {
tag: "h3",
_idProps: {
service: idService,
uuid: "7"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "h3 -bold c-black",
value: model.getCachedValue(idService.getId("On4yEAS71EWKNdc89J8RlA.Value"), function () {
return ((model.variables.hasDistributionAlterationsVar) ? ("Distribuição atual e prevista") : ("Distribuição atual"));
}, function () {
return model.variables.hasDistributionAlterationsVar;
}),
_idProps: {
service: idService,
uuid: "8"
},
_widgetRecordProvider: widgetsRecordProvider
})), $if(model.variables.hasDistributionAlterationsVar, false, this, function () {
return [React.createElement(OSWidgets.Expression, {
style: "a-textRead mt-8",
value: model.getCachedValue(idService.getId("__PvGD1bK0OwiuWq3ITPVg.Value"), function () {
return ("A distribuição prevista será efetiva dia " + OS.BuiltinFunctions.formatDateTime(model.variables.renewDateVar, "dd-MM-yyyy"));
}, function () {
return model.variables.renewDateVar;
}),
_idProps: {
service: idService,
uuid: "9"
},
_widgetRecordProvider: widgetsRecordProvider
})];
}, function () {
return [];
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-16",
visible: true,
_idProps: {
service: idService,
uuid: "10"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(myNOS_MOB_Blocks_InternetConsumptionsCard_mvc_view, {
inputs: {
NetDistributionList: model.variables.netDistributionVar,
IsPlannedScreen: model.variables.hasDistributionAlterationsVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "11",
alias: "6"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-16 text-center",
visible: true,
_idProps: {
service: idService,
uuid: "12"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textRead",
value: "Pretende alterar para uma nova distribuição?",
_idProps: {
service: idService,
uuid: "13"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "14",
alias: "7"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.changeDistribution$Action(controller.callContext(eventHandlerContext));
});
;
},
style: "btn a-btn btn-primary -primary mt-16 -fullWidth",
visible: true,
_idProps: {
service: idService,
uuid: "15"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Alterar", React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "16"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: []
})))];
}, function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_EmptyStates_new_mvc_view, {
inputs: {
Title: "Funcionalidade indisponível",
Text: "Esta funcionalidade não está disponível"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "17",
alias: "8"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
spokeImage: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Image, {
image: OS.Navigation.VersionedURL.getVersionedUrl("img/myNOS_MOB.EmptyState_Light_BlueDark_Unavailable.svg"),
type: /*Static*/ 0,
_idProps: {
service: idService,
uuid: "18"
},
_widgetRecordProvider: widgetsRecordProvider
})];
})
},
_dependencies: []
})];
})];
}, function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_EmptyStates_new_mvc_view, {
inputs: {
Title: "Não tem permissões para visualizar",
Text: "Não lhe foram garantidas permissões para visualizar estes conteúdos do serviço selecionado."
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "19",
alias: "9"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
spokeImage: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Image, {
image: OS.Navigation.VersionedURL.getVersionedUrl("img/myNOS_MOB.EmptyState_Light_BlueDark_Permissions.svg"),
type: /*Static*/ 0,
_idProps: {
service: idService,
uuid: "20"
},
_widgetRecordProvider: widgetsRecordProvider
})];
})
},
_dependencies: []
})];
})];
}),
bottom: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_Common_BottomBar_mvc_view, {
inputs: {
ActiveItem: 2,
StatusBarHexCode: model.variables.statusBarHexCodeVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "21",
alias: "10"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
})
},
_dependencies: [asPrimitiveValue(model.variables.netDistributionVar), asPrimitiveValue(model.variables.renewDateVar), asPrimitiveValue(model.variables.functAvailableVar), asPrimitiveValue(model.variables.hasPermitionVar), asPrimitiveValue(model.variables.hasDistributionAlterationsVar), asPrimitiveValue(model.variables.headerTypeVar), asPrimitiveValue(model.variables.statusBarHexCodeVar), asPrimitiveValue(model.variables.enablePreviousScreenLinkIn)]
}));
        };
        return View;
    })(OSView.BaseView.BaseWebScreen);
	
    return View;
});
define("myNOS_MOB.Internet.NetDistribution.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "MobileUIWidgets.controller", "MobilePatterns.controller", "myNOS_BP.model", "myNOS_MBP.model", "myNOS_MOB.languageResources", "myNOS_MOB.Internet.controller", "myNOS_MOB.Internet.NetDistribution.mvc$controller.OnInitialize.JavaScript_CheckIsFromHistoryJS", "myNOS_MOB.model$STR_OfferDataTextIntegerIntegerRecordList", "myNOS_MOB.controller$GoogleAnalyticsWeb_TrackTime", "myNOS_MOB.controller$Firebase_StopTrace", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MOB.controller$Firebase_StartTrace", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.controller$Analytics_TrackException", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "myNOS_MOB.model$STR_OfferDataTextRecordList", "myNOS_MBP.controller$GetNetDistribution", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_BP.model$STR_OfferDataRec", "myNOS_MOB.referencesHealth$myNOS_BP", "myNOS_MOB.model$Local_SERVICERecordList", "myNOS_MOB.model$Local_SERVICELocal_SERVICE_PERMITIONSRecordList", "myNOS_MBP.model$Local_SERVICERec", "myNOS_MBP.model$Local_SERVICE_PERMITIONSRec", "myNOS_MBP.entities", "myNOS_MOB.model$Local_SELECTIONRecordList", "myNOS_MBP.model$Local_SELECTIONRec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, MobileUIWidgetsController, MobilePatternsController, myNOS_BPModel, myNOS_MBPModel, myNOS_MOBLanguageResources, myNOS_MOB_InternetController, myNOS_MOB_Internet_NetDistribution_mvc_controller_OnInitialize_JavaScript_CheckIsFromHistoryJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions
Controller.prototype.getLocalSELECTIONS$AggrRefresh = function (maxRecords) {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();

var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_SELECTIONRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "ENLocal_SELECTION.\"Id\" o0, ENLocal_SELECTION.\"LocalAssociationId\" o1, ENLocal_SELECTION.\"LocalServiceId\" o2, ENLocal_SELECTION.\"LocalBillingAccountNumber\" o3, ENLocal_SELECTION.\"IsRecharge\" o4, ENLocal_SELECTION.\"IsBalance\" o5, ENLocal_SELECTION.\"IsVoD\" o6, ENLocal_SELECTION.\"IsInvoice\" o7, ENLocal_SELECTION.\"IsTelevision\" o8, ENLocal_SELECTION.\"IsPinPuk\" o9, ENLocal_SELECTION.\"IsPackagesOrRefill\" o10, ENLocal_SELECTION.\"IsAccountDetails\" o11, ENLocal_SELECTION.\"isPrivacy\" o12, ENLocal_SELECTION.\"PrivacyNIF\" o13";
} else {
selectSql += "ENLocal_SELECTION.\"Id\" o0, ENLocal_SELECTION.\"LocalAssociationId\" o1, ENLocal_SELECTION.\"LocalServiceId\" o2, ENLocal_SELECTION.\"LocalBillingAccountNumber\" o3, ENLocal_SELECTION.\"IsRecharge\" o4, ENLocal_SELECTION.\"IsBalance\" o5, ENLocal_SELECTION.\"IsVoD\" o6, ENLocal_SELECTION.\"IsInvoice\" o7, ENLocal_SELECTION.\"IsTelevision\" o8, ENLocal_SELECTION.\"IsPinPuk\" o9, ENLocal_SELECTION.\"IsPackagesOrRefill\" o10, ENLocal_SELECTION.\"IsAccountDetails\" o11, ENLocal_SELECTION.\"isPrivacy\" o12, ENLocal_SELECTION.\"PrivacyNIF\" o13";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_SELECTIONS\" ENLocal_SELECTION";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_SELECTIONRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_SELECTIONAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeScreenClientAggregate(executeQuery, function () {
return model.variables.getLocalSELECTIONSAggr;
}, function () {
return controller._getLocalSELECTIONSOnAfterFetch$Action(controller.callContext(callContext));
});
};

Controller.prototype.dataFetchActionNames = ["getLocalSELECTIONS$AggrRefresh"];
// Client Actions
Controller.prototype._analytics_PerformanceStopTrace$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Analytics_PerformanceStopTrace");
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Firebase_StopTrace
model.flush();
return myNOS_MOBController.default.firebase_StopTrace$Action("distribuir_internet", callContext).then(function () {
// Execute Action: GoogleAnalyticsWeb_TrackTime
myNOS_MOBController.default.googleAnalyticsWeb_TrackTime$Action("distribuir_internet", "page_load_time", "menu_distribuir_internet", model.variables.trace_StartAtVar, callContext);
});
}).catch(function (ex) {
OS.Logger.trace("NetDistribution.Analytics_PerformanceStopTrace", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.returnAsync();

});
}

throw ex;
});
};
Controller.prototype._headerContentCardNotifyId$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("HeaderContentCardNotifyId");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// IsLoading = True
model.variables.isLoadingVar = true;
// NeedRefresh = True
model.variables.needRefreshVar = true;
// Refresh Query: GetLocalSELECTIONS
var result = controller.getLocalSELECTIONS$AggrRefresh(10);
model.flush();
return result.then(function () {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action(((model.variables.hasDistributionAlterationsVar) ? ("Distribuir_internet_alterado") : ("Distribuir_internet")), "Alterar_conta", 0, "", callContext);
});
});
};
Controller.prototype._changeDistribution$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("ChangeDistribution");
callContext = controller.callContext(callContext);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action(((model.variables.hasDistributionAlterationsVar) ? ("Distribuir_internet_alterado") : ("Distribuir_internet")), "Alterar", 0, "", callContext).then(function () {
// Destination: /myNOS_MOB/NetDistributionChange
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/NetDistributionChange", {
EnablePreviousScreenLink: true
}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.SlideFromBottom), callContext, true));
});
});
};
Controller.prototype._analytics_PerformanceStartTrace$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Analytics_PerformanceStartTrace");
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
return OS.Flow.executeAsyncFlow(function () {
// Trace_StartAt = CurrDateTime
model.variables.trace_StartAtVar = OS.BuiltinFunctions.currDateTime();
// Execute Action: Firebase_StartTrace
model.flush();
return myNOS_MOBController.default.firebase_StartTrace$Action("distribuir_internet", false, callContext);
}).catch(function (ex) {
OS.Logger.trace("NetDistribution.Analytics_PerformanceStartTrace", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.returnAsync();

});
}

throw ex;
});
};
Controller.prototype._onInitialize$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnInitialize");
callContext = controller.callContext(callContext);
var getConfig_HeaderContentType_ServicesDetailedVar = new OS.DataTypes.VariableHolder();
var javaScript_CheckIsFromHistoryJSResult = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
javaScript_CheckIsFromHistoryJSResult.value = controller.safeExecuteJSNode(myNOS_MOB_Internet_NetDistribution_mvc_controller_OnInitialize_JavaScript_CheckIsFromHistoryJS, "JavaScript_CheckIsFromHistory", "OnInitialize", {
navigatedIsFromHistory: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("myNOS_MOB.Internet.NetDistribution.OnInitialize$javaScript_CheckIsFromHistoryJSResult"))();
jsNodeResult.navigatedIsFromHistoryOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.navigatedIsFromHistory, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
// NavigatedIsFromHistory
// NavigatedIsFromHistory = JavaScript_CheckIsFromHistory.navigatedIsFromHistory
model.variables.navigatedIsFromHistoryVar = javaScript_CheckIsFromHistoryJSResult.value.navigatedIsFromHistoryOut;
return OS.Flow.executeSequence(function () {
if((!(model.variables.navigatedIsFromHistoryVar))) {
// Execute Action: GetConfig_HeaderContentType_ServicesDetailed
model.flush();
return myNOS_MBPController.default.getConfigValueAsText_MBP$Action("HeaderContentType_Asso+Mora", callContext).then(function (value) {
getConfig_HeaderContentType_ServicesDetailedVar.value = value;
}).then(function () {
// HeaderType = GetConfig_HeaderContentType_ServicesDetailed.Value
model.variables.headerTypeVar = getConfig_HeaderContentType_ServicesDetailedVar.value.valueOut;
// Execute Action: PerformanceStartTrace
return controller._analytics_PerformanceStartTrace$Action(callContext);
});
}

});
});
};
Controller.registerVariableGroupType("myNOS_MOB.Internet.NetDistribution.OnInitialize$javaScript_CheckIsFromHistoryJSResult", [{
name: "navigatedIsFromHistory",
attrName: "navigatedIsFromHistoryOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
Controller.prototype._getLocalSELECTIONSOnAfterFetch$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GetLocalSELECTIONSOnAfterFetch");
callContext = controller.callContext(callContext);
var communicationExceptionVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var getNetPlafondPermitionVar = new OS.DataTypes.VariableHolder();
var getNetDistributionVar = new OS.DataTypes.VariableHolder();
var getVoiceMobileGttTagVar = new OS.DataTypes.VariableHolder();
var getLocalSERVICESByAssociationIdVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_SERVICERecordList))());
var getLocalSERVICEPERMITIONSByServicesIdVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_SERVICELocal_SERVICE_PERMITIONSRecordList))());
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.executeSequence(function () {
if((!((model.variables.navigatedIsFromHistoryVar && !(model.variables.needRefreshVar))))) {
// Execute Action: GetNetPlafondPermition
model.flush();
return myNOS_MBPController.default.getConfigValueAsText_MBP$Action("Selfcare_GetAssociationDetails_Type_NetPlafond", callContext).then(function (value) {
getNetPlafondPermitionVar.value = value;
}).then(function () {
// Aggregate: GetLocalSERVICEPERMITIONSByServicesId
var getLocalSERVICEPERMITIONSByServicesIdAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_SERVICELocal_SERVICE_PERMITIONSRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 0;
}

var qploLocal_SERVICE_AssociationId = model.variables.getLocalSELECTIONSAggr.listOut.getCurrent(callContext.iterationContext).local_SELECTIONAttr.localAssociationIdAttr;
var qpstLocal_SERVICE_PERMITIONS_Type = getNetPlafondPermitionVar.value.valueOut;

var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1, NULL o2, NULL o3, NULL o4, NULL o5, NULL o6, NULL o7, NULL o8, NULL o9, NULL o10, NULL o11, NULL o12";
} else {
selectSql += "ENLocal_SERVICE.\"Id\" o0, ENLocal_SERVICE.\"ServiceId\" o1, ENLocal_SERVICE.\"AssociationId\" o2, ENLocal_SERVICE.\"Name\" o3, ENLocal_SERVICE.\"ServiceAccount\" o4, ENLocal_SERVICE.\"UiLabel\" o5, ENLocal_SERVICE.\"Plan\" o6, ENLocal_SERVICE.\"GttTag\" o7, ENLocal_SERVICE.\"EquipmentDetail\" o8, ENLocal_SERVICE_PERMITIONS.\"Id\" o9, ENLocal_SERVICE_PERMITIONS.\"Type\" o10, ENLocal_SERVICE_PERMITIONS.\"ServicesId\" o11, ENLocal_SERVICE_PERMITIONS.\"AssociationId\" o12";
}
fromAndWhereSql += " FROM (\"MAIN\".\"OSUSR_85w_Local_PERMITIONS\" ENLocal_SERVICE_PERMITIONS Inner JOIN \"MAIN\".\"OSUSR_85w_Local_SERVICE\" ENLocal_SERVICE ON (ENLocal_SERVICE_PERMITIONS.\"ServicesId\" = ENLocal_SERVICE.\"ServiceId\")) ";
fromAndWhereSql += " WHERE ";
if (qploLocal_SERVICE_AssociationId != 0) {
fromAndWhereSql += "((ENLocal_SERVICE.\"AssociationId\" = :qploLocal_SERVICE_AssociationId) AND (ENLocal_SERVICE.\"AssociationId\" IS NOT NULL))";
argsList.add("qploLocal_SERVICE_AssociationId", /*LONGINTEGER*/ 4, qploLocal_SERVICE_AssociationId);
} else {
fromAndWhereSql += "(ENLocal_SERVICE.\"AssociationId\" IS NULL)";
}
fromAndWhereSql += " AND (ENLocal_SERVICE_PERMITIONS.\"Type\" = :qpstLocal_SERVICE_PERMITIONS_Type)";
argsList.add("qpstLocal_SERVICE_PERMITIONS_Type", /*TEXT*/ 0, qpstLocal_SERVICE_PERMITIONS_Type);
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_SERVICELocal_SERVICE_PERMITIONSRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_SERVICEAttr",
"local_SERVICE_PERMITIONSAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalSERVICEPERMITIONSByServicesIdVar.value;
});
};
return getLocalSERVICEPERMITIONSByServicesIdAggr();
}).then(function () {
// PermitionList Empty?
return OS.Flow.executeSequence(function () {
if((getLocalSERVICEPERMITIONSByServicesIdVar.value.listOut.isEmpty)) {
// HasPermition = False
model.variables.hasPermitionVar = false;
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Analytics_PerformanceStopTrace6
return controller._analytics_PerformanceStopTrace$Action(callContext);
} else {
// HasPermition = True
model.variables.hasPermitionVar = true;
// Execute Action: GetVoiceMobileGttTag
model.flush();
return myNOS_MBPController.default.getConfigValueAsText_MBP$Action("Selfcare_GetAssociationDetails_GttTag_VoiceMobile", callContext).then(function (value) {
getVoiceMobileGttTagVar.value = value;
}).then(function () {
// Aggregate: GetLocalSERVICESByAssociationId
var getLocalSERVICESByAssociationIdAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_SERVICERecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 0;
}

var qploAssociationId = model.variables.getLocalSELECTIONSAggr.listOut.getCurrent(callContext.iterationContext).local_SELECTIONAttr.localAssociationIdAttr;
var qpstGttTag = getVoiceMobileGttTagVar.value.valueOut;

var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1, NULL o2, NULL o3, NULL o4, NULL o5, NULL o6, NULL o7, NULL o8";
} else {
selectSql += "ENLocal_SERVICE.\"Id\" o0, ENLocal_SERVICE.\"ServiceId\" o1, ENLocal_SERVICE.\"AssociationId\" o2, ENLocal_SERVICE.\"Name\" o3, ENLocal_SERVICE.\"ServiceAccount\" o4, ENLocal_SERVICE.\"UiLabel\" o5, ENLocal_SERVICE.\"Plan\" o6, ENLocal_SERVICE.\"GttTag\" o7, ENLocal_SERVICE.\"EquipmentDetail\" o8";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_SERVICE\" ENLocal_SERVICE";
fromAndWhereSql += " WHERE ";
if (qploAssociationId != 0) {
fromAndWhereSql += "((ENLocal_SERVICE.\"AssociationId\" = :qploAssociationId) AND (ENLocal_SERVICE.\"AssociationId\" IS NOT NULL))";
argsList.add("qploAssociationId", /*LONGINTEGER*/ 4, qploAssociationId);
countArgsList.add("qploAssociationId", /*LONGINTEGER*/ 4, qploAssociationId);
} else {
fromAndWhereSql += "(ENLocal_SERVICE.\"AssociationId\" IS NULL)";
}
fromAndWhereSql += " AND (ENLocal_SERVICE.\"GttTag\" = :qpstGttTag)";
argsList.add("qpstGttTag", /*TEXT*/ 0, qpstGttTag);
countArgsList.add("qpstGttTag", /*TEXT*/ 0, qpstGttTag);
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;
var sqlCount = "SELECT COUNT(1) " + fromAndWhereSql + groupByAndHavingSql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_SERVICERecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_SERVICEAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
return OS.Entities.webSQLStorageInstance.executeCount(sqlCount, countArgsList).then(function (count) {
result.count = count;
});
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalSERVICESByAssociationIdVar.value;
});
};
return getLocalSERVICESByAssociationIdAggr();
}).then(function () {
// HasMoreThan1VoiceMobileService?
return OS.Flow.executeSequence(function () {
if((getLocalSERVICESByAssociationIdVar.value.countOut.gt(OS.BuiltinFunctions.integerToLongInteger(1)))) {
// Execute Action: GetNetDistribution
model.flush();
return myNOS_MBPController.default.getNetDistribution$Action(OS.BuiltinFunctions.longIntegerToText(model.variables.getLocalSELECTIONSAggr.listOut.getCurrent(callContext.iterationContext).local_SELECTIONAttr.localAssociationIdAttr), callContext).then(function (value) {
getNetDistributionVar.value = value;
}).then(function () {
return OS.Flow.executeSequence(function () {
if((getNetDistributionVar.value.successOut)) {
// NetDistribution = GetNetDistribution.NetDistribution
model.variables.netDistributionVar = OS.DataTypes.JSConversions.typeConvertRecordList(getNetDistributionVar.value.netDistributionOut, new myNOS_MOBModel.STR_OfferDataTextIntegerIntegerRecordList(), function (source, target) {
target.sTR_OfferDataAttr = source.sTR_OfferDataAttr;
target.uILabelAttr = source.uILabelAttr;
return target;
});
// TotalPreviousAmountToDistribute = GetNetDistribution.TotalPreviousAmountToDistribute
model.variables.totalPreviousAmountToDistributeVar = getNetDistributionVar.value.totalPreviousAmountToDistributeOut;
// RenewDate = TextToDate
model.variables.renewDateVar = OS.BuiltinFunctions.textToDate(((((OS.BuiltinFunctions.substr(getNetDistributionVar.value.netDistributionOut.getCurrent(callContext.iterationContext).sTR_OfferDataAttr.renew_DateAttr, 0, 4) + "-") + OS.BuiltinFunctions.substr(getNetDistributionVar.value.netDistributionOut.getCurrent(callContext.iterationContext).sTR_OfferDataAttr.renew_DateAttr, 4, 2)) + "-") + OS.BuiltinFunctions.substr(getNetDistributionVar.value.netDistributionOut.getCurrent(callContext.iterationContext).sTR_OfferDataAttr.renew_DateAttr, 6, 2)));
// TotalNextAmountToDistribute = GetNetDistribution.TotalNextAmountToDistribute
model.variables.totalNextAmountToDistributeVar = getNetDistributionVar.value.totalNextAmountToDistributeOut;
// Foreach NetDistribution
callContext.iterationContext.registerIterationStart(model.variables.netDistributionVar);
try {var netDistributionIterator = callContext.iterationContext.getIterator(model.variables.netDistributionVar);
var netDistributionIndex = 0;
while (((netDistributionIndex < model.variables.netDistributionVar.length))) {
netDistributionIterator.currentRowNumber = netDistributionIndex;
// PercentagesToDistribute
// NetDistribution.Current.PreviousPercentageOfNetDistribute = TextToInteger / TotalPreviousAmountToDistribute * 100
model.variables.netDistributionVar.getItem(netDistributionIndex.valueOf()).previousPercentageOfNetDistributeAttr = OS.BuiltinFunctions.decimalToInteger(OS.BuiltinFunctions.trunc(OS.BuiltinFunctions.integerToDecimal(OS.BuiltinFunctions.textToInteger((model.variables.netDistributionVar.getItem(netDistributionIndex.valueOf()).sTR_OfferDataAttr.previous_ExtraAttr).toString())).div(OS.BuiltinFunctions.integerToDecimal(model.variables.totalPreviousAmountToDistributeVar)).times(OS.BuiltinFunctions.integerToDecimal(100))));
// NetDistribution.Current.NextPercentageOfNetDistribute = TextToInteger / TotalNextAmountToDistribute * 100
model.variables.netDistributionVar.getItem(netDistributionIndex.valueOf()).nextPercentageOfNetDistributeAttr = OS.BuiltinFunctions.decimalToInteger(OS.BuiltinFunctions.trunc(OS.BuiltinFunctions.integerToDecimal(OS.BuiltinFunctions.textToInteger((model.variables.netDistributionVar.getItem(netDistributionIndex.valueOf()).sTR_OfferDataAttr.next_ExtraAttr).toString())).div(OS.BuiltinFunctions.integerToDecimal(model.variables.totalNextAmountToDistributeVar)).times(OS.BuiltinFunctions.integerToDecimal(100))));
// HasDistributionAlterations?
if((((model.variables.netDistributionVar.getItem(netDistributionIndex.valueOf()).sTR_OfferDataAttr.previous_ExtraAttr) !== (model.variables.netDistributionVar.getItem(netDistributionIndex.valueOf()).sTR_OfferDataAttr.next_ExtraAttr)))) {
// VariableAlreadySet?
if((!((model.variables.hasDistributionAlterationsVar === true)))) {
// HasDistributionAlterations = True
model.variables.hasDistributionAlterationsVar = true;
}

}

netDistributionIndex++;
}

} finally {
callContext.iterationContext.registerIterationEnd(model.variables.netDistributionVar);
}

// IsLoading
// IsLoading = False
model.variables.isLoadingVar = false;
// FunctAvailable = If
model.variables.functAvailableVar = ((model.variables.netDistributionVar.isEmpty) ? (false) : (true));
// Execute Action: PerformanceStopTrace
return controller._analytics_PerformanceStopTrace$Action(callContext);
} else {
// IsLoading
// IsLoading = False
model.variables.isLoadingVar = false;
// FunctAvailable = False
model.variables.functAvailableVar = false;
// Execute Action: PerformanceStopTrace2
return controller._analytics_PerformanceStopTrace$Action(callContext);
}

});
});
} else {
// IsLoading
// IsLoading = False
model.variables.isLoadingVar = false;
// FunctAvailable = False
model.variables.functAvailableVar = false;
// Execute Action: PerformanceStopTrace3
return controller._analytics_PerformanceStopTrace$Action(callContext);
}

});
});
}

});
});
}

});
}).catch(function (ex) {
OS.Logger.trace("NetDistribution.GetLocalSELECTIONSOnAfterFetch", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: CommunicationException
if(OS.Exceptions.isInstanceOf(ex, OS.Exceptions.Exceptions.CommunicationException)) {
OS.Logger.error(null, ex);
communicationExceptionVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: GoogleAnalyticsWeb_TrackException2
myNOS_MOBController.default.analytics_TrackException$Action(communicationExceptionVar.value.exceptionMessageAttr, true, callContext);
// Execute Action: Analytics_PerformanceStopTrace5
return controller._analytics_PerformanceStopTrace$Action(callContext).then(function () {
if((MobilePatternsController.default.getNetworkStatus$Action(callContext.withoutIterationContext()).isOnlineOut)) {
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Error22
MobileUIWidgetsController.default.error$Action("Ocorreu um erro. Por favor tente novamente.", callContext);
return OS.Flow.returnAsync();

} else {
// Destination: /myNOS_MOB/NoConnection
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/NoConnection", {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true));
}

});
});
}

// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: GoogleAnalyticsWeb_TrackException
myNOS_MOBController.default.analytics_TrackException$Action(allExceptionsVar.value.exceptionMessageAttr, true, callContext);
// IsLoading = False
model.variables.isLoadingVar = false;
// Execute Action: Error3
MobileUIWidgetsController.default.error$Action("Ocorreu um erro. Por favor tente novamente.", callContext);
// Execute Action: Analytics_PerformanceStopTrace3
return controller._analytics_PerformanceStopTrace$Action(callContext).then(function () {
return OS.Flow.returnAsync();

});
});
}

throw ex;
});
};

Controller.prototype.analytics_PerformanceStopTrace$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._analytics_PerformanceStopTrace$Action, callContext);

};
Controller.prototype.headerContentCardNotifyId$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._headerContentCardNotifyId$Action, callContext);

};
Controller.prototype.changeDistribution$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._changeDistribution$Action, callContext);

};
Controller.prototype.analytics_PerformanceStartTrace$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._analytics_PerformanceStartTrace$Action, callContext);

};
Controller.prototype.onInitialize$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onInitialize$Action, callContext);

};
Controller.prototype.getLocalSELECTIONSOnAfterFetch$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._getLocalSELECTIONSOnAfterFetch$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = function (callContext) {
var controller = this.controller;
var model = this.model;
var idService = this.idService;

return controller.onInitialize$Action(callContext);

};
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return myNOS_MOB_InternetController.default.handleError(ex, this.callContext());
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});
define("myNOS_MOB.Internet.NetDistribution.mvc$controller.OnInitialize.JavaScript_CheckIsFromHistoryJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
if($public.View.wasCurrentViewRestoredFromCache())
    $parameters.navigatedIsFromHistory = true;
    
/*
$public.Navigation.navigatedFromHistory()
$public.View.wasCurrentViewRestoredFromCache();
*/
};
});

