﻿define("myNOS_MOB.Invoices.InvoicePayment.mvc$model", ["OutSystems", "myNOS_MOB.model", "myNOS_MBP.controller", "myNOS_MOB.controller", "MobileUIWidgets.controller", "Essentials_MOB.controller", "CON_GDR.model", "myNOS_MBP.model", "myNOS_MBP.controller$FormatCurrency_MBP", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MBP.controller$Invoices_ClearCache", "myNOS_MOB.controller$SetPaygateInvoice", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "Essentials_MOB.controller$Text_IsEqual", "myNOS_MOB.referencesHealth$Essentials_MOB", "myNOS_MOB.controller$GetPaymentMethodAppConfigs", "myNOS_MOB.model$TextDecimal1RecordList", "myNOS_MOB.model$InvoicePaymentOptionsRecord", "myNOS_MOB.model$InvoicePaymentOptionsRec", "Essentials_MOB.controller$GetMaxValue", "myNOS_MOB.controller$GetInvoiceReferenceTypes", "myNOS_MOB.controller$CONST_GetRefData_InvoicePayment", "myNOS_MOB.controller$PaygateIsOnlinePaymentAvailable", "CON_GDR.model$outputMessageRec", "myNOS_MOB.referencesHealth$CON_GDR", "myNOS_MOB.model$TextDecimalRecord", "myNOS_MBP.model$Local_SELECTIONRec", "myNOS_MOB.model$LOV2_outRecordList", "myNOS_MOB.model$LOV_outRecordList", "myNOS_MOB.model$Local_SELECTIONRecordList", "myNOS_MBP.entities", "myNOS_MOB.model$STR_ShowPaymentMethodsRec", "myNOS_MOB.model$Local_INVOICE_REF_PARAMETERSRecordList", "myNOS_MOB.model$Local_ACCESS_TOKEN_INFORecordList", "myNOS_MBP.model$Local_INVOICE_REF_PARAMETERSRec", "myNOS_MBP.model$Local_ACCESS_TOKEN_INFORec"], function (OutSystems, myNOS_MOBModel, myNOS_MBPController, myNOS_MOBController, MobileUIWidgetsController, Essentials_MOBController, CON_GDRModel, myNOS_MBPModel) {
var OS = OutSystems.Internal;
var GetInvoiceRefParametersAggrRec = (function (_super) {
__extends(GetInvoiceRefParametersAggrRec, _super);
function GetInvoiceRefParametersAggrRec(defaults) {
_super.apply(this, arguments);
}
GetInvoiceRefParametersAggrRec.RecordListType = myNOS_MOBModel.Local_INVOICE_REF_PARAMETERSRecordList;
GetInvoiceRefParametersAggrRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetInvoiceRefParametersAggrRec.init();
return GetInvoiceRefParametersAggrRec;
})(OS.Model.AggregateRecord);
var GetLocalACCESSTOKENINFOESAggrRec = (function (_super) {
__extends(GetLocalACCESSTOKENINFOESAggrRec, _super);
function GetLocalACCESSTOKENINFOESAggrRec(defaults) {
_super.apply(this, arguments);
}
GetLocalACCESSTOKENINFOESAggrRec.RecordListType = myNOS_MOBModel.Local_ACCESS_TOKEN_INFORecordList;
GetLocalACCESSTOKENINFOESAggrRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
GetLocalACCESSTOKENINFOESAggrRec.init();
return GetLocalACCESSTOKENINFOESAggrRec;
})(OS.Model.AggregateRecord);


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("InvoicePaymentSelection", "invoicePaymentSelectionVar", "InvoicePaymentSelection", true, OS.Types.Integer, function () {
return myNOS_MOBModel.staticEntities.invoicePaymentOptions.totalValue;
}), 
this.attr("PaymentMethodMaxValueList", "paymentMethodMaxValueListVar", "PaymentMethodMaxValueList", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.TextDecimal1RecordList());
}, myNOS_MOBModel.TextDecimal1RecordList), 
this.attr("PaymentMethodMaxValue", "paymentMethodMaxValueVar", "PaymentMethodMaxValue", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("PaymentMethodValuesList", "paymentMethodValuesListVar", "PaymentMethodValuesList", true, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new OS.DataTypes.TextList());
}, OS.DataTypes.TextList), 
this.attr("ShowPaymentMethods", "showPaymentMethodsVar", "ShowPaymentMethods", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MOBModel.STR_ShowPaymentMethodsRec());
}, myNOS_MOBModel.STR_ShowPaymentMethodsRec), 
this.attr("AmountSelected", "amountSelectedVar", "AmountSelected", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("ShowOther", "showOtherVar", "ShowOther", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("PaymentMSISDN", "paymentMSISDNVar", "PaymentMSISDN", true, OS.Types.Text, function () {
return "";
}), 
this.attr("InvoiceOpenAmount", "invoiceOpenAmountVar", "InvoiceOpenAmount", true, OS.Types.Decimal, function () {
return OS.DataTypes.Decimal.defaultValue;
}), 
this.attr("LocalSelection", "localSelectionVar", "LocalSelection", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new myNOS_MBPModel.Local_SELECTIONRec());
}, myNOS_MBPModel.Local_SELECTIONRec), 
this.attr("AdditionalInfo", "additionalInfoVar", "AdditionalInfo", true, OS.Types.Text, function () {
return "";
}), 
this.attr("StatusBarHexCode", "statusBarHexCodeVar", "StatusBarHexCode", true, OS.Types.Text, function () {
return myNOS_MOBModel.staticEntities.hEX_COLORS.blueDark;
}), 
this.attr("IsOnlinePaymentAvailable", "isOnlinePaymentAvailableVar", "IsOnlinePaymentAvailable", true, OS.Types.Boolean, function () {
return true;
}), 
this.attr("EnablePreviousScreenLink", "enablePreviousScreenLinkIn", "EnablePreviousScreenLink", true, OS.Types.Boolean, function () {
return false;
}), 
this.attr("_enablePreviousScreenLinkInDataFetchStatus", "_enablePreviousScreenLinkInDataFetchStatus", "_enablePreviousScreenLinkInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
}), 
this.attr("GetInvoiceRefParameters", "getInvoiceRefParametersAggr", "getInvoiceRefParametersAggr", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetInvoiceRefParametersAggrRec());
}, GetInvoiceRefParametersAggrRec), 
this.attr("GetLocalACCESSTOKENINFOES", "getLocalACCESSTOKENINFOESAggr", "getLocalACCESSTOKENINFOESAggr", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new GetLocalACCESSTOKENINFOESAggrRec());
}, GetLocalACCESSTOKENINFOESAggrRec)
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {
ButtonGroup: OS.Model.ValidationWidgetRecord,
Input_TextVar: OS.Model.ValidationWidgetRecord
};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
return true;
}
});

Model.prototype.setInputs = function (inputs) {
if("EnablePreviousScreenLink" in inputs) {
this.variables.enablePreviousScreenLinkIn = OS.DataTypes.JSConversions.jsToBasicType(inputs.EnablePreviousScreenLink, OS.Types.Boolean);
}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("myNOS_MOB.Invoices.InvoicePayment.mvc$view", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "MobileUIWidgets.controller", "Essentials_MOB.controller", "CON_GDR.model", "myNOS_MBP.model", "react", "OutSystemsReactView", "myNOS_MOB.Invoices.InvoicePayment.mvc$model", "myNOS_MOB.Invoices.InvoicePayment.mvc$controller", "myNOS_MOB.CommonLayout.Layout_Lvl_3.mvc$view", "OutSystemsReactWidgets", "myNOS_MOB.CommonLayout.Header_L_Lvl_3.mvc$view", "myNOS_MOB.CommonLayout.Header_Title.mvc$view", "myNOS_MOB.Blocks.IntroText.mvc$view", "MobileUIWidgets.WidgetsContent.Card_new.mvc$view", "MobileUIWidgets.WidgetsContent.RadioButtonV2.mvc$view", "MobileUIWidgets.WidgetsContent.RadioButtonItem.mvc$view", "myNOS_MOB.Blocks.PreFilledInput.mvc$view", "InputMasksMobile.InputMasks.CurrencyMask.mvc$view", "myNOS_MOB.Invoices.Invoice_OnlinePaymentNotAvailable.mvc$view", "myNOS_MOB.Blocks.PaymentMethodsCard.mvc$view", "myNOS_MOB.Common.BottomLvl3.mvc$view", "MobileUIWidgets.WidgetsContent.ButtonRipple.mvc$view", "myNOS_MBP.controller$FormatCurrency_MBP", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MBP.controller$Invoices_ClearCache", "myNOS_MOB.controller$SetPaygateInvoice", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "Essentials_MOB.controller$Text_IsEqual", "myNOS_MOB.referencesHealth$Essentials_MOB", "myNOS_MOB.controller$GetPaymentMethodAppConfigs", "myNOS_MOB.model$TextDecimal1RecordList", "myNOS_MOB.model$InvoicePaymentOptionsRecord", "myNOS_MOB.model$InvoicePaymentOptionsRec", "Essentials_MOB.controller$GetMaxValue", "myNOS_MOB.controller$GetInvoiceReferenceTypes", "myNOS_MOB.controller$CONST_GetRefData_InvoicePayment", "myNOS_MOB.controller$PaygateIsOnlinePaymentAvailable", "CON_GDR.model$outputMessageRec", "myNOS_MOB.referencesHealth$CON_GDR", "myNOS_MOB.model$TextDecimalRecord", "myNOS_MBP.model$Local_SELECTIONRec", "myNOS_MOB.model$LOV2_outRecordList", "myNOS_MOB.model$LOV_outRecordList", "myNOS_MOB.model$Local_SELECTIONRecordList", "myNOS_MBP.entities", "myNOS_MOB.model$STR_ShowPaymentMethodsRec", "myNOS_MOB.model$Local_INVOICE_REF_PARAMETERSRecordList", "myNOS_MOB.model$Local_ACCESS_TOKEN_INFORecordList", "myNOS_MBP.model$Local_INVOICE_REF_PARAMETERSRec", "myNOS_MBP.model$Local_ACCESS_TOKEN_INFORec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, MobileUIWidgetsController, Essentials_MOBController, CON_GDRModel, myNOS_MBPModel, React, OSView, myNOS_MOB_Invoices_InvoicePayment_mvc_model, myNOS_MOB_Invoices_InvoicePayment_mvc_controller, myNOS_MOB_CommonLayout_Layout_Lvl_3_mvc_view, OSWidgets, myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_Title_mvc_view, myNOS_MOB_Blocks_IntroText_mvc_view, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_RadioButtonV2_mvc_view, MobileUIWidgets_WidgetsContent_RadioButtonItem_mvc_view, myNOS_MOB_Blocks_PreFilledInput_mvc_view, InputMasksMobile_InputMasks_CurrencyMask_mvc_view, myNOS_MOB_Invoices_Invoice_OnlinePaymentNotAvailable_mvc_view, myNOS_MOB_Blocks_PaymentMethodsCard_mvc_view, myNOS_MOB_Common_BottomLvl3_mvc_view, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Invoices.InvoicePayment";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css", "css/MobilePatterns.BaseTheme.css", "css/MobileThemes_MyNos.NOS_BaseTheme.css", "css/MobileThemes_MyNos.NOS_LightTheme.css", "css/myNOS_MOB.myNOS_MOB.css", "css/MobilePatterns.BaseTheme.extra.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [myNOS_MOB_CommonLayout_Layout_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvc_view, myNOS_MOB_CommonLayout_Header_Title_mvc_view, myNOS_MOB_Blocks_IntroText_mvc_view, MobileUIWidgets_WidgetsContent_Card_new_mvc_view, MobileUIWidgets_WidgetsContent_RadioButtonV2_mvc_view, MobileUIWidgets_WidgetsContent_RadioButtonItem_mvc_view, myNOS_MOB_Blocks_PreFilledInput_mvc_view, InputMasksMobile_InputMasks_CurrencyMask_mvc_view, myNOS_MOB_Invoices_Invoice_OnlinePaymentNotAvailable_mvc_view, myNOS_MOB_Blocks_PaymentMethodsCard_mvc_view, myNOS_MOB_Common_BottomLvl3_mvc_view, MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return myNOS_MOB_Invoices_InvoicePayment_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return myNOS_MOB_Invoices_InvoicePayment_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "Pagar";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), React.createElement(myNOS_MOB_CommonLayout_Layout_Lvl_3_mvc_view, {
inputs: {
PageSection: "Faturas",
PageNameUrl: "InvoicePayment",
PageTitle: "Pagar ",
IsNotErrorPage: true,
StatusBarHexCode: model.variables.statusBarHexCodeVar,
PageType: "Operacao",
MasterColorId: myNOS_MOBModel.staticEntities.mASTER_COLOR.blueDark
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
isConnectedEvent$Action: function (isConnectedIn) {
var eventHandlerContext = callContext.clone();
controller.layout_Lvl_3IsConnectedEvent$Action(controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
headerLeft: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_CommonLayout_Header_L_Lvl_3_mvc_view, {
inputs: {
EnablePreviousScreenLink: model.variables.enablePreviousScreenLinkIn,
UseConfirmationMessage: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "1",
alias: "2"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}),
headerTitle: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_CommonLayout_Header_Title_mvc_view, {
inputs: {
Title: "Pagar"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "2",
alias: "3"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}),
headerRight: PlaceholderContent.Empty,
headerContent: PlaceholderContent.Empty,
content: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_Blocks_IntroText_mvc_view, {
inputs: {
Text: "Por favor, preencha os campos com os dados necessários para efetuar o pagamento."
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "3",
alias: "4"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "ph-16",
visible: true,
_idProps: {
service: idService,
uuid: "4"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
StyleClass: "-paddingEqual",
HasLeftSide: false,
HasRightSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "5",
alias: "5"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.AdvancedHtml, {
tag: "h3",
_idProps: {
service: idService,
uuid: "6"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Text, {
style: "h3 c-black -bold mb-8 d-block",
text: ["Valor em Aberto"],
_idProps: {
service: idService,
uuid: "7"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
visible: true,
_idProps: {
service: idService,
uuid: "8"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Expression, {
style: "a-textBigLight -giant -black -inline mr-8",
value: model.getCachedValue(idService.getId("lFvhLu11WkezWJ4ETzDBDQ.Value"), function () {
return myNOS_MBPController.default.formatCurrency_MBP$Action(model.variables.invoiceOpenAmountVar, callContext.withoutIterationContext()).resultOut;
}, function () {
return model.variables.invoiceOpenAmountVar;
}),
_idProps: {
service: idService,
uuid: "9"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Text, {
style: "text -big -light -gray",
text: ["c/IVA"],
_idProps: {
service: idService,
uuid: "10"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.invoiceOpenAmountVar)]
}), React.createElement(MobileUIWidgets_WidgetsContent_Card_new_mvc_view, {
inputs: {
HasLeftSide: false,
StyleClass: "-paddingMedium mt-2",
HasRightSide: false
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "11",
alias: "6"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
leftPlaceholder: PlaceholderContent.Empty,
contentPlaceHolder: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.AdvancedHtml, {
tag: "h3",
_idProps: {
service: idService,
uuid: "12"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Text, {
style: "h3 c-black d-block mb-8",
text: ["Valor que quer pagar"],
_idProps: {
service: idService,
uuid: "13"
},
_widgetRecordProvider: widgetsRecordProvider
})), React.createElement(MobileUIWidgets_WidgetsContent_RadioButtonV2_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
radioButtonOnChange$Action: function (activeValueIn) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.radioButtonOnChange$Action(activeValueIn, controller.callContext(eventHandlerContext));
});
;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "14",
alias: "7"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
placeholder1: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.ButtonGroup, {
_validationProps: {
validationService: validationService
},
enabled: true,
mandatory: false,
style: "button-group a-radioButtonContainer",
variable: model.createVariable(OS.Types.Integer, model.variables.invoicePaymentSelectionVar, function (value) {
model.variables.invoicePaymentSelectionVar = value;
}),
_idProps: {
service: idService,
name: "ButtonGroup"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.ButtonGroupItem, {
enabled: true,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.radioButtonOnChange$Action((myNOS_MOBModel.staticEntities.invoicePaymentOptions.totalValue).toString(), controller.callContext(eventHandlerContext));
});
;
}
},
style: "button-group-item a-radioButton d-block",
value: myNOS_MOBModel.staticEntities.invoicePaymentOptions.totalValue,
visible: true,
_idProps: {
service: idService,
name: "ButtonGroupItem3"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_RadioButtonItem_mvc_view, {
inputs: {
Label: model.getCachedValue(idService.getId("RTxQjXoLwEa9VeFv3TfEag.Label"), function () {
return (("Valor total (" + myNOS_MBPController.default.formatCurrency_MBP$Action(model.variables.invoiceOpenAmountVar, callContext.withoutIterationContext()).resultOut) + ")");
}, function () {
return model.variables.invoiceOpenAmountVar;
}),
ActiveItemValue: (model.variables.invoicePaymentSelectionVar).toString(),
ItemValue: (myNOS_MOBModel.staticEntities.invoicePaymentOptions.totalValue).toString()
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "17",
alias: "8"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})), React.createElement(OSWidgets.ButtonGroupItem, {
enabled: true,
extendedEvents: {
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.radioButtonOnChange$Action((myNOS_MOBModel.staticEntities.invoicePaymentOptions.otherValue).toString(), controller.callContext(eventHandlerContext));
});
;
}
},
style: "button-group-item a-radioButton d-block",
value: myNOS_MOBModel.staticEntities.invoicePaymentOptions.otherValue,
visible: true,
_idProps: {
service: idService,
name: "ButtonGroupItem4"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(MobileUIWidgets_WidgetsContent_RadioButtonItem_mvc_view, {
inputs: {
ItemValue: (myNOS_MOBModel.staticEntities.invoicePaymentOptions.otherValue).toString(),
ActiveItemValue: (model.variables.invoicePaymentSelectionVar).toString(),
Label: "Outro valor"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "19",
alias: "9"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})))];
})
},
_dependencies: [asPrimitiveValue(model.variables.invoiceOpenAmountVar), asPrimitiveValue(model.variables.invoicePaymentSelectionVar)]
}), $if(model.variables.showOtherVar, false, this, function () {
return [React.createElement(OSWidgets.Expression, {
style: "a-textRead c-gray mt-8",
value: "Insira o montante que deseja pagar",
_idProps: {
service: idService,
uuid: "20"
},
_widgetRecordProvider: widgetsRecordProvider
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "gridRow",
visible: true,
_idProps: {
service: idService,
uuid: "21"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "col-6",
visible: true,
_idProps: {
service: idService,
uuid: "22"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(myNOS_MOB_Blocks_PreFilledInput_mvc_view, {
inputs: {
IsNationalBank: false,
FilledText: "€"
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "23",
alias: "10"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
input: new PlaceholderContent(function () {
return [React.createElement(InputMasksMobile_InputMasks_CurrencyMask_mvc_view, {
inputs: {
GroupSeparator: ".",
DecimalSeparator: ",",
IsSuffix: false,
CurrencySymbol: "€",
DecimalDigits: 2
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "24",
alias: "11"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
input: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Input, {
_validationProps: {
validationService: validationService
},
enabled: true,
extendedEvents: {
onKeyUp: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.input_TextVarOnKeyup$Action(controller.callContext(eventHandlerContext));
});
;
}
},
gridProperties: {
classes: "OSFillParent"
},
inputType: /*Number*/ 2,
mandatory: false,
maxLength: 0,
prompt: "0.0",
style: "form-control a-input w-100 border-black",
variable: model.createVariable(OS.Types.Decimal, model.variables.amountSelectedVar, function (value) {
model.variables.amountSelectedVar = value;
}),
_idProps: {
service: idService,
name: "Input_TextVar"
},
_widgetRecordProvider: widgetsRecordProvider
})];
})
},
_dependencies: [asPrimitiveValue(model.variables.amountSelectedVar)]
})];
})
},
_dependencies: [asPrimitiveValue(model.variables.amountSelectedVar)]
})))];
}, function () {
return [];
})];
}),
rightPLaceholder: PlaceholderContent.Empty
},
_dependencies: [asPrimitiveValue(model.variables.amountSelectedVar), asPrimitiveValue(model.variables.showOtherVar), asPrimitiveValue(model.variables.invoiceOpenAmountVar), asPrimitiveValue(model.variables.invoicePaymentSelectionVar)]
}), $if(model.variables.isOnlinePaymentAvailableVar, false, this, function () {
return [];
}, function () {
return [React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mt-16",
visible: true,
_idProps: {
service: idService,
uuid: "26"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(myNOS_MOB_Invoices_Invoice_OnlinePaymentNotAvailable_mvc_view, {
inputs: {
OnlinePaymentMaxValue: model.variables.paymentMethodMaxValueVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "27",
alias: "12"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
}))];
}), React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "mb-16",
visible: true,
_idProps: {
service: idService,
uuid: "28"
},
_widgetRecordProvider: widgetsRecordProvider
}, React.createElement(myNOS_MOB_Blocks_PaymentMethodsCard_mvc_view, {
inputs: {
Description: model.variables.additionalInfoVar
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "29",
alias: "13"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})))];
}),
bottom: new PlaceholderContent(function () {
return [React.createElement(myNOS_MOB_Common_BottomLvl3_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "30",
alias: "14"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
content: new PlaceholderContent(function () {
return [React.createElement(MobileUIWidgets_WidgetsContent_ButtonRipple_mvc_view, {
inputs: {},
events: {
_handleError: function (ex) {
controller.handleError(ex);
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "31",
alias: "15"
},
_widgetRecordProvider: widgetsRecordProvider,
placeholders: {
button: new PlaceholderContent(function () {
return [React.createElement(OSWidgets.Button, {
enabled: true,
onClick: function () {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.buttonOnClick$Action(controller.callContext(eventHandlerContext));
});
;
},
style: "btn a-btn btn-primary -primary w-100",
visible: true,
_idProps: {
service: idService,
name: "btnPay"
},
_widgetRecordProvider: widgetsRecordProvider
}, "Pagar", React.createElement(OSWidgets.Container, {
align: /*Default*/ 0,
animate: false,
style: "rippleJS",
visible: true,
_idProps: {
service: idService,
uuid: "33"
},
_widgetRecordProvider: widgetsRecordProvider
}))];
})
},
_dependencies: []
})];
})
},
_dependencies: []
})];
})
},
_dependencies: [asPrimitiveValue(model.variables.additionalInfoVar), asPrimitiveValue(model.variables.paymentMethodMaxValueVar), asPrimitiveValue(model.variables.isOnlinePaymentAvailableVar), asPrimitiveValue(model.variables.amountSelectedVar), asPrimitiveValue(model.variables.showOtherVar), asPrimitiveValue(model.variables.invoicePaymentSelectionVar), asPrimitiveValue(model.variables.invoiceOpenAmountVar), asPrimitiveValue(model.variables.enablePreviousScreenLinkIn)]
}));
        };
        return View;
    })(OSView.BaseView.BaseWebScreen);
	
    return View;
});
define("myNOS_MOB.Invoices.InvoicePayment.mvc$controller", ["OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "myNOS_MBP.controller", "MobileUIWidgets.controller", "Essentials_MOB.controller", "CON_GDR.model", "myNOS_MBP.model", "myNOS_MOB.languageResources", "myNOS_MOB.Invoices.controller", "myNOS_MBP.controller$FormatCurrency_MBP", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$myNOS_MBP", "myNOS_MOB.controller$Analytics_SendClickEvent", "myNOS_MBP.controller$Invoices_ClearCache", "myNOS_MOB.controller$SetPaygateInvoice", "myNOS_MBP.controller$GetConfigValueAsText_MBP", "MobileUIWidgets.controller$Error", "myNOS_MOB.referencesHealth$MobileUIWidgets", "Essentials_MOB.controller$Text_IsEqual", "myNOS_MOB.referencesHealth$Essentials_MOB", "myNOS_MOB.controller$GetPaymentMethodAppConfigs", "myNOS_MOB.model$TextDecimal1RecordList", "myNOS_MOB.model$InvoicePaymentOptionsRecord", "myNOS_MOB.model$InvoicePaymentOptionsRec", "Essentials_MOB.controller$GetMaxValue", "myNOS_MOB.controller$GetInvoiceReferenceTypes", "myNOS_MOB.controller$CONST_GetRefData_InvoicePayment", "myNOS_MOB.controller$PaygateIsOnlinePaymentAvailable", "CON_GDR.model$outputMessageRec", "myNOS_MOB.referencesHealth$CON_GDR", "myNOS_MOB.model$TextDecimalRecord", "myNOS_MBP.model$Local_SELECTIONRec", "myNOS_MOB.model$LOV2_outRecordList", "myNOS_MOB.model$LOV_outRecordList", "myNOS_MOB.model$Local_SELECTIONRecordList", "myNOS_MBP.entities", "myNOS_MOB.model$STR_ShowPaymentMethodsRec", "myNOS_MOB.model$Local_INVOICE_REF_PARAMETERSRecordList", "myNOS_MOB.model$Local_ACCESS_TOKEN_INFORecordList", "myNOS_MBP.model$Local_INVOICE_REF_PARAMETERSRec", "myNOS_MBP.model$Local_ACCESS_TOKEN_INFORec"], function (OutSystems, myNOS_MOBModel, myNOS_MOBController, myNOS_MBPController, MobileUIWidgetsController, Essentials_MOBController, CON_GDRModel, myNOS_MBPModel, myNOS_MOBLanguageResources, myNOS_MOB_InvoicesController) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions
Controller.prototype.getInvoicePaymentOptions$ServerAction = function (idIn, callContext) {
var controller = this.controller;
var inputs = {
Id: OS.DataTypes.JSConversions.basicTypeToJS(idIn, OS.Types.Integer)
};
return controller.callServerAction("GetInvoicePaymentOptions", "screenservices/myNOS_MOB/Invoices/InvoicePayment/ssGetInvoicePaymentOptions", "U2RyqmyUVoX3FlR6N7fHxQ", inputs, controller.callContext(callContext)).then(function (outputs) {
var executeServerActionResult = new (controller.constructor.getVariableGroupType("myNOS_MOB.Invoices.InvoicePayment$ssGetInvoicePaymentOptions"))();
executeServerActionResult.recordOut = myNOS_MOBModel.InvoicePaymentOptionsRecord.fromJS(outputs.Record);
return executeServerActionResult;
});
};
Controller.registerVariableGroupType("myNOS_MOB.Invoices.InvoicePayment$ssGetInvoicePaymentOptions", [{
name: "Record",
attrName: "recordOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new myNOS_MOBModel.InvoicePaymentOptionsRecord();
},
complexType: myNOS_MOBModel.InvoicePaymentOptionsRecord
}]);
Controller.prototype.getRefData_BP$ServerAction = function (refreshTokenIn, associationIdIn, processIn, lOVTypeIn, channelIn, financialMovementIn, userUIDIn, platformIn, deviceUIDIn, callContext) {
var controller = this.controller;
var inputs = {
RefreshToken: OS.DataTypes.JSConversions.basicTypeToJS(refreshTokenIn, OS.Types.Text),
AssociationId: OS.DataTypes.JSConversions.basicTypeToJS(associationIdIn, OS.Types.LongInteger),
Process: OS.DataTypes.JSConversions.basicTypeToJS(processIn, OS.Types.Text),
LOVType: OS.DataTypes.JSConversions.basicTypeToJS(lOVTypeIn, OS.Types.Text),
Channel: OS.DataTypes.JSConversions.basicTypeToJS(channelIn, OS.Types.Text),
FinancialMovement: OS.DataTypes.JSConversions.basicTypeToJS(financialMovementIn, OS.Types.Text),
UserUID: OS.DataTypes.JSConversions.basicTypeToJS(userUIDIn, OS.Types.Text),
Platform: OS.DataTypes.JSConversions.basicTypeToJS(platformIn, OS.Types.Text),
DeviceUID: OS.DataTypes.JSConversions.basicTypeToJS(deviceUIDIn, OS.Types.Text)
};
return controller.callServerAction("GetRefData_BP", "screenservices/myNOS_MOB/Invoices/InvoicePayment/ActionGetRefData_BP", "RrDgDoQDIVESRt04t_i+YA", inputs, controller.callContext(callContext)).then(function (outputs) {
var executeServerActionResult = new (controller.constructor.getVariableGroupType("myNOS_MOB.Invoices.InvoicePayment$rssespacemynos_bp_ActionGetRefData_BP"))();
executeServerActionResult.refData_outputMessageOut = CON_GDRModel.outputMessageRec.fromJS(outputs.RefData_outputMessage);
executeServerActionResult.successOut = OS.DataTypes.JSConversions.jsToBasicType(outputs.Success, OS.Types.Boolean);
executeServerActionResult.messageOut = OS.DataTypes.JSConversions.jsToBasicType(outputs.Message, OS.Types.Text);
return executeServerActionResult;
});
};
Controller.registerVariableGroupType("myNOS_MOB.Invoices.InvoicePayment$rssespacemynos_bp_ActionGetRefData_BP", [{
name: "RefData_outputMessage",
attrName: "refData_outputMessageOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CON_GDRModel.outputMessageRec();
},
complexType: CON_GDRModel.outputMessageRec
}, {
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return true;
}
}, {
name: "Message",
attrName: "messageOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);

// Aggregates and Data Actions
Controller.prototype.getInvoiceRefParameters$AggrRefresh = function (maxRecords) {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();

var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_INVOICE_REF_PARAMETERSRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 50;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "ENLocal_INVOICE_REF_PARAMET.\"Id\" o0, ENLocal_INVOICE_REF_PARAMET.\"PaymentMsisdn\" o1, ENLocal_INVOICE_REF_PARAMET.\"InvoiceNr\" o2, ENLocal_INVOICE_REF_PARAMET.\"InvoiceDate\" o3, ENLocal_INVOICE_REF_PARAMET.\"PaymentDueDate\" o4, ENLocal_INVOICE_REF_PARAMET.\"BillingAccountNr\" o5, ENLocal_INVOICE_REF_PARAMET.\"CustCode\" o6, ENLocal_INVOICE_REF_PARAMET.\"InvoiceValue\" o7, ENLocal_INVOICE_REF_PARAMET.\"InvoiceRefNr\" o8, ENLocal_INVOICE_REF_PARAMET.\"PaymentReference\" o9, ENLocal_INVOICE_REF_PARAMET.\"PaymentEntity\" o10, ENLocal_INVOICE_REF_PARAMET.\"Master\" o11, ENLocal_INVOICE_REF_PARAMET.\"InvoiceReference\" o12";
} else {
selectSql += "ENLocal_INVOICE_REF_PARAMET.\"Id\" o0, ENLocal_INVOICE_REF_PARAMET.\"PaymentMsisdn\" o1, ENLocal_INVOICE_REF_PARAMET.\"InvoiceNr\" o2, ENLocal_INVOICE_REF_PARAMET.\"InvoiceDate\" o3, ENLocal_INVOICE_REF_PARAMET.\"PaymentDueDate\" o4, ENLocal_INVOICE_REF_PARAMET.\"BillingAccountNr\" o5, ENLocal_INVOICE_REF_PARAMET.\"CustCode\" o6, ENLocal_INVOICE_REF_PARAMET.\"InvoiceValue\" o7, ENLocal_INVOICE_REF_PARAMET.\"InvoiceRefNr\" o8, ENLocal_INVOICE_REF_PARAMET.\"PaymentReference\" o9, ENLocal_INVOICE_REF_PARAMET.\"PaymentEntity\" o10, ENLocal_INVOICE_REF_PARAMET.\"Master\" o11, ENLocal_INVOICE_REF_PARAMET.\"InvoiceReference\" o12";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_INVOICE_REF_PARAMETERS\" ENLocal_INVOICE_REF_PARAMET";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_INVOICE_REF_PARAMETERSRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_INVOICE_REF_PARAMETERSAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeScreenClientAggregate(executeQuery, function () {
return model.variables.getInvoiceRefParametersAggr;
}, function () {
controller._getInvoiceRefParametersOnAfterFetch$Action(controller.callContext(callContext));
});
};
Controller.prototype.getLocalACCESSTOKENINFOES$AggrRefresh = function (maxRecords) {
var model = this.model;
var controller = this.controller;
var callContext = controller.callContext();

var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_ACCESS_TOKEN_INFORecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 1;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "ENLocal_ACCESS_TOKEN_INFO.\"Id\" o0, ENLocal_ACCESS_TOKEN_INFO.\"Refresh_token\" o1";
} else {
selectSql += "ENLocal_ACCESS_TOKEN_INFO.\"Id\" o0, ENLocal_ACCESS_TOKEN_INFO.\"Refresh_token\" o1";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_ACCESS_TOKEN_INFO\" ENLocal_ACCESS_TOKEN_INFO";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_ACCESS_TOKEN_INFORecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_ACCESS_TOKEN_INFOAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeScreenClientAggregate(executeQuery, function () {
return model.variables.getLocalACCESSTOKENINFOESAggr;
}, function () {
return controller._getLocalACCESSTOKENINFOESOnAfterFetch$Action(controller.callContext(callContext));
});
};

Controller.prototype.dataFetchActionNames = ["getInvoiceRefParameters$AggrRefresh", "getLocalACCESSTOKENINFOES$AggrRefresh"];
// Client Actions
Controller.prototype._buttonOnClick$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("ButtonOnClick");
callContext = controller.callContext(callContext);
var invoices_ClearCacheVar = new OS.DataTypes.VariableHolder();
var setPaygateInvoiceVar = new OS.DataTypes.VariableHolder();
var getMasterBSCSConfigVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.executeSequence(function () {
if((model.variables.amountSelectedVar.lte(model.variables.invoiceOpenAmountVar))) {
// AmountSelected > MaxValue?
return OS.Flow.executeSequence(function () {
if((model.variables.amountSelectedVar.gt(model.variables.paymentMethodMaxValueVar))) {
// Execute Action: Error25
MobileUIWidgetsController.default.error$Action((("Por favor selecione um valor inferior a " + myNOS_MBPController.default.formatCurrency_MBP$Action(model.variables.paymentMethodMaxValueVar, callContext.withoutIterationContext()).resultOut) + " para efetuar o pagamento."), callContext);
} else {
return OS.Flow.executeSequence(function () {
if((model.variables.amountSelectedVar.equals(OS.BuiltinFunctions.integerToDecimal(0)))) {
// Execute Action: Error26
MobileUIWidgetsController.default.error$Action((("Por favor selecione um valor superior a " + myNOS_MBPController.default.formatCurrency_MBP$Action(model.variables.amountSelectedVar, callContext.withoutIterationContext()).resultOut) + " para efetuar o pagamento."), callContext);
} else {
// Execute Action: GetMasterBSCSConfig
model.flush();
return myNOS_MBPController.default.getConfigValueAsText_MBP$Action("MASTER_BSCS", callContext).then(function (value) {
getMasterBSCSConfigVar.value = value;
}).then(function () {
// Execute Action: SetPaygateInvoice
model.flush();
return myNOS_MOBController.default.setPaygateInvoice$Action(model.variables.localSelectionVar.localAssociationIdAttr, model.variables.getInvoiceRefParametersAggr.listOut.getCurrent(callContext.iterationContext).local_INVOICE_REF_PARAMETERSAttr.billingAccountNrAttr, ((Essentials_MOBController.default.text_IsEqual$Action(model.variables.getInvoiceRefParametersAggr.listOut.getCurrent(callContext.iterationContext).local_INVOICE_REF_PARAMETERSAttr.masterAttr, getMasterBSCSConfigVar.value.valueOut, false, callContext.withoutIterationContext()).isEqualOut) ? (model.variables.getInvoiceRefParametersAggr.listOut.getCurrent(callContext.iterationContext).local_INVOICE_REF_PARAMETERSAttr.invoiceNrAttr) : (model.variables.getInvoiceRefParametersAggr.listOut.getCurrent(callContext.iterationContext).local_INVOICE_REF_PARAMETERSAttr.custCodeAttr)), model.variables.amountSelectedVar, myNOS_MOBModel.staticEntities.pAYMENT_PROCESS.invoicePartialPayment, ((Essentials_MOBController.default.text_IsEqual$Action(model.variables.getInvoiceRefParametersAggr.listOut.getCurrent(callContext.iterationContext).local_INVOICE_REF_PARAMETERSAttr.masterAttr, getMasterBSCSConfigVar.value.valueOut, false, callContext.withoutIterationContext()).isEqualOut) ? (false) : (true)), ((Essentials_MOBController.default.text_IsEqual$Action(model.variables.getInvoiceRefParametersAggr.listOut.getCurrent(callContext.iterationContext).local_INVOICE_REF_PARAMETERSAttr.masterAttr, getMasterBSCSConfigVar.value.valueOut, false, callContext.withoutIterationContext()).isEqualOut) ? (true) : (false)), callContext).then(function (value) {
setPaygateInvoiceVar.value = value;
});
}).then(function () {
// Success?
return OS.Flow.executeSequence(function () {
if((setPaygateInvoiceVar.value.operationSucessOut)) {
// Execute Action: Invoices_ClearCache
model.flush();
return myNOS_MBPController.default.invoices_ClearCache$Action(callContext).then(function (value) {
invoices_ClearCacheVar.value = value;
}).then(function () {
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("Pagar_online", "Pagar_agora", 0, OS.BuiltinFunctions.decimalToText(model.variables.amountSelectedVar), callContext);
}).then(function () {
// Destination: /myNOS_MOB/
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL(setPaygateInvoiceVar.value.paymentUrlOut, {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true));
});
} else {
// Execute Action: Error22
MobileUIWidgetsController.default.error$Action(setPaygateInvoiceVar.value.errorMessageOut, callContext);
}

});
});
}

});
}

});
} else {
// Execute Action: Error23
MobileUIWidgetsController.default.error$Action((("Por favor selecione um valor inferior a " + myNOS_MBPController.default.formatCurrency_MBP$Action(model.variables.invoiceOpenAmountVar, callContext.withoutIterationContext()).resultOut) + " para efetuar o pagamento."), callContext);
}

});
});
};
Controller.prototype._getInvoiceRefParametersOnAfterFetch$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GetInvoiceRefParametersOnAfterFetch");
callContext = controller.callContext(callContext);
// PaymentMSISDN
// PaymentMSISDN = GetInvoiceRefParameters.List.Current.Local_INVOICE_REF_PARAMETERS.PaymentMsisdn
model.variables.paymentMSISDNVar = model.variables.getInvoiceRefParametersAggr.listOut.getCurrent(callContext.iterationContext).local_INVOICE_REF_PARAMETERSAttr.paymentMsisdnAttr;
// InvoiceOpenAmount = TextToDecimal
model.variables.invoiceOpenAmountVar = OS.BuiltinFunctions.textToDecimal(model.variables.getInvoiceRefParametersAggr.listOut.getCurrent(callContext.iterationContext).local_INVOICE_REF_PARAMETERSAttr.invoiceValueAttr);
};
Controller.prototype._input_TextVarOnKeyup$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Input_TextVarOnKeyup");
callContext = controller.callContext(callContext);
var getPaymentMethodAppConfigsVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: GetPaymentMethodAppConfigs
model.flush();
return myNOS_MOBController.default.getPaymentMethodAppConfigs$Action(callContext).then(function (value) {
getPaymentMethodAppConfigsVar.value = value;
}).then(function () {
// Foreach PaymentMethodMaxValueList
callContext.iterationContext.registerIterationStart(model.variables.paymentMethodMaxValueListVar);
}).then(function () {
try {var paymentMethodMaxValueListIterator = callContext.iterationContext.getIterator(model.variables.paymentMethodMaxValueListVar);
var paymentMethodMaxValueListIndex = 0;
while (((paymentMethodMaxValueListIndex < model.variables.paymentMethodMaxValueListVar.length))) {
paymentMethodMaxValueListIterator.currentRowNumber = paymentMethodMaxValueListIndex;
// AmountSelected > MaxValue?
if((model.variables.amountSelectedVar.gt(model.variables.paymentMethodMaxValueListVar.getItem(paymentMethodMaxValueListIndex.valueOf()).maxPaymentValueAttr))) {
if(((model.variables.paymentMethodMaxValueListVar.getItem(paymentMethodMaxValueListIndex.valueOf()).paymentMethodAttr === getPaymentMethodAppConfigsVar.value.visaConfigValueOut))) {
// ShowVISA
// ShowPaymentMethods.ShowVISA = False
model.variables.showPaymentMethodsVar.showVISAAttr = false;
} else {
if((model.variables.paymentMethodMaxValueListVar.getItem(paymentMethodMaxValueListIndex.valueOf()).paymentMethodAttr === getPaymentMethodAppConfigsVar.value.mastercardConfigValueOut)) {
// ShowMASTERCARD
// ShowPaymentMethods.ShowMASTERCARD = False
model.variables.showPaymentMethodsVar.showMASTERCARDAttr = false;
} else {
if((model.variables.paymentMethodMaxValueListVar.getItem(paymentMethodMaxValueListIndex.valueOf()).paymentMethodAttr === getPaymentMethodAppConfigsVar.value.mbwayConfigValueOut)) {
// ShowMBWAY
// ShowPaymentMethods.ShowMBWAY = False
model.variables.showPaymentMethodsVar.showMBWAYAttr = false;
}

}

}

} else {
if(((model.variables.paymentMethodMaxValueListVar.getItem(paymentMethodMaxValueListIndex.valueOf()).paymentMethodAttr === getPaymentMethodAppConfigsVar.value.visaConfigValueOut))) {
// ShowVISA
// ShowPaymentMethods.ShowVISA = True
model.variables.showPaymentMethodsVar.showVISAAttr = true;
} else {
if((model.variables.paymentMethodMaxValueListVar.getItem(paymentMethodMaxValueListIndex.valueOf()).paymentMethodAttr === getPaymentMethodAppConfigsVar.value.mastercardConfigValueOut)) {
// ShowMASTERCARD
// ShowPaymentMethods.ShowMASTERCARD = True
model.variables.showPaymentMethodsVar.showMASTERCARDAttr = true;
} else {
if((model.variables.paymentMethodMaxValueListVar.getItem(paymentMethodMaxValueListIndex.valueOf()).paymentMethodAttr === getPaymentMethodAppConfigsVar.value.mbwayConfigValueOut)) {
// ShowMBWAY
// ShowPaymentMethods.ShowMBWAY = True
model.variables.showPaymentMethodsVar.showMBWAYAttr = true;
}

}

}

}

paymentMethodMaxValueListIndex++;
}

} finally {
callContext.iterationContext.registerIterationEnd(model.variables.paymentMethodMaxValueListVar);
}

});
});
};
Controller.prototype._radioButtonOnChange$Action = function (activeValueIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("RadioButtonOnChange");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.Invoices.InvoicePayment.RadioButtonOnChange$vars"))());
vars.value.activeValueInLocal = activeValueIn;
var getInvoicePaymentOptionsVar = new OS.DataTypes.VariableHolder();
return OS.Flow.executeAsyncFlow(function () {
// InvoicePaymentSelection = IntegerToIdentifier
model.variables.invoicePaymentSelectionVar = OS.BuiltinFunctions.integerToIdentifier(OS.BuiltinFunctions.textToInteger(vars.value.activeValueInLocal));
// Execute Action: GetInvoicePaymentOptions
model.flush();
return controller.getInvoicePaymentOptions$ServerAction(model.variables.invoicePaymentSelectionVar, callContext).then(function (value) {
getInvoicePaymentOptionsVar.value = value;
}).then(function () {
// InvoicePaymentOption = GetInvoicePaymentOptions.Record.InvoicePaymentOptions
vars.value.invoicePaymentOptionVar = getInvoicePaymentOptionsVar.value.recordOut.invoicePaymentOptionsAttr;
}).then(function () {
// IsOtherValueOptionSelected?
return OS.Flow.executeSequence(function () {
if(((vars.value.invoicePaymentOptionVar.idAttr === myNOS_MOBModel.staticEntities.invoicePaymentOptions.otherValue))) {
// ShowOther
// ShowOther = True
model.variables.showOtherVar = true;
// AmountSelected = 0
model.variables.amountSelectedVar = OS.BuiltinFunctions.integerToDecimal(0);
// Execute Action: Analytics_SendClickEvent
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("Pagar_online", "Outro_valor", 0, OS.BuiltinFunctions.decimalToText(model.variables.amountSelectedVar), callContext);
} else {
// ShowOther = False
model.variables.showOtherVar = false;
// AmountSelected = InvoiceOpenAmount
model.variables.amountSelectedVar = model.variables.invoiceOpenAmountVar;
// Execute Action: Analytics_SendClickEvent2
model.flush();
return myNOS_MOBController.default.analytics_SendClickEvent$Action("Pagar_online", "Valor_total", 0, OS.BuiltinFunctions.decimalToText(model.variables.amountSelectedVar), callContext);
}

});
});
});
};
Controller.registerVariableGroupType("myNOS_MOB.Invoices.InvoicePayment.RadioButtonOnChange$vars", [{
name: "ActiveValue",
attrName: "activeValueInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "InvoicePaymentOption",
attrName: "invoicePaymentOptionVar",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new myNOS_MOBModel.InvoicePaymentOptionsRec();
},
complexType: myNOS_MOBModel.InvoicePaymentOptionsRec
}]);
Controller.prototype._getLocalACCESSTOKENINFOESOnAfterFetch$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("GetLocalACCESSTOKENINFOESOnAfterFetch");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("myNOS_MOB.Invoices.InvoicePayment.GetLocalACCESSTOKENINFOESOnAfterFetch$vars"))());
var getRefData_BPVar = new OS.DataTypes.VariableHolder();
var getMaxValueVar = new OS.DataTypes.VariableHolder();
var getPaymentMethodAppConfigsVar = new OS.DataTypes.VariableHolder();
var getInvoiceReferenceTypesVar = new OS.DataTypes.VariableHolder();
var cONST_GetRefData_InvoicePaymentVar = new OS.DataTypes.VariableHolder();
var getAdditionalInfoVar = new OS.DataTypes.VariableHolder();
var paygateIsOnlinePaymentAvailableVar = new OS.DataTypes.VariableHolder();
var getLocalSELECTIONSVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getAggregateOutputType(myNOS_MOBModel.Local_SELECTIONRecordList))());
return OS.Flow.executeAsyncFlow(function () {
// Aggregate: GetLocalSELECTIONS
var getLocalSELECTIONSAggr = function (maxRecords) {
var executeQuery = function () {
var targetListType = myNOS_MOBModel.Local_SELECTIONRecordList;
var result = {
list: null,
count: OS.DataTypes.LongInteger.defaultValue
};
var countArgsList = new OS.Entities.QueryArgumentsList();
if(!(maxRecords)) {
maxRecords = 0;
}


var optimizeSelect = false;
var selectSql = "";
var fromAndWhereSql = "";
var groupByAndHavingSql = "";
var orderBySql = "";
var argsList = new OS.Entities.QueryArgumentsList();

selectSql += "SELECT ";
if (optimizeSelect) {
selectSql += "NULL o0, NULL o1, NULL o2, NULL o3, NULL o4, NULL o5, NULL o6, NULL o7, NULL o8, NULL o9, NULL o10, NULL o11, NULL o12, NULL o13";
} else {
selectSql += "ENLocal_SELECTION.\"Id\" o0, ENLocal_SELECTION.\"LocalAssociationId\" o1, ENLocal_SELECTION.\"LocalServiceId\" o2, ENLocal_SELECTION.\"LocalBillingAccountNumber\" o3, ENLocal_SELECTION.\"IsRecharge\" o4, ENLocal_SELECTION.\"IsBalance\" o5, ENLocal_SELECTION.\"IsVoD\" o6, ENLocal_SELECTION.\"IsInvoice\" o7, ENLocal_SELECTION.\"IsTelevision\" o8, ENLocal_SELECTION.\"IsPinPuk\" o9, ENLocal_SELECTION.\"IsPackagesOrRefill\" o10, ENLocal_SELECTION.\"IsAccountDetails\" o11, ENLocal_SELECTION.\"isPrivacy\" o12, ENLocal_SELECTION.\"PrivacyNIF\" o13";
}
fromAndWhereSql += " FROM \"MAIN\".\"OSUSR_85w_Local_SELECTIONS\" ENLocal_SELECTION";
orderBySql += " ORDER BY ENLocal_SELECTION.\"LocalServiceId\" ASC ";
if (maxRecords > 0) {
orderBySql += " LIMIT ";
orderBySql += maxRecords;
}
var sql = selectSql + fromAndWhereSql + groupByAndHavingSql + orderBySql;

return OS.Entities.webSQLStorageInstance.executeQuery(sql, myNOS_MOBModel.Local_SELECTIONRecordList, function (rec, r) {
var indexRef = {
value: 0
};
var attrOrder = [
"local_SELECTIONAttr",
];
return targetListType.RecordType.fromLocalStorage(r, indexRef, attrOrder);

}, argsList).then(function (resultList) {
result.list = resultList;
}).then(function () {
}).then(function () {
return result;
});
};
return controller.executeClientAggregate(executeQuery, function () {
return getLocalSELECTIONSVar.value;
});
};
return getLocalSELECTIONSAggr().then(function () {
// LocalSelection = GetLocalSELECTIONS.List.Current.Local_SELECTION
model.variables.localSelectionVar = getLocalSELECTIONSVar.value.listOut.getCurrent(callContext.iterationContext).local_SELECTIONAttr;
// Execute Action: GetPaymentMethodAppConfigs
model.flush();
return myNOS_MOBController.default.getPaymentMethodAppConfigs$Action(callContext).then(function (value) {
getPaymentMethodAppConfigsVar.value = value;
});
}).then(function () {
// Execute Action: CONST_GetRefData_InvoicePayment
cONST_GetRefData_InvoicePaymentVar.value = myNOS_MOBController.default.cONST_GetRefData_InvoicePayment$Action(callContext);

// Execute Action: GetRefData_BP
model.flush();
return controller.getRefData_BP$ServerAction(model.variables.getLocalACCESSTOKENINFOESAggr.listOut.getCurrent(callContext.iterationContext).local_ACCESS_TOKEN_INFOAttr.refresh_tokenAttr, model.variables.localSelectionVar.localAssociationIdAttr, cONST_GetRefData_InvoicePaymentVar.value.processOut, cONST_GetRefData_InvoicePaymentVar.value.lOVTypeOut, cONST_GetRefData_InvoicePaymentVar.value.channelOut, cONST_GetRefData_InvoicePaymentVar.value.financialMovementOut, "", "", "", callContext).then(function (value) {
getRefData_BPVar.value = value;
});
}).then(function () {
// LOV
// Foreach GetRefData_BP.RefData_outputMessage.DataOutput.DataOutput.LOVs.LOVs_out.LOV
callContext.iterationContext.registerIterationStart(getRefData_BPVar.value.refData_outputMessageOut.dataOutputAttr.dataOutputAttr.lOVsAttr.lOVs_outAttr.lOVAttr);
}).then(function () {
try {var lOVIterator = callContext.iterationContext.getIterator(getRefData_BPVar.value.refData_outputMessageOut.dataOutputAttr.dataOutputAttr.lOVsAttr.lOVs_outAttr.lOVAttr);
var lOVIndex = 0;
while (((lOVIndex < getRefData_BPVar.value.refData_outputMessageOut.dataOutputAttr.dataOutputAttr.lOVsAttr.lOVs_outAttr.lOVAttr.length))) {
lOVIterator.currentRowNumber = lOVIndex;
// LOVs
// Foreach GetRefData_BP.RefData_outputMessage.DataOutput.DataOutput.LOVs.LOVs_out.LOV.Current.LOV_out.LOVs
callContext.iterationContext.registerIterationStart(getRefData_BPVar.value.refData_outputMessageOut.dataOutputAttr.dataOutputAttr.lOVsAttr.lOVs_outAttr.lOVAttr.getItem(lOVIndex.valueOf()).lOV_outAttr.lOVsAttr);
try {var lOVsIterator = callContext.iterationContext.getIterator(getRefData_BPVar.value.refData_outputMessageOut.dataOutputAttr.dataOutputAttr.lOVsAttr.lOVs_outAttr.lOVAttr.getItem(lOVIndex.valueOf()).lOV_outAttr.lOVsAttr);
var lOVsIndex = 0;
while (((lOVsIndex < getRefData_BPVar.value.refData_outputMessageOut.dataOutputAttr.dataOutputAttr.lOVsAttr.lOVs_outAttr.lOVAttr.getItem(lOVIndex.valueOf()).lOV_outAttr.lOVsAttr.length))) {
lOVsIterator.currentRowNumber = lOVsIndex;
// PaymentMethodType?
if(((getRefData_BPVar.value.refData_outputMessageOut.dataOutputAttr.dataOutputAttr.lOVsAttr.lOVs_outAttr.lOVAttr.getItem(lOVIndex.valueOf()).lOV_outAttr.lOVsAttr.getItem(lOVsIndex.valueOf()).lOV2_outAttr.typeAttr === "PAYMENTMETHODTYPE"))) {
// PaymentMethodValue_Record = GetRefData_BP.RefData_outputMessage.DataOutput.DataOutput.LOVs.LOVs_out.LOV.Current.LOV_out.LOVs.Current.LOV2_out.Value
vars.value.paymentMethodValue_RecordVar = getRefData_BPVar.value.refData_outputMessageOut.dataOutputAttr.dataOutputAttr.lOVsAttr.lOVs_outAttr.lOVAttr.getItem(lOVIndex.valueOf()).lOV_outAttr.lOVsAttr.getItem(lOVsIndex.valueOf()).lOV2_outAttr.valueAttr;
// Execute Action: PaymentMethodValuesListAppend
OS.SystemActions.listAppend(vars.value.paymentMethodValues_ListVar, vars.value.paymentMethodValue_RecordVar, callContext);
// PaymentMethodMaxValueRecord
// PaymentMethodMaxValueRecord.PaymentMethod = If
vars.value.paymentMethodMaxValueRecordVar.paymentMethodAttr = (((((getRefData_BPVar.value.refData_outputMessageOut.dataOutputAttr.dataOutputAttr.lOVsAttr.lOVs_outAttr.lOVAttr.getItem(lOVIndex.valueOf()).lOV_outAttr.lOVsAttr.getItem(lOVsIndex.valueOf()).lOV2_outAttr.valueAttr === getPaymentMethodAppConfigsVar.value.mastercardConfigValueOut) || (getRefData_BPVar.value.refData_outputMessageOut.dataOutputAttr.dataOutputAttr.lOVsAttr.lOVs_outAttr.lOVAttr.getItem(lOVIndex.valueOf()).lOV_outAttr.lOVsAttr.getItem(lOVsIndex.valueOf()).lOV2_outAttr.valueAttr === getPaymentMethodAppConfigsVar.value.mbwayConfigValueOut)) || (getRefData_BPVar.value.refData_outputMessageOut.dataOutputAttr.dataOutputAttr.lOVsAttr.lOVs_outAttr.lOVAttr.getItem(lOVIndex.valueOf()).lOV_outAttr.lOVsAttr.getItem(lOVsIndex.valueOf()).lOV2_outAttr.valueAttr === getPaymentMethodAppConfigsVar.value.visaConfigValueOut))) ? (getRefData_BPVar.value.refData_outputMessageOut.dataOutputAttr.dataOutputAttr.lOVsAttr.lOVs_outAttr.lOVAttr.getItem(lOVIndex.valueOf()).lOV_outAttr.lOVsAttr.getItem(lOVsIndex.valueOf()).lOV2_outAttr.valueAttr) : (""));
// PaymentMethodMaxValueRecord.MaxPaymentValue = TextToDecimal
vars.value.paymentMethodMaxValueRecordVar.maxPaymentValueAttr = OS.BuiltinFunctions.textToDecimal(getRefData_BPVar.value.refData_outputMessageOut.dataOutputAttr.dataOutputAttr.lOVsAttr.lOVs_outAttr.lOVAttr.getItem(lOVIndex.valueOf()).lOV_outAttr.parametersAttr.getCurrent(callContext.iterationContext).parameter_outAttr.valueAttr);
// Execute Action: PaymentMaxValueDecimalListAppend
OS.SystemActions.listAppend(vars.value.paymentMaxValueDecimalListVar, vars.value.paymentMethodMaxValueRecordVar.maxPaymentValueAttr, callContext);
// Execute Action: PaymentMethodMaxValuesListAppend
OS.SystemActions.listAppend(model.variables.paymentMethodMaxValueListVar, vars.value.paymentMethodMaxValueRecordVar, callContext);
}

lOVsIndex++;
}

} finally {
callContext.iterationContext.registerIterationEnd(getRefData_BPVar.value.refData_outputMessageOut.dataOutputAttr.dataOutputAttr.lOVsAttr.lOVs_outAttr.lOVAttr.getItem(lOVIndex.valueOf()).lOV_outAttr.lOVsAttr);
}

lOVIndex++;
}

} finally {
callContext.iterationContext.registerIterationEnd(getRefData_BPVar.value.refData_outputMessageOut.dataOutputAttr.dataOutputAttr.lOVsAttr.lOVs_outAttr.lOVAttr);
}

// ShowOther = False
model.variables.showOtherVar = false;
// AmountSelected = InvoiceOpenAmount
model.variables.amountSelectedVar = model.variables.invoiceOpenAmountVar;
// Execute Action: GetAdditionalInfo
model.flush();
return myNOS_MBPController.default.getConfigValueAsText_MBP$Action("PAYMENT_ADDITIONALINFO", callContext).then(function (value) {
getAdditionalInfoVar.value = value;
}).then(function () {
// AdditionalInfo = GetAdditionalInfo.Value
model.variables.additionalInfoVar = getAdditionalInfoVar.value.valueOut;
// Execute Action: ListClear
OS.SystemActions.listClear(model.variables.paymentMethodValuesListVar, callContext);
// Execute Action: ListAppendAll
OS.SystemActions.listAppendAll(model.variables.paymentMethodValuesListVar, vars.value.paymentMethodValues_ListVar, callContext);
// Foreach PaymentMethodValuesList
callContext.iterationContext.registerIterationStart(model.variables.paymentMethodValuesListVar);
});
}).then(function () {
try {var paymentMethodValuesListIterator = callContext.iterationContext.getIterator(model.variables.paymentMethodValuesListVar);
var paymentMethodValuesListIndex = 0;
while (((paymentMethodValuesListIndex < model.variables.paymentMethodValuesListVar.length))) {
paymentMethodValuesListIterator.currentRowNumber = paymentMethodValuesListIndex;
if(((OS.BuiltinFunctions.toLower(model.variables.paymentMethodValuesListVar.getItem(paymentMethodValuesListIndex.valueOf())) === OS.BuiltinFunctions.toLower(getPaymentMethodAppConfigsVar.value.mastercardConfigValueOut)))) {
// ShowPaymentMethods.ShowMASTERCARD = True
model.variables.showPaymentMethodsVar.showMASTERCARDAttr = true;
} else {
if((OS.BuiltinFunctions.toLower(model.variables.paymentMethodValuesListVar.getItem(paymentMethodValuesListIndex.valueOf())) === OS.BuiltinFunctions.toLower(getPaymentMethodAppConfigsVar.value.mbwayConfigValueOut))) {
// ShowPaymentMethods.ShowMBWAY = True
model.variables.showPaymentMethodsVar.showMBWAYAttr = true;
} else {
if((OS.BuiltinFunctions.toLower(model.variables.paymentMethodValuesListVar.getItem(paymentMethodValuesListIndex.valueOf())) === OS.BuiltinFunctions.toLower(getPaymentMethodAppConfigsVar.value.visaConfigValueOut))) {
// ShowPaymentMethods.ShowVISA = True
model.variables.showPaymentMethodsVar.showVISAAttr = true;
} else {
paymentMethodValuesListIndex++;
continue;
}

}

}

paymentMethodValuesListIndex++;
}

} finally {
callContext.iterationContext.registerIterationEnd(model.variables.paymentMethodValuesListVar);
}

if((vars.value.paymentMaxValueDecimalListVar.isEmpty)) {
// PaymentMethodMaxValue = 0
model.variables.paymentMethodMaxValueVar = OS.BuiltinFunctions.integerToDecimal(0);
} else {
// Execute Action: GetMaxValue
getMaxValueVar.value = Essentials_MOBController.default.getMaxValue$Action(vars.value.paymentMaxValueDecimalListVar, callContext);

// PaymentMethodMaxValue = GetMaxValue.Result
model.variables.paymentMethodMaxValueVar = getMaxValueVar.value.resultOut;
}

// Execute Action: GetInvoiceReferenceTypes
model.flush();
return myNOS_MOBController.default.getInvoiceReferenceTypes$Action(callContext).then(function (value) {
getInvoiceReferenceTypesVar.value = value;
}).then(function () {
// Execute Action: PaygateIsOnlinePaymentAvailable
model.flush();
return myNOS_MOBController.default.paygateIsOnlinePaymentAvailable$Action(getInvoiceReferenceTypesVar.value.invRef_COut, model.variables.invoiceOpenAmountVar, model.variables.paymentMethodMaxValueVar, callContext).then(function (value) {
paygateIsOnlinePaymentAvailableVar.value = value;
});
}).then(function () {
// IsOnlinePaymentAvailable = PaygateIsOnlinePaymentAvailable.IsOnlinePaymentAvailable
model.variables.isOnlinePaymentAvailableVar = paygateIsOnlinePaymentAvailableVar.value.isOnlinePaymentAvailableOut;
});
});
});
};
Controller.registerVariableGroupType("myNOS_MOB.Invoices.InvoicePayment.GetLocalACCESSTOKENINFOESOnAfterFetch$vars", [{
name: "PaymentMethodMaxValueRecord",
attrName: "paymentMethodMaxValueRecordVar",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new myNOS_MOBModel.TextDecimalRecord();
},
complexType: myNOS_MOBModel.TextDecimalRecord
}, {
name: "PaymentMaxValueDecimalList",
attrName: "paymentMaxValueDecimalListVar",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new OS.DataTypes.DecimalList();
},
complexType: OS.DataTypes.DecimalList
}, {
name: "PaymentMethodValues_List",
attrName: "paymentMethodValues_ListVar",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new OS.DataTypes.TextList();
},
complexType: OS.DataTypes.TextList
}, {
name: "PaymentMethodValue_Record",
attrName: "paymentMethodValue_RecordVar",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
Controller.prototype._layout_Lvl_3IsConnectedEvent$Action = function (callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("Layout_Lvl_3IsConnectedEvent");
callContext = controller.callContext(callContext);
// Destination: /myNOS_MOB/InvoiceList
return OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/InvoiceList", {
EnablePreviousScreenLink: false
}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true);
};

Controller.prototype.buttonOnClick$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._buttonOnClick$Action, callContext);

};
Controller.prototype.getInvoiceRefParametersOnAfterFetch$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._getInvoiceRefParametersOnAfterFetch$Action, callContext);

};
Controller.prototype.input_TextVarOnKeyup$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._input_TextVarOnKeyup$Action, callContext);

};
Controller.prototype.radioButtonOnChange$Action = function (activeValueIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._radioButtonOnChange$Action, callContext, activeValueIn);

};
Controller.prototype.getLocalACCESSTOKENINFOESOnAfterFetch$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._getLocalACCESSTOKENINFOESOnAfterFetch$Action, callContext);

};
Controller.prototype.layout_Lvl_3IsConnectedEvent$Action = function (callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._layout_Lvl_3IsConnectedEvent$Action, callContext);

};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return myNOS_MOB_InvoicesController.default.handleError(ex, this.callContext());
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, myNOS_MOBLanguageResources);
});

