﻿require(["OutSystems", "myNOS_MOB.appDefinition"], function (OutSystems, myNOS_MOBAppDefinition) {
var OS = OutSystems.Internal;
if(OS.Navigation.ensureRequestSecurity()) {
return;
}

OS.Application.initialize(myNOS_MOBAppDefinition, OS.Interfaces.Application.InitializationType.Full, new OS.Format.DateTimeFormatInfo("yyyy-MM-dd", "HH:mm:ss"), new OS.Format.NumberFormatInfo(".", "")).then(function () {
return Promise.all(["scripts/CommonPlugin.PluginManager.js", "scripts/CommonPlugin.LoadCordova.js", "scripts/CommonPlugin.RunCodeOnDeviceReady.js", "scripts/MobilePatterns.SILKUI.js", "scripts/MobileUIWidgets.RippleJS.js"].map(function (script) {
return OS.SystemActions.requireScript(script);
}));
}).then(function (success) {
function initViewPromise() {
return OS.Flow.promise(function (resolve, reject) {
require(["OutSystemsReactView", "fastclick"], function (OSView, FastClick) {
try {OSView.Router.load(OS.Application);
FastClick.attach(document.body);
resolve();
} catch (error) {
reject(error);
}

});
});
};
if(success) {
return initViewPromise();
}


}).catch(function (error) {
OS.ErrorHandling.handleError(error);
});
});

